<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.3.2.3 $
 * $Author: tora60 $
 * $Date: 2007/12/24 02:16:03 $
 *
 * this file based on:
 * My_eGallery
 * Copyright (c) 2001 by ~ MarsIsHere ~ (marsishere@yahoo.fr), http://www.marsishere.net
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

if (!defined("mxAdminFileLoaded")) die("Access Denied");

function is_in($f, $gid, $logo)
{
    global $prefix, $dbi;
    if ($f == $logo) {
        return true;
    }
    $sql = "SELECT COUNT(pid) AS total FROM " . $prefix . "_gallery_pictures WHERE gid='" . intval($gid) . "' AND img='" . mxAddSlashesForSQL($f) . "'";
    $row = sql_fetch_array(sql_query($sql, $dbi), $dbi);
    if ($row['total']) {
        return true;
    }
}

function radd($par, $path, $recursive, $submitter, $desc_pic, $desc_cat)
{
    global $prefix, $font, $galleryvar, $gallerypath, $dbi;
    $c = 0;
    $loc = substr($path, strlen("$gallerypath/"));
    $result = sql_query("SELECT gallid, galloc, gallimg FROM " . $prefix . "_gallery_categories where galloc='$loc'", $dbi);
    if (sql_num_rows($result) > 0) {
        $row = sql_fetch_array($result, $dbi);
    }
    if (is_dir($path)) {
        $d = opendir($path);
        while ($f = readdir($d)) {
            if ($f == '.' || $f == '..' || $f == 'thumb') {
                continue;
            }

            $rf = "" . $path . "/" . $f . "";
            $isdir = is_dir($rf);
            if (!$isdir && $par != -1) { // check if this is a sub-directory
                $ext = substr($f, (strrpos($f, '.') + 1));
                $sql = "select filetype from " . $prefix . "_gallery_media_types where extension='" . mxAddSlashesForSQL($ext) . "'";
                list($type) = sql_fetch_row(sql_query($sql, $dbi), $dbi);
                if ($type && !is_in($f, $row['gallid'], $row['gallimg'])) {
                    switch ($type) {
                        case 1:
                            $size[0] = 0;
                            $size[1] = 0;
                            if ($ext != "bmp" && $ext != "BMP") {
                                $size = getimagesize($rf);
                            }
                            break;

                        case 3:
                            $size[0] = 320;
                            $size[1] = 240;
                            break;

                        default:
                            $size[0] = 0;
                            $size[1] = 0;
                            break;
                    }
                    $sql = "INSERT INTO " . $prefix . "_gallery_pictures (pid, gid, img, counter, submitter, date, name, description, votes, rate, extension, width, height) VALUES (NULL, " . intval($row['gallid']) . ", '" . mxAddSlashesForSQL($f) . "', 0, '" . mxAddSlashesForSQL($submitter) . "', NOW(), '" . mxAddSlashesForSQL($f) . "', '" . mxAddSlashesForSQL($desc_pic) . "', 0, 0, '" . mxAddSlashesForSQL($ext) . "', " . intval($size[0]) . ", " . intval($size[1]) . ")";
                    sql_query($sql, $dbi);
                    print "<font class=\"tiny\">&nbsp;&nbsp;" . sprintf(_GALFILEADDED, $f, $loc) . "</font><br>";
                    $c++;
                } else {
                }
            } elseif ($isdir) {
                $isindatabase = 0;
                if ($par == -1) {
                    $galloc = $f;
                } else {
                    $galloc = "" . $loc . "/" . $f . "";
                }
                $sql = "SELECT gallid, gallimg FROM " . $prefix . "_gallery_categories where galloc='" . mxAddSlashesForSQL($galloc) . "'";
                $result = sql_query($sql, $dbi);
                if (sql_num_rows($result) > 0) {
                    $isindatabase = 1;
                }
                if (!$isindatabase) {
                    $sql = "INSERT INTO " . $prefix . "_gallery_categories (gallid, gallname, gallimg, galloc, description, parent, visible, template, numcol, total, lastadd) VALUES (NULL, '" . mxAddSlashesForSQL($f) . "', '" . mxAddSlashesForSQL($galleryvar['GalleryPictureName']) . "', '" . mxAddSlashesForSQL($galloc) . "', '" . mxAddSlashesForSQL($desc_cat) . "', " . intval($par) . ", 0, 2, 3, 0, 0)";
                    $c += 1;
                    sql_query($sql, $dbi);
                    print '<font class="' . $font['normal'] . '"><strong>' . sprintf(_GALNEWMEDIAADDED, $f, $loc) . '</strong></font><br>';
                    $row2 = sql_fetch_array(sql_query("SELECT gallid FROM " . $prefix . "_gallery_categories WHERE gallid=LAST_INSERT_ID()", $dbi), $dbi);
                } else {
                    $row2 = sql_fetch_array(sql_query("SELECT gallid FROM " . $prefix . "_gallery_categories WHERE galloc='$galloc'", $dbi), $dbi);
                }
                if ($recursive == 1) {
                    $c += radd($row2['gallid'], $rf, $recursive, $submitter, $desc_pic, $desc_cat);
                }
            }
        } // while
        closedir($d);
        return $c;
    }
}

function quickaddpics($gallid, $recursive, $submitter, $desc_pic, $desc_cat)
{
    global $prefix, $adminurl, $gallerypath, $baseurl, $font, $dbi;
    galleryHeader();
    if (isset($gallid) && $gallid != "") {
        print $nav = '<a class="' . $font['title'] . '" href="' . $adminurl . '&amp;do=quickaddpics">' . _GALBATCHBUILD . '</a><font class="' . $font['title'] . '"> &gt; </font>'
         . '<font class="' . $font['title'] . '">' . _GALBATCHBUILDRESULT . '</font>';
    } else {
        $nav = '<font class="' . $font['title'] . '">' . _GALBATCHBUILD . '</font>';
    }
    navigationAdmin("<a class=\"" . $font['title'] . "\" href=\"" . $adminurl . "\">" . _GALCONFIG . "</a><font class=\"" . $font['title'] . "\"> &gt; </font>" . $nav);
    echo "<br>";
    OpenTable();
    echo "<p align=\"center\">";
    if (isset($gallid) && $gallid != "") {
        if ($submitter == _GALDEFAULTSUBMITTERDESC) {
            $submitter = "";
        }
        if ($desc_pic == _GALDEFAULTDESCPICDESC) {
            $desc_pic = "";
        }
        if ($desc_cat == _GALDEFAULTDESCCATDESC) {
            $desc_cat = "";
        }
        if ($gallid == -1) {
            $nb = radd($gallid, $gallerypath, $recursive, $submitter, $desc_pic, $desc_cat);
            $row['gallname'] = "/";
        } else {
            $row = sql_fetch_array(sql_query("select galloc, gallname from " . $prefix . "_gallery_categories where gallid='$gallid'", $dbi), $dbi);
            $nb = radd($gallid, $gallerypath . "/" . $row['galloc'], $recursive, $submitter, $desc_pic, $desc_cat);
        }
        if ($nb > 0) {
            echo "<hr><font class=\"" . $font['title'] . "\">" . sprintf(_GALNBMEDIAADDED, $nb) . " </font>";
        } else {
            echo "<font class=\"" . $font['normal'] . "\">" . sprintf(_GALNONEWMEDIAFOUND, $row['gallname']) . "</font>";
        }
    } else {
        echo "<form action=\"" . $adminurl . "\" method=\"post\">\n"
         . "<input type=\"hidden\" name=\"do\" value=\"quickaddpics\">\n"
         . "<font class=\"" . $font['title'] . "\">" . _GALQUICKSELECT . "</font>&nbsp;&nbsp;&nbsp;\n"
         . "<select name=\"gallid\">";
        $categories = listcategories("" . $gallerypath . "");
        echo "<option selected value=\"-1\">/</option> ";
        if (isset($categories) && $categories != "") {
            $categories = explode(" ", trim($categories));
            while (list($key, $val) = each($categories)) {
                $result = sql_query("select gallid, gallname from " . $prefix . "_gallery_categories where gallid='$val'", $dbi);
                list($gallid, $gallname) = sql_fetch_row($result, $dbi);
                $nbtabs = indent($gallid);
                $tab = "";
                for($k = 0; $k < $nbtabs; $k++)
                $tab .= "&nbsp;&nbsp;";
                echo "<option value=\"$gallid\">$tab$gallname</option>\n";
            }
        }
        echo "</select><br><br><font class=\"" . $font['title'] . "\">" . _GALQUICKRECURSIVE . "</font>&nbsp;&nbsp;&nbsp;\n"
         . "<input type=\"radio\" name=\"recursive\" value=\"1\" checked>" . _YES . "&nbsp;\n"
         . "<input type=\"radio\" name=\"recursive\" value=\"0\">" . _NO . "\n"
         . "<br><br>\n"
         . "<font class=\"" . $font['normal'] . "\"><b>" . _GALDEFAULTSUBMITTER . "</b></font><br><input type=\"text\" size=\"90\" name=\"submitter\" value=\"" . _GALDEFAULTSUBMITTERDESC . "\"><br><br>\n"
         . "<font class=\"" . $font['normal'] . "\"><b>" . _GALDEFAULTDESCPIC . "</b></font><br><input type=\"text\" size=\"90\" name=\"desc_pic\" value=\"" . _GALDEFAULTDESCPICDESC . "\"><br><br>\n"
         . "<font class=\"" . $font['normal'] . "\"><b>" . _GALDEFAULTDESCCAT . "</b></font><br><input type=\"text\" size=\"90\" name=\"desc_cat\" value=\"" . _GALDEFAULTDESCCATDESC . "\">\n"
         . "<br><br>\n"
         . "<input type=\"submit\" name=\"" . _SEARCH . "\" value=\"" . _SEARCH . "\">\n"
         . "</form>\n";
    }
    echo "</p>";
    CloseTable();
    echo "<br>";
    adminFooter();
}

?>
