<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.12.2.5 $
 * $Author: dia_bolo $
 * $Date: 2008/01/08 13:45:13 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

if (!defined("mxAdminFileLoaded")) die("Access Denied");

if (!mxGetAdminPref('radminsuper')) {
    mxErrorScreen("Access Denied");
    die();
}

$wysiwyg = 0;
$wysiwyg_topbox = 0;
include_once('spaw/spaw_control.class.php');

/**
 * Messages Functions
 */
global $mid, $title, $content, $mdate, $expire, $active, $view, $chng_date, $mlanguage;

function MsgDeactive($mid)
{
    global $prefix;
    sql_query("update " . $prefix . "_message set active='0' WHERE mid='" . intval($mid) . "'");
    header("Location: admin.php?op=messages");
}

function messages()
{
    global $admin, $admlanguage, $language, $bgcolor1, $bgcolor2, $prefix, $multilingual;
    $img_delete = mxCreateImage("images/delete.gif", _DELETE);
    $img_edit = mxCreateImage("images/edit.gif", _EDIT);
    include ("header.php");
    GraphicAdmin();
    title(_MESSAGESADMIN);
   
    if ($admlanguage == "") {
        $admlanguage = $language;
        /* This to make sure some language is pre-selected */
    }
    OpenTable();
    //echo "<center><font class=\"title\"><b>" . _ALLMESSAGES . "</b></font><br><br>";

    echo "<table border=\"0\" width=\"100%\" bgcolor=\"$bgcolor2\" cellpadding=\"0\" cellspacing=\"0\"><tr><td>";
    echo "<table border=\"0\" width=\"100%\" bgcolor=\"$bgcolor2\" cellpadding=\"1\" cellspacing=\"1\">"
     . "<tr bgcolor=\"$bgcolor2\"><th>" . _ID . "</th>"
     . "<th>" . _TITLE . "</th>"
     . "<th>" . _LANGUAGE . "</th>"
     . "<th>" . _VIEW . "</th>"
     . "<th>" . _ACTIVE . "</th>"
     . "<th>" . _FUNCTIONS . "</th></tr>";
    $result = sql_query("select mid, title, content, date, expire, active, view, mlanguage from " . $prefix . "_message");
    while (list($mid, $title, $content, $mdate, $expire, $active, $view, $mlanguage) = sql_fetch_row($result)) {
        if ($active == 1) {
            $mactive = "" . _YES . "";
        } elseif ($active == 0) {
            $mactive = "" . _NO . "";
        }
        if ($view == 1) {
            $mview = "" . _MVALL . "";
        } elseif ($view == 2) {
            $mview = "" . _MVUSERS . "";
        } elseif ($view == 3) {
            $mview = "" . _MVANON . "";
        } elseif ($view == 4) {
            $mview = "" . _MVADMIN . "";
        }
        if ($mlanguage == "") {
            $mlanguage = "" . _ALL . "";
        }
        echo "<tr bgcolor=\"$bgcolor1\"><td align=\"right\"><b>$mid</b>"
         . "</td><td align=\"left\" width=\"100%\"><b>$title</b>"
         . "</td><td align=\"center\">$mlanguage"
         . "</td><td align=\"center\" nowrap>$mview"
         . "</td><td align=\"center\">$mactive"
         . "</td><td align=\"center\" nowrap=\"nowrap\">
         			<a href=\"admin.php?op=editmsg&amp;mid=$mid\">" . $img_edit . "</a>&nbsp;
         			<a href=\"admin.php?op=deletemsg&amp;mid=$mid\">" . $img_delete . "</a>"
         . "</td></tr>";
    }
    echo "</table>";
    echo "</td></tr></table><br>";
    CloseTable();
    echo "<br>";
    OpenTable();
    echo "<fieldset><legend>" . _ADDMSG . "</legend>";
    echo "<form action=\"admin.php\" method=\"post\">"
     . "<br><b>" . _MESSAGETITLE . ":</b><br>"
     . "<input type=\"text\" name=\"add_title\" value=\"\" size=\"50\" maxlength=\"100\"><br><br>"
     . "<b>" . _MESSAGECONTENT . ":</b><br>";

    if ($GLOBALS['wysiwyg'] && $GLOBALS['wysiwyg_topbox']) {
        $sw = new SPAW_Wysiwyg('add_content', '', _DOC_LANGUAGE, $GLOBALS['wysiwyg_toolbar'], $GLOBALS['wysiwyg_btnset'], '100%', '350');
        $sw->show();
    } else {
        echo "<textarea name=\"add_content\" rows=\"15\" cols=\"60\"></textarea>";
    }

    echo "<br><br>";

    if ($multilingual == 1) {
        echo "<b>" . _LANGUAGE . ": </b>"
         . "<select name=\"add_mlanguage\">";
        $handle = opendir('language');
        $languageslist = '';
        while ($file = readdir($handle)) {
            if (preg_match("/^lang\-(.+)\.php/", $file, $matches)) {
                $langFound = $matches[1];
                $languageslist .= "$langFound ";
            }
        }
        closedir($handle);
        $languageslist = explode(" ", $languageslist);
        sort($languageslist);
        for ($i = 0; $i < sizeof($languageslist); $i++) {
            if ($languageslist[$i] != "") {
                echo "<option value=\"$languageslist[$i]\" ";
                if ($languageslist[$i] == $language) echo "selected";
                echo ">" . ucfirst($languageslist[$i]) . "</option>\n";
            }
        }
        echo "<option value=\"\">" . _ALL . "</option></select><br><br>";
    } else {
        echo "<input type=\"hidden\" name=\"add_mlanguage\" value=\"\">";
    }
    $now = time();
    echo "<b>" . _EXPIRATION . ":</b> <select name=\"add_expire\">"
     . "<option value=\"86400\" >1 " . _DAY . "</option>"
     . "<option value=\"172800\" >2 " . _DAYS . "</option>"
     . "<option value=\"432000\" >5 " . _DAYS . "</option>"
     . "<option value=\"1296000\" >15 " . _DAYS . "</option>"
     . "<option value=\"2592000\" >30 " . _DAYS . "</option>"
     . "<option value=\"0\" >" . _UNLIMITED . "</option>"
     . "</select><br><br>"
     . "<b>Active?</b> <input type=\"radio\" name=\"add_active\" value=\"1\" checked>" . _YES . " "
     . "<input type=\"radio\" name=\"add_active\" value=\"0\" >" . _NO . "";
    echo "<br><br><b>" . _VIEWPRIV . "</b> <select name=\"add_view\">"
     . "<option value=\"1\" >" . _MVALL . "</option>"
     . "<option value=\"2\" >" . _MVUSERS . "</option>"
     . "<option value=\"3\" >" . _MVANON . "</option>"
     . "<option value=\"4\" >" . _MVADMIN . "</option>"
     . "</select><br><br>"
     . "<input type=\"hidden\" name=\"op\" value=\"addmsg\">"
     . "<input type=\"hidden\" name=\"add_mdate\" value=\"$now\">"
     . "<input type=\"submit\" value=\"" . _ADDMSG . "\">"
     . "</form></fieldset>";
    CloseTable();
    include ("footer.php");
}

function editmsg($mid)
{
    global $admin, $prefix, $multilingual;
    include ("header.php");

    GraphicAdmin();
    title(_MESSAGESADMIN);
    
    $result = sql_query("select title, content, date, expire, active, view, mlanguage from " . $prefix . "_message WHERE mid='$mid'");
    list($title, $content, $mdate, $expire, $active, $view, $mlanguage) = sql_fetch_row($result);
    if (!$GLOBALS['wysiwyg'] || !$GLOBALS['wysiwyg_topbox']) {
        $content = str_replace("<br />", "\n", $content);
        $content = str_replace("<br>", "\n", $content);
    }
    OpenTable();
    echo "<fieldset><legend>" . _EDITMSG . "</legend>";
    if ($active == 1) {
        $asel1 = "checked";
        $asel2 = "";
    } elseif ($active == 0) {
        $asel1 = "";
        $asel2 = "checked";
    }
    if ($view == 1) {
        $sel1 = "selected";
        $sel2 = "";
        $sel3 = "";
        $sel4 = "";
    } elseif ($view == 2) {
        $sel1 = "";
        $sel2 = "selected";
        $sel3 = "";
        $sel4 = "";
    } elseif ($view == 3) {
        $sel1 = "";
        $sel2 = "";
        $sel3 = "selected";
        $sel4 = "";
    } elseif ($view == 4) {
        $sel1 = "";
        $sel2 = "";
        $sel3 = "";
        $sel4 = "selected";
    }
    if ($expire == 86400) {
        $esel1 = "selected";
        $esel2 = "";
        $esel3 = "";
        $esel4 = "";
        $esel5 = "";
        $esel6 = "";
    } elseif ($expire == 172800) {
        $esel1 = "";
        $esel2 = "selected";
        $esel3 = "";
        $esel4 = "";
        $esel5 = "";
        $esel6 = "";
    } elseif ($expire == 432000) {
        $esel1 = "";
        $esel2 = "";
        $esel3 = "selected";
        $esel4 = "";
        $esel5 = "";
        $esel6 = "";
    } elseif ($expire == 1296000) {
        $esel1 = "";
        $esel2 = "";
        $esel3 = "";
        $esel4 = "selected";
        $esel5 = "";
        $esel6 = "";
    } elseif ($expire == 2592000) {
        $esel1 = "";
        $esel2 = "";
        $esel3 = "";
        $esel4 = "";
        $esel5 = "selected";
        $esel6 = "";
    } elseif ($expire == 0) {
        $esel1 = "";
        $esel2 = "";
        $esel3 = "";
        $esel4 = "";
        $esel5 = "";
        $esel6 = "selected";
    }
    echo "<form action=\"admin.php\" method=\"post\">"
     . "<br><b>" . _MESSAGETITLE . ":</b><br>"
     . "<input type=\"text\" name=\"title\" value=\"" . mxEntityQuotes($title) . "\" size=\"50\" maxlength=\"100\"><br><br>"
     . "<b>" . _MESSAGECONTENT . ":</b><br>";

    if ($GLOBALS['wysiwyg'] && $GLOBALS['wysiwyg_topbox']) {
        $sw = new SPAW_Wysiwyg('content', $content, _DOC_LANGUAGE, $GLOBALS['wysiwyg_toolbar'], $GLOBALS['wysiwyg_btnset'], '100%', '350');
        $sw->show();
    } else {
        echo "<textarea name=\"content\" rows=\"15\" cols=\"60\">" . htmlspecialchars($content) . "</textarea>";
    }

    echo "<br><br>";

    if ($multilingual == 1) {
        echo "<b>" . _LANGUAGE . ": </b>"
         . "<select name=\"mlanguage\">";
        $handle = opendir('language');
        $languageslist = '';
        while ($file = readdir($handle)) {
            if (preg_match("/^lang\-(.+)\.php/", $file, $matches)) {
                $langFound = $matches[1];
                $languageslist .= "$langFound ";
            }
        }
        closedir($handle);
        $languageslist = explode(" ", $languageslist);
        sort($languageslist);
        for ($i = 0; $i < sizeof($languageslist); $i++) {
            if ($languageslist[$i] != "") {
                echo "<option value=\"$languageslist[$i]\" ";
                if ($languageslist[$i] == $mlanguage) echo "selected";
                echo ">" . ucfirst($languageslist[$i]) . "</option>\n";
            }
        }
        if ($mlanguage == "") {
            $sellang = "selected";
        } else {
            $sellang = "";
        }
        echo "<option value=\"\" $sellang>" . _ALL . "</option></select><br><br>";
    } else {
        echo "<input type=\"hidden\" name=\"mlanguage\" value=\"\">";
    }
    echo "<b>" . _EXPIRATION . ":</b> <select name=\"expire\">"
     . "<option value=\"86400\" $esel1>1 " . _DAY . "</option>"
     . "<option value=\"172800\" $esel2>2 " . _DAYS . "</option>"
     . "<option value=\"432000\" $esel3>5 " . _DAYS . "</option>"
     . "<option value=\"1296000\" $esel4>15 " . _DAYS . "</option>"
     . "<option value=\"2592000\" $esel5>30 " . _DAYS . "</option>"
     . "<option value=\"0\" $esel6>" . _UNLIMITED . "</option>"
     . "</select><br><br>"
     . "<b>" . _ACTIVE . "?</b> <input type=\"radio\" name=\"active\" value=\"1\" $asel1>" . _YES . " "
     . "<input type=\"radio\" name=\"active\" value=\"0\" $asel2>" . _NO . "";
    if ($active == 1) {
        echo "<br><br><b>" . _CHANGEDATE . "</b>"
         . "<input type=\"radio\" name=\"chng_date\" value=\"1\">" . _YES . " "
         . "<input type=\"radio\" name=\"chng_date\" value=\"0\" checked>" . _NO . "<br><br>";
    } elseif ($active == 0) {
        echo "<br><font class=\"tiny\">" . _IFYOUACTIVE . "</font><br><br>"
         . "<input type=\"hidden\" name=\"chng_date\" value=\"1\">";
    }
    echo "<b>" . _VIEWPRIV . "</b> <select name=\"view\">"
     . "<option value=\"1\" $sel1>" . _MVALL . "</option>"
     . "<option value=\"2\" $sel2>" . _MVUSERS . "</option>"
     . "<option value=\"3\" $sel3>" . _MVANON . "</option>"
     . "<option value=\"4\" $sel4>" . _MVADMIN . "</option>"
     . "</select><br><br>"
     . "<input type=\"hidden\" name=\"mdate\" value=\"$mdate\">"
     . "<input type=\"hidden\" name=\"mid\" value=\"$mid\">"
     . "<input type=\"hidden\" name=\"op\" value=\"savemsg\">"
     . "<input type=\"submit\" value=\"" . _SAVECHANGES . "\">"
     . "</form></fieldset>";
    CloseTable();
    include ("footer.php");
}

function savemsg($mid, $title, $content, $mdate, $expire, $active, $view, $chng_date, $mlanguage)
{
    global $prefix;
    $title = mxAddSlashesForSQL(($title));
    if (!$GLOBALS['wysiwyg'] || !$GLOBALS['wysiwyg_topbox']) {
        $content = str_replace("\n", "<br />", $content);
    }
    $content = mxAddSlashesForSQL(($content));
    if ($chng_date == 1) {
        $newdate = time();
    } elseif ($chng_date == 0) {
        $newdate = $mdate;
    }
    $result = sql_query("update " . $prefix . "_message set title='$title', content='$content', date='$newdate', expire='$expire', active='$active', view='$view', mlanguage='$mlanguage' WHERE mid='" . intval($mid) . "'");
    header("Location: admin.php?op=messages");
}

function addmsg($add_title, $add_content, $add_mdate, $add_expire, $add_active, $add_view, $add_mlanguage)
{
    global $prefix;
    $title = mxAddSlashesForSQL(($add_title));
    if (!$GLOBALS['wysiwyg'] || !$GLOBALS['wysiwyg_topbox']) {
        $add_content = str_replace("\n", "<br />", $add_content);
    }
    $content = mxAddSlashesForSQL(($add_content));
    $result = sql_query("insert into " . $prefix . "_message values (NULL, '$title', '$content', '$add_mdate', '$add_expire', '$add_active', '$add_view', '$add_mlanguage')");
    if (!$result) {
        exit();
    }
    header("Location: admin.php?op=messages");
}

function deletemsg($mid, $ok = 0)
{
    global $prefix;
    if ($ok) {
        $result = sql_query("delete from " . $prefix . "_message where mid=" . intval($mid) . "");
        if (!$result) {
            return;
        }
        header("Location: admin.php?op=messages");
    } else {
        include("header.php");
        GraphicAdmin();
        title(_MESSAGESADMIN);
        
        OpenTableAl();
        echo "<center>" . _REMOVEMSG . "";
        echo "<br><br>[&nbsp;<a href=\"admin.php?op=messages\">" . _NO . "</a> | <a href=\"admin.php?op=deletemsg&amp;mid=$mid&amp;ok=1\">" . _YES . "</a>&nbsp;]</center>";
        CloseTableAl();
        include("footer.php");
    }
}
switch ($op) {
    case "messages":
        messages();
        break;

    case "editmsg":
        editmsg($mid, $title, $content, $mdate, $expire, $active, $view, $chng_date, $mlanguage);
        break;

    case "addmsg":
        addmsg($add_title, $add_content, $add_mdate, $add_expire, $add_active, $add_view, $add_mlanguage);
        break;

    case "deletemsg":
        $ok = (empty($_REQUEST['ok'])) ? 0 : $_REQUEST['ok'];
        deletemsg($mid, $ok);
        break;

    case "savemsg":
        savemsg($mid, $title, $content, $mdate, $expire, $active, $view, $chng_date, $mlanguage);
        break;
}
