<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.1.2.6 $
 * $Author: siggi $
 * $Date: 2008/01/18 19:26:25 $
 */

defined('mxMainFileLoaded') or die('access denied');

define('_MX_MENUS', "Menus");
define('_MX_MENU_ADMIN', "Administrate Menus");
define('_MX_MENU_INPUTREQUIRED_NOTE', "Input for this field is required");
define('_MX_MENU_INPUTREQUIRED', "An entry in the dialog box <i>%s</i> is required");
define('_MX_MENU_PATH', "Path");
define('_MX_MENU_EDIT', "Edit");
define('_MX_MENU_DELETE', "Delete");
define('_MX_MENU_DELETE_AREYOUSURE', "Are you sure that you want to delete Menu '%s' ? [ <a href='%s'>Yes</a> | <a href='admin.php?op=menu'>No</a> ]");
define('_MX_MENU_DELETED', "Menu '%s' has been deleted.");
define('_MX_MENU', "Menu");
define('_MX_MENU_ITEM', "Menu item");
define('_MX_MENU_OPERATIONS', "Operations");

define('_MX_MENU_SHOWALL', "Show all");
define('_MX_MENU_SHOWALL_INTRO', "Menus are a collection of links (Menu items) which make a navigation possible. The listings below show the Menus which are available as of now and their respective Menu items.");
define('_MX_MENU_SHOWALL_NO_MENUS', "No Menus defined");

define('_MX_MENU_ADDMENU', "Add a Menu");
define('_MX_MENU_ADDMENU_INTRO', "Name for the new Menu. After a new block has been created, it needs to be activated.");
define('_MX_MENU_ADDMENU_EDIT', "Edit Menu");
define('_MX_MENU_ADDMENU_NAME_DESCR', "Name of the Menu.");
define('_MX_MENU_ADDMENU_ADDED', "New Menu was created.");
define('_MX_MENU_ADDMENU_UPDATED', "Menu was updated.");
define('_MX_MENU_ADDMENU_EXISTEDALREADY', "Menu already exists.");
define('_MX_MENU_ADDMENU_BLOCKEDIT', "<a href=\"admin.php?op=BlocksEdit&amp;bid=%d\">Administration of the Menu block</a>");

define('_MX_MENU_ADDITEM', "Add a Menu item");
define('_MX_MENU_ADDITEM_INTRO', "Title, path, position and weight of the new Menu item.");
define('_MX_MENU_ADDITEM_EDIT', "Edit Menu item");
define('_MX_MENU_ADDITEM_NOTDEF', "No Menu items defined.");
define('_MX_MENU_ADDITEM_NAME_DESCR', "The name of the Menu item.");
define('_MX_MENU_ADDITEM_TITLE_DESCR', "Describes a Menu item, when a mouse pointer hovers over that Menu item.");
define('_MX_MENU_ADDITEM_PATH_DESCR', "The  path to which the Menu item points to. This could be a pragmaMx path or an external address like http://www.pragmamx.org .");
define('_MX_MENU_ADDITEM_ASSOCIATEDMENU', "Parent Menu");
define('_MX_MENU_ADDITEM_WEIGHT', "Weight");
define('_MX_MENU_ADDITEM_WEIGHT_DESCR', "Optional. As higher the number of weight is, as further down the Menu item will appear.");
define('_MX_MENU_ADDITEM_ADDED', "Menu item has been added.");
define('_MX_MENU_ADDITEM_DELETE_AREYOUSURE', "Are you sure that you want to delete Menu item '%s' ? [ <a href='%s'>Yes</a> | <a href='admin.php?op=menu'>No</a> ]");
define('_MX_MENU_ADDITEM_DELETED', "Menu item '%s' has been deleted.");
define('_MX_MENU_ADDITEM_UPDATED', "Menu item '%s' has been updated.");
define('_MX_MENU_ITEM_ENABLED', "Menu item '%s' has been enabled.");
define('_MX_MENU_ITEM_DISABLED', "Menu item '%s' has been disabled.");
define('_MX_MENU_ITEM_EXISTEDALREADY', "Menu item '%s' already exists.");

define('_MX_MENU_SETTINGS', "Settings");
define('_MX_MENU_SETTINGS_INTRO', "Administrative settings");
define('_MX_MENU_INSTALL_INFO_NO', "mxMenu is not installed yet.");
define('_MX_MENU_INSTALL_INFO_YES', "mxMenu has been installed.");
define('_MX_MENU_INSTALL', "Install");
define('_MX_MENU_DEINSTALL_INFO_NO', "mxMenu is installed.");
define('_MX_MENU_DEINSTALL_INFO_YES', "mxMenu was deinstalled.");
define('_MX_MENU_DEINSTALL', "Deinstall");
define('_MX_MENU_DEINSTALL_AREYOUSURE', "Are you sure that you want to deinstall mxMenu ? [ <a href='admin.php?op=menu/settings/deinstall/ok'>Yes</a> | <a href='admin.php?op=menu'>No</a> ]");
define('_MX_MENU_RESET', "delete all contents");
define('_MX_MENU_RESET_INFO_YES', "All content has been deleted.");
// -- Version 1.02 -- :
// images
define('_MX_MENU_IMG_EDIT', '<img src="images/edit.gif" title="Edit" alt="Edit" />');
define('_MX_MENU_IMG_DEACTIVATE', '<img src="images/deactivate.gif" title="Disable" alt="Disable" />');
define('_MX_MENU_IMG_ACTIVATE', '<img src="images/activate.gif" title="Enable" alt="Enable" />');
define('_MX_MENU_IMG_DELETE', '<img src="images/delete.gif" title="Delete" alt="Delete" />');
define('_MX_MENU_IMG_HOME', '<img src="images/inhome.gif" title="' . _HOME . '" alt="' . _HOME . '" />');
define('_MX_MENU_IMG_MODULE_IMPORT', '<img src="admin/modules/mxMenu/images/import.gif" title="Import" alt="Import" />');
define('_MX_MENU_IMG_MODULE_ADMIN', '<img src="admin/modules/mxMenu/images/admin.gif" title="Administrate" alt="Administrate" />');

define('_MX_MENU_TREE_EXP_TITLE', "open or close");
define('_MX_MENU_ITEM_EXP_OPEN', "open");
define('_MX_MENU_ITEM_EXP_DESCR', "If this menu item has subitems, they are always open.");
define('_MX_MENU_ITEM_ISDISABLED', "(Disabled)");
define('_MX_MENU_ITEM_ISMODULE', "Module");
define('_MX_MENU_ACTIVATE', "Enable");
define('_MX_MENU_DEACTIVATE', "Disable");
define('_MX_MENU_MODULE_ADMIN', "Administrate Modules");
define('_MX_MENU_MODULE_NAME', "Name");
define('_MX_MENU_MODULE_TITLE', "Title");
define('_MX_MENU_MODULE_BLOCK', "Blockfile");
define('_MX_MENU_MODULE_OUTYET', "Module Links (not integrated)");
define('_MX_MENU_ITEM_FORBIDDEN', "%s hidden Modul Links");
define('_MX_MENU_ADDITEM_MODULEEDIT', "<a href=\"admin.php?op=module_edit&amp;mid=%d&amp;menu=1\">Manage Module</a>");
define('_MX_MENU_MOD_ILLEGALMOVE', "Existing submenu items from the module links will be lost in moving to a module block.<br />In this case, you should select a different menu. Or edit the submenu items in the menu administration.<br /><br /><a href='admin.php?op=menu'>" . _MX_MENU_ADMIN . "</a>");
define('_MX_MENU_MENUOPTIONS', "Menuoptions");
define('_MX_MENU_SETTINGS_UPDATED', "Settings of mxMenu have been updated.");
define('_MX_MENU_SETTINGS_DYN_EXP', "Enable dynamic open/close for menu items");
define('_MX_MENU_SETTINGS_DYN_EXP_DESCR', "If this option is enabled, users are able to view or hide submenus by clicking the open/close symbols.");
define('_MX_MENU_ENABLED', "Menu '%s' has been enabled.");
define('_MX_MENU_DISABLED', "Menu '%s' has been disabled.");

?>