<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.15.2.3 $
 * $Author: dia_bolo $
 * $Date: 2008/01/14 12:29:13 $
 *
 * Bariba-Newsletter Integration by sidewind, http://www.komplett-umsonst.de
 */

if (!defined("mxAdminFileLoaded")) die("Access Denied");

if (!mxGetAdminPref("radminuser")) {
    mxErrorScreen("Access Denied");
    die();
}

$PMMODULENAME = 'Private_Messages';

if (@file_exists('modules/' . $PMMODULENAME . '/config.php') && @file_exists('modules/' . $PMMODULENAME . '/functions.php')) {
    include_once("modules/" . $PMMODULENAME . "/config.php");
    include_once("modules/" . $PMMODULENAME . "/functions.php");
}
// $url_icons = "modules/".$PMMODULENAME."/images/smilies";
$pagetitle = _PTITLE;

function usersconfig()
{
    global $admin, $aid, $prefix;
    if (!defined("mxYALoaded")) define("mxYALoaded", 1);
    $agb_content = 0;
    include ("modules/Your_Account/config.php");
    if (!isset($uname_min_chars)) {
        $uname_min_chars = 0;
    }
    if (!isset($folder_kalender) && @file_exists('modules/Kalender/config/config.php')) {
        $folder_kalender = 'Kalender';
    }
    if (!isset($folder_mxboard) && @file_exists('modules/eBoard/settings.php')) {
        $folder_mxboard = 'eBoard';
    }
    if (!isset($folder_smf) && @file_exists('modules/Forum/smf/Settings.php')) {
        $folder_smf = 'Forum';
    }
    if (!isset($folder_cpg) && @file_exists('modules/Gallery/include/config.inc.php')) {
        $folder_cpg = 'Gallery';
    }

    $useavatar = false;
    include ("header.php");
    GraphicAdmin();
    title(_USERSADMINHEAD);
    OpenTable();
    echo "<fieldset><legend>" ._USERSADMINSETTINGS. "</legend>"
     . "<form action=\"admin.php\" method=\"post\">"
     . "<table border=\"0\"><tr><td>" . _SENDDELTEMAIL . "</td><td>";
    if ($senddeletemail == 1) {
        echo "<input type=\"radio\" name=\"xsenddeletemail\" value=\"1\" checked size=20>" . _YES . " &nbsp;
        <input type=\"radio\" name=\"xsenddeletemail\" value=\"0\" size=20>" . _NO . "";
    } else {
        echo "<input type=\"radio\" name=\"xsenddeletemail\" value=\"1\" size=20>" . _YES . " &nbsp;
        <input type=\"radio\" name=\"xsenddeletemail\" value=\"0\" checked size=20>" . _NO . "";
    }
    echo "</td></tr><tr><td>" . _SENDADDMAIL . "</td><td>";
    if ($sendaddmail == 1) {
        echo "<input type=\"radio\" name=\"xsendaddmail\" value=\"1\" checked size=20>" . _YES . " &nbsp;
        <input type=\"radio\" name=\"xsendaddmail\" value=\"0\" size=20>" . _NO . "";
    } else {
        echo "<input type=\"radio\" name=\"xsendaddmail\" value=\"1\" size=20>" . _YES . " &nbsp;
        <input type=\"radio\" name=\"xsendaddmail\" value=\"0\" checked size=20>" . _NO . "";
    }
    echo "</td></tr><tr><td>" . _ADMKUNEWSLETTER . "</td><td>";
    if (!empty($shownewsletter)) {
        echo "<input type=\"radio\" name=\"xshownewsletter\" value=\"1\" checked size=20>" . _YES . " &nbsp;
        <input type=\"radio\" name=\"xshownewsletter\" value=\"0\" size=20>" . _NO . "";
    } else {
        echo "<input type=\"radio\" name=\"xshownewsletter\" value=\"1\" size=20>" . _YES . " &nbsp;
        <input type=\"radio\" name=\"xshownewsletter\" value=\"0\" checked size=20>" . _NO . "";
    }
    echo "</td></tr><tr><td>" . _CHANGETHEMEN . "</td><td>";
    if ($allowchangetheme == 1) {
        echo "<input type=\"radio\" name=\"xallowchangetheme\" value=\"1\" checked size=20>" . _YES . " &nbsp;
        <input type=\"radio\" name=\"xallowchangetheme\" value=\"0\" size=20>" . _NO . "";
    } else {
        echo "<input type=\"radio\" name=\"xallowchangetheme\" value=\"1\" size=20>" . _YES . " &nbsp;
        <input type=\"radio\" name=\"xallowchangetheme\" value=\"0\" checked size=20>" . _NO . "";
    }
    echo "</td></tr><tr><td>" . _LOGINSTARTPAGE . "</td><td>";
    echo "<input type='text' name='xyastartpage' value='" . ((empty($yastartpage)) ? "modules.php?name=Userinfo" : $yastartpage) . "' size='30'>";
    echo "</td></tr>";
    /**
     * START Mindestalter / Geburtsdatum Plichtfeld - 2005-05-10  (RtR)
     */
    echo "<tr><td>" . _MINAGE . "</td><td>";
    echo "<input type='text' name='xyaproofdate' maxlength='2' value='" . ((empty($yaproofdate)) ? 0 : $yaproofdate) . "' size='3'>&nbsp;" . _ZERONONACT . "";
    echo "</td></tr>";
    /**
     * ENDE Mindestalter / Geburtsdatum Plichtfeld
     */
    /**
     * START Mindestzeichen Username - 2006-06-05  (RtR)
     */
    echo "<tr><td>" . _UNAMEMINCHARS . "</td><td>";
    echo "<select name=\"xuname_min_chars\" size=\"1\">
    <option value=\"0\"";
    if ($uname_min_chars == 0) {
        echo " selected";
    }
    echo ">" . _WORDOFF . "</option>";
    for($i = 3; $i < 11; $i++) {
        echo "<option value=\"" . $i . "\"";
        if ($uname_min_chars == $i) {
            echo " selected";
        }
        echo ">" . $i . "</option>";
    }
    echo "</select>";
    echo "</td></tr>";
    /**
     * ENDE Mindestzeichen Username
     */
    /**
     * START Benutzer muessen den AGB zustimmen - 2005-18-05  (RtR)
     */
    echo "<tr><td colspan='2'><hr size='1' noshade></td></tr>";
    echo "<tr>
      <td>" . _AGREERULES . "</td>";
    if ($agb_content < 1) {
        echo "<td><input type=\"radio\" name=\"xagb_content\" value=\"0\" checked><strong>" . _NO . "</strong></td>";
    } else {
        echo "<td><input type=\"radio\" name=\"xagb_content\" value=\"0\">" . _NO . "</td>";
    }
    echo "</tr>";
    $seccontlist = sql_query("SELECT artid, title  FROM " . $prefix . "_seccont ORDER BY secid ASC");
    $showseccontlist = sql_num_rows($seccontlist);
    if ($showseccontlist >= 1) {
        echo "<tr>
      <td>";
        if ($agb_content == 1) {
            echo "<input type=\"radio\" name=\"xagb_content\" value=\"1\" checked><strong>" . _YES . "</strong>";
        } else {
            echo "<input type=\"radio\" name=\"xagb_content\" value=\"1\">" . _YES . "";
        }
        echo "&nbsp;-&nbsp;" . _FROM . ":&nbsp;" . _SECTIONSMANAGER . "</td>";
        echo "<td><select size=\"1\" name=\"xagb_content_sub1\">";
        while (list($artid, $secconttitle) = sql_fetch_row($seccontlist)) {
            if ($artid == $agb_content_sub1) {
                $agb_sub1_select = " selected";
            } else {
                $agb_sub1_select = "";
            }
            $agb_sub1_laenge = strlen($secconttitle);
            if ($agb_sub1_laenge >= 30) {
                $secconttitle = substr($secconttitle, 0, 26);
                $secconttitle .= " ...";
            }
            echo "<option value=\"$artid\"" . $agb_sub1_select . ">$secconttitle</option>";
        }
        echo "</select></td>
    </tr>";
    }
    $contentlist = sql_query("SELECT pid, title FROM " . $prefix . "_pages WHERE active='1' ORDER BY pid DESC");
    $showcontentlist = sql_num_rows($contentlist);
    if ($showcontentlist >= 1) {
        echo "<tr>
      <td>";
        if ($agb_content == 2) {
            echo "<input type=\"radio\" name=\"xagb_content\" value=\"2\" checked><strong>" . _YES . "</strong>";
        } else {
            echo "<input type=\"radio\" name=\"xagb_content\" value=\"2\">" . _YES . "";
        }
        echo "&nbsp;-&nbsp;" . _FROM . ":&nbsp;" . _CONTENTMANAGER . "</td>";
        echo "<td><select size=\"1\" name=\"xagb_content_sub2\">";
        while (list($pid, $contenttitle) = sql_fetch_row($contentlist)) {
            if ($pid == $agb_content_sub2) {
                $agb_sub2_select = " selected";
            } else {
                $agb_sub2_select = "";
            }
            $agb_sub2_laenge = strlen($contenttitle);
            if ($agb_sub2_laenge >= 30) {
                $contenttitle = substr($contenttitle, 0, 26);
                $contenttitle .= " ...";
            }
            echo "<option value=\"$pid\"" . $agb_sub2_select . ">$contenttitle</option>";
        }
        echo "</select></td>
    </tr>";
    }
    $moduleslist = sql_query("SELECT mid, title, custom_title FROM " . $prefix . "_modules WHERE active='1' ORDER BY custom_title ASC");
    $showmoduleslist = sql_num_rows($moduleslist);
    if ($showmoduleslist >= 1) {
        echo "<tr>
      <td>";
        if ($agb_content == 3) {
            echo "<input type=\"radio\" name=\"xagb_content\" value=\"3\" checked><strong>" . _YES . "</strong>";
        } else {
            echo "<input type=\"radio\" name=\"xagb_content\" value=\"3\">" . _YES . "";
        }
        echo "&nbsp;-&nbsp;" . _FROM . ":&nbsp;" . _ACTIVEMODULES . "</td>";
        echo "<td><select size=\"1\" name=\"xagb_content_sub3\">";
        while (list($mid, $title, $custom_title) = sql_fetch_row($moduleslist)) {
            if ($custom_title == "") {
                $custom_title = $title;
            }
            if ($mid == $agb_content_sub3) {
                $agb_sub3_select = " selected";
            } else {
                $agb_sub3_select = "";
            }
            $agb_sub3_laenge = strlen($custom_title);
            if ($agb_sub3_laenge >= 30) {
                $custom_title = substr($custom_title, 0, 26);
                $custom_title .= " ...";
            }
            echo "<option value=\"$mid\"" . $agb_sub3_select . ">$custom_title</option>";
        }
        echo "</select></td>
    </tr>";
    }
    /**
     * ENDE Benutzer muessen den AGB zustimmen
     */
    if (function_exists('mxPmGetPictos')) {
        echo "<tr><td colspan='2'><hr size='1' noshade></td></tr>";
        echo "<tr><td>" . _SENDNEWMESS . "</td><td>";
        if ($sendnewusermsg == 1) {
            echo "<input type=\"radio\" name=\"xsendnewusermsg\" value=\"1\" checked size=20>" . _YES . " &nbsp;
            <input type=\"radio\" name=\"xsendnewusermsg\" value=\"0\" size=20>" . _NO . "";
        } else {
            echo "<input type=\"radio\" name=\"xsendnewusermsg\" value=\"1\" size=20>" . _YES . " &nbsp;
            <input type=\"radio\" name=\"xsendnewusermsg\" value=\"0\" checked size=20>" . _NO . "";
        }
        echo "</td></tr>";
        echo "<tr><td colspan='2'><span class=\"tiny\">" . _NEWMESSMESS . "</span></td></tr>";
        echo "<tr><td>" . _MSGADMIN . "</td><td>";
        echo printMsgUsersList($msgadminid);
        echo "</td></tr><tr><td>" . _MSGLANG . ":</td><td>";
        printMsgLanguage($msgdefaultlang);
        echo "</td></tr><tr><td valign=\"top\">" . _MSGICON . ": <br>(" . $GLOBALS['url_icons'] . ")</td><td nowrap>";
        echo mxPmGetPictos($msgicon);
        echo "</td></tr>";
    } else {
        echo "<input type='hidden' name='xsendnewusermsg' value='0'>";
    }
    echo "<tr><td colspan='2'><hr size='1' noshade></td></tr>";
    echo "<tr><td>" . _USERPOINTS . "</td><td>";
    if ($useuserpoints == 1) {
        echo "<input type=\"radio\" name=\"xuseuserpoints\" value=\"1\" checked size=20>" . _YES . " &nbsp;
        <input type=\"radio\" name=\"xuseuserpoints\" value=\"0\" size=20>" . _NO . "";
    } else {
        echo "<input type=\"radio\" name=\"xuseuserpoints\" value=\"1\" size=20>" . _YES . " &nbsp;
        <input type=\"radio\" name=\"xuseuserpoints\" value=\"0\" checked size=20>" . _NO . "";
    }
    echo "</td></tr><tr><td valign=\"top\">" . _NOUSER . "</td><td><textarea cols=\"35\" rows=\"3\" name=\"xexcludedusers\">" . stripslashes($excludedusers) . "</textarea>";
    echo "</td></tr><tr><td colspan=\"2\">";
    echo "" . _HEAD2 . "<br><blockquote>";
    echo "<table border=\"0\">";

    if (file_exists('modules/News/index.php')) {
        echo "<tr><td>" . _ARTIKEL . ":</td><td><input type=\"text\" name=\"xpoints_artikel\" value=\"$points_artikel\" size=\"5\" maxlength=\"5\"></td></tr>"
         . "<tr><td>" . _KOMMENTS . ":</td><td><input type=\"text\" name=\"xpoints_kommentare\" value=\"$points_kommentare\" size=\"5\" maxlength=\"5\"></td></tr>";
    }

    if (file_exists('modules/Downloads/index.php')) {
        echo "<tr><td>" . _DOWN1 . ":</td><td><input type=\"text\" name=\"xpoints_downloads1\" value=\"$points_downloads1\" size=\"5\" maxlength=\"5\"></td></tr>"
         . "<tr><td>" . _DOWN2 . ":</td><td><input type=\"text\" name=\"xpoints_downloads2\" value=\"$points_downloads2\" size=\"5\" maxlength=\"5\"></td></tr>";
    }
    if (file_exists('modules/Web_Links/index.php')) {
        echo "<tr><td>" . _LINKS1 . ":</td><td><input type=\"text\" name=\"xpoints_links1\" value=\"$points_links1\" size=\"5\" maxlength=\"5\"></td></tr>"
         . "<tr><td>" . _LINKS2 . ":</td><td><input type=\"text\" name=\"xpoints_links2\" value=\"$points_links2\" size=\"5\" maxlength=\"5\"></td></tr>";
    }
    if (file_exists('modules/Surveys/index.php')) {
        echo "<tr><td>" . _UMFRAGEN . ":</td><td><input type=\"text\" name=\"xpoints_umfragen\" value=\"$points_umfragen\" size=\"5\" maxlength=\"5\"></td></tr>";
    }
    if (file_exists('modules/Reviews/index.php')) {
        echo "<tr><td>" . _UPREVIEWS . ":</td><td><input type=\"text\" name=\"xpoints_reviews1\" value=\"$points_reviews1\" size=\"5\" maxlength=\"5\"></td></tr>"
         . "<tr><td>" . _UPREVIEWSCOMMENTS . ":</td><td><input type=\"text\" name=\"xpoints_reviews2\" value=\"$points_reviews2\" size=\"5\" maxlength=\"5\"></td></tr>";
    }
    if (file_exists('modules/My_eGallery/index.php')) {
        echo "<tr><td>" . _GALLPICS1 . ":</td><td><input type=\"text\" name=\"xpoints_bilder1\" value=\"$points_bilder1\" size=\"5\" maxlength=\"5\"></td></tr>"
         . "<tr><td>" . _GALLPICS2 . ":</td><td><input type=\"text\" name=\"xpoints_bilder2\" value=\"$points_bilder2\" size=\"5\" maxlength=\"5\"></td></tr>";
    }
    if (file_exists('modules/UserGuest/index.php')) {
        echo "<tr><td>" . _GB1 . ":</td><td><input type=\"text\" name=\"xpoints_gb1\" value=\"$points_gb1\" size=\"5\" maxlength=\"5\"></td></tr>"
         . "<tr><td>" . _GB2 . ":</td><td><input type=\"text\" name=\"xpoints_gb2\" value=\"$points_gb2\" size=\"5\" maxlength=\"5\"></td></tr>";
    }

    echo "<tr><td colspan=\"2\"><hr size=\"1\" noshade></td></tr><tr><td>" . _UPCALNAME . "?</td><td><input type=\"text\" name=\"xfolder_kalender\" value=\"$folder_kalender\" size=\"15\"></td></tr>";
    echo "<tr><td>" . _KALENDER . ":</td><td><input type=\"text\" name=\"xpoints_kalender\" value=\"$points_kalender\" size=\"5\" maxlength=\"5\"></td></tr>";

    echo "<tr><td colspan=\"2\"><hr size=\"1\" noshade></td></tr><tr><td>" . _UPCPGNAME . "?</td><td><input type=\"text\" name=\"xfolder_cpg\" value=\"$folder_cpg\" size=\"15\"></td></tr>";
    echo "<tr><td>" . _UPCOPPERPIC . ":</td><td><input type=\"text\" name=\"xcoppermine_bilder\" value=\"$coppermine_bilder\" size=\"5\" maxlength=\"5\"></td></tr>"
     . "<tr><td>" . _UPCOPPERCOMM . ":</td><td><input type=\"text\" name=\"xcoppermine_comments\" value=\"$coppermine_comments\" size=\"5\" maxlength=\"5\"></td></tr>"
     . "<tr><td>" . _UPCOPPERVOTE . ":</td><td><input type=\"text\" name=\"xcoppermine_votes\" value=\"$coppermine_votes\" size=\"5\" maxlength=\"5\"></td></tr>";

    echo "<tr><td colspan=\"2\"><hr size=\"1\" noshade></td></tr><tr><td>" . _UPMXBOARDNAME . "?</td><td><input type=\"text\" name=\"xfolder_mxboard\" value=\"$folder_mxboard\" size=\"15\"></td></tr>";
    echo "<tr><td>" . _POSTS . ":</td><td><input type=\"text\" name=\"xpoints_fposts\" value=\"$points_fposts\" size=\"5\" maxlength=\"5\"></td></tr>"
     . "<tr><td>" . _THREADS . ":</td><td><input type=\"text\" name=\"xpoints_fthreads\" value=\"$points_fthreads\" size=\"5\" maxlength=\"5\"></td></tr>";

    echo "<tr><td colspan=\"2\"><hr size=\"1\" noshade></td></tr><tr><td>" . _UPSMFNAME . "?</td><td><input type=\"text\" name=\"xfolder_smf\" value=\"$folder_smf\" size=\"15\"></td></tr>";
    echo "<tr><td>" . _UPSMFPOSTS . ":</td><td><input type=\"text\" name=\"xpoints_smf_posts\" value=\"$points_smf_posts\" size=\"5\" maxlength=\"5\"></td></tr>"
     . "<tr><td>" . _UPSMFTOPICS . ":</td><td><input type=\"text\" name=\"xpoints_smf_topics\" value=\"$points_smf_topics\" size=\"5\" maxlength=\"5\"></td></tr>"
     . "<tr><td>" . _UPSMFPOLLS . ":</td><td><input type=\"text\" name=\"xpoints_smf_polls\" value=\"$points_smf_polls\" size=\"5\" maxlength=\"5\"></td></tr>";

    echo "</table>";

    echo "</blockquote>"
     . "</td></tr>";
    echo "<tr><td colspan='2'>"
     . "<input type=\"hidden\" name=\"op\" value=\"UsersConfigSave\" size=20>"
     . "<center><br><br><input type=\"submit\" value=\"" . _UCSAVECHANGES . "\" size=20></center>"
     . "</td></tr></table>"
     . "</form>"
     . "</fieldset>";

    CloseTable();
    include ("footer.php");
}

function UsersConfigSave($pvs)
{
    // mxDebugFuncVars($pvs);
    extract($pvs);
    $xpoints_fthreads = (empty($xpoints_fthreads)) ? 0 : $xpoints_fthreads;
    $xpoints_bilder2 = (empty($xpoints_bilder2)) ? 0 : $xpoints_bilder2;
    $xpoints_kalender = (empty($xpoints_kalender)) ? 0 : $xpoints_kalender;
    $xpoints_fposts = (empty($xpoints_fposts)) ? 0 : $xpoints_fposts;
    $xpoints_gb2 = (empty($xpoints_gb2)) ? 0 : $xpoints_gb2;
    $xpoints_gb1 = (empty($xpoints_gb1)) ? 0 : $xpoints_gb1;
    $xpoints_kommentare = (empty($xpoints_kommentare)) ? 0 : $xpoints_kommentare;
    $xpoints_artikel = (empty($xpoints_artikel)) ? 0 : $xpoints_artikel;
    $xpoints_umfragen = (empty($xpoints_umfragen)) ? 0 : $xpoints_umfragen;
    $xpoints_links2 = (empty($xpoints_links2)) ? 0 : $xpoints_links2;
    $xpoints_links1 = (empty($xpoints_links1)) ? 0 : $xpoints_links1;
    $xpoints_downloads2 = (empty($xpoints_downloads2)) ? 0 : $xpoints_downloads2;
    $xpoints_downloads1 = (empty($xpoints_downloads1)) ? 0 : $xpoints_downloads1;
    $xcoppermine_tableprefix = (empty($xcoppermine_tableprefix)) ? '' : $xcoppermine_tableprefix;
    $xcoppermine_bilder = (empty($xcoppermine_bilder)) ? 0 : intval($xcoppermine_bilder);
    $xcoppermine_comments = (empty($xcoppermine_comments)) ? 0 : intval($xcoppermine_comments);
    $xcoppermine_votes = (empty($xcoppermine_votes)) ? 0 : intval($xcoppermine_votes);
    $xpoints_smf_polls = (empty($xpoints_smf_polls)) ? 0 : intval($xpoints_smf_polls);
    $xpoints_smf_posts = (empty($xpoints_smf_posts)) ? 0 : intval($xpoints_smf_posts);
    $xpoints_smf_topics = (empty($xpoints_smf_topics)) ? 0 : intval($xpoints_smf_topics);
    $xpoints_reviews1 = (empty($xpoints_reviews1)) ? 0 : intval($xpoints_reviews1);
    $xpoints_reviews2 = (empty($xpoints_reviews2)) ? 0 : intval($xpoints_reviews2);
    $xmsgdefaultlang = (empty($xmsgdefaultlang)) ? 0 : $xmsgdefaultlang;
    $xmsgicon = (empty($image)) ? 0 : $image;
    $xmsgadminid = (empty($xmsgadminid)) ? 0 : $xmsgadminid;
    $xsendnewusermsg = (empty($xsendnewusermsg)) ? 0 : $xsendnewusermsg;
    $xallowchangetheme = (empty($xallowchangetheme)) ? 0 : $xallowchangetheme;
    $xuseuserpoints = (empty($xuseuserpoints)) ? 0 : $xuseuserpoints;
    $xshownewsletter = (empty($xshownewsletter)) ? 0 : $xshownewsletter;
    $xsendaddmail = (empty($xsendaddmail)) ? 0 : $xsendaddmail;
    $xsenddeletemail = (empty($xsenddeletemail)) ? 0 : $xsenddeletemail;
    $xyastartpage = (empty($xyastartpage)) ? "modules.php?name=Userinfo" : $xyastartpage;
    $xagb_content = (empty($xagb_content)) ? 0 : intval($xagb_content);
    $xyaproofdate = (empty($xyaproofdate)) ? 0 : intval($xyaproofdate);
    $xuname_min_chars = (empty($xuname_min_chars)) ? 0 : intval($xuname_min_chars);

    $xfolder_kalender = (empty($xfolder_kalender) || !file_exists('modules/' . $xfolder_kalender . '/config/config.php')) ? '' : $xfolder_kalender;
    $xfolder_mxboard = (empty($xfolder_mxboard) || !file_exists('modules/' . $xfolder_mxboard . '/settings.php')) ? '' : $xfolder_mxboard;
    $xfolder_smf = (empty($xfolder_smf) || !file_exists('modules/' . $xfolder_smf . '/smf/Settings.php')) ? '' : $xfolder_smf;
    $xfolder_cpg = (empty($xfolder_cpg) || !file_exists('modules/' . $xfolder_cpg . '/include/config.inc.php')) ? '' : $xfolder_cpg;

    switch ($xagb_content) {
        case "1":
            $xagb_content_sub1 = intval($xagb_content_sub1);
            $xagb_content_sub2 = "0";
            $xagb_content_sub3 = "0";
            break;
        case "2":
            $xagb_content_sub1 = "0";
            $xagb_content_sub2 = intval($xagb_content_sub2);
            $xagb_content_sub3 = "0";
            break;
        case "3":
            $xagb_content_sub1 = "0";
            $xagb_content_sub2 = "0";
            $xagb_content_sub3 = intval($xagb_content_sub3);
            break;
        default:
            $xagb_content_sub1 = "0";
            $xagb_content_sub2 = "0";
            $xagb_content_sub3 = "0";
    }

    $content = "<?php // pragmaMx, automated generated file\n";
    $content .= "if (!defined(\"mxYALoaded\")) die (\"You can't access this file directly...\");\n\n";
    $content .= "\$senddeletemail    = '$xsenddeletemail';\n";
    $content .= "\$sendaddmail       = '$xsendaddmail';\n";
    $content .= "\$shownewsletter    = '$xshownewsletter';\n";
    $content .= "\$useuserpoints     = '$xuseuserpoints';\n";
    $content .= "\$allowchangetheme  = '$xallowchangetheme';\n";
    $content .= "\$yastartpage       = '$xyastartpage';\n";
    $content .= "\$yaproofdate       = '$xyaproofdate';\n";
    $content .= "\$sendnewusermsg    = '$xsendnewusermsg';\n";
    $content .= "\$msgadminid        = '$xmsgadminid';\n";
    $content .= "\$msgicon           = '$xmsgicon';\n";
    $content .= "\$msgdefaultlang    = '$xmsgdefaultlang';\n";
    $content .= "\$points_downloads1 = '$xpoints_downloads1';\n";
    $content .= "\$points_downloads2 = '$xpoints_downloads2';\n";
    $content .= "\$points_links1     = '$xpoints_links1';\n";
    $content .= "\$points_links2     = '$xpoints_links2';\n";
    $content .= "\$points_umfragen   = '$xpoints_umfragen';\n";
    $content .= "\$points_artikel    = '$xpoints_artikel';\n";
    $content .= "\$points_kommentare = '$xpoints_kommentare';\n";
    $content .= "\$points_reviews1   = '$xpoints_reviews1';\n";
    $content .= "\$points_reviews2   = '$xpoints_reviews2';\n";
    $content .= "\$points_gb1        = '$xpoints_gb1';\n";
    $content .= "\$points_gb2        = '$xpoints_gb2';\n";
    $content .= "\$points_bilder1    = '$xpoints_bilder1';\n";
    $content .= "\$points_bilder2    = '$xpoints_bilder2';\n";

    $content .= "\$folder_kalender = '$xfolder_kalender';\n";
    $content .= "\$points_kalender = '$xpoints_kalender';\n";

    $content .= "\$folder_mxboard  = '$xfolder_mxboard';\n";
    $content .= "\$points_fposts   = '$xpoints_fposts';\n";
    $content .= "\$points_fthreads = '$xpoints_fthreads';\n";

    $content .= "\$folder_cpg           = '$xfolder_cpg';\n";
    $content .= "\$coppermine_bilder    = '$xcoppermine_bilder';\n";
    $content .= "\$coppermine_comments  = '$xcoppermine_comments';\n";
    $content .= "\$coppermine_votes     = '$xcoppermine_votes';\n";

    $content .= "\$folder_smf        = '$xfolder_smf';\n";
    $content .= "\$points_smf_topics = '$xpoints_smf_topics';\n";
    $content .= "\$points_smf_posts  = '$xpoints_smf_posts';\n";
    $content .= "\$points_smf_polls  = '$xpoints_smf_polls';\n";

    $content .= "\$agb_content       = '$xagb_content';\n";
    $content .= "\$agb_content_sub1  = '$xagb_content_sub1';\n";
    $content .= "\$agb_content_sub2  = '$xagb_content_sub2';\n";
    $content .= "\$agb_content_sub3  = '$xagb_content_sub3';\n";
    $content .= "\$uname_min_chars   = '$xuname_min_chars';\n";
    $content .= "# User, die nicht gezaehlt werden sollen\n";
    $content .= "# Namen mit Komma trennen!\n";
    $content .= "\$excludedusers     = '" . addslashes($xexcludedusers) . "';\n";
    $content .= "\n?>";

    extract(mxGetAdminSession());
    if (empty($GLOBALS["mxDemoMode"])) {
        // Settings schreiben:
        @chmod("modules/Your_Account/config.php", 0777);
        $file = fopen("modules/Your_Account/config.php", "w");
        fwrite($file, $content);
        fclose($file);
        @chmod("modules/Your_Account/config.php", 0444);
    }
    Header("Location: admin.php?op=usersconfig");
}
// ------------------------------------------------------------------------#
// zeigt in der Admineditmaske eine Auswahl der User
function printMsgUsersList($msgadminid)
{
    global $user_prefix, $prefix;
    $sel = "";
    $attime = "";
    $qry = "SELECT * FROM " . $user_prefix . "_users WHERE user_stat = 1 order by uname";
    $result1 = sql_query($qry);
    $liste = "<select name=\"xmsgadminid\">\n";
    while ($rowUsers = sql_fetch_array($result1)) {
        if ($rowUsers["uid"] == $msgadminid) {
            $sel = " selected";
        } else {
            $sel = "";
        }
        $liste .= "<option value=\"" . $rowUsers["uid"] . "\"$sel>" . $rowUsers["uname"] . "   </option>\n";
    }
    $liste .= "</select>\n";
    return $liste;
}
// ------------------------------------------------------------------------#
// zeigt in der Admineditmaske eine Auswahl der User
function printMsgLanguage($msgdefaultlang)
{
    $handle = opendir('modules/User_Registration/language');
    while ($file = readdir($handle)) {
        if (preg_match("/^hello\-(.+)\.php/", $file, $matches)) {
            $langlist[] = str_replace(".php", "", str_replace("hello-", "", $file));
        }
    }
    asort($langlist);
    closedir($handle);
    echo "<select name=\"xmsgdefaultlang\">";
    while (list ($key, $file) = each ($langlist)) {
        if ($msgdefaultlang == $file) $sel = " selected";
        else $sel = "";
        echo "<option value=\"$file\" $sel>$file</option>\n";
    }
    echo "</select>";
}
// ------------------------------------------------------------------------#
switch ($op) {
    case "usersconfig":
        usersconfig();
        break;

    case "UsersConfigSave":
        UsersConfigSave($_POST);
        break;
}

?>
