<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.6 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:04:58 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

defined('mxMainFileLoaded') or die('access denied');

$mxblockcache = false;

global $prefix;

include 'admin/modules/gallery/config.php';
mt_srand((double)microtime() * 1000000);
if (mxIsUser())
    list($total) = sql_fetch_row(sql_query("SELECT COUNT(p.pid) AS total FROM " . $prefix . "_gallery_pictures AS p LEFT JOIN " . $prefix . "_gallery_categories AS c ON c.gallid=p.gid WHERE (extension='jpg' OR extension='gif' OR extension='png') AND c.visible>=1"));
else
    list($total) = sql_fetch_row(sql_query("SELECT COUNT(p.pid) AS total FROM " . $prefix . "_gallery_pictures AS p LEFT JOIN " . $prefix . "_gallery_categories AS c ON c.gallid=p.gid WHERE (extension='jpg' OR extension='gif' OR extension='png') AND c.visible>=2"));

$p = (empty($total)) ? 0 : mt_rand(0, ($total - 1));

if (mxIsUser())
    $pic = sql_fetch_array(sql_query("SELECT p.pid, p.img, p.name, p.description, c.galloc FROM " . $prefix . "_gallery_pictures AS p LEFT JOIN " . $prefix . "_gallery_categories AS c ON c.gallid=p.gid WHERE (extension='jpg' OR extension='gif' OR extension='png') AND c.visible>=1 LIMIT $p,1"));
else
    $pic = sql_fetch_array(sql_query("SELECT p.pid, p.img, p.name, p.description, c.galloc FROM " . $prefix . "_gallery_pictures AS p LEFT JOIN " . $prefix . "_gallery_categories AS c ON c.gallid=p.gid WHERE (extension='jpg' OR extension='gif' OR extension='png') AND c.visible>=2 LIMIT $p,1"));

$pic["description"] = htmlentities($pic["description"]);

if (@file_exists("$gallerypath/" . $pic["galloc"] . "/thumb/" . $pic["img"] . ""))
    $content = "<center><a href=\"$baseurl&amp;do=showpic&amp;pid=$pic[pid]\"><img src=\"$gallerypath/" . $pic["galloc"] . "/thumb/" . $pic["img"] . "\" border=\"0\" alt=\"" . $pic["description"] . "\" /><br /><font class=\"tiny\">" . $pic["name"] . "</font></a></center>";
else
if (@file_exists("$gallerypath/" . $pic["galloc"] . "/" . $pic["img"] . ""))
    $content = "<center><a href=\"$baseurl&amp;do=showpic&amp;pid=$pic[pid]\"><img src=\"$gallerypath/" . $pic["galloc"] . "/" . $pic["img"] . "\" width=\"70\" border=\"0\" alt=\"" . $pic["description"] . "\" /><br /><font class=\"tiny\">" . $pic["name"] . "</font></a></center>";

?>