<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.16 $
 * $Author: tora60 $
 * $Date: 2008/01/28 14:08:39 $
 *
 * idea by: >>www.surf4all.net<<
 */

defined('mxMainFileLoaded') or die('access denied');
// ################ Einstell Variablen ############################################################################
// User, die nicht angezeigt werden sollen
// Namen mit Komma trennen!
$excludedusers = "Texsterdsgf, Knaxllerfgfd";
// maximale Hhe des Blocks in Pixel. 0 um die Hhe nicht zu beschrnken
$blockheigth = 100;
// kleines Bild vor Gste / User anzeigen
$viewpic = 0; // mit Bildchen davor

// #################################################################################################################
$imagedir = "images/maaxon";
// #################################################################################################################
$mxblockcache = true;
$content = "";
// Variablen initialisieren
global $prefix, $user_prefix;
if (@file_exists("language/maaXoN/maaXoN-" . $GLOBALS['currentlang'] . ".php")) {
    include_once("language/maaXoN/maaXoN-" . $GLOBALS['currentlang'] . ".php");
} else {
    include_once("language/maaXoN/maaXoN-english.php");
}

$past = time() - MX_SETINACTIVE_MINS ;
$blockheigth = (int)$blockheigth;

if (MX_IS_USER) {
    $usersession = mxGetUserSession();
    $xexusers[] = $usersession[1];
}
// SQL-bedingung fuer excluded Users erstellen
$exusers = explode (",", $excludedusers);
if (!MX_IS_ADMIN) {
    while (list($key, $val) = each($exusers)) {
        $xexusers[] = trim($val);
    }
}
$xexusers[] = $GLOBALS['anonymous'];
$excludedusers = "'" . implode("','", mxAddSlashesForSQL($xexusers)) . "'";

$result1 = sql_query("SELECT  uname, user_lastmod, user_lasturl, user_lastvisit, user_lastip FROM ${user_prefix}_users
WHERE ((uname Not In (" . $excludedusers . ")) AND (user_lastvisit >= " . $past . ") AND (user_stat=1) AND (user_lastmod<>'logout'))
ORDER BY uname");

$result2 = sql_query("SELECT v.module, v.url, v.time, v.ip
FROM ${prefix}_visitors AS v
WHERE ((v.time > " . $past . ") AND (v.uid = 0));");

$cnt_members = 0;
while (list($username, $module, $url, $time, $ip) = sql_fetch_row($result1)) {
    $cnt_members++;
    $url = htmlspecialchars(str_replace('&amp;', '&', trim($url, '/. ')));
    $arr_members[strtolower($username)] = "<div style=\"text-indent: -8px; margin-left: 8px;\"><strong><big>&middot;</big></strong>&nbsp;<a href=\"modules.php?name=Userinfo&amp;uname=" . urlencode($username) . "\">" . $username . "</a> -&gt;&nbsp;<a href=\"" . $url . "\" title=\"" . $url . "\">" . $module . "</a></div>\n";
}

$cnt_guests = 0;
while (list($module, $url, $time, $ip) = sql_fetch_row($result2)) {
    $cnt_guests++;
    $username = (MX_IS_ADMIN) ? $ip : $GLOBALS['anonymous'] . " " . $cnt_guests;
    $url = htmlspecialchars(str_replace('&amp;', '&', trim($url, '/. ')));
    $arr_guests[$time] = "<div style=\"text-indent: -8px; margin-left: 8px;\"><strong><big>&middot;</big></strong>&nbsp;" . $username . " -&gt;&nbsp;<a href=\"" . $url . "\" title=\"" . $url . "\">" . $module . "</a></div>\n";
}

$list = "";
if ($cnt_members) {
    ksort($arr_members);
    $list1 = implode("", $arr_members);
    if ($viewpic) $content .= "<img src=\"$imagedir/people.gif\" /> ";
    $list .= "<b>" . _WHOWHEREMEMBERS . " (" . mxValueToString($cnt_members, 0) . "):</b><br />\n" . $list1 . "";
}

if ($cnt_members && $cnt_guests) $list .= "<br />";

if ($cnt_guests) {
    ksort($arr_guests);
    $list2 = implode("", $arr_guests);
    if ($viewpic) $content .= "<img src=\"$imagedir/guy_hand.gif\" /> ";
    $list .= "<b>" . _WHOWHEREGUESTS . " (" . mxValueToString($cnt_guests, 0) . "):</b><br />\n" . $list2 . "";
}

if ($list) {
    $content = (($cnt_guests + $cnt_members) <= 3 || $blockheigth == 0) ? $list : "<div style=\"height: " . $blockheigth . "px; overflow : auto;\">" . $list . "</div>";
}

$blockfiletitle = _WHOWHERETITLE;

?>