<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.9 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:04:58 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

defined('mxMainFileLoaded') or die('access denied');

global $prefix;

$mxblockcache = true;
if (MX_MODULE != 'News' || empty($GLOBALS['story_blocks'])) {
    $mxblockcache = false;
    return;
}

$content = '';

$line = '<div style="text-indent: -8px; margin-left: 8px;"><strong><big>&middot;</big></strong>&nbsp;<a href="%1s" target="%1s">%1s</a></div>';
// Relationen aus Tabelle
$result = sql_query("select name, url from " . $prefix . "_related where tid=" . intval($GLOBALS['story_blocks']["topic"]) . "");
while (list($text, $url) = sql_fetch_row($result)) {
    $related[$url] = sprintf($line, $url, '_blank', $text);
}
// Relationen aus Array
include(PMX_SYSTEM_DIR . '/mxRelatedArray.php');
$relatedarray = array_change_key_case($relatedarray);
$search = join('|', array_keys($relatedarray));
$search = '#(?:[^[:alnum:]])(' . $search . ')(?:[^[:alnum:]])#i';
if (preg_match_all($search , strip_tags($GLOBALS['story_blocks']["completetext"]), $matches)) {
    $matches = array_change_key_case(array_flip(array_unique($matches[1])), CASE_LOWER);
    foreach ($matches as $key => $dummy) {
        $text = array_keys($relatedarray[$key]);
        $url = array_values($relatedarray[$key]);
        $related[$url[0]] = sprintf($line, $url[0], '_blank', $text[0]);
    }
}
if (isset($related)) {
    $related = "\n" . implode("\n", $related) . "\n";
} else {
    $related = '';
}

$content .= sprintf($line, 'modules.php?name=News&amp;new_topic=' . $GLOBALS['story_blocks']['topic'], '_self', _MOREABOUT . ' ' . $GLOBALS['story_blocks']["topictext"]);
// if (mxModuleAllowed("Search")) {
// $content .= sprintf($line, 'modules.php?name=Search&amp;author='.$GLOBALS['story_blocks']["aid"], '_self', _NEWSBY.' '.$GLOBALS['story_blocks']["aid"]);
// }
$content .= $related;

if ($GLOBALS["multilingual"] == 1) {
    if (ereg("german", $GLOBALS["currentlang"])) $thislang = "german";
    else $thislang = $GLOBALS["currentlang"];
    $querylang = " AND (alanguage LIKE '" . $thislang . "%' OR alanguage='')";
} else {
    $querylang = "";
}

$result2 = sql_query("select sid, title from ${prefix}_stories where topic=" . $GLOBALS['story_blocks']["topic"] . " AND `time` <= now() $querylang order by counter desc limit 0,1");
list($sid, $title) = sql_fetch_row($result2);
if ($sid) {
    $content .= "<p>" . _MOSTREAD . " " . $GLOBALS['story_blocks']["topictext"] . ":</p>\n";
    $content .= sprintf($line, "modules.php?name=News&amp;file=article&amp;sid=$sid", '_self', $title);
}

$blockfiletitle = _RELATED;

?>