<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.4 $
 * $Author: tora60 $
 * $Date: 2008/01/28 14:46:04 $
 */

/* falls die Datei direkt aufgerufen, das include einfach beenden */
if (!defined('MX_BASE_URL')) return;

/*
der zu suchende regulre Ausdruck ist der Schlssel des Arrays
der ersetzende Wert ist der Wert des Arrays
*/

/* index.php mit oder ohne Parameter => index.html */
$replace_arr['!(<a[^>]+href=["\'](?:' . MX_BASE_URL . ')?)(?:index\.php|\./)([^>"\'%\s]*)(["\'])!'] = "\\1home.html\\2\\3";
// $replace_arr['!(<a[^>]+href=["\'](?:' . MX_BASE_URL . ')?)index\.php([^>"\'%\s]*)(["\'])!'] = "\\1home.html\\2\\3";
/* die verschiedenen User-Module */
if (MX_IS_USER) {
    $replace_arr['!(<a[^>]+href=["\'](?:' . MX_BASE_URL . ')?)modules\.php\?name=Your_Account(["\'])!i'] = "\\1myaccount.html\\2\\3";
    $replace_arr['!(<a[^>]+href=["\'](?:' . MX_BASE_URL . ')?)modules\.php\?name=Your_Account&(?:amp;)?op=logout(["\'])!i'] = "\\1log-me-out.html\\2\\3";
    $replace_arr['!(<a[^>]+href=["\'](?:' . MX_BASE_URL . ')?)modules\.php\?name=User_Registration([^>"\'%\s]*)(["\'])!i'] = "\\1myaccount.html\\3";
    $replace_arr['!(<a[^>]+href=["\'](?:' . MX_BASE_URL . ')?)modules\.php\?name=Your_Account&(?:amp;)?op=edituser(["\'])!i'] = "\\1mydata.html\\2\\3";
    $replace_arr['!(<a[^>]+href=["\'](?:' . MX_BASE_URL . ')?)modules\.php\?name=Your_Account&(?:amp;)?op=edithome(["\'])!i'] = "\\1mysettings.html\\2\\3";
} else {
    $replace_arr['!(<a[^>]+href=["\'](?:' . MX_BASE_URL . ')?)modules\.php\?name=Your_Account(["\'])!i'] = "\\1log-me-in.html\\2\\3";
    $replace_arr['!(<a[^>]+href=["\'](?:' . MX_BASE_URL . ')?)modules\.php\?name=User_Registration([^>"\'%\s]*)(["\'])!i'] = "\\1register-me.html\\3";
    $replace_arr['!(<a[^>]+href=["\'](?:' . MX_BASE_URL . ')?)modules\.php\?name=Your_Account&(?:amp;)?op=edituser(["\'])!i'] = "\\1log-me-in.html\\2\\3";
    $replace_arr['!(<a[^>]+href=["\'](?:' . MX_BASE_URL . ')?)modules\.php\?name=Your_Account&(?:amp;)?op=edithome(["\'])!i'] = "\\1log-me-in.html\\2\\3";
}
