<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.2.2.2 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:11:52 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 * Based on Journey Links Hack
 * Copyright (c) 2000 by James Knickelbein
 * Journey Milwaukee (http://www.journeymilwaukee.com)
 */

if (!defined("mxMainFileLoaded")) die ("You can't access this file directly...");

function viewdetails($lid)
{
    global $prefix, $bgcolor1, $bgcolor2, $bgcolor3, $bgcolor4, $module_name, $pagetitle;
    if (!modCheckAndCleanSubdata($lid)) {
        mxRedirect('modules.php?name=' . $module_name);
    }
    $qry = "SELECT dd.*, dd.name as auth_name, dd.date as updated, dc.title AS ctitle, dc.parentid AS cparentid, dc.captcha, de.downloadid AS editorialid,  de.adminid AS editorialauthor, de.editorialtimestamp, de.editorialtext, de.editorialtitle
        FROM " . $prefix . "_downloads_downloads AS dd
        LEFT JOIN " . $prefix . "_downloads_categories AS dc ON dd.cid = dc.cid
        LEFT JOIN " . $prefix . "_downloads_editorials AS de ON dd.lid = de.downloadid
        WHERE dd.lid = " . intval($lid) . "
        LIMIT 1";
    $result = sql_query($qry);
    $row = sql_fetch_assoc($result);
    // Daten fuer header aufbereiten
    $title = $row['title'];
    $pagetitle = strip_tags($title . ', ' . _DOWNLOADPROFILE);
    $pagesubmenu = modDetailsTopMenu($lid);

    $newimage = modNewMakeGrafic($row['date'], 'hspace="5" style="vertical-align: middle;"');
    // wenn populaerer Download, dann ein Bildchen generieren
    if ($row['hits'] >= $GLOBALS['popular'] && (!isset($GLOBALS['op']) || $GLOBALS['op'] != 'MostPopular')) {
        $popimage = mxCreateImage('modules/' . $module_name . '/images/popular.gif', _DLPOPULAR . ' (' . $row['hits'] . ' ' . _HITSTOITEM . ')', 0, 'hspace="5" style="vertical-align: middle;"');
    } else {
        $popimage = '';
    }

    include('modules/' . $module_name . '/includes/header.php');
    OpenTable();
    echo '<h3 class="option">', _DOWNLOADPROFILE, $newimage, $popimage, '</h3>';
    modViewData($row, 'single');
    CloseTable();
    echo "<br>";
    // Das Editorial, falls vorhanden
    if (!empty($row['editorialid'])) {
        echo '<a name="editorial" id="editorial"></a>';
        OpenTable();
        echo '<h3 class="option">&quot;<b>' . $row['editorialtitle'] . '</b>&quot;</h3>'
         . '<p align="right" class="tiny">' . _EDITORIALBY . ' ' . $row['editorialauthor'] . ' - ' . formattimestamp($row['editorialtimestamp']) . '</p>'
         . '<div class="content" style="text-align: justify;">' . $row['editorialtext'] . '</div>';
        CloseTable();
        echo "<br>";
    }
    // Captcha fuer direkten Download
    if (!MX_IS_ADMIN && $row['captcha']) {
        require("includes/captcha/settings.php");
        if (!MX_IS_USER || $captchauseron) {
            OpenTable();
            modFetchForm($row['lid'], $row['title'], $row['url']);
            CloseTable();
            echo "<br>";
        }
    }
    // Fuss-Menue
    $menu = modDetailsFootMenu($row['lid']);
    $voting = ($GLOBALS['usevoting'] && $GLOBALS['useoutsidevoting']);
    if ($voting || $menu) {
        OpenTable();
        if ($menu) {
            echo '<p align="right" class="content">' . modDetailsFootMenu($row['lid'], __function__) . '</p>';
        }
        if ($voting) {
            echo '<p align="left" class="content">' . _ISTHISYOURSITE . '<br><a href="modules.php?name=' . $module_name . '&amp;op=outsiderating&amp;lid=' . $lid . '">' . _ALLOWTORATE . '</a></p>';
        }
        CloseTable();
        echo '<br>';
    }

    include('modules/' . $module_name . '/includes/footer.php');
}

?>