<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.2.2.2 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:11:52 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 * Based on Journey Links Hack
 * Copyright (c) 2000 by James Knickelbein
 * Journey Milwaukee (http://www.journeymilwaukee.com)
 */

if (!defined("mxMainFileLoaded")) die ("You can't access this file directly...");

function NewDownloads()
{
    global $prefix, $module_name, $pagetitle;
    global $perpage;
    $days = 7;
    $min = (empty($_GET['min']) || $_GET['min'] < 0) ? 0 : intval($_GET['min']);

    $result = sql_query("SELECT count(lid) FROM " . $prefix . "_downloads_downloads AS dd WHERE dd.cid > 0 ");
    list($allrows) = sql_fetch_row($result);

    $link = "modules.php?name=" . $module_name . "&amp;op=NewDownloads&amp;min=%d";
    $pageview = modShowPageView($allrows, $min, $perpage, $link);

    $qry = "SELECT dd.*, dd.name as auth_name, dd.date as updated, dc.title AS ctitle, dc.parentid AS cparentid
        FROM " . $prefix . "_downloads_downloads AS dd
         LEFT JOIN " . $prefix . "_downloads_categories AS dc ON dd.cid = dc.cid
        WHERE dd.cid > 0
        ORDER BY dd.date DESC
        LIMIT " . intval($min) . ", " . intval($perpage) . "";
    $result = sql_query($qry);
    $totalrows = sql_num_rows($result);
    // Daten fuer header aufbereiten
    $title = _TOTALNEWDOWNLOADS;
    $pagetitle = strip_tags($title);

    include('modules/' . $module_name . '/includes/header.php');
    if ($totalrows) {
        if ($pageview) {
            $pagesubmenu = $pageview;
        }
        OpenTable();
        while ($row = sql_fetch_assoc($result)) {
            modViewData($row, 'list');
        }
        CloseTable();
        echo "<br>";
        if ($pageview) {
            OpenTable();
            echo '<div align="right" class="content">' . $pageview . '</div>';
            CloseTable();
            echo "<br>";
        }
    } else {
        OpenTable();
        echo '<div align="center" class="content">' . _NOTHINGINVIEW . '<br><br>' . _GOBACK . '<br><br><br><br><br><br><br><br></div>';
        CloseTable();
        echo "<br>";
    }
    include('modules/' . $module_name . '/includes/footer.php');
}

?>