<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.3 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:15:56 $
 */

defined('mxMainFileLoaded') or die('access denied');
$modname = basename(dirname(dirname(__FILE__)));

unset($sqlqry);
// ab pragmaMx 0.1.7
if (!isset($tables["${prefix}_mxfeedback_config"])) {
    $sqlqry[] = "
	CREATE TABLE `${prefix}_mxfeedback_config` (
	  `config_name` varchar(255) NOT NULL default '',
	  `config_value` text NULL,
	  PRIMARY KEY  (`config_name`)
	) TYPE=MyISAM;
	";
    $sqlqry[] = "INSERT INTO `${prefix}_mxfeedback_config` (`config_name`, `config_value`) VALUES ('ademail', 'adminmail@muster.de')";
    $sqlqry[] = "INSERT INTO `${prefix}_mxfeedback_config` (`config_name`, `config_value`) VALUES ('showrtblks', '0')";
    $sqlqry[] = "INSERT INTO `${prefix}_mxfeedback_config` (`config_name`, `config_value`) VALUES ('reqcolor', '#0000ff')";
    $sqlqry[] = "INSERT INTO `${prefix}_mxfeedback_config` (`config_name`, `config_value`) VALUES ('reqlname', '0')";
    $sqlqry[] = "INSERT INTO `${prefix}_mxfeedback_config` (`config_name`, `config_value`) VALUES ('letreceive', '1')";
    $sqlqry[] = "INSERT INTO `${prefix}_mxfeedback_config` (`config_name`, `config_value`) VALUES ('deptson', '1')";
    $sqlqry[] = "INSERT INTO `${prefix}_mxfeedback_config` (`config_name`, `config_value`) VALUES ('mainpp', 'Herr')";
    $sqlqry[] = "INSERT INTO `${prefix}_mxfeedback_config` (`config_name`, `config_value`) VALUES ('mainvvname', 'Muster')";
    $sqlqry[] = "INSERT INTO `${prefix}_mxfeedback_config` (`config_name`, `config_value`) VALUES ('mainvname', 'Admin')";
    $sqlqry[] = "INSERT INTO `${prefix}_mxfeedback_config` (`config_name`, `config_value`) VALUES ('depmail', 'gesendet: {today}\r\nI.P: {uip}\r\nVersender''s Name: {fname} {lname}\r\nVersender''s Email: {email}\r\nAnmerkung/Wunsch/Mitteilung:\r\n---------------------------------------------------------------------- \r\n{message}\r\n----------------------------------------------------------------------')";
    $sqlqry[] = "INSERT INTO `${prefix}_mxfeedback_config` (`config_name`, `config_value`) VALUES ('custmail', 'gesendet: {today}\r\nIhr Name: {fname} {lname}\r\nIhre Email: {email}\r\nAnmerkung/Wunsch/Mitteilung:\r\n----------------------------------------------------------------------\r\n{message}\r\n----------------------------------------------------------------------\r\nDer Verantwortliche, {anrede} {vvname} {vname}\r\naus der Abteilung {department}, \r\nwird Ihre Nachricht sobald wie mglich bearbeiten.\r\nDanke !\r\n{defaultemail}')";
}
if (isset($tables["${prefix}_mxfeedback_config"])) {
    $tf = setupGetTableFields("${prefix}_mxfeedback_config");
    if ($tf['config_value']['Default'] !== null) {
        $sqlqry[] = "ALTER TABLE `${prefix}_mxfeedback_config`
                CHANGE `config_value` `config_value` text NULL";
    }
}

if (!isset($tables["${prefix}_mxfeedback_depts"])) {
    $sqlqry[] = "
	CREATE TABLE `${prefix}_mxfeedback_depts` (
	  `did` int(11) NOT NULL auto_increment,
	  `dname` varchar(25) NOT NULL default '',
	  `demail` varchar(60) NOT NULL default '',
	  `vvname` varchar(25) NOT NULL default '',
	  `vname` varchar(40) NOT NULL default '',
	  `pp` varchar(15) NOT NULL default '',
	  PRIMARY KEY  (`did`)
	) TYPE=MyISAM;
	";
    $sqlqry[] = "INSERT INTO `${prefix}_mxfeedback_depts` (`did`, `dname`, `demail`, `vvname`, `vname`, `pp`) VALUES (1, 'Support', 'test1@test.de', 'Frieda', 'Frumm', 'Frau')";
    $sqlqry[] = "INSERT INTO `${prefix}_mxfeedback_depts` (`did`, `dname`, `demail`, `vvname`, `vname`, `pp`) VALUES (2, 'Development', 'test2@test.de', 'Hans', 'Meiser', 'Herr')";
}
// ende ab pragmaMx 0.1.7
if (isset($sqlqry)) {
    setupDoAllQueries($sqlqry);
    unset($sqlqry);
}

?>