<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.5 $
 * $Author: joergk $
 * $Date: 2007/12/31 23:26:43 $
 */

defined('mxMainFileLoaded') or die('access denied');
$module_name = basename(dirname(__FILE__));

ob_start();

if (@file_exists('modules/' . $module_name . '/codes/bbcode-' . $currentlang . '.html')) {
    include_once('modules/' . $module_name . '/codes/bbcode-' . $currentlang . '.html');
} elseif ($currentlang == 'german_du' && @file_exists('modules/' . $module_name . '/codes/bbcode-german.html')) {
    include_once('modules/' . $module_name . '/codes/bbcode-german.html');
} else {
    include_once('modules/' . $module_name . '/codes/bbcode-english.html');
}

$x = ob_get_clean();
// Smiliepfade korrigieren
// <img alt="cool" border=0 src="../images/smilie7.gif" />
$x = preg_replace('#(<img[^>]*src=")../images/([^>/]+.gif"[^>]*>)#i', '\1modules/' . $module_name . '/images/\2', $x);
echo $x;

?>
