<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * $Revision: 1.8 $
 * $Author: tora60 $
 * $Date: 2008/01/28 17:21:35 $
 */

if (!defined("mxMainFileLoaded")) die ("You can't access this file directly...");
$module_name = basename(dirname(__FILE__));
mxGetLangfile($module_name);
$index = 1;

$op = (empty($op)) ? "" : $op;

include_once("header.php");

if ($op == "copyright") {
    // wenn Copyright-Informationen angezeigt werden sollen
    $array = mxInfo();
    extract($array);
    $copyrightlink = "";
} else {
    // keine Copyright-Informationen sollen angezeigt werden
    $copyrightlink = '<a href="modules.php?name=' . $module_name . '&amp;op=copyright">' . _IMP_LINKTITLE . '</a>';
    $intro = "";
    $module_info = "";
    $design_info = "";
} 

$lang = (ereg("german", $GLOBALS["currentlang"])) ? "german" : $GLOBALS["currentlang"];
$imp_filename = 'modules/' . $module_name . '/language/imp-' . $lang . '.tpl.htm';

if (file_exists("modules/" . $module_name . "/imp.tpl.htm")) {
    $file = file("modules/" . $module_name . "/imp.tpl.htm");
} else {
    $file = file("modules/" . $module_name . "/language/imp-" . $lang . ".tpl.htm");
}
$file = implode("", $file);
$file = preg_replace("#\<!-- (.*) --\>#si", " ", $file); // HTML-Kommentare lschen
$file = ($imp_filename) ? str_replace("{imp_filename}", $imp_filename, $file) : str_replace("{imp_filename}", "", $file);
$file = ($copyrightlink) ? str_replace("{copyrightlink}", "<hr size='1' noshade>" . $copyrightlink . "", $file) : str_replace("{copyrightlink}", "", $file);
$file = ($intro) ? str_replace("{developerinfo}", "<hr size='1' noshade>" . $intro . "", $file) : str_replace("{developerinfo}", "", $file);
$file = ($module_info) ? str_replace("{module_info}" , "<hr size='1' noshade>" . $module_info . "", $file) : str_replace("{module_info}" , "", $file);
$file = ($design_info) ? str_replace("{design_info}" , "<hr size='1' noshade>" . $design_info . "", $file) : str_replace("{design_info}" , "", $file);
$file = trim($file);

if (MX_IS_ADMIN && file_exists("modules/" . $module_name . "/imp.tpl.htm")) {
    OpenTableAl();
    Title(_IMP_ADMINNOTICE1);
    echo '<div style="text-align: center;">' . _IMP_ADMINNOTICE2 . '</div>';
    CloseTableAl();
}

OpenTable();
echo $file;
CloseTable();

include_once("footer.php");
?>
