<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.5.2.1 $
 * $Author: tora60 $
 * $Date: 2008/02/02 10:39:17 $
 */

defined('mxMainFileLoaded') or die('access denied');

$credits = "
My_eGallery 2.1.9
by pragmaMx Developer Team, http://pragmamx.org
editor: H.Grunert, http://www.marx-city.de
based on My_eGallery
Copyright (c) 2001 by ~ MarsIsHere ~ (marsishere@yahoo.fr), http://www.marsishere.net
based on eGallery 1.0, 
Don Grabows (http://ecomjunk.com), Patrick Kellum, King Network's (http://www.imagesarcadia.com)
";

/* anschliessendes Setup nur ausfuehren, wenn auch wirklich aufgerufen */
if (!defined('MX_MODULE_FILE') || MX_MODULE_FILE != 'setup.pmx') {
    return;
}

if (!mxGetAdminPref('radminsuper')) {
    mxErrorScreen('access denied');
}

if (!defined('PMX_VERSION')) {
    mxErrorScreen('pragmaMx >= 0.1.10 is required');
}

$module_name = basename(dirname(__FILE__));

include(PMX_SYSTEM_DIR . '/mx_install.php');
include('header.php');
echo '<h2>' . $module_name . ' installed</h2><p><b>Credits</b>:' . nl2br($credits) . '</p><hr/>';
$tables = setupGetTables();
include(dirname(__FILE__) . '/core/install.tabledef.php');
include('footer.php');

?>