<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.11.2.5 $
 * $Author: tora60 $
 * $Date: 2008/01/28 18:06:31 $
 *
 * this file based on:
 * PHP-NUKE-Addon Newsletter 1.40
 * Copyright(c) by Andreas Guenther, 26.08.2001
 * webmaster@bariba.de / http://www.bariba.de
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 *
 * Some modifications and additions by
 * jubilee (c) 2005 http://www.pragmamx.de
 *
 * based upon
 * mycgi - Helper Library
 * ==========================
 * Andreas Guenther, 20.08.2001
 * Comments to webmaster@bariba.de / http://www.bariba.de
 * Version 0.02B
 */

defined('mxMainFileLoaded') or die('access denied');

$module_name = basename(dirname(__FILE__));

/**
 * Shows the captcha-image
 * -------------------------------------------------------------------------------
 * Zeigt das Captcha-Bild
 */
function cgiCaptcha()
{
    require("includes/captcha/captcha_java.php");
    echo "<center><img id=\"captchaimage\" src=\"includes/captcha/captchaimg.php?" . md5(crypt(uniqid(''))) . "\" alt=\"\"></center><br>\n"
     . "" . _CAPTCHAINSERT . " <input type=\"text\" name=\"captcha\" value=\"\" size=\"20\" maxlength=\"20\"><br><br>\n";
}

/**
 * Shows the captcha reload Button
 * -------------------------------------------------------------------------------
 * Zeigt den Captcha Reload-Button
 */
function cgiCaptchaReload($value)
{
    echo "<input type=\"button\" value=\"" . $value . "\" onclick=\"do_reload(); return false;\">\n";
}

/**
 * Prints $count times a <br>
 * -------------------------------------------------------------------------------
 * Druckt $count mal ein <br />
 */
function cgiBR($anz = 1)
{
    while ($anz-- > 0) {
        echo "<br />\n";
    }
}

/**
 * Prints an open Form tag with the action in the nuke format
 * -------------------------------------------------------------------------------
 * Druckt einen Form tag mit der fuer Nuke Module noetigen action
 */
function cgiFORMMod($file, $func)
{
    global $module_name;
    echo "<form action=\"modules.php?name=" . $module_name . "&amp;file=" . $file . "&amp;func=" . $func . "\" method=\"post\">\n";
}

/**
 * Prints a <SELECT> with given name or if name is empty a </SELECT>
 * -------------------------------------------------------------------------------
 */
function cgiSelect($name = "", $multiple = "", $array = 0)
{
    if ($name == "") {
        echo "</select>\n";
    } else {
        if ($array == 1) {
            $brackets = "[]";
        } else {
            $brackets = "";
        }
        echo "<select name =\"" . $name . "" . $brackets . "\" " . $multiple . ">\n";
    }
}

/**
 * Prints a <option value ="$value">$name</option>
 * If $name is empty then $name = $value
 * -------------------------------------------------------------------------------
 */
function cgiOption($value, $name = "", $selected = "")
{
    if ($name == "") {
        $name = $value;
    }
    if ($value == $selected) {
        echo "<option value=\"" . $value . "\" selected=\"selected\">" . $name . "\n";
    } else {
        echo "<option value=\"" . $value . "\">" . $name . "\n";
    }
}

/**
 * Prints a Submit Button with the given value
 * -------------------------------------------------------------------------------
 * Druckt einen Submit Button mit dem entsprechenden Titel
 */
function cgiSubmit($value)
{
    echo "<input type=\"submit\" value=\"" . $value . "\" />\n";
}

/**
 * Prints a Hidden Form Element
 * -------------------------------------------------------------------------------
 * Druckt ein hidden Form Element
 */
function cgiHidden($name, $value = "")
{
    echo "<input type=\"hidden\" name=\"" . $name . "\" value=\"" . $value . "\" />\n";
}

/**
 * prints a <input type='text'... with the given values
 */
function cgiText($name, $value, $size, $max)
{
    echo "<input type=\"text\" name=\"" . $name . "\" value=\"" . $value . "\" size=\"" . $size . "\" maxlength=\"" . $max . "\" />\n";
}

/**
 * prints a '<textarea'... with the given values
 */
function cgiTextArea($name, $rows, $cols, $value = '')
{
    echo "<textarea name=\"" . $name . "\" rows=\"" . $rows . "\" cols=\"" . $cols . "\">" . stripslashes($value) . "</textarea>\n";
}

/**
 * prints a <input type='password'... with the given values
 */
function cgiPassword($name, $value, $size, $max)
{
    echo "<input type=\"password\" name=\"" . $name . "\" value=\"" . $value . "\" size=\"" . $size . "\" maxlength=\"" . $max . "\" />\n";
}

/**
 * Prints an close Form tag
 * -------------------------------------------------------------------------------
 * Druckt einen </Form>
 */
function cgiFORMe()
{
    echo "</form>\n";
}
// Prints a link to a Modul Function
// $file is the file of the module
// $func is the function which should be called
// $text is the text of the link
// $var is a variable string in the form of "test=$test&amp;test2=$test2"
function cgiLinkM($file = '', $func, $text, $var = '')
{
    global $module_name;
    echo "<a href=\"modules.php?name=" . $module_name;
    if ($file != '') {
        echo "&amp;file=" . $file;
    }
    if ($func != '') {
        echo "&amp;func=" . $func;
    }
    if ($var != '') {
        echo "&amp;" . $var;
    }
    echo "\">" . $text . "</a>\n";
}

/**
 * Prints an <font class="$font"> if $font is empty it print a close tag
 * -------------------------------------------------------------------------------
 * Druckt <font class="$font"> wenn $font leer ist, wird </font> gedruckt
 */
function cgiFONTClass($font = '')
{
    if ($font <> '') {
        echo "<font class=\"" . $font . "\">\n";
    } else {
        echo "</font>\n";
    }
}

/**
 * Print a <center> TAG or if $close != 0 a </center>
 * -------------------------------------------------------------------------------
 * Druckt ein <center> TAG oder wenn $close != 0 ein </center>
 */
function cgiCenter($close = 0)
{
    if ($close == 0) {
        echo "<center>\n";
    } else {
        echo "</center>\n";
    }
}
/**
 * Prints a <TD>$str</TD> if $center is <> 0 it adds a <center>
 * -------------------------------------------------------------------------------
 */
function cgiTD($text, $center = 1)
{
    if ($text == '') {
        $text = "&#160;";
    }
    echo"<TD>\n";
    if ($center != 0) {
        cgiCenter();
    }
    echo $text;
    if ($center != 0) {
        cgiCenter(1);
    }
    echo "</TD>\n";
}

/**
 * Creates navigation-links previos/next page descending to the given parameter
 * -------------------------------------------------------------------------------
 * Erstellt Navigationsleiste vorige/naechste Seite abhaengig von den uebergebenen Parametern
 */
function prevnext ($paramto, $linkto, $counter, $int_counter, $menge, $anzahl)
{
    $int_counter = intval($int_counter);
    $menge = intval($menge);
    $anzahl = intval($anzahl);

    echo"<table border=\"0\" width=\"100%\"><tr>\n";
    If (($counter == 0) && ($menge > ($counter + $anzahl))) {
        $counter_next = ($counter + $anzahl);
        $parameter_nextlink = $paramto . "&amp;counter=" . $counter_next;
        echo"<td width=\"50%\">&nbsp;</td>";
        echo"<td width=\"50%\" align=\"right\"><a href=\"modules.php" . $linkto . "" . $parameter_nextlink . "\">" . _new_nextentry . " &#62;&#62;&#62;</a></td>";
    } elseif (($counter >= $anzahl) && ($menge > ($counter + $anzahl))) {
        $counter_next = ($counter + $anzahl);
        $counter_prev = ($counter - $anzahl);
        $parameter_nextlink = $paramto . "&amp;counter=" . $counter_next;
        $parameter_prevlink = $paramto . "&amp;counter=" . $counter_prev;
        echo"<td width=\"50%\" align=\"left\"><a href=\"modules.php" . $linkto . "" . $parameter_prevlink . "\">&#60;&#60;&#60; " . _new_preventry . "</a></td>";
        echo"<td width=\"50%\" align=\"right\"><a href=\"modules.php" . $linkto . "" . $parameter_nextlink . "\">" . _new_nextentry . " &#62;&#62;&#62;</a></td>";
    } elseif (($counter >= $anzahl) && ($menge <= ($counter + $anzahl))) {
        $counter_prev = ($counter - $anzahl);
        $parameter_prevlink = $paramto . "&amp;counter=" . $counter_prev;
        echo"<td width=\"50%\" align=\"left\"><a href=\"modules.php" . $linkto . "" . $parameter_prevlink . "\">&#60;&#60;&#60; " . _new_preventry . "</td>";
        echo"<td width=\"50%\">&nbsp;</td>";
    }
    echo"</tr></table>";
}

?>