<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.13.2.2 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:11:52 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 * Part of phpBB integration
 * Copyright (c) 2001 by
 * Richard Tirtadji AKA King Richard (rtirtadji@hotmail.com)
 * Hutdik Hermawan AKA hotFix (hutdik76@hotmail.com)
 * http://www.phpnuke.web.id
 */

defined('mxMainFileLoaded') or die('access denied');

/**
 * returns the online-status from the poster, in messageview
 */
function get_onlinestatus($uname)
{
    global $prefix, $user_prefix, $cookie, $url_images;
    $isonline = mxIsUserOnline($uname);
    if (!$isonline && $cookie[1] != $uname) {
        $online = _PMSOFFLINE;
        $img = "" . $url_images . "/td.gif";
    } else {
        $online = _PMSONLINE;
        $img = "" . $url_images . "/tu.gif";
    }
    $size = @getimagesize($img);
    if ($size) {
        return "<br><img src=\"" . $img . "\" alt=\"" . $online . "\" title=\"" . $online . "\" " . $size[3] . " border=\"0\">\n";
    } else {
        return "<br>" . $online . "";
    }
}

/**
 * userlist in a seperated window
 */
function userslist()
{
    global $userdata, $Default_Theme, $prefix, $user_prefix, $excludedusers, $url_images, $module_name, $showAdminAsUser, $showAdminPrefix;
    $content = "";
    $totalmembers = 1;
    $winheigth = 200;
    $qry = "SELECT uid, uname FROM ${user_prefix}_users WHERE user_stat=1 ORDER BY uname;";
    $result = sql_query($qry); # alle user aus Tabelle auslesen
    while (list($uid, $uname) = sql_fetch_row($result)) {
        $content .= "$totalmembers &nbsp;<A href=\"#\" onclick=\"setname('$uname')\" style=\"text-decoration : none;\">$uname</a><br>\n";
        $totalmembers++; # Anzahl aller User hochzaehlen/ermitteln
    }
    $totalmembers = $totalmembers-1; # Wieder einen User abziehen (war bei init 1)
    if ($totalmembers < 30) {
        $winheigth = $totalmembers * 30;
    }

    $ThemeSel = mxGetTheme();
    require_once("themes/$ThemeSel/theme.php");
    // include_once ("themes/$thetheme/theme.php");
    echo "<!DOCTYPE HTML PUBLIC \"-//W3C//DTD HTML 4.01 Transitional//EN\">\n";
    echo "<html><head><title>" . _PMSUSERSLIST . "</title>";
    echo "<meta http-equiv=\"Content-Type\" content=\"text/html; charset=" . _CHARSET . "\">\n";
    echo "<meta http-equiv=\"content-language\" content=\"" . _DOC_LANGUAGE . "\">\n";
    echo "<LINK REL=\"StyleSheet\" HREF=\"themes/$ThemeSel/style/style.css\" TYPE=\"text/css\">\n\n\n";
    echo "<script language=\"JavaScript\" type=\"text/javascript\">
<!--
	function resizewin(){
		window.resizeTo(240,$winheigth);
		window.moveTo((screen.width/2)-100,(screen.height/2)-($winheigth/2));
		window.focus();
		}
	function setname(thename) {
		opener.document.pmsubmit.to_user.value=thename;
		}
//-->
</script>";
    echo "</head><body bgcolor='#E9E9E9' text='#000000' link='#000000' vlink='#800080' leftmargin='0' topmargin='0' rightmargin='0' bottommargin='0' marginwidth='0' marginheight='0' style='margin: 0;' onLoad='resizewin()'>";
    // echo "<div class='content' style=' overflow: scroll; width: 100%; height: 99%;'>".$content."</div>";
    // echo "<div class='content' style=' overflow: scroll; width: 100%; height: ".($winheigth-27)."px;'>".$content."</div>";
    echo "<div class='content'>" . $content . "</div>";
    echo "</body></html>";
}

/**
 * ///////////
 */
function get_userdata_from_id($userid)
{
    $userid = (int)$userid;
    $userdata = mxGetUserDataFromUid($userid);
    return (count($userdata)) ? $userdata : array("error" => "1");
}

/**
 * ///////////
 */
function printsmilies()
{
    global $url_smiles, $smilie;
    $cols = 3;
    $count = 0;
    // asort($smilie);
    $break = (sizeof($smilie) / $cols);
    $rowspan = $cols + 1;
    $colspan = $break + 1;
    echo "<table border=\"0\" cellspacing=\"0\" cellpadding=\"2\" width=\"120\">
	<tr><td rowspan=\"$colspan\" width=\"1\"></td><td colspan=\"$rowspan\"><font class=\"tiny\">" . _PMSCLICKSMILEBUTTONS . "</font></td></tr>
	<tr valign=\"top\"><td>";
    foreach ($smilie as $vals) {
        $count++;
        $size = @getimagesize("$url_smiles/$vals[2]");
        $size = $size[3];
        echo "<a href=\"javascript:insertAtCaret('$vals[0]','')\"><img src=\"$url_smiles/$vals[2]\" border=\"0\" $size alt=\"$vals[1] $vals[0]\" title=\"$vals[1] $vals[0]\" vspace=\"3\"></a>\n";
        if (($count >= $break) && $count < sizeof($smilie)) {
            echo "</td><td>";
            $break = $break + $count;
            // $count=0;
        }
    }
    echo "</td></tr></table>";
}

/**
 * ///////////
 */
function printbuddysmilies()
{
    global $url_smiles, $smilie;
    $cols = 1;
    $count = 0;
    // asort($smilie);
    $break = (sizeof($smilie) / $cols);
    $content = '';
    foreach ($smilie as $vals) {
        $count++;
        $size = @getimagesize("$url_smiles/$vals[2]");
        $size = $size[3];
        $content .= "<a href=\"javascript:insertAtCaret('$vals[0]','')\"><img src=\"$url_smiles/$vals[2]\" border=\"0\" $size alt=\"$vals[1] $vals[0]\" vspace=\"3\"></a>\n";
        if (($count >= $break) && $count < sizeof($smilie)) {
            $content .= "<br>";
            $break = $break + $count;
        }
    }
    return $content;
}

/**
 * ///////////
 */
function putitems()
{
    global $prefix, $url_images;
    echo "<table border=\"0\" cellspacing=\"0\" cellpadding=\"3\"><tr>";
    echo "<td><a href=\"javascript:insertAtCaret('[url]','[/url]')\"><IMG src=\"$url_images/bb_url.gif\" border=\"0\" alt=\"BBCode: Web Address\"></a></td>";
    echo "<td><a href=\"javascript:insertAtCaret('[email]','[/email]')\"><IMG src=\"$url_images/bb_email.gif\" border=\"0\" alt=\"BBCode: Email Address\"></a></td>";
    echo "<td><a href=\"javascript:insertAtCaret('[img]','[/img]')\"><IMG src=\"$url_images/bb_image.gif\" border=\"0\" alt=\"BBCode: Load Image from Web\"></a></td>";
    echo "<td><a href=\"javascript:insertAtCaret('[b]','[/b]')\"><IMG src=\"$url_images/bb_bold.gif\" border=\"0\" alt=\"BBCode: Bold Text\"></a></td>";
    echo "<td><a href=\"javascript:insertAtCaret('[i]','[/i]')\"><IMG src=\"$url_images/bb_italicize.gif\" border=\"0\" alt=\"BBCode: Italic Text\"></a></td>";
    echo "<td><a href=\"javascript:insertAtCaret('[quote]','[/quote]')\"><IMG src=\"$url_images/bb_quote.gif\" border=\"0\" alt=\"BBCode: Quote\"></a></td>";
    // echo "<td><a href=\"javascript:insertAtCaret('[code]','[/code]')\"><IMG src=\"$url_images/bb_code.gif\" border=\"0\" alt=\"BBCode: Code\"></a></td>";
    echo "</tr></table><font class=\"tiny\">" . _PMSCLICKCODEBUTTONS . "</font><br>";
}

/**
 * ///////////
 */
function pmValueToText($tmp)
{
    $tmp = ereg_replace(10, "", $tmp);
    $tmp = ereg_replace(9, "&nbsp;&nbsp;&nbsp;&nbsp;&nbsp;", $tmp);
    $tmp = ereg_replace("<", "&lt;", $tmp);
    $tmp = ereg_replace(">", "&gt;", $tmp);
    $tmp = ereg_replace("\"", "&quot;", $tmp);
    // $tmp = str_replace("\\","\\\\",$tmp);
    $tmp = ereg_replace("'", "`", $tmp);
    // $tmp = ereg_replace(13,"<br>",$tmp);
    $tmp = ereg_replace(13, " ", $tmp);
    $tmp = mxNL2BR($tmp);
    return $tmp;
}

/**
 * ///////////
 */
function loadindexjavascript()
{
    global $bgcolor1, $bgcolor2, $bgcolor3, $textcolor1, $textcolor2, $popupwidth, $poptableborder, $module_name;
    echo "
<script language=\"javascript1.2\" type=\"text/javascript\">
<!--
function CheckAll() {
	for (var i=0;i<document.prvmsg.elements.length;i++) {
		var e = document.prvmsg.elements[i];
		if ((e.name != 'allbox') && (e.type=='checkbox'))
			e.checked = document.prvmsg.allbox.checked;
			}
		}
function CheckCheckAll() {
	var TotalBoxes = 0;
	var TotalOn = 0;
	for (var i=0;i<document.prvmsg.elements.length;i++) {
		var e = document.prvmsg.elements[i];
		if ((e.name != 'allbox') && (e.type=='checkbox')) {
			TotalBoxes++;
			if (e.checked) {
				TotalOn++;
				}
			}
		}
	if (TotalBoxes==TotalOn) {
		document.prvmsg.allbox.checked=true;
		}
	else {
		document.prvmsg.allbox.checked=false;
		}
	}
//-->
</script>\n";
}

/**
 * ///////////
 */
function mxPmGetPictos($current)
{
    global $url_icons;
    $count = 0;
    $handle = opendir($url_icons);
    while ($file = readdir($handle)) {
        if (ereg(".gif|.jpg", $file)) {
            $filelist[] = $file;
        }
    }
    asort($filelist);
    $pictos = '<table border="0" cellspacing="0" cellpadding="0"><tr>';
    foreach ($filelist as $file) {
        if ($file == $current) {
            $sel = " checked";
        } else {
            $sel = "";
        }
        $pictos .= "<td><input type=\"radio\" name=\"image\" value=\"$file\"$sel style=\"background-color: transparent;\"><img src=\"$url_icons/$file\" alt=\"\" border=\"0\"></td>";
        $count++;
        if ($count >= 8) {
            $count = 0;
            $pictos .= "</tr><tr>";
        }
    }
    $pictos .= '</tr></table>';
    $pictos = str_replace('<tr></tr>', '', $pictos);
    return $pictos;
}

if (!function_exists('msg_smile')) {
    function msg_smile($x)
    {
        return $x;
    }
}
if (!function_exists('msg_desmile')) {
    function msg_desmile($x)
    {
        return $x;
    }
}
if (!function_exists('msg_bbencode')) {
    function msg_bbencode($x)
    {
        return $x;
    }
}
if (!function_exists('msg_bbdecode')) {
    function msg_bbdecode($x)
    {
        return $x;
    }
}
if (!function_exists('msg_bbencode_quote')) {
    function msg_bbencode_quote($x)
    {
        return $x;
    }
}
if (!function_exists('make_clickable')) {
    function make_clickable($x)
    {
        return $x;
    }
}

?>
