<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.5 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:04:58 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 * Part of phpBB integration
 * Copyright (c) 2001 by
 * Richard Tirtadji AKA King Richard (rtirtadji@hotmail.com)
 * Hutdik Hermawan AKA hotFix (hutdik76@hotmail.com)
 * http://www.phpnuke.web.id
 */

defined('mxMainFileLoaded') or die('access denied');
define("_CHARSET_BB", "ISO-8859-1");
define("_DOC_LANGUAGE_BB", "en");

?>
<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html><head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo _CHARSET_BB ?>" />
<meta http-equiv="content-language" content="<?php echo _DOC_LANGUAGE_BB ?>" />
<title>bbCode, <?php echo $sitename ?></title>
<link rel="StyleSheet" href="themes/<?php echo $themesel ?>/style/style.css" type="text/css" />
</head>
<body style="margin: 2em;">
<p><br />
<div class="content">
<center>W H A T &nbsp;&nbsp;  I S &nbsp;&nbsp; B B C O D E ?
</center>
<p>
BBCode is a variation on the HTML tags you may already be familiar with.  Basically, it allows you to add functionality or style to your message that would normally require HTML.  You can use BBCode even if HTML is not enabled for the forum you are using.  You may want to use BBCode as opposed to HTML, even if HTML is enabled for your forum, because there is less coding required and it is safer to use (incorrect coding syntax will not lead to as many problems).
<p>
<b>Current BBCodes:</b>
<p>
<table border=0 cellpadding=0 cellspacing=0 width="100%"><tr><td bgcolor="#FFFFFF">
<table border=0 cellpadding=4 border=0 cellspacing=1 width=100%>
<tr bgcolor="<?php echo $bgcolor2 ?>">
<td>
<font class="content" color="<?php echo $textcolor2;
?>">
URL Hyperlinking</font></td></tr>
<tr bgcolor="<?php echo $bgcolor1 ?>"><td><font class="content">
NEW! If BBCode is enabled in a forum, you no longer need to use the [URL] code to create a hyperlink.  Simply type the complete URL in either of the following manners and the hyperlink will be created automatically:
<ul><font class="content" color="silver">
<li> http://www.yourURL.com
<li> www.yourURL.com
</font>
Notice that you can either use the complete http:// address or shorten it to the www domain.  If the site does not begin with "www", you must use the complete "http://" address.  Also, you may use https and ftp URL prefixes in auto-link mode (when BBCode is ON).
<p>
The old [URL] code will still work, as detailed below.
Just encase the link as shown in the following example (BBCode is in <font color="#FF0000">red</font>).
<p><center>
<font color="#FF0000">[url]</font>www.totalgeek.org<font color="#FF0000">[/url]</font>
<p></center>
NEW! You can now have true hyperlinks using the [url] code.  Just use the following format:
<br /><center>
<font color="#FF0000">[url=http://www.totalgeek.org]</font>totalgeek.org<font color="#FF0000">[/url]</font>
</center><p>
In the examples above, the BBCode automatically generates a hyperlink to the URL that is encased.  It will also ensure that the link is opened in a new window when the user clicks on it. Note that the "http://" part of the URL is completely optional. In the second example above, the URL will hypelink the text to whatever URL you provide after the equal sign.  Also note that you should NOT use quotation marks inside the URL tag.
</font>
</td>
<tr bgcolor="<?php echo $bgcolor2 ?>"><td>
<font class="content" color="<?php echo $textcolor2;
?>">
Email Links</font></td></tr>
<tr bgcolor="<?php echo $bgcolor1 ?>"><td>
<font class="content">
To add a hyperlinked email address within your message, just encase the email address as shown in the following example (BBCode is in <font color="#FF0000">red</font>).
<p>
<center>
<font color="#FF0000">[email]</font>james@totalgeek.org<font color="#FF0000">[/email]</font>
</center>
<p>
In the example above, the BBCode automatically generates a hyperlink to the email address that is encased.
</font>
</td></tr>
<tr bgcolor="<?php echo $bgcolor2 ?>"><td>
<font class="content" color="<?php echo $textcolor2;
?>">
Bold and Italics</font></td></tr>
<tr bgcolor="<?php echo $bgcolor1 ?>"><td>
<font class="content">
You can make italicized text or make text bold by encasing the applicable sections of your text with either the [b] [/b] or [i] [/i] tags.
<p>
<center>
Hello, <font color="#FF0000">[b]</font><b>James</b><font color="#FF0000">[/b]</font><br />
Hello, <font color="#FF0000">[i]</font><i>Mary</i><font color="#FF0000">[/i]</font>
</center>
</font>
</td></tr>
<tr bgcolor="<?php echo $bgcolor2 ?>"><td>
<font class="content" color="<?php echo $textcolor2;
?>">
Bullets/Lists</font></td></tr>
<tr bgcolor="<?php echo $bgcolor1 ?>"><td>
<font class="content">
You can make bulleted lists or ordered lists (by number or letter).
<p>
Unordered, bulleted list:
<p>
<font color="#FF0000">[list]</font>
<br />
<font color="#FF0000">[*]</font> This is the first bulleted item.<br />
<font color="#FF0000">[*]</font> This is the second bulleted item.<br />
<font color="#FF0000">[/list]</font>
<p>
This produces:
<ul>
<li> This is the first bulleted item.
<li> This is the second bulleted item.
</ul>
Note that you must include a closing [/list] when you end each list.
<p>
Making ordered lists is just as easy.  Just add either [LIST=A] or [LIST=1].  Typing [List=A] will produce a list from A to Z.  Using [List=1] will produce numbered lists.
<p>
Here's an example:
<p>
<font color="#FF0000">[list=A]</font>
<br />
<font color="#FF0000">[*]</font> This is the first bulleted item.<br />
<font color="#FF0000">[*]</font> This is the second bulleted item.<br />
<font color="#FF0000">[/list]</font>
<p>
This produces:
<ol type=a>
<li> This is the first bulleted item.
<li> This is the second bulleted item.
</ol>
</font>
</td></tr>
<tr bgcolor="<?php echo $bgcolor2 ?>"><td>
<font class="content" color="<?php echo $textcolor2;
?>">
Adding Images</font></td></tr>
<tr bgcolor="<?php echo $bgcolor1 ?>"><td>
<font class="content">
To add a graphic within your message, just encase the URL of the graphic image as shown in the following example (BBCode is in <font color="#FF0000">red</font>).
<p>
<center>
<font color="#FF0000">[img]</font>http://www.totalgeek.org/images/tline.gif<font color="#FF0000">[/img]</font>
</center>
<p>
In the example above, the BBCode automatically makes the graphic visible in your message.  Note: the "http://" part of the URL is REQUIRED for the <font color="#FF0000">[img]</font> code.  Also note: some UBB forums may disable the <font color="#FF0000">[img]</font> tag support to prevent objectionable images from being viewed.
</font>
</td></tr>
<tr bgcolor="<?php echo $bgcolor2 ?>"><td>
<font class="content" color="<?php echo $textcolor2;
?>">
Quoting Other Messages</font></td></tr>
<tr bgcolor="<?php echo $bgcolor1 ?>"><td>
<font class="content">
To reference something specific that someone has posted, just cut and paste the applicable verbiage and enclose it as shown below (BBCode is in <font color="#FF0000">red</font>).
<p>
<center>
<font color="#FF0000">[QUOTE]</font>Ask not what your country can do for you....<br />ask what you can do for your country.<font color="#FF0000">[/QUOTE]</font>
</center>
<p>
In the example above, the BBCode automatically blockquotes the text you reference.</font>
</td>
</tr>
<tr bgcolor="<?php echo $bgcolor2 ?>"><td>
<font class="content" color="<?php echo $textcolor2;
?>">
Code Tag</font></td></tr>
<tr bgcolor="<?php echo $bgcolor1 ?>"><td>
<font class="content">
Similar to the Quote tage, the Code tag adds some &lt;PRE&gt; tags to preserve formatting.  This useful for displaying programming code, for instance.
<p>
<font color="#FF0000">[CODE]</font>#!/usr/bin/perl
<p>
print "Content-type: text/html';
<br />
print "Hello World!';
<font color="#FF0000">[/CODE]</font>
<p>
In the example above, the BBCode automatically blockquotes the text you reference and preserves the formatting of the coded text.</font>
</td>
</tr>
</table>
</td></tr></table>
</blockquote>
<br /><br />
<font color="<?php echo $textcolor2 ?>" ><b>Of Note</b>
<br />
You must not use both HTML and BBCode to do the same function.  Also note that the BBCode is not case-sensitive (thus, you could use <font color="#FF0000">[URL]</font> or <font color="#FF0000">[url]</font>).
<p>
<font color="<?php echo $textcolor2 ?>">Incorrect BBCode Usage:</font>
<p>
<font color="#FF0000">[url]</font> www.totalgeek.org <font color="#FF0000">[/url]</font> - don't put spaces between the bracketed code and the text you are applying the code to.
<p>
<font color="#FF0000">[email]</font>james@totalgeek.org<font color="#FF0000">[email]</font> - the end brackets must include a forward slash (<font color="#FF0000">[/email]</font>)
<p><font class="tiny">
<br />
</font>
</font>
</b>
<hr />
<p><br /><p>
<center>
<table width="50%" border="1" cellspacing="0" cellpadding="5"><tr><td colspan=3 bgcolor="<?php echo $bgcolor1 ?>" align="center">
<p>S M I L I E S</p>
<p>Smilies are small graphical images that can be used to convey an emotion or feeling.</p>
</td></tr>
<tr bgcolor="<?php echo $bgcolor2 ?>">
<td><b>What to Type</b></td>
<td><b>Emotion</b></td>
<td><b>Graphic That Will Appear</b></td>
</tr>
<?php
foreach ($smilie as $vals) {
    echo '<tr><td>' . $vals[0] . '</td><td>' . $vals[1] . '</td><td> <img src="' . $url_smiles . '/' . $vals[2] . '" border="0" alt="' . $vals[1] . ' ' . $vals[0] . '" title="' . $vals[1] . ' ' . $vals[0] . '" /></td></tr>';
}

?>
<tr><td colspan=3 bgcolor="<?php echo $bgcolor1 ?>" align="center">
<p>Note: you may disable smilies in any post you are making, if you like.  Look for the "Disable Smilies" box on each post page, if you want to turn off smilie conversion in your particular post.</p>
</td></tr></table>
</center>
</div>
</body>
</html>