<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.14 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:04:58 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 * fixes by Marco Andreas (MarcoA/eMmA) http://www.kirmestreffen.de
 */

defined('mxMainFileLoaded') or die('access denied');

$module_name = basename(dirname(__FILE__));
mxGetLangfile($module_name);

$pagetitle = _SURVEYS;

$_POST['voteID'] = (empty($_POST['voteID'])) ? 0 : intval($_POST['voteID']);
$_POST['voteID'] = ($_POST['voteID'] < 1) ? 0 : $_POST['voteID'];

if (empty($mode)) $mode = "";

if (isset($_REQUEST['pollID'])) {
    $_REQUEST['pollID'] = intval($_REQUEST['pollID']);
    $pollID = $_REQUEST['pollID'];
} else {
    $_REQUEST['pollID'] = 0;
    $pollID = 0;
}
// ###############################################################
// pruefen ob Umfrage aktiv, wenn nicht, results anzeigen, sonst nichts...
$pollactive = 1;
// if(!empty($pollID) && empty($forwarder) && $op!="results" && empty($voteID)) {
if (!empty($pollID) && $op != "results") {
    $result = sql_query("SELECT pollactive FROM ${prefix}_poll_desc WHERE (pollID=$pollID)");
    list($pollactive) = sql_fetch_row($result);
    if (!$pollactive) {
        $op = "results";
    }
}
// check, ob ausser der aktuellen noch andere Umfragen vorhanden sind
$result = sql_query("SELECT count(pollID) FROM ${prefix}_poll_desc WHERE (pollID<>$pollID)");
list($pollcount) = sql_fetch_row($result);
// ###############################################################
// / Entscheidung was zu tun ist ;-))
if (empty($pollID)) {
    include('header.php');
    pollList();
    include('footer.php');
} elseif (isset($_POST['forwarder']) && $pollactive) {
    pollCollector($_POST['pollID'], $_POST['voteID'], $_POST['forwarder']);
} elseif ($op == "results") {
    include('header.php');
    pollTitlebar(_CURRENTPOLLRESULTS);
    echo '<table border="0" cellspacing="0" cellpadding="0"><tr valign="top"><td width="65%">';
    pollResults($pollID);
    if ($pollcount) {
        echo '</td><td width="35%">';
        pollLast5Polls($pollID);
    }
    echo '</td></tr></table>';
    if ($pollcomm) {
        echo '<br />';
        include("modules/$module_name/comments.php");
    }
    include('footer.php');
} elseif (!empty($_POST['voteID'])) {
    pollCollector($_POST['pollID'], $_POST['voteID']);
} else {
    $pollLatest = pollLatest();
    $caption = ($pollLatest == $pollID) ? _CURRENTSURVEY : _SURVEY;
    include('header.php');
    pollTitlebar($caption);
    echo '<table border="0" cellspacing="0" cellpadding="0"><tr valign="top"><td width="65%">';
    pollMain($pollID);
    if ($pollcount) {
        echo '</td><td width="35%">';
        pollLast5Polls($pollID);
    }
    echo "</td></tr></table>";
    include('footer.php');
}

/**
 */
/* Functions                                             */
/**
 */

function pollTitlebar($caption)
{
    OpenTable();
    echo "<center><font class=\"title\"><b>" . $caption . "</b></font><br /><span class=\"tiny\">(" . _NOTPRAESE . ")</span></center>";
    CloseTable();
    echo '<br />';
}

function pollLast5Polls($pollID)
{
    global $prefix, $module_name, $sitename;
    $polls = '';
    $resu = sql_query("SELECT pollID, pollTitle, voters FROM ${prefix}_poll_desc WHERE artid=0 AND pollID <> $pollID order by timeStamp DESC limit 0,5");
    while (list($plid, $pltitle, $plvoters) = sql_fetch_row($resu)) {
        $arrow = mxCreateImage("modules/$module_name/images/arrow.gif", $pltitle);
        if ($pollID == $plid) {
            $polls .= "<tr valign='top'><td>" . $arrow . "&nbsp;</td><td>$pltitle ($plvoters " . _LVOTES . ")</td></tr>";
        } else {
            $polls .= "<tr valign='top'><td>" . $arrow . "&nbsp;</td><td><a href='modules.php?name=$module_name&amp;op=results&amp;pollID=$plid'>$pltitle</a> ($plvoters " . _LVOTES . ")</td></tr>";
        }
    }
    OpenTable();
    echo "<p><b>" . _LAST5POLLS . " $sitename</b></p>
	<table width='100%' border='0' cellspacing='0' cellpadding='3'>$polls</table>
	<p><a href='modules.php?name=$module_name'><b>" . _MOREPOLLS . "</b></a></p>";
    CloseTable();
}

function pollMain($pollID)
{
    global $prefix, $module_name;
    $pollID = (empty($pollID)) ? 1 : intval($pollID);

    $result = sql_query("SELECT pollTitle, voters, pollactive FROM ${prefix}_poll_desc WHERE pollID=" . $pollID);
    list($pollTitle, $voters, $pollactive) = sql_fetch_row($result);

    $url_result = sprintf("modules.php?name=$module_name&amp;op=results&amp;pollID=%d", $pollID);

    $options = '';
    $sum = 0;
    $result = sql_query("SELECT optionText, optionCount, voteID FROM ${prefix}_poll_data WHERE (pollID=$pollID) AND (optionText<>'') ORDER BY voteID "); // " ORDER BY voteID " eingefgt von Marco Andreas
    while (list($optionText, $optionCount, $voteID) = sql_fetch_row($result)) {
        $options .= "<tr valign=\"top\"><td><input type=\"radio\" name=\"voteID\" value=\"" . $voteID . "\" /></td><td width=\"100%\"><span class=\"content\">" . $optionText . "</span></td></tr>\n";
        $sum = $sum + $optionCount;
    }

    $button = '';
    if ($pollactive) {
        $button = '<tr><td colspan="2" align="center"><input type="submit" value="' . _VOTE . '" /></td></tr>';
    }

    $comments = '';
    if ($GLOBALS['pollcomm']) {
        list($numcom) = sql_fetch_row(sql_query("select count(pollID) from ${prefix}_pollcomments where pollID=" . $pollID . ""));
        $comments = "<b>" . _PCOMMENTS . " $numcom</b><br />";
    }

    $content = '
	<form action="modules.php?name=' . $module_name . '" method="post">
	<input type="hidden" name="name" value="' . $module_name . '" />
	<input type="hidden" name="pollID" value="' . $pollID . '" />
	<input type="hidden" name="forwarder" value="' . $url_result . '" />
	<span class="content"><b>' . $pollTitle . '</b></span><br /><br />
	<table border="0" width="100%" cellpadding="3" cellspacing="0">
	' . $options . '' . $button . '
	</table>
	</form>
	<br />
	<div align="center" class="content">
	<b>' . _TOTALVOTES . ' ' . $sum . '</b><br />' . $comments . '<br /><br />
	[&nbsp;<a href="' . $url_result . '">' . _RESULTS . '</a>&nbsp;]<br />
	</div>
	';
    OpenTable();
    echo $content;
    if (MX_IS_ADMIN) {
        echo "<br /><center>[&nbsp;<a href=\"admin.php?op=createPoll\">" . _ADD . "</a> | <a href=\"admin.php?op=polledit&amp;pollID=$pollID\">" . _EDIT . "</a>&nbsp;]</center>";
    }
    CloseTable();
}

function pollLatest()
{
    global $prefix, $multilingual, $currentlang;
    if ($multilingual == 1) {
        $thislang = (ereg("german", $currentlang)) ? "german" : $currentlang;
        $querylang = "WHERE (planguage LIKE '%$thislang%' OR planguage = '') AND artid = 0";
    } else {
        $querylang = "WHERE artid = 0";
    }
    $result = sql_query("SELECT MAX(pollID) FROM ${prefix}_poll_desc $querylang");
    list($pollID) = sql_fetch_row($result);
    return($pollID);
}

function pollCollector($pollID, $voteID, $forwarder)
{
    global $prefix, $module_name;
    list($pollID, $voteID) = mxForceInteger($pollID, $voteID);
    $voteValid = false;

    if ($forwarder) {
        $forwarder = strip_tags($forwarder);
        if (!preg_match('!^http!', $forwarder)) {
            // Removing leading slashes from redirect url
            $forwarder = MX_BASE_URL . (preg_replace('!^/*!', '', $forwarder));
        }
    }
    $msgAdd = "<br /><br /><font class=\"content\">[&nbsp;<a href=\"modules.php?name=$module_name&amp;op=results&amp;pollID=$pollID\">" . _RESULTS . "</a> | <a href=\"modules.php?name=$module_name\">" . _POLLS . "</a>&nbsp;]</font><br /><br />";
    $msg = _ISNOTCOUNTED . $msgAdd;
    if (empty($voteID)) {
        if ($forwarder) header("Refresh: 3;url=$forwarder");
        mxMessageScreen($msg, _CURRENTSURVEY, 1);
    }
    $past = time()-1800;
    sql_query("DELETE FROM ${prefix}_poll_check WHERE time < $past");
    $result = sql_query("SELECT ip FROM ${prefix}_poll_check WHERE (ip='" . MX_REMOTE_ADDR . "') AND (pollID='$pollID')");
    list($ips) = sql_fetch_row($result);
    if (MX_REMOTE_ADDR == $ips) {
        $voteValid = false;
    } else {
        if (sql_query("INSERT INTO ${prefix}_poll_check (ip, time, pollID) VALUES ('" . MX_REMOTE_ADDR . "', '" . time() . "', '$pollID')")) {
            $voteValid = true;
        } else {
            mxErrorScreen("Database Error");
        }
    }
    /* update database if the vote is valid */
    if ($voteValid) {
        if (sql_query("UPDATE ${prefix}_poll_data SET optionCount=optionCount+1 WHERE (pollID=$pollID) AND (voteID=$voteID)")) {
            if (sql_query("UPDATE ${prefix}_poll_desc SET voters=voters+1 WHERE pollID=$pollID")) {
                $msg = _ISCOUNTED . $msgAdd;
            }
        }
    }
    if ($forwarder) header("Refresh: 3;url=$forwarder");
    mxMessageScreen($msg, _CURRENTSURVEY, 1);
}

function pollList()
{
    global $prefix, $multilingual, $currentlang, $admin, $module_name;
    if ($multilingual == 1) {
        $thislang = (ereg("german", $currentlang)) ? "german" : $currentlang;
        // $querylang = "WHERE (planguage LIKE '%$thislang%' OR planguage = '') AND artid = 0";
        $querylang = "WHERE (planguage LIKE '%$thislang%' OR planguage = '')";
    } else {
        $querylang = "WHERE artid = 0";
    }
    $list1 = '';
    $list2 = '';
    $resultset = sql_query("SELECT pollID, pollTitle, timeStamp, voters, artid FROM ${prefix}_poll_desc $querylang ORDER BY timeStamp DESC");
    while (list($id, $pollTitle, $timeStamp, $voters, $artid) = sql_fetch_row($resultset)) {
        // mxDebugFuncVars($id, $pollTitle, $timeStamp, $voters, $artid);
        $result = sql_query("SELECT SUM(optionCount) AS sum FROM ${prefix}_poll_data WHERE pollID=" . intval($id));
        list($sum) = sql_fetch_row($result);
        $editing = "";
        if (MX_IS_ADMIN) {
            $editing = " - <a href=\"admin.php?op=polledit&amp;pollID=$id\">" . _EDIT . "</a>";
        }
        if (empty($artid)) {
            $list1 .= "<tr valign=\"top\">
			<td>" . mxCreateImage("modules/$module_name/images/arrow.gif", $pollTitle) . "&nbsp;<a href=\"modules.php?name=$module_name&amp;pollID=$id\">$pollTitle</a></td>
			<td>(<a href=\"modules.php?name=$module_name&amp;op=results&amp;pollID=$id\">" . _RESULTS . "</a> - $sum " . _LVOTES . " $editing)</td>
			</tr>";
        } else {
            $res = sql_query("select sid, title from " . $prefix . "_stories where pollID='$id' AND time <= now()");
            list($sid, $title) = sql_fetch_row($res);
            if ($sid) {
                $list2 .= "<tr valign=\"top\">
    			<td>" . mxCreateImage("modules/$module_name/images/arrow.gif", $pollTitle) . "&nbsp;<a href=\"modules.php?name=$module_name&amp;pollID=$id\">$pollTitle</a></td>
    			<td>(<a href=\"modules.php?name=$module_name&amp;op=results&amp;pollID=$id\">" . _RESULTS . "</a> - $sum " . _LVOTES . "$editing)<br />\n"
                 . _ATTACHEDTOARTICLE . " <a href=\"modules.php?name=News&amp;file=article&amp;sid=$sid\">$title</a></td>
    			</tr>";
            }
        }
    }

    if (!empty($list1)) {
        pollTitlebar(_SURVEYS);
        OpenTable();
        echo "<table border=\"0\" cellpadding=\"5\" cellspacing=\"0\">" . $list1 . "</table><br />";
        CloseTable();
        echo '<br />';
    }

    if (!empty($list2)) {
        pollTitlebar(_SURVEYSATTACHED);
        OpenTable();
        echo "<table border=\"0\" cellpadding=\"5\" cellspacing=\"0\">" . $list2 . "</table><br />";
        CloseTable();
        echo '<br />';
    }

    if (MX_IS_ADMIN) {
        OpenTable();
        echo "<center>[&nbsp;<a href=\"admin.php?op=createPoll\">" . _ADD . "</a>&nbsp;]</center>";
        CloseTable();
    }
}

function pollResults($pollID)
{
    global $resultTableBgColor, $resultBarFile, $Default_Theme, $prefix, $admin, $module_name;
    if (empty($pollID)) {
        $pollID = 1;
    }

    if (@file_exists(MX_THEME_DIR . "/images/survey_leftbar.gif") && @file_exists(MX_THEME_DIR . "/images/survey_mainbar.gif") && @file_exists(MX_THEME_DIR . "/images/survey_rightbar.gif")) {
        $leftbar = MX_THEME_DIR . "/images/survey_leftbar.gif";
        $mainbar = MX_THEME_DIR . "/images/survey_mainbar.gif";
        $rightbar = MX_THEME_DIR . "/images/survey_rightbar.gif";
    } else if (@file_exists(MX_THEME_DIR . "/images/leftbar.gif") && @file_exists(MX_THEME_DIR . "/images/mainbar.gif") && @file_exists(MX_THEME_DIR . "/images/rightbar.gif")) {
        $leftbar = MX_THEME_DIR . "/images/leftbar.gif";
        $mainbar = MX_THEME_DIR . "/images/mainbar.gif";
        $rightbar = MX_THEME_DIR . "/images/rightbar.gif";
    } else {
        $leftbar = "modules/$module_name/images/leftbar.gif";
        $mainbar = "modules/$module_name/images/mainbar.gif";
        $rightbar = "modules/$module_name/images/rightbar.gif";
    }

    $l_size = getimagesize($leftbar);
    $m_size = getimagesize($mainbar);
    $r_size = getimagesize($rightbar);

    $result = sql_query("SELECT pollTitle, timeStamp, artid, pollactive FROM ${prefix}_poll_desc WHERE pollID=" . intval($pollID));
    list($pollTitle, $timeStamp, $artid, $pollactive) = sql_fetch_row($result);
    $pollactive = ($pollactive) ? 1 : 0;

    $result = sql_query("SELECT SUM(optionCount) AS sum FROM ${prefix}_poll_data WHERE pollID=" . intval($pollID));
    list($sum) = sql_fetch_row($result);

    OpenTable();
    echo "<b>$pollTitle</b><br /><br />";
    echo '<table border="0" cellspacing="0" cellpadding="2">';
    /* cycle through all options */

    $result = sql_query("SELECT pollID, optionText, optionCount, voteID FROM ${prefix}_poll_data WHERE (pollID=" . intval($pollID) . ") AND (optionText<>'') ORDER BY voteID"); // " ORDER BY voteID " eingefgt von Marco Andreas
    while ($object = sql_fetch_array($result)) {
        if ($sum) {
            $percent = 100 * $object['optionCount'] / $sum;
        } else {
            $percent = 0;
        }

        $percentInt = intval($percent * 2.5);
        $percent2 = intval($percent);
        $var = ($percent > 0) ? $percentInt : $m_size[0];

        echo '<tr valign="top"><td>';
        echo $object['optionText'];
        echo '</td><td class="tiny">';
        echo "<img src=\"$leftbar\" height=\"$l_size[1]\" width=\"$l_size[0]\" alt=\"$percent2 %\" title=\"$percent2 %\" />";
        echo "<img src=\"$mainbar\" height=\"$m_size[1]\" width=\"$var\" alt=\"$percent2 %\" title=\"$percent2 %\" />";
        echo "<img src=\"$rightbar\" height=\"$r_size[1]\" width=\"$r_size[0]\" alt=\"$percent2 %\" title=\"$percent2 %\" />";
        printf(" %.2f%% (%s)", $percent, $object['optionCount']);
        echo "</td></tr>";
    }

    echo "</table><br />";
    echo "<center><span class=\"content\">";
    echo "<b>" . _TOTALVOTES . " $sum</b><br />";
    echo "<br /><br />";
    $booth = $pollID;
    if ($artid > 0) {
        $article = "<br /><br />" . _GOBACK . "</span></center>";
    } else {
        $article = "</span></center>";
    }
    // echo "";
    if ($pollactive) {
        echo "[&nbsp;<a href=\"modules.php?name=$module_name&amp;pollID=$booth\">" . _VOTING . "</a>&nbsp;] ";
    }
    // echo "<a href=\"modules.php?name=$module_name\">"._OTHERPOLLS."</a> $article";
    echo $article;
    if (MX_IS_ADMIN) {
        echo "<br /><center>[&nbsp;<a href=\"admin.php?op=createPoll\">" . _ADD . "</a> | <a href=\"admin.php?op=polledit&amp;pollID=$pollID\">" . _EDIT . "</a>&nbsp;]</center>";
    }
    CloseTable();
}

?>