<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.12.2.1 $
 * $Author: tora60 $
 * $Date: 2008/02/02 10:40:53 $
 *
 * this file based on:
 * Headline in Page Module: Headlines on page v0.7
 * Copyright (c) 2001 by Christophe Deltheil (trollix@hacknuke.com), http://hacknuke.com
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

defined('mxMainFileLoaded') or die('access denied');

if (!defined('PMX_VERSION')) {
    mxErrorScreen('pragmaMx >= 0.1.10 is required');
}

$module_name = basename(dirname(__FILE__));
mxGetLangfile($module_name);
$pagetitle = _HIP_TITLE;

include ("modules/$module_name/config.inc.php");
include_once(PMX_SYSTEM_DIR . "/class_RSS_feed.php");
$feed_parser = new RSS_feed();

function HIPthemesidebox($title, $wn_content, $wn_description, $reads = 0)
{
    if ($wn_description) {
        $wn_description = preg_replace('~&(?![a-zA-Z]{2,6};|#[0-9]{2,3};)~', '&amp;', $wn_description); // & durch &amp; ersetzen
        $wn_description = "&nbsp;-&nbsp;" . $wn_description;
    }
    // $title = utf8_decode($title);
    // $wn_content = utf8_decode($wn_content);
    $title = preg_replace('~&(?![a-zA-Z]{2,6};|#[0-9]{2,3};)~', '&amp;', $title); // & durch &amp; ersetzen
    $wn_content = preg_replace('~&(?![a-zA-Z]{2,6};|#[0-9]{2,3};)~', '&amp;', $wn_content); // & durch &amp; ersetzen
    if ($reads > 1) {
        $HIP_READS = "" . _HIP_READS;
    } else {
        $HIP_READS = "" . _HIP_READ;
    }
    echo '
	<table border="0" cellspacing="0" cellpadding="0" width="98%" align="center" style="background-color: ' . $GLOBALS['bgcolor1'] . ';"><tr><td>
	<table width="100%" border="0" cellspacing="1" cellpadding="3">
	<tr><td style="background-color: ' . $GLOBALS['bgcolor2'] . '; color: ' . $GLOBALS['textcolor1'] . ';">
	<div class="title">' . $title . '</div>
	<div class="content">' . $wn_description . '</div></td></tr>
	<tr><td style="background-color: ' . $GLOBALS['bgcolor3'] . '; color: ' . $GLOBALS['textcolor2'] . ';" class="content">
	<div class="content">' . $wn_content . '</div>
	</td></tr>
	</table>
	</td></tr></table>
	';
}

function contentreplacer($wn_content)
{
    $wn_content = preg_replace("/\<b\>/i", "", $wn_content);
    $wn_content = preg_replace("/\<\/b\>/i", "", $wn_content);
    $wn_content = preg_replace("/\&lt\;b\&gt\;/i", "", $wn_content);
    $wn_content = preg_replace("/\&lt\;\/b\&gt\;/i", "", $wn_content);
    return $wn_content;
}

include("header.php");
title(_HIP_TITLE);
OpenTable();
if (MX_IS_ADMIN) {
    echo '<div align="right"><a href="admin.php?op=hip">' . _HIP_ADMIN . '</a></div>';
}

$result = sql_query("select hid, sitename, description, content, headlinesurl, refresh, time, pos, count from " . _HIPTABLE_HEADLINES . " WHERE  active='1' order by pos ASC");
$NbSa = sql_num_rows ($result) ;
$cptrow = 0;

if ($HIP_nbcols == "2") {
    echo "<table width=\"100%\" cellpadding=\"0\" cellspacing=\"0\">\n";
} while (list($wn_hid, $wn_sitename, $wn_description, $wn_content, $wn_headlinesurl, $wn_refresh, $wn_otime, $wn_pos, $wn_count) = sql_fetch_row($result)) {
    $wn_siteurl = preg_replace("/http\:\/\//i", "", $wn_headlinesurl);
    $wn_siteurl = explode("/", $wn_siteurl);
    $cptrow++;
    if ($HIP_nbcols == "2") {
        if (($cptrow % 2) == 0) {
            echo "<td>&nbsp;</td><td width=\"50%\" valign=\"top\"><br />";
        } else {
            echo "<tr valign=\"top\"><td width=\"50%\"><br />\n";
        }
    } else {
        echo "<br />\n";
    }
    $wn_content = trim($wn_content);
    if (((time() - $wn_refresh) > $wn_otime) or ($wn_content == "") or ($wn_refresh == "")) {
        $btime = time();
        $feed_parser->Set_URL($wn_headlinesurl);
        // die Konfigwerte die an die Klasse bermittelt werden, sollte auch noch im Konfig-File eingebunden werden
        $feed_parser->Set_Limit("0"); // 0 = Default = Alle. Anzahl der Eintrge in der Liste
        $feed_parser->Show_Image(false); // Default = false. Zeige Bilddaten (bei hheren Versionen als 0.91)
        $feed_parser->Show_Description(false); // Default = false. Zeige Description-Data (bei hheren Versionen als 0.91)
        // Ende der Konfiguration
        $wn_content = $feed_parser->Get_Results();
        if ($wn_content == "") {
            $wn_content = mxAddSlashesForSQL(_HIP_RSSPROBLEM);
            $result2 = sql_query("update " . _HIPTABLE_HEADLINES . " set content='$wn_content', time='$btime' where hid='$wn_hid'");
            HIPthemesidebox($wn_sitename, $wn_content, $wn_description, $wn_count);
            break;
        }
        $wn_content = mxAddSlashesForSQL($wn_content);
        $result2 = sql_query("update " . _HIPTABLE_HEADLINES . " set content='$wn_content', count=count+1, time='$btime' where hid='$wn_hid'");
        $wn_content = stripslashes($wn_content);
        $wn_sitename = stripslashes($wn_sitename);
        $wn_description = stripslashes($wn_description);
        contentreplacer($wn_content);
        $wn_content .= "<br /><a href=\"http://$wn_siteurl[0]\" target=\"blank\"><b>" . _HIP_READMORE . "</b></a>";
        HIPthemesidebox($wn_sitename, $wn_content, $wn_description, $wn_count);
    } else {
        $wn_sitename = stripslashes($wn_sitename);
        $wn_content = stripslashes($wn_content);
        $wn_description = stripslashes($wn_description);
        contentreplacer($wn_content);
        $wn_content .= "<br /><a href=\"http://$wn_siteurl[0]\" target=\"blank\"><b>" . _HIP_READMORE . "</b></a>";
        HIPthemesidebox($wn_sitename, $wn_content, $wn_description, $wn_count);
    }
    if ($HIP_nbcols == "2") {
        if (($cptrow % 2) == 0) {
            echo "</td></tr>";
        } else {
            echo "";
        }
    }
}

if ($HIP_nbcols == "2") {
    echo "</table>";
}
echo '<br />';
CloseTable();
include ("footer.php");

?>
