<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.11 $
 * $Author: tora60 $
 * $Date: 2008/01/28 19:04:02 $
 */

defined('mxMainFileLoaded') or die('access denied');
defined('mxYALoaded') or die('access denied');

function deleteuser()
{
    if (!MX_IS_USER) {
        mxSecureLog("SecLog", "Bad Userdelete (is no user)");
        mxErrorScreen(_YOUBAD);
    }
    $usersession = mxGetUserSession();
    mxSessionSetVar("udelcode", $usersession[2]); // Passwort in session speichern
    include("header.php");
    Opentable();
    echo "<center><br /><font class=\"option\">" . _SUREDELETE . "<br /><br />
	<a href=\"modules.php?name=Your_Account&amp;op=delconfirm&amp;uid=" . $usersession[0] . "\"><b>" . _YES . "</b></a> " . _OR . "
	<a href=\"modules.php?name=Your_Account\"><b>" . _NO . "</b></a></font><br /></center>";
    CloseTable();
    include("footer.php");
}

function delconfirm($gvs)
{
    global $prefix, $user_prefix;
    $uid = (empty($gvs["uid"])) ? 0 : (int)$gvs["uid"];
    $code = mxSessionGetVar("udelcode");
    mxSessionDelVar("udelcode");
    if (!vkpUserIsThisTheUser($uid) || empty($uid)) {
        mxSecureLog("SecLog", "Bad Userdelete - Account: " . $uid . " (no user-id)");
        mxErrorScreen(_YOUBAD);
    }
    $result = sql_query("SELECT email, femail, url, uname, pass, user_stat FROM ${user_prefix}_users WHERE uid=$uid");
    list($email, $femail, $url, $uname, $pass, $user_stat) = sql_fetch_row($result);
    if ($code != $pass) {
        mxSecureLog("SecLog", "Bad Userdelete - Account: " . $uid . " (no session-check-id)");
        mxErrorScreen(_YOUBAD);
    }
    // Sollte ein Avatar hochgeladen sein, diesen lschen!
    if (mxIsAvatarUploaded($uname)) {
        mxDeleteAvatar($uname);
    }
    if (empty($user_stat)) { // falls account nicht aktiviert wurde
        $qry = "DELETE FROM ${user_prefix}_users WHERE uid=" . $uid . "";
    } else {
        mt_srand((double)microtime() * 1000000);
        $fields[] = "user_stat = -1";
        $fields[] = "uid       = $uid";
        $fields[] = "uname     = '$uname'";
        $fields[] = "name      = 'deleted (self)'";
        $fields[] = "pass      = '" . md5(mt_rand()) . "'";
        $qry = "REPLACE INTO ${user_prefix}_users SET " . implode(', ', $fields) . "";
    }
    sql_query($qry);
    // sql_query("DELETE FROM ${user_prefix}_users WHERE uid='$uid'");
    sql_query("UPDATE ${prefix}_authors SET user_uid=NULL WHERE user_uid=$uid");
    sql_query("DELETE FROM ${prefix}_userguest WHERE touser='" . mxAddSlashesForSQL($uname) . "'");
    sql_query("DELETE FROM ${prefix}_userpoints WHERE uid=$uid");
    sql_query("DELETE FROM " . $GLOBALS['tblprivatemessage'] . " WHERE to_userid=$uid");
    $nlquery = sql_query("SELECT id FROM ${prefix}_newsletter WHERE email='" . mxAddSlashesForSQL($email) . "' OR email='" . mxAddSlashesForSQL($femail) . "'");
    list($nlid) = sql_fetch_row($nlquery);
    if ($nlid) {
        sql_query("DELETE FROM ${prefix}_newsletter WHERE email='" . mxAddSlashesForSQL($email) . "' OR email='" . mxAddSlashesForSQL($femail) . "'");
        sql_query("DELETE FROM ${prefix}_newsletter_sendto WHERE userid='$nlid'");
    }
    if (@file_exists("modules/eBoard/settings.php")) {
        include("modules/eBoard/settings.php");
        $qry = "UPDATE " . $table_members . " SET
		password = '" . md5(mt_rand()) . "',
		email = Null,
		site = Null,
		status = 'Member',
		sig = Null,
		avatar = '',
		customstatus = 'deleted',
		newsletter = 'no',
		notifyme = 'no',
		notifyemail = 'no',
		pmuserid = '0'
		WHERE (username='" . mxAddSlashesForSQL($uname) . "')";
        sql_query($qry);
    }
    if ($GLOBALS['senddeletemail'] == 1) {
        $subject = "" . $GLOBALS['sitename'] . " - Member Deleted";
        $message = "\n\n" . $uname . " has been deleted from " . $GLOBALS['sitename'] . ".\n\n-----------------------------------------------------------\n\nDo not reply to this message!!";
        // mxdebugfuncvars($message);
        mxMail($GLOBALS['adminmail'], $subject, $message, $GLOBALS['adminmail'], "text");
    }
    include_once("modules/Your_Account/loginout.php");
    logout("delete");
}

function deletefinisch()
{
    mxRedirect('index.php', _ACCTDELETED);
}

?>