<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.4.4.9 $
 * $Author: tora60 $
 * $Date: 2008/02/02 00:42:32 $
 */

/* ///////////////////////////////////////////////////////////////////// */
/* Direktaufruf ist erlaubt, um das fertige Array anzeigen zu lassen !!! */
/* ///////////////////////////////////////////////////////////////////// */

$deldirs = array(
    'admin/language/downloadconfig',
    'admin/language/linksconfig',
    'admin/language/mailuser',
    'admin/language/selfadmin',
    'admin/language/usersconfig',
    'admin/modules/selfadmin',
    'cpdb',
    'db',
    'images/icons',
    'images/kalender',
    'images/karma',
    'images/powered/copyright',
    'includes/cr1',
    'includes/cr2',
    'includes/crno',
    'includes/custom_files',
    'includes/dokumentation',
    'includes/jpcache/type',
    'includes/sendmail',
    'includes/tiny_mce',
    'install',
    'install/mxupgrade',
    'install/mxupgrade/language',
    'language/banners',
    'language/buddy',
    'language/kalender',
    'language/lastseen',
    'language/siteups',
    'modules/Addon_Sample',
    'modules/Advertising',
    'modules/AvantGo',
    'modules/Banners/mxinstall',
    'modules/Content/mxinstall',
    'modules/Downloads/mxinstall',
    'modules/Encyclopedia/mxinstall',
    'modules/Ephemerids/mxinstall',
    'modules/FAQ/mxinstall',
    'modules/Fancy_NewsLetter/mxinstall',
    'modules/Feedback/mxinstall',
    'modules/Guestbook/mxinstall',
    'modules/IndyNews',
    'modules/Journal',
    'modules/Members_Web_Mail',
    'modules/My_eGallery/mxinstall',
    'modules/News/mxinstall',
    'modules/Newsletter/mxinstall',
    'modules/Private_Messages/mxinstall',
    'modules/Recommend_Us/mxinstall',
    'modules/Reviews/mxinstall',
    'modules/Sections/mxinstall',
    'modules/Siteupdate/mxinstall',
    'modules/Statistics',
    'modules/Surveys/mxinstall',
    'modules/Topics/mxinstall',
    'modules/UserGuest/mxinstall',
    'modules/WebMail',
    'modules/Web_Links/mxinstall',
    'modules/Web_News/mxinstall',
    'modules/coppermine/language',
    'modules/coppermine/themes/default',
    'modules/coppermine/themes/i24-BusinessGrey',
    'modules/mxMenu',
    'modules/mxMenu/includes',
    'modules/mxMenu/language',
    'mxpro',
    'spaw/lib',
    'spaw/scripts',
    'upgrade',
    'upgrades',

    );

$delfiles = array(
    'Ohne_GT_htaccess',
    'admin/case/case.adminselffaq.php',
    'admin/case/case.alllinks.php',
    'admin/case/case.authors_access.php',
    'admin/case/case.bannersfsz.php',
    'admin/case/case.blockmaker.php',
    'admin/case/case.blocks_manager.php',
    'admin/case/case.contentmetakeys.php',
    'admin/case/case.coppermine.php',
    'admin/case/case.cportalnews.php',
    'admin/case/case.downloadconfig.php',
    'admin/case/case.downloadsmetakeys.php',
    'admin/case/case.editgroups.php',
    'admin/case/case.error.php',
    'admin/case/case.forum.php',
    'admin/case/case.forums.php',
    'admin/case/case.helpsystem.php',
    'admin/case/case.intruders.php',
    'admin/case/case.ipban.php',
    'admin/case/case.linksconfig.php',
    'admin/case/case.log.php',
    'admin/case/case.media.php',
    'admin/case/case.metakeys.php',
    'admin/case/case.moderation.php',
    'admin/case/case.newsletter.php',
    'admin/case/case.ns_contact_plus.php',
    'admin/case/case.phpinfo.php',
    'admin/case/case.powernuke.php',
    'admin/case/case.privmsg.php',
    'admin/case/case.recommend.php',
    'admin/case/case.referenzen.php',
    'admin/case/case.sommaire2.php',
    'admin/case/case.splattforums.php',
    'admin/case/case.update.php',
    'admin/case/case.webworker_links.php',
    'admin/language/groups.lang-english.php',
    'admin/language/groups.lang-german.php',
    'admin/language/help_lang-english.php',
    'admin/language/help_lang-german.php',
    'admin/language/lang-albanian.php',
    'admin/language/lang-brazilian.php',
    'admin/language/lang-catala.php',
    'admin/language/lang-chinese.php',
    'admin/language/lang-czech.php',
    'admin/language/lang-danish.php',
    'admin/language/lang-dutch.php',
    'admin/language/lang-estonian.php',
    'admin/language/lang-euskara.php',
    'admin/language/lang-finnish.php',
    'admin/language/lang-galego.php',
    'admin/language/lang-greek.php',
    'admin/language/lang-hungarian.php',
    'admin/language/lang-icelandic.php',
    'admin/language/lang-indonesian.php',
    'admin/language/lang-macedonian.php',
    'admin/language/lang-norwegian.php',
    'admin/language/lang-polish.php',
    'admin/language/lang-portuguese.php',
    'admin/language/lang-romanian.php',
    'admin/language/lang-slovak.php',
    'admin/language/lang-slovenian.php',
    'admin/language/lang-swedish.php',
    'admin/language/lang-thai.php',
    'admin/language/lang-ukrainian.php',
    'admin/language/lang-vietnamese.php',
    'admin/language/mailuser/index.html',
    'admin/language/mailuser/lang-english.php',
    'admin/language/mailuser/lang-german.php',
    'admin/language/mailuser/lang-german_du.php',
    'admin/language/metakeys_lang-english.php',
    'admin/language/metakeys_lang-german.php',
    'admin/language/ya_deleter-english.php',
    'admin/language/ya_deleter-french.php',
    'admin/language/ya_deleter-german.php',
    'admin/language/ya_deleter-german_du.php',
    'admin/links/adlnk_main.php',
    'admin/links/case.hip.php',
    'admin/links/links.addstory.php',
    'admin/links/links.bannersfsz.php',
    'admin/links/links.doku.php',
    'admin/links/links.downloadconfig.php',
    'admin/links/links.forum.php',
    'admin/links/links.forums.php',
    'admin/links/links.groups.php',
    'admin/links/links.info.php',
    'admin/links/links.intruder.php',
    'admin/links/links.ipban.php',
    'admin/links/links.linksconfig.php',
    'admin/links/links.moderation.php',
    'admin/links/links.news-addstory.php',
    'admin/links/links.news-submissions.php',
    'admin/links/links.news-topics.php',
    'admin/links/links.onlygod.php',
    'admin/links/links.settings.php',
    'admin/links/links.system-backup.php',
    'admin/links/links.system-banners.php',
    'admin/links/links.system-blocks.php',
    'admin/links/links.system-httpreferers.php',
    'admin/links/links.system-log.php',
    'admin/links/links.system-messages.php',
    'admin/links/links.system-modules.php',
    'admin/links/links.system-optimize.php',
    'admin/links/links.system-preferences.php',
    'admin/links/links.system-xphpinfo.php',
    'admin/links/links.update.php',
    'admin/links/links.users-authors_access.php',
    'admin/links/links.users-editadmins.php',
    'admin/links/links.users-editusers.php',
    'admin/modules/adminmedia.php',
    'admin/modules/admins.php',
    'admin/modules/adminselffaq.php',
    'admin/modules/alllinks.php',
    'admin/modules/author.php',
    'admin/modules/authors_access.php',
    'admin/modules/bannersfsz.php',
    'admin/modules/blocks_manager.php',
    'admin/modules/calendar.php',
    'admin/modules/contentmetakeys.php',
    'admin/modules/coppermine.php',
    'admin/modules/cportalnews.php',
    'admin/modules/download.php',
    'admin/modules/downloadconfig.php',
    'admin/modules/downloadsmetakeys.php',
    'admin/modules/editgroups.php',
    'admin/modules/error.php',
    'admin/modules/forum.php',
    'admin/modules/forums.php',
    'admin/modules/functions.php',
    'admin/modules/gallery/install.php',
    'admin/modules/gallery/uninstall.php',
    'admin/modules/helpsystem.php',
    'admin/modules/info.php',
    'admin/modules/intruder.php',
    'admin/modules/ipban.php',
    'admin/modules/linksconfig.php',
    'admin/modules/log.php',
    'admin/modules/metakeys.php',
    'admin/modules/moderation.php',
    'admin/modules/newsletter.php',
    'admin/modules/ns_contact_plus.php',
    'admin/modules/phpinfo.php',
    'admin/modules/powernuke.php',
    'admin/modules/privmsg.php',
    'admin/modules/recommend.php',
    'admin/modules/referenzen.php',
    'admin/modules/sommaire2.php',
    'admin/modules/splattforums.php',
    'admin/modules/update.php',
    'admin/modules/webworker_links.php',
    'admin_mit_AS.php',
    'admin_ohne_AS.php',
    'article.php',
    'atom.xml',
    'auth.inc.php',
    'auth.php',
    'backforum.php',
    'blocks/.htaccess',
    'blocks/block-Advertising.php',
    'blocks/block-CPG-Last_comments.php',
    'blocks/block-CPG-Last_pictures_thumb.php',
    'blocks/block-CPG-Random_pictures.php',
    'blocks/block-CPG-Top_rate_pictures.php',
    'blocks/block-CPG-UserInfo.php',
    'blocks/block-CPG-center-Last_pictures_thumb.php',
    'blocks/block-CPG-center-Random_pictures.php',
    'blocks/block-CPG-center-Random_pictures_original.php',
    'blocks/block-CPG-center-Top_rate_pictures.php',
    'blocks/block-CPG-center-scroll-Last_pictures.php',
    'blocks/block-CPG-center-scroll-Last_pictures_thumb.php',
    'blocks/block-CPG-center-scroll-Random_pictures.php',
    'blocks/block-CPG-center-scroll-Top_rate_pictures.php',
    'blocks/block-CPG-center-scroll-Top_view_pictures.php',
    'blocks/block-CPG-scroll-Last_comments.php',
    'blocks/block-CPG-scroll-Last_pictures_thumb.php',
    'blocks/block-CPG-scroll-Random_pictures.php',
    'blocks/block-CPG-scroll-Top_rate_pictures.php',
    'blocks/block-CPG-scroll-Top_view_pictures.php',
    'blocks/block-CPG_News2.php',
    'blocks/block-CPG_Stats.php',
    'blocks/block-CPG_Stats_2.php',
    'blocks/block-Center_Banner.php',
    'blocks/block-Encyclopedia1.php',
    'blocks/block-Encyclopedia2.php',
    'blocks/block-Encyclopedia3.php',
    'blocks/block-Forums.php',
    'blocks/block-ForumsCollapsing.php',
    'blocks/block-Gallery_stats.php',
    'blocks/block-MS_User_Info.php',
    'blocks/block-Ommmairex.php',
    'blocks/block-Sample_Block.php',
    'blocks/block-Scroll-Links.php',
    'blocks/block-Show_Members_Group.php',
    'blocks/block-Site_Info.php',
    'blocks/block-Splatt_Forums.php',
    'blocks/block-Splatt_Forums_Center.php',
    'blocks/block-Subscription.php',
    'blocks/block-Umschalt.php',
    'blocks/block-User_Info.php',
    'blocks/block-Who-is-Where_1.php',
    'blocks/block-Who_is_Online_1.php',
    'blocks/block-Who_is_Online_no_Messenger.php',
    'blocks/block-XForum_Center.php',
    'blocks/block-scroll-Last_comments.php',
    'blocks/readme.txt',
    'categories.php',
    'comments.php',
    'config.php cportal',
    'counter.php',
    'create-cvs.php',
    'crossgrade.php',
    'eBoard.apf',
    'error.php',
    'friend.php',
    'functions.php',
    'getpro.php',
    'gg.php',
    'guestbook.php',
    'ids.php',
    'images/.htaccess',
    'images/active.gif',
    'images/add.gif',
    'images/admin/banerf.gif',
    'images/admin/baners.gif',
    'images/admin/banners.gif',
    'images/admin/code_bg.jpg',
    'images/admin/downloads.gif',
    'images/admin/ephemerids.gif',
    'images/admin/intruder.gif',
    'images/admin/ipban.gif',
    'images/admin/logout.gif',
    'images/admin/moderation.gif',
    'images/admin/newpoll.gif',
    'images/admin/referers.gif',
    'images/admin/stories.gif',
    'images/admin/users.gif',
    'images/admin/weblinks.gif',
    'images/admin/wherebisdu.gif',
    'images/banners/fsz.jpg',
    'images/banners/test.swf',
    'images/blocks/email-c.gif',
    'images/blocks/email-g.gif',
    'images/blocks/email-p.gif',
    'images/blocks/email-r.gif',
    'images/blocks/email-y.gif',
    'images/blocks/group-1.gif',
    'images/blocks/group-2.gif',
    'images/blocks/group-3.gif',
    'images/blocks/group-4.gif',
    'images/blocks/index.html',
    'images/blocks/space.gif',
    'images/blocks/ur-admin.gif',
    'images/blocks/ur-anony.gif',
    'images/blocks/ur-author.gif',
    'images/blocks/ur-guest.gif',
    'images/blocks/ur-member.gif',
    'images/blocks/ur-moderator.gif',
    'images/blocks/ur-registered.gif',
    'images/blocks/ur-super.gif',
    'images/code_bg.jpg',
    'images/code_bg_little.jpg',
    'images/css.gif',
    'images/delete_x.gif',
    'images/download/down-logo.gif',
    'images/edit_x.gif',
    'images/eyes.gif',
    'images/forum/b_blank.gif',
    'images/forum/b_bold.gif',
    'images/forum/b_code.gif',
    'images/forum/b_email.gif',
    'images/forum/b_image.gif',
    'images/forum/b_italic.gif',
    'images/forum/b_listclose.gif',
    'images/forum/b_listitem.gif',
    'images/forum/b_listopen.gif',
    'images/forum/b_quote.gif',
    'images/forum/b_url.gif',
    'images/forum/cellpic1.gif',
    'images/forum/cellpic2.jpg',
    'images/forum/cellpic3.gif',
    'images/forum/componi.gif',
    'images/forum/door_exit.gif',
    'images/forum/flags/Afghanistan.gif',
    'images/forum/flags/Albania.gif',
    'images/forum/flags/Algeria.gif',
    'images/forum/flags/Andorra.gif',
    'images/forum/flags/Angola.gif',
    'images/forum/flags/Antiguabarbuda.gif',
    'images/forum/flags/Argentina.gif',
    'images/forum/flags/Armenia.gif',
    'images/forum/flags/Australia.gif',
    'images/forum/flags/Austria.gif',
    'images/forum/flags/Azerbaijan.gif',
    'images/forum/flags/Bahamas.gif',
    'images/forum/flags/Bahrain.gif',
    'images/forum/flags/Bangladesh.gif',
    'images/forum/flags/Barbados.gif',
    'images/forum/flags/Belarus.gif',
    'images/forum/flags/Belgium.gif',
    'images/forum/flags/Belize.gif',
    'images/forum/flags/Benin.gif',
    'images/forum/flags/Bhutan.gif',
    'images/forum/flags/Bolivia.gif',
    'images/forum/flags/Bosnia_Herzegovina.gif',
    'images/forum/flags/Botswana.gif',
    'images/forum/flags/Brazil.gif',
    'images/forum/flags/Brunei.gif',
    'images/forum/flags/Bulgaria.gif',
    'images/forum/flags/Burkinafaso.gif',
    'images/forum/flags/Burma.gif',
    'images/forum/flags/Burund.gif',
    'images/forum/flags/Cambodia.gif',
    'images/forum/flags/Cameroon.gif',
    'images/forum/flags/Canada.gif',
    'images/forum/flags/Central_African_Rep.gif',
    'images/forum/flags/Chad.gif',
    'images/forum/flags/Chile.gif',
    'images/forum/flags/China.gif',
    'images/forum/flags/Columbia.gif',
    'images/forum/flags/Comoros.gif',
    'images/forum/flags/Congo.gif',
    'images/forum/flags/Costarica.gif',
    'images/forum/flags/Croatia.gif',
    'images/forum/flags/Cuba.gif',
    'images/forum/flags/Cyprus.gif',
    'images/forum/flags/Czech_Republic.gif',
    'images/forum/flags/Demrepcongo.gif',
    'images/forum/flags/Denmark.gif',
    'images/forum/flags/Djiboutil.gif',
    'images/forum/flags/Dominica.gif',
    'images/forum/flags/Dominicanrep.gif',
    'images/forum/flags/Ecuador.gif',
    'images/forum/flags/Egypt.gif',
    'images/forum/flags/Elsalvado.gif',
    'images/forum/flags/Eq_Guinea.gif',
    'images/forum/flags/Eritrea.gif',
    'images/forum/flags/Estonia.gif',
    'images/forum/flags/Ethiopia.gif',
    'images/forum/flags/Fiji.gif',
    'images/forum/flags/Finland.gif',
    'images/forum/flags/France.gif',
    'images/forum/flags/Gabon.gif',
    'images/forum/flags/Gambia.gif',
    'images/forum/flags/Georgia.gif',
    'images/forum/flags/Germany.gif',
    'images/forum/flags/Ghana.gif',
    'images/forum/flags/Greece.gif',
    'images/forum/flags/Grenada.gif',
    'images/forum/flags/Grenadines.gif',
    'images/forum/flags/Guatemala.gif',
    'images/forum/flags/Guineabissau.gif',
    'images/forum/flags/Guineal.gif',
    'images/forum/flags/Guyana.gif',
    'images/forum/flags/Haiti.gif',
    'images/forum/flags/Honduras.gif',
    'images/forum/flags/Hong_Kong.gif',
    'images/forum/flags/Hungary.gif',
    'images/forum/flags/Iceland.gif',
    'images/forum/flags/India.gif',
    'images/forum/flags/Indonesia.gif',
    'images/forum/flags/Iran.gif',
    'images/forum/flags/Iraq.gif',
    'images/forum/flags/Ireland.gif',
    'images/forum/flags/Israel.gif',
    'images/forum/flags/Italy.gif',
    'images/forum/flags/Ivorycoast.gif',
    'images/forum/flags/Jamaica.gif',
    'images/forum/flags/Japan.gif',
    'images/forum/flags/Jordan.gif',
    'images/forum/flags/Kazakhstan.gif',
    'images/forum/flags/Kenya.gif',
    'images/forum/flags/Kiribati.gif',
    'images/forum/flags/Kuwait.gif',
    'images/forum/flags/Kyrgyzstan.gif',
    'images/forum/flags/Laos.gif',
    'images/forum/flags/Latvia.gif',
    'images/forum/flags/Lebanon.gif',
    'images/forum/flags/Liberia.gif',
    'images/forum/flags/Libya.gif',
    'images/forum/flags/Liechtenstein.gif',
    'images/forum/flags/Lithuania.gif',
    'images/forum/flags/Luxembourg.gif',
    'images/forum/flags/Macadonia.gif',
    'images/forum/flags/Macau.gif',
    'images/forum/flags/Madagascar.gif',
    'images/forum/flags/Malawi.gif',
    'images/forum/flags/Malaysia.gif',
    'images/forum/flags/Maldives.gif',
    'images/forum/flags/Mali.gif',
    'images/forum/flags/Malta.gif',
    'images/forum/flags/Mauritania.gif',
    'images/forum/flags/Mauritius.gif',
    'images/forum/flags/Mexico.gif',
    'images/forum/flags/Micronesia.gif',
    'images/forum/flags/Moldova.gif',
    'images/forum/flags/Monaco.gif',
    'images/forum/flags/Mongolia.gif',
    'images/forum/flags/Morocco.gif',
    'images/forum/flags/Mozambique.gif',
    'images/forum/flags/Namibia.gif',
    'images/forum/flags/Nauru.gif',
    'images/forum/flags/Nepal.gif',
    'images/forum/flags/Neth_Antilles.gif',
    'images/forum/flags/Netherlands.gif',
    'images/forum/flags/New_Zealand.gif',
    'images/forum/flags/Nicaragua.gif',
    'images/forum/flags/Niger.gif',
    'images/forum/flags/Nigeria.gif',
    'images/forum/flags/North_Korea.gif',
    'images/forum/flags/Norway.gif',
    'images/forum/flags/Oman.gif',
    'images/forum/flags/Pakistan.gif',
    'images/forum/flags/Panama.gif',
    'images/forum/flags/Papua_New_Guinea.gif',
    'images/forum/flags/Paraguay.gif',
    'images/forum/flags/Peru.gif',
    'images/forum/flags/Philippines.gif',
    'images/forum/flags/Poland.gif',
    'images/forum/flags/Portugal.gif',
    'images/forum/flags/Puertorico.gif',
    'images/forum/flags/Qatar.gif',
    'images/forum/flags/Rawanda.gif',
    'images/forum/flags/Romania.gif',
    'images/forum/flags/Russia.gif',
    'images/forum/flags/Sao_Tome.gif',
    'images/forum/flags/Saudi_Arabia.gif',
    'images/forum/flags/Senegal.gif',
    'images/forum/flags/Serbia.gif',
    'images/forum/flags/Seychelles.gif',
    'images/forum/flags/Sierraleone.gif',
    'images/forum/flags/Singapore.gif',
    'images/forum/flags/Slovakia.gif',
    'images/forum/flags/Slovenia.gif',
    'images/forum/flags/Solomon_Islands.gif',
    'images/forum/flags/Somalia.gif',
    'images/forum/flags/South_Africa.gif',
    'images/forum/flags/South_Korea.gif',
    'images/forum/flags/Spain.gif',
    'images/forum/flags/Srilanka.gif',
    'images/forum/flags/StLucia.gif',
    'images/forum/flags/Stkitts_Nevis.gif',
    'images/forum/flags/Sudan.gif',
    'images/forum/flags/Suriname.gif',
    'images/forum/flags/Sweden.gif',
    'images/forum/flags/Switzerland.gif',
    'images/forum/flags/Syria.gif',
    'images/forum/flags/Taiwan.gif',
    'images/forum/flags/Tajikistan.gif',
    'images/forum/flags/Tanzania.gif',
    'images/forum/flags/Thailand.gif',
    'images/forum/flags/Togo.gif',
    'images/forum/flags/Tonga.gif',
    'images/forum/flags/Trinidad_and_Tobago.gif',
    'images/forum/flags/Tunisia.gif',
    'images/forum/flags/Turkey.gif',
    'images/forum/flags/Turkmenistan.gif',
    'images/forum/flags/Tuvala.gif',
    'images/forum/flags/USA.gif',
    'images/forum/flags/USSR.gif',
    'images/forum/flags/Uae.gif',
    'images/forum/flags/Uganda.gif',
    'images/forum/flags/Uk.gif',
    'images/forum/flags/Ukraine.gif',
    'images/forum/flags/Uruguay.gif',
    'images/forum/flags/Uzbekistan.gif',
    'images/forum/flags/Vanuatu.gif',
    'images/forum/flags/Venezuela.gif',
    'images/forum/flags/Vietnam.gif',
    'images/forum/flags/Western_Samoa.gif',
    'images/forum/flags/Yemen.gif',
    'images/forum/flags/Yugoslavia.gif',
    'images/forum/flags/Zaire.gif',
    'images/forum/flags/Zambia.gif',
    'images/forum/flags/Zimbabwe.gif',
    'images/forum/flags/blank.gif',
    'images/forum/forumbanner.gif',
    'images/forum/forumlogo11.gif',
    'images/forum/icons/aim.gif',
    'images/forum/icons/del_topic.gif',
    'images/forum/icons/delete.gif',
    'images/forum/icons/div.gif',
    'images/forum/icons/edit.gif',
    'images/forum/icons/email.gif',
    'images/forum/icons/folder.gif',
    'images/forum/icons/hot_folder.gif',
    'images/forum/icons/hot_red_folder.gif',
    'images/forum/icons/icon21.gif',
    'images/forum/icons/icon24.gif',
    'images/forum/icons/icon27.gif',
    'images/forum/icons/icon_biggrin.gif',
    'images/forum/icons/icon_confused.gif',
    'images/forum/icons/icon_cool.gif',
    'images/forum/icons/icon_eek.gif',
    'images/forum/icons/icon_frown.gif',
    'images/forum/icons/icon_lol.gif',
    'images/forum/icons/icon_mad.gif',
    'images/forum/icons/icon_razz.gif',
    'images/forum/icons/icon_redface.gif',
    'images/forum/icons/icon_rolleyes.gif',
    'images/forum/icons/icon_smile.gif',
    'images/forum/icons/icon_ultima.gif',
    'images/forum/icons/icon_wink.gif',
    'images/forum/icons/icq_add.gif',
    'images/forum/icons/icq_off.gif',
    'images/forum/icons/icq_on.gif',
    'images/forum/icons/inbox.gif',
    'images/forum/icons/ip_logged.gif',
    'images/forum/icons/lock.gif',
    'images/forum/icons/lock_topic.gif',
    'images/forum/icons/move_topic.gif',
    'images/forum/icons/msnm.gif',
    'images/forum/icons/new_topic-dark.jpg',
    'images/forum/icons/new_topic.jpg',
    'images/forum/icons/posticon.gif',
    'images/forum/icons/profile.gif',
    'images/forum/icons/quote.gif',
    'images/forum/icons/red_folder.gif',
    'images/forum/icons/reply-dark.jpg',
    'images/forum/icons/reply.gif',
    'images/forum/icons/reply.jpg',
    'images/forum/icons/reply_locked-dark.jpg',
    'images/forum/icons/search.gif',
    'images/forum/icons/send.gif',
    'images/forum/icons/status_del.gif',
    'images/forum/icons/status_del1.gif',
    'images/forum/icons/unlock_topic.gif',
    'images/forum/icons/www_icon.gif',
    'images/forum/icons/yim.gif',
    'images/forum/keys.gif',
    'images/forum/nuovomess-english.gif',
    'images/forum/nuovomess-french.gif',
    'images/forum/nuovomess-german.gif',
    'images/forum/nuovomess.gif',
    'images/forum/pips_admin.gif',
    'images/forum/pips_member.gif',
    'images/forum/pips_moderator.gif',
    'images/forum/question.gif',
    'images/forum/rispondimess-english.gif',
    'images/forum/rispondimess-french.gif',
    'images/forum/rispondimess-german.gif',
    'images/forum/rispondimess.gif',
    'images/forum/smilies/blank.gif',
    'images/forum/smilies/icon_biggrin.gif',
    'images/forum/smilies/icon_confused.gif',
    'images/forum/smilies/icon_cool.gif',
    'images/forum/smilies/icon_cry.gif',
    'images/forum/smilies/icon_eek.gif',
    'images/forum/smilies/icon_evil.gif',
    'images/forum/smilies/icon_frown.gif',
    'images/forum/smilies/icon_lol.gif',
    'images/forum/smilies/icon_mad.gif',
    'images/forum/smilies/icon_razz.gif',
    'images/forum/smilies/icon_redface.gif',
    'images/forum/smilies/icon_rolleyes.gif',
    'images/forum/smilies/icon_smile.gif',
    'images/forum/smilies/icon_wink.gif',
    'images/forum/smilies/index.html',
    'images/forum/special/1star.gif',
    'images/forum/special/2stars.gif',
    'images/forum/special/3stars.gif',
    'images/forum/special/4stars.gif',
    'images/forum/special/5stars.gif',
    'images/forum/special/6stars.gif',
    'images/forum/special/blank.gif',
    'images/forum/special/index.html',
    'images/forum/special/stars-1.gif',
    'images/forum/special/stars-2.gif',
    'images/forum/special/stars-3.gif',
    'images/forum/special/stars-4.gif',
    'images/forum/special/stars-5.gif',
    'images/forum/special/stars_1.gif',
    'images/forum/special/stars_2.gif',
    'images/forum/special/stars_3.gif',
    'images/forum/special/stars_4.gif',
    'images/forum/special/stars_5.gif',
    'images/forum/subject/icon1.gif',
    'images/forum/subject/icon2.gif',
    'images/forum/subject/icon3.gif',
    'images/forum/subject/icon4.gif',
    'images/forum/subject/icon5.gif',
    'images/forum/subject/icon6.gif',
    'images/forum/subject/icon7.gif',
    'images/forum/subject/icon8.gif',
    'images/forum/subject/icon9.gif',
    'images/forum/subject/icon11.gif',
    'images/forum/subject/icon12.gif',
    'images/forum/subject/icon13.gif',
    'images/forum/subject/icon14.gif',
    'images/forum/subject/icon15.gif',
    'images/forum/subject/icon16.gif',
    'images/forum/subject/icon17.gif',
    'images/forum/subject/icon18.gif',
    'images/forum/subject/icon19.gif',
    'images/forum/subject/icon20.gif',
    'images/forum/subject/icon21.gif',
    'images/forum/subject/icon22.gif',
    'images/forum/subject/icon23.gif',
    'images/forum/subject/icon24.gif',
    'images/forum/subject/icon25.gif',
    'images/forum/subject/icon26.gif',
    'images/forum/subject/icon27.gif',
    'images/forum/subject/icon29.gif',
    'images/forum/subject/icon30.gif',
    'images/forum/subject/icon31.gif',
    'images/forum/subject/icon32.gif',
    'images/forum/subject/icon33.gif',
    'images/forum/subject/icon34.gif',
    'images/forum/subject/icon35.gif',
    'images/forum/subject/icon36.gif',
    'images/forum/subject/icon37.gif',
    'images/forum/subject/icon38.gif',
    'images/forum/subject/icon39.gif',
    'images/forum/subject/icon40.gif',
    'images/forum/subject/icon41.gif',
    'images/forum/subject/icon42.gif',
    'images/forum/subject/icon43.gif',
    'images/forum/subject/icon44.gif',
    'images/forum/subject/icon45.gif',
    'images/green_dot.gif',
    'images/html401.gif',
    'images/icon_install.gif',
    'images/icon_uninstall.gif',
    'images/inactive.gif',
    'images/key.gif',
    'images/key_x.gif',
    'images/left.gif',
    'images/links/new-english.gif',
    'images/links/star.gif',
    'images/links/urlgo.gif',
    'images/links/web.gif',
    'images/manual.jpg',
    'images/menu/themes.gif',
    'images/netscape.gif',
    'images/new_3day.gif',
    'images/new_day.gif',
    'images/new_week.gif',
    'images/pdf.gif',
    'images/pm.gif',
    'images/powered/apache.gif',
    'images/powered/corel.gif',
    'images/powered/gimp.gif',
    'images/powered/linux.jpg',
    'images/powered/mandrake.gif',
    'images/powered/mandrake2.gif',
    'images/powered/mysql.gif',
    'images/powered/mysql2.gif',
    'images/powered/nuke.gif',
    'images/powered/php2.gif',
    'images/powered/php3.gif',
    'images/powered/phpbb.gif',
    'images/powered/phpbbint.gif',
    'images/powered/phpnuke.gif',
    'images/powered/powered1.jpg',
    'images/powered/powered2.jpg',
    'images/powered/powered3.jpg',
    'images/powered/powered4.jpg',
    'images/powered/powered5.jpg',
    'images/powered/powered6.gif',
    'images/powered/powered7.gif',
    'images/powered/powered8.jpg',
    'images/powered/powered9.gif',
    'images/powered/redhat.gif',
    'images/powered/vi.gif',
    'images/powered/vkp-logo-maxi.gif',
    'images/powered/vkp-logo-modul.gif',
    'images/right.gif',
    'images/sections/template.gif',
    'images/stats/aix.gif',
    'images/stats/altavista.gif',
    'images/stats/articles.gif',
    'images/stats/authors.gif',
    'images/stats/bar1.gif',
    'images/stats/bar2.gif',
    'images/stats/bar3.gif',
    'images/stats/bar4.gif',
    'images/stats/bar5.gif',
    'images/stats/bar6.gif',
    'images/stats/bar7.gif',
    'images/stats/bar8.gif',
    'images/stats/bar9.gif',
    'images/stats/bar10.gif',
    'images/stats/be.gif',
    'images/stats/bsd.gif',
    'images/stats/comments.gif',
    'images/stats/explorer.gif',
    'images/stats/index.html',
    'images/stats/irix.gif',
    'images/stats/konqueror.gif',
    'images/stats/linux.gif',
    'images/stats/lynx.gif',
    'images/stats/mac.gif',
    'images/stats/netscape.gif',
    'images/stats/news.gif',
    'images/stats/opera.gif',
    'images/stats/os2.gif',
    'images/stats/question.gif',
    'images/stats/sections.gif',
    'images/stats/sun.gif',
    'images/stats/topics.gif',
    'images/stats/users.gif',
    'images/stats/waiting.gif',
    'images/stats/webtv.gif',
    'images/stats/windows.gif',
    'images/topics/phpnuke.gif',
    'images/unban.gif',
    'images/view_x.gif',
    'images/xdmp.gif',
    'imp.php',
    'includes/.htaccess',
    'includes/abstract.php',
    'includes/adminstyle.css',
    'includes/admintheme.php',
    'includes/api.php',
    'includes/auth.php',
    'includes/bbcode.php',
    'includes/blocks.php',
    'includes/captcha/__captcha/CaptchaImpl.php',
    'includes/captcha/__captcha/MemoryPhrase.php',
    'includes/captcha/__captcha/PageBuilder.php',
    'includes/captcha/__captcha/SessionPhrase.php',
    'includes/captcha/__captcha/fonts/51253___.ttf',
    'includes/captcha/__captcha/fonts/Cookie.ttf',
    'includes/captcha/__captcha/fonts/albanyzc.ttf',
    'includes/captcha/__captcha/fonts/ald401b.ttf',
    'includes/captcha/__captcha/fonts/ald401bi.ttf',
    'includes/captcha/__captcha/fonts/ald401i.ttf',
    'includes/captcha/__captcha/fonts/ald401n.ttf',
    'includes/captcha/__captcha/fonts/amelia.ttf',
    'includes/captcha/__captcha/fonts/ansbi___.ttf',
    'includes/captcha/__captcha/fonts/antquabi.ttf',
    'includes/captcha/__captcha/fonts/arial.ttf',
    'includes/captcha/__captcha/fonts/arialbd.ttf',
    'includes/captcha/__captcha/fonts/arialbi.ttf',
    'includes/captcha/__captcha/fonts/bandy.ttf',
    'includes/captcha/__captcha/fonts/cabletv.ttf',
    'includes/captcha/__captcha/fonts/cumbbic.ttf',
    'includes/captcha/__captcha/fonts/ericcson.ttf',
    'includes/captcha/__captcha/fonts/f_5027.ttf',
    'includes/captcha/__captcha/fonts/gara_bdi.ttf',
    'includes/captcha/__captcha/fonts/georgiai.ttf',
    'includes/captcha/__captcha/fonts/gothic.ttf',
    'includes/captcha/__captcha/fonts/kingrichard.ttf',
    'includes/captcha/__captcha/fonts/lontube.ttf',
    'includes/captcha/__captcha/fonts/marlbo.ttf',
    'includes/captcha/__captcha/fonts/overloa0.ttf',
    'includes/captcha/__captcha/fonts/pala.ttf',
    'includes/captcha/__captcha/fonts/perigord.ttf',
    'includes/captcha/__captcha/fonts/ppixel.ttf',
    'includes/captcha/__captcha/fonts/rondalo_.ttf',
    'includes/captcha/__captcha/fonts/rundf.ttf',
    'includes/captcha/__captcha/fonts/shef_it.ttf',
    'includes/captcha/__captcha/fonts/tahoma.ttf',
    'includes/captcha/__captcha/fonts/texasled.ttf',
    'includes/captcha/__captcha/fonts/times.ttf',
    'includes/captcha/__captcha/fonts/verdana.ttf',
    'includes/captcha/__captcha/fonts/vibrocen.ttf',
    'includes/captcha/__captcha/numbers.txt',
    'includes/class.inputfilter.php',
    'includes/class.inputfilter5.php',
    'includes/class.phpmailer.php',
    'includes/class.smtp.php',
    'includes/class_sql_inject.php',
    'includes/config.php',
    'includes/config/editor_cnf.php',
    'includes/constants.php',
    'includes/custom_files/index.html',
    'includes/db/mysql.php',
    'includes/db/mysql4.php',
    'includes/dynamic_titles.php',
    'includes/emailer.php',
    'includes/flashnews.config.php',
    'includes/functions.php',
    'includes/functions_admin.php',
    'includes/functions_nuke.php',
    'includes/functions_post.php',
    'includes/functions_search.php',
    'includes/functions_selects.php',
    'includes/functions_validate.php',
    'includes/groupfunctions.inc.php',
    'includes/install.php',
    'includes/intruder.php',
    'includes/ipban.php',
    'includes/javascript/.htaccess',
    'includes/javascript/overlib_complete.js',
    'includes/jpcache/jpcache-config.php',
    'includes/jpcache/jpcache.php',
    'includes/jpcache/script.sql',
    'includes/jpcache/type/file.php',
    'includes/jpcache/type/index.html',
    'includes/jpcache/type/mx_mysql.php',
    'includes/jpcache/type/mysql.php',
    'includes/jpcache/type/template.php',
    'includes/languages.php',
    'includes/modules.php',
    'includes/mxAPI.php',
    'includes/mxCracker.php',
    'includes/mxSession.php',
    'includes/mx_api_compatible21.php',
    'includes/mx_editor.php',
    'includes/mxphpcomp.php',
    'includes/nexus.php',
    'includes/nukeapi.php',
    'includes/nukesystem.php',
    'includes/page_header.php',
    'includes/page_header_review.php',
    'includes/page_tail.php',
    'includes/page_tail_review.php',
    'includes/phpmailer.lang-en.php',
    'includes/prune.php',
    'includes/pstimer.php',
    'includes/referer.php',
    'includes/rewrite/eboard.php',
    'includes/rewrite/smf.php',
    'includes/sendmail/.htaccess',
    'includes/sendmail/RFC822.php',
    'includes/sendmail/htmlMimeMail.php',
    'includes/sendmail/index.html',
    'includes/sendmail/mimePart.php',
    'includes/sendmail/smtp.php',
    'includes/session.php',
    'includes/sessions.php',
    'includes/smtp.php',
    'includes/sql_parse.php',
    'includes/template.php',
    'includes/templates.php',
    'includes/texy-compact.php',
    'includes/theme-extension.php',
    'includes/themes.php',
    'includes/topic_review.php',
    'includes/un_alttxt.js',
    'includes/un_auth_admmod.php',
    'includes/un_db_changes_lib.php',
    'includes/un_dirnames.php',
    'includes/un_extensions.php',
    'includes/un_extensions_tools.php',
    'includes/un_filenames.php',
    'includes/un_tablenames.php',
    'includes/un_texy-tweak.php',
    'includes/un_texy.js',
    'includes/un_tweak.php',
    'includes/usercp_activate.php',
    'includes/usercp_avatar.php',
    'includes/usercp_confirm.php',
    'includes/usercp_email.php',
    'includes/usercp_register.php',
    'includes/usercp_sendpasswd.php',
    'includes/usercp_viewprofile.php',
    'includes/userip_ban.php',
    'includes/version.sys.php',
    'includes/vkpadmin.php',
    'includes/vkpco.php',
    'includes/vkphtml.php',
    'includes/vkpuser.php',
    'install.php',
    'install/config.php',
    'install/finish.php',
    'install/finish_en.php',
    'install/images/backmain.jpg',
    'install/images/index.html',
    'install/images/logo.gif',
    'install/images/pixel.gif',
    'install/images/powered2.jpg',
    'install/images/pragmamx.gif',
    'install/images/titleBar.gif',
    'install/images/vkp-logo-midi.gif',
    'install/images/vkp-logo-mini.gif',
    'install/images/vkp-logo-modul.gif',
    'install/includes/config.settings.php',
    'install/includes/configcontent.php',
    'install/includes/funktions.php',
    'install/includes/gpl.txt',
    'install/includes/index.html',
    'install/includes/table.php',
    'install/index.html',
    'install/index.php',
    'install/install.php',
    'install/install_en.php',
    'install/language/english/index.html',
    'install/language/english/lang-image.png',
    'install/language/english/lang.php',
    'install/language/french/index.html',
    'install/language/french/lang-image.png',
    'install/language/french/lang.php',
    'install/language/german/index.html',
    'install/language/german/lang-image.png',
    'install/language/german/lang.php',
    'install/language/index.html',
    'install/language/lang-english.php',
    'install/language/lang-german.php',
    'install/language/turkish/index.html',
    'install/language/turkish/lang-image.png',
    'install/language/turkish/lang.php',
    'install/modules/Migrate_from_phpNuke/bannerup.php',
    'install/modules/Migrate_from_phpNuke/config.php',
    'install/modules/Migrate_from_phpNuke/delfiles.php',
    'install/modules/Migrate_from_phpNuke/downlup.php',
    'install/modules/Migrate_from_phpNuke/index.html',
    'install/modules/Migrate_from_phpNuke/language/english.php',
    'install/modules/Migrate_from_phpNuke/language/french.php',
    'install/modules/Migrate_from_phpNuke/language/german.php',
    'install/modules/Migrate_from_phpNuke/language/index.html',
    'install/modules/Migrate_from_phpNuke/language/turkish.php',
    'install/modules/Migrate_from_phpNuke/linksup.php',
    'install/modules/Migrate_from_phpNuke/settings.php',
    'install/modules/Migrate_from_phpNuke/setup.php',
    'install/modules/Migrate_from_phpNuke/update.php',
    'install/modules/New_Install/addqueries.php',
    'install/modules/New_Install/config.php',
    'install/modules/New_Install/index.html',
    'install/modules/New_Install/language/english.php',
    'install/modules/New_Install/language/french.php',
    'install/modules/New_Install/language/german.php',
    'install/modules/New_Install/language/index.html',
    'install/modules/New_Install/language/turkish.php',
    'install/modules/New_Install/settings.php',
    'install/modules/New_Install/setup.php',
    'install/modules/index.html',
    'install/mxupgrade/bannerup.php',
    'install/mxupgrade/index.html',
    'install/mxupgrade/language/english.php',
    'install/mxupgrade/language/french.php',
    'install/mxupgrade/language/german.php',
    'install/mxupgrade/language/index.html',
    'install/mxupgrade/setup.php',
    'install/mxupgrade/update.php',
    'install/popup.htm',
    'install/setup-settings.php',
    'install/setup.php',
    'install/setup2.php',
    'install/setup2_en.php',
    'install/setup_en.php',
    'install/site.htm',
    'install/sql/eBoard.sql',
    'install/sql/index.html',
    'install/sql/vkpmx.sql',
    'install/sql/vkpmx_data.sql',
    'install/updfinish.php',
    'install/updfinish_en.php',
    'install/upgrade.htm',
    'install/upgrade_VKP55_VKPMaxi.php',
    'install/upgrade_VKP55_VKPMaxi_en.php',
    'intruder.php',
    'ixed/ixed.fre.4.1.0.pxp',
    'ixed/ixed.fre.4.1.1.pxp',
    'ixed/ixed.fre.4.1.2.pxp',
    'ixed/ixed.fre.4.2.0.pxp',
    'ixed/ixed.fre.4.2.1.pxp',
    'ixed/ixed.fre.4.2.2.pxp',
    'ixed/ixed.fre.4.2.3.pxp',
    'ixed/ixed.fre.4.3.0.pxp',
    'ixed/ixed.fre.4.3.1.pxp',
    'ixed/ixed.fre.4.3.2.pxp',
    'ixed/ixed.fre.4.3.3.pxp',
    'ixed/ixed.fre.4.3.4.pxp',
    'ixed/ixed.fre.4.3.5.pxp',
    'ixed/ixed.fre.4.3.6.pxp',
    'ixed/ixed.fre.4.3.7.pxp',
    'ixed/ixed.fre.4.3.8.pxp',
    'ixed/ixed.fre.4.3.9.pxp',
    'ixed/ixed.lin.4.1.0.pxp',
    'ixed/ixed.lin.4.1.1.pxp',
    'ixed/ixed.lin.4.1.2.pxp',
    'ixed/ixed.lin.4.2.0.pxp',
    'ixed/ixed.lin.4.2.1.pxp',
    'ixed/ixed.lin.4.2.2.pxp',
    'ixed/ixed.lin.4.2.3.pxp',
    'ixed/ixed.lin.4.2.ts.pxp',
    'ixed/ixed.lin.4.3.0.pxp',
    'ixed/ixed.lin.4.3.1.pxp',
    'ixed/ixed.lin.4.3.2.pxp',
    'ixed/ixed.lin.4.3.3.pxp',
    'ixed/ixed.lin.4.3.4.pxp',
    'ixed/ixed.lin.4.3.5.pxp',
    'ixed/ixed.lin.4.3.6.pxp',
    'ixed/ixed.lin.4.3.7.pxp',
    'ixed/ixed.lin.4.3.8.pxp',
    'ixed/ixed.lin.4.3.9.pxp',
    'ixed/ixed.lin.4.3.ts.pxp',
    'ixed/ixed.win.4.1.0.pxp',
    'ixed/ixed.win.4.1.1.pxp',
    'ixed/ixed.win.4.1.2.pxp',
    'ixed/ixed.win.4.2.0.pxp',
    'ixed/ixed.win.4.2.1.pxp',
    'ixed/ixed.win.4.2.2.pxp',
    'ixed/ixed.win.4.2.3.pxp',
    'ixed/ixed.win.4.3.0.pxp',
    'ixed/ixed.win.4.3.1.pxp',
    'ixed/ixed.win.4.3.2.pxp',
    'ixed/ixed.win.4.3.3.pxp',
    'ixed/ixed.win.4.3.4.pxp',
    'ixed/ixed.win.4.3.5.pxp',
    'ixed/ixed.win.4.3.6.pxp',
    'ixed/ixed.win.4.3.7.pxp',
    'ixed/ixed.win.4.3.8.pxp',
    'ixed/ixed.win.4.3.9.pxp',
    'ixed/readme.txt',
    'ixed/sg/index.html',
    'ixed/sg/mx_api.php',
    'ixed/sg/mx_detect.php',
    'ixed/sg/mx_pro.php',
    'ixed/sg/mx_session.php',
    'ixed/sg/mx_system.php',
    'ixed/sg/mx_themes.php',
    'ixed/te/index.html',
    'ixed/te/mx_api.php',
    'ixed/te/mx_detect.php',
    'ixed/te/mx_pro.php',
    'ixed/te/mx_session.php',
    'ixed/te/mx_system.php',
    'ixed/te/mx_themes.php',
    'ixed/ze/index.html',
    'ixed/ze/mx_api.php',
    'ixed/ze/mx_detect.php',
    'ixed/ze/mx_pro.php',
    'ixed/ze/mx_session.php',
    'ixed/ze/mx_system.php',
    'ixed/ze/mx_themes.php',
    'language/lang-albanian.php',
    'language/lang-brazilian.php',
    'language/lang-catala.php',
    'language/lang-chinese.php',
    'language/lang-czech.php',
    'language/lang-danish.php',
    'language/lang-dutch.php',
    'language/lang-estonian.php',
    'language/lang-euskara.php',
    'language/lang-finnish.php',
    'language/lang-galego.php',
    'language/lang-greek.php',
    'language/lang-hungarian.php',
    'language/lang-icelandic.php',
    'language/lang-indonesian.php',
    'language/lang-macedonian.php',
    'language/lang-norwegian.php',
    'language/lang-polish.php',
    'language/lang-portuguese.php',
    'language/lang-romanian.php',
    'language/lang-slovak.php',
    'language/lang-slovenian.php',
    'language/lang-swedish.php',
    'language/lang-thai.php',
    'language/lang-ukrainian.php',
    'language/lang-vietnamese.php',
    'language/maaXoN/maaXoN-danish.php',
    'mainfile_mit_Admin_Secure.php',
    'manual/admin.html',
    'manual/authors.html',
    'manual/automated.html',
    'manual/banners.html',
    'manual/config.html',
    'manual/ephem.html',
    'manual/headlines.html',
    'manual/index.html',
    'manual/newarticle.html',
    'manual/referer.html',
    'manual/sections.html',
    'manual/submissions.html',
    'manual/surveys.html',
    'manual/template.html',
    'manual/topics.html',
    'manual/users.html',
    'manual/weblinks.html',
    'modules/Addon_Sample/copyright.php',
    'modules/Addon_Sample/f2.php',
    'modules/Addon_Sample/index.php',
    'modules/Banners/.htaccess',
    'modules/Banners/index.html',
    'modules/Content/.htaccess',
    'modules/Content/admin/case.php',
    'modules/Content/admin/index.php',
    'modules/Content/admin/language/index.html',
    'modules/Content/admin/language/lang-albanian.php',
    'modules/Content/admin/language/lang-brazilian.php',
    'modules/Content/admin/language/lang-catala.php',
    'modules/Content/admin/language/lang-chinese.php',
    'modules/Content/admin/language/lang-czech.php',
    'modules/Content/admin/language/lang-danish.php',
    'modules/Content/admin/language/lang-dutch.php',
    'modules/Content/admin/language/lang-english.php',
    'modules/Content/admin/language/lang-estonian.php',
    'modules/Content/admin/language/lang-euskara.php',
    'modules/Content/admin/language/lang-finnish.php',
    'modules/Content/admin/language/lang-french.php',
    'modules/Content/admin/language/lang-galego.php',
    'modules/Content/admin/language/lang-german.php',
    'modules/Content/admin/language/lang-greek.php',
    'modules/Content/admin/language/lang-hungarian.php',
    'modules/Content/admin/language/lang-icelandic.php',
    'modules/Content/admin/language/lang-indonesian.php',
    'modules/Content/admin/language/lang-macedonian.php',
    'modules/Content/admin/language/lang-norwegian.php',
    'modules/Content/admin/language/lang-polish.php',
    'modules/Content/admin/language/lang-portuguese.php',
    'modules/Content/admin/language/lang-romanian.php',
    'modules/Content/admin/language/lang-slovak.php',
    'modules/Content/admin/language/lang-slovenian.php',
    'modules/Content/admin/language/lang-swedish.php',
    'modules/Content/admin/language/lang-thai.php',
    'modules/Content/admin/language/lang-turkish.php',
    'modules/Content/admin/language/lang-ukrainian.php',
    'modules/Content/admin/language/lang-vietnamese.php',
    'modules/Content/admin/links.php',
    'modules/Content/admin/panel.php',
    'modules/Content/cfriend.php',
    'modules/Content/copyright.php',
    'modules/Content/index.html',
    'modules/Content/language/lang-albanian.php',
    'modules/Content/language/lang-brazilian.php',
    'modules/Content/language/lang-catala.php',
    'modules/Content/language/lang-chinese.php',
    'modules/Content/language/lang-czech.php',
    'modules/Content/language/lang-danish.php',
    'modules/Content/language/lang-dutch.php',
    'modules/Content/language/lang-estonian.php',
    'modules/Content/language/lang-euskara.php',
    'modules/Content/language/lang-finnish.php',
    'modules/Content/language/lang-galego.php',
    'modules/Content/language/lang-greek.php',
    'modules/Content/language/lang-hungarian.php',
    'modules/Content/language/lang-icelandic.php',
    'modules/Content/language/lang-indonesian.php',
    'modules/Content/language/lang-macedonian.php',
    'modules/Content/language/lang-norwegian.php',
    'modules/Content/language/lang-polish.php',
    'modules/Content/language/lang-portuguese.php',
    'modules/Content/language/lang-romanian.php',
    'modules/Content/language/lang-slovak.php',
    'modules/Content/language/lang-slovenian.php',
    'modules/Content/language/lang-swedish.php',
    'modules/Content/language/lang-thai.php',
    'modules/Content/language/lang-ukrainian.php',
    'modules/Content/language/lang-vietnamese.php',
    'modules/Downloads/.htaccess',
    'modules/Downloads/admin/case.php',
    'modules/Downloads/admin/index.php',
    'modules/Downloads/admin/language/lang-albanian.php',
    'modules/Downloads/admin/language/lang-brazilian.php',
    'modules/Downloads/admin/language/lang-catala.php',
    'modules/Downloads/admin/language/lang-chinese.php',
    'modules/Downloads/admin/language/lang-czech.php',
    'modules/Downloads/admin/language/lang-danish.php',
    'modules/Downloads/admin/language/lang-dutch.php',
    'modules/Downloads/admin/language/lang-english.php',
    'modules/Downloads/admin/language/lang-estonian.php',
    'modules/Downloads/admin/language/lang-euskara.php',
    'modules/Downloads/admin/language/lang-finnish.php',
    'modules/Downloads/admin/language/lang-french.php',
    'modules/Downloads/admin/language/lang-galego.php',
    'modules/Downloads/admin/language/lang-german.php',
    'modules/Downloads/admin/language/lang-greek.php',
    'modules/Downloads/admin/language/lang-hungarian.php',
    'modules/Downloads/admin/language/lang-icelandic.php',
    'modules/Downloads/admin/language/lang-indonesian.php',
    'modules/Downloads/admin/language/lang-macedonian.php',
    'modules/Downloads/admin/language/lang-norwegian.php',
    'modules/Downloads/admin/language/lang-polish.php',
    'modules/Downloads/admin/language/lang-portuguese.php',
    'modules/Downloads/admin/language/lang-romanian.php',
    'modules/Downloads/admin/language/lang-slovak.php',
    'modules/Downloads/admin/language/lang-slovenian.php',
    'modules/Downloads/admin/language/lang-swedish.php',
    'modules/Downloads/admin/language/lang-thai.php',
    'modules/Downloads/admin/language/lang-turkish.php',
    'modules/Downloads/admin/language/lang-ukrainian.php',
    'modules/Downloads/admin/language/lang-vietnamese.php',
    'modules/Downloads/admin/links.php',
    'modules/Downloads/images/code_bg.jpg',
    'modules/Downloads/images/details.gif',
    'modules/Downloads/images/dot-clear.gif',
    'modules/Downloads/images/down-logo.gif',
    'modules/Downloads/images/download-icon.gif',
    'modules/Downloads/images/folder_1.png',
    'modules/Downloads/images/folderklein.png',
    'modules/Downloads/images/left.gif',
    'modules/Downloads/images/right.gif',
    'modules/Downloads/images/td.gif',
    'modules/Downloads/images/tu.gif',
    'modules/Downloads/index.html',
    'modules/Downloads/language/lang-albanian.php',
    'modules/Downloads/language/lang-brazilian.php',
    'modules/Downloads/language/lang-catala.php',
    'modules/Downloads/language/lang-chinese.php',
    'modules/Downloads/language/lang-czech.php',
    'modules/Downloads/language/lang-danish.php',
    'modules/Downloads/language/lang-dutch.php',
    'modules/Downloads/language/lang-estonian.php',
    'modules/Downloads/language/lang-euskara.php',
    'modules/Downloads/language/lang-finnish.php',
    'modules/Downloads/language/lang-galego.php',
    'modules/Downloads/language/lang-greek.php',
    'modules/Downloads/language/lang-hungarian.php',
    'modules/Downloads/language/lang-icelandic.php',
    'modules/Downloads/language/lang-indonesian.php',
    'modules/Downloads/language/lang-macedonian.php',
    'modules/Downloads/language/lang-norwegian.php',
    'modules/Downloads/language/lang-polish.php',
    'modules/Downloads/language/lang-portuguese.php',
    'modules/Downloads/language/lang-romanian.php',
    'modules/Downloads/language/lang-slovak.php',
    'modules/Downloads/language/lang-slovenian.php',
    'modules/Downloads/language/lang-swedish.php',
    'modules/Downloads/language/lang-thai.php',
    'modules/Downloads/language/lang-ukrainian.php',
    'modules/Downloads/language/lang-vietnamese.php',
    'modules/Downloads/sec_code.php',
    'modules/Downloads/voteinclude.php',
    'modules/Encyclopedia/.htaccess',
    'modules/Encyclopedia/admin/case.php',
    'modules/Encyclopedia/admin/index.php',
    'modules/Encyclopedia/admin/language/lang-albanian.php',
    'modules/Encyclopedia/admin/language/lang-brazilian.php',
    'modules/Encyclopedia/admin/language/lang-catala.php',
    'modules/Encyclopedia/admin/language/lang-chinese.php',
    'modules/Encyclopedia/admin/language/lang-czech.php',
    'modules/Encyclopedia/admin/language/lang-danish.php',
    'modules/Encyclopedia/admin/language/lang-dutch.php',
    'modules/Encyclopedia/admin/language/lang-english.php',
    'modules/Encyclopedia/admin/language/lang-estonian.php',
    'modules/Encyclopedia/admin/language/lang-euskara.php',
    'modules/Encyclopedia/admin/language/lang-finnish.php',
    'modules/Encyclopedia/admin/language/lang-french.php',
    'modules/Encyclopedia/admin/language/lang-galego.php',
    'modules/Encyclopedia/admin/language/lang-german.php',
    'modules/Encyclopedia/admin/language/lang-greek.php',
    'modules/Encyclopedia/admin/language/lang-hungarian.php',
    'modules/Encyclopedia/admin/language/lang-icelandic.php',
    'modules/Encyclopedia/admin/language/lang-indonesian.php',
    'modules/Encyclopedia/admin/language/lang-macedonian.php',
    'modules/Encyclopedia/admin/language/lang-norwegian.php',
    'modules/Encyclopedia/admin/language/lang-polish.php',
    'modules/Encyclopedia/admin/language/lang-portuguese.php',
    'modules/Encyclopedia/admin/language/lang-romanian.php',
    'modules/Encyclopedia/admin/language/lang-slovak.php',
    'modules/Encyclopedia/admin/language/lang-slovenian.php',
    'modules/Encyclopedia/admin/language/lang-swedish.php',
    'modules/Encyclopedia/admin/language/lang-thai.php',
    'modules/Encyclopedia/admin/language/lang-turkish.php',
    'modules/Encyclopedia/admin/language/lang-ukrainian.php',
    'modules/Encyclopedia/admin/language/lang-vietnamese.php',
    'modules/Encyclopedia/admin/links.php',
    'modules/Encyclopedia/copyright.php',
    'modules/Encyclopedia/index.html',
    'modules/Encyclopedia/language/lang-albanian.php',
    'modules/Encyclopedia/language/lang-brazilian.php',
    'modules/Encyclopedia/language/lang-catala.php',
    'modules/Encyclopedia/language/lang-chinese.php',
    'modules/Encyclopedia/language/lang-czech.php',
    'modules/Encyclopedia/language/lang-danish.php',
    'modules/Encyclopedia/language/lang-dutch.php',
    'modules/Encyclopedia/language/lang-estonian.php',
    'modules/Encyclopedia/language/lang-euskara.php',
    'modules/Encyclopedia/language/lang-finnish.php',
    'modules/Encyclopedia/language/lang-galego.php',
    'modules/Encyclopedia/language/lang-greek.php',
    'modules/Encyclopedia/language/lang-hungarian.php',
    'modules/Encyclopedia/language/lang-icelandic.php',
    'modules/Encyclopedia/language/lang-indonesian.php',
    'modules/Encyclopedia/language/lang-macedonian.php',
    'modules/Encyclopedia/language/lang-norwegian.php',
    'modules/Encyclopedia/language/lang-polish.php',
    'modules/Encyclopedia/language/lang-portuguese.php',
    'modules/Encyclopedia/language/lang-romanian.php',
    'modules/Encyclopedia/language/lang-slovak.php',
    'modules/Encyclopedia/language/lang-slovenian.php',
    'modules/Encyclopedia/language/lang-swedish.php',
    'modules/Encyclopedia/language/lang-thai.php',
    'modules/Encyclopedia/language/lang-ukrainian.php',
    'modules/Encyclopedia/language/lang-vietnamese.php',
    'modules/FAQ/.htaccess',
    'modules/FAQ/admin/case.php',
    'modules/FAQ/admin/index.php',
    'modules/FAQ/admin/language/lang-albanian.php',
    'modules/FAQ/admin/language/lang-brazilian.php',
    'modules/FAQ/admin/language/lang-catala.php',
    'modules/FAQ/admin/language/lang-chinese.php',
    'modules/FAQ/admin/language/lang-czech.php',
    'modules/FAQ/admin/language/lang-danish.php',
    'modules/FAQ/admin/language/lang-dutch.php',
    'modules/FAQ/admin/language/lang-english.php',
    'modules/FAQ/admin/language/lang-estonian.php',
    'modules/FAQ/admin/language/lang-euskara.php',
    'modules/FAQ/admin/language/lang-finnish.php',
    'modules/FAQ/admin/language/lang-french.php',
    'modules/FAQ/admin/language/lang-galego.php',
    'modules/FAQ/admin/language/lang-german.php',
    'modules/FAQ/admin/language/lang-greek.php',
    'modules/FAQ/admin/language/lang-hungarian.php',
    'modules/FAQ/admin/language/lang-icelandic.php',
    'modules/FAQ/admin/language/lang-indonesian.php',
    'modules/FAQ/admin/language/lang-macedonian.php',
    'modules/FAQ/admin/language/lang-norwegian.php',
    'modules/FAQ/admin/language/lang-polish.php',
    'modules/FAQ/admin/language/lang-portuguese.php',
    'modules/FAQ/admin/language/lang-romanian.php',
    'modules/FAQ/admin/language/lang-slovak.php',
    'modules/FAQ/admin/language/lang-slovenian.php',
    'modules/FAQ/admin/language/lang-swedish.php',
    'modules/FAQ/admin/language/lang-thai.php',
    'modules/FAQ/admin/language/lang-turkish.php',
    'modules/FAQ/admin/language/lang-ukrainian.php',
    'modules/FAQ/admin/language/lang-vietnamese.php',
    'modules/FAQ/admin/links.php',
    'modules/FAQ/index.html',
    'modules/FAQ/language/lang-albanian.php',
    'modules/FAQ/language/lang-brazilian.php',
    'modules/FAQ/language/lang-catala.php',
    'modules/FAQ/language/lang-chinese.php',
    'modules/FAQ/language/lang-czech.php',
    'modules/FAQ/language/lang-danish.php',
    'modules/FAQ/language/lang-dutch.php',
    'modules/FAQ/language/lang-estonian.php',
    'modules/FAQ/language/lang-euskara.php',
    'modules/FAQ/language/lang-finnish.php',
    'modules/FAQ/language/lang-galego.php',
    'modules/FAQ/language/lang-greek.php',
    'modules/FAQ/language/lang-hungarian.php',
    'modules/FAQ/language/lang-icelandic.php',
    'modules/FAQ/language/lang-indonesian.php',
    'modules/FAQ/language/lang-macedonian.php',
    'modules/FAQ/language/lang-norwegian.php',
    'modules/FAQ/language/lang-polish.php',
    'modules/FAQ/language/lang-portuguese.php',
    'modules/FAQ/language/lang-romanian.php',
    'modules/FAQ/language/lang-slovak.php',
    'modules/FAQ/language/lang-slovenian.php',
    'modules/FAQ/language/lang-swedish.php',
    'modules/FAQ/language/lang-thai.php',
    'modules/FAQ/language/lang-ukrainian.php',
    'modules/FAQ/language/lang-vietnamese.php',
    'modules/Feedback/.htaccess',
    'modules/Feedback/index.html',
    'modules/Feedback/language/lang-albanian.php',
    'modules/Feedback/language/lang-brazilian.php',
    'modules/Feedback/language/lang-catala.php',
    'modules/Feedback/language/lang-chinese.php',
    'modules/Feedback/language/lang-czech.php',
    'modules/Feedback/language/lang-danish.php',
    'modules/Feedback/language/lang-dutch.php',
    'modules/Feedback/language/lang-estonian.php',
    'modules/Feedback/language/lang-euskara.php',
    'modules/Feedback/language/lang-finnish.php',
    'modules/Feedback/language/lang-galego.php',
    'modules/Feedback/language/lang-greek.php',
    'modules/Feedback/language/lang-hungarian.php',
    'modules/Feedback/language/lang-icelandic.php',
    'modules/Feedback/language/lang-indonesian.php',
    'modules/Feedback/language/lang-macedonian.php',
    'modules/Feedback/language/lang-norwegian.php',
    'modules/Feedback/language/lang-polish.php',
    'modules/Feedback/language/lang-portuguese.php',
    'modules/Feedback/language/lang-romanian.php',
    'modules/Feedback/language/lang-slovak.php',
    'modules/Feedback/language/lang-slovenian.php',
    'modules/Feedback/language/lang-swedish.php',
    'modules/Feedback/language/lang-thai.php',
    'modules/Feedback/language/lang-ukrainian.php',
    'modules/Feedback/language/lang-vietnamese.php',
    'modules/Guestbook/.htaccess',
    'modules/Guestbook/codes/codes.html',
    'modules/Guestbook/codes/codes_spanish.html',
    'modules/Guestbook/functions.inc.php',
    'modules/Guestbook/images/lock.gif',
    'modules/Guestbook/images/logo2.gif',
    'modules/Guestbook/images/return.gif',
    'modules/Guestbook/include/functions.inc.php',
    'modules/Guestbook/index.html',
    'modules/Guestbook/language/lang-norwegian.php',
    'modules/Impressum/.htaccess',
    'modules/Impressum/index.html',
    'modules/LinkMe/index.html',
    'modules/Members_List/.htaccess',
    'modules/Members_List/copyright.php',
    'modules/Members_List/index.html',
    'modules/Members_List/language/lang-albanian.php',
    'modules/Members_List/language/lang-brazilian.php',
    'modules/Members_List/language/lang-catala.php',
    'modules/Members_List/language/lang-chinese.php',
    'modules/Members_List/language/lang-czech.php',
    'modules/Members_List/language/lang-danish.php',
    'modules/Members_List/language/lang-dutch.php',
    'modules/Members_List/language/lang-estonian.php',
    'modules/Members_List/language/lang-euskara.php',
    'modules/Members_List/language/lang-finnish.php',
    'modules/Members_List/language/lang-galego.php',
    'modules/Members_List/language/lang-greek.php',
    'modules/Members_List/language/lang-hungarian.php',
    'modules/Members_List/language/lang-icelandic.php',
    'modules/Members_List/language/lang-indonesian.php',
    'modules/Members_List/language/lang-macedonian.php',
    'modules/Members_List/language/lang-norwegian.php',
    'modules/Members_List/language/lang-polish.php',
    'modules/Members_List/language/lang-portuguese.php',
    'modules/Members_List/language/lang-romanian.php',
    'modules/Members_List/language/lang-slovak.php',
    'modules/Members_List/language/lang-slovenian.php',
    'modules/Members_List/language/lang-swedish.php',
    'modules/Members_List/language/lang-thai.php',
    'modules/Members_List/language/lang-ukrainian.php',
    'modules/Members_List/language/lang-vietnamese.php',
    'modules/My_eGallery/.htaccess',
    'modules/My_eGallery/Version.php',
    'modules/My_eGallery/index.html',
    'modules/News/.htaccess',
    'modules/News/admin/case.php',
    'modules/News/admin/index.php',
    'modules/News/admin/language/lang-albanian.php',
    'modules/News/admin/language/lang-brazilian.php',
    'modules/News/admin/language/lang-catala.php',
    'modules/News/admin/language/lang-chinese.php',
    'modules/News/admin/language/lang-czech.php',
    'modules/News/admin/language/lang-danish.php',
    'modules/News/admin/language/lang-dutch.php',
    'modules/News/admin/language/lang-english.php',
    'modules/News/admin/language/lang-estonian.php',
    'modules/News/admin/language/lang-euskara.php',
    'modules/News/admin/language/lang-finnish.php',
    'modules/News/admin/language/lang-french.php',
    'modules/News/admin/language/lang-galego.php',
    'modules/News/admin/language/lang-german.php',
    'modules/News/admin/language/lang-greek.php',
    'modules/News/admin/language/lang-hungarian.php',
    'modules/News/admin/language/lang-icelandic.php',
    'modules/News/admin/language/lang-indonesian.php',
    'modules/News/admin/language/lang-macedonian.php',
    'modules/News/admin/language/lang-norwegian.php',
    'modules/News/admin/language/lang-polish.php',
    'modules/News/admin/language/lang-portuguese.php',
    'modules/News/admin/language/lang-romanian.php',
    'modules/News/admin/language/lang-slovak.php',
    'modules/News/admin/language/lang-slovenian.php',
    'modules/News/admin/language/lang-swedish.php',
    'modules/News/admin/language/lang-thai.php',
    'modules/News/admin/language/lang-turkish.php',
    'modules/News/admin/language/lang-ukrainian.php',
    'modules/News/admin/language/lang-vietnamese.php',
    'modules/News/admin/links.php',
    'modules/News/associates.php',
    'modules/News/images/0.gif',
    'modules/News/images/1m.gif',
    'modules/News/images/1p.gif',
    'modules/News/images/e.gif',
    'modules/News/images/l.gif',
    'modules/News/images/leer.gif',
    'modules/News/images/x.gif',
    'modules/News/images/z.gif',
    'modules/News/index.html',
    'modules/News/language/lang-albanian.php',
    'modules/News/language/lang-brazilian.php',
    'modules/News/language/lang-catala.php',
    'modules/News/language/lang-chinese.php',
    'modules/News/language/lang-czech.php',
    'modules/News/language/lang-danish.php',
    'modules/News/language/lang-dutch.php',
    'modules/News/language/lang-estonian.php',
    'modules/News/language/lang-euskara.php',
    'modules/News/language/lang-finnish.php',
    'modules/News/language/lang-galego.php',
    'modules/News/language/lang-greek.php',
    'modules/News/language/lang-hungarian.php',
    'modules/News/language/lang-icelandic.php',
    'modules/News/language/lang-indonesian.php',
    'modules/News/language/lang-macedonian.php',
    'modules/News/language/lang-norwegian.php',
    'modules/News/language/lang-polish.php',
    'modules/News/language/lang-portuguese.php',
    'modules/News/language/lang-romanian.php',
    'modules/News/language/lang-slovak.php',
    'modules/News/language/lang-slovenian.php',
    'modules/News/language/lang-swedish.php',
    'modules/News/language/lang-thai.php',
    'modules/News/language/lang-ukrainian.php',
    'modules/News/language/lang-vietnamese.php',
    'modules/Newsletter/.htaccess',
    'modules/Newsletter/index.html',
    'modules/Private_Messages/.htaccess',
    'modules/Private_Messages/auth.php',
    'modules/Private_Messages/copyright.php',
    'modules/Private_Messages/images/icons/smile_biggrin.gif',
    'modules/Private_Messages/images/icons/smile_confused.gif',
    'modules/Private_Messages/images/icons/smile_cool.gif',
    'modules/Private_Messages/images/icons/smile_cry.gif',
    'modules/Private_Messages/images/icons/smile_eek.gif',
    'modules/Private_Messages/images/icons/smile_frown.gif',
    'modules/Private_Messages/images/icons/smile_mad.gif',
    'modules/Private_Messages/images/icons/smile_razz.gif',
    'modules/Private_Messages/images/icons/smile_shocked.gif',
    'modules/Private_Messages/images/icons/smile_smile.gif',
    'modules/Private_Messages/images/icons/smile_wink.gif',
    'modules/Private_Messages/images/icons/t_kiss.gif',
    'modules/Private_Messages/images/icons/thumbdown.gif',
    'modules/Private_Messages/images/icons/thumbup.gif',
    'modules/Private_Messages/index.html',
    'modules/Private_Messages/language/lang-albanian.php',
    'modules/Private_Messages/language/lang-brazilian.php',
    'modules/Private_Messages/language/lang-catala.php',
    'modules/Private_Messages/language/lang-chinese.php',
    'modules/Private_Messages/language/lang-czech.php',
    'modules/Private_Messages/language/lang-danish.php',
    'modules/Private_Messages/language/lang-dutch.php',
    'modules/Private_Messages/language/lang-estonian.php',
    'modules/Private_Messages/language/lang-euskara.php',
    'modules/Private_Messages/language/lang-finnish.php',
    'modules/Private_Messages/language/lang-galego.php',
    'modules/Private_Messages/language/lang-greek.php',
    'modules/Private_Messages/language/lang-hungarian.php',
    'modules/Private_Messages/language/lang-icelandic.php',
    'modules/Private_Messages/language/lang-indonesian.php',
    'modules/Private_Messages/language/lang-macedonian.php',
    'modules/Private_Messages/language/lang-norwegian.php',
    'modules/Private_Messages/language/lang-polish.php',
    'modules/Private_Messages/language/lang-portuguese.php',
    'modules/Private_Messages/language/lang-romanian.php',
    'modules/Private_Messages/language/lang-slovak.php',
    'modules/Private_Messages/language/lang-slovenian.php',
    'modules/Private_Messages/language/lang-swedish.php',
    'modules/Private_Messages/language/lang-thai.php',
    'modules/Private_Messages/language/lang-turkish_x.php',
    'modules/Private_Messages/language/lang-ukrainian.php',
    'modules/Private_Messages/language/lang-vietnamese.php',
    'modules/Private_Messages/read.php',
    'modules/Recommend_Us/.htaccess',
    'modules/Recommend_Us/index.html',
    'modules/Recommend_Us/install.php',
    'modules/Recommend_Us/language/lang-albanian.php',
    'modules/Recommend_Us/language/lang-brazilian.php',
    'modules/Recommend_Us/language/lang-catala.php',
    'modules/Recommend_Us/language/lang-chinese.php',
    'modules/Recommend_Us/language/lang-czech.php',
    'modules/Recommend_Us/language/lang-danish.php',
    'modules/Recommend_Us/language/lang-dutch.php',
    'modules/Recommend_Us/language/lang-estonian.php',
    'modules/Recommend_Us/language/lang-euskara.php',
    'modules/Recommend_Us/language/lang-finnish.php',
    'modules/Recommend_Us/language/lang-galego.php',
    'modules/Recommend_Us/language/lang-greek.php',
    'modules/Recommend_Us/language/lang-hungarian.php',
    'modules/Recommend_Us/language/lang-icelandic.php',
    'modules/Recommend_Us/language/lang-indonesian.php',
    'modules/Recommend_Us/language/lang-macedonian.php',
    'modules/Recommend_Us/language/lang-norwegian.php',
    'modules/Recommend_Us/language/lang-polish.php',
    'modules/Recommend_Us/language/lang-portuguese.php',
    'modules/Recommend_Us/language/lang-romanian.php',
    'modules/Recommend_Us/language/lang-slovak.php',
    'modules/Recommend_Us/language/lang-slovenian.php',
    'modules/Recommend_Us/language/lang-swedish.php',
    'modules/Recommend_Us/language/lang-thai.php',
    'modules/Recommend_Us/language/lang-ukrainian.php',
    'modules/Recommend_Us/language/lang-vietnamese.php',
    'modules/Reviews/.htaccess',
    'modules/Reviews/admin/case.php',
    'modules/Reviews/admin/index.php',
    'modules/Reviews/admin/language/lang-albanian.php',
    'modules/Reviews/admin/language/lang-brazilian.php',
    'modules/Reviews/admin/language/lang-catala.php',
    'modules/Reviews/admin/language/lang-chinese.php',
    'modules/Reviews/admin/language/lang-czech.php',
    'modules/Reviews/admin/language/lang-danish.php',
    'modules/Reviews/admin/language/lang-dutch.php',
    'modules/Reviews/admin/language/lang-english.php',
    'modules/Reviews/admin/language/lang-estonian.php',
    'modules/Reviews/admin/language/lang-euskara.php',
    'modules/Reviews/admin/language/lang-finnish.php',
    'modules/Reviews/admin/language/lang-french.php',
    'modules/Reviews/admin/language/lang-galego.php',
    'modules/Reviews/admin/language/lang-german.php',
    'modules/Reviews/admin/language/lang-greek.php',
    'modules/Reviews/admin/language/lang-hungarian.php',
    'modules/Reviews/admin/language/lang-icelandic.php',
    'modules/Reviews/admin/language/lang-indonesian.php',
    'modules/Reviews/admin/language/lang-macedonian.php',
    'modules/Reviews/admin/language/lang-norwegian.php',
    'modules/Reviews/admin/language/lang-polish.php',
    'modules/Reviews/admin/language/lang-portuguese.php',
    'modules/Reviews/admin/language/lang-romanian.php',
    'modules/Reviews/admin/language/lang-slovak.php',
    'modules/Reviews/admin/language/lang-slovenian.php',
    'modules/Reviews/admin/language/lang-swedish.php',
    'modules/Reviews/admin/language/lang-thai.php',
    'modules/Reviews/admin/language/lang-turkish.php',
    'modules/Reviews/admin/language/lang-ukrainian.php',
    'modules/Reviews/admin/language/lang-vietnamese.php',
    'modules/Reviews/admin/links.php',
    'modules/Reviews/index.html',
    'modules/Reviews/language/lang-albanian.php',
    'modules/Reviews/language/lang-brazilian.php',
    'modules/Reviews/language/lang-catala.php',
    'modules/Reviews/language/lang-chinese.php',
    'modules/Reviews/language/lang-czech.php',
    'modules/Reviews/language/lang-danish.php',
    'modules/Reviews/language/lang-dutch.php',
    'modules/Reviews/language/lang-estonian.php',
    'modules/Reviews/language/lang-euskara.php',
    'modules/Reviews/language/lang-finnish.php',
    'modules/Reviews/language/lang-galego.php',
    'modules/Reviews/language/lang-greek.php',
    'modules/Reviews/language/lang-hungarian.php',
    'modules/Reviews/language/lang-icelandic.php',
    'modules/Reviews/language/lang-indonesian.php',
    'modules/Reviews/language/lang-macedonian.php',
    'modules/Reviews/language/lang-norwegian.php',
    'modules/Reviews/language/lang-polish.php',
    'modules/Reviews/language/lang-portuguese.php',
    'modules/Reviews/language/lang-romanian.php',
    'modules/Reviews/language/lang-slovak.php',
    'modules/Reviews/language/lang-slovenian.php',
    'modules/Reviews/language/lang-swedish.php',
    'modules/Reviews/language/lang-thai.php',
    'modules/Reviews/language/lang-ukrainian.php',
    'modules/Reviews/language/lang-vietnamese.php',
    'modules/Search/.htaccess',
    'modules/Search/index.html',
    'modules/Search/language/lang-albanian.php',
    'modules/Search/language/lang-brazilian.php',
    'modules/Search/language/lang-catala.php',
    'modules/Search/language/lang-chinese.php',
    'modules/Search/language/lang-czech.php',
    'modules/Search/language/lang-danish.php',
    'modules/Search/language/lang-dutch.php',
    'modules/Search/language/lang-estonian.php',
    'modules/Search/language/lang-euskara.php',
    'modules/Search/language/lang-finnish.php',
    'modules/Search/language/lang-galego.php',
    'modules/Search/language/lang-greek.php',
    'modules/Search/language/lang-hungarian.php',
    'modules/Search/language/lang-icelandic.php',
    'modules/Search/language/lang-indonesian.php',
    'modules/Search/language/lang-macedonian.php',
    'modules/Search/language/lang-norwegian.php',
    'modules/Search/language/lang-polish.php',
    'modules/Search/language/lang-portuguese.php',
    'modules/Search/language/lang-romanian.php',
    'modules/Search/language/lang-slovak.php',
    'modules/Search/language/lang-slovenian.php',
    'modules/Search/language/lang-swedish.php',
    'modules/Search/language/lang-thai.php',
    'modules/Search/language/lang-ukrainian.php',
    'modules/Search/language/lang-vietnamese.php',
    'modules/Sections/.htaccess',
    'modules/Sections/index.html',
    'modules/Sections/language/lang-albanian.php',
    'modules/Sections/language/lang-brazilian.php',
    'modules/Sections/language/lang-catala.php',
    'modules/Sections/language/lang-chinese.php',
    'modules/Sections/language/lang-czech.php',
    'modules/Sections/language/lang-danish.php',
    'modules/Sections/language/lang-dutch.php',
    'modules/Sections/language/lang-euskara.php',
    'modules/Sections/language/lang-finnish.php',
    'modules/Sections/language/lang-galego.php',
    'modules/Sections/language/lang-greek.php',
    'modules/Sections/language/lang-hungarian.php',
    'modules/Sections/language/lang-icelandic.php',
    'modules/Sections/language/lang-indonesian.php',
    'modules/Sections/language/lang-macedonian.php',
    'modules/Sections/language/lang-norwegian.php',
    'modules/Sections/language/lang-polish.php',
    'modules/Sections/language/lang-portuguese.php',
    'modules/Sections/language/lang-romanian.php',
    'modules/Sections/language/lang-slovak.php',
    'modules/Sections/language/lang-slovenian.php',
    'modules/Sections/language/lang-swedish.php',
    'modules/Sections/language/lang-thai.php',
    'modules/Sections/language/lang-ukrainian.php',
    'modules/Sections/language/lang-vietnamese.php',
    'modules/Siteupdate/.htaccess',
    'modules/Siteupdate/index.html',
    'modules/Stories_Archive/.htaccess',
    'modules/Stories_Archive/index.html',
    'modules/Stories_Archive/language/lang-albanian.php',
    'modules/Stories_Archive/language/lang-brazilian.php',
    'modules/Stories_Archive/language/lang-catala.php',
    'modules/Stories_Archive/language/lang-chinese.php',
    'modules/Stories_Archive/language/lang-czech.php',
    'modules/Stories_Archive/language/lang-danish.php',
    'modules/Stories_Archive/language/lang-dutch.php',
    'modules/Stories_Archive/language/lang-estonian.php',
    'modules/Stories_Archive/language/lang-euskara.php',
    'modules/Stories_Archive/language/lang-finnish.php',
    'modules/Stories_Archive/language/lang-galego.php',
    'modules/Stories_Archive/language/lang-greek.php',
    'modules/Stories_Archive/language/lang-hungarian.php',
    'modules/Stories_Archive/language/lang-icelandic.php',
    'modules/Stories_Archive/language/lang-indonesian.php',
    'modules/Stories_Archive/language/lang-macedonian.php',
    'modules/Stories_Archive/language/lang-norwegian.php',
    'modules/Stories_Archive/language/lang-polish.php',
    'modules/Stories_Archive/language/lang-portuguese.php',
    'modules/Stories_Archive/language/lang-romanian.php',
    'modules/Stories_Archive/language/lang-slovak.php',
    'modules/Stories_Archive/language/lang-slovenian.php',
    'modules/Stories_Archive/language/lang-swedish.php',
    'modules/Stories_Archive/language/lang-thai.php',
    'modules/Stories_Archive/language/lang-ukrainian.php',
    'modules/Stories_Archive/language/lang-vietnamese.php',
    'modules/Submit_News/.htaccess',
    'modules/Submit_News/index.html',
    'modules/Submit_News/language/lang-albanian.php',
    'modules/Submit_News/language/lang-brazilian.php',
    'modules/Submit_News/language/lang-catala.php',
    'modules/Submit_News/language/lang-chinese.php',
    'modules/Submit_News/language/lang-czech.php',
    'modules/Submit_News/language/lang-danish.php',
    'modules/Submit_News/language/lang-dutch.php',
    'modules/Submit_News/language/lang-estonian.php',
    'modules/Submit_News/language/lang-euskara.php',
    'modules/Submit_News/language/lang-finnish.php',
    'modules/Submit_News/language/lang-galego.php',
    'modules/Submit_News/language/lang-greek.php',
    'modules/Submit_News/language/lang-hungarian.php',
    'modules/Submit_News/language/lang-icelandic.php',
    'modules/Submit_News/language/lang-indonesian.php',
    'modules/Submit_News/language/lang-macedonian.php',
    'modules/Submit_News/language/lang-norwegian.php',
    'modules/Submit_News/language/lang-polish.php',
    'modules/Submit_News/language/lang-portuguese.php',
    'modules/Submit_News/language/lang-romanian.php',
    'modules/Submit_News/language/lang-slovak.php',
    'modules/Submit_News/language/lang-slovenian.php',
    'modules/Submit_News/language/lang-swedish.php',
    'modules/Submit_News/language/lang-thai.php',
    'modules/Submit_News/language/lang-ukrainian.php',
    'modules/Submit_News/language/lang-vietnamese.php',
    'modules/Surveys/.htaccess',
    'modules/Surveys/admin/case.php',
    'modules/Surveys/admin/index.php',
    'modules/Surveys/admin/language/lang-albanian.php',
    'modules/Surveys/admin/language/lang-brazilian.php',
    'modules/Surveys/admin/language/lang-catala.php',
    'modules/Surveys/admin/language/lang-chinese.php',
    'modules/Surveys/admin/language/lang-czech.php',
    'modules/Surveys/admin/language/lang-danish.php',
    'modules/Surveys/admin/language/lang-dutch.php',
    'modules/Surveys/admin/language/lang-english.php',
    'modules/Surveys/admin/language/lang-estonian.php',
    'modules/Surveys/admin/language/lang-euskara.php',
    'modules/Surveys/admin/language/lang-finnish.php',
    'modules/Surveys/admin/language/lang-french.php',
    'modules/Surveys/admin/language/lang-galego.php',
    'modules/Surveys/admin/language/lang-german.php',
    'modules/Surveys/admin/language/lang-greek.php',
    'modules/Surveys/admin/language/lang-hungarian.php',
    'modules/Surveys/admin/language/lang-icelandic.php',
    'modules/Surveys/admin/language/lang-indonesian.php',
    'modules/Surveys/admin/language/lang-macedonian.php',
    'modules/Surveys/admin/language/lang-norwegian.php',
    'modules/Surveys/admin/language/lang-polish.php',
    'modules/Surveys/admin/language/lang-portuguese.php',
    'modules/Surveys/admin/language/lang-romanian.php',
    'modules/Surveys/admin/language/lang-slovak.php',
    'modules/Surveys/admin/language/lang-slovenian.php',
    'modules/Surveys/admin/language/lang-swedish.php',
    'modules/Surveys/admin/language/lang-thai.php',
    'modules/Surveys/admin/language/lang-turkish.php',
    'modules/Surveys/admin/language/lang-ukrainian.php',
    'modules/Surveys/admin/language/lang-vietnamese.php',
    'modules/Surveys/admin/links.php',
    'modules/Surveys/images/email_sm.gif',
    'modules/Surveys/images/message_sm.gif',
    'modules/Surveys/images/profile_sm.gif',
    'modules/Surveys/images/www.gif',
    'modules/Surveys/index.html',
    'modules/Surveys/language/lang-albanian.php',
    'modules/Surveys/language/lang-brazilian.php',
    'modules/Surveys/language/lang-catala.php',
    'modules/Surveys/language/lang-chinese.php',
    'modules/Surveys/language/lang-czech.php',
    'modules/Surveys/language/lang-danish.php',
    'modules/Surveys/language/lang-dutch.php',
    'modules/Surveys/language/lang-estonian.php',
    'modules/Surveys/language/lang-euskara.php',
    'modules/Surveys/language/lang-finnish.php',
    'modules/Surveys/language/lang-galego.php',
    'modules/Surveys/language/lang-greek.php',
    'modules/Surveys/language/lang-hungarian.php',
    'modules/Surveys/language/lang-icelandic.php',
    'modules/Surveys/language/lang-indonesian.php',
    'modules/Surveys/language/lang-macedonian.php',
    'modules/Surveys/language/lang-norwegian.php',
    'modules/Surveys/language/lang-polish.php',
    'modules/Surveys/language/lang-portuguese.php',
    'modules/Surveys/language/lang-romanian.php',
    'modules/Surveys/language/lang-slovak.php',
    'modules/Surveys/language/lang-slovenian.php',
    'modules/Surveys/language/lang-swedish.php',
    'modules/Surveys/language/lang-thai.php',
    'modules/Surveys/language/lang-ukrainian.php',
    'modules/Surveys/language/lang-vietnamese.php',
    'modules/Themetest/.htaccess',
    'modules/Top/.htaccess',
    'modules/Top/index.html',
    'modules/Top/language/lang-albanian.php',
    'modules/Top/language/lang-brazilian.php',
    'modules/Top/language/lang-catala.php',
    'modules/Top/language/lang-chinese.php',
    'modules/Top/language/lang-czech.php',
    'modules/Top/language/lang-danish.php',
    'modules/Top/language/lang-dutch.php',
    'modules/Top/language/lang-estonian.php',
    'modules/Top/language/lang-euskara.php',
    'modules/Top/language/lang-finnish.php',
    'modules/Top/language/lang-galego.php',
    'modules/Top/language/lang-greek.php',
    'modules/Top/language/lang-hungarian.php',
    'modules/Top/language/lang-icelandic.php',
    'modules/Top/language/lang-indonesian.php',
    'modules/Top/language/lang-macedonian.php',
    'modules/Top/language/lang-norwegian.php',
    'modules/Top/language/lang-polish.php',
    'modules/Top/language/lang-portuguese.php',
    'modules/Top/language/lang-romanian.php',
    'modules/Top/language/lang-slovak.php',
    'modules/Top/language/lang-slovenian.php',
    'modules/Top/language/lang-swedish.php',
    'modules/Top/language/lang-thai.php',
    'modules/Top/language/lang-ukrainian.php',
    'modules/Top/language/lang-vietnamese.php',
    'modules/Topics/.htaccess',
    'modules/Topics/admin/case.php',
    'modules/Topics/admin/index.php',
    'modules/Topics/admin/language/lang-albanian.php',
    'modules/Topics/admin/language/lang-brazilian.php',
    'modules/Topics/admin/language/lang-catala.php',
    'modules/Topics/admin/language/lang-chinese.php',
    'modules/Topics/admin/language/lang-czech.php',
    'modules/Topics/admin/language/lang-danish.php',
    'modules/Topics/admin/language/lang-dutch.php',
    'modules/Topics/admin/language/lang-english.php',
    'modules/Topics/admin/language/lang-estonian.php',
    'modules/Topics/admin/language/lang-euskara.php',
    'modules/Topics/admin/language/lang-finnish.php',
    'modules/Topics/admin/language/lang-french.php',
    'modules/Topics/admin/language/lang-galego.php',
    'modules/Topics/admin/language/lang-german.php',
    'modules/Topics/admin/language/lang-greek.php',
    'modules/Topics/admin/language/lang-hungarian.php',
    'modules/Topics/admin/language/lang-icelandic.php',
    'modules/Topics/admin/language/lang-indonesian.php',
    'modules/Topics/admin/language/lang-macedonian.php',
    'modules/Topics/admin/language/lang-norwegian.php',
    'modules/Topics/admin/language/lang-polish.php',
    'modules/Topics/admin/language/lang-portuguese.php',
    'modules/Topics/admin/language/lang-romanian.php',
    'modules/Topics/admin/language/lang-slovak.php',
    'modules/Topics/admin/language/lang-slovenian.php',
    'modules/Topics/admin/language/lang-swedish.php',
    'modules/Topics/admin/language/lang-thai.php',
    'modules/Topics/admin/language/lang-turkish.php',
    'modules/Topics/admin/language/lang-ukrainian.php',
    'modules/Topics/admin/language/lang-vietnamese.php',
    'modules/Topics/admin/links.php',
    'modules/Topics/copyright.php',
    'modules/Topics/images/arrow.gif',
    'modules/Topics/index.html',
    'modules/Topics/language/lang-albanian.php',
    'modules/Topics/language/lang-brazilian.php',
    'modules/Topics/language/lang-catala.php',
    'modules/Topics/language/lang-chinese.php',
    'modules/Topics/language/lang-czech.php',
    'modules/Topics/language/lang-danish.php',
    'modules/Topics/language/lang-dutch.php',
    'modules/Topics/language/lang-estonian.php',
    'modules/Topics/language/lang-euskara.php',
    'modules/Topics/language/lang-finnish.php',
    'modules/Topics/language/lang-galego.php',
    'modules/Topics/language/lang-greek.php',
    'modules/Topics/language/lang-hungarian.php',
    'modules/Topics/language/lang-icelandic.php',
    'modules/Topics/language/lang-indonesian.php',
    'modules/Topics/language/lang-macedonian.php',
    'modules/Topics/language/lang-norwegian.php',
    'modules/Topics/language/lang-polish.php',
    'modules/Topics/language/lang-portuguese.php',
    'modules/Topics/language/lang-romanian.php',
    'modules/Topics/language/lang-slovak.php',
    'modules/Topics/language/lang-slovenian.php',
    'modules/Topics/language/lang-swedish.php',
    'modules/Topics/language/lang-thai.php',
    'modules/Topics/language/lang-ukrainian.php',
    'modules/Topics/language/lang-vietnamese.php',
    'modules/User_Registration/.htaccess',
    'modules/User_Registration/index.html',
    'modules/Userinfo/.htaccess',
    'modules/Userinfo/index.html',
    'modules/Web_Links/.htaccess',
    'modules/Web_Links/admin/case.php',
    'modules/Web_Links/admin/index.php',
    'modules/Web_Links/admin/language/lang-albanian.php',
    'modules/Web_Links/admin/language/lang-brazilian.php',
    'modules/Web_Links/admin/language/lang-catala.php',
    'modules/Web_Links/admin/language/lang-chinese.php',
    'modules/Web_Links/admin/language/lang-czech.php',
    'modules/Web_Links/admin/language/lang-danish.php',
    'modules/Web_Links/admin/language/lang-dutch.php',
    'modules/Web_Links/admin/language/lang-english.php',
    'modules/Web_Links/admin/language/lang-estonian.php',
    'modules/Web_Links/admin/language/lang-euskara.php',
    'modules/Web_Links/admin/language/lang-finnish.php',
    'modules/Web_Links/admin/language/lang-french.php',
    'modules/Web_Links/admin/language/lang-galego.php',
    'modules/Web_Links/admin/language/lang-german.php',
    'modules/Web_Links/admin/language/lang-greek.php',
    'modules/Web_Links/admin/language/lang-hungarian.php',
    'modules/Web_Links/admin/language/lang-icelandic.php',
    'modules/Web_Links/admin/language/lang-indonesian.php',
    'modules/Web_Links/admin/language/lang-macedonian.php',
    'modules/Web_Links/admin/language/lang-norwegian.php',
    'modules/Web_Links/admin/language/lang-polish.php',
    'modules/Web_Links/admin/language/lang-portuguese.php',
    'modules/Web_Links/admin/language/lang-romanian.php',
    'modules/Web_Links/admin/language/lang-slovak.php',
    'modules/Web_Links/admin/language/lang-slovenian.php',
    'modules/Web_Links/admin/language/lang-swedish.php',
    'modules/Web_Links/admin/language/lang-thai.php',
    'modules/Web_Links/admin/language/lang-turkish.php',
    'modules/Web_Links/admin/language/lang-ukrainian.php',
    'modules/Web_Links/admin/language/lang-vietnamese.php',
    'modules/Web_Links/admin/links.php',
    'modules/Web_Links/images/link-logo.gif',
    'modules/Web_Links/images/new-english.gif',
    'modules/Web_Links/index.html',
    'modules/Web_Links/language/lang-albanian.php',
    'modules/Web_Links/language/lang-brazilian.php',
    'modules/Web_Links/language/lang-catala.php',
    'modules/Web_Links/language/lang-chinese.php',
    'modules/Web_Links/language/lang-czech.php',
    'modules/Web_Links/language/lang-danish.php',
    'modules/Web_Links/language/lang-dutch.php',
    'modules/Web_Links/language/lang-estonian.php',
    'modules/Web_Links/language/lang-euskara.php',
    'modules/Web_Links/language/lang-finnish.php',
    'modules/Web_Links/language/lang-galego.php',
    'modules/Web_Links/language/lang-greek.php',
    'modules/Web_Links/language/lang-hungarian.php',
    'modules/Web_Links/language/lang-icelandic.php',
    'modules/Web_Links/language/lang-indonesian.php',
    'modules/Web_Links/language/lang-macedonian.php',
    'modules/Web_Links/language/lang-norwegian.php',
    'modules/Web_Links/language/lang-polish.php',
    'modules/Web_Links/language/lang-portuguese.php',
    'modules/Web_Links/language/lang-romanian.php',
    'modules/Web_Links/language/lang-slovak.php',
    'modules/Web_Links/language/lang-slovenian.php',
    'modules/Web_Links/language/lang-swedish.php',
    'modules/Web_Links/language/lang-thai.php',
    'modules/Web_Links/language/lang-ukrainian.php',
    'modules/Web_Links/language/lang-vietnamese.php',
    'modules/Web_Links/voteinclude.php',
    'modules/Web_News/.htaccess',
    'modules/Web_News/index.html',
    'modules/Your_Account/.htaccess',
    'modules/Your_Account/admin/case.php',
    'modules/Your_Account/admin/index.php',
    'modules/Your_Account/admin/language/lang-albanian.php',
    'modules/Your_Account/admin/language/lang-brazilian.php',
    'modules/Your_Account/admin/language/lang-catala.php',
    'modules/Your_Account/admin/language/lang-chinese.php',
    'modules/Your_Account/admin/language/lang-czech.php',
    'modules/Your_Account/admin/language/lang-danish.php',
    'modules/Your_Account/admin/language/lang-dutch.php',
    'modules/Your_Account/admin/language/lang-english.php',
    'modules/Your_Account/admin/language/lang-estonian.php',
    'modules/Your_Account/admin/language/lang-euskara.php',
    'modules/Your_Account/admin/language/lang-finnish.php',
    'modules/Your_Account/admin/language/lang-french.php',
    'modules/Your_Account/admin/language/lang-galego.php',
    'modules/Your_Account/admin/language/lang-german.php',
    'modules/Your_Account/admin/language/lang-greek.php',
    'modules/Your_Account/admin/language/lang-hungarian.php',
    'modules/Your_Account/admin/language/lang-icelandic.php',
    'modules/Your_Account/admin/language/lang-indonesian.php',
    'modules/Your_Account/admin/language/lang-macedonian.php',
    'modules/Your_Account/admin/language/lang-norwegian.php',
    'modules/Your_Account/admin/language/lang-polish.php',
    'modules/Your_Account/admin/language/lang-portuguese.php',
    'modules/Your_Account/admin/language/lang-romanian.php',
    'modules/Your_Account/admin/language/lang-slovak.php',
    'modules/Your_Account/admin/language/lang-slovenian.php',
    'modules/Your_Account/admin/language/lang-swedish.php',
    'modules/Your_Account/admin/language/lang-thai.php',
    'modules/Your_Account/admin/language/lang-turkish.php',
    'modules/Your_Account/admin/language/lang-ukrainian.php',
    'modules/Your_Account/admin/language/lang-vietnamese.php',
    'modules/Your_Account/admin/links.php',
    'modules/Your_Account/denied.php',
    'modules/Your_Account/images/code_bg.jpg',
    'modules/Your_Account/images/comments.gif',
    'modules/Your_Account/images/exit.gif',
    'modules/Your_Account/images/home.gif',
    'modules/Your_Account/images/index.html',
    'modules/Your_Account/images/info.gif',
    'modules/Your_Account/images/journal.gif',
    'modules/Your_Account/images/mail.gif',
    'modules/Your_Account/images/messages.gif',
    'modules/Your_Account/images/themes.gif',
    'modules/Your_Account/index.html',
    'modules/Your_Account/language/lang-albanian.php',
    'modules/Your_Account/language/lang-brazilian.php',
    'modules/Your_Account/language/lang-catala.php',
    'modules/Your_Account/language/lang-chinese.php',
    'modules/Your_Account/language/lang-czech.php',
    'modules/Your_Account/language/lang-danish.php',
    'modules/Your_Account/language/lang-dutch.php',
    'modules/Your_Account/language/lang-estonian.php',
    'modules/Your_Account/language/lang-euskara.php',
    'modules/Your_Account/language/lang-finnish.php',
    'modules/Your_Account/language/lang-galego.php',
    'modules/Your_Account/language/lang-greek.php',
    'modules/Your_Account/language/lang-hungarian.php',
    'modules/Your_Account/language/lang-icelandic.php',
    'modules/Your_Account/language/lang-indonesian.php',
    'modules/Your_Account/language/lang-macedonian.php',
    'modules/Your_Account/language/lang-norwegian.php',
    'modules/Your_Account/language/lang-polish.php',
    'modules/Your_Account/language/lang-portuguese.php',
    'modules/Your_Account/language/lang-romanian.php',
    'modules/Your_Account/language/lang-slovak.php',
    'modules/Your_Account/language/lang-slovenian.php',
    'modules/Your_Account/language/lang-swedish.php',
    'modules/Your_Account/language/lang-thai.php',
    'modules/Your_Account/language/lang-ukrainian.php',
    'modules/Your_Account/language/lang-vietnamese.php',
    'modules/Your_Account/navigation.php',
    'modules/Your_Account/userfunctions.php',
    'modules/blank_Home/.htaccess',
    'modules/blank_Home/index.html',
    'modules/coppermine/copyright.php',
    'modules/coppermine/dhtmlLib.js',
    'modules/coppermine/displayimagepopup.php',
    'modules/coppermine/help.php',
    'modules/coppermine/include/editDesc.inc.php',
    'modules/coppermine/include/exif.inc.php',
    'modules/coppermine/include/help-english.inc.php',
    'modules/coppermine/include/help-thai.inc.php',
    'modules/coppermine/include/langdef.php',
    'modules/coppermine/include/load.inc.php',
    'modules/coppermine/include/oldnuke.php',
    'modules/coppermine/include/picmgmtbatch.inc.php',
    'modules/coppermine/include/postnuke.php',
    'modules/coppermine/install_umbenannt.php',
    'modules/coppermine/jspw.js',
    'modules/coppermine/justsofullsize.php',
    'modules/coppermine/lang/arabic-utf-8.php',
    'modules/coppermine/lang/dutch-utf-8.php',
    'modules/coppermine/lang/dutch.php',
    'modules/coppermine/lang/english-utf-8.php',
    'modules/coppermine/lang/german-utf-8.php',
    'modules/coppermine/lang/indonesian-utf-8.php',
    'modules/coppermine/lang/indonesian.php',
    'modules/coppermine/lang/italian-utf-8.php',
    'modules/coppermine/lang/thai.php',
    'modules/coppermine/showthumbbatch.php',
    'modules/coppermine/switchmode.php',
    'modules/maaXStat2/.htaccess',
    'modules/maaXStat2/index.html',
    'modules/mxMenu/index.php',
    'modules/readme.txt',
    'mxpro/html/images/backmain.jpg',
    'mxpro/html/images/index.html',
    'mxpro/html/images/logo.gif',
    'mxpro/html/images/pixel.gif',
    'mxpro/html/images/titleBar.gif',
    'mxpro/html/index.html',
    'mxpro/html/siteservice.html',
    'mxpro/html/siteservice.html.bak',
    'mxpro/html/style/style.css',
    'mxpro/includes/config.first.php',
    'mxpro/includes/index.html',
    'mxpro/includes/parsesite.php',
    'mxpro/includes/settings.inc.php',
    'mxpro/index.html',
    'mxpro/language/index.html',
    'mxpro/language/lang-english.php',
    'mxpro/language/lang-german.php',
    'mxpro/language/lang-german_du.php',
    'mxpro/lock.php',
    'mxpro/mod_rewrite.htaccess',
    'mxpro/modrewrite.php',
    'pollBooth.php',
    'pollcomments.php',
    'popup.html',
    'print.php',
    'readme.txt',
    'readpmsg.php',
    'replypmsg.php',
    'rss-091.xml',
    'rss-092.xml',
    'rss-20.xml',
    'search.php',
    'setup/config.php',
    'setup/finish.php',
    'setup/finish_en.php',
    'setup/html/images/pMxfreshsetup_r1_c1.jpg',
    'setup/html/images/pMxfreshsetup_r1_c2.jpg',
    'setup/html/images/pMxfreshsetup_r2_c1.jpg',
    'setup/html/images/pMxfreshsetup_r2_c2.jpg',
    'setup/html/images/pMxfreshsetup_r2_c3.jpg',
    'setup/html/images/pMxfreshsetup_r3_c1.jpg',
    'setup/html/images/pMxfreshsetup_r3_c2.jpg',
    'setup/html/images/pMxfreshsetup_r3_c3.jpg',
    'setup/html/images/pMxfreshsetup_r4_c1.jpg',
    'setup/html/images/pMxfreshsetup_r4_c2.jpg',
    'setup/html/images/pMxfreshsetup_r4_c3.jpg',
    'setup/html/images/pMxfreshsetup_r5_c3.jpg',
    'setup/html/images/pMxfreshsetup_r6_c1.jpg',
    'setup/html/images/pMxfreshsetup_r6_c2.jpg',
    'setup/html/images/pMxfreshsetup_r6_c3.jpg',
    'setup/html/images/pMxfreshsetup_r7_c1.jpg',
    'setup/html/images/pMxfreshsetup_r7_c2.jpg',
    'setup/html/images/pMxfreshsetup_r7_c3.jpg',
    'setup/html/images/pMxfreshsetup_r8_c2.jpg',
    'setup/html/images/spacer.gif',
    'setup/images/backmain.jpg',
    'setup/images/index.html',
    'setup/images/logo.gif',
    'setup/images/pixel.gif',
    'setup/images/powered2.jpg',
    'setup/images/titleBar.gif',
    'setup/images/vkp-logo-maxi.gif',
    'setup/images/vkp-logo-midi.gif',
    'setup/images/vkp-logo-mini.gif',
    'setup/images/vkp-logo-modul.gif',
    'setup/includes/config.settings.php',
    'setup/includes/configcontent.php',
    'setup/includes/funktions.php',
    'setup/includes/mmcache.php',
    'setup/includes/sourceguardian.php',
    'setup/includes/table.php',
    'setup/includes/zend.php',
    'setup/index.html',
    'setup/install.php',
    'setup/install_en.php',
    'setup/language/english/copyright.htm',
    'setup/language/english/index.html',
    'setup/language/english/lang-image.png',
    'setup/language/english/lang.php',
    'setup/language/german/copyright.htm',
    'setup/language/german/index.html',
    'setup/language/german/lang-image.png',
    'setup/language/german/lang.php',
    'setup/modules/New_Installation_vkpMx2/addqueries.php',
    'setup/modules/New_Installation_vkpMx2/config.php',
    'setup/modules/New_Installation_vkpMx2/index.html',
    'setup/modules/New_Installation_vkpMx2/language/english.php',
    'setup/modules/New_Installation_vkpMx2/language/german.php',
    'setup/modules/New_Installation_vkpMx2/language/index.html',
    'setup/modules/New_Installation_vkpMx2/settings.php',
    'setup/modules/New_Installation_vkpMx2/setup.php',
    'setup/modules/Update_phpNuke-vkpMxxx_to_vkpMx2/bannerup.php',
    'setup/modules/Update_phpNuke-vkpMxxx_to_vkpMx2/config.php',
    'setup/modules/Update_phpNuke-vkpMxxx_to_vkpMx2/downlup.php',
    'setup/modules/Update_phpNuke-vkpMxxx_to_vkpMx2/index.html',
    'setup/modules/Update_phpNuke-vkpMxxx_to_vkpMx2/language/english.php',
    'setup/modules/Update_phpNuke-vkpMxxx_to_vkpMx2/language/german.php',
    'setup/modules/Update_phpNuke-vkpMxxx_to_vkpMx2/language/index.html',
    'setup/modules/Update_phpNuke-vkpMxxx_to_vkpMx2/linksup.php',
    'setup/modules/Update_phpNuke-vkpMxxx_to_vkpMx2/settings.php',
    'setup/modules/Update_phpNuke-vkpMxxx_to_vkpMx2/setup.php',
    'setup/modules/Update_phpNuke-vkpMxxx_to_vkpMx2/update.php',
    'setup/modules/index.html',
    'setup/mxupgrade-only-update-from-vkpmx/bannerup.php',
    'setup/mxupgrade-only-update-from-vkpmx/index.html',
    'setup/mxupgrade-only-update-from-vkpmx/language/english.php',
    'setup/mxupgrade-only-update-from-vkpmx/language/german.php',
    'setup/mxupgrade-only-update-from-vkpmx/language/index.html',
    'setup/mxupgrade-only-update-from-vkpmx/setup.php',
    'setup/mxupgrade-only-update-from-vkpmx/update.php',
    'setup/mxupgrade.xxx/bannerup.php',
    'setup/mxupgrade.xxx/index.html',
    'setup/mxupgrade.xxx/language/english.php',
    'setup/mxupgrade.xxx/language/german.php',
    'setup/mxupgrade.xxx/language/index.html',
    'setup/mxupgrade.xxx/setup.php',
    'setup/mxupgrade.xxx/update.php',
    'setup/popup.htm',
    'setup/setup.php',
    'setup/setup2.php',
    'setup/setup2_en.php',
    'setup/setup_en.php',
    'setup/site.htm',
    'setup/sql/index.html',
    'setup/sql/vkpmx.sql',
    'setup/sql/vkpmx_data.sql',
    'setup/updfinish.php',
    'setup/updfinish_en.php',
    'setup/upgrade.htm',
    'setup/upgrade_VKP55_VKPMaxi.php',
    'setup/upgrade_VKP55_VKPMaxi_en.php',
    'siteupd.php',
    'spaw/class/script.js.php',
    'spaw/class/script_gecko.js.php',
    'spaw/class/toolbars.class.php',
    'spaw/config/php-ini.php',
    'spaw/config/spaw_control.config.php',
    'spaw/dialogs/a.php',
    'spaw/dialogs/colorpicker.php',
    'spaw/dialogs/confirm.php',
    'spaw/dialogs/img.php',
    'spaw/dialogs/img_library.php',
    'spaw/dialogs/spacer.gif',
    'spaw/dialogs/table.php',
    'spaw/dialogs/td.php',
    'spaw/dialogs/utils.gecko.js',
    'spaw/dialogs/utils.js',
    'spaw/docs/documentation.html',
    'spaw/empty.html',
    'spaw/empty.php',
    'spaw/img_popup.php',
    'spaw/lib/lang/de/de_lang_data.inc.php',
    'spaw/lib/lang/en/en_lang_data.inc.php',
    'spaw/lib/lang/fr/fr_lang_data.inc.php',
    'spaw/lib/lang/gr/gr_lang_data.inc.php',
    'spaw/lib/lang/tr/tr_lang_data.inc.php',
    'spaw/lib/lang/uk/uk_lang_data.inc.php',
    'spaw/lib/themes/classic/css/dialog.css',
    'spaw/lib/themes/classic/css/toolbar.css',
    'spaw/lib/themes/classic/img/table.gif',
    'spaw/lib/themes/classic/img/tb_baseline.gif',
    'spaw/lib/themes/classic/img/tb_baseline_off.gif',
    'spaw/lib/themes/classic/img/tb_bg_color.gif',
    'spaw/lib/themes/classic/img/tb_bg_color_off.gif',
    'spaw/lib/themes/classic/img/tb_bold.gif',
    'spaw/lib/themes/classic/img/tb_bold_off.gif',
    'spaw/lib/themes/classic/img/tb_bottom.gif',
    'spaw/lib/themes/classic/img/tb_bottom_off.gif',
    'spaw/lib/themes/classic/img/tb_bulleted_list.gif',
    'spaw/lib/themes/classic/img/tb_bulleted_list_off.gif',
    'spaw/lib/themes/classic/img/tb_center.gif',
    'spaw/lib/themes/classic/img/tb_center_off.gif',
    'spaw/lib/themes/classic/img/tb_cleanup.gif',
    'spaw/lib/themes/classic/img/tb_cleanup_off.gif',
    'spaw/lib/themes/classic/img/tb_colorpicker.gif',
    'spaw/lib/themes/classic/img/tb_colorpicker_off.gif',
    'spaw/lib/themes/classic/img/tb_copy.gif',
    'spaw/lib/themes/classic/img/tb_copy_off.gif',
    'spaw/lib/themes/classic/img/tb_cut.gif',
    'spaw/lib/themes/classic/img/tb_cut_off.gif',
    'spaw/lib/themes/classic/img/tb_design_tab.gif',
    'spaw/lib/themes/classic/img/tb_design_tab_off.gif',
    'spaw/lib/themes/classic/img/tb_design_tab_on.gif',
    'spaw/lib/themes/classic/img/tb_design_tab_on_off.gif',
    'spaw/lib/themes/classic/img/tb_fore_color.gif',
    'spaw/lib/themes/classic/img/tb_fore_color_off.gif',
    'spaw/lib/themes/classic/img/tb_hr.gif',
    'spaw/lib/themes/classic/img/tb_hr_off.gif',
    'spaw/lib/themes/classic/img/tb_html_tab.gif',
    'spaw/lib/themes/classic/img/tb_html_tab_off.gif',
    'spaw/lib/themes/classic/img/tb_html_tab_on.gif',
    'spaw/lib/themes/classic/img/tb_html_tab_on_off.gif',
    'spaw/lib/themes/classic/img/tb_hyperlink.gif',
    'spaw/lib/themes/classic/img/tb_hyperlink_off.gif',
    'spaw/lib/themes/classic/img/tb_image_insert.gif',
    'spaw/lib/themes/classic/img/tb_image_insert_off.gif',
    'spaw/lib/themes/classic/img/tb_image_popup.gif',
    'spaw/lib/themes/classic/img/tb_image_popup_off.gif',
    'spaw/lib/themes/classic/img/tb_image_prop.gif',
    'spaw/lib/themes/classic/img/tb_image_prop_off.gif',
    'spaw/lib/themes/classic/img/tb_indent.gif',
    'spaw/lib/themes/classic/img/tb_indent_off.gif',
    'spaw/lib/themes/classic/img/tb_internal_link.gif',
    'spaw/lib/themes/classic/img/tb_internal_link_off.gif',
    'spaw/lib/themes/classic/img/tb_italic.gif',
    'spaw/lib/themes/classic/img/tb_italic_off.gif',
    'spaw/lib/themes/classic/img/tb_justify.gif',
    'spaw/lib/themes/classic/img/tb_justify_off.gif',
    'spaw/lib/themes/classic/img/tb_left.gif',
    'spaw/lib/themes/classic/img/tb_left_off.gif',
    'spaw/lib/themes/classic/img/tb_middle.gif',
    'spaw/lib/themes/classic/img/tb_middle_off.gif',
    'spaw/lib/themes/classic/img/tb_ordered_list.gif',
    'spaw/lib/themes/classic/img/tb_ordered_list_off.gif',
    'spaw/lib/themes/classic/img/tb_paste.gif',
    'spaw/lib/themes/classic/img/tb_paste_off.gif',
    'spaw/lib/themes/classic/img/tb_redo.gif',
    'spaw/lib/themes/classic/img/tb_redo_off.gif',
    'spaw/lib/themes/classic/img/tb_right.gif',
    'spaw/lib/themes/classic/img/tb_right_off.gif',
    'spaw/lib/themes/classic/img/tb_strike.gif',
    'spaw/lib/themes/classic/img/tb_strike_off.gif',
    'spaw/lib/themes/classic/img/tb_subscript.gif',
    'spaw/lib/themes/classic/img/tb_subscript_off.gif',
    'spaw/lib/themes/classic/img/tb_superscript.gif',
    'spaw/lib/themes/classic/img/tb_superscript_off.gif',
    'spaw/lib/themes/classic/img/tb_table_cell_merge_down.gif',
    'spaw/lib/themes/classic/img/tb_table_cell_merge_down_off.gif',
    'spaw/lib/themes/classic/img/tb_table_cell_merge_right.gif',
    'spaw/lib/themes/classic/img/tb_table_cell_merge_right_off.gif',
    'spaw/lib/themes/classic/img/tb_table_cell_prop.gif',
    'spaw/lib/themes/classic/img/tb_table_cell_prop_off.gif',
    'spaw/lib/themes/classic/img/tb_table_cell_split_horizontal.gif',
    'spaw/lib/themes/classic/img/tb_table_cell_split_horizontal_off.gif',
    'spaw/lib/themes/classic/img/tb_table_cell_split_vertical.gif',
    'spaw/lib/themes/classic/img/tb_table_cell_split_vertical_off.gif',
    'spaw/lib/themes/classic/img/tb_table_column_delete.gif',
    'spaw/lib/themes/classic/img/tb_table_column_delete_off.gif',
    'spaw/lib/themes/classic/img/tb_table_column_insert.gif',
    'spaw/lib/themes/classic/img/tb_table_column_insert_off.gif',
    'spaw/lib/themes/classic/img/tb_table_create.gif',
    'spaw/lib/themes/classic/img/tb_table_create_off.gif',
    'spaw/lib/themes/classic/img/tb_table_prop.gif',
    'spaw/lib/themes/classic/img/tb_table_prop_off.gif',
    'spaw/lib/themes/classic/img/tb_table_row_delete.gif',
    'spaw/lib/themes/classic/img/tb_table_row_delete_off.gif',
    'spaw/lib/themes/classic/img/tb_table_row_insert.gif',
    'spaw/lib/themes/classic/img/tb_table_row_insert_off.gif',
    'spaw/lib/themes/classic/img/tb_toggle_borders.gif',
    'spaw/lib/themes/classic/img/tb_toggle_borders_off.gif',
    'spaw/lib/themes/classic/img/tb_top.gif',
    'spaw/lib/themes/classic/img/tb_top_off.gif',
    'spaw/lib/themes/classic/img/tb_underline.gif',
    'spaw/lib/themes/classic/img/tb_underline_off.gif',
    'spaw/lib/themes/classic/img/tb_undo.gif',
    'spaw/lib/themes/classic/img/tb_undo_off.gif',
    'spaw/lib/themes/classic/img/tb_unindent.gif',
    'spaw/lib/themes/classic/img/tb_unindent_off.gif',
    'spaw/lib/themes/classic/img/tb_vertical_separator.gif',
    'spaw/lib/themes/classic/img/tb_vertical_separator_off.gif',
    'spaw/lib/themes/classic/js/toolbar.js.php',
    'spaw/lib/themes/default/css/dialog.css',
    'spaw/lib/themes/default/css/toolbar.css',
    'spaw/lib/themes/default/img/tb_baseline.gif',
    'spaw/lib/themes/default/img/tb_baseline_down.gif',
    'spaw/lib/themes/default/img/tb_baseline_off.gif',
    'spaw/lib/themes/default/img/tb_baseline_over.gif',
    'spaw/lib/themes/default/img/tb_bg_color.gif',
    'spaw/lib/themes/default/img/tb_bg_color_down.gif',
    'spaw/lib/themes/default/img/tb_bg_color_off.gif',
    'spaw/lib/themes/default/img/tb_bg_color_over.gif',
    'spaw/lib/themes/default/img/tb_bold.gif',
    'spaw/lib/themes/default/img/tb_bold_down.gif',
    'spaw/lib/themes/default/img/tb_bold_off.gif',
    'spaw/lib/themes/default/img/tb_bold_over.gif',
    'spaw/lib/themes/default/img/tb_bottom.gif',
    'spaw/lib/themes/default/img/tb_bottom_down.gif',
    'spaw/lib/themes/default/img/tb_bottom_off.gif',
    'spaw/lib/themes/default/img/tb_bottom_over.gif',
    'spaw/lib/themes/default/img/tb_bulleted_list.gif',
    'spaw/lib/themes/default/img/tb_bulleted_list_down.gif',
    'spaw/lib/themes/default/img/tb_bulleted_list_off.gif',
    'spaw/lib/themes/default/img/tb_bulleted_list_over.gif',
    'spaw/lib/themes/default/img/tb_center.gif',
    'spaw/lib/themes/default/img/tb_center_down.gif',
    'spaw/lib/themes/default/img/tb_center_off.gif',
    'spaw/lib/themes/default/img/tb_center_over.gif',
    'spaw/lib/themes/default/img/tb_cleanup.gif',
    'spaw/lib/themes/default/img/tb_cleanup_down.gif',
    'spaw/lib/themes/default/img/tb_cleanup_off.gif',
    'spaw/lib/themes/default/img/tb_cleanup_over.gif',
    'spaw/lib/themes/default/img/tb_colorpicker.gif',
    'spaw/lib/themes/default/img/tb_colorpicker_down.gif',
    'spaw/lib/themes/default/img/tb_colorpicker_off.gif',
    'spaw/lib/themes/default/img/tb_colorpicker_over.gif',
    'spaw/lib/themes/default/img/tb_copy.gif',
    'spaw/lib/themes/default/img/tb_copy_down.gif',
    'spaw/lib/themes/default/img/tb_copy_off.gif',
    'spaw/lib/themes/default/img/tb_copy_over.gif',
    'spaw/lib/themes/default/img/tb_cut.gif',
    'spaw/lib/themes/default/img/tb_cut_down.gif',
    'spaw/lib/themes/default/img/tb_cut_off.gif',
    'spaw/lib/themes/default/img/tb_cut_over.gif',
    'spaw/lib/themes/default/img/tb_delete.gif',
    'spaw/lib/themes/default/img/tb_delete_down.gif',
    'spaw/lib/themes/default/img/tb_delete_off.gif',
    'spaw/lib/themes/default/img/tb_delete_over.gif',
    'spaw/lib/themes/default/img/tb_design_tab.gif',
    'spaw/lib/themes/default/img/tb_design_tab_down.gif',
    'spaw/lib/themes/default/img/tb_design_tab_off.gif',
    'spaw/lib/themes/default/img/tb_design_tab_on.gif',
    'spaw/lib/themes/default/img/tb_design_tab_over.gif',
    'spaw/lib/themes/default/img/tb_fore_color.gif',
    'spaw/lib/themes/default/img/tb_fore_color_down.gif',
    'spaw/lib/themes/default/img/tb_fore_color_off.gif',
    'spaw/lib/themes/default/img/tb_fore_color_over.gif',
    'spaw/lib/themes/default/img/tb_hr.gif',
    'spaw/lib/themes/default/img/tb_hr_down.gif',
    'spaw/lib/themes/default/img/tb_hr_off.gif',
    'spaw/lib/themes/default/img/tb_hr_over.gif',
    'spaw/lib/themes/default/img/tb_html_tab.gif',
    'spaw/lib/themes/default/img/tb_html_tab_down.gif',
    'spaw/lib/themes/default/img/tb_html_tab_off.gif',
    'spaw/lib/themes/default/img/tb_html_tab_on.gif',
    'spaw/lib/themes/default/img/tb_html_tab_over.gif',
    'spaw/lib/themes/default/img/tb_hyperlink.gif',
    'spaw/lib/themes/default/img/tb_hyperlink_down.gif',
    'spaw/lib/themes/default/img/tb_hyperlink_off.gif',
    'spaw/lib/themes/default/img/tb_hyperlink_over.gif',
    'spaw/lib/themes/default/img/tb_image_insert.gif',
    'spaw/lib/themes/default/img/tb_image_insert_down.gif',
    'spaw/lib/themes/default/img/tb_image_insert_off.gif',
    'spaw/lib/themes/default/img/tb_image_insert_over.gif',
    'spaw/lib/themes/default/img/tb_image_map.gif',
    'spaw/lib/themes/default/img/tb_image_map_down.gif',
    'spaw/lib/themes/default/img/tb_image_map_off.gif',
    'spaw/lib/themes/default/img/tb_image_map_over.gif',
    'spaw/lib/themes/default/img/tb_image_popup.gif',
    'spaw/lib/themes/default/img/tb_image_popup_down.gif',
    'spaw/lib/themes/default/img/tb_image_popup_off.gif',
    'spaw/lib/themes/default/img/tb_image_popup_over.gif',
    'spaw/lib/themes/default/img/tb_image_prop.gif',
    'spaw/lib/themes/default/img/tb_image_prop_down.gif',
    'spaw/lib/themes/default/img/tb_image_prop_off.gif',
    'spaw/lib/themes/default/img/tb_image_prop_over.gif',
    'spaw/lib/themes/default/img/tb_indent.gif',
    'spaw/lib/themes/default/img/tb_indent_down.gif',
    'spaw/lib/themes/default/img/tb_indent_off.gif',
    'spaw/lib/themes/default/img/tb_indent_over.gif',
    'spaw/lib/themes/default/img/tb_internal_link.gif',
    'spaw/lib/themes/default/img/tb_internal_link_down.gif',
    'spaw/lib/themes/default/img/tb_internal_link_off.gif',
    'spaw/lib/themes/default/img/tb_internal_link_over.gif',
    'spaw/lib/themes/default/img/tb_italic.gif',
    'spaw/lib/themes/default/img/tb_italic_down.gif',
    'spaw/lib/themes/default/img/tb_italic_off.gif',
    'spaw/lib/themes/default/img/tb_italic_over.gif',
    'spaw/lib/themes/default/img/tb_justify.gif',
    'spaw/lib/themes/default/img/tb_justify_down.gif',
    'spaw/lib/themes/default/img/tb_justify_off.gif',
    'spaw/lib/themes/default/img/tb_justify_over.gif',
    'spaw/lib/themes/default/img/tb_left.gif',
    'spaw/lib/themes/default/img/tb_left_down.gif',
    'spaw/lib/themes/default/img/tb_left_off.gif',
    'spaw/lib/themes/default/img/tb_left_over.gif',
    'spaw/lib/themes/default/img/tb_middle.gif',
    'spaw/lib/themes/default/img/tb_middle_down.gif',
    'spaw/lib/themes/default/img/tb_middle_off.gif',
    'spaw/lib/themes/default/img/tb_middle_over.gif',
    'spaw/lib/themes/default/img/tb_new.gif',
    'spaw/lib/themes/default/img/tb_new_down.gif',
    'spaw/lib/themes/default/img/tb_new_off.gif',
    'spaw/lib/themes/default/img/tb_new_over.gif',
    'spaw/lib/themes/default/img/tb_ordered_list.gif',
    'spaw/lib/themes/default/img/tb_ordered_list_down.gif',
    'spaw/lib/themes/default/img/tb_ordered_list_off.gif',
    'spaw/lib/themes/default/img/tb_ordered_list_over.gif',
    'spaw/lib/themes/default/img/tb_page_prop.gif',
    'spaw/lib/themes/default/img/tb_page_prop_down.gif',
    'spaw/lib/themes/default/img/tb_page_prop_off.gif',
    'spaw/lib/themes/default/img/tb_page_prop_over.gif',
    'spaw/lib/themes/default/img/tb_paste.gif',
    'spaw/lib/themes/default/img/tb_paste_down.gif',
    'spaw/lib/themes/default/img/tb_paste_off.gif',
    'spaw/lib/themes/default/img/tb_paste_over.gif',
    'spaw/lib/themes/default/img/tb_preview.gif',
    'spaw/lib/themes/default/img/tb_preview_down.gif',
    'spaw/lib/themes/default/img/tb_preview_off.gif',
    'spaw/lib/themes/default/img/tb_preview_over.gif',
    'spaw/lib/themes/default/img/tb_redo.gif',
    'spaw/lib/themes/default/img/tb_redo_down.gif',
    'spaw/lib/themes/default/img/tb_redo_off.gif',
    'spaw/lib/themes/default/img/tb_redo_over.gif',
    'spaw/lib/themes/default/img/tb_right.gif',
    'spaw/lib/themes/default/img/tb_right_down.gif',
    'spaw/lib/themes/default/img/tb_right_off.gif',
    'spaw/lib/themes/default/img/tb_right_over.gif',
    'spaw/lib/themes/default/img/tb_save.gif',
    'spaw/lib/themes/default/img/tb_save_all.gif',
    'spaw/lib/themes/default/img/tb_save_all_down.gif',
    'spaw/lib/themes/default/img/tb_save_all_off.gif',
    'spaw/lib/themes/default/img/tb_save_all_over.gif',
    'spaw/lib/themes/default/img/tb_save_down.gif',
    'spaw/lib/themes/default/img/tb_save_off.gif',
    'spaw/lib/themes/default/img/tb_save_over.gif',
    'spaw/lib/themes/default/img/tb_special_chars.gif',
    'spaw/lib/themes/default/img/tb_special_chars_off.gif',
    'spaw/lib/themes/default/img/tb_special_chars_over.gif',
    'spaw/lib/themes/default/img/tb_strike.gif',
    'spaw/lib/themes/default/img/tb_strike_down.gif',
    'spaw/lib/themes/default/img/tb_strike_off.gif',
    'spaw/lib/themes/default/img/tb_strike_over.gif',
    'spaw/lib/themes/default/img/tb_subscript.gif',
    'spaw/lib/themes/default/img/tb_subscript_down.gif',
    'spaw/lib/themes/default/img/tb_subscript_off.gif',
    'spaw/lib/themes/default/img/tb_subscript_over.gif',
    'spaw/lib/themes/default/img/tb_superscript.gif',
    'spaw/lib/themes/default/img/tb_superscript_down.gif',
    'spaw/lib/themes/default/img/tb_superscript_off.gif',
    'spaw/lib/themes/default/img/tb_superscript_over.gif',
    'spaw/lib/themes/default/img/tb_table_cell_merge_down.gif',
    'spaw/lib/themes/default/img/tb_table_cell_merge_down_down.gif',
    'spaw/lib/themes/default/img/tb_table_cell_merge_down_off.gif',
    'spaw/lib/themes/default/img/tb_table_cell_merge_down_over.gif',
    'spaw/lib/themes/default/img/tb_table_cell_merge_right.gif',
    'spaw/lib/themes/default/img/tb_table_cell_merge_right_down.gif',
    'spaw/lib/themes/default/img/tb_table_cell_merge_right_off.gif',
    'spaw/lib/themes/default/img/tb_table_cell_merge_right_over.gif',
    'spaw/lib/themes/default/img/tb_table_cell_prop.gif',
    'spaw/lib/themes/default/img/tb_table_cell_prop_down.gif',
    'spaw/lib/themes/default/img/tb_table_cell_prop_off.gif',
    'spaw/lib/themes/default/img/tb_table_cell_prop_over.gif',
    'spaw/lib/themes/default/img/tb_table_cell_split_horizontal.gif',
    'spaw/lib/themes/default/img/tb_table_cell_split_horizontal_down.gif',
    'spaw/lib/themes/default/img/tb_table_cell_split_horizontal_off.gif',
    'spaw/lib/themes/default/img/tb_table_cell_split_horizontal_over.gif',
    'spaw/lib/themes/default/img/tb_table_cell_split_vertical.gif',
    'spaw/lib/themes/default/img/tb_table_cell_split_vertical_down.gif',
    'spaw/lib/themes/default/img/tb_table_cell_split_vertical_off.gif',
    'spaw/lib/themes/default/img/tb_table_cell_split_vertical_over.gif',
    'spaw/lib/themes/default/img/tb_table_column_delete.gif',
    'spaw/lib/themes/default/img/tb_table_column_delete_down.gif',
    'spaw/lib/themes/default/img/tb_table_column_delete_off.gif',
    'spaw/lib/themes/default/img/tb_table_column_delete_over.gif',
    'spaw/lib/themes/default/img/tb_table_column_insert.gif',
    'spaw/lib/themes/default/img/tb_table_column_insert_down.gif',
    'spaw/lib/themes/default/img/tb_table_column_insert_off.gif',
    'spaw/lib/themes/default/img/tb_table_column_insert_over.gif',
    'spaw/lib/themes/default/img/tb_table_create.gif',
    'spaw/lib/themes/default/img/tb_table_create_down.gif',
    'spaw/lib/themes/default/img/tb_table_create_off.gif',
    'spaw/lib/themes/default/img/tb_table_create_over.gif',
    'spaw/lib/themes/default/img/tb_table_prop.gif',
    'spaw/lib/themes/default/img/tb_table_prop_down.gif',
    'spaw/lib/themes/default/img/tb_table_prop_off.gif',
    'spaw/lib/themes/default/img/tb_table_prop_over.gif',
    'spaw/lib/themes/default/img/tb_table_row_delete.gif',
    'spaw/lib/themes/default/img/tb_table_row_delete_down.gif',
    'spaw/lib/themes/default/img/tb_table_row_delete_off.gif',
    'spaw/lib/themes/default/img/tb_table_row_delete_over.gif',
    'spaw/lib/themes/default/img/tb_table_row_insert.gif',
    'spaw/lib/themes/default/img/tb_table_row_insert_down.gif',
    'spaw/lib/themes/default/img/tb_table_row_insert_off.gif',
    'spaw/lib/themes/default/img/tb_table_row_insert_over.gif',
    'spaw/lib/themes/default/img/tb_table_row_prop.gif',
    'spaw/lib/themes/default/img/tb_table_row_prop_down.gif',
    'spaw/lib/themes/default/img/tb_table_row_prop_off.gif',
    'spaw/lib/themes/default/img/tb_table_row_prop_over.gif',
    'spaw/lib/themes/default/img/tb_toggle_borders.gif',
    'spaw/lib/themes/default/img/tb_toggle_borders_down.gif',
    'spaw/lib/themes/default/img/tb_toggle_borders_off.gif',
    'spaw/lib/themes/default/img/tb_toggle_borders_over.gif',
    'spaw/lib/themes/default/img/tb_toggle_mode.gif',
    'spaw/lib/themes/default/img/tb_top.gif',
    'spaw/lib/themes/default/img/tb_top_down.gif',
    'spaw/lib/themes/default/img/tb_top_off.gif',
    'spaw/lib/themes/default/img/tb_top_over.gif',
    'spaw/lib/themes/default/img/tb_underline.gif',
    'spaw/lib/themes/default/img/tb_underline_down.gif',
    'spaw/lib/themes/default/img/tb_underline_off.gif',
    'spaw/lib/themes/default/img/tb_underline_over.gif',
    'spaw/lib/themes/default/img/tb_undo.gif',
    'spaw/lib/themes/default/img/tb_undo_down.gif',
    'spaw/lib/themes/default/img/tb_undo_off.gif',
    'spaw/lib/themes/default/img/tb_undo_over.gif',
    'spaw/lib/themes/default/img/tb_unindent.gif',
    'spaw/lib/themes/default/img/tb_unindent_down.gif',
    'spaw/lib/themes/default/img/tb_unindent_off.gif',
    'spaw/lib/themes/default/img/tb_unindent_over.gif',
    'spaw/lib/themes/default/img/tb_vertical_separator.gif',
    'spaw/lib/themes/default/img/toolbar_background.gif',
    'spaw/lib/themes/default/js/toolbar.js.php',
    'spaw/lib/toolbars/default/default_toolbar_data.gecko.inc.php',
    'spaw/lib/toolbars/default/default_toolbar_data.inc.php',
    'spaw/lib/toolbars/full/full_toolbar_data.gecko.inc.php',
    'spaw/lib/toolbars/full/full_toolbar_data.inc.php',
    'spaw/lib/toolbars/mini/mini_toolbar_data.gecko.inc.php',
    'spaw/lib/toolbars/mini/mini_toolbar_data.inc.php',
    'spaw/lib/toolbars/sidetable/sidetable_toolbar_data.gecko.inc.php',
    'spaw/lib/toolbars/sidetable/sidetable_toolbar_data.inc.php',
    'spaw/lib/util/flash.gif',
    'spaw/lib/util/spacer100.gif',
    'spaw/scripts/demo.php',
    'spaw/scripts/demo_red.css',
    'spaw/spaw_script.js.php',
    'sqlinject.txt',
    'stats.php',
    'submit.php',
    'suchmaschinen.html',
    'themes/.htaccess',
    'top.php',
    'topics.php',
    'trackhack.php',
    'tracklink.php',
    'tracktest.php',
    'ultramode.txt',
    'update.php',
    'upgrade.php',
    'upgrade/db_banning.php',
    'upgrade/db_captcha.php',
    'upgrade/db_downloads.php',
    'upgrade/db_ency.php',
    'upgrade/db_fancynl.php',
    'upgrade/db_feedback.php',
    'upgrade/db_indexes.php',
    'upgrade/db_links.php',
    'upgrade/db_news.php',
    'upgrade/db_polls.php',
    'upgrade/db_userguest.php',
    'upgrade/db_users.php',
    'upgrade/delfiles.php',
    'upgrade/index.php',
    'upgrade/language/index.html',
    'upgrade/language/lang-english.php',
    'upgrade/language/lang-french.php',
    'upgrade/language/lang-german.php',
    'upgrade/language/lang-turkish.php',
    'upgrade/theme.html',
    'upgrade17-18.php',
    'upgrade60-65.php',
    'upgrade65-66.php',
    'upgrade66-67.php',
    'upgrade67-68.php',
    'upgrade68-69.php',
    'upgrade69_70.php',
    'upgrade70-71.php',
    'upgrade71-72.php',
    'upgrade72-73.php',
    'upgrade73-74.php',
    'upgrade74-75.php',
    'upgrade75-76.php',
    'upgrade76-77.php',
    'upgrade77-78.php',
    'upgrade78-79.php',
    'upgrade79-80.php',
    'user.php',
    'userbanned.php',
    'versions.txt',
    'viewpmsg.php',
    'voteinclude.php',

    );


/* /////////////////////////////////////////////////////////////////// */
// nochmal cPortal Krams
if (defined('PATH_MX_BASE')) {
    $handle = opendir(realpath(PATH_MX_BASE . '/admin/links/'));
    while (false !== ($file = readdir($handle))) {
        if (preg_match('#^links\.[nsu]-.+\.php$#i', $file)) {
            $delfiles[] = 'admin/links/' . $file;
        }
    }
    closedir($handle);
}
// Ende cPortal Krams
$delfiles = array_unique($delfiles);
$deldirs = array_unique($deldirs);
natsort($delfiles);
natsort($deldirs);

/**
 * anzeigen des generierten Arrays, um es neu formatiert hier einzufuegen!!
 */
if (!defined('mxMainFileLoaded')) {
    print "<pre>\n\$deldirs = array(\n";
    foreach($deldirs as $file) {
        print "    '$file',\n";
    }
    print "\n    );\n</pre>";

    print "<pre>\n\$delfiles = array(\n";
    foreach($delfiles as $file) {
        print "    '$file',\n";
    }
    print "\n    );\n</pre>";
}

?>