<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.8 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:15:57 $
 */

defined('mxMainFileLoaded') or die('access denied');
// #################################################################################
function SetupSaveConfigFile($setvalues)
{
    // config.first.php entspricht der originalen config.php mit kleinen nderungen
    // weitere Hinweise in dieser Datei !
    // FILE_CONFIG_BASE (config.first.php) entspricht einer originalen config.php ohne nderungen
    include(FILE_CONFIG_BASE);
    // falls in dieser Datei DB-Einstellungen verblieben sind, diese zurcksetzen
    unset($dbhost, $dbname, $dbuname, $dbpass, $mxConf);
    // die Variablen aus der Original-Root config.php berschreiben die Basiskonfiguration
    if (@file_exists(FILE_CONFIG_ROOT)) {
        include(FILE_CONFIG_ROOT);
    }
    // hier prfen ob phpNuke ab 6.0 installiert
    $dbstat = setupConnectDb($setvalues['dbhost'], $setvalues['dbuname'], $setvalues['dbpass'], $setvalues['dbname']);
    if (isset($dbstat['dbi'])) {
        // $dbi = @mysql _connect($setvalues['dbhost'], $setvalues['dbuname'], $setvalues['dbpass']);
        //  @mysql _select_db($setvalues['dbname'], $dbi);
        $result = @mysql_query("SELECT * from " . $setvalues['prefix'] . "_config", $dbstat['dbi']);
        if (is_resource($result)) {
            $nukeconfig = @mysql_fetch_assoc($result);
            extract($nukeconfig, EXTR_OVERWRITE);
        }
        @mysql_close($dbstat['dbi']);
        unset($result, $dbstat);
        // die Variablen aus der Original-Root config.php berschreiben (nochmals) die Basiskonfiguration
        // falls die configtabelle aus einer alten nuke Konfiguration briggeblieben ist
        if (@file_exists(FILE_CONFIG_ROOT)) {
            include(FILE_CONFIG_ROOT);
        }
        $old_dbname = (isset($dbname)) ? $dbname : 'xxxxxxxxxxxxxxxxxxxxxx';
    }

    $vkpInactiveMins = (empty($vkpInactiveMins)) ? intval($vkpInactiveMins) : 5; # Standard 5 Minuten
    if (!defined("MX_SETINACTIVE_MINS")) define("MX_SETINACTIVE_MINS", $vkpInactiveMins * 60);
    // verschiedene Strings definieren, die in die config.php als Array geschrieben werden
    $allowedhtml = array();
    foreach ($AllowableHTML as $htmltag => $tagval) {
        if (($tagval == 1) || ($tagval == 2)) {
            $allowedhtml[] = "\"$htmltag\"=>$tagval";
        }
    }
    $newAllowableHTML = implode(",", $allowedhtml);
    $newAllowableHTML = "array(" . $newAllowableHTML . ")";

    foreach ($CensorList as $word) {
        $xx = trim($word);
        if (!empty($xx)) {
            $words[] = "\"" . trim($word) . "\"";
        }
    }
    $newcensorlist = (isset($words)) ? "array(" . implode(",", $words) . ");" : "array();";

    foreach ($CensorListUsers as $word) {
        $xx = trim($word);
        if (!empty($xx)) {
            $users[] = "\"" . trim($word) . "\"";
        }
    }
    $newcensorlistusers = (isset($users)) ? "array(" . implode(",", $users) . ");" : "array();";
    // mod_rewrite
    $rew = "'anony' => " . ((!empty($mxUseModrewrite['anony'])) ? 1 : 0) . ', ';
    $rew .= "'users' => " . ((!empty($mxUseModrewrite['users'])) ? 1 : 0) . ', ';
    $rew .= "'admin' => " . ((!empty($mxUseModrewrite['admin'])) ? 1 : 0) . '';
    // Demomodus
    $mxDemoMode = (empty($mxDemoMode)) ? 0 : 1;
    if (empty($mxDemoAdmins)) {
        $temp = array('sampleadminname');
    } else {
        $temp = ((is_array($mxDemoAdmins)) ? $mxDemoAdmins : explode(',', $mxDemoAdmins));
    }
    $tempadmins = array();
    foreach ($temp as $key => $value) {
        $value = trim($value);
        if ($value && $value != 'sampleadminname') {
            $tempadmins[$value] = "'" . $value . "'";
        }
    }
    $tempadmins = implode(',', $tempadmins);
    // Ende Demomodus
    // footmsg von phpNuke entfernen
    if (isset($foot1) && preg_match('#phpnuke\.org#i', $foot1)) $foot1 = '_Z3';
    if (isset($foot2) && preg_match('#phpnuke\.org#i', $foot2)) $foot2 = '_Z3';
    if (isset($foot3) && preg_match('#phpnuke\.org#i', $foot3)) $foot3 = '_Z3';
    if (isset($foot4) && preg_match('#phpnuke\.org#i', $foot4)) $foot4 = '_Z3';
    // hier jetzt die neuen Einstellungen extrahieren,
    // sie ueberschreiben die bisherigen config-Werte
    extract($setvalues, EXTR_OVERWRITE);
    // weitere Werte, die aus den vorigen Daten verwendet werden koennen:
    if (empty($adminmail) || $adminmail == 'webmaster@yoursite.de') $adminmail = $_SERVER['SERVER_ADMIN'];
    if (empty($notify_email) || $notify_email == 'webmaster@yoursite.de') $notify_email = $adminmail;
    if (empty($notify_from) || $notify_from == 'webmaster@yoursite.de') $notify_from = $adminmail;
    if (empty($backend_title)) $backend_title = $sitename;
    // Alle Variablen nochaml zusaetzlich mit einem x davor erstellen
    $mxConf = get_defined_vars();
    unset($mxConf['mxConf'], $mxConf['GLOBALS'], $mxConf['_REQUEST'], $mxConf['_GET'], $mxConf['_POST'], $mxConf['_FILES'], $mxConf['_SERVER'], $mxConf['_ENV']);
    foreach($mxConf as $key => $value) {
        $new_mxConf['x' . $key] = (is_string($value)) ? addslashes(stripslashes($value)) : $value;
    }
    extract($new_mxConf, EXTR_OVERWRITE);
    unset($new_mxConf);

    if (!defined("MX_FIRSTGROUPNAME")) define("MX_FIRSTGROUPNAME", "User");
    // die Versionskonstanten nur hier definieren, dass die updaterkennung nicht durcheinander kommt
    define("MX_VERSION", MX_SETUP_VERSION);
    // define("MX_VERSION_NUM", MX_SETUP_VERSION_NUM);
    // define("MX_VERSION_SUB", MX_SETUP_VERSION_SUB);
    // Die Datei mit den config.php Inhaltsdefinitionen includen
    include(FILE_CONFIG_NEWCONTENT);
    $cont = trim($cont);
    // Wenn bereits eine config.php vorhanden, deren Inhalt ermitteln
    $cont_old = (@file_exists(FILE_CONFIG_ROOT)) ? trim(file_get_contents(FILE_CONFIG_ROOT)) : '';

    $err = array();
    $msg = array();
    // alles weitere nur, wenn sich die Inhalte unterscheiden
    if ($cont_old != $cont) {
        // $backfile_msg = '';
        if (@file_exists(FILE_CONFIG_ROOT)) {
            // wenn config.php bereits vorhanden, Schreibschutz entfernen
            @chmod(FILE_CONFIG_ROOT, octdec(CHMODUNLOCK));
            // Backup der bestehenden config.php
            $arr = pathinfo(realpath(FILE_CONFIG_ROOT));
            $extension = (isset($arr['extension'])) ? $arr['extension'] : '';
            $backfile = PATH_BACKUP . '/' . substr($arr['basename'], 0, - strlen($extension)) . date("Ymdhis", filemtime(FILE_CONFIG_ROOT)) . '_bak_' . SETUP_ID . '.' . $extension;
            $file = @fopen($backfile, "w");
            if ($file) {
                @fwrite($file, $cont_old);
                @fclose($file);
                @chmod($backfile, octdec(CHMODLOCK));
            }
            clearstatcache();
            if (@file_exists($backfile)) {
                $msg[8] = '<li>' . _CONFIG_BACK . ' ' . basename($backfile) . '</li>';
            }
        }
        // mxDebugFuncVars($cont); exit;
        // php-Fehlermeldungen in $php_errormsg zwischenspeichern
        @ini_Set('track_errors', '1');
        $php_errormsg = '';
        // zum beschreiben oeffnen oder neu erstellen
        $file = @fopen(FILE_CONFIG_ROOT, "w");
        if ($php_errormsg) {
            $err[] = '<li>' . _CONFIG_ERR_1 . $php_errormsg . ' (1)</li>';
        }
        if ($file) {
            // Daten schreiben
            @fwrite($file, $cont);
            if ($php_errormsg) {
                $err[] = '<li>' . _CONFIG_ERR_2 . $php_errormsg . ' (2)</li>';
            }
            // wieder schliessen
            @fclose($file);
            if ($php_errormsg) {
                $err[] = '<li>' . $php_errormsg . ' (3)</li>';
            }
            // Schreibschutz
            @chmod(FILE_CONFIG_ROOT, octdec(CHMODLOCK));
        }
        // wenn bisher keine Fehler
        if (!count($err)) {
            clearstatcache();
            // wurde erstellt?
            if (@!file_exists(FILE_CONFIG_ROOT)) {
                $err[] = '<li>' . _CONFIG_ERR_4 . ' (4)</li>';
            } else {
                $inc = @include(FILE_CONFIG_ROOT);
                // parsefehler oder kann nicht includet werden?
                if ($php_errormsg || !$inc) {
                    $err[] = '<li>' . _CONFIG_ERR_5 . $php_errormsg . ' (5)</li>';
                }
                // Daten komplett geschrieben
                else if ($cont != trim(file_get_contents(FILE_CONFIG_ROOT))) {
                    $err[] = '<li>' . _CONFIG_ERR_6 . ' (6)</li>';
                }
            }
        }
        // oki, config.php wurde richtig geschrieben
        if (!count($err)) {
            $msg[1] = '<li>' . _CONFIG_OK_NEW . '</li>';
        }
    }
    // // config.php war bereits aktuell und ok
    else {
        $msg[1] = '<li>' . _CONFIG_OK_OLD . '</li>';
    }
    // wenn bisher ohne Fehler, Datenbankverbindung mit neuer config.php testen
    $out['dbconnect'] = false;
    if (!count($err)) {
        $dbstat = setupConnectDb();
        // uups, da ist was falsch
        if (!isset($dbstat['dbi'])) {
            $err[] = '<li>' . $dbstat['msg'] . ' (7)</li>';
        }
        // aah, alles klar
        else {
            $msg[2] = '<li>' . sprintf(_DB_CONNECTSUCCESS, $setvalues['dbname']) . '</li>';
            $out['dbconnect'] = true;
        }
    }
    if (count($err)) {
        // Datenbankverbindung trotzdem ok?
        if ($out['dbconnect'] && @file_exists(FILE_CONFIG_ROOT) && $old_dbname = $setvalues['dbname']) {
            $err[] = '<li>' . _CONFIG_ERR_8 . ' (8)</li>';
            $out['ok'] = true;
        }
        // jetzt ist aber schluss....
        else {
            $out['ok'] = false;
        }
        $out['err'] = true;
        $out['msg'] = implode('', $err);
    } else {
        ksort($msg);
        $out['msg'] = implode('', $msg);
        $out['ok'] = true;
        $out['err'] = false;
    }
    $out['len'] = strlen($cont);
    $out['configphp'] = htmlspecialchars($cont, ENT_QUOTES);
    // mxDebugFuncVars($out); exit;
    return $out;
}

?>