<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.19.2.1 $
 * $Author: tora60 $
 * $Date: 2008/02/02 00:35:23 $
 */

defined('mxMainFileLoaded') or die('access denied');
// // Datestrings and local Settings:
define('_CHARSET', 'ISO-8859-1');
if (PHP_OS == 'WINNT' || PHP_OS == 'WIN32') {
    define('_SETLOCALE', 'en');
} else {
    define('_SETLOCALE', 'en_GB.ISO-8859-15');
}
define('_DATESTRING', '%d-%b-%Y'); # start

/**
 * Setup Optionen zur Auswahl, siehe setup-settings.php
 */
// Neuinstallation
define('_SETUPOPTION_NEW', 'New installation');
define('_SETUPOPTION_NEW_DESC', 'You will launch a new installation of pragmaMx, the data already present in your database will be preserved.');
// Update
define('_SETUPOPTION_UPDATE', 'Update of an existing installation');
define('_SETUPOPTION_UPDATE_DESC', 'The script of installation will update a preceding and functional version of pragmaMx. Script can also convert the data of phpNuke, vkpMx and clones of phpNuke. Additional information on conversion can be found here: &quot;<a href="' . _MXCONVERTINFOSITE . '">To convert other CMS into pragmaMx</a>&quot;');
// Setupschritte
define('_STEP_SELECT', 'Selection, Setup or update');
define('_STEP_ISINCORRECT', 'Interrogation of safety');
define('_STEP_LICENSE', 'Licence of use');
define('_STEP_BACKUP', 'Backup of the database');
define('_STEP_UPDATE', 'Update of the database');
define('_STEP_DELFILES', 'Removal of the obsolete files');
define('_STEP_FINISHEDINSTALL', 'Finished installation');
define('_STEP_DBSETTINGS', 'Configuration of the access to the database');
define('_STEP_DBSETTINGSCREATE', 'Configuration of the database / Creation of the base');
define('_STEP_MORESETTINGS', 'Complementary adjustments');
define('_STEP_MORESETTINGSCHECK', 'Checking and validation of the adjustments');
define('_STEP_CREATEADMIN', 'Creation of the account for administrator');
define('_STEP_FINISHEDUPDATE', 'Finished update');
define('_STEP_CONFIGURATION', 'Update of the configuration');
define('_HELLOINSTALL', 'Installation of ' . MX_SETUP_VERSION);
define('_HELLOINSTALL2', 'Thank you for choosing our ' . preg_replace('#[[:space:]]#', '&nbsp;', MX_SETUP_VERSION) . '. <br /><br /> Please read the <a href="' . _MXDOKUSITE . '">online install-documentation</a> before you proceed. <br /> If you have done so, carry on.');
define('_WHATWILLYOUDO', 'You have the possibility of selecting between different setup-methods. The method recommended by the Setup Script is already activated. Select please only another method, if you are sure.<br /><br />What would you like to do?');
define('_OLDVERSION_ERR1', 'Your selected setup method does not correspond to the determined standard default,<br />this can to problems or even overrun lead.');
define('_OLDVERSION_ERR2', 'Are you sure that you want to execute the method &quot;<em>' . @constant($GLOBALS['opt'][@$_REQUEST['setupoption']]['name']) . '</em>&quot;?');
define('_CONFIGSAVEMESS', 'To finalize, the file of configuration <em>' . FILE_CONFIG_ROOT . '</em> will be updated.');
define('_CONFIG_OK_NEW', 'The configuration file <em>' . FILE_CONFIG_ROOT . '</em> was successfully created.');
define('_CONFIG_OK_OLD', 'The configuration file <em>' . FILE_CONFIG_ROOT . '</em> already was on the current status and correct.');
define('_CONFIG_ERR_1', 'The file <em>' . FILE_CONFIG_ROOT . '</em> could not be opened.');
define('_CONFIG_ERR_2', 'Writing into the file <em>' . FILE_CONFIG_ROOT . '</em> was not successful.');
define('_CONFIG_ERR_4', 'The file <em>' . FILE_CONFIG_ROOT . '</em> could not be created for undefined reasons.');
define('_CONFIG_ERR_5', 'The file in <em>' . FILE_CONFIG_ROOT . '</em> is available, but cannot not be read.');
define('_CONFIG_ERR_6', 'The file in <em>' . FILE_CONFIG_ROOT . '</em> is available, but the data were not correctly written.');
define('_CONFIG_ERR_8', 'The configuration file <em>' . FILE_CONFIG_ROOT . '</em> was not correctly created, but the database connection is ok. You can absolutely check and if necessary again stop the system adjustments with the installation continue, should however thereafter in the administration menu.');
define('_CONFIG_BACK', 'A copy of the existing configuration file was successfully created, under the following name:');
define('_CONFIG_CREATE', 'Please create a new script file on the basis of the displayed php-code. Named this file <em>' . basename(FILE_CONFIG_ROOT) . '</em> and copy it in the following main-folder (' . dirname(FILE_CONFIG_ROOT) . ') of your mX/pragmaMx installation.<br />Make sure that the complete source text 1:1 in this file is really stored.<br /><br />Afterwards, you can continue with the installation.');
define('_CONFIG_BUTTONMAN', 'Configuration file manually create');
define('_CURRENTSTATUS', 'Current installation status');
define('_THEREERROR', 'Errors occurred');
define('_WILL_CREATE_TABLES', 'In the next step the database tables will be created and updated, this could take a few moments');
define('_WILL_CREATE_BACKUP', 'If you uses the backup option, setup tries to create a complete backup of the selected database before creating the tables.');
define('_CONTINUE_WITHOUTDBBACKUP', 'Continue without backup');
define('_CONTINUE_WITHDBBACKUP', 'Continue with backup');
define('_DBFOLLOWERRORS', 'The following errors occurred');
define('_NODBERRORS', 'No errors occurred.');
define('_DBNOTEXIST', 'The selected database does not exist on the server.');
define('_DBNOTSELECT', 'You have no database selected.');
define('_DBNOACCESS', 'Connection with the database was refused.');
define('_DBOTHERERR', 'An error occurred at the time of connection with the database.');
define('_NOT_CONNECT', 'There is not a connection to the database.');
define('_NOT_CONNECTMORE', 'Please make sure that the file config.php exists in it\'s prior version and that the information of connection to the database are correct.');
define('_DB_CONNECTSUCCESS', 'The connection to the database <em>%s</em> was successfully made.');
define('_CORRECTION', 'Correction');
define('_REMAKE', 'Repeat');
define('_IGNORE', 'Ignore and continue');
define('_DONOTHING', 'Ignore');
define('_DBARETABLES', '<li>Tables are already present in the choosen database.</li><li>A backup of the database is strongly recommended.</li>');
define('_DBARENOTABLES', '<li>The selected database being empty, there is no need to do a backup.</li>');
define('_SUBMIT', 'Continue');
define('_OR', 'Or');
define('_YES', 'Yes');
define('_NO', 'No');
define('_GOBACK', 'Back');
define('_CANCEL', 'Cancel');
// define('_WRITE_CHECK_OK', 'CHMOD ok');
// define('_SET_FILE_PERM', 'Please set CHMOD (666 or 777) and check existence of red marked files!');
// define('_CHMOD_CHECK_ERR', 'The rights of writing (CHMOD) are incorrect');
define('_FILE_NOT_FOUND', 'File not found, or not readable.');
define('_ACCEPT', 'Do you except the licence agreement?');
define('_START', 'Starting page');
define('_INTRANETWARNING', 'Intranet should only be turned on if you cannot access pragmaMx with a fully-qualified host name (eg www.mysite.com). It is not recommended to run in this mode unless you are behind a firewall and users outside the firewall cannot gain access to your pragmaMx site');
define('_PRERR11', 'The two prefixes must start with a letter, they can contain numbers, letters and the underlined sign (_) but those should not have an overall length of more than ' . PREFIX_MAXLENGTH . ' characters.');
define('_PRERR12', 'The new prefix does not have a value.<br />Please indicate a prefix.');
define('_PRERR13', 'The new prefix does correspond to the standard standart pragmaMx or phpNuke. Please use another prefix for reasons of safety.');
// Translate: Buchstaben zu Kleinbuchstaben
define('_PRERR14', 'You use characters prohibited for your prefix. Use only letters, figures and the underlined character (_), whereby the prefix may not begin with a number.<br />Please correct and use another prefix.');
define('_PRERR15', 'The prefix cannot start with a number. <br />Please correct and use another prefix.');
define('_PRERR16', 'The new prefix of the tables is too long, the prefix should not have an overall length of more than ' . PREFIX_MAXLENGTH . ' characters.<br />Please shorten your prefix.');
define('_PRERR17', 'There are already %d tables with the new prefix.<br />Please use another prefix.');
define('_PRERR18', 'The new prefix of the users does not have a value.<br />Please indicate a prefix of the users.');
// Translate: Buchstaben zu Kleinbuchstaben
define('_PRERR19', 'You use characters prohibited for your prefix of the users. Use only letters, figures and the underlined character (_), whereby the prefix may not begin with a number.<br />Please correct and use another prefix of the users.');
define('_PRERR20', 'The prefix of the users cannot start with a number.<br />Please correct and use another prefix of the users.');
define('_PRERR21', 'The new prefix of the users is too long, the prefix should not have an overall length of more than ' . PREFIX_MAXLENGTH . ' characters.<br />Please shorten your prefix of the users.');
define('_PRERR22', 'There are already tables with the new prefix of the users.<br />Please use another prefix of the users.');
define('_SUPPORTINFO', 'Help and support for your system are available here: <a href="' . _MXSUPPORTSITE . '">' . _MXSUPPORTSITE . '</a>');
define('_DOKUINFO', 'Documentation on line is available here: <a href="' . _MXDOKUSITE . '">' . _MXDOKUSITE . '</a>');
define('_NOBACKUPCREATED', 'A backup of the database was not created.');
define('_HAVE_CREATE_DBBACKUP', 'Your database was backuped as file:');
define('_HAVE_CREATE_BACKUPERR_1', 'Database backup-error!');
define('_HAVE_CREATE_BACKUPERR_2', 'If this database contains data please make sure,<br />that you have a propper backup <strong>before</strong> continue!');
define('_SETUPHAPPY1', 'Congratulations');
define('_SETUPHAPPY2', 'Your system from now on is completely installed, with the next click you will be automatically redirected towards the panel of administration.');
define('_SETUPHAPPY3', 'Here you should first examine the basic adjustments and store them again.');
define('_DELETE_FILES', 'If your system runs fine, please delete the &quot;<em>' . basename(dirname(dirname(__FILE__))) . '</em>&quot;-directory.<br /><strong>This could be otherwise a security-problem!</strong>');
define('_GET_SQLHINTS', 'Below, the list of all the requests SQL which were imported during the process of conversion/integration');
define('_DATABASEISCURRENT', 'The structure of the database was already present, modifications were useless.');
define('_SEEALL', 'View all');
define('_DB_UPDATEREADY', 'Conversion/integration of the tables is finished.');
define('_DB_UPDATEFAIL', 'Conversion/integration of the tables could not be done completely.');
define('_DB_UPDATEFAIL2', 'The following important tables of the system are missing: ');
define('_BACKUPPLEASEDOIT', 'It is strongly recommended to carry out a complete backup of the database in front of the update.');
define('_ERRMSG1A', 'Error: One of the files necessary to the update is missing, want to make sure that the following file is quite present:');
define('_ERRMSG2', 'The following files and/or directories could not be removed automatically.<br />We recommend to manually remove those before finishing the installation.');
define('_MSG_FILEUP1', 'In next the stages, the files and directories listed below will be removed.<br />If you want to preserve a file, backup this file <strong>before</strong> continuing.');
define('_YEAHREADY2', 'Otherwise your pragmaMx now is in the newest condition.');
define('_SERVERMESSAGE', 'Server message');
define('_ERRDBSYSFILENOFILES', 'Tables of the system couldn\'t be integrated/checked, because no files of definitions were found in the directory <em>' . PATH_SYSTABLES . '</em>.');
define('_ERRDBSYSFILEMISSFILES_1', 'Unable to integrate/check all the tables of the system.');
define('_ERRDBSYSFILEMISSFILES_2', 'In the directory <em>' . PATH_SYSTABLES . '</em>,  the following files of definitions are missing');
define('_THESYSTABLES_1', 'Unable to integrate/check the table(s) of the system <strong>%s</strong>, because it\'s/their file(s) in the directory ' . PATH_SYSTABLES . 'could not be loaded.');
define('_THESYSTABLES_2', 'The table(s) of the system <strong>%s</strong> was/were not integrated/checked.');
define('_SYSTABLECREATED', '%d tables of the system were integrated/checked.');
define('_MODTABLESCREATED', 'Tables of %d modules were integrated/checked.');
define('_NOMODTABLES', 'No tables of modules were integrated/checked.');
define('_STAT_THEREWAS', '');
define('_STAT_TABLES_CREATED', 'tables were created.');
define('_STAT_TABLES_RENAMED', 'tables were renamed.');
define('_STAT_TABLES_CHANGED', 'tables were changed.');
define('_STAT_DATAROWS_CREATED', 'data records were inserted/changed.');
define('_STAT_DATAROWS_DELETED', 'data records were deleted.');
define('_MOREDEFFILEMISSING', 'The file (<em>' . @ADD_QUERIESFILE . '</em>) with additional SQL instructions is missing!');
define('_SETUPMODNOTFOUND1', 'Setup module <strong>%s</strong> not found!');
define('_ERROR', 'Error');
define('_ERROR_FATAL', 'Fatal error');
define('_SETUPCANCELED', 'Setup was aborted!');
define('_GOTOADMIN', 'Go to the administration menu');
define('_DBSETTINGS', 'Input here the database access settings. The Setup can be continued only, with a correctly created database connection. You normally receive the access data from your Webspace Provider.');
define('_DBNAME', 'Database name');
define('_DBPASS', 'Database password');
define('_DBSERVER', 'Database server');
define('_DBTYP', 'Database type');
define('_DBUSERNAME', 'Database username');
define('_DBCREATEQUEST', 'Do you want to try to create the database &quot;<em>' . @$_REQUEST['dbname'] . '</em>&quot;?');
define('_DBISCREATED', 'The database &quot;<em>' . @$_REQUEST['dbname'] . '</em>&quot; was successfully created.');
define('_DBNOTCREATED', 'An error occurred while creating the database &quot;<em>' . @$_REQUEST['dbname'] . '</em>&quot;.'); # settings
// define('_OTHERSETTINGS','Additional information for your website.');
define('_PREFIXSETTING', 'The prefixes are used to make the distinction between the various tables, in particular if you wish to use several pragmaMx within the same database. The prefix of the table of the users allows the common use of the user data in several pragmaMx distincts. If you do not wish to use this functionality, leave the same prefix for the table of the users.');
define('_PREFIX', 'Database table prefix');
define('_USERPREFIX', 'User table prefix');
define('_DEFAULTLANG', 'Default language');
define('_INTRANETOPT', 'Run on intranet');
define('_ADMINEMAIL', 'Administrator email');
define('_SITENAME', 'Site name');
define('_STARTDATE', 'Page startdate');
define('_CHECKSETTINGS', 'Please check your settings!');
define('_PLEASECHECKSETTINGS', 'Please check the current settings.<br />Wenn all data are correct, you can continue the installation.<br />Otherwise you have still opportunity the specification to correct.');
define('_HAVE_CREATE_TABLES', 'Tables created.');
define('_HAVE_CREATE_TABLES_7', 'The tables necessary to the system were integrated without error. The routine of installation can continue, but various functions of the system may cause problems.');
define('_HAVECREATE_TABLES_ERR', 'The database could not be created completely. The installation failed.');
define('_CREATE_DB', 'Create database');
define('_NOADMINYET', 'There are no Administrators Accounts yet, proceeed to create the Administrator Account:');
define('_CREATEUSERDATA', 'An account as a normal user with the same data is also created in same time.');
define('_NICKNAME', 'Nickname');
define('_PASSWORD', 'Password');
define('_EMAIL', 'Email');
define('_HOMEPAGE', 'Homepage');
define('_REQUIRED', '(required)');
define('_ERRNOADMINDATA', 'You must at least indicate a name of user, password and email.');
define('_ERRNOADMINCONNECT', 'If you wish to create the account administrator later on, you have the possibility of doing it in the administration of the system.');
define('_ADMINCREATED', 'The account administrator was created successfully.');
define('_ADMINCREATEDERR', 'The account administrator could not be created.');
define('_DOCREATEADMIN', 'Create');
define('_DELETESETUPDIR', 'Click here to render this setup useless. For that purpose the file index.php will be renamed and access to the directory will be denied with .htaccess file. <em>(doesn\'t work on all servers.)</em>');
// add for fieldset //
define('_PREFIXE', 'Prefix');
define('_SITE__MORESETTINGS', 'Site settings');
define('_ADMIN_ACCOUNT', 'Admin account');
define('_SERVER', 'Server data');
define('_BACKUPBESHURE', 'Before following adjustment of database tables, please make sure that your current database backup is up to date.');
define('_BACKUPBESHUREYES', 'Yes, my current database backup is up to date.');
define('_BACKUPBESHUREOK', 'Please confirm that your current database backup is up to date.');
// /////// Modulbezeichnungen
define('Your_Account', 'Your account');
define('News', 'Articles');
define('blank_Home', 'Home');
define('Content', 'Content');
define('Downloads', 'Downloads');
define('eBoard', 'Forums');
define('FAQ', 'FAQ');
define('Feedback', 'Feedback');
define('Guestbook', 'Guestbook');
define('Impressum', 'Impressum');
define('Kalender', 'Events');
define('maaXStat2', 'Statistics');
define('Members_List', 'Members list');
define('My_eGallery', 'Media gallery');
define('Newsletter', 'Newsletter');
define('Private_Messages', 'Private messages');
define('Recommend_Us', 'Recommend us');
define('Reviews', 'Reviews');
define('Search', 'Search');
define('Sections', 'Sections');
define('Siteupdate', 'Site news');
define('Submit_News', 'Submit news');
define('Surveys', 'Surveys');
define('Top', 'Toplist');
define('Topics', 'Topics');
define('UserGuest', 'User guestbook');
define('Web_Links', 'Links');
define('Web_News', 'Internet news');
define('LinkMe', 'Link to us');
define('Userinfo', 'Userinfo');
define('User_Registration', 'User registration');
define('Gallery', 'Picturegallery');
define('Avatar', 'Your avatar');
define('Banners', 'Your banners');
define('Encyclopedia', 'encyclopedia');
define('IcqList', 'Your icqlist');
define('IrcChat', 'Chat');
define('Members_Web_Mail', 'Your webmail');
define('Stories_Archive', 'Stories archive');
define('Themetest', 'Themes');
define('User_Blocks', 'Your blocks');
define('User_Fotoalbum', 'Your fotoalbum');
define('legal', 'Conditions of use');
// die Nachricht fuer den Begruessungsblock
define('_NEWINSTALLMESSAGEBLOCKTITLE', 'Welcome on your pragmaMx ' . MX_SETUP_VERSION_NUM . '');
define('_NEWINSTALLMESSAGEBLOCK', trim(addslashes('
<p>Welcome,</p>
<p>if you can read this message then pragmaMx seems to function without error, congratulations still.</p>
<p>We want initially to cordially thank you for having decided to use our system pragmaMx in an obviousness to take slightly more precisely. We hope thus that our CMS will answer all your waitings.</p>
<p>Additional modules dedicated to your system are also available on our Internet site: <a href="http://www.pragmamx.org">http://pragmamx.org</a>.</p>
<p>If you did not create an account administrator for your pragmaMx during the installation, please <a href="admin.php"><strong>do so now</strong></a>.</p>
<p>We wish you much pleasure by exploring your system. So that you more easily get along, within the administrator area a short documentation of the system has been deposited, please look at in any case once you inside.</p>
<p>Your pragmaMx coding team</p>
')));
// Blockbeschriftungen:
define('_BLOCK_CAPTION_MAINMENU', 'Main menu');
define('_BLOCK_CAPTION_INTERNAL', 'Internals');
define('_BLOCK_CAPTION_COMMUNITY', 'Community');
define('_BLOCK_CAPTION_OTHER', 'Other');
define('_BLOCK_CAPTION_1', 'Setup alarm');
define('_BLOCK_CAPTION_2', 'Admin menu');
define('_BLOCK_CAPTION_3', 'Language');
define('_BLOCK_CAPTION_4', 'Login');
define('_BLOCK_CAPTION_5', 'User menu');
define('_BLOCK_CAPTION_6', 'Who is online');
define('_BLOCK_CAPTION_7', 'FAQs');
define('_BLOCK_CAPTION_8', 'Surveys');
define('_BLOCK_CAPTION_9', 'pragmaMx news');
define('_BLOCK_CAPTION_5A', 'Your personal menu.');

?>