<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.17.2.2 $
 * $Author: tora60 $
 * $Date: 2008/02/02 00:35:23 $
 */

defined('mxMainFileLoaded') or die('access denied');
// // Datestrings and local Settings:
define('_CHARSET', 'ISO-8859-1');
if (PHP_OS == 'WINNT' || PHP_OS == 'WIN32') {
    define('_SETLOCALE', 'fr');
} else {
    define('_SETLOCALE', 'fr_FR.ISO-8859-15');
}
define('_DATESTRING', '%d.%m.%Y');

/**
 * Setup Optionen zur Auswahl, siehe setup-settings.php
 */
// Neuinstallation
define('_SETUPOPTION_NEW', 'Nouvelle installation');
define('_SETUPOPTION_NEW_DESC', 'Vous allez lancer une nouvelle installation de pragmaMx, les donnes dj prsentes dans votre base de donnes seront conserves.');
// Update
define('_SETUPOPTION_UPDATE', 'Mise  jour d\'une installation existante');
define('_SETUPOPTION_UPDATE_DESC', 'Le script d\'installation va mettre  jour une version prcdente et fonctionnelle de PragmaMx. Le script peut galement convertir les donnes de phpNuke, vkpMx et clones de phpNuke. Des informations supplmentaires sur la conversion peuvent tre trouves ici: &quot;<a href="' . _MXCONVERTINFOSITE . '">Convertir d\'autres CMS en pragmaMx</a>&quot;');
// Setupschritte
define('_STEP_SELECT', 'Veuillez choisir, nouvelle installation ou mise  jour');
define('_STEP_ISINCORRECT', 'Interrogation de scurit');
define('_STEP_LICENSE', 'Licence d\'utilisation');
define('_STEP_BACKUP', 'Sauvegarde de la base de donnes');
define('_STEP_UPDATE', 'Mise  jour de la base de donnes');
define('_STEP_DELFILES', 'Suppression des fichiers obsoltes');
define('_STEP_FINISHEDINSTALL', 'Installation termine');
define('_STEP_DBSETTINGS', 'Configuration de l\'accs  la base de donnes');
define('_STEP_DBSETTINGSCREATE', 'Configuration de la base de donnes/Cration de la base');
define('_STEP_MORESETTINGS', 'Rglages complmentaires');
define('_STEP_MORESETTINGSCHECK', 'Vrification et validation des rglages');
define('_STEP_CREATEADMIN', 'Cration du compte administrateur');
define('_STEP_FINISHEDUPDATE', 'Mise  jour termine');
define('_STEP_CONFIGURATION', 'Mise  jour de la configuration');
define('_HELLOINSTALL', 'Installation de ' . MX_SETUP_VERSION);
define('_HELLOINSTALL2', 'Merci d\'avoir choisi ' . preg_replace('#[[:space:]]#', '&nbsp;', MX_SETUP_VERSION) . '. <br /><br />Avant de commencer, veuillez lire attentivement la <a href="' . _MXDOKUSITE . '">documentation sur l\'installation en ligne</a>.<br /> Lecture faite, vous pouvez continuer....');
define('_WHATWILLYOUDO', 'Pour l\'installation, vous avez diffrents choix, la mthode recommande est slectionne automatiquement par le script d\'installation. Veuillez slectionner une autre mthode seulement si vous tes sr de vous.<br /><br />Que voulez-vous faire ?');
define('_OLDVERSION_ERR1', 'La mthode slectionne ne correspond pas  celle choisie par le systme,<br />ceci peut engendrer des problmes par la suite.');
define('_OLDVERSION_ERR2', 'Etes-vous sr de vouloir excuter cette mthode &quot;<em>' . @constant($GLOBALS['opt'][@$_REQUEST['setupoption']]['name']) . '</em>&quot;?');
define('_CONFIGSAVEMESS', 'Pour finaliser, le fichier de configuration <em>' . FILE_CONFIG_ROOT . '</em> est mis  jour.');
define('_CONFIG_OK_NEW', 'Le fichier de configuration <em>' . FILE_CONFIG_ROOT . '</em> a t cre avec succs.');
define('_CONFIG_OK_OLD', 'Le fichier de configuration <em>' . FILE_CONFIG_ROOT . '</em> tait dj prsent et fonctionnel.');
define('_CONFIG_ERR_1', 'Le fichier <em>' . FILE_CONFIG_ROOT . '</em> ne peut pas tre ouvert.');
define('_CONFIG_ERR_2', 'L\'criture dans le fichier <em>' . FILE_CONFIG_ROOT . '</em> n\'a pas pu tre effectue.');
define('_CONFIG_ERR_4', 'Le fichier <em>' . FILE_CONFIG_ROOT . '</em> n\'a pas pu tre cr, ce pour des raisons inconnues.');
define('_CONFIG_ERR_5', 'Le fichier <em>' . FILE_CONFIG_ROOT . '</em> est effectivement prsent, mais il ne peut pas tre lu.');
define('_CONFIG_ERR_6', 'Le fichier <em>' . FILE_CONFIG_ROOT . '</em> est effectivement prsent, mais les donnes n\'ont pas t insres correctement.');
define('_CONFIG_ERR_8', 'Le fichier de configuration <em>' . FILE_CONFIG_ROOT . '</em> n\'a pas t cr correctement, mais la connexion avec la base de donnes est fonctionnelle. Vous devez absolument vrifier vos rglages et au besoin arrter l\'installation pous faire vos vrifications ce avant de continuer, vous devrez cependant arriver sur le panneau administration.');
define('_CONFIG_BACK', 'Le fichier de configuration existant a t dupliqu avec succs, sous le nom suivant:');
define('_CONFIG_CREATE', 'Veuillez crer vous mme un nouveau fichier avec votre diteur de texte et copier/coller le code php affich ci-dessous. Nommez ce fichier en <em>' . basename(FILE_CONFIG_ROOT) . '</em> et sauvegardez le dans le rpertoire suivant (' . dirname(FILE_CONFIG_ROOT) . ') de votre installation pragmaMx.<br />Veuillez vrifier que le code complet de la source 1:1 de ce fichier est bien enregistr.<br /><br />Ensuite, vous pouvez continuer l\'installation.');
define('_CONFIG_BUTTONMAN', 'Crer manuellement le fichier de configuration');
define('_CURRENTSTATUS', 'Statut actuel de l\'installation');
define('_THEREERROR', 'Erreurs survenues');
define('_WILL_CREATE_TABLES', 'Dans l\'tape suivante les tables seront cres ou mises  jour dans la base de donnes, cette opration peut durer quelques instants.');
define('_WILL_CREATE_BACKUP', 'Si vous utilisez l\'option de sauvegarde, une sauvegarde complte des tables dj prsentes sera effectue avant la cration des tables du systme.');
define('_CONTINUE_WITHOUTDBBACKUP', 'Continuer sans sauvegarder');
define('_CONTINUE_WITHDBBACKUP', 'Continuer en effectuant une sauvegarde');
define('_DBFOLLOWERRORS', 'Les erreurs suivantes sont survenues');
define('_NODBERRORS', 'Aucune erreur.');
define('_DBNOTEXIST', 'La base de donnes que vous avez slectionn n\'existe pas sur le serveur.');
define('_DBNOTSELECT', 'Vous n\'avez pas slectionn la base de donnes.');
define('_DBNOACCESS', 'La connexion avec la base de donnes a t refuse.');
define('_DBOTHERERR', 'Une erreur est survenue lors de la connexion avec la base de donnes.');
define('_NOT_CONNECT', 'Connexion impossible avec la base de donnes.');
define('_NOT_CONNECTMORE', 'Veuillez vous assurer que le fichier config.php existe bien sur le serveur et que les informations de connexion  la base de donnes sont correctes.');
define('_DB_CONNECTSUCCESS', 'La connexion avec la base de donnes <em>%s</em> a t ralise avec succs.');
define('_CORRECTION', 'Corriger');
define('_REMAKE', 'Recommencer');
define('_IGNORE', 'Ignorer et continuer');
define('_DONOTHING', 'Ignorer');
define('_DBARETABLES', '<li>Des tables sont dj prsentes dans la base de donnes que vous avez choisi.</li><li>Une sauvegarde de la base de donnes est fortement recommande.</li>');
define('_DBARENOTABLES', '<li>La base de donnes choisie tant vide, vous n\'avez pas besoin d\'en effecuer la sauvegarde.</li>');
define('_SUBMIT', 'Continuer');
define('_OR', 'Ou');
define('_YES', 'Oui');
define('_NO', 'Non');
define('_GOBACK', 'Retour');
define('_CANCEL', 'Annuler');
// define('_WRITE_CHECK_OK', 'CHMOD Correct');
// define('_SET_FILE_PERM', 'Veuillez rgler le CHMOD (666 ou 777) et vrifiez la prsence des fichiers indiqus en rouge!');
// define('_CHMOD_CHECK_ERR', 'Les droits d\'criture (CHMOD) sont incorrects');
define('_FILE_NOT_FOUND', 'Fichier non trouv ou non lisible.');
define('_ACCEPT', 'Acceptez-vous l\'agrment de licence ?');
define('_START', 'Dbut du site');
define('_INTRANETWARNING', 'Intranet doit tre activ si vous n\'arrivez pas  accder  votre systme avec votre nom de domaine (ex: www.monsite.com). Il n\'est pas recommand d\'activer ce mode sauf si vous tes derrire un pare-feu ou si les utilisateurs derrire un pare-feu ne peuvent pas accder  votre site.');
define('_PRERR11', 'Les deux prfixes doivent tre crit en minuscule et doivent commencer par une lettre, ils peuvent contenir des nombres, des lettres et le signe soulign (_) mais ceux-ci ne doivent pas avoir une longueur totale de plus de ' . PREFIX_MAXLENGTH . ' caractres.');
define('_PRERR12', 'Le nouveau prfixe n\'a pas de valeur.<br />Veuillez indiquer un prfixe.');
define('_PRERR13', 'Le nouveau prfixe ne correspond pas  la norme standart pragmaMx ou phpNuke. Veuillez utiliser un autre prfixe pour des raisons de scurit.');
define('_PRERR14', 'Vous utilisez des caractres interdits pour votre prfixe. Utilisez seulement des lettres, des minuscules, des chiffres et le caractre soulign (_), le prfixe ne peut pas commencer par un nombre.<br />Veuillez corriger et utiliser un autre prfixe.');
define('_PRERR15', 'Le prfixe ne peut pas commencer par un nombre.<br />Veuillez corriger et utiliser un autre prfixe.');
define('_PRERR16', 'Le nouveau prfixe des tables est trop long, le prfixe ne doit pas avoir une longueur totale de plus de ' . PREFIX_MAXLENGTH . ' caractres.<br />Veuillez raccourcir votre prfixe.');
define('_PRERR17', 'Il existe dj %d tables avec le nouveau prfixe.<br />Veuillez utiliser un autre prfixe.');
define('_PRERR18', 'Le nouveau prfixe des utilisateurs n\'a pas de valeur.<br />Veuillez indiquer un prfixe des utilisateurs.');
define('_PRERR19', 'Vous utilisez des caractres interdits pour votre prfixe des utilisateurs. Utilisez seulement des lettres, des minuscules, des chiffres et le caractre soulign (_), le prfixe ne peut pas commencer par un nombre.<br />Veuillez corriger et utiliser un autre prfixe.');
define('_PRERR20', 'Le prfixe des utilisateurs ne peut pas commencer par un nombre.<br />Veuillez corriger et utiliser un autre prfixe pour les utilisateurs.');
define('_PRERR21', 'Le nouveau prfixe des utilisateurs est trop long, le prfixe ne doit pas avoir une longueur totale de plus de ' . PREFIX_MAXLENGTH . ' caractres.<br />Veuillez raccourcir votre prfixe.');
define('_PRERR22', 'Une table des utilisateurs avec ce nouveau prfixe est dj prsente.<br />Veuillez utiliser un autre prfixe pour la table des utilisateurs.');
define('_SUPPORTINFO', 'Aide et support pour votre systme sont disponibles ici: <a href="' . _MXSUPPORTSITE . '">' . _MXSUPPORTSITE . '</a>');
define('_DOKUINFO', 'La documentation en ligne est disponible ici: <a href="' . _MXDOKUSITE . '">' . _MXDOKUSITE . '</a>');
define('_NOBACKUPCREATED', 'La sauvegarde de la base de donnes n\'a pas pu tre effectue.');
define('_HAVE_CREATE_DBBACKUP', 'Votre base de donnes a t sauvegarde dans le fichier suivant:');
define('_HAVE_CREATE_BACKUPERR_1', 'Erreur de sauvegarde de la base de donnes!');
define('_HAVE_CREATE_BACKUPERR_2', 'Si la base de donnes contient des donnes, veuillez vrifier :<br />Que vous avez une sauvegarde rcente et fonctionnelle de celle-ci AVANT de continuer !');
define('_SETUPHAPPY1', 'Flicitations,');
define('_SETUPHAPPY2', 'Votre systme est dsormais compltement install, au prochain clic vous serez automatiquement redirig vers le panneau d\'administration.');
define('_SETUPHAPPY3', 'Ainsi, vous pourrez   nouveau vrifier vos rglages initiaux puis validez par la sauvegarde.');
define('_DELETE_FILES', 'Si votre systme fonctionne correctement, veuillez supprimer le rpertoire &quot;<em>' . basename(dirname(dirname(__FILE__))) . '</em>&quot;.<br /><strong>Ce rpertoire pourrait prsenter un risque pour la scurit du systme!</strong>');
define('_GET_SQLHINTS', 'Ci-dessous, la liste de toutes les requtes SQL qui ont t importes durant le processus de conversion/intgration');
define('_DATABASEISCURRENT', 'La structure de la base de donnes tait dj prsente, les modifications taient inutiles.');
define('_SEEALL', 'Journal complet');
define('_DB_UPDATEREADY', 'La conversion/intgration des tables est termine.');
define('_DB_UPDATEFAIL', 'La conversion/intgration des tables n\'a pas pu tre effectue compltement.');
define('_DB_UPDATEFAIL2', 'Voici les tables importantes du systme qui manquent: ');
define('_BACKUPPLEASEDOIT', 'Il est fortement recommand d\'effectuer une sauvegarde complte de la base de donnes avant la mise  jour.');
define('_ERRMSG1A', 'Erreur: Un des fichiers ncessaire  la mise  jour est manquant, veuillez vous assurer que le fichier suivant est bien prsent:');
define('_ERRMSG2', 'Les fichiers et/ou rpertoires suivants n\'ont pas pu tre supprim automatiquement.<br />Nous recommandons de supprimer manuellement ceux-ci avant de terminer l\'installation.');
define('_MSG_FILEUP1', 'Dans la prochaine tapes, les fichiers et rpertoires lists ci-dessous seront supprims.<br />Si vous souhaitez conserver un fichier, veuillez sauvegarder votre fichier <strong>avant</strong> de continuer.');
define('_YEAHREADY2', 'Sinon, votre pragmaMx maintenant  la pointe.');
define('_SERVERMESSAGE', 'Message du serveur');
define('_ERRDBSYSFILENOFILES', 'Aucune table du systme n\'a pu tre intgre/vrifie, car aucun fichier de dfinition n\'a t trouv dans le rpertoire <em>' . PATH_SYSTABLES . '</em>.');
define('_ERRDBSYSFILEMISSFILES_1', 'Toutes les tables du systme n\'ont pas pu tre intgres/vrifies.');
define('_ERRDBSYSFILEMISSFILES_2', 'Dans le rpertoire <em>' . PATH_SYSTABLES . '</em> , il manque les fichiers de dfinition suivants');
define('_THESYSTABLES_1', '<strong>%s</strong> table(s) du systme n\'ont pas t intgres/vrifies, car le(s) fichiers(s) du rpertoire ' . PATH_SYSTABLES . ' n\'ont pas pu tre charg.');
define('_THESYSTABLES_2', '<strong>%s</strong> table(s) du systme n\'ont pas t intgres/vrifies.');
define('_SYSTABLECREATED', 'Intgration/vrification de %d tables du systme.');
define('_MODTABLESCREATED', 'Intgration/vrification de %d tables des modules.');
define('_NOMODTABLES', 'Aucune table de module n\'a t intgre/vrifie.');
define('_STAT_THEREWAS', 'Il y a');
define('_STAT_TABLES_CREATED', 'table(s) cr(s).');
define('_STAT_TABLES_RENAMED', 'table(s) renomme(s).');
define('_STAT_TABLES_CHANGED', 'table(s) modifie(s).');
define('_STAT_DATAROWS_CREATED', 'donne(s) insre(s)/modifie(s).');
define('_STAT_DATAROWS_DELETED', 'donne(s) supprime(s).');
define('_MOREDEFFILEMISSING', 'Le fichier (<em>' . @ADD_QUERIESFILE . '</em>) et ses requtes SQL est manquant!');
define('_SETUPMODNOTFOUND1', 'L\'installateur du module <strong>%s</strong> est introuvable!');
define('_ERROR', 'Erreur');
define('_ERROR_FATAL', 'Erreur fatale');
define('_SETUPCANCELED', 'L\'installation a t interrompue!');
define('_GOTOADMIN', 'Aller au panneau administration');
define('_DBSETTINGS', 'Indiquez ici les informations d\'accs  votre base de donnes. La routine d\'installation continuera seulement si la connexion avec la base de donnes est fonctionnelle. Normalement, votre hbergeur vous a transmis les paramtres relatifs  votre base de donnes.');
define('_DBNAME', 'Nom de la base de donnes');
define('_DBPASS', 'Mot de passe de la base de donnes');
define('_DBSERVER', 'Serveur de la base de donnes');
define('_DBTYP', 'Type de base de donnes');
define('_DBUSERNAME', 'Nom d\'utilisateur de la base de donnes');
define('_DBCREATEQUEST', 'Voulez-vous essayer de crer la base de donnes &quot;<em>' . @$_REQUEST['dbname'] . '</em>&quot;?');
define('_DBISCREATED', 'La base de donnes &quot;<em>' . @$_REQUEST['dbname'] . '</em>&quot; a t cre avec succs.');
define('_DBNOTCREATED', 'Une erreur est survenue pendant la cration de la base de donnes &quot;<em>' . @$_REQUEST['dbname'] . '</em>&quot;.'); # settings
// define('_OTHERSETTINGS','Sonstige Angaben zu Ihrer Webseite.');
define('_PREFIXSETTING', 'Les prfixes servent  faire la distinction entre les diffrentes tables, notamment si vous souhaitez utiliser plusieurs pragmaMx avec la mme base de donnes. Le prfixe de la table des utilisateurs permet l\'utilisation commune des donnes utilisateurs dans plusieurs pragmaMx distincts. Si vous ne souhaitez pas utiliser cette fonctionnalit, laissez le mme prfixe pour la table des utilisateurs.');
define('_PREFIX', 'Prfixe des tables de la base de donnes');
define('_USERPREFIX', 'Prfixe de la table des utilisateurs');
define('_DEFAULTLANG', 'Langue par dfaut');
define('_INTRANETOPT', 'Excuter en intranet');
define('_ADMINEMAIL', 'Courriel administrateur');
define('_SITENAME', 'Nom du site');
define('_STARTDATE', 'Date de dmarrage');
define('_CHECKSETTINGS', 'Veuillez vrifier vos rglages!');
define('_PLEASECHECKSETTINGS', 'Veuillez vrifier une dernire fois vos rglages.<br />Si tout est correct, vous pouvez poursuivre la routine d\'installation.<br />Sinon, vous avez la possibilit de corriger vos rglages.');
define('_HAVE_CREATE_TABLES', 'Tables cres.');
define('_HAVE_CREATE_TABLES_7', 'Les tables ncessaires au systme ont t intgres sans erreur. La routine d\'installation peut continuer, mais avec diffrentes fonctions du systme on peut en venir  des erreurs.');
define('_HAVECREATE_TABLES_ERR', 'La base de donnes n\'a pas pu tre cre compltement. L\'installation a choue.');
define('_CREATE_DB', 'Crer la base de donnes');
define('_NOADMINYET', 'Il n\'y a pas encore de compte administrateur du systme, veuillez procder  la cration du compte administrateur:');
define('_CREATEUSERDATA', 'Un compte utilisateur normal avec les mmes donnes est galement cr dans le mme temps.');
define('_NICKNAME', 'Pseudo');
define('_PASSWORD', 'Mot de passe');
define('_EMAIL', 'Courriel');
define('_HOMEPAGE', 'Page d\'accueil');
define('_REQUIRED', '(requis)');
define('_ERRNOADMINDATA', 'Vous devez au moins indiquer un nom d\'utilisateur, mot de passe et courriel.');
define('_ERRNOADMINCONNECT', 'Si vous souhaitez crer le compte administrateur ultrieurement, vous avez la possibilit de le faire dans l\'administration du systme.');
define('_ADMINCREATED', 'Le compte administrateur a t cr avec succs.');
define('_ADMINCREATEDERR', 'Le compte administrateur n\'a pas pu tre cr.');
define('_DOCREATEADMIN', 'Soumettre');
define('_DELETESETUPDIR', 'Cochez pour neutraliser le programme d\'installation. Ainsi, le fichier index.php sera renomm et l\'accs au rpertoire sera refus grce  un fichier .htaccess <em>(Ne fonctionne pas sur tous les serveurs.)</em>');
// add for fieldset //
define('_PREFIXE', 'Prfixes');
define('_SITE__MORESETTINGS', 'Rglages du site');
define('_ADMIN_ACCOUNT', 'Compte administrateur');
define('_SERVER', 'Donnes serveur');
define('_BACKUPBESHURE', 'Assurez-vous de la suite de la conversion des tables de la base de donnes, veuillez vrifier que vous avez une sauvegarde rcente de votre base de donnes.');
define('_BACKUPBESHUREYES', 'Oui, j\'ai une sauvegarde rcente de ma base de donnes.');
define('_BACKUPBESHUREOK', 'Veuillez comfirmer que vous avez un sauvegarde rcente de vote base de donnes.');
// /////// Modulbezeichnungen
define('Your_Account', 'Votre compte');
define('News', 'Articles');
define('blank_Home', 'Accueil');
define('Content', 'Contenu');
define('Downloads', 'Tlchargements');
define('eBoard', 'Forums');
define('FAQ', 'FAQ');
define('Feedback', 'Contactez-nous');
define('Guestbook', 'Livre d or');
define('Impressum', 'Copyrights');
define('Kalender', 'Evnements');
define('maaXStat2', 'Statistiques');
define('Members_List', 'Liste des membres');
define('My_eGallery', 'Galerie mdias');
define('Newsletter', 'Newsletter');
define('Private_Messages', 'Messages privs');
define('Recommend_Us', 'Recommandez-nous');
define('Reviews', 'Comptes rendu');
define('Search', 'Rechercher');
define('Sections', 'Sections');
define('Siteupdate', 'News du site');
define('Submit_News', 'Soumettre un article');
define('Surveys', 'Sondages');
define('Top', 'Top');
define('Topics', 'Sujets');
define('UserGuest', 'Livre d or utilisateur');
define('Web_Links', 'Annuaire de liens');
define('Web_News', 'News internet');
define('LinkMe', 'Liens vers nous');
define('Userinfo', 'Information utilisateur');
define('User_Registration', 'Enregistrement utilisateur');
define('Gallery', 'Galerie d images');
define('Avatar', 'Votre avatar');
define('Banners', 'Vos bannires');
define('Encyclopedia', 'Encyclopdie');
define('IcqList', 'Votre liste ICQ');
define('IrcChat', 'Chat');
define('Members_Web_Mail', 'Votre Web-Mail');
define('Stories_Archive', 'Articles archivs');
define('Themetest', 'Thmes');
define('User_Blocks', 'Vos blocs');
define('User_Fotoalbum', 'Votre album photo');
define('legal', 'Conditions utilisation');
// die Nachricht fr den Begruessungsblock
define('_NEWINSTALLMESSAGEBLOCKTITLE', 'Bienvenue sur votre pragmaMx ' . MX_SETUP_VERSION_NUM . '');
define('_NEWINSTALLMESSAGEBLOCK', trim(addslashes('
<p>Bienvenue,</p>
<p>Si vous pouvez lire ce message alors pragmaMx semble fonctionner sans erreur, flicitations encore.</p>
<p>Nous voulons d\'abord vous remercier cordialement de vous tre dcid  utiliser notre systme pragmaMx, nous esprons ainsi que notre CMS rpondra  toutes vos attentes.</p>
<p>Des modules supplmentaires ddis  votre pragmaMx sont galement disponibles sur notre site internet : <a href="http://www.pragmamx.org">http://pragmamx.org</a>.</p>
<p>A la fin de l\'installation, si vous n\'avez pas encore cr de compte administrateur pour votre systme, veuillez <a href="admin.php"><strong>cliquer ici</strong></a>.</p>
<p>Nous vous souhaitons beaucoup de plaisir lors de la dcouverte de votre pragmaMx. De mme, vous trouverez galement dans le panneau d\'administration une documentation succinte du systme, n\'hsitez pas  y jeter un oeil.</p>
<p>Votre quipe pragmaMx...</p>
')));
// Blockbeschriftungen:
define('_BLOCK_CAPTION_MAINMENU', 'Sommaire');
define('_BLOCK_CAPTION_INTERNAL', 'Interne');
define('_BLOCK_CAPTION_COMMUNITY', 'Communaut&eacute;');
define('_BLOCK_CAPTION_OTHER', 'Autres');
define('_BLOCK_CAPTION_1', 'Alarme-Setup');
define('_BLOCK_CAPTION_2', 'Menu administration');
define('_BLOCK_CAPTION_3', 'Langue');
define('_BLOCK_CAPTION_4', 'Connexion');
define('_BLOCK_CAPTION_5', 'Menu utilisateur');
define('_BLOCK_CAPTION_6', 'Qui est en ligne');
define('_BLOCK_CAPTION_7', 'FAQs');
define('_BLOCK_CAPTION_8', 'Sondages');
define('_BLOCK_CAPTION_9', 'News-pragmaMx');
define('_BLOCK_CAPTION_5A', 'Voici votre menu personnel');

?>