<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.1.2.2 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:11:52 $
 */

defined('mxMainFileLoaded') or die('access denied');
#$modname = basename(dirname(dirname(__FILE__)));

unset($sqlqry);

if (!isset($tables["${prefix}_ephem"])) {
    $sqlqry[] = "
CREATE TABLE `${prefix}_ephem` (
  `eid` int(11) NOT NULL auto_increment,
  `did` int(2) NOT NULL default '0',
  `mid` int(2) NOT NULL default '0',
  `yid` int(4) NOT NULL default '0',
  `content` text NULL,
  `elanguage` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`eid`)
) TYPE=MyISAM;";
}

if (isset($tables["${prefix}_ephem"])) {
    $tf = setupGetTableFields("${prefix}_ephem");
    if ($tf['content']['Default'] !== null) {
        $sqlqry[] = "ALTER TABLE `${prefix}_ephem`
                CHANGE `content` `content` text NULL";
    }
}

if (isset($sqlqry)) {
    setupDoAllQueries($sqlqry);
    unset($sqlqry);
}

?>