<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.1.2.5 $
 * $Author: sitki $
 * $Date: 2007/12/28 17:27:53 $
 *
 * Turkish language file, SPAW v.2.0
 * 
 * this file based on:
 * SPAW WYSIWYG Editor - http://www.solmetra.com
 * Developed: Saulius Okunevicius, saulius@solmetra.com
 * Turkish translation by Stk zkurt from www.akcaabat-acisu.com
 * Copyright: Solmetra (c)2006 All rights reserved
 * v.1.0, 2006-11-20
 */
 
// charset to be used in dialogs
$spaw_lang_charset = 'iso-8859-9';

// language text data array
// first dimension - block, second - exact phrase
// alternative text for toolbar buttons and title for dropdowns - 'title'
$spaw_lang_data = array('spawfm' => array('title' => 'SPAW Dosya Ynetimi',
        'error_reading_dir' => 'Hata: Dizin okunamyor.',
        'error_upload_forbidden' => 'Hata: Bu dizine dosya yklemesi izinli deil.',
        'error_upload_file_too_big' => 'Ykleme baarsz. Dosya ok byk.',
        'error_upload_failed' => 'Ykleme baarsz.',
        'error_upload_file_incomplete' => 'Dosya ykleme iin komple deil. Tekrar deneyin.',
        'error_bad_filetype' => 'Hata: Bu dosya tipi izinli deil.',
        'error_max_filesize' => 'Maksimum izinli dosya bykl:',
        'error_delete_forbidden' => 'Hata: Bu dizinde dosya silinmesi izinli deil.',
        'confirm_delete' => 'Emin misiniz, bu dosyay "[*file*]" silmek istediinizden?',
        'error_delete_failed' => 'Hata: Dosya silinemedi. Muhtemelen gerekli haklarnz bulunmuyor.',
        'error_no_directory_available' => 'Aranabilecek dizin mevcut deil.',
        'download_file' => '[Dosyay indir]',
        'error_chmod_uploaded_file' => 'Dosyann yklemesi baarlyd, fakat kullanc haklarn verilmesi baarsz.',
        'error_img_width_max' => 'Maksimum izinli resim genilii: [*MAXWIDTH*]px',
        'error_img_height_max' => 'Maksimum izinli resim ykseklii: [*MAXHEIGHT*]px',
        'rename_text' => 'Bu dosya iin "[*FILE*]" yeni bir dosya ismi girin:',
        'error_rename_file_missing' => 'Yeniden adlandrma baarsz  Dosya bulunamad.',
        'error_rename_directories_forbidden' => 'Hata: Dizinlerin bu dizinde yeniden adlandrlmas izinli deil.',
        'error_rename_forbidden' => 'Hata: Dosyalarn bu dizinde yeniden adlandrlmas izinli deil.',
        'error_rename_file_exists' => 'Hata: Bu dosya "[*FILE*]" zaten mevcut.',
        'error_rename_failed' => 'Hata: Yeniden adlandrma baarsz. Muhtemelen gerekli haklarnz bulunmuyor.',
        'error_rename_extension_changed' => 'Hata: Dosya isim eklentileri deitirilemez!',
        'newdirectory_text' => 'Dizin iin bir isim girin:',
        'error_create_directories_forbidden' => 'Hata: Dizin retilmesi yasaktr',
        'error_create_directories_name_used' => 'sim zaten kullanlmakta, baka birini deneyin.',
        'error_create_directories_failed' => 'Hata: Dizin retilemedi. Muhtemelen gerekli haklarnz bulunmuyor.',
        'error_create_directories_name_invalid' => 'Bu iaretler dizin isimlerinde kullanlamaz: / \\ : * ? " < > |',
        'confirmdeletedir_text' => 'Emin misiniz, bu dizini "[*DIR*]" silmek istediinizden?',
        'error_delete_subdirectories_forbidden' => 'Dizin silinmesi yasaktr.',
        'error_delete_subdirectories_failed' => 'Dizin silinemedi. Muhtemelen gerekli haklarnz bulunmuyor.',
        'error_delete_subdirectories_not_empty' => 'Dizin bo deil.',
        ),
    'buttons' => array('ok' => '  OK  ',
        'cancel' => 'ptal',
        'view_list' => 'Modus: Liste',
        'view_details' => 'Modus: Detaylar',
        'view_thumbs' => 'Modus: nizleme',
        'rename' => 'Yeniden adlandrmak...',
        'delete' => 'Sil',
        'go_up' => 'Yzey yukarda',
        'upload' => 'Ykleme',
        'create_directory' => 'Yeni dizin...',
        ),
    'file_details' => array('name' => 'sim',
        'type' => 'Tip',
        'size' => 'Byklk',
        'date' => 'Tarih deitirildi',
        'filetype_suffix' => 'Dosya',
        'img_dimensions' => 'Boyut',
        'file_folder' => 'Dosya klasr',
        ),
    'filetypes' => array('any' => 'Tm dosyalar (*.*)',
        'images' => 'Resim dosyalar',
        'flash' => 'Flash filmleri',
        'documents' => 'Belgeler',
        'audio' => 'Audio dosyalar',
        'video' => 'Video dosyalar',
        'archives' => 'Ariv dosyalar',
        '.jpg' => 'JPG resim dosyas',
        '.jpeg' => 'JPG resim dosyas',
        '.gif' => 'GIF resim dosyas',
        '.png' => 'PNG resim dosyas',
        '.swf' => 'Flash filmi',
        '.doc' => 'Microsoft Word belgesi',
        '.xls' => 'Microsoft Excel belgesi',
        '.pdf' => 'PDF belgesi',
        '.rtf' => 'RTF belgesi',
        '.odt' => 'OpenDocument Teksti',
        '.ods' => 'OpenDocument Elektronik tablosu',
        '.sxw' => 'OpenOffice.org 1.0 Tekst belgesi',
        '.sxc' => 'OpenOffice.org 1.0 Elektronik tablosu',
        '.wav' => 'WAV Audio dosyas',
        '.mp3' => 'MP3 Audio dosyas',
        '.ogg' => 'Ogg Vorbis Audio dosyas',
        '.wma' => 'Windows Audio dosyas',
        '.avi' => 'AVI Video dosyas',
        '.mpg' => 'MPEG Video dosyas',
        '.mpeg' => 'MPEG Video dosyas',
        '.mov' => 'QuickTime Video dosyas',
        '.wmv' => 'Windows Video dosyas',
        '.zip' => 'ZIP Arivi',
        '.rar' => 'RAR Arivi',
        '.gz' => 'gzip Arivi',
        '.txt' => 'Tekst belgesi',
        '' => '',
        ),
    );

?>