<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.14.2.5 $
 * $Author: tora60 $
 * $Date: 2008/01/22 02:02:53 $
 *
 * this file based on:
 * Automated FAQ
 * Copyright 2001 by Richard Tirtadji AKA King Richard (rtirtadji@hotmail.com)
 * and Hutdik Hermawan AKA hotFix (hutdik76@hotmail.com)
 * http://www.phpnuke.web.id
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

defined('mxMainFileLoaded') or die('access denied');

if (!mxGetAdminPref("radminfaq")) {
    mxErrorScreen("Access Denied");
    die();
}

$wysiwyg = 0;
$wysiwyg_faq = 0;
include_once('spaw/spaw_control.class.php');

function FaqAdmin()
{
    global $prefix, $currentlang, $multilingual, $language, $bgcolor1, $bgcolor2, $bgcolor3;
    $img_content = mxCreateImage("images/clippings.gif", _CONTENT);
    $img_order = mxCreateImage("images/posticon.gif", _ORDER);
    $img_delete = mxCreateImage("images/delete.gif", _DELETE);
    $img_edit = mxCreateImage("images/edit.gif", _EDITCATEGORY);
    include ("header.php");
    GraphicAdmin();
    title(_FAQADMIN);
    $res = sql_query("select count(faq_id) from ${prefix}_faqnew");
    list($numFaqs) = sql_fetch_row($res);
    if ($numFaqs) {
        OpenTable();
        echo "<br>" . _NEWADD1 . " " . $numFaqs . " " . _NEWADD2 . "<br>\n<a href='admin.php?op=FaqAnswerNew'>" . _NEWADD3 . "</a>";
        CloseTable();
        echo "<br>";
    }

    OpenTable();
    echo '<p style="text-align:center"><strong>' . _ACTIVEFAQS . '</strong></p>'
     . "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"2\" bgcolor=\"$bgcolor1\"><tr bgcolor=\"$bgcolor2\">"
     . "<th bgcolor=\"$bgcolor2\">" . _ID . "</th>"
     . "<th bgcolor=\"$bgcolor2\">" . _CATEGORIES . "</th>"
     . "<th bgcolor=\"$bgcolor2\">" . _LANGUAGE . "</th>"
     . "<th bgcolor=\"$bgcolor2\">" . _FUNCTIONS . "</th></tr>
	";
    $result = sql_query("select id_cat, categories, flanguage from ${prefix}_faqcategories order by id_cat");
    while (list($id_cat, $categories, $flanguage) = sql_fetch_row($result)) {
        if (!$flanguage) {
            $flanguage = _ALL;
        }
        echo "<tr bgcolor=\"$bgcolor3\">"
         . "<td align=\"center\">$id_cat</td>"
         . "<td align=\"center\">$categories</td>"
         . "<td align=\"center\">$flanguage</td>"
         . "<td align=\"center\"><a href=\"admin.php?op=FaqCatGo&amp;id_cat=$id_cat\">" . $img_content . "</a> "
         . "&nbsp;<a href=\"admin.php?op=FaqCatGo&amp;id_cat=$id_cat&amp;reorder=y\">" . $img_order . "</a> "
         . "&nbsp;<a href=\"admin.php?op=FaqCatEdit&amp;id_cat=$id_cat\">" . $img_edit . "</a>&nbsp;<a href=\"admin.php?op=FaqCatDel&amp;id_cat=$id_cat&amp;ok=0\">" . $img_delete . "</a></td> "
         . "</tr>";
    }
    echo "</table>";
    CloseTable();
    echo "<br>";
    OpenTable();
    echo '<fieldset><legend>' . _ADDCATEGORY . '</legend>'
     . "<form action=\"admin.php\" method=\"post\">"
     . "<table border=\"0\" width=\"100%\"><tr valign='top'><td>"
     . _CATEGORIES . ":</td><td><input type=\"text\" name=\"categories\" size=\"30\"></td>";
    if ($multilingual == 1) {
        echo "<tr valign='top'><td>" . _LANGUAGE . ":</td><td>" . mxLanguageSelect('flanguage', $flanguage, 'language', 1) . "</td>";
    } else {
        echo "<input type=\"hidden\" name=\"flanguage\" value=\"\">";
    }
    echo "</tr></table>"
     . "<input type=\"hidden\" name=\"op\" value=\"FaqCatAdd\">"
     . "<input type=\"submit\" value=\"" . _SAVE . "\">"
     . "</form></fieldset>";
    CloseTable();
    include("footer.php");
}

function FaqCatGo($id_cat)
{
    global $prefix, $cut, $paste, $reorder, $movecat, $bgcolor1, $bgcolor2, $bgcolor3;

    if ($cut != '') $reorder = 'y';
    if ($cut != '') {
        if ($paste != '')
            FaqCatReorder($id_cat);
        else if ($movecat != '')
            FaqMoveCat($id_cat, $cut, $movecat);
    }
    $result = sql_query("select id, question, answer from ${prefix}_faqanswer where id_cat='$id_cat' order by id");

    $link = include ("header.php");
    GraphicAdmin();
    title(_FAQADMIN);
    OpenTable();
    echo "<p style=\"text-align:center\"><strong>" . _QUESTIONS
     . " [&nbsp;<a href='admin.php?op=FaqCatGo&amp;id_cat=$id_cat"
     . (($reorder != '') ? "'>" . _SHOWALL . "" : "&amp;reorder=y'>" . _ONLYQUEST . "")
     . "</a>&nbsp;]</strong></p>"
     . "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"2\" bgcolor=\"$bgcolor1\"><tr bgcolor=\"$bgcolor2\">"
     . "<th bgcolor=\"$bgcolor2\">" . _CONTENT . "</th>"
     . "<th bgcolor=\"$bgcolor2\">" . _FUNCTIONS . "</th></tr>";

    while (list($id, $question, $answer) = sql_fetch_row($result)) {
        echo "<tr valign='top' bgcolor=\"$bgcolor3\"><td>";
        $catstyle = ($cut != '' and $cut == $id) ? " style='color:red'" : "";
        if ($reorder) {
            echo "<span $catstyle>$question</span><br>";
        } else {
            echo "<center><i $catstyle>$question</i></center><br>";
        }
        if ($catstyle) {
            echo "<b>" . _PASTE . "</b>";
        }
        if (!$reorder) {
            echo "<br><p align=justify $catstyle>" . mxNL2BR($answer) . "</p>\n";
        }

        echo "</td>\n"
         . "<td>"
         . "<strong><big>&middot;</big></strong>&nbsp;<a $catstyle href=\"admin.php?op=FaqCatGoEdit&amp;id=$id\">" . _EDIT . "</a><br>";

        if ($cut == '') {
            echo "<strong><big>&middot;</big></strong>&nbsp;<a $catstyle href=\"admin.php?op=FaqCatGo&amp;id_cat=$id_cat&amp;cut=$id\">" . _CUT . "</a><br>";
        } else {
            if ($catstyle != '')
                echo "<strong><big>&middot;</big></strong>&nbsp;<a $catstyle href=\"admin.php?op=FaqCatGo&amp;id_cat=$id_cat&amp;reorder=y\">" . _ABORT . "</a><br>";
            else
                echo "<strong><big>&middot;</big></strong>&nbsp;<a href=\"admin.php?op=FaqCatGo&amp;id_cat=$id_cat&amp;cut=$cut&amp;paste=$id\">" . _PASTE . "</a><br>";
        }

        echo "<strong><big>&middot;</big></strong>&nbsp;<a $catstyle href=\"admin.php?op=FaqCatGoDel&amp;id=$id&amp;ok=0\">" . _DELETE . "</a><br>"
         . "</td></tr>";
    }

    if ($cut != '') {
        echo "<tr valign='top'><td><b>" . _PASTTO . "</b></td>"
         . "<td align=\"center\">"
         . "<a $catstyle href='admin.php?op=FaqCatGo&amp;id_cat=$id_cat&amp;cut=$cut&amp;paste=end'>" . _FAQPASTE . "</a></td></tr>\n";
        if ($movecat == '') FaqMoveCat($id_cat, $cut);
    }

    echo "</table>";
    CloseTable();
    echo "<br>";
    OpenTable();
    echo "<fieldset><legend>" . _ADDQUESTION . "</legend>"
     . "<form action=\"admin.php\" method=\"post\">"
     . "<table border=\"0\" width=\"100%\"><tr valign='top'><td>"
     . _QUESTION . ":</td><td><input type=\"text\" name=\"question\" size=\"40\"></td></tr><tr valign='top'>";

    if ($GLOBALS['wysiwyg'] && $GLOBALS['wysiwyg_faq']) {
        echo "<td colspan=\"2\">" . _ANSWER . "<br />";
        $sw = new SPAW_Wysiwyg('answer', '', _DOC_LANGUAGE, $GLOBALS['wysiwyg_toolbar'], $GLOBALS['wysiwyg_btnset'], '100%', '300');
        $sw->show();
    } else {
        echo "<td>" . _ANSWER . " </td><td><textarea name=\"answer\" cols=\"60\" rows=\"10\"></textarea>";
    }

    echo "</td></tr></table>"
     . "<input type=\"hidden\" name=\"id_cat\" value=\"$id_cat\">"
     . "<input type=\"hidden\" name=\"op\" value=\"FaqCatGoAdd\">"
     . "<input type=\"submit\" value=\"" . _SAVE . "\"> " . _GOBACK . ""
     . "</form></fieldset>";
    CloseTable();
    include("footer.php");
}

function FaqCatEdit($id_cat)
{
    include ("config.php");
    $result = sql_query("select categories, flanguage from ${prefix}_faqcategories where id_cat='$id_cat'");
    list($categories, $flanguage) = sql_fetch_row($result);
    include ("header.php");
    GraphicAdmin();
    title(_FAQADMIN);
    OpenTable();
    echo '<fieldset><legend>' . _EDITCATEGORY . '</legend>'
     . "<form action=\"admin.php\" method=\"post\">"
     . "<input type=\"hidden\" name=\"id_cat\" value=\"$id_cat\">"
     . "<table border=\"0\" width=\"100%\"><tr valign='top'><td>"
     . _CATEGORIES . ":</td><td><input type=\"text\" name=\"categories\" size=\"31\" value=\"" . mxEntityQuotes($categories) . "\"></td>";
    if ($multilingual == 1) {
        echo "<tr valign='top'><td>" . _LANGUAGE . ":</td><td>" . mxLanguageSelect('flanguage', $flanguage, 'language', 1) . "</td>";
    } else {
        echo "<input type=\"hidden\" name=\"flanguage\" value=\"\">";
    }
    echo "</tr></table>"
     . "<input type=\"hidden\" name=\"op\" value=\"FaqCatSave\">"
     . "<input type=\"submit\" value=\"" . _SAVE . "\"> " . _GOBACK . ""
     . "</form></fieldset>";
    CloseTable();
    include("footer.php");
}

function FaqCatGoEdit($id)
{
    global $bgcolor2, $prefix;
    $result = sql_query("select question, answer, id_cat from ${prefix}_faqanswer where id='$id'");
    list($question, $answer, $id_cat) = sql_fetch_row($result);
    include ("header.php");
    GraphicAdmin();
    title(_FAQADMIN);
    OpenTable();
    echo '<fieldset><legend>' . _EDITQUESTIONS . '</legend>'
     . "<form action=\"admin.php\" method=\"post\">"
     . "<input type=\"hidden\" name=\"id\" value=\"$id\">"
     . "<input type=\"hidden\" name=\"id_cat\" value=\"$id_cat\">"
     . "<table border=\"0\" width=\"100%\"><tr valign='top'><td>"
     . _QUESTION . ":</td><td><input type=\"text\" name=\"question\" size=\"31\" value=\"" . mxEntityQuotes($question) . "\"></td></tr><tr valign='top'>";

    if ($GLOBALS['wysiwyg'] && $GLOBALS['wysiwyg_faq']) {
        echo "<td colspan=\"2\">" . _ANSWER . "<br />";
        $sw = new SPAW_Wysiwyg('answer', $answer, _DOC_LANGUAGE, $GLOBALS['wysiwyg_toolbar'], $GLOBALS['wysiwyg_btnset'], '100%', '300');
        $sw->show();
    } else {
        echo "<td>" . _ANSWER . ":</td><td><textarea name=\"answer\" cols=\"60\" rows=\"5\">" . htmlentities($answer) . "</textarea>";
    }

    echo "</td></tr></table>"
     . "<input type=\"hidden\" name=\"op\" value=\"FaqCatGoSave\">"
     . "<input type=\"submit\" value=\"" . _SAVE . "\"> " . _GOBACK . ""
     . "</form></fieldset>";
    CloseTable();
    include("footer.php");
}

function FaqCatSave($id_cat, $categories, $flanguage)
{
    global $prefix;
    $categories = mxAddSlashesForSQL(($categories));
    sql_query("update ${prefix}_faqcategories set categories='" . strip_tags($categories) . "', flanguage='$flanguage' where id_cat='$id_cat'");
    header("Location: admin.php?op=FaqAdmin");
}

function FaqCatGoSave($id, $question, $answer, $id_cat = 0)
{
    global $prefix;
    $question = mxAddSlashesForSQL(($question));
    $answer = mxAddSlashesForSQL(($answer));
    sql_query("update ${prefix}_faqanswer set question='" . strip_tags($question) . "', answer='$answer' where id='$id'");
    if ($id_cat) {
        header("Location: admin.php?op=FaqCatGo&id_cat=$id_cat");
        exit;
    }
    header("Location: admin.php?op=FaqAdmin");
}

function FaqCatAdd($categories, $flanguage)
{
    global $prefix;
    $categories = mxAddSlashesForSQL(($categories));
    sql_query("insert into ${prefix}_faqcategories values (NULL, '$categories', '$flanguage')");
    header("Location: admin.php?op=FaqAdmin");
}

function FaqCatGoAdd($id_cat, $question, $answer)
{
    global $prefix;
    $question = mxAddSlashesForSQL(($question));
    $answer = mxAddSlashesForSQL(($answer));
    sql_query("insert into ${prefix}_faqanswer values (NULL, '$id_cat', '" . strip_tags($question) . "', '$answer')");
    header("Location: admin.php?op=FaqCatGo&id_cat=$id_cat");
}

function FaqCatDel($id_cat, $ok = 0)
{
    global $prefix;
    if ($ok == 1) {
        sql_query("delete from ${prefix}_faqcategories where id_cat=" . intval($id_cat));
        sql_query("delete from ${prefix}_faqanswer where id_cat=" . intval($id_cat));
        header("Location: admin.php?op=FaqAdmin");
    } else {
        $result = sql_query("select categories from ${prefix}_faqcategories WHERE id_cat=" . intval($id_cat));
        list($categories) = sql_fetch_row($result);
        include("header.php");
        GraphicAdmin();
        title(_FAQADMIN);
        OpenTableAl();
        echo "<br><center><p><b>" . _FAQDELWARNING . '</b></p><p>"' . $categories . '"</p><br>';
        echo "[&nbsp;<a href=\"admin.php?op=FaqCatDel&amp;id_cat=$id_cat&amp;ok=1\">" . _YES . "</a> | <a href=\"admin.php?op=FaqAdmin\">" . _NO . "</a>&nbsp;]</center><br><br>";
        CloseTableAl();
        include("footer.php");
    }
}

function FaqCatGoDel($id, $ok = 0)
{
    global $prefix;
    if ($ok == 1) {
        sql_query("delete from ${prefix}_faqanswer where id=" . intval($id));
        header("Location: admin.php?op=FaqAdmin");
    } else {
        include("header.php");
        GraphicAdmin();
        title(_FAQADMIN);
        OpenTableAl();
        echo "<br><center><b>" . _QUESTIONDEL . "</b><br><br>";
        echo "[&nbsp;<a href=\"admin.php?op=FaqCatGoDel&amp;id=$id&amp;ok=1\">" . _YES . "</a> | <a href=\"admin.php?op=FaqAdmin\">" . _NO . "</a>&nbsp;]</center><br><br>";
        CloseTableAl();
        include("footer.php");
    }
}

function FaqCatReorder($id_cat)
{
    global $cut, $paste, $reorder;
    global $prefix;
    $result = sql_query("select * from ${prefix}_faqanswer where id_cat='" . intval($id_cat) . "' order by id");
    $rows = array();
    while ($row = sql_fetch_array($result))
    array_push($rows, $row);
    $numrows = count($rows);

    $faqdebugging = false;

    if ($faqdebugging) {
        OpenTable();
        echo "id_cat='$id_cat', cut='$cut', paste='$paste'<br><br>\n";
        for ($i = 0; $i < $numrows; $i++)
        echo $rows[$i]['id'] . ") " . $rows[$i]['question'] . "<br>\n";
        CloseTable();
    }

    $cutidx = FaqFindRow($rows, $cut);
    if ($paste != 'end' and $paste < $cut) {
        $pasteidx = FaqFindRow($rows, $paste);
        for ($i = $pasteidx; $i < $cutidx; $i++)
        $rows[$i]['id'] = $rows[$i + 1]['id'];
        $rows[$cutidx]['id'] = $paste;
    } else {
        if ($paste == 'end')
            $pasteidx = $numrows - 1;
        else
            $pasteidx = FaqFindRow($rows, $paste) - 1;
        $paste = $rows[$pasteidx]['id'];
        if ($cutidx >= $pasteidx)
            return;
        for ($i = $pasteidx; $i > $cutidx; $i--)
        $rows[$i]['id'] = $rows[$i-1]['id'];
        $rows[$cutidx]['id'] = $paste;
    }

    if ($faqdebugging) {
        OpenTable();
        for ($i = 0; $i < $numrows; $i++)
        echo $rows[$i]['id'] . ") " . $rows[$i]['question'] . "<br>\n";
        CloseTable();
        $cut = $paste = '';
        $reorder = 'y';
        return;
    }
    for ($i = 0; $i < $numrows; $i++) {
        $query = "UPDATE ${prefix}_faqanswer SET id=" . $rows[$i]['id']
         . " WHERE question='" . mxAddSlashesForSQL(strip_tags($rows[$i]['question'])) . "'"
         . " AND answer='" . mxAddSlashesForSQL($rows[$i]['answer']) . "'"
         . " AND id_cat='" . $rows[$i]['id_cat'] . "'";
        sql_query($query);
    }
    $cut = $paste = '';
    $reorder = 'y';
}

function FaqFindRow(&$rows, $id)
{
    foreach ($rows as $idx => $row)
    if ($row['id'] == $id)
        return $idx;
    die("admin/modules/adminfaq.php:FaqFindRow(): can't find row id $id<br>\n");
}

function FaqMoveCat($id_cat, $cut, $movecat = '')
{
    global $prefix;
    global $cut, $paste, $reorder;

    if ($movecat == '') {
        $res = sql_query("select id_cat,categories from ${prefix}_faqcategories");
        $rows = array();
        while ($row = sql_fetch_array($res))
        array_push($rows, $row);

        echo "<tr valign='top'><td colspan=2 align=center><i>" . _MOVETO . "</i></td></tr>\n";
        foreach ($rows as $key => $row)
        echo "<tr valign='top'><td><i>" . $row['categories'] . "</i></td>\n"
         . "<td align=center><a href='"
         . "admin.php?op=FaqCatGo&amp;id_cat=$id_cat&amp;cut=$cut&amp;movecat="
         . $row['id_cat'] . "'>" . _PASTE . "</a></td></tr>\n";
    } else {
        sql_query("UPDATE ${prefix}_faqanswer SET id_cat='$movecat' WHERE id='$cut'") or mxErrorScreen("admin/modules/adminfaq.php:FaqMoveCat()");
        $cut = $paste = '';
        $reorder = 'y';
    }
}

function FaqAnswerNew()
{
    global $prefix, $sitename, $adminmail;

    if (!empty($_REQUEST['faq_id'])) {
        if ($_REQUEST['faqaction'] == 'decline') {
            sql_query("DELETE FROM ${prefix}_faqnew WHERE faq_id=" . (int)$_REQUEST['faq_id'] . "") or mxErrorScreen("" . _DIE1 . " $faq_id");
        } else if ($_REQUEST['faqaction'] == 'accept') {
            $res = sql_query("SELECT * FROM ${prefix}_faqnew WHERE faq_id='" . (int)$_REQUEST['faq_id'] . "'") or mxErrorScreen("" . _DIE2 . " $faq_id");
            $newq = sql_fetch_array($res, 0);
            $result = sql_query("select id_cat, categories from ${prefix}_faqcategories ORDER BY categories");
            while (list($idcat, $categorie) = sql_fetch_row($result)) {
                $sel = ((int)$newq['id_cat'] == (int)$idcat) ? " selected" : "";
                $options[] = "<option value='" . $idcat . "'" . $sel . ">" . $categorie . "</option>";
            }
            include("header.php");
            GraphicAdmin();
            title(_FAQADMIN);
            OpenTable();
            echo '<fieldset><legend>' . _ANSWER1 . "</legend>\n"
             . "<form action='admin.php' method='post'>"
             . "<table border='0' cellspacing='0' cellpadding='5'>\n"
             . "<tr valign='top'><td>" . _QUEST5 . ":</td><td><input type='text' size=80 name='faqquestion' value='" . mxEntityQuotes($newq['question']) . "'></td></tr>\n"
             . "<tr valign='top'><td>" . _ANSWER2 . "</td>\n<td>\n";
            if ($GLOBALS['wysiwyg'] && $GLOBALS['wysiwyg_faq']) {
                $sw = new SPAW_Wysiwyg('faqanswer', '', _DOC_LANGUAGE, $GLOBALS['wysiwyg_toolbar'], $GLOBALS['wysiwyg_btnset'], '100%', '300');
                $sw->show();
            } else {
                echo '<textarea name="faqanswer" rows="15" cols="60"></textarea>';
            }
            echo "</td></tr>\n"
             . "<tr valign='top'><td>" . _CATEGORY . ":</td><td><select name='faqcat'>" . implode("\n", $options) . "</select></td></tr>\n"
             . "<tr valign='top'><td colspan='2'><input type='submit' name='Save' value='" . _SUBMIT . "'>\n</td></tr>\n"
             . "</table>\n"
             . "<input type='hidden' name='op' value='FaqAnswerNew'>\n"
             . "<input type='hidden' name='faqaction' value='insertit'>\n"
             . "<input type='hidden' name='faq_id' value='" . $newq['faq_id'] . "'>\n"
             . "<input type='hidden' name='faq_email' value='" . $newq['email'] . "'>\n"
             . "<input type='hidden' name='faq_name' value='" . $newq['name'] . "'>\n"
             . "<input type='hidden' name='faq_ip' value='" . $newq['ip'] . "'>\n"
             . "</form></fieldset>";
            CloseTable();
            include("footer.php");
            return;
        } else if ($_REQUEST['faqaction'] == 'insertit') {
            $res = sql_query("select max(id) from ${prefix}_faqanswer");
            list($newid) = sql_fetch_row($res, 0);
            $newid++;
            sql_query("INSERT INTO ${prefix}_faqanswer (id, id_cat, question, answer) VALUES (
			" . (int)$newid . ",
			" . (int)$_REQUEST['faqcat'] . ",
			'" . mxAddSlashesForSQL(strip_tags($_REQUEST['faqquestion'])) . "',
			'" . mxAddSlashesForSQL($_REQUEST['faqanswer']) . "'
			)") or mxErrorScreen("" . _DIE4);
            if (!empty($_REQUEST['faq_email'])) {
                mxMail($_REQUEST['faq_email'], "" . _ANSWER3 . " $sitename",
                    _HELLO . " " . $_REQUEST['faq_name'] . ",\n\n"
                     . _USEMAIL1 . $_REQUEST['faq_ip'] . "," . _USEMAIL2 . "\n"
                     . _USEMAIL3 . "\n"
                     . "$sitename (" . MX_HOME_URL . ")\n\n"
                     . _QUEST1 . "\n"
                     . "\t" . mxStripSlashes($_REQUEST['faqquestion']) . "\n\n"
                     . _USEMAIL5 . "\n"
                     . MX_HOME_URL . "/modules.php?name=FAQ&myfaq=yes&id_cat=" . (int)$_REQUEST['faqcat'] . "\n\n"
                     . _SEE1 . "\n\n"
                     . _GREETS . "\n"
                     . "$sitename " . _TEAM . "\n",
                    $adminmail, "text", "", $sitename);
            }
            sql_query("DELETE FROM ${prefix}_faqnew WHERE faq_id=" . (int)$_REQUEST['faq_id'] . "") or mxErrorScreen("" . _DIE5 . " $faq_id");
        }
    }

    $res = sql_query("SELECT * from ${prefix}_faqnew");
    $numfaqs = 0;
    $newfaqs = array();
    while ($newfaqs[$numfaqs] = sql_fetch_array($res, $numfaqs)) {
        $numfaqs++;
    }

    include("header.php");
    GraphicAdmin();
    title(_FAQADMIN);
    OpenTable();
    echo '<p class="option" align="center">' . _NEWADD2 . "</p>\n"
     . "<ol>\n";
    for ($i = 0; $i < $numfaqs; $i++) {
        echo "<li><b>" . $newfaqs[$i]['question'] . "</b>"
         . "<br><span class=\"tiny\"><i>" . _SUBMIT2 . " " . $newfaqs[$i]['name'];
        if ($newfaqs[$i]['email'] != '') echo "&lt;" . $newfaqs[$i]['email'] . "&gt;";
        echo "[" . $newfaqs[$i]['ip'] . "] on " . $newfaqs[$i]['date'] . "</i></span><br>\n"
         . "<a href='admin.php?op=FaqAnswerNew&amp;faq_id=" . $newfaqs[$i]['faq_id'] . "&amp;faqaction=accept'>" . _ACCEPT3 . "</a>"
         . " | <a href='admin.php?op=FaqAnswerNew&amp;faq_id=" . $newfaqs[$i]['faq_id'] . "&amp;faqaction=decline'>" . _DECLINE . "</a>\n";
        if ($newfaqs[$i]['email'] != '') echo " | <a href='mailto:" . $newfaqs[$i]['email'] . "'>" . _REPLY5 . "</a>\n";
        echo "<br><br>\n";
    }
    echo "</ol>\n";
    CloseTable();
    include("footer.php");
}

$ok = (empty($ok)) ? 0 : 1;

switch ($op) {
    case "FaqCatSave":
        FaqCatSave($id_cat, $categories, $flanguage);
        break;

    case "FaqCatGoSave":
        FaqCatGoSave($id, $question, $answer, $id_cat);
        break;

    case "FaqCatAdd":
        FaqCatAdd($categories, $flanguage);
        break;

    case "FaqCatGoAdd":
        FaqCatGoAdd($id_cat, $question, $answer);
        break;

    case "FaqCatEdit":
        FaqCatEdit($id_cat);
        break;

    case "FaqCatGoEdit":
        FaqCatGoEdit($id);
        break;

    case "FaqCatDel":
        FaqCatDel($id_cat, $ok);
        break;

    case "FaqCatGoDel":
        FaqCatGoDel($id, $ok);
        break;

    case "FaqCatGo":
        FaqCatGo($id_cat);
        break;

    case "FaqAnswerNew":
        FaqAnswerNew();
        break;

    case "FaqAdmin":
    default:
        FaqAdmin();
        break;
}
