<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.9.2.4 $
 * $Author: dia_bolo $
 * $Date: 2008/01/12 13:37:26 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

if (!defined("mxAdminFileLoaded")) die("Access Denied");
if (!mxGetAdminPref("radminsuper")) {
    mxErrorScreen("Access Denied");
    die();
}
// ####################################################################
function displayadmins()
{
    global $admin, $prefix, $user_prefix, $language, $multilingual, $bgcolor1, $bgcolor2, $bgcolor3;
    $img_delete = mxCreateImage("images/delete.gif", _DELAUTHOR);
    $img_edit = mxCreateImage("images/edit.gif", _MODIFYINFO);
    mt_srand((double) microtime() * 1000000);
    $reqcheck = mt_rand();
    mxSessionSetVar('reqcheck', $reqcheck);
    include("header.php");
    GraphicAdmin();
    title(_AUTHORSADMIN);
    OpenTable();
    //echo "<center><font class=\"option\"><b>" . _EDITADMINS . "</b></font><br><br>"
     echo "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"2\" bgcolor=\"$bgcolor1\">
     		<tr bgcolor=\"$bgcolor2\">";
     //echo "<table cellspacing=\"0\" cellpadding=\"3\" border=\"1\">";
    echo "<th>" . _NICKNAME . "</th>
    			<th>" . _NAME . "</th>
    			<th>Auto-" . _uaLogin . "</th>
    			<th>" . _LANGUAGE . "</th>
    			<th colspan=\"2\">" . _FUNCTIONS . "&nbsp;</th>
    		</tr>";
    $qry = "SELECT a.aid, a.name, a.admlanguage, a.user_uid, u.uname, u.user_stat
        FROM ${prefix}_authors AS a
        LEFT JOIN ${user_prefix}_users AS u ON a.user_uid = u.uid;";
    $result = sql_query($qry);
    while (list($a_aid, $name, $admlanguage, $user_uid, $uname, $user_stat) = sql_fetch_row($result)) {
        $uname = ($uname && $user_stat == 1) ? $uname : "&nbsp;";
        $admlanguage = (empty($admlanguage)) ? _ALL : $admlanguage;
        $admdel = ($name == "God") ? _MAINACCOUNT : "<a href=\"admin.php?op=deladmin&amp;del_aid=$a_aid\">" . $img_delete . "</a>";
        echo "<tr bgcolor=\"$bgcolor3\"><td>$a_aid</td>";
        echo "<td>$name</td>";
        echo "<td>$uname</td>";
        echo "<td>$admlanguage</td>";
        echo "<td align=\"center\"><a href=\"admin.php?op=modifyadmin&amp;chng_aid=$a_aid\">" . $img_edit . "</a></td>";
        echo "<td>$admdel</td></tr>";
    }
    echo "</table><p style=\"text-align:right\">" . _GODNOTDEL . "</p>";
    CloseTable();
    echo "<br>";
    OpenTable();
    echo "<fieldset><legend>" . _ADDAUTHOR . "</legend>"
     . "<form action=\"admin.php\" method=\"post\">"
     . "<table style=\"margin: auto;\" border=\"0\">"
     . "<tr><td>" . _NAME . ":</td>"
     . "<td colspan=\"4\"><input type=\"text\" name=\"add_name\" size=\"30\" maxlength=\"50\"> <font class=\"tiny\">" . _REQUIREDNOCHANGE . "</font></td></tr>"
     . "<tr><td>" . _NICKNAME . ":</td>"
     . "<td colspan=\"4\"><input type=\"text\" name=\"add_aid\" size=\"40\" maxlength=\"25\"> <font class=\"tiny\">" . _REQUIRED . "</font></td></tr>"
     . "<tr><td>" . _EMAIL . ":</td>"
     . "<td colspan=\"4\"><input type=\"text\" name=\"add_email\" size=\"40\"> <font class=\"tiny\">" . _REQUIRED . "</font></td></tr>"
     . "<tr><td>" . _URL . ":</td>"
     . "<td colspan=\"4\"><input type=\"text\" name=\"add_url\" size=\"40\"></td></tr>"
     . "<tr><td>Auto-" . _uaLogin . ":</td>"
     . "<td colspan=\"4\"><select name=\"add_autologin\">\n" . getAdminUsersList(0, "") . "</select></td></tr>";
    if ($multilingual == 1) {
        echo "<tr><td>" . _LANGUAGE . ":</td><td colspan=\"4\">" . mxAdminLanguageSelect("add_admlanguage") . "</td></tr>";
    } else {
        echo "<input type=\"hidden\" name=\"add_admlanguage\" value=\"\">";
    }
    echo "<tr><td>" . _PERMISSIONS . ":</td>"
     . "<td><input type=\"checkbox\" name=\"add_radminarticle\" value=\"1\"> " . _ARTICLES . "</td>"
     . "<td><input type=\"checkbox\" name=\"add_radmintopic\" value=\"1\"> " . _TOPICS . "</td>"
     . "<td><input type=\"checkbox\" name=\"add_radminuser\" value=\"1\"> " . _USERS . "</td>"
     . "<td><input type=\"checkbox\" name=\"add_radminsurvey\" value=\"1\"> " . _SURVEYS . "</td>"
     . "</tr><tr><td>&nbsp;</td>"
     . "<td><input type=\"checkbox\" name=\"add_radminsection\" value=\"1\"> " . _SECTIONS . "</td>"
     . "<td><input type=\"checkbox\" name=\"add_radminlink\" value=\"1\"> " . _WEBLINKS . "</td>"
     . "<td><input type=\"checkbox\" name=\"add_radminephem\" value=\"1\"> " . _EPHEMERIDS . "</td>"
     . "<td><input type=\"checkbox\" name=\"add_radminfaq\" value=\"1\"> " . _FAQ . "</td>"
     . "</tr><tr><td>&nbsp;</td>"
     . "<td><input type=\"checkbox\" name=\"add_radmindownload\" value=\"1\"> " . _DOWNLOADS . "</td>"
     . "<td><input type=\"checkbox\" name=\"add_radminreviews\" value=\"1\"> " . _REVIEWS . "</td>"
     . "<td><input type=\"checkbox\" name=\"add_radminnewsletter\" value=\"1\"> " . _NEWSLETTER . "</td>"
     . "<td><input type=\"checkbox\" name=\"add_radminforum\" value=\"1\"> " . _BBFORUM . "</td>"
     . "</tr><tr><td>&nbsp;</td>"
     . "<td><input type=\"checkbox\" name=\"add_radmincontent\" value=\"1\"> " . _CONTENT . "</td>"
     . "<td><input type=\"checkbox\" name=\"add_radminency\" value=\"1\"> " . _ENCYCLOPEDIA . "</td>"
     . "<td><input type=\"checkbox\" name=\"add_radmingroups\" value=\"1\"> " . _USERGROUPS . "</td>"
     . "<td><input type=\"checkbox\" name=\"add_radmincalendar\" value=\"1\"> " . _CALENDARADMIN . "</td>"
     . "</tr><tr><td>&nbsp;</td>"
     . "<td nowrap=\"nowrap\"><input type=\"checkbox\" name=\"add_radminsuper\" value=\"1\"> <b>" . _SUPERUSER . "</b></td>"
     . "<td colspan=\"3\">&nbsp;&nbsp;<font class=\"tiny\"><i>" . _SUPERWARNING . "</i></font></td></tr>"
    // ."<tr><td>&nbsp;</td><td colspan=\"3\"><font class=\"tiny\"><i>"._SUPERWARNING."</i></font></td></tr>"
    . "<tr><td>" . _PASSWORD . "</td>"
     . "<td colspan=\"4\"><input type=\"password\" name=\"add_pwd\" size=\"30\"> <font class=\"tiny\">" . _REQUIRED . "</font></td></tr>"
     . "<tr><td colspan=\"5\"><input type=\"submit\" value=\"" . _ADDAUTHOR2 . "\"></td></tr>"
     . "</table>";
    echo "<input type=\"hidden\" name=\"check\" value=\"" . md5($reqcheck) . "\">"
     . "<input type=\"hidden\" name=\"op\" value=\"AddAuthor\">";
    echo "</form></fieldset>";
    CloseTable();
    include("footer.php");
}
// ####################################################################
function modifyadmin($gvs)
{
    global $prefix, $multilingual;
    mt_srand((double) microtime() * 1000000);
    $reqcheck = mt_rand();
    mxSessionSetVar('reqcheck', $reqcheck);
    extract($gvs);
    $adm_aid = $chng_aid;
    $result = sql_query("select * from " . $prefix . "_authors where aid='" . $chng_aid . "'");
    $admindata = sql_fetch_array($result);
    extract($admindata, EXTR_PREFIX_ALL, "chng");
    $aid = $chng_aid;
    include("header.php");
    GraphicAdmin();
    title(_AUTHORSADMIN);
    
    OpenTable();
    echo "<fieldset><legend>" . _MODIFYINFO . "</legend>";
    echo "<form action=\"admin.php\" method=\"post\">"
     . "<table style=\"margin: auto;\" border=\"0\">"
     . "<tr><td>" . _NAME . ":</td>"
     . "<td colspan=\"4\"><b>$chng_name</b> <input type=\"hidden\" name=\"chng_name\" value=\"$chng_name\"></td></tr>"
     . "<tr><td>" . _NICKNAME . ":</td>"
     . "<td colspan=\"4\"><input type=\"text\" name=\"chng_aid\" value=\"$chng_aid\" size=\"25\"> <font class=\"tiny\">" . _REQUIRED . "</font></td></tr>"
     . "<tr><td>" . _EMAIL . ":</td>"
     . "<td colspan=\"4\"><input type=\"text\" name=\"chng_email\" value=\"$chng_email\" size=\"40\"> <font class=\"tiny\">" . _REQUIRED . "</font></td></tr>"
     . "<tr><td>" . _URL . ":</td>"
     . "<td colspan=\"4\"><input type=\"text\" name=\"chng_url\" value=\"$chng_url\" size=\"40\"></td></tr>"
     . "<tr><td>Auto-" . _uaLogin . ":</td>"
     . "<td colspan=\"4\"><select name=\"chng_autologin\">\n" . getAdminUsersList($chng_user_uid, $chng_aid) . "</select></td></tr>";
    if ($multilingual == 1) {
        echo "<tr><td>" . _LANGUAGE . ":</td><td colspan=\"4\">" . mxAdminLanguageSelect("chng_admlanguage", $chng_admlanguage) . "</td></tr>";
    } else {
        echo "<input type=\"hidden\" name=\"blanguage\" value=\"\">";
    }
    echo "<tr><td>" . _PERMISSIONS . ":</td>";
    $sel1 = ($chng_radminarticle == 1) ? "checked" : "";
    $sel2 = ($chng_radmintopic == 1) ? "checked" : "";
    $sel3 = ($chng_radminuser == 1) ? "checked" : "";
    $sel4 = ($chng_radminsurvey == 1) ? "checked" : "";
    $sel5 = ($chng_radminsection == 1) ? "checked" : "";
    $sel6 = ($chng_radminlink == 1) ? "checked" : "";
    $sel7 = ($chng_radminephem == 1) ? "checked" : "";
    $sel8 = ($chng_radminfaq == 1) ? "checked" : "";
    $sel9 = ($chng_radmindownload == 1) ? "checked" : "";
    $sel10 = ($chng_radminreviews == 1) ? "checked" : "";
    $sel11 = ($chng_radminnewsletter == 1) ? "checked" : "";
    $sel12 = ($chng_radminforum == 1) ? "checked" : "";
    $sel13 = ($chng_radmincontent == 1) ? "checked" : "";
    $sel14 = ($chng_radminency == 1) ? "checked" : "";
    $sel15 = ($chng_radminsuper == 1) ? "checked" : "";
    $sel16 = ($chng_radmingroups == 1) ? "checked" : "";
    $sel17 = ($chng_radmincalendar == 1) ? "checked" : "";
    echo "<td><input type=\"checkbox\" name=\"chng_radminarticle\" value=\"1\" $sel1> " . _ARTICLES . "</td>"
     . "<td><input type=\"checkbox\" name=\"chng_radmintopic\" value=\"1\" $sel2> " . _TOPICS . "</td>"
     . "<td><input type=\"checkbox\" name=\"chng_radminuser\" value=\"1\" $sel3> " . _USERS . "</td>"
     . "<td><input type=\"checkbox\" name=\"chng_radminsurvey\" value=\"1\" $sel4> " . _SURVEYS . "</td>"
     . "</tr><tr><td>&nbsp;</td>"
     . "<td><input type=\"checkbox\" name=\"chng_radminsection\" value=\"1\" $sel5> " . _SECTIONS . "</td>"
     . "<td><input type=\"checkbox\" name=\"chng_radminlink\" value=\"1\" $sel6> " . _WEBLINKS . "</td>"
     . "<td><input type=\"checkbox\" name=\"chng_radminephem\" value=\"1\" $sel7> " . _EPHEMERIDS . "</td>"
     . "<td><input type=\"checkbox\" name=\"chng_radminfaq\" value=\"1\" $sel8> " . _FAQ . "</td>"
     . "</tr><tr><td>&nbsp;</td>"
     . "<td><input type=\"checkbox\" name=\"chng_radmindownload\" value=\"1\" $sel9> " . _DOWNLOADS . "</td>"
     . "<td><input type=\"checkbox\" name=\"chng_radminreviews\" value=\"1\" $sel10> " . _REVIEWS . "</td>"
     . "<td><input type=\"checkbox\" name=\"chng_radminnewsletter\" value=\"1\" $sel11> " . _NEWSLETTER . "</td>"
     . "<td><input type=\"checkbox\" name=\"chng_radminforum\" value=\"1\" $sel12> " . _BBFORUM . "</td>"
     . "</tr><tr><td>&nbsp;</td>"
     . "<td><input type=\"checkbox\" name=\"chng_radmincontent\" value=\"1\" $sel13> " . _CONTENT . "</td>"
     . "<td><input type=\"checkbox\" name=\"chng_radminency\" value=\"1\" $sel14> " . _ENCYCLOPEDIA . "</td>"
     . "<td><input type=\"checkbox\" name=\"chng_radmingroups\" value=\"1\" $sel16> " . _USERGROUPS . "</td>"
     . "<td><input type=\"checkbox\" name=\"chng_radmincalendar\" value=\"1\" $sel17> " . _CALENDARADMIN . "</td>"
     . "</tr><tr><td>&nbsp;</td>"
     . "<td nowrap=\"nowrap\"><input type=\"checkbox\" name=\"chng_radminsuper\" value=\"1\" $sel15> <b>" . _SUPERUSER . "</b></td>"
    // ."</tr><tr><td><font class=\"tiny\"><i>"._SUPERWARNING."</i></font></td>"
    . "<td colspan=\"3\">&nbsp;&nbsp;<font class=\"tiny\"><i>" . _SUPERWARNING . "</i></font></td></tr>"
     . "<tr><td>" . _PASSWORD . ":</td>"
     . "<td colspan=\"4\"><input type=\"password\" name=\"chng_pwd\" size=\"30\"></td></tr>"
     . "<tr><td>" . _RETYPEPASSWD . ":</td>"
     . "<td colspan=\"4\"><input type=\"password\" name=\"chng_pwd2\" size=\"30\"> <font class=\"tiny\">" . _FORCHANGES . "</font></td></tr>"
     . "<tr><td colspan=\"5\"><input type=\"submit\" value=\"" . _SAVE . "\"> " . _GOBACK . ""
     . "</td></tr></table>";
    echo "<input type=\"hidden\" name=\"adm_aid\" value=\"$adm_aid\">"
     . "<input type=\"hidden\" name=\"op\" value=\"UpdateAuthor\">"
     . "<input type=\"hidden\" name=\"check\" value=\"" . md5($reqcheck) . "\">";
    echo "</form></fieldset>";
    
    CloseTable();
    include("footer.php");
}
// ####################################################################
function updateadmin($pvs)
{
    global $prefix;
    extract($pvs);
    $debug_err = '';
    // Sessiongltigkeit prfen
    $check = (empty ($check)) ? mt_rand() : $check; // sicherstellen, dass $check initialisiert ist
    $check_sess = MD5(mxSessionGetVar("reqcheck"));
    mxSessionDelVar('reqcheck');
    if ($check != $check_sess) {
        // wenn Session ungltig, einfach die Post-Werte verndern
        mxSecureLog("SecLog", "Bad Admincreation: " . $chng_aid . " (no session-check-id)");
        mxErrorScreen(_BADSESSIONREQUEST);
        die();
    }

    if (empty($chng_aid) || empty($chng_email) || ereg("[^ a-zA-Z0-9_-]", $chng_aid)) {
        include("header.php");
        GraphicAdmin();
        title(_AUTHORSADMIN);
        
        OpenTable();
        echo "<center><font class=\"option\"><b>" . _CREATIONERROR . "</b></font>  " . $debug_err . "<br><br>"
         . _COMPLETEFIELDS . "<br><br>" . _GOBACK . "</center>";
        CloseTable();
        include("footer.php");
        return;
    }
    if (!($chng_aid && $chng_name && $chng_email)) {
        header("Location: admin.php?op=mod_authors");
    }
    $chng_radminsuper = (empty($chng_radminsuper)) ? 0 : 1;
    if ($chng_radminsuper) {
        $chng_radminarticle = 0;
        $chng_radmintopic = 0;
        $chng_radminuser = 0;
        $chng_radminsurvey = 0;
        $chng_radminsection = 0;
        $chng_radminlink = 0;
        $chng_radminephem = 0;
        $chng_radminfaq = 0;
        $chng_radmindownload = 0;
        $chng_radminreviews = 0;
        $chng_radminnewsletter = 0;
        $chng_radminforum = 0;
        $chng_radmincontent = 0;
        $chng_radminency = 0;
        $chng_radmingroups = 0;
        $chng_radmincalendar = 0;
    } else {
        $chng_radminarticle = (empty($chng_radminarticle)) ? 0 : 1;
        $chng_radmintopic = (empty($chng_radmintopic)) ? 0 : 1;
        $chng_radminuser = (empty($chng_radminuser)) ? 0 : 1;
        $chng_radminsurvey = (empty($chng_radminsurvey)) ? 0 : 1;
        $chng_radminsection = (empty($chng_radminsection)) ? 0 : 1;
        $chng_radminlink = (empty($chng_radminlink)) ? 0 : 1;
        $chng_radminephem = (empty($chng_radminephem)) ? 0 : 1;
        $chng_radminfaq = (empty($chng_radminfaq)) ? 0 : 1;
        $chng_radmindownload = (empty($chng_radmindownload)) ? 0 : 1;
        $chng_radminreviews = (empty($chng_radminreviews)) ? 0 : 1;
        $chng_radminnewsletter = (empty($chng_radminnewsletter)) ? 0 : 1;
        $chng_radminforum = (empty($chng_radminforum)) ? 0 : 1;
        $chng_radmincontent = (empty($chng_radmincontent)) ? 0 : 1;
        $chng_radminency = (empty($chng_radminency)) ? 0 : 1;
        $chng_radmingroups = (empty($chng_radmingroups)) ? 0 : 1;
        $chng_radmincalendar = (empty($chng_radmincalendar)) ? 0 : 1;
    }
    $passupdate = "";
    if (!empty($chng_pwd2)) {
        if ($chng_pwd != $chng_pwd2) {
            include("header.php");
            GraphicAdmin();
            OpenTable();
            echo _PASSWDNOMATCH . "<br><br>"
             . "<center>" . _GOBACK . "</center>";
            CloseTable();
            include("footer.php");
            exit;
        }
        $chng_pwd = md5($chng_pwd);
        $passupdate = ", pwd='$chng_pwd'";
    }
    if (!eregi("http://", $chng_url)) {
        $chng_url = "http://$chng_url";
    }
    if ($chng_url == "http://") {
        $chng_url = "";
    }
    $chng_autologin = (empty($chng_autologin)) ? "NULL" : $chng_autologin;
    if ($chng_autologin < 0) {
        if (empty($chng_pwd)) {
            $result = sql_query("select pwd from " . $prefix . "_authors where aid='" . mxAddSlashesForSQL($chng_aid) . "'");
            list($chng_pwd) = sql_fetch_row($result);
        }
        $chng_autologin = adminInsertNewUser($chng_aid, $chng_pwd, $chng_url, $chng_email);
    }
    $result = sql_query("update " . $prefix . "_authors set
        aid='" . mxAddSlashesForSQL($chng_aid) . "',
        email='" . mxAddSlashesForSQL($chng_email) . "',
        url='" . mxAddSlashesForSQL($chng_url) . "',
        radminarticle='$chng_radminarticle',
        radmintopic='$chng_radmintopic',
        radminuser='$chng_radminuser',
        radminsurvey='$chng_radminsurvey',
        radminsection='$chng_radminsection',
        radminlink='$chng_radminlink',
        radminephem='$chng_radminephem',
        radminfaq='$chng_radminfaq',
        radmindownload='$chng_radmindownload',
        radminreviews='$chng_radminreviews',
        radminnewsletter='$chng_radminnewsletter',
        radminforum='$chng_radminforum',
        radmincontent='$chng_radmincontent',
        radminency='$chng_radminency',
        radmingroups='$chng_radmingroups',
        radmincalendar='$chng_radmincalendar',
        radminsuper='$chng_radminsuper',
        admlanguage='$chng_admlanguage',
        user_uid='$chng_autologin'
        $passupdate
        where name='" . mxAddSlashesForSQL($chng_name) . "'");
    if (!$result) {
        mxErrorScreen("Database-Error", _CREATIONERROR);
        return;
    }
    if ($adm_aid != $chng_aid) {
        $result = sql_query("select sid, aid, informant from " . $prefix . "_stories where aid='" . mxAddSlashesForSQL($adm_aid) . "'");
        while (list($sid, $old_aid, $informant) = sql_fetch_row($result)) {
            if ($old_aid == $informant) {
                sql_query("update " . $prefix . "_stories set informant='" . mxAddSlashesForSQL($chng_aid) . "' where sid='$sid'");
            }
            sql_query("update " . $prefix . "_stories set aid='" . mxAddSlashesForSQL($chng_aid) . "' WHERE sid='$sid'");
        }
    }
    header("Location: admin.php?op=modifyadmin&chng_aid=" . $chng_aid);
    exit;
}
// ####################################################################
function adminInsertNewUser($aid, $pwd, $url, $email)
{
    global $prefix, $user_prefix;
    $qry = "SELECT uid FROM ${user_prefix}_users WHERE uname='" . mxAddSlashesForSQL($aid) . "'";
    $result = sql_query($qry);
    list($uid) = sql_fetch_row($result);
    if (empty($uid)) {
        if ($GLOBALS["dbtype"] == "MySQL") sql_query("LOCK TABLES ${user_prefix}_users WRITE");
        $resultx = sql_query("SELECT max(uid) FROM ${user_prefix}_users");
        list($uidmax) = sql_fetch_row($resultx);
        $uidmax = ($uidmax < 0 || $uidmax == 0) ? 1 : $uidmax + 1;
        $user_regdate = date("M d, Y");
        $user_regtime = time();
        $fields = "uid, name, uname, email , url , user_regdate , pass, user_occ, newsletter, user_ingroup, user_regtime, user_stat";
        $values = "$uidmax, '" . mxAddSlashesForSQL($aid) . "', '" . mxAddSlashesForSQL($aid) . "' , '" . mxAddSlashesForSQL($email) . "', '" . mxAddSlashesForSQL($url) . "', '" . $user_regdate . "', '" . $pwd . "', 'Admin' , 1 , 1 , " . $user_regtime . ", 1";
        $qry = "insert into ${user_prefix}_users ($fields) values ($values)";
        $result = sql_query($qry);
        if ($result) {
            $resultx = sql_query("SELECT max(uid) FROM ${user_prefix}_users");
            list($newid) = sql_fetch_row($resultx);
        }
        if ($GLOBALS["dbtype"] == "MySQL") sql_query("UNLOCK TABLES");
        return (isset($newid)) ? $newid : 0;
    } else {
        return $uid;
    }
}
// ####################################################################
function deladmin2($gvs)
{
    global $prefix;
    // mxDebugFuncVars($gvs);
    extract($gvs);
    $del_aid = (empty ($del_aid)) ? '' : $del_aid; // sicherstellen, dass $del_aid initialisiert ist
    $check = (empty ($check)) ? mt_rand() : $check; // sicherstellen, dass $check initialisiert ist
    $result2 = sql_query("select count(sid) from " . $prefix . "_stories where aid='$del_aid'");
    list($sid) = sql_fetch_row($result2);
    if ($sid > 0) {
        include("header.php");
        GraphicAdmin();
        title(_AUTHORSADMIN);
        
        OpenTable();
        echo "<center><font class=\"option\"><b>" . _PUBLISHEDSTORIES . "</b></font><br><br>"
         . _SELECTNEWADMIN . ":<br><br>";
        $res = sql_query("select aid from " . $prefix . "_authors where aid <> '$del_aid'");
        echo "<form action=\"admin.php\" method=\"post\"><select name=\"newaid\">";
        while (list($oaid) = sql_fetch_row($res)) {
            echo "<option value=\"$oaid\">$oaid</option>";
        }
        echo "</select><input type=\"hidden\" name=\"del_aid\" value=\"$del_aid\">"
         . "<input type=\"hidden\" name=\"op\" value=\"assignstories\">"
         . "<input type=\"hidden\" name=\"check\" value=\"" . $check . "\">"
         . "<input type=\"submit\" value=\"" . _OK . "\">"
         . "</form>";
        CloseTable();
        include("footer.php");
        return;
    }
    deladminconf($del_aid, $check);
}
// ####################################################################
// zeigt in der Admineditmaske eine Auswahl der User
function getAdminUsersList($admin_uid = 0, $aid = "")
{
    global $user_prefix, $prefix;
    $qry = "SELECT uid, uname FROM ${user_prefix}_users WHERE user_stat=1 order by uname";
    $result1 = sql_query($qry);
    $sel = (empty($admin_uid) && empty($aid)) ? "selected" : "";
    $liste = "<option value=\"0\" " . $sel . ">&nbsp;&nbsp;" . _uaNobody . "</option>\n";
    $liste .= "<option value=\"-1\">&nbsp;&nbsp;" . _uaAdduser . "</option>\n";
    while (list($uid, $uname) = sql_fetch_row($result1)) {
        $sel = ($admin_uid == $uid || (empty($admin_uid) && $aid == $uname)) ? "selected" : "";
        $liste .= "<option value=\"" . $uid . "\" " . $sel . ">" . $uname . "</option>\n";
    }
    return $liste;
}
// ####################################################################
function deladminconf($del_aid, $check)
{
    global $prefix;
    // Sessiongltigkeit prfen
    $check = (empty ($check)) ? mt_rand() : $check; // sicherstellen, dass $check initialisiert ist
    $check_sess = MD5(mxSessionGetVar("reqcheck"));
    mxSessionDelVar('reqcheck');
    if ($check != $check_sess) {
        // wenn Session ungltig, einfach die Post-Werte verndern
        mxSecureLog("SecLog", "Bad Admindelete: " . $del_aid . " (no session-check-id)");
        mxErrorScreen(_BADSESSIONREQUEST);
        die();
    } else {
        sql_query("delete from " . $prefix . "_authors where aid='" . mxAddSlashesForSQL($del_aid) . "'");
        header("Location: admin.php?op=mod_authors");
    }
}
// ####################################################################
function insertadmin($pvs)
{
    global $prefix;
    extract($pvs);
    $debug_err = '';
    // Sessiongltigkeit prfen
    $check = (empty ($check)) ? mt_rand() : $check; // sicherstellen, dass $check initialisiert ist
    $check_sess = MD5(mxSessionGetVar("reqcheck"));
    mxSessionDelVar('reqcheck');
    if ($check != $check_sess) {
        // wenn Session ungltig, einfach die Post-Werte verndern
        mxSecureLog("SecLog", "Bad Admincreation: " . $add_aid . " (no session-check-id)");
        mxErrorScreen(_BADSESSIONREQUEST);
        die();
    }
    if (empty($add_aid) || empty($add_name) || empty($add_email) || empty($add_pwd) || ereg("[^ a-zA-Z0-9_-]", $add_aid)) {
        include("header.php");
        GraphicAdmin();
        title(_AUTHORSADMIN);
        
        OpenTable();
        echo "<center><font class=\"option\"><b>" . _CREATIONERROR . "</b></font>  " . $debug_err . "<br><br>"
         . _COMPLETEFIELDS . "<br><br>" . _GOBACK . "</center>";
        CloseTable();
        include("footer.php");
        return;
    }
    $result = sql_query("select aid, name from " . $prefix . "_authors where aid='" . mxAddSlashesForSQL($add_aid) . "' OR name='" . mxAddSlashesForSQL($add_name) . "'");
    list($xaid, $xname) = sql_fetch_row($result);
    if ($xaid || $xname) {
        mxErrorScreen(_AUTHOREXISTINDB, _CREATIONERROR);
        return;
    }
    $add_pwd = md5($add_pwd);
    $add_radminsuper = (empty($add_radminsuper)) ? 0 : 1;
    $add_radminarticle = (empty($add_radminarticle)) ? 0 : 1;
    $add_radmintopic = (empty($add_radmintopic)) ? 0 : 1;
    $add_radminuser = (empty($add_radminuser)) ? 0 : 1;
    $add_radminsurvey = (empty($add_radminsurvey)) ? 0 : 1;
    $add_radminsection = (empty($add_radminsection)) ? 0 : 1;
    $add_radminlink = (empty($add_radminlink)) ? 0 : 1;
    $add_radminephem = (empty($add_radminephem)) ? 0 : 1;
    $add_radminfaq = (empty($add_radminfaq)) ? 0 : 1;
    $add_radmindownload = (empty($add_radmindownload)) ? 0 : 1;
    $add_radminreviews = (empty($add_radminreviews)) ? 0 : 1;
    $add_radminnewsletter = (empty($add_radminnewsletter)) ? 0 : 1;
    $add_radminforum = (empty($add_radminforum)) ? 0 : 1;
    $add_radmincontent = (empty($add_radmincontent)) ? 0 : 1;
    $add_radminency = (empty($add_radminency)) ? 0 : 1;
    $add_radmingroups = (empty($add_radmingroups)) ? 0 : 1;
    $add_radmincalendar = (empty($add_radmincalendar)) ? 0 : 1;

    if (!eregi("http://", $add_url)) {
        $add_url = "http://$add_url";
    }
    if ($add_url == "http://") {
        $add_url = "";
    }
    $add_autologin = (empty($add_autologin)) ? "NULL" : $add_autologin;
    if ($add_autologin < 0) {
        $add_autologin = adminInsertNewUser($add_aid, $add_pwd, $add_url, $add_email);
    }

    $qry = "insert into " . $prefix . "_authors (
        aid,
        name,
        url,
        email,
        pwd,
        counter,
        radminarticle,
        radmintopic,
        radminuser,
        radminsurvey,
        radminsection,
        radminlink,
        radminephem,
        radminfaq,
        radmindownload,
        radminreviews,
        radminnewsletter,
        radminforum,
        radmincontent,
        radminency,
        radmingroups,
        radmincalendar,
        radminsuper,
        admlanguage,
        user_uid)
    values (
        '" . mxAddSlashesForSQL($add_aid) . "',
        '" . mxAddSlashesForSQL($add_name) . "',
        '" . mxAddSlashesForSQL($add_url) . "',
        '" . mxAddSlashesForSQL($add_email) . "',
        '$add_pwd',
        0,
        $add_radminarticle,
        $add_radmintopic,
        $add_radminuser,
        $add_radminsurvey,
        $add_radminsection,
        $add_radminlink,
        $add_radminephem,
        $add_radminfaq,
        $add_radmindownload,
        $add_radminreviews,
        $add_radminnewsletter,
        $add_radminforum,
        $add_radmincontent,
        $add_radminency,
        $add_radmingroups,
        $add_radmincalendar,
        $add_radminsuper,
        '$add_admlanguage',
        $add_autologin)";
    $result = sql_query($qry);
    if (!$result) {
        mxErrorScreen("Database-Error", _CREATIONERROR);
        return;
    }
    header("Location: admin.php?op=mod_authors");
}
// ####################################################################
function deladmin($gvs)
{
    extract($gvs);
    $del_aid = (empty ($del_aid)) ? '' : $del_aid; // sicherstellen, dass $del_aid initialisiert ist
    mt_srand((double) microtime() * 1000000);
    $reqcheck = mt_rand();
    mxSessionSetVar('reqcheck', $reqcheck);
    include("header.php");
    GraphicAdmin();
    title(_AUTHORSADMIN);
    
    OpenTableAl();
    echo "<center><font class=\"option\"><b>" . _AUTHORDEL . "</b></font><br><br>"
     . _AUTHORDELSURE . " <b>" . $del_aid . "</b>?<br><br>";
    echo "[&nbsp;<a href=\"admin.php?op=deladmin2&amp;check=" . md5($reqcheck) . "&amp;del_aid=" . $del_aid . "\">" . _YES . "</a> | <a href=\"admin.php?op=mod_authors\">" . _NO . "</a>&nbsp;]";
    CloseTableAl();
    include("footer.php");
}
// ####################################################################
function assignstories($pvs)
{
    global $prefix;
    $pvs = mxAddSlashesForSQL($pvs);
    extract($pvs);
    // Sessiongltigkeit prfen
    $check = (empty ($check)) ? mt_rand() : $check; // sicherstellen, dass $check initialisiert ist
    $check_sess = MD5(mxSessionGetVar("reqcheck"));
    // nur wenn Session gltig
    if ($check == $check_sess) {
        $qry1 = "update " . $prefix . "_stories set aid='" . $newaid . "', informant='" . $newaid . "' where aid='" . $del_aid . "' AND informant='" . $del_aid . "'";
        sql_query($qry1);
        $qry2 = "update " . $prefix . "_stories set aid='" . $newaid . "' where aid='" . $del_aid . "'";
        sql_query($qry2);
    }
    deladminconf($del_aid, $check);
}
// ####################################################################
$_REQUEST['op'] = (empty($_REQUEST['op'])) ? "mod_authors" : $_REQUEST['op'];
switch ($_REQUEST['op']) {
    case "modifyadmin":
        modifyadmin($_GET);
        break;

    case "UpdateAuthor":
        updateadmin($_POST);
        break;

    case "AddAuthor":
        insertadmin($_POST);
        break;

    case "deladmin":
        deladmin($_GET);
        break;

    case "deladmin2":
        deladmin2($_GET);
        break;

    case "assignstories":
        assignstories($_POST);
        break;

    case "mod_authors":
        displayadmins();
        break;
}

?>