<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.8.2.7 $
 * $Author: tora60 $
 * $Date: 2008/01/02 08:49:58 $
 */

defined('mxMainFileLoaded') or die('access denied');

$limit = 20;
$cpgname = 'Gallery';

include_once("includes/mxNewsFunctions.php");

function removeSubComments($tid)
{
    global $prefix;
    $result = sql_query("select tid from " . $prefix . "_comments where pid='$tid'");
    $numrows = sql_num_rows($result);
    if ($numrows > 0) {
        while (list($stid) = sql_fetch_row($result)) {
            removeSubComments($stid);
            sql_query("delete from " . $prefix . "_comments where tid=$stid");
        }
    }
    sql_query("delete from " . $prefix . "_comments where tid=$tid");
}

function removeComment($tid, $sid, $ok = 0)
{
    global $prefix;
    if (!mxGetAdminPref('radminarticle')) {
        mxErrorScreen("Access Denied");
        die();
    }
    if ($ok) {
        /**
         * Call recursive delete function to delete the comment and all its childs
         */
        removeSubComments($tid);
        $result = sql_query("SELECT count(tid) from " . $prefix . "_comments where sid=" . intval($sid));
        list($numresults) = sql_fetch_row($result);
        sql_query("update " . $prefix . "_stories set comments=" . intval($numresults) . " where sid=" . intval($sid));
        header("Location: modules.php?name=News&file=article&sid=$sid");
    } else {
        include("header.php");
        // GraphicAdmin();
        title(_REMOVECOMMENTS);
        OpenTable();
        echo "<center>" . _SURETODELCOMMENTS;
        echo "<br /><br />[&nbsp;<a href=\"modules.php?name=News&amp;file=article&amp;sid=$sid\" onClick=\"history.go(-1); return false;\">" . _NO . "</a> | <a href=\"admin.php?op=RemoveComment&tid=$tid&sid=$sid&ok=1\">" . _YES . "</a>&nbsp;]</center>";
        CloseTable();
        include("footer.php");
    }
}

function removePollSubComments($tid)
{
    global $prefix;
    $result = sql_query("select tid from " . $prefix . "_pollcomments where pid='$tid'");
    $numrows = sql_num_rows($result);
    if ($numrows > 0) {
        while (list($stid) = sql_fetch_row($result)) {
            removePollSubComments($stid);
            sql_query("delete from " . $prefix . "_pollcomments where tid=$stid");
        }
    }
    sql_query("delete from " . $prefix . "_pollcomments where tid=$tid");
}

function RemovePollComment($tid, $pollID, $ok = 0)
{
    if (!mxGetAdminPref('radminsurvey')) {
        mxErrorScreen("Access Denied");
        die();
    }
    if ($ok) {
        removePollSubComments($tid);
        header("Location: modules.php?name=Surveys&op=results&pollID=$pollID");
    } else {
        include("header.php");
        // GraphicAdmin();
        title(_REMOVECOMMENTS);
        OpenTable();
        echo "<center>" . _SURETODELCOMMENTS;
        // echo "<br /><br />[&nbsp;<a href=\"javascript:history.go(-1)\">"._NO."</a> | <a href=\"admin.php?op=RemovePollComment&tid=$tid&pollID=$pollID&ok=1\">"._YES."</a>&nbsp;]</center>";
        echo "<br /><br />[&nbsp;<a href=\"modules.php?name=Surveys&amp;op=results&amp;pollID=$pollID\" onClick=\"history.go(-1); return false;\">" . _NO . "</a> | <a href=\"admin.php?op=RemovePollComment&tid=$tid&pollID=$pollID&ok=1\">" . _YES . "</a>&nbsp;]</center>";
        CloseTable();
        include("footer.php");
    }
}

function ListComments()
{
    global $prefix, $bgcolor1, $bgcolor2, $bgcolor3, $cpgname, $limit;

    if (version_compare(MX_SQL_VERSION, "4.0", "<")) {
        mxErrorScreen('MySQL-Version >= 4.0 is required.');
        return;
    }

    $offset = (empty($_GET['s'])) ? 0 : intval($_GET['s']);
    $img_delete = mxCreateImage("images/delete.gif", _DELETE);
    $img_edit = mxCreateImage("images/edit.gif", _EDIT);
    $img_view = mxCreateImage("images/view.gif", _SHOW);

    $result = sql_query("SHOW TABLES;"); #LIKE '{$prefix}%'
    while (list($tablename) = mysql_fetch_row($result)) {
        $tables[$tablename] = $tablename;
        // print $tablename . "<br />\n";
    }

    if (isset($tables["{$prefix}_downloads_votedata"])) {
        $qry[] = "
    SELECT 'downloads' as ctype, ratingdbid as cid, ratinglid as parent, ratingcomments as `comment`, ratingtimestamp as `cdate`, ratinguser as `user`, ratinghostname as host, '' as subject
    FROM `{$prefix}_downloads_votedata`
    WHERE `ratingcomments` <> ''
    ";
    }
    if (isset($tables["{$prefix}_links_votedata"])) {
        $qry[] = "
    SELECT 'links' as ctype, ratingdbid as cid, ratinglid as parent, ratingcomments as `comment`, ratingtimestamp as `cdate`, ratinguser as `user`, ratinghostname as host, '' as subject
    FROM `{$prefix}_links_votedata`
    WHERE `ratingcomments` <> ''
    ";
    }
    if (isset($tables["{$prefix}_reviews_comments"])) {
        $qry[] = "
    SELECT 'reviews' as ctype, cid, rid as parent, comments as `comment`, FROM_UNIXTIME(`date`) as `cdate`, username as `user`, '' as host, '' as subject
    FROM `{$prefix}_reviews_comments`
    WHERE `comments` <> ''
    ";
    }
    if (isset($tables["{$prefix}_comments"])) {
        $qry[] = "
    SELECT 'news' as ctype, tid as cid, sid as parent, comment, FROM_UNIXTIME(`reply_date`) as `cdate`, name as `user`, host_name as host, subject
    FROM `{$prefix}_comments`
    WHERE `comment` <> ''
    ";
    }
    if (isset($tables["{$prefix}_pollcomments"])) {
        $qry[] = "
    SELECT 'polls' as ctype, tid as cid, pollID as parent, comment, `date` as `cdate`, name as `user`, host_name as host, subject
    FROM `{$prefix}_pollcomments`
    WHERE `comment` <> ''
    ";
    }
    if (isset($tables["{$prefix}_gallery_comments"])) {
        $qry[] = "
    SELECT 'egallery' as ctype, cid, pid as parent, comment, `date` as `cdate`, name as `user`, '' as host, '' as subject
    FROM `{$prefix}_gallery_comments`
    WHERE `comment` <> ''
    ";
    }

    if (file_exists('modules/' . $cpgname . '/include/config.inc.php')) {
        // das global wird benoetigt, falls gleichzeitig ein Coppermine Block
        // angezeigt wird, ab Coppermine 1.4.10.1 nicht mehr...
        global $CONFIG;
        if (!defined('IN_COPPERMINE')) {
            define('IN_COPPERMINE', true);
        }
        include('modules/' . $cpgname . '/include/config.inc.php');
        if (isset($tables["{$CONFIG['TABLE_PREFIX']}comments"])) {
            $qry[] = "
            SELECT 'copper' as ctype, msg_id as cid, pid as parent, msg_body as `comment`, msg_date as `cdate`, msg_author as `user`, msg_raw_ip as host, msg_hdr_ip as subject
            FROM `{$CONFIG['TABLE_PREFIX']}comments`
            WHERE `msg_body` <> ''
            ";
        }
    }

    if (!isset($qry)) {
        mxErrorScreen('no comments available...');
        return;
    }
    $qry = implode("\nUNION\n", $qry);

    $qry .= "
    ORDER BY `cdate` DESC
    LIMIT " . $offset . ", " . ($limit + 1) . ";
    ";
    $result = sql_query($qry);
    // $allcomments = sql_num_rows($result);
    $i = 0;
    $showmore = false;

    include("header.php");
    while ($row = sql_fetch_assoc($result)) {
        $i++;
        // wenn das Limit berschritten, dann "mehr" anzeigen und schleife beenden
        if ($i > $limit) {
            $showmore = true;
            break;
        }
        switch ($row['ctype']) {
            case 'downloads':
                $modname = _DOWNLOADS;
                $link = 'modules.php?name=Downloads&amp;op=comments&amp;lid=' . $row['parent'] . '';
                $delete = 'admin.php?op=DownloadsDelComment&amp;lid=' . $row['parent'] . '&rid=' . $row['cid'] . '';
                $edit = '';
                break;
            case 'links':
                $modname = _WEBLINKS;
                $link = 'modules.php?name=Web_Links&amp;op=comments&amp;lid=' . $row['parent'] . '';
                $delete = 'admin.php?op=LinksDelComment&amp;lid=' . $row['parent'] . '&rid=' . $row['cid'] . '';
                $edit = '';
                break;
            case 'reviews':
                $modname = _WREVIEWS;
                $link = 'modules.php?name=Reviews&amp;rop=showcontent&amp;id=' . $row['parent'] . '';
                $delete = 'modules.php?name=Reviews&amp;rop=del_comment&amp;cid=' . $row['cid'] . '&amp;id=' . $row['parent'] . '';
                $edit = '';
                break;
            case 'news':
                $modname = _NEWSARTICLES;
                $link = 'modules.php?name=News&amp;file=article&amp;sid=' . $row['parent'] . '#comments';
                $delete = 'admin.php?op=RemoveComment&amp;tid=' . $row['cid'] . '&amp;sid=' . $row['parent'] . '&amp;ok=0';
                $edit = '';
                break;
            case 'polls':
                $modname = _POLLS;
                $link = 'modules.php?name=Surveys&amp;pollID=' . $row['parent'] . '';
                $delete = 'admin.php?op=RemovePollComment&amp;tid=' . $row['cid'] . '&amp;pollID=' . $row['parent'] . '&amp;ok=0';
                $edit = '';
                break;
            case 'egallery':
                $modname = _GALLERY;
                $link = 'modules.php?name=My_eGallery&amp;do=showpic&amp;pid=' . $row['parent'] . '&amp;orderby=dateD';
                $delete = 'modules.php?name=My_eGallery&do=deletecomment&amp;cid=' . $row['cid'] . '&amp;pid=' . $row['parent'] . '&amp;orderby=dateD';
                $edit = '';
                break;
            case 'copper':
                $modname = 'Coppermine';
                $link = ''; #'modules.php?name=Gallery&amp;act=displayimage&amp;pos=-4';
                $delete = 'modules.php?name=' . $cpgname . '&amp;act=delete&amp;msg_id=' . $row['cid'] . '&amp;what=comment';
                $edit = '';
                break;
            default:
                $modname = $row['ctype'];
                $link = '';
                $delete = '';
                $edit = '';
                break;
        }

        $func = array();
        if ($link) {
            $func[] = '<a href="' . $link . '" target="_blank">' . $img_view . ' ' . _SHOW . '</a>';
        }
        if ($delete) {
            $func[] = '<a href="' . $delete . '" target="_blank">' . $img_delete . ' ' . _DELETE . '</a>';
        }
        if ($edit) {
            $func[] = '<a href="' . $edit . '" target="_blank">' . $img_edit . ' ' . _EDIT . '</a>';
        }
        $func = implode('<br />', $func);

        $bgcolor = ($i % 2) ? $bgcolor3 : $bgcolor2;
        $entry[] = '<tr style="background-color: ' . $bgcolor . '; vertical-align: top;">
       <th>' . ($i + $offset) . '</th>
       <td>' . $row['cdate'] . '<br /><b>' . $row['user'] . '</b><br /><span class="tiny">' . wordwrap($row['host'], 28, "\n", true) . '</span></td>
       <td>' . $row['comment'] . '</td>
       <td><b><span class="tiny">' . $modname . '</span></b><br />' . $func . '
       </td>
       </tr>';
    }
    GraphicAdmin();
    title(_COMMENTSMOD);
    OpenTable();
    if (isset($entry)) {
        if ($offset >= $limit) {
            $pager[] = '<a href="admin.php?op=ListComments&amp;s=' . ($offset - $limit) . '" title="' . ($offset - $limit) . ' - ' . ($offset) . '">' . mxCreateImage('images/back.gif', _GOPREV) . ' ' . _GOPREV . '</a>';
        }
        if ($showmore) {
            $pager[] = '<a href="admin.php?op=ListComments&amp;s=' . ($offset + $limit) . '" title="' . ($offset + $limit + 1) . ' - ' . ($offset + $limit + $limit) . '">' . _GONEXT . ' ' . mxCreateImage('images/next.gif', _GONEXT) . '</a>';
        }
        $pager = (isset($pager)) ? '<tr style="background-color: ' . $bgcolor2 . ';"><th colspan="4">' . implode('&nbsp;|&nbsp;', $pager) . '</th></tr>' : '';

        $entries = implode("\n", $entry);

        echo '<table width="100%" border="0" cellspacing="1" cellpadding="3" style="background-color: ' . $bgcolor1 . ';">
        ' . $pager . '
        <tr style="background-color: ' . $bgcolor2 . ';"><th colspan="2"></th><th>' . _TEXT . '</th><th>' . _FUNCTIONS . '</th></tr>
        ' . $entries . '
        ' . $pager . '
        </table>';
    }
    CloseTable();
    include("footer.php");
}

$ok = (empty($ok)) ? 0 : 1;
switch ($op) {
    case "RemoveComment":
        removeComment ($tid, $sid, $ok);
        break;

    case "RemovePollComment":
        RemovePollComment($tid, $pollID, $ok);
        break;

    case "ListComments":
        ListComments ();
        break;
}

?>
