<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.6.2.5 $
 * $Author: tora60 $
 * $Date: 2008/02/02 10:40:53 $
 *
 * this file based on:
 * Headline in Page Module: Headlines on page v0.7
 * Copyright (c) 2001 by Christophe Deltheil (trollix@hacknuke.com), http://hacknuke.com
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

defined('mxMainFileLoaded') or die('access denied');

if (!defined('PMX_VERSION')) {
    mxErrorScreen('pragmaMx >= 0.1.10 is required');
}

$ModName = "Web_News";
define("_BASEMOD", "modules.php?name=$ModName&amp;file=");
// define("_ROOTMOD","modules/$ModName");
// define("_MODNAME", $ModName );
include ("modules/$ModName/config.inc.php");
// if (!defined("_HIPTABLE_HEADLINES")) define("_HIPTABLE_HEADLINES","${prefix}_hip_headlines");
if (!mxGetAdminPref('radminarticle')) {
    mxErrorScreen("Access Denied");
    die();
}

mxGetLangfile($ModName);

function HeadlinesAdmin()
{
    global $bgcolor2, $bgcolor3, $refresh, $description, $pos;
    $img_delete = mxCreateImage("images/delete.gif", _HIP_DELETE);
    $img_edit = mxCreateImage("images/edit.gif", _HIP_EDIT);
    include ('header.php');
    GraphicAdmin();
    title(_HIP_ADMIN);
    OpenTable();
    echo '<table border="0" width="100%" bgcolor="' . $bgcolor2 . '"  cellpadding="1" cellspacing="1">
      	  <tr bgcolor="' . $bgcolor2 . '">
       		<th>' . _HIP_SITENAME . '</th>
       		<th>' . _HIP_URL . '</th>
       		<th>' . _HIP_POS . '</th>
       		<th>' . _HIP_READS . '</th>
       		<th>' . _HIP_ACTIVE . '</th>
       		<th>' . _HIP_REFRESH . '</th>
       		<th>' . _HIP_FUNCTIONS . '</th>
      		</tr>';
    $result = sql_query("select hid, sitename, headlinesurl, count, description, active, pos, refresh from " . _HIPTABLE_HEADLINES . " order by active DESC, pos ASC, sitename ASC");
    while (list($hid, $sitename, $headlinesurl, $count, $description, $active, $pos, $refresh) = sql_fetch_row($result)) {
        $description = stripslashes($description);
        $sitename = stripslashes($sitename);
        $viewurl = (strlen($headlinesurl) > 45) ? substr($headlinesurl, 0, 42) . "..." : $headlinesurl;
        echo '<tr bgcolor="' . $bgcolor3 . '">
         			<td align="center">' . $sitename . '</td>
         			<td align="center"><a href="' . $headlinesurl . '" target="new">' . $viewurl . '</a><br /><font class="tiny">' . $description . '</font></td>
         			<td align="center">' . $pos . '</td>
         			<td align="center">' . $count . '</td>
         			<td align="center">' . $active . '</td>
         			<td align="center">' . $refresh . '</td>
         			<td align="center" nowrap="nowrap">
							<a href="admin.php?op=HE&amp;hid=' . $hid . '">' . $img_edit . '</a>&nbsp;
							<a href="admin.php?op=HSuppr&amp;hid=' . $hid . '">' . $img_delete . "</a>
				 			</td></tr>";
				 			 
				}
			echo '</table>';
			CloseTable();
			OpenTable();
        echo '<br /><br />';
        echo "<form action=\"admin.php\" method=\"post\">";
        echo "<fieldset><legend>" . _HIP_ADDHEADLINE . "</legend>";
        echo "<table border=\"0\" width=\"100%\">";
        echo "<tr><td>" . _HIP_SITENAME . ":</td><td><input type=\"text\" name=\"xsitename\" size=\"31\" maxlength=\"30\" /></td></tr>";
        echo "<tr><td>" . _HIP_RSSFILE . ":</td><td><input type=\"text\" name=\"headlinesurl\" size=\"50\" maxlength=\"200\" /></td></tr>";
        echo "<tr><td>" . _HIP_DESC . ":</td><td><textarea name=\"description\" cols=\"40\" rows=\"3\">$description</textarea></td>";
        echo "</tr><tr>";
        echo "<td>" . _HIP_POSITION . ":</td><td><input type=\"text\" name=\"pos\" size=\"3\" maxlength=\"3\" value=\"$pos\" /></td>";
        echo "</tr><tr>";
        echo "<td>" . _HIP_ACTIVE . "</td><td><input type=\"radio\" name=\"active\" value=\"1\" checked=\"checked\" />" . _HIP_YES . " &nbsp;&nbsp;<input type=\"radio\" name=\"active\" value=\"0\" />" . _HIP_NO . "</td>";
        echo "</tr><tr>";
        echo "<td>" . _HIP_REFRESHTIME . ":</td><td><select name=\"refresh\">";
        echo "<option value=\"1800\">1/2 " . _HIP_HOUR . "</option>";
        echo "<option value=\"3600\" selected=\"selected\">1 " . _HIP_HOUR . "</option>";
        echo "<option value=\"7200\">2 " . _HIP_HOURS . "</option>";
        echo "<option value=\"10800\">3 " . _HIP_HOURS . "</option>";
        echo "<option value=\"21600\">6 " . _HIP_HOURS . "</option>";
        echo "<option value=\"43200\">12 " . _HIP_HOURS . "</option>";
        echo "<option value=\"64800\">18 " . _HIP_HOURS . "</option>";
        echo "<option value=\"86400\">24 " . _HIP_HOURS . "</option></select></td>";
        echo "</tr></table>";
        echo "<input type=\"hidden\" name=\"op\" value=\"HAdd\" />";
        echo "<input type=\"submit\" value=\"" . _HIP_ADD . "\" />&nbsp;&nbsp;";
        echo "<a href=\"" . _BASEMOD . "index\">" . _HIP_RETURN . " " . _HIP_TITLE . "</a>";
        echo "</fieldset></form>";
   

    CloseTable();
    include("footer.php");
}

function HeadlinesEdit()
{
    global  $hid;
    include ("header.php");
    GraphicAdmin();
    title(_HIP_ADMIN);
    
    OpenTable();
    $result = sql_query("select sitename, headlinesurl, description, count, active, pos, refresh, time from " . _HIPTABLE_HEADLINES . " where hid='$hid'");
    list($xsitename, $headlinesurl, $description, $count, $active, $pos, $refresh, $time) = sql_fetch_row($result);

    $description = stripslashes($description);
    $xsitename = stripslashes($xsitename);
		echo '<fieldset><legend>' . _HIP_EDIT_HEADLINE . '</legend>';
    echo "<form action=\"admin.php\" method=\"post\">";
    echo "<input type=\"hidden\" name=\"hid\" value=\"$hid\">";
    echo "<input type=\"hidden\" name=\"op\" value=\"HSave\">";
    echo "<table border=\"0\" width=\"100%\"><tr>";
    echo "<td>" . _HIP_SITENAME . ":</td><td><input type=\"text\" name=\"xsitename\" size=\"31\" maxlength=\"30\" value=\"" . htmlspecialchars($xsitename) . "\"></td></tr><tr>";
    echo "<td>" . _HIP_RSSFILE . ":</td><td><input type=\"text\" name=\"headlinesurl\" size=\"50\" maxlength=\"200\" value=\"" . htmlspecialchars($headlinesurl) . "\"></td></tr><tr>";
    echo "<td>" . _HIP_DESC . ":</td><td><textarea name=\"description\" cols=\"40\" rows=\"3\">" . htmlspecialchars($description) . "</textarea></td></tr><tr>";
    echo "<td>" . _HIP_READS . ":</td><td><input type=\"text\" name=\"count\" size=\"3\" maxlength=\"3\" value=\"$count\"></td></tr><tr>";
    echo "<td>" . _HIP_POSITION . ":</td><td><input type=\"text\" name=\"pos\" size=\"3\" maxlength=\"3\" value=\"$pos\"></td></tr>";
    if (empty($active))
        echo "<tr><td>" . _HIP_ACTIVE . "</td><td><input type=\"radio\" name=\"active\" value=\"1\" />" . _HIP_YES . " &nbsp;&nbsp;<input type=\"radio\" name=\"active\" value=\"0\" checked=\"checked\" />" . _HIP_NO . "</td></tr><tr>";
    else
        echo "<tr><td>" . _HIP_ACTIVE . "</td><td><input type=\"radio\" name=\"active\" value=\"1\" checked=\"checked\" />" . _HIP_YES . " &nbsp;&nbsp;<input type=\"radio\" name=\"active\" value=\"0\" />" . _HIP_NO . "</td></tr><tr>";
    echo "<td>" . _HIP_REFRESHTIME . ":</td><td><select name=\"refresh\"><option value=\"1800\">1/2 " . _HIP_HOUR . "</option>";
    echo "<option value=\"$refresh\" selected=\"selected\">" . ($refresh / 3600) . " " . _HIP_HOURS . "</option>";
    echo "<option value=\"3600\">1 " . _HIP_HOUR . "</option>";
    echo "<option value=\"7200\">2 " . _HIP_HOURS . "</option>";
    echo "<option value=\"10800\">3 " . _HIP_HOURS . "</option>";
    echo "<option value=\"21600\">6 " . _HIP_HOURS . "</option>";
    echo "<option value=\"43200\">12 " . _HIP_HOURS . "</option>";
    echo "<option value=\"64800\">18 " . _HIP_HOURS . "</option>";
    echo "<option value=\"86400\">24 " . _HIP_HOURS . "</option></select></td></tr><tr>";
    echo "<td>" . _HIP_TIMECACHE . ":</td><td><input type=\"text\" name=\"cachetime\" size=\"14\" maxlength=\"3\" value=\"$time\"></td></tr></table>";
    echo "<input type=\"hidden\" name=\"op\" value=\"HSave\">";
    echo "<input type=\"submit\" value=\"" . _HIP_SAVECHANGES . "\"></form></fieldset>";
    
    CloseTable();
    include("footer.php");
}

function HeadlinesSave()
{
    global $hid, $xsitename, $headlinesurl, $description, $count, $active, $pos, $refresh, $cachetime, $dbi;

    $xsitename = trim(mxAddSlashesForSQL($xsitename));
    $description = mxAddSlashesForSQL($description);

    sql_query("update " . _HIPTABLE_HEADLINES . " set sitename='$xsitename', headlinesurl='$headlinesurl', description='$description', count='$count', active='$active', pos='$pos', refresh='$refresh', time='$cachetime' where hid='$hid'", $dbi);
    Header("Location: admin.php?op=hip");
}

function HeadlinesSuppr($hid, $ok = 0)
{
    global $prefix;
    if ($ok == 1) {
        sql_query("delete from " . _HIPTABLE_HEADLINES . " where hid=" . intval($hid));
        Header("Location: admin.php?op=hip");
    } else {
        include("header.php");
        GraphicAdmin();
        title(_HIP_ADMIN);
        OpenTableAl();
        echo '<center>' . _HIP_SURE2DELHEADLINE . '<br /><br />'
         . "[&nbsp;<a href=\"admin.php?op=hip\">" . _NO . "</a> | <a href=\"admin.php?op=HSuppr&amp;hid=$hid&amp;ok=1\">" . _YES . "</a>&nbsp;]</center>";
        CloseTableAl();
        include("footer.php");
    } 
}

function HeadlinesAdd()
{
    global $xsitename, $headlinesurl, $description, $pos, $active, $refresh;
    // $xsitename = ereg_replace(" ", "", $xsitename);
    $xsitename = trim(mxAddSlashesForSQL($xsitename));
    $description = mxAddSlashesForSQL($description);

    sql_query("insert into " . _HIPTABLE_HEADLINES . " (sitename, headlinesurl, count, description, pos, active, refresh) values ('$xsitename', '$headlinesurl', '0', '$description', '$pos', '$active', '$refresh')");
    Header("Location: admin.php?op=hip");
}
$ok = (empty($ok)) ? 0 : 1;
switch ($op) {
    case 'hip':
        HeadlinesAdmin();
        break;

    case 'HE':
        HeadlinesEdit();
        break;

    case 'HSave':
        HeadlinesSave();
        break;
    
    case 'HSuppr':
        HeadlinesSuppr($hid, $ok);
        break;

    case 'HAdd':
        HeadlinesAdd();
        break;
}

?>
