<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * $Revision: 1.7.2.6 $
 * $Author: dia_bolo $
 * $Date: 2008/01/08 13:45:13 $
 * 
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

if (!defined("mxAdminFileLoaded")) die("Access Denied");

if (!mxGetAdminPref('radmintopic')) {
    mxErrorScreen("Access Denied");
    die();
} 

/**
 * Topics Manager Functions
 */

function topicsmanager($xtopicname = '', $xtopictext = '', $xtopicimage = '',$t_err = 0)
{
    global $prefix, $tipath;
    $path = trim($tipath, ' ;,:./\\');
    $handle = opendir($path);
    while ($file = readdir($handle)) {
        if (preg_match('#\.(gif|jpe?g|png)$#i', $file) && $file != 'AllTopics.gif') {
            if ($file == $xtopicimage) {
                $tlist[] = '<option value="' . $file . '" selected>' . $file . '</option>';
            } else {
                $xtopicimage = (empty($xtopicimage)) ? $file : $xtopicimage;
                $tlist[] = '<option value="' . $file . '">' . $file . '</option>';
            }
        } 
    } 
    closedir($handle);
    if (isset($tlist)) {
        sort($tlist);
        $tlist = implode("\n", $tlist);
    } else {
        $tlist = '<option value="">' . _TOPICNOIMAGES . ' /' . $path . ' !!</option>';
    } 

    /* JavaScript zur Icon-Anzeige */
    $t_js = '<script type="text/javascript">'."\n"
        .'    <!-- '."\n"
        .'    function showicon() {'."\n"
        .'        if (!document.images){'."\n"
        .'            return;'."\n"
        .'        }'."\n"
        .'        document.images.topicimg.src="' . MX_HOME_URL . '/' . $path . '/" + document.newTopic.topicimage.options[document.newTopic.topicimage.selectedIndex].value'."\n"
        .'    }'."\n"
        .'    //-->'."\n"
        .'</script>'."\n";

    include("header.php");
    GraphicAdmin();
    title(_TOPICSMANAGER);
    
    OpenTable();
    echo '<center><font class="option"><b>' . _CURRENTTOPICS . '</b></font><br>'
       . '<font class="content">' . _CLICK2EDIT . '</font></center><br>'
       . '<table border="0" width="100%" cellpadding="5" cellspacing="0"><tr>';
    $count = 0;
    $result = sql_query("select topicid, topicname, topicimage, topictext from " . $prefix . "_topics order by topictext");
    while (list($topicid, $topicname, $topicimage, $topictext) = sql_fetch_row($result)) {
        echo '<td align="center"><font class="content">'
           . '<a href="admin.php?op=topicedit&amp;topicid=' . $topicid . '">' . mxCreateImage("images/topics/" . $topicimage, $topictext) . '<br>'
           . $topictext . '</a></font></td>';
        $count++;
        if ($count == 5) {
            echo '</tr><tr>';
            $count = 0;
        } 
    } 
    echo '</tr></table>'."\n";
    echo $t_js;
    CloseTable();
    echo '<br><a name="Add">&nbsp;</a>';
    OpenTable();
    echo '<fieldset><legend>' . _ADDATOPIC . '</legend>';
    if ($t_err == 1) {
        echo '<center><font style="color: #FF0000">' ._TOPICALLFIELDS1. '</font></center><br>';
    }
    echo '<form action="admin.php" method="post" name ="newTopic">'
       . '<b>' . _TOPICNAME . ':</b><br><font class="tiny">' . _TOPICNAME1 . '<br>'
       . _TOPICNAME2 . '</font><br>'
       . '<input type="text" name="topicname" size="20" maxlength="20" value="' . mxEntityQuotes($xtopicname) . '"><br><br>'
       . '<b>' . _TOPICTEXT . ':</b><br><font class="tiny">' . _TOPICTEXT1 . '<br>'
       . _TOPICTEXT2 . '</font><br>'
       . '<input type="text" name="topictext" size="40" maxlength="40" value="' . mxEntityQuotes($xtopictext) . '"><br><br>'
       . '<b>' . _TOPICIMAGE . ':</b><br>'
       . '<select name="topicimage" onChange="showicon()">' . $tlist . '</select>&nbsp;&nbsp;'
       . '<img src="' . $path . '/'.$xtopicimage.'" id="topicimg" name="topicimg" alt="" title="" border="0">'
       . '<br><br>'
       . '<input type="hidden" name="op" value="topicmake">'
       . '<input type="submit" value="' . _ADDTOPIC . '">'
       . '</form></fieldset>';
    CloseTable();
    include("footer.php");
} 

function topicedit($topicid, $topicname = '', $topictext = '', $topicimage = '', $name = '', $url = '', $t_err = 0)
{
    global $prefix, $tipath;
    $img_delete = mxCreateImage("images/delete.gif", _DELETE);
    $img_edit = mxCreateImage("images/edit.gif", _EDIT);
    $name = (empty($name)) ? "" : mxEntityQuotes($name);
    $url = (empty($url)) ? "http://" : mxEntityQuotes($url);
    
    if ($t_err == 0) {
        $result = sql_query("select topicid, topicname, topicimage, topictext from " . $prefix . "_topics where topicid=$topicid");
        list($topicid, $topicname, $topicimage, $topictext) = sql_fetch_row($result);
    }

    $path = trim($tipath, ' ;,:./\\');
    $handle = opendir($path);
    while ($file = readdir($handle)) {
        if (preg_match('#\.(gif|jpe?g|png)$#i', $file) && $file != 'AllTopics.gif') {
            $tlist[] = '<option value="' . $file . '"' . (($topicimage == $file) ? ' selected="selected"' : '') . '>' . $file . '</option>';
        } 
    } 
    closedir($handle);
    if (isset($tlist)) {
        sort($tlist);
        $tlist = implode("\n", $tlist);
    } else {
        $tlist = '<option value="">' . _TOPICNOIMAGES . ' /' . $path . ' !!</option>';
    } 

    /* JavaScript zur Icon-Anzeige */
    $t_js = '<script type="text/javascript">'."\n"
        .'    <!-- '."\n"
        .'    function showicon() {'."\n"
        .'        if (!document.images){'."\n"
        .'            return;'."\n"
        .'        }'."\n"
        .'        document.images.topicimg.src="' . MX_HOME_URL . '/' . $path . '/" + document.newTopic.topicimage.options[document.newTopic.topicimage.selectedIndex].value'."\n"
        .'    }'."\n"
        .'    //-->'."\n"
        .'</script>'."\n";

    include("header.php");
    GraphicAdmin();
		title(_TOPICSMANAGER);
    
    echo $t_js;
    
    OpenTable();
    echo '<fieldset><legend>' . _EDITTOPIC . ': ' . $topictext . '</legend>'
       . '<img src="' . $path . '/' . $topicimage . '" border="0" align="right" alt="' .$topictext . '" title="' .$topictext . '"><br><br>';
    if ($t_err == 1) {
        echo '<center><font style="color: #FF0000">' ._TOPICALLFIELDS1. '</font></center><br>';
    } elseif ($t_err == 2) {
        echo '<center><font style="color: #FF0000">' ._TOPICALLFIELDS2. '</font></center><br>';
    }
    echo '<form action="admin.php" method="post" name ="newTopic"><br>'
       . '<b>' . _TOPICNAME . ':</b><br><font class="tiny">' . _TOPICNAME1 . '<br>'
       . _TOPICNAME2 . '</font><br>'
       . '<input type="text" name="topicname" size="20" maxlength="20" value="' . mxEntityQuotes($topicname) . '"><br><br>'
       . '<b>' . _TOPICTEXT . ':</b><br><font class="tiny">' . _TOPICTEXT1 . '<br>'
       . _TOPICTEXT2 . '</font><br>'
       . '<input type="text" name="topictext" size="40" maxlength="40" value="' . mxEntityQuotes($topictext) . '"><br><br>'
       . '<b>' . _TOPICIMAGE . ':</b><br>'
       . '<select name="topicimage" onChange="showicon()">' . $tlist . '</select>&nbsp;&nbsp;'
       . '<img src="' . $path . '/'.$topicimage.'" id="topicimg" name="topicimg" alt="" title="" border="0">'
       . '<br><br>'
       . '<b>' . _ADDRELATED . ':</b><br>'
       . _SITENAME . ': <input type="text" name="name" value="' . $name . '" size="30" maxlength="30"><br>'
       . _URL . ': <input type="text" name="url" value="' . $url . '" size="50" maxlength="200"><br><br>'
       . '<b>' . _ACTIVERELATEDLINKS . ':</b><br>'
       . '<table width="100%" border="0">';
    $res = sql_query("select rid, name, url from " . $prefix . "_related where tid=$topicid");
    $num = sql_num_rows($res);
    if ($num == 0) {
        echo '<tr><td><font class="tiny">' . _NORELATED . '</font></td></tr>';
    } while (list($rid, $name, $url) = sql_fetch_row($res)) {
        echo '<tr><td align="left"><font class="content"><strong><big>&middot;</big></strong>&nbsp;&nbsp;<a href="' . $url . '">' . $name . '</a></font></td>'
           . '<td align="center"><font class="content">'
           . '<a href="' . $url . '">' . $url . '</a></font></td>'
           . '<td align="right">&nbsp;<a href="admin.php?op=relatededit&amp;tid=' . $topicid . '&amp;rid=' . $rid . '">' . $img_edit . '</a>&nbsp;<a href="admin.php?op=relateddelete&amp;tid=' . $topicid . '&amp;rid=' . $rid . '">' . $img_delete . '</a></td></tr>';
    } 
    echo '</table><br><br>'
       . '<input type="hidden" name="topicid" value="' . $topicid . '">'
       . '<input type="hidden" name="op" value="topicchange">'
       . '<input type="submit" value="' . _SAVECHANGES . '">'
       . '<font class="content">[&nbsp;<a href="admin.php?op=topicdelete&amp;topicid=' . $topicid . '">' . _DELETE . '</a>&nbsp;]</font>'
       . '</form></fieldset>';
    CloseTable();
    include("footer.php");
} 

function relatededit($tid, $rid, $name = '', $url ='', $t_err = 0)
{
    global $prefix;
    include("header.php");
    GraphicAdmin();
    title(_TOPICSMANAGER);
   
    if ($t_err == 0) {
        $result = sql_query("select name, url from " . $prefix . "_related where rid=$rid");
        list($name, $url) = sql_fetch_row($result);
    }
    $result2 = sql_query("select topictext, topicimage from " . $prefix . "_topics where topicid=$tid");
    list($topictext, $topicimage) = sql_fetch_row($result2);
    OpenTable();
    echo '<center>'
       . '<img src="images/topics/' . $topicimage . '" border="0" alt="' . $topictext . '" title="' . $topictext . '" align="right">'
       . '<font class="option"><b>' . _EDITRELATED . '</b></font><br><br>';
    if ($t_err == 2) {
        echo '<center><font style="color: #FF0000">' ._TOPICALLFIELDS3. '</font></center><br><br>';
    }
    echo '<b>' . _TOPIC . ':</b> ' . $topictext . '</center><br><br>'
       . '<form action="admin.php" method="post">'
       . _SITENAME . ': <input type="text" name="name" value="' . mxEntityQuotes($name) . '" size="30" maxlength="30"><br><br>'
       . _URL . ': <input type="text" name="url" value="' . mxEntityQuotes($url) . '" size="60" maxlength="200"><br><br>'
       . '<input type="hidden" name="op" value="relatedsave">'
       . '<input type="hidden" name="tid" value="' . $tid . '">'
       . '<input type="hidden" name="rid" value="' . $rid . '">'
       . '<input type="submit" value="' . _SAVECHANGES . '"> ' . _GOBACK
       . '</form>';
    CloseTable();
    include("footer.php");
} 

function relatedsave($tid, $rid, $name, $url)
{
    global $prefix;
    $t_err = 0;
    if ((!empty($name) && ($url == 'http://' || $url == '')) || (empty($name) && $url != '' && (strlen($url) > 7))){
        $t_err = 2;
        relatededit($tid, $rid, $name, $url, $t_err);
    } else {
        sql_query("update " . $prefix . "_related set name='$name', url='$url' where rid=$rid");
        header("Location: admin.php?op=topicedit&topicid=$tid");
    }
} 

function relateddelete($tid, $rid, $ok = 0)
{
    global $prefix;
    if ($ok == 1) {
        sql_query("delete from " . $prefix . "_related where rid='$rid'");
        header("Location: admin.php?op=topicedit&topicid=$tid");
    } else {
        include("header.php");
        GraphicAdmin();
        title(_TOPICSMANAGER);
        
        $result = sql_query("select name, url from " . $prefix . "_related where rid=$rid");
        list($name, $url) = sql_fetch_row($result);
        $result2 = sql_query("select topicimage, topictext from " . $prefix . "_topics where topicid='$tid'");
        list($topicimage, $topictext) = sql_fetch_row($result2);
        OpenTable();
        echo '<center><img src="images/topics/' . $topicimage . '" border="0" alt="' . $topictext . '" title="' . $topictext . '"><br><br>'
           . '<b>' . _DELETELINK . ': <i>' . $topictext . '</i></b><br><br>'
           . '<b>' . _SITENAME . ':</b> ' . $name . '<br>'
           . '<b>' . _URL . ':</b> ' . $url . '<br><br>'
           . _LINKDELSURE . '<br><br>'
           . '[&nbsp;<a href="admin.php?op=topicedit&amp;topicid=' . $tid . '">' . _NO . '</a> | <a href="admin.php?op=relateddelete&amp;tid=' . $tid . '&amp;rid=' . $rid . '&amp;ok=1">' . _YES . '</a>&nbsp;]</center><br><br>';
        CloseTable();
        include("footer.php");
    }
} 

function topicmake($topicname, $topicimage, $topictext)
{
    global $prefix;
    $t_err = 0;
    if (empty($topicname) || empty($topictext)) {
        $t_err = 1;
        topicsmanager($topicname, $topictext, $topicimage, $t_err);
    } else {
        $topicname = mxAddSlashesForSQL(($topicname));
        $topicimage = mxAddSlashesForSQL(($topicimage));
        $topictext = mxAddSlashesForSQL(($topictext));
        sql_query("INSERT INTO " . $prefix . "_topics VALUES (NULL,'$topicname','$topicimage','$topictext','0')");
        header("Location: admin.php?op=topicsmanager#Add");
    }
} 

function topicchange($topicid, $topicname, $topicimage, $topictext, $name, $url)
{
    global $prefix;
    $t_err = 0;
    if (empty($topicname) || empty($topictext)) {
        $t_err = 1;
        topicedit($topicid, $topicname, $topictext, $topicimage, $name, $url, $t_err);
    } elseif ((!empty($name) && $url == "http://") || (empty($topicname) && $url != "http://" && $url != '')){
        $t_err = 2;
        topicedit($topicid, $topicname, $topictext, $topicimage, $name, $url, $t_err);
    } else {
        $topicname = mxAddSlashesForSQL(($topicname));
        $topicimage = mxAddSlashesForSQL(($topicimage));
        $topictext = mxAddSlashesForSQL(($topictext));
        $name = mxAddSlashesForSQL(($name));
        $url = mxAddSlashesForSQL(($url));
        sql_query("update " . $prefix . "_topics set topicname='$topicname', topicimage='$topicimage', topictext='$topictext' where topicid=$topicid");
        if (!$name) {
        } else {
            sql_query("insert into " . $prefix . "_related VALUES (NULL, '$topicid','$name','$url')");
        } 
        header("Location: admin.php?op=topicedit&topicid=$topicid");
    }
} 

function topicdelete($topicid, $ok = 0)
{
    global $prefix;
    if ($ok == 1) {
        $result = sql_query("select sid from ${prefix}_stories where topic='$topicid'");
        list($sid) = sql_fetch_row($result);
        sql_query("delete from ${prefix}_stories where topic='$topicid'");
        sql_query("delete from " . $prefix . "_topics where topicid='$topicid'");
        sql_query("delete from " . $prefix . "_related where tid='$topicid'");
        $result = sql_query("select sid from " . $prefix . "_comments where sid='$sid'");
        list($sid) = sql_fetch_row($result);
        sql_query("delete from " . $prefix . "_comments where sid='$sid'");
        header("Location: admin.php?op=topicsmanager");
    } else {
        // global $topicimage; // ToDo: Ist ueberfluessig !?!
        include("header.php");
        GraphicAdmin();
        title(_TOPICSMANAGER);
        
        $result2 = sql_query("select topicimage, topictext from " . $prefix . "_topics where topicid='$topicid'");
        list($topicimage, $topictext) = sql_fetch_row($result2);
        OpenTableAl();
        echo '<center><img src="images/topics/' . $topicimage . '" border="0" alt="' . $topictext . '" title="' . $topictext . '"><br><br>'
           . '<b>' . _DELETETOPIC . ': <i>' . $topictext . '</i></b><br><br>'
           . _TOPICDELSURE . '<br>'
           . _TOPICDELSURE1 . '<br><br>'
           . '[&nbsp;<a href="admin.php?op=topicsmanager">' . _NO . '</a> | <a href="admin.php?op=topicdelete&amp;topicid=' . $topicid . '&amp;ok=1">' . _YES . '</a>&nbsp;]</center><br><br>';
        CloseTableAl();
        include("footer.php");
    } 
} 

$ok = (empty($ok)) ? 0 : 1;

switch ($op) {
    case "topicedit":
        topicedit($topicid);
        break;

    case "topicmake":
        topicmake($topicname, $topicimage, $topictext);
        break;

    case "topicdelete":
        topicdelete($topicid, $ok);
        break;

    case "topicchange":
        topicchange($topicid, $topicname, $topicimage, $topictext, $name, $url);
        break;

    case "relatedsave":
        relatedsave($tid, $rid, $name, $url);
        break;

    case "relatededit":
        relatededit($tid, $rid);
        break;

    case "relateddelete":
        relateddelete($tid, $rid, $ok);
        break;

    case "topicsmanager":
    default:
        topicsmanager();
        break;
} 

?>