<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.26.2.5 $
 * $Author: tora60 $
 * $Date: 2008/01/28 15:39:55 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

defined('mxMainFileLoaded') or die('access denied');

$bbimagefolder = "modules/Submit_News/images";

$wysiwyg = 0;
$wysiwyg_anews = 0;
$wysiwyg_snews = 0;
include_once('spaw/spaw_control.class.php');

/**
 * nur noch dummy, fuer aeltere Themes
 */
function convertNewsForView($msg)
{
    return $msg;
}

/**
 */
function vkpGetStoryDetails($story)
{
    $story['datetime'] = formatTimestamp($story['time']);
    $story['allmorelink'] = vkpGetMoreLink($story);
    $story['morelink'] = $story['allmorelink']['formated'];
    if (empty($story['title'])) $story['title'] = $story['topictext'];
    $story['title_formated'] = $story['title'];
    if (!empty($story['catid'])) {
        $story['title_formated'] = "<a href=\"modules.php?name=News&amp;file=categories&amp;catid=" . $story['catid'] . "\"><font class=\"storycat\">" . $story['cattitle'] . "</font></a>: " . $story['title'];
    }
    return $story;
}

/**
 */
function vkpShowPageLinks($numpages, $pagenum, $storynum, $allstories, $linkadd, $title = "")
{
    if ($numpages > 1) {
        static $out;
        if (empty($out)) {
            $start = 1;
            $end = $numpages + 1;
            if ($numpages > 10) {
                $start = $pagenum - 4;
                if ($start < 1) $start = 1;
                $end = $start + 10;
                if ($end > $numpages) $end = $numpages + 1;
                if ($end == $numpages + 1) $start = $end - 10;
            }
            $pagenum = (empty($pagenum)) ? 1 : (int)$pagenum;
            $leftarrow = "images/back.gif";
            $size = @getimagesize($leftarrow);
            $size = (isset($size[3])) ? $size[3] : "";
            $rightarrow = "images/next.gif";
            $backlink = ($pagenum > 1) ? " href=\"modules.php?name=News&amp;pagenum=" . ($pagenum - 1) . $linkadd . "\"" : "";
            $nextlink = ($pagenum < $numpages) ? " href=\"modules.php?name=News&amp;pagenum=" . ($pagenum + 1) . $linkadd . "\"" : "";

            $out = "<center>";
            $out .= $allstories . " " . _NEWS_ARTICLE . " (" . $numpages . " " . _NEWS_PAGES . ", " . $storynum . " " . _NEWS_ARTICLEPERPAGE . ")<br /><br />";

            if ($pagenum <= 1) {
                $caption = '';
                $out .= "<img src=\"" . $leftarrow . "\" border=\"0\" alt=\"" . $caption . "\" " . $size . " />\n";
            } else {
                $caption = _NEWS_TOPAGE . ": " . ($pagenum - 1) ;
                $out .= "<a" . $backlink . " title=\"" . $caption . "\"><img src=\"" . $leftarrow . "\" border=\"0\" alt=\"" . $caption . "\" " . $size . " /></a>\n";
            }

            if ($start > 1) {
                $out .= " <a href=\"modules.php?name=News&amp;pagenum=1" . $linkadd . "\" title=\"" . _NEWS_TOPAGEFIRST . "\">1</a>\n";
                if ($start > 2) $out .= " .. ";
            }
            for ($i = $start; $i < $end; $i++) {
                $out .= ($i == $pagenum) ? " <b>" . $i . "</b>\n" : " <a href=\"modules.php?name=News&amp;pagenum=" . $i . $linkadd . "\">" . $i . "</a>\n";
            }
            if ($end < $numpages + 1) {
                if ($end < $numpages) $out .= " .. ";
                $out .= " <a href=\"modules.php?name=News&amp;pagenum=" . $numpages . $linkadd . "\" title=\"" . _NEWS_TOPAGELAST . "\">" . $numpages . "</a>\n";
            }

            if ($pagenum >= $numpages) {
                $caption = '';
                $out .= "<img src=\"" . $rightarrow . "\" border=\"0\" alt=\"" . $caption . "\" " . $size . " />\n";
            } else {
                $caption = _NEWS_TOPAGE . ": " . ($pagenum + 1) ;
                $out .= "<a" . $nextlink . " title=\"" . $caption . "\"><img src=\"" . $rightarrow . "\" border=\"0\" alt=\"" . $caption . "\" " . $size . " /></a>\n";
            }
            $out .= "</center>";
        }
        OpenTable();
        if ($title) {
            echo "<center><font class=\"title\"><b>$title</b></font></center><br />";
        }
        echo $out;
        CloseTable();
        echo '<br />';
    }
}

/**
 */
function vkpGetMoreLink($story)
{
    // print DateAndTime($story['datetime']);
    $formated['homecount'] = strlen(strip_tags($story['hometext']));
    $formated['bodycount'] = strlen(strip_tags($story['bodytext']));
    $formated['totalcount'] = $formated['homecount'] + $formated['bodycount'];
    $formated['storylink'] = "<a href=\"modules.php?name=News&amp;file=article&amp;sid=" . $story['sid'] . "\">";
    $formated['printerlink'] = "<a href=\"modules.php?name=News&amp;file=print&amp;sid=" . $story['sid'] . "\" title='" . _PRINTER . "' rel=\"nofollow\">";
    $formated['friendlink'] = (mxModuleAllowed('Recommend_Us')) ? "<a href=\"modules.php?name=News&amp;file=friend&amp;sid=" . $story['sid'] . "\" title='" . _FRIEND . "' rel=\"nofollow\">" : "<a>";
    $formated['datetime'] = _ON . " " . $story['datetime'];
    $formated['counter'] = $story['counter'] . " " . _READS;
    $formated['informantlink'] = (empty($story['informant'])) ? "<a title='" . _BY . ": " . $GLOBALS['anonymous'] . "'>" : "<a href='modules.php?name=Userinfo&amp;uname=" . $story['informant'] . "' title='" . _BY . ": " . $story['informant'] . "'>";
    $formated['comments'] = "0 " . _COMMENTSQ;
    // $formated['bytemore'] = "".$formated['totalcount']." "._BYTESMORE."";
    if (!empty($story['url'])) {
        $formated['postedby'] = _POSTEDBY . " <a href='" . $story['url'] . "' target='new'>" . $story['aid'] . "</a>";
    } else if (!empty($story['email'])) {
        $formated['postedby'] = _POSTEDBY . " <a href='mailto:" . mxPrepareToDisplay($story['email']) . "'>" . $story['aid'] . "</a>";
    } else {
        $formated['postedby'] = _POSTEDBY . " " . $story['aid'];
    }

    if (($formated['bodycount'] > 0) || ($story['comments'] > 0)) {
        $morelink['more'] = $formated['storylink'] . "<b>" . _READMORE . "</b></a>";
    }
    if ($formated['bodycount'] > 0) {
        $morelink['bytemore'] = $formated['totalcount'] . " " . _BYTESMORE;
    }
    $morelink['comments'] = "";
    // / Kommentare erlaubt?
    if ($GLOBALS['articlecomm'] == 1 && $story['acomm'] == 0) { // // Achtung!!! acomm: 0 = Ja , 1 = Nein
        $story['comments'] = (empty($story['comments'])) ? 0 : (int)$story['comments'];
        if (empty($story['comments'])) $formated['comments'] = $story['comments'] . " " . _COMMENTSQ;
        else if ($story['comments'] == 1) $formated['comments'] = $story['comments'] . " " . _COMMENT;
        else $formated['comments'] = $story['comments'] . " " . _COMMENTS;
        $morelink['comments'] = $formated['storylink'] . $formated['comments'] . "</a>";
    }
    // // Achtung!!! acomm: 0 = Ja , 1 = Nein
    $formated['commentslink'] = (!empty($story['acomm']) || empty($GLOBALS['articlecomm'])) ? "<a>" : "<a href=\"modules.php?name=News&amp;file=article&amp;sid=" . $story['sid'] . "#comments\" title=\"" . $formated['comments'] . "\">";
    if (empty($formated['bodycount']) && $story['acomm'] == 0) {
        $morelink['comments'] .= " " . $formated['storylink'] . "<b>" . _READMORE . "</b></a>";
    }

    $morelink['functions'] = $formated['printerlink'] . mxCreateImage('images/print.gif', _PRINTER) . "</a>";
    $morelink['functions'] .= (mxModuleAllowed('Recommend_Us')) ? "&nbsp;&nbsp;" . $formated['friendlink'] . mxCreateImage('images/friend.gif', _FRIEND) . "</a>" : "";
    if (!empty($story['catid'])) {
        $morelink['categorie'] = "<a href=\"modules.php?name=News&amp;file=categories&amp;catid=" . $story['catid'] . "\" title=\"" . _NEWSCATEGORY . ": " . $story['cattitle'] . "\">" . $story['cattitle'] . "</a>";
    }
    $rated = (empty($story['score'])) ? 0 : substr($story['score'] / $story['ratings'], 0, 4);
    $morelink['score'] = _SCORE . " " . $rated;

    $morelink['formated'] = "(" . implode(" | ", $morelink) . ")";

    $morelink = array_merge($morelink, $formated);

    return $morelink;
}

/**
 */
// / die Daten muessen ohne Backslashes kommen
function vkpStoryPreview($story)
{
    if (empty($story['topic'])) $story['topic'] = vkpGetFirstTopic();
    OpenTable();
    echo vkpTopicImage($story['topic'], 1);
    echo "<b>" . mxPrepareToDisplay($story['title']) . "</b><br /><br />";
    echo mxPrepareToDisplay($story['hometext']);
    if (isset($story['bodytext']) && trim(strip_tags($story['bodytext']))) {
        echo '<hr noshade="noshade" size="1" />' . mxPrepareToDisplay($story['bodytext']);
    }
    if (isset($story['notes']) && trim(strip_tags($story['notes']))) {
        echo '<br /><br /><b>' . _NOTE . "</b> <i>" . mxPrepareToDisplay($story['notes']) . "</i>";
    }
    CloseTable();
    echo '<br />';
}

/**
 */
// / die Daten muessen ohne Backslashes kommen
function addNewsTextFields($story)
{
    $show_editor = (MX_IS_ADMIN && $GLOBALS['wysiwyg_anews'] && $GLOBALS['wysiwyg']) || ((!MX_IS_ADMIN) && $GLOBALS['wysiwyg_snews'] && $GLOBALS['wysiwyg']);

    $allowedhtml = '';
    if (!MX_IS_ADMIN && !$show_editor) {
        $allowedhtml = '<br>
		<table border="0" cellspacing="0" cellpadding="0"><tr valign="top">
		<td><span class="content" style="white-space: nowrap;">' . _ALLOWEDHTML . '&nbsp;</span></td>
		<td><span class="tiny">&lt;' . implode('&gt; &lt;', mxGetAllowedHtml()) . '&gt;</span></td>
		</tr>
		</table>
		';
    }

    echo "<div>";
    echo "<span class=\"content\"><b>" . _TITLE . "</b></span><br />";
    echo "<input type=\"text\" name=\"title\" size=\"80\" maxlength=\"80\" value=\"" . mxEntityQuotes($story['title']) . "\" />";
    echo "<br /><br /></div>";
    echo '<div><b>' . _STORYTEXT . ':</b><br />';
    if ($show_editor) {
        $sw = new SPAW_Wysiwyg('hometext', $story['hometext'], _DOC_LANGUAGE, $GLOBALS['wysiwyg_toolbar'], $GLOBALS['wysiwyg_btnset'], '100%', '350');
        $sw->show(); // test
    } else {
        echo "<textarea cols=\"60\" rows=\"17\" name=\"hometext\">" . htmlentities($story['hometext']) . "</textarea>";
        echo $allowedhtml;
    }
    echo "<br /></div>";
    echo "<div><b>" . _EXTENDEDTEXT . ':</b><br />';
    if ($show_editor) {
        $sw = new SPAW_Wysiwyg('bodytext', $story['bodytext'], _DOC_LANGUAGE, $GLOBALS['wysiwyg_toolbar'], $GLOBALS['wysiwyg_btnset'], '100%', '400');
        $sw->show();
    } else {
        echo "<textarea cols=\"60\" rows=\"17\" name=\"bodytext\">" . htmlentities($story['bodytext']) . "</textarea>";
        echo $allowedhtml;
    }
    echo "<br /></div>";
    // / Achtung: Notes funktionieren nur, wenn die Funktion ber das Adminmodul aufgerufen wird
    if (MX_IS_ADMIN && defined("mxAdminFileLoaded")) {
        echo "<div><b>" . _NOTES . ':</b><br />';
        if ($show_editor) {
            $sw = new SPAW_Wysiwyg('notes', $story['notes'], _DOC_LANGUAGE, $GLOBALS['wysiwyg_toolbar'], $GLOBALS['wysiwyg_btnset'], '100%', '120');
            $sw->show();
        } else {
            echo "<textarea cols=\"60\" rows=\"6\" name=\"notes\">" . htmlentities($story['notes']) . "</textarea>";
        }
        echo "<br /></div>";
    }
}

/**
 */
function vkpNewsSelectLanguage($alanguage = "")
{
    if ($GLOBALS['multilingual']) {
        $clanguage = "";
        $languageslist = array();
        $handle = opendir('language');
        while (false !== ($file = readdir($handle))) {
            if (ereg("^lang\-(.+)\.php", $file, $matches)) {
                $languageslist[] = $matches[1];
            }
        }
        closedir($handle);
        sort($languageslist);
        foreach($languageslist as $varname => $value) {
            $sel = ($value == $alanguage) ? "selected" : "";
            $clanguage .= "<option value=\"" . $value . "\" " . $sel . ">" . ucfirst($value) . "\n";
        }
        $sel = (empty($alanguage)) ? "selected" : "";
        echo "<br /><b>" . _LANGUAGE . ": </b><br />";
        echo "<select name=\"alanguage\">\n" . $clanguage . "<option value=\"\" " . $sel . ">" . _ALL . "</option>\n</select><br />\n";
    } else {
        echo "<input type=\"hidden\" name=\"alanguage\" value=\"\" />";
    }
}

/**
 */
function vkpSelectTopic($topic = 0)
{
    global $prefix;
    echo "<b>" . _TOPIC . ":</b><br /><select name=\"topic\">";
    $toplist = sql_query("select topicid, topictext from " . $prefix . "_topics order by topictext");
    // echo "<option value=\"\">"._ALLTOPICS."</option>\n";
    while (list($topicid, $topictext) = sql_fetch_row($toplist)) {
        $sel = ($topicid == $topic) ? "selected " : "";
        echo "<option $sel value=\"$topicid\">" . mxEntityQuotes($topictext) . "</option>\n";
    }
    echo "</select>";
}

/**
 */
function vkpGetTopics($sid)
{
    global $prefix;
    if (empty($sid)) return array();
    $qry = "SELECT topicid, topicname, topicimage, topictext
                    FROM ${prefix}_stories
                    LEFT JOIN ${prefix}_topics
                    ON ${prefix}_stories.topic = ${prefix}_topics.topicid
                    WHERE ${prefix}_stories.sid = $sid";
    $result = sql_query($qry);
    $row = sql_fetch_array($result);
    return $row;
}

/**
 */
function vkpNewsSelectFormattype($autobreak = 0)
{
    return;
    echo "<input type='checkbox' name='autobreak' value='1' " . ((!empty($autobreak)) ? ' checked="checked"' : '') . " />&nbsp;<b>" . _NEWSAUTOBREAK . "</b>";

    return;
    echo "<b>" . _NEWSFORMATTYPE . ":</b>&nbsp;"
     . "<select name=\"formattype\">"
     . "<option value=\"exttrans\"" . ((strpos($hometext, MX_NEWS_TYPE_EXTRANS)) ? ' selected="selected"' : '') . " >" . _EXTRANS . "</option>"
     . "<option value=\"html\" " . ((strpos($hometext, MX_NEWS_TYPE_HTML)) ? ' selected="selected"' : '') . " >" . _HTMLFORMATED . "</option>"
     . "<option value=\"plaintext\" " . ((strpos($hometext, MX_NEWS_TYPE_PLAINTEXT)) ? ' selected="selected"' : '') . " >" . _PLAINTEXT . "</option>"
     . "</SELECT>";
}

/**
 */
function vkpGetDate()
{
    $today = getdate();
    $thour = $today['hours'];
    if ($thour < 10) {
        $thour = "0$thour";
    }
    $tmin = $today['minutes'];
    if ($tmin < 10) {
        $tmin = "0$tmin";
    }
    $tsec = $today['seconds'];
    if ($tsec < 10) {
        $tsec = "0$tsec";
    }
    return mx_strftime(_DATESTRING, time()) . " $thour:$tmin:$tsec";
}

/**
 */
function vkpAutomatedSelect($year, $day, $month, $hour, $min)
{
    $title = _CHNGPROGRAMSTORY;
    $xday = 1;
    while ($xday <= 31) {
        $sel = ($xday == (int)$day) ? "selected" : "";
        $d[] = "<option value=\"$xday\" $sel>$xday</option>";
        $xday++;
    }
    $xmonth = 1;
    while ($xmonth <= 12) {
        $sel = ($xmonth == (int)$month) ? "selected" : "";
        $m[] = "<option value=\"$xmonth\" $sel>$xmonth</option>";
        $xmonth++;
    }
    $xhour = 0;
    while ($xhour <= 23) {
        $sel = ($xhour == (int)$hour) ? "selected" : "";
        $yhour = ($xhour < 10) ? "0$xhour" : $xhour;
        $h[] = "<option value=\"$xhour\" $sel>$yhour</option>";
        $xhour++;
    }
    $xmin = 0;
    $min = floor($min / 5) * 5;
    while ($xmin <= 59) {
        $sel = ($xmin == (int)$min) ? "selected" : "";
        $ymin = ($xmin < 10) ? "0$xmin" : $xmin;
        $mi[] = "<option value=\"$xmin\" $sel>$ymin</option>";
        $xmin = $xmin + 5;
    }
    echo "<br /><b>" . $title . "</b>&nbsp;&nbsp;";
    echo "<br /><span class=\"tiny\">" . _NOWIS . ": " . vkpGetDate() . "</span><br /><br />";
    echo " " . _DAY . ": <select name=\"day\">" . (implode("\n", $d)) . "</select>";
    echo " " . _UMONTH . ": <select name=\"month\">" . (implode("\n", $m)) . "</select>";
    echo " " . _YEAR . ": <input type=\"text\" name=\"year\" value=\"$year\" size=\"5\" maxlength=\"4\" />";
    echo " " . _HOUR . ": <select name=\"hour\">" . (implode("\n", $h)) . "</select>";
    echo " : <select name=\"min\">" . (implode("\n", $mi)) . "</select><br />";
}

/**
 */
function vkpNewsSelectTopicCat($story)
{
    echo"<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\" width=\"100%\"><tr valign=\"top\">";
    echo"<td width=\"30%\"> ";
    vkpSelectTopic($story['topic']);
    echo "</td><td>&nbsp;&nbsp;</td><td width=\"70%\">";
    SelectCategory($story['catid']);
    echo "</td></tr></table><br />";
}

/**
 */
function vkpNewsSelectActComments($acomm = 0)
{
    // // Achtung!!! acomm: 0 = Ja , 1 = Nein
    $sel1 = (empty($acomm)) ? 'checked="checked"' : '';
    $sel2 = (empty($acomm)) ? '' : 'checked="checked"';
    echo "<br /><b>" . _ACTIVATECOMMENTS . "</b>&nbsp;&nbsp;";
    echo "<input type=\"radio\" name=\"acomm\" value=\"0\" $sel1 />" . _YES . "&nbsp;";
    echo "<input type=\"radio\" name=\"acomm\" value=\"1\" $sel2 />" . _NO . "<br />";
}

/**
 */
function vkpTopicImage($topic, $full = 0, $align = "right")
{
    global $prefix, $tipath;
    if (empty($topic)) {
        $topicimage = "AllTopics.gif";
    } else {
        $result = sql_query("select topicimage from " . $prefix . "_topics where topicid='" . intval($topic) . "'");
        list($topicimage) = sql_fetch_row($result);
        if (empty($topicimage)) {
            $topicimage = "AllTopics.gif";
        }
    }
    $path = trim($tipath, ' ;,:./\\');
    if ($full) {
        $alttext = str_replace(".gif", "", $topicimage);
        $size = @getimagesize($path . '/' . $topicimage);
        if (isset($size[3])) {
            return "<img src=\"" . $path . '/' . $topicimage . "\" " . $size[3] . " border=\"0\" align=\"" . $align . "\" alt=\"" . $alttext . "\" />";
        } else {
            return "Topic-Image '$topicimage' ?";
        }
    } else {
        return $path . '/' . $topicimage;
    }
}

/**
 */
function vkpGetFirstTopic()
{
    global $prefix;
    $result = sql_query("select min(topicid) from " . $prefix . "_topics");
    list($tid) = sql_fetch_row($result);
    if (empty($tid)) $tid = 0;
    return $tid;
}

?>
