<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.10 $
 * $Author: tora60 $
 * $Date: 2008/01/29 01:13:30 $
 */

if (!empty($_SERVER['REQUEST_URI'])) {
    preg_match('#^' . dirname($_SERVER['PHP_SELF']) . '/((.+)\.html)$#' . ((PHP_OS == "WINNT" || PHP_OS == "WIN32") ? 'i' : '') . '', $_SERVER['REQUEST_URI'], $matches);
    // abfangen, ob eine html Datei mit gleichem Namen evtl. existiert
    // falls ja, diese anzeigen und dann das script beenden
    if (!empty($matches[1]) && is_file($matches[1])) {
        echo implode('', file($matches[1]));
        exit;
    }
    // falls eine nicht existierende .html Datei in einem Unterordner aufgerufen wird
    // die Seite umleiten mit den gleichen Aufruf, aber ohne den Unterordnernamen
    if (!empty($matches[1]) && (dirname($_SERVER['REQUEST_URI']) != dirname($_SERVER['PHP_SELF']))) {
        $newurl = array_pop(explode('/', $matches[1]));
        $newurl = dirname($_SERVER['PHP_SELF']) . '/' . $newurl;
        @header("HTTP/1.0 404 Not Found");
        @header("Status: 404 Not Found");
        header("location: $newurl");
        exit;
    }
    // die in dem URL eingebetteten Scriptparameter extrahieren
    // dies muss zuerst passieren, damit diese Parameter von Anfang an bereit stehen
    if (preg_match_all('![&\?]([[:alnum:]_]*)=([[:alnum:]_-]*)!', $_SERVER['REQUEST_URI'], $para)) {
        foreach($para[1] as $i => $key) {
            if (!isset($_GET[$key])) {
                $_GET[$key] = $para[2][$i];
            }
        }
    }
    unset($para);
}

@include_once('includes/mx_modrewrite.php');

include_once('modules.php');
