<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.4.2.5 $
 * $Author: tora60 $
 * $Date: 2008/01/28 15:35:56 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

defined('mxMainFileLoaded') or die('access denied');
// rechte Bloecke anzeigen?
// 0 = nein, 1 = ja
$index = 0;

$module_name = basename(dirname(__FILE__));
mxGetLangfile($module_name);

$pagetitle = _FRIEND;

if (!mxModuleAllowed('Recommend_Us')) {
    mxErrorScreen("<b>" . _MODULENOTACTIVE . "</b><br />");
}

require("includes/captcha/settings.php");
$recommendon = (($recommendon) && ((!MX_IS_USER) || ((MX_IS_USER) && ($captchauseron))) && (!MX_IS_ADMIN)) ? 1 : 0;

/**
 * das Formular
 */
function RecommendSite($event = array())
{
    global $sitename, $slogan, $prefix, $adminmail, $module_name;

    if (isset($event['more'])) {
        $tmp = @unserialize(base64_decode($event['more']));
        if (is_array($tmp)) {
            $event['yname'] = $tmp['yname'];
            $event['ymail'] = $tmp['ymail'];
        }
    }

    if (MX_IS_USER && empty($event['yname']) && empty($event['ymail'])) {
        $uinfo = mxGetUserData();
        $event['yname'] = $uinfo['uname'];
        $event['ymail'] = $uinfo['email'];
    }

    $pid = (isset($_REQUEST['pid'])) ? $_REQUEST['pid'] : 0;
    $result = sql_query("select pid, title from " . $prefix . "_pages where pid=" . intval($pid));
    list($event['pid'], $event['title']) = sql_fetch_row($result);
    if (empty($event['pid'])) {
        mxErrorScreen(_NONCLASSCONT);
    }

    include_once("header.php");
    title(_FRIEND);
    if (isset($event['recerror'])) {
        openTableAl();
        echo '<div style="text-align: left;"><h2>' . _REC_ERRORTITLE . '</h2><ul><li>' . implode('</li><li>', $event['recerror']) . '</li></ul></div>';
        closeTableAl();
        echo '<br />';
    }
    OpenTable();
    echo '<p>' . _YOUSENDSTORY . ' \'<b>' . $event['title'] . '</b>\'</p>';
    echo "<form action=\"modules.php?name=" . $GLOBALS['module_name'] . "&amp;file=friend&amp;pid=" . $event['pid'] . "\" method=\"post\" name=\"sendform\">"
     . "<input type=\"hidden\" name=\"name\" value=\"" . $GLOBALS['module_name'] . "\" />"
     . "<input type=\"hidden\" name=\"file\" value=\"friend\" />"
     . "<input type=\"hidden\" name=\"op\" value=\"SendSite\" />"
     . "<input type=\"hidden\" name=\"site\" value=\"" . $_SERVER['HTTP_REFERER'] . "\" />"
     . "<input type=\"hidden\" name=\"pid\" value=\"" . $event['pid'] . "\" />"
     . "<table>"
     . "<tr><td>" . _FFRIENDNAME . " </td><td> <input type=\"text\" name=\"fname\" value=\"" . (isset($event['fname']) ? mxEntityQuotes($event['fname']): '') . "\" size=\"35\" /></td></tr>\n"
     . "<tr><td>" . _FFRIENDEMAIL . " </td><td> <input type=\"text\" name=\"fmail\" value=\"" . (isset($event['fmail']) ? mxEntityQuotes($event['fmail']): '') . "\" size=\"35\" /></td></tr>\n"
     . "<tr valign=\"top\"><td>" . _FREMARKS . " </td><td><textarea name=\"remarks\" cols=\"35\" rows=\"5\">" . (isset($event['remarks']) ? mxEntityQuotes(strip_tags($event['remarks'])): '') . "</textarea></td></tr>\n"
     . "<tr><td>" . _FYOURNAME . " </td><td> <input type=\"text\" name=\"yname\" value=\"" . (!empty($event['yname']) ? mxEntityQuotes($event['yname']): '') . "\" size=\"35\" /></td></tr>\n"
     . "<tr><td>" . _FYOUREMAIL . " </td><td> <input type=\"text\" name=\"ymail\" value=\"" . (!empty($event['ymail']) ? mxEntityQuotes($event['ymail']): '') . "\" size=\"35\" /></td></tr>\n";
    // captcha anzeigen
    if ($GLOBALS['recommendon']) {
        include('includes/captcha/captcha_java.php');
        echo "<tr><td>&nbsp;</td><td><div><img id=\"captchaimage\" src=\"includes/captcha/captchaimg.php?" . md5(crypt(uniqid(rand()))) . "\" alt=\"" . _CAPTCHAINSERT . "\"></div></td></tr>\n"
         . "<tr><td>" . _CAPTCHAINSERT . " </td><td><input type=\"text\" name=\"captcha\" value=\"\" size=\"20\" maxlength=\"20\"></td></tr>\n";
    }
    echo "<tr><td colspan=\"2\" align=\"center\"><br /><input type=\"submit\" name=\"submitcancel\" value=\"" . _SENDCANCEL . "\" title=\"" . _TOCONTENT . "\">&nbsp;&nbsp;<input type=\"submit\" name=\"submitsend\" value=\"" . _SENDFRIEND . "\">";
    if ($GLOBALS['recommendon']) {
        echo "&nbsp;&nbsp;<input type=\"button\" value=\"" . _CAPTCHARELOAD . "\" onclick=\"do_reload(); document.sendform.captcha.focus(); return false;\">";
    }
    echo "</td></tr></table>"
     . "</form>\n";
    CloseTable();
    include_once('footer.php');
}

/**
 * Die Verarbeitung und Fehlerpr&uuml;fung
 */
function SendSite()
{
    global $sitename, $slogan, $prefix, $adminmail, $module_name;

    $event = mxStripSlashes($_POST);
    $pid = (isset($event['pid'])) ? $event['pid'] : 0;

    if (isset($event['submitcancel']) && $pid) {
        mxRedirect('modules.php?name=' . $module_name . '&amp;pid=' . $pid);
    }
    $result = sql_query("select pid, title from " . $prefix . "_pages where pid=" . intval($pid));
    list($event['pid'], $event['title']) = sql_fetch_row($result);
    if (empty($event['pid'])) {
        mxErrorScreen(_NONCLASSCONT);
    }
    if (empty($event['yname'])) { // || !eregi('^[0-9a-z\- _.]+$', $event['yname'])
        $event['recerror'][] = _REC_ERRORNAME;
    }
    if (empty($event['ymail']) || !mxCheckEmail($event['ymail'])) {
        $event['recerror'][] = _REC_ERRORSENDER;
    }
    if (empty($event['fmail']) || !mxCheckEmail($event['fmail'])) {
        $event['recerror'][] = _REC_ERRORRECEIVER;
    }
    // captcha pruefen
    if (isset($GLOBALS['recommendon']) && $GLOBALS['recommendon']) {
        if (empty($_POST['captcha'])) {
            $event['recerror'][] = _CAPTCHAWRONG;
        } else {
            require_once("includes/captcha/__captcha/PhraseFactory.php");
            $storedCaptcha = PhraseFactory::get('', $GLOBALS['passphraselenght'], $_POST['captcha'], $GLOBALS['storagetype']);
            if ($_POST['captcha'] !== $storedCaptcha) {
                $event['recerror'][] = _CAPTCHAWRONG;
            }
        }
    }

    if (isset($event['recerror'])) {
        RecommendSite($event);
    } else {
        if (MX_IS_USER) {
            $usersession = mxGetUserSession();
        } else {
            $usersession[0] = 0;
        }
        $subject = mxHtmlEntityDecode(strip_tags(_INTERESTING . " " . $sitename . ", " . $event['title']));
        $message = _HELLO . " " . $event['fname'] . ",\n\n" . _YOURFRIEND . " " . $event['yname'] . " " . _CONSIDERED . "\n" . _URL . ": " . MX_BASE_URL . "modules.php?name=" . $module_name . "&amp;pid=" . $event['pid'] . " \n\n" . _YOUCANREAD . " " . $sitename . "\n" . MX_BASE_URL;
        if (!empty($event['remarks'])) {
            $message .= "\n\n" . $event['yname'] . " " . _FMEANS . ":\n" . $event['remarks'] . "\n\n\n";
        }
        $message = mxHtmlEntityDecode(strip_tags($message));
        if (mxMail($event['fmail'], $subject, $message, $event['ymail'], "text", "", $event['yname'])) {
            sql_query("INSERT INTO " . $prefix . "_recommend VALUES (NULL,'" . mxAddSlashesForSQL(strip_tags($event['fname'])) . "','" . $event['fmail'] . "','" . mxAddSlashesForSQL(strip_tags($event['yname'])) . "','" . $event['ymail'] . "','" . $usersession[0] . "','" . mxAddSlashesForSQL(MX_REMOTE_ADDR) . "','" . time() . "','" . mxAddSlashesForSQL(strip_tags($event['site'])) . "')");
        }
        // das ist nur eine Dummy-Weiterleitung um das Aktualisieren der Seite zu verhindern
        $more = array(
            'fname' => $event['fname'],
            'fmail' => $event['fmail'],
            'yname' => $event['yname'],
            'ymail' => $event['ymail'],
        
        );
        $more = base64_encode(serialize($more));
        mxRedirect('modules.php?name=' . $module_name . '&file=friend&op=SiteSent&pid=' . $event['pid'] . '&more=' . $more, '', 0);
    }
}

/**
 * das ist nur eine Dummy-Weiterleitung um das Aktualisieren der Seite zu verhindern
 */
function SiteSent()
{
    global $module_name, $prefix;
    $pid = (isset($_GET['pid'])) ? $_GET['pid'] : 0;
    $result = sql_query("select pid, title from " . $prefix . "_pages where pid=" . intval($pid));
    list($pid, $title) = sql_fetch_row($result);
    if (empty($pid)) {
        mxErrorScreen(_NONCLASSCONT);
    }
    $more = isset($_GET['more']) ? $_GET['more'] : '';
    if ($more) {
        $tmp = unserialize(base64_decode($more));
        $fname = $tmp['fname'];
    } else {
        $fname = '?';
    }
    $msg = _FSTORY . " '<b>" . $title . "</b>' " . _HASSENT . " " . $fname . "... <br /><br />" . _THANKS;
    mxRedirect('modules.php?name=' . $module_name . '&amp;pid=' . $pid, $msg, 5);
}

/**
 * Auswahl der Optionen
 */
$op = (isset($_REQUEST['op'])) ? $_REQUEST['op'] : "";
switch ($op) {
    case "SendSite":
        SendSite();
        break;

    case "SiteSent":
        SiteSent();
        break;

    default:
        RecommendSite($_GET);
        break;
}

?>