<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.32.2.2 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:11:52 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 * Based on Journey Links Hack
 * Copyright (c) 2000 by James Knickelbein
 * Journey Milwaukee (http://www.journeymilwaukee.com)
 */

if (!defined("mxMainFileLoaded")) die ("You can't access this file directly...");

$module_name = basename(dirname(__FILE__));
mxGetLangfile($module_name);
require_once('modules/' . $module_name . '/d_config.php');
include('modules/' . $module_name . '/includes/functions.php');

if (!isset($showemptycategories)) {
    mxErrorScreen('<p>' . _SETTINGSWARN . '<br><br><a href="admin.php?op=DownloadsConfig">' . _WEBDOWNLOADSADMIN . '</a></p>');
}

$index = (empty($lindex)) ? 0 : 1;
$pagetitle = _MODUNAME;

define('DLDEFAULTORDER', 'dateD');

function mainview()
{
    global $prefix, $module_name, $pagetitle;
    // global $bgcolor1, $bgcolor2;
    // die aktuelle Kategorie-id aus request ermitteln, wenn leer, dann ist es die Hauptseite ohne spezielle Kategorie
    $cid = (empty($_REQUEST['cid']) || $_REQUEST['cid'] < 0) ? 0 : intval($_REQUEST['cid']);
    // Anzahl der Datensaetze pro Seite aus Konfigurationsdatei
    $show = (empty($GLOBALS['perpage']) || intval($GLOBALS['perpage']) <= 0) ? 10 : $GLOBALS['perpage'];
    // Startoffset fuer Limit aus Request
    $min = (empty($_REQUEST['min']) || $_REQUEST['min'] < 0) ? 0 : intval($_REQUEST['min']);
    // aktuelle Sortierung, falls per request uebergeben, wenn nicht, Standardsortierung
    $orderby = (empty($_REQUEST['orderby'])) ? DLDEFAULTORDER : $_REQUEST['orderby'];

    if ($cid) {
        // Anzahl ALLER Downloads in dieser Kategorie
        $result = sql_query("select count(lid) from " . $prefix . "_downloads_downloads where cid=" . intval($cid) . " AND cid > 0");
        list($countincat) = sql_fetch_row($result);
        // aktuelle Kategoriedaten ermitteln
        $result = sql_query("select title, cdescription, parentid from " . $prefix . "_downloads_categories where cid=" . intval($cid) . " AND cid > 0");
        list($cattitle, $catdescription, $parentid) = sql_fetch_row($result);
        // $cattitle = _DLCATEGORY . ': ' . modGetParentTitlesAsLink($parentid, $cattitle, $cid);
        $cattitle = '<a href="modules.php?name=' . $module_name . '">' . mxCreateImage('modules/' . $module_name . '/images/folder_open.gif', _DLCATEGORY, 0, 'hspace="2"') . '</a>&nbsp;' . modGetParentTitlesAsLink($parentid, $cattitle, $cid);
        $title = $cattitle;
        if (!empty($catdescription)) {
            // Zeilenumbrueche vor und hinter der Beschreibung entfernen
            $catdescription = preg_replace('#<br\s*/?>+$#si', '', trim($catdescription));
            $catdescription = preg_replace('#^<br\s*/?>+#si', '', $catdescription);
        }
        // der Link fuer die Sortierliste und Pager
        $link = "modules.php?name=" . $module_name . "&amp;cid=" . $cid . "&amp;min=%d";
        // die query um die Downloads dieser Kategorie fuer die aktuelle Seite auszulesen
        $qry = "SELECT dd.*, dd.name as auth_name, dd.date as updated, de.downloadid AS editorialid
                FROM " . $prefix . "_downloads_downloads AS dd
                LEFT JOIN " . $prefix . "_downloads_editorials AS de ON dd.lid = de.downloadid
                WHERE dd.cid=" . intval($cid) . "
                AND dd.cid > 0
                ORDER BY " . modConvertOrderForSql($orderby) . "
                LIMIT " . $min . "," . $show;
        $result = sql_query($qry);
        // $countpage = sql_num_rows($result);
        // der Pager
        $pageview = modShowPageView($countincat, $min, $show, $link . (($orderby == DLDEFAULTORDER) ? '' : '&amp;orderby=' . $orderby));
    } else {
        $cattitle = _DOWNLOADSMAINCAT;
        $catdescription = '';
        $title = '';
        $countincat = 0;
        $pageview = '';
    }
    // Daten fuer header aufbereiten
    // Seitentitel
    $pagetitle = strip_tags(_MODUNAME . ': ' . $cattitle);
    // die Kategorien
    $categorieslist = modViewCategories($cid);

    include('modules/' . $module_name . '/includes/header.php');
    // echo '<span style="background: '.$bgcolor1.'; padding: 10px;">xxxx</span>';
    // echo '<span style="background: '.$bgcolor2.'; padding: 10px;">xxxx</span>';
    // echo '<span style="background: '.$bgcolor3.'; padding: 10px;">xxxx</span>';
    // echo '<span style="background: '.$bgcolor4.'; padding: 10px;">xxxx</span>';
    if ($countincat) {
        OpenTable();
        if ($countincat > 3) {
            modSortMenu($orderby, $link);
        }
        // Schleife durch Suchergebnisse
        while ($row = sql_fetch_assoc($result)) {
            modViewData($row, 'list');
        }
        CloseTable();
        echo "<br>";
        if ($pageview) {
            OpenTable();
            echo '<div align="right" class="content">' . $pageview . '</div>';
            CloseTable();
            echo "<br>";
        }
    } else if ($cid && !$categorieslist) {
        OpenTable();
        echo '<div align="center" class="content">' . _NOTHINGINCAT . '<br><br>' . _GOBACK . '<br><br><br><br><br><br><br><br></div>';
        CloseTable();
        echo "<br>";
    }
    modSpecialTopLists($cid);
    modShowStats($cid);
    include('modules/' . $module_name . '/includes/footer.php');
}

/**
 * versch. Variablen vordefinieren
 */
$cid = (empty($cid)) ? 0 : intval($cid);
$lid = (empty($lid)) ? 0 : intval($lid);
/**
 * fuer die Suchabfrage, aktiv in allen Ansichten
 */
if (isset($_REQUEST['query'])) {
    $query = strip_tags(stripslashes(substr($_REQUEST['query'], 0, 60)));
} else {
    $query = "";
}
/**
 * dieser Schwachsinn muss fr veraltete Links drin bleiben...
 */
if (empty($_REQUEST['d_op']) && isset($_REQUEST['ratinglid'], $_REQUEST['ratinguser'], $_REQUEST['rating'])) {
    $_REQUEST['d_op'] = 'addrating';
}

/**
 * Auswahl der Optionen
 */
$op = (empty($_REQUEST['op'])) ? '' : $_REQUEST['op'];
/**
 * d_op fuer alte downloads weiterhin auswerten
 */
$op = (isset($_REQUEST['d_op']) && !isset($_REQUEST['op'])) ? $_REQUEST['d_op'] : $op;

/**
 * Auswahl der Optionen
 */
switch ($op) {
    case "Add":
        require_once("modules/$module_name/addnew.php");
        Add();
        break;
    case "AddDownload":
        require_once("modules/$module_name/addnew.php");
        AddDownload();
        break;

    case "NewDownloads":
    case "NewDownloadsDate":
        require_once("modules/$module_name/show_newest.php");
        NewDownloads();
        break;

    case "TopRated":
        require_once("modules/$module_name/show_toprated.php");
        TopRated();
        break;

    case "MostPopular":
        require_once("modules/$module_name/show_mostpopular.php");
        MostPopular();
        break;

    case "search":
        require_once("modules/$module_name/show_search.php");
        search();
        break;

    case "reportbroken":
        require_once("modules/$module_name/reportbroken.php");
        reportbroken($lid);
        break;

    case "reportbrokensave":
        require_once("modules/$module_name/reportbroken.php");
        reportbrokensave();
        break;

    case "modifyrequest":
        require_once("modules/$module_name/reportmodify.php");
        modifyrequest($lid);
        break;

    case "modifyrequestsave":
        require_once("modules/$module_name/reportmodify.php");
        modifyrequestsave();
        break;

    case "ratedownload": // alt
    case "rating":
        require_once("modules/$module_name/rating.php");
        rating($lid);
        break;

    case "addrating":
        require_once("modules/$module_name/rating.php");
        addrating();
        break;

    case "outsidedownloadsetup": // alt
    case "outsiderating": // neu
        require_once("modules/$module_name/outsiderating.php");
        outsiderating($lid);
        break;

    case "viewdownloadcomments": // alt
    case "comments": // neu
        require_once("modules/$module_name/comments.php");
        viewcomments($lid);
        break;

    case "viewratingdetails":
        require_once("modules/$module_name/ratingdetails.php");
        viewratingdetails($lid);
        break;

    case "view":
    case "viewdownloaddetails": // alt
    case "viewdownloadeditorial": // alt
        $_REQUEST['op'] = $op; // zur Sicherheit, weil in Detailansicht abgefragt wird
        require_once("modules/$module_name/details.php");
        viewdetails($lid);
        break;

    case "getit":
        require_once("modules/$module_name/fetch.php");
        getit($lid);
        break;

    case "check":
        require_once("modules/$module_name/includes/response.php");
        break;

    case "viewsdownload": // alt
    case "viewdownload": // alt
    default:
        mainview();
        break;
}

?>
