<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.2.2.2 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:11:52 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 * Based on Journey Links Hack
 * Copyright (c) 2000 by James Knickelbein
 * Journey Milwaukee (http://www.journeymilwaukee.com)
 */

if (!defined("mxMainFileLoaded")) die ("You can't access this file directly...");

function MostPopular()
{
    global $prefix, $module_name, $pagetitle;
    global $mostpopdownloadspercentrigger, $mostpopdownloads;
    // Anzeige in Prozent oder Anzahl, gesteuert ueber config
    if ($mostpopdownloadspercentrigger) {
        $result = sql_query("select count(lid) from " . $prefix . "_downloads_downloads  WHERE cid > 0");
        list($totalmostpoprows) = sql_fetch_row($result);
        $toprowspercent = intval($mostpopdownloads);
        $mostpopdownloads = ceil($totalmostpoprows * $toprowspercent / 100);
    }
    // qry
    $qry = "SELECT dd.*, dd.name as auth_name, dd.date as updated, dc.title AS ctitle, dc.parentid AS cparentid, de.downloadid AS editorialid
        FROM " . $prefix . "_downloads_downloads AS dd
        LEFT JOIN " . $prefix . "_downloads_categories AS dc ON dd.cid = dc.cid
        LEFT JOIN " . $prefix . "_downloads_editorials AS de ON dd.lid = de.downloadid
        WHERE dd.cid > 0
        ORDER BY dd.hits DESC
        LIMIT 0," . $mostpopdownloads;
    $result = sql_query($qry);
    $totalrows = sql_num_rows($result);
    // Daten fuer header aufbereiten
    if ($mostpopdownloadspercentrigger) {
        $title = $toprowspercent . "% (" . _OFALL . " " . $totalmostpoprows . ")";
    } else {
        $title = $mostpopdownloads;
    }
    $title = _MOSTPOPULAR . ' ' . $title . ' ' . _MODITEMS;
    $pagetitle = strip_tags($title);
    // die Ausgabe
    include('modules/' . $module_name . '/includes/header.php');
    if ($totalrows) {
        OpenTable();
        while ($row = sql_fetch_assoc($result)) {
            modViewData($row, 'list');
        }
        CloseTable();
        echo "<br>";
    } else {
        OpenTable();
        echo '<div align="center" class="content">' . _NOTHINGINVIEW . '<br><br>' . _GOBACK . '<br><br><br><br><br><br><br><br></div>';
        CloseTable();
        echo "<br>";
    }
    include('modules/' . $module_name . '/includes/footer.php');
}

?>