<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.13.2.9 $
 * $Author: frankysz $
 * $Date: 2008/01/28 22:43:33 $
 *
 * this file based on:
 * CZ Enhanced Feedback
 * Copyright (c) 2004 by ~ Telli ~ (telli@codezwiz.com)
 * http://www.marsishere.net
 * edited by H.Grunert, http://www.marx-city.de
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

defined('mxMainFileLoaded') or die('access denied');

$module_name = basename(dirname(__FILE__));
mxgetlangfile($module_name);

/**
 * Captchas verwenden?
 */
require("includes/captcha/settings.php");
$feedbackon = (($feedbackon) && ((!MX_IS_USER) || ((MX_IS_USER) && ($captchauseron))) && (!MX_IS_ADMIN));

/**
 * Ansprechpartner Array erstellen
 */
$depts_result = sql_query("SELECT did, dname FROM " . $prefix . "_mxfeedback_depts ORDER BY dname ASC");
while ($depts = sql_fetch_array($depts_result)) {
    $arraydepts[$depts['did']] = $depts['dname'];
}
$numdepts = @count($arraydepts);

/**
 * Konfiguration auslesen
 */
$mxfbcfg = array();
$sql = "SELECT * FROM " . $prefix . "_mxfeedback_config";
$result = sql_query($sql);
while (list($config_name, $config_value) = sql_fetch_row($result)) {
    $mxfbcfg[$config_name] = $config_value;
}

/**
 * rechte Bloecke anzeigen
 */
$index = $mxfbcfg['showrtblks'];

/**
 * das komplette Eingabeformular
 */
function feedbackform()
{
    global $module_name, $mxfbcfg, $numdepts, $feedbackon, $prefix;
    global $lname, $fname, $email, $subject, $message, $preselected, $sendcopy;
    $req = "&nbsp;<b style=\"color: " . $mxfbcfg['reqcolor'] . ";\">*</b>";

    OpenTable();
    echo '<p class="content">' . sprintf(_FEEDBACKNOTE, $GLOBALS['sitename']) . '</p>'
     . '<!-- <p class="content">' . _PLEASEPROVIDE . '</p> -->'
     . '<p align="right">' . $req . '&nbsp;' . _INDICATESREQ . '</p>';
    echo "<div align=\"center\"><div style='text-align:left;'>\n"
     . "<form action=\"modules.php?name=" . $module_name . "&amp;op=check\" name=\"feedbackform\" method=\"post\" onsubmit=\"return chkFeedbackFormular();\">\n"
     . "<table border=\"0\" cellpadding=\"3\" cellspacing=\"0\">\n";
    if (($numdepts > 0) && ($mxfbcfg['deptson'] == "1")) {
        $sql = "SELECT * FROM " . $prefix . "_mxfeedback_depts ORDER BY dname ASC";
        $result = sql_query($sql);
        echo "<tr valign=\"top\"><td> " . _SERVICESELECT . ":</td><td>\n"
         . "<select name=\"deptemail\">\n"
         . "<option value=\"\" selected=\"selected\" disabled=\"disabled\">&nbsp;</option>\n";
        while ($row = sql_fetch_assoc($result)) {
            if ($row['dname'] == $preselected) {
                echo "<option selected value=\"" . $row['did'] . "\">" . $row['dname'] . "</option>\n";
            } else {
                echo "<option value=\"" . $row['did'] . "\">" . $row['dname'] . "</option>\n";
            }
        }
        echo "</select>" . $req . "</td></tr>\n";
    }
    // Automatically required
    echo "<tr valign=\"top\"><td>" . _YOURNAME . ":</td>\n";
    echo "<td><input type=\"text\" name=\"fname\" size=\"35\" value=\"" . mxEntityQuotes($fname) . "\">" . $req . "</td></tr>\n";
    // Last Name required?
    if ($mxfbcfg['reqlname'] == "1") {
        echo "<tr valign=\"top\"><td>" . _YOURLASTNAME . ":</td>\n";
        echo "<td><input type=\"text\" name=\"lname\" size=\"35\" value=\"" . mxEntityQuotes($lname) . "\">" . $req . "</td></tr>\n";
    }
    // Automatically required
    echo "<tr valign=\"top\"><td>" . _YOUREMAIL . ":</td>\n";
    echo "<td><input type=\"text\" name=\"email21\" size=\"35\" value=\"" . mxEntityQuotes($email) . "\">" . $req . "</td></tr>\n";
    // Automatically required - Subject, Message
    echo "<tr valign=\"top\"><td>" . _FSUBJECT . ":</td><td><input type=\"text\" name=\"subject\" size=\"35\" value=\"" . mxEntityQuotes($subject) . "\">" . $req . "</td></tr>\n"
     . "<tr valign=\"top\"><td>" . _FMESSAGE . ":</td><td><textarea name=\"message\" cols=\"" . (($mxfbcfg['showrtblks']) ? '43': '55') . "\" rows=\"7\">" . htmlentities($message) . "</textarea>" . $req . "<br><span class=\"tiny\">" . _FMESSAGEEXPLAIN . "</span></td></tr>\n";
    // Allowed to send copy to self?
    if ($mxfbcfg['letreceive'] == "1") {
        echo "<tr valign=\"top\"><td><span class=\"tiny\">" . _FMESSAGERECEIVE . "</span></td><td>
        <input type=\"radio\" name=\"sendcopy\" value=\"1\"" . (empty($sendcopy) ? '' : ' checked="checked"') . "> " . _YES . "
        <input type=\"radio\" name=\"sendcopy\" value=\"0\"" . (empty($sendcopy) ? ' checked="checked"' : '') . "> " . _NO . "
        </td></tr>\n";
    }
    if ($feedbackon) {
        require("includes/captcha/captcha_java.php");
        echo "<tr valign=\"top\"><td></td><td><img id=\"captchaimage\" src=\"includes/captcha/captchaimg.php?" . md5(crypt(uniqid(''))) . "\" alt=\"\"></td></tr>";
        echo "<tr valign=\"top\"><td>" . _CAPTCHAINSERT . "</td><td><input type=\"text\" name=\"captcha\" value=\"\" size=\"20\" maxlength=\"20\">" . $req . "</td></tr>";
    }
    echo "</table><br>\n";
    echo "<div align='center'><input type=\"submit\" value=\"" . _SEND . "\">&nbsp;&nbsp;&nbsp;\n";
    if ($feedbackon) {
        echo '<input type="button" value="' . _CAPTCHARELOAD . '" onclick="do_reload(); return false;">&nbsp;&nbsp;&nbsp;';
    }
    echo "<input type=\"reset\" value=\"" . _CLEAR . "\"></div>\n"
     . "</form></div></div>\n";
    echo "<p align=\"center\">" . sprintf(_IPRECORDED, MX_REMOTE_ADDR) . "</p>\n";

    echo "<script language=\"JavaScript\" type=\"text/javascript\">
    <!--
    function chkFeedbackFormular()
    {
    ";
    if (($numdepts >= 1) && ($mxfbcfg['deptson'] == '1')) {
        echo "if (document.feedbackform.deptemail.value == \"\")
            {
                  alert(\"" . mxHtmlEntityDecode(_ERRORDEPT) . ".\");
                  document.feedbackform.deptemail.focus();
                  return false;
            }";
    }
    echo "
        if (document.feedbackform.fname.value == \"\")
        {
              alert(\"" . mxHtmlEntityDecode(_ERRORNAME) . "\");
              document.feedbackform.fname.focus();
              return false;
        }";
    if ($mxfbcfg['reqlname'] == "1") {
        echo "if (document.feedbackform.lname.value == \"\")
            {
                  alert(\"" . mxHtmlEntityDecode(_ERRORLASTNAME) . "\");
                  document.feedbackform.lname.focus();
                  return false;
            }";
    }
    echo "if (document.feedbackform.email21.value == \"\")
        {
              alert(\"" . mxHtmlEntityDecode(_ERROREMAILADDRESS) . ".\");
              document.feedbackform.email21.focus();
              return false;
        }
        if (document.feedbackform.subject.value == \"\")
        {
              alert(\"" . mxHtmlEntityDecode(_ERRORSUBJECT) . "\");
              document.feedbackform.subject.focus();
              return false;
        }
        if (document.feedbackform.message.value == \"\")
        {
              alert(\"" . mxHtmlEntityDecode(_ERRORMESSAGE) . "\");
              document.feedbackform.message.focus();
              return false;
           }
        return true;
    }
    //-->
    </script>";
    CloseTable();
}

function replace_placeholder($document)
{
    global $today, $fname, $lname, $email, $message, $row, $default_email;
    $search = array ("{today}",
        "{fname}",
        "{lname}",
        "{uip}",
        "{email}",
        "{message}",
        "{anrede}",
        "{vvname}",
        "{vname}",
        "{department}",
        "{defaultemail}");

    $replace = array ($today,
        $fname,
        $lname,
        MX_REMOTE_ADDR,
        $email,
        $message,
        $row['pp'],
        $row['vvname'],
        $row['vname'],
        $row['dname'],
        $default_email
        );

    $text = str_replace ($search, $replace, $document);
    return $text;
}

$op = (empty($_REQUEST['op'])) ? "default" : $_REQUEST['op'];
switch ($op) {
    default:
        global $prefix, $mxfbcfg;
        $fname = "";
        $lname = "";
        $email = "";
        if (MX_IS_USER) {
            $row = mxGetUserData();
            if ($row['name'] != "") {
                $fname = $row['name'];
            } else {
                $fname = $row['uname'];
            }
            $email = $row['email'];
        }
        $preselected = "none";
        if (!empty($_GET['pre']) && in_array($_GET['pre'], $arraydepts)) {
            $preselected = $_GET['pre'];
        }
        include("header.php");
        title($GLOBALS['sitename'] . " " . _FEEDBACKTITLE);
        echo feedbackform();
        include("footer.php");
        break;

    case "check":
        global $prefix, $mxfbcfg, $numdepts;
        // mxDebugFuncVars($_POST);
        if ((empty($_POST['deptemail'])) || (!isset($_POST['deptemail']))) {
            $deid = 0;
        } else {
            $deid = intval($_POST['deptemail']);
        }
        if ($mxfbcfg['deptson'] && ($numdepts >= 1) && empty($deid)) {
            $posterrmsg[] = _ERRORDEPT;
        }
        $email = chop($_POST['email21']);
        if (empty($email) || !mxCheckEmail($email)) {
            $posterrmsg[] = _ERROREMAILADDRESS;
        }
        $fname = chop($_POST['fname']);
        if (empty($fname)) {
            $posterrmsg[] = _ERRORNAME;
        }

        if ((empty($_POST['lname'])) || (!isset($_POST['lname']))) {
            $lname = '';
        } else {
            $lname = chop($_POST['lname']);
        }
        if ($mxfbcfg['reqlname'] && empty($lname)) {
            $posterrmsg[] = _ERRORLASTNAME;
        }

        $subject = chop(mxStripSlashes($_POST['subject']));
        if (empty($subject)) {
            $posterrmsg[] = _ERRORSUBJECT;
        }
        $message = chop(mxStripSlashes($_POST['message']));
        if (empty($message)) {
            $posterrmsg[] = _ERRORMESSAGE;
        }

        if ($feedbackon) {
            require_once("includes/captcha/__captcha/PhraseFactory.php");
            if ((!isset($_POST['captcha'])) || (empty($_POST['captcha']))) {
                $_POST['captcha'] = "abc!!def";
            }
            $givenCaptcha = $_POST['captcha'];
            $storedCaptcha = PhraseFactory::get('', $passphraselenght, $givenCaptcha, $storagetype);
            if ($givenCaptcha !== $storedCaptcha) {
                $posterrmsg[] = _CAPTCHAWRONG;
            }
        }

        $sendcopy = intval($_POST['sendcopy']);

        if (isset($posterrmsg)) {
            $preselected = "none";
            if (!empty($deid) && isset($arraydepts[$deid])) {
                $preselected = $arraydepts[$deid];
            }
            // mxDebugFuncVars($arraydepts, $preselected);
            include("header.php");
            title($GLOBALS['sitename'] . " " . _FEEDBACKTITLE);
            openTableAl();
            echo '<div style="text-align: left;"><h2>' . _SENDERROR . '</h2><ul><li>' . implode('</li><li>', $posterrmsg) . '</li></ul></div>';
            closeTableAl();
            echo '<br>';
            echo feedbackform();
            include("footer.php");
            exit;
        }

        if (($numdepts < 1) || ($mxfbcfg['deptson'] == "0")) { // Keine Abteilungen oder Abteilungen ausgeschaltet
            $row['demail'] = $mxfbcfg['ademail']; //Wenn Abteilungen aus, Empfnger ist Haupt-Vorgabe Emailadresse
            if (($sendcopy) && ($mxfbcfg['letreceive'] == "1")) { // Parameter setzen, wenn der Absender eine Kopie wnscht
                $row['dname'] = "Administration " . $GLOBALS['sitename'] . "";
                $row['pp'] = $mxfbcfg['mainpp'];
                $row['vvname'] = $mxfbcfg['mainvvname'];
                $row['vname'] = $mxfbcfg['mainvname'];
            } else {
                $row['pp'] = '';
                $row['vvname'] = '';
                $row['vname'] = '';
                $row['dname'] = '';
            }
        }
        $today = date("" . _TIMESTRING . "");
        $default_email = chop($mxfbcfg['ademail']);
        if (($numdepts > 0) && ($mxfbcfg['deptson'] == "1")) {
            $sql = "SELECT dname, demail, vvname, vname, pp FROM " . $prefix . "_mxfeedback_depts WHERE did=" . mxAddSlashesForSQL($deid) . "";
            $result = sql_query($sql);
            $row = sql_fetch_array($result);
        }
        // Mail Support
        $messagesupport = replace_placeholder($mxfbcfg['depmail']);
		    if (mxmail($row['demail'], $subject, $messagesupport, $email, "", "", $fname)) {
        if (($sendcopy) && ($mxfbcfg['letreceive'] == "1")) {
        // Mail Customer
                $messagecust = replace_placeholder($mxfbcfg['custmail']);
        if (!mxmail($email, $subject, $messagecust, $row['demail'], "", "", $row['dname'])) {
                    mxRedirect('modules.php?name=' . $module_name . '&amp;op=message_sent&amp;stat=nok', '', 0);
                    break;
                }
            }
            mxRedirect('modules.php?name=' . $module_name . '&amp;op=message_sent&amp;stat=ok', '', 0);
        } else {
            mxRedirect('modules.php?name=' . $module_name . '&amp;op=message_sent&amp;stat=nok', '', 0);
        }
        break;

    case "message_sent":
        switch ($stat) {
            case "ok":
                $msg = '<p>' . _THANKSFORCONTACT . '</p><p>' . _AREPWILLRESPOND . '</p>';
                mxRedirect('modules.php?name=' . $module_name, $msg, 5);
                break;

            case "nok":
                $msg = '<p>' . _SENDERROR2 . '</p><p>' . _SENDERROR3 . '</p>';
                mxRedirect('modules.php?name=' . $module_name, $msg, 10);
                break;
        }
}

?>
