<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.3 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:15:56 $
 */

defined('mxMainFileLoaded') or die('access denied');
$modname = basename(dirname(dirname(__FILE__)));

unset($sqlqry);

if (!isset($tables["${prefix}_recommend"])) {
    $sqlqry[] = "
CREATE TABLE `${prefix}_recommend` (
  `rid` int(10) unsigned NOT NULL auto_increment,
  `friend_name` varchar(100) NOT NULL default '',
  `friend_email` varchar(100) NOT NULL default '',
  `sender_name` varchar(100) NOT NULL default '',
  `sender_email` varchar(100) NOT NULL default '',
  `user` int(11) NOT NULL default '0',
  `ip` varchar(100) NOT NULL default '',
  `time` int(11) NOT NULL default '0',
  `site` varchar(255) NOT NULL default '',
  PRIMARY KEY  (`rid`)
) TYPE=MyISAM;";
}
// falls anderes recommend-us Modul installiert ist (cp)
if (isset($tables["${prefix}_recommend"])) {
    $tf = setupGetTableFields("${prefix}_recommend");
    if ($tf['user']['Type'] != 'int(11)') $sqlqry[] = "ALTER TABLE `${prefix}_recommend` CHANGE `user` `user` INT( 11 ) NOT NULL DEFAULT '0' ";
    if ($tf['time']['Type'] != 'int(11)') $sqlqry[] = "ALTER TABLE `${prefix}_recommend` CHANGE `time` `time` INT( 11 ) NOT NULL DEFAULT '0' ";
}

if (isset($sqlqry)) {
    setupDoAllQueries($sqlqry);
    unset($sqlqry);
}

?>