<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.3 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:15:56 $
 */

defined('mxMainFileLoaded') or die('access denied');
$modname = basename(dirname(dirname(__FILE__)));

unset($sqlqry);

if (!isset($tables["${prefix}_seccont"])) {
    $sqlqry[] = "
CREATE TABLE `${prefix}_seccont` (
  `artid` int(11) NOT NULL auto_increment,
  `secid` int(11) NOT NULL default '0',
  `title` text NULL,
  `content` longtext NULL,
  `counter` int(11) NOT NULL default '0',
  `slanguage` varchar(30) NOT NULL default '',
  PRIMARY KEY  (`artid`)
) TYPE=MyISAM;";
} else {
    $tf = setupGetTableFields("${prefix}_seccont");
    if ($tf['title']['Default'] !== null || $tf['content']['Default'] !== null || $tf['content']['Type'] != 'longtext') {
        $sqlqry[] = "ALTER TABLE `${prefix}_seccont`
                CHANGE `title` `title` text NULL,
                CHANGE `content` `content` longtext NULL";
    }
}

if (!isset($tables["${prefix}_sections"])) {
    $sqlqry[] = "
CREATE TABLE `${prefix}_sections` (
  `secid` int(11) NOT NULL auto_increment,
  `secname` varchar(40) NOT NULL default '',
  `image` varchar(50) NOT NULL default '',
  PRIMARY KEY  (`secid`)
) TYPE=MyISAM;";
} else {
    // Felder aktualisieren
    $tf = setupGetTableFields("${prefix}_sections");
    // cportal
    if (isset($tf['custom_d'])) $sqlqry[] = "ALTER TABLE `${prefix}_sections` DROP custom_d;";
    if (isset($tf['custom_e'])) $sqlqry[] = "ALTER TABLE `${prefix}_sections` DROP custom_e;";
}

if (isset($sqlqry)) {
    setupDoAllQueries($sqlqry);
    unset($sqlqry);
}

?>