<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.12.2.8 $
 * $Author: tora60 $
 * $Date: 2008/02/02 10:40:53 $
 *
 * this file based on:
 * User Guestbook
 * Copyright (c)  Jens Ferner - http://www.netz-id.de
 * micro - http://guggemahier.de
 * modified by (c) 2005 by jubilee - http://www.pragmamx.org
 */

defined('mxMainFileLoaded') or die('access denied');

if (!defined('PMX_VERSION')) {
    mxErrorScreen('pragmaMx >= 0.1.10 is required');
}

$module_name = basename(dirname(__FILE__));
mxGetLangfile($module_name);
$wysiwyg = 0;
$wysiwyg_userguest = 0;
include ("modules/" . $module_name . "/settings.php");
include_once('spaw/spaw_control.class.php');
// ######################### Begin Config Area ################################################
$smilies = array(":1:" => "modules/" . $module_name . "/smilies/smile.gif",
    ":2:" => "modules/" . $module_name . "/smilies/cool.gif",
    ":3:" => "modules/" . $module_name . "/smilies/mad3.gif",
    ":4:" => "modules/" . $module_name . "/smilies/tongue.gif",
    ":5:" => "modules/" . $module_name . "/smilies/puzzled.gif",
    ":6:" => "modules/" . $module_name . "/smilies/cry_smile.gif",
    ":7:" => "modules/" . $module_name . "/smilies/exclamation_smile.gif",
    ":8:" => "modules/" . $module_name . "/smilies/mad.gif",
    ":9:" => "modules/" . $module_name . "/smilies/sad.gif",
    ":10:" => "modules/" . $module_name . "/smilies/shocked.gif",
    ":11:" => "modules/" . $module_name . "/smilies/thumbdown.gif",
    ":12:" => "modules/" . $module_name . "/smilies/thumbup.gif",
    ":13:" => "modules/" . $module_name . "/smilies/question.gif",
    ":14:" => "modules/" . $module_name . "/smilies/wink.gif"); //Array mit den Smilies sammt Grafikpfaden
// ######################## End Config Area ####################################################
function prevnext ($paramto, $linkto, $counter, $int_counter)
{
    global $anzahl;
    echo"<table border=\"0\" width=\"100%\"><tr>\n";
    if (($counter == 0) && ($GLOBALS['menge'] > ($counter + $anzahl))) {
        $counter_next = ($counter + $anzahl);
        $parameter_nextlink = $paramto . "&amp;counter=" . $counter_next;
        echo"<td width=\"50%\">&nbsp;</td>";
        echo"<td width=\"50%\" align=\"right\"><a href=\"modules.php" . $linkto . $parameter_nextlink . "\">" . _GBNEXT . "&nbsp;" . $anzahl . " &gt;&gt;&gt;</a></td>";
    } elseif (($counter >= $anzahl) && ($GLOBALS['menge'] > ($counter + $anzahl))) {
        $counter_next = ($counter + $anzahl);
        $counter_prev = ($counter - $anzahl);
        $parameter_nextlink = $paramto . "&amp;counter=" . $counter_next;
        $parameter_prevlink = $paramto . "&amp;counter=" . $counter_prev;
        echo"<td width=\"50%\" align=\"left\"><a href=\"modules.php" . $linkto . $parameter_prevlink . "\">&lt;&lt;&lt; " . _GBPREV . "&nbsp;" . $anzahl . "</a></td>";
        echo"<td width=\"50%\" align=\"right\"><a href=\"modules.php" . $linkto . $parameter_nextlink . "\">" . _GBNEXT . "&nbsp;" . $anzahl . " &gt;&gt;&gt;</a></td>";
    } elseif (($counter >= $anzahl) && ($GLOBALS['menge'] <= ($counter + $anzahl))) {
        $counter_prev = ($counter - $anzahl);
        $parameter_prevlink = $paramto . "&amp;counter=" . $counter_prev;
        echo"<td width=\"50%\" align=\"left\"><a href=\"modules.php" . $linkto . $parameter_prevlink . "\">&lt;&lt;&lt; " . _GBPREV . "&nbsp;" . $anzahl . "</a></td>";
        echo"<td width=\"50%\">&nbsp;</td>";
    } else {
        echo "<td>&nbsp;</td>\n";
    }

    echo"</tr></table>";
}

function wordwrap2($str = "", $width = 75, $break = " ", $separator = " ", $outprefix = "")
{
    $wbr = "<wbr>";
    $width = $width - strlen(strip_tags($outprefix));
    $str = trim($str);
    if ($str == "") {
        return $str;
        exit;
    }
    $strarray = explode($separator, $str);
    foreach ($strarray as $stritem) {
        $stritem = trim($stritem);
    }
    $outarray = array();
    $ln = 0;
    $wd = 0;
    $outarray[$ln] = $outprefix;
    while ($wd < sizeof($strarray)) {
        if (strlen(strip_tags($outarray[$ln] . " " . $strarray[$wd])) > $width) {
            $rlen = $width-1 - strlen(strip_tags($outarray[$ln] . " "));
            if (strpos($strarray[$wd], $wbr) > 1) {
                $tarray = explode($wbr, $strarray[$wd]);
                $i = 0;
                $tstr = "";
                while (($i < sizeof($tarray)) and (strlen($tstr . $tarray[$i]) < $rlen)) {
                    $tstr .= $tarray[$i];
                    $i++;
                }
                if ($i > 0) {
                    $outarray[$ln] .= $tstr . "-" . $break;
                    $ln++;
                    $outarray[$ln] = $outprefix;
                    $strarray[$wd] = "";
                    for ($i = $i; $i < sizeof($tarray); $i++) {
                        $strarray[$wd] .= $tarray[$i] . $wbr;
                    }
                } else {
                    $outarray[$ln] .= $break;
                    $ln++;
                    $outarray[$ln] = $outprefix;
                }
            } else {
                $outarray[$ln] .= $break;
                $ln++;
                while (strlen($strarray[$wd]) > $width) {
                    $outarray[$ln] = $outprefix . substr($strarray[$wd], 0, $width) . $break;
                    $ln++;
                    $strarray[$wd] = substr($strarray[$wd], $width);
                }
                $outarray[$ln] = $outprefix . $strarray[$wd] . " ";
                $wd++;
            }
        } else {
            $outarray[$ln] .= $strarray[$wd] . " ";
            $wd++;
        }
    }
    return implode("", $outarray);
}

function intro($usernamen)
{
    global $userdaten, $zuvoll, $allow_backup, $userdeniedpost, $nuradmin;
    if (($userdaten['uname'] == $usernamen) && ($userdaten['nuradmin'] == false) && (!($userdaten['nuranonymous'] == true))) {
        include_once("modules/Your_Account/navbar.php");
        OpenTable();
        nav();
        CloseTable();
        echo "<br />\n";
    }
    if ($zuvoll) {
        OpenTable();
        echo "<center><b>\n" . _USERGB_THISIS . " " . $usernamen . "\n</b>\n";
        echo "<br /><br />\n";
        echo "<b>" . _USERGB_MAXENTRY . "<br />\n";
        echo _USERGB_NOMORE . "</b>\n";
        if (($allow_backup) && ($userdaten['uname'] == $usernamen) && (!($userdaten['nuranonymous'] == true))) {
            echo "<br />\n<a href='modules.php?name=UserGuest&amp;op=do_backup&amp;usernamen=" . $usernamen . "'>" . _USERGB_BACKUPHERE . "</a>\n<br />";
        }
        echo "</center>\n<br />\n";
        CloseTable();
        echo "<br />\n";
    } elseif (($userdaten['uname'] == $usernamen) && ($userdeniedpost)) {
        OpenTable();
        echo "<center><b>\n" . _USERGB_THISIS . " " . $usernamen . "\n</b>\n";
        echo "<br />\n" . _USERGBTHISISYOURS . "<br />\n";
        echo _USERGBADMINSAYNO . "<br />\n";
        if (($allow_backup) && (!($userdaten['nuranonymous'] == true))) {
            echo "<br />\n<a href='modules.php?name=UserGuest&amp;op=do_backup&amp;usernamen=" . $usernamen . "'>" . _USERGB_BACKUPHERE . "</a>\n<br />";
        }
        echo "</center>\n<br />\n";
        CloseTable();
        echo "<br />\n";
    } else {
        OpenTable();
        echo "<center><b>\n" . _USERGB_THISIS . " " . $usernamen . "\n</b>\n";
        echo "<br />\n" . _USERGB_REGUSER . "\n";
        if (($_REQUEST['op'] != "signin") && (!($userdaten['nuranonymous'] == true))) {
            echo "<br /><br />\n<a href='modules.php?name=UserGuest&amp;op=signin&amp;usernamen=" . $usernamen . "'>" . _USERGB_INPUTHERE . "</a>\n<br />";
        }
        if (($allow_backup) && ($usernamen == $userdaten['uname']) && (!($userdaten['nuranonymous'] == true))) {
            echo "<br />\n<a href='modules.php?name=UserGuest&amp;op=do_backup&amp;usernamen=" . $usernamen . "'>" . _USERGB_BACKUPHERE . "</a>\n<br />";
        }
        echo "</center>\n<br />\n";
        CloseTable();
        echo "<br />\n";
    }
}

function de_smiler($message)
{
    global $smilies;
    foreach ($smilies as $key => $value) {
        $message = str_replace($key, "&nbsp;<img src=\"" . $value . "\" alt=\"\" />&nbsp;", $message);
    }
    return($message);
}

function viewguestbook($usernamen, $counter = 0)
{
    global $prefix, $module_name, $user_prefix, $bgcolor1, $bgcolor2, $AddSmilies, $anzahl, $userdaten, $timeformat, $umbruch, $zuvoll, $userdeniedpost;
    $internal_counter = 0; # Counter um zu Zhlen wieviele Eintrage aus der Datenbank ausgelesen wurden
    $query = "SELECT gb.wer, gb.gid, gb.date, gb.text, gb.dummy, u.user_avatar, u.uname
            FROM " . $prefix . "_userguest AS gb LEFT JOIN " . $user_prefix . "_users AS u ON gb.wer = u.uname
            WHERE (((gb.touser)='$usernamen'))
            ORDER BY gb.date DESC limit $counter,$anzahl";
    $result1 = sql_query($query);
    if (!$result1) {
        OpenTable();
        echo "<center>" . _GBERRORTXT1 . " get page of userguestbook entry's</center>";
        CloseTable();
        include("footer.php");
        die();
    }
    intro($usernamen);
    OpenTable();
    if ((($usernamen == $userdaten['uname']) || (MX_IS_ADMIN)) && (!($userdaten['nuranonymous'] == true))) {
        echo "<form name=\"del_selected\" action=\"modules.php?name=" . $module_name . "\" method=\"post\">\n";
    }
    echo "<table border=\"0\" width=\"100%\" cellpadding=\"4\" cellspacing=\"1\" bgcolor=\"$bgcolor2\">\n";
    while ($eintrag = sql_fetch_assoc($result1)) {
        $internal_counter ++;
        $eintrag['text'] = mxnl2br($eintrag['text']);
        $eintrag['text'] = wordwrap2($eintrag['text'], $umbruch, "<br> ", " ");
        if ($AddSmilies) {
            $eintrag['text'] = de_smiler($eintrag['text']);
        }
        $eintrag['gid'] = intval($eintrag['gid']);
        echo "<tr>\n";
        echo "<td width=\"25%\" valign=\"top\" align=\"left\" bgcolor=\"" . $bgcolor1 . "\" class=\"content\">\n";
        echo "<span class=\"tiny\">" . _USERGB_INPUTDATE . ": <br />" . mx_strftime($timeformat, $eintrag['date']) . "</span><br />\n";
        echo "<span class=\"tiny\">" . _USERGB_FROM . ":</span> <a href='modules.php?name=Userinfo&amp;uname=" . $eintrag['uname'] . "'><b>" . $eintrag['uname'] . "</b><br />\n";
        $daten = mxIsAvatarUploaded($eintrag['uname']);
        if (is_array($daten)) {
            if (isset($daten['werist'])) {
                echo mxCreateImage(MX_PATH_MEMBERAVATAR . "/" . $daten['werist']);
            } else {
                if (!empty($eintrag['user_avatar'])) echo "<img src='" . MX_PATH_AVATAR . "/" . $eintrag['user_avatar'] . "' border=\"0\" alt=\"\" />\n";
            }
        } else {
            if ($daten) {
                echo mxCreateImage(MX_PATH_MEMBERAVATAR . "/" . $daten, $eintrag['uname']);
            } else {
                if (!empty($eintrag['user_avatar'])) echo "<img src='" . MX_PATH_AVATAR . "/" . $eintrag['user_avatar'] . "' border=\"0\" alt=\"\" />\n";
            }
        }
        echo "</a>";
        if ((($usernamen == $userdaten['uname']) || (MX_IS_ADMIN)) && (!($userdaten['nuranonymous'] == true))) {
            if ((empty($eintrag['dummy'])) && (($usernamen == $userdaten['uname']) && (!($userdaten['nuranonymous'] == true)))) {
                if (!$result = sql_query("UPDATE " . $prefix . "_userguest SET dummy='1' where touser='" . $userdaten['uname'] . "' AND dummy=0 AND gid=" . intval($eintrag['gid']) . "")) {
                    OpenTable();
                    echo"<center>" . _GBERRORTXT1 . " set dummy = true</center>";
                    CloseTable();
                    include("footer.php");
                    die ();
                }
            }
            if (($usernamen == $userdaten['uname']) && (!($userdaten['nuranonymous'] == true))) {
                echo "<br /><br /><a href=\"modules.php?name=UserGuest&amp;op=signin&amp;usernamen=" . $eintrag['uname'] . "\">" . _GBREPLY . "</a>?\n";
            }
            echo "<br /><br /><input type=\"checkbox\" name=\"check_delete[]\" value=\"" . $eintrag['gid'] . "\"><span class=\"tiny\">" . _USERGB_DELMESSAGE . "</span>\n";
        }
        echo "</td>\n";
        echo "<td bgcolor=\"" . $bgcolor1 . "\" width=\"75%\" class=\"content\">" . $eintrag['text'] . "</td>\n";
        echo "</tr>\n";
    }
    if ((($usernamen == $userdaten['uname']) || (MX_IS_ADMIN)) && (!($userdaten['nuranonymous'] == true))) {
        echo "<tr><td colspan=\"2\" align =\"center\">\n<input type=\"hidden\" name=\"op\" value=\"delete_selected\">\n";
        echo "<input type=\"hidden\" name=\"usernamen\" value=\"" . $usernamen . "\">\n";
        echo "<input type=\"hidden\" name=\"counter\" value=\"" . $counter . "\">\n";
        echo "<input type=\"hidden\" name=\"internal_counter\" value=\"" . $internal_counter . "\">\n";
        echo "<input type=\"submit\" name=\"Lsche ausgewhlte\" value=\"" . _USERGB_DELDO . "\"></td></tr>\n";
    }
    echo "</table></form>\n";
    prevnext("&amp;op=view&amp;usernamen=" . $usernamen, "?name=UserGuest", $counter, $internal_counter);
    CloseTable();
    // include("footer.php");
    echo "<br /><br />";
}

function guestbookdbinput($pvs)
{
    global $prefix, $userdaten, $PMbeiEintrag, $zuvoll, $allow_html, $userdeniedpost;
    $pvs = mxAddSlashesForSQL($pvs);
    if ($zuvoll) {
        OpenTable();
        echo "<center><b>\n" . _USERGB_THISIS . " " . $pvs['usernamen'] . "\n</b>\n";
        echo "<br />\n" . _USERGB_REGUSER . "<br />\n";
        echo _USERGB_MAXENTRY . "<br />\n";
        echo _USERGB_NOMORE . "\n";
        echo "</center>\n<br />\n";
        CloseTable();
        echo "<br />\n";
        include("footer.php");
        die();
    } elseif (($userdaten['uname'] == $pvs['usernamen']) && ($userdeniedpost)) {
        OpenTable();
        echo "<center><b>\n" . _USERGB_THISIS . " " . $pvs['usernamen'] . "\n</b>\n";
        echo "<br />\n" . _USERGBTHISISYOURS . "<br />\n";
        echo _USERGBADMINSAYNO . "<br />\n";
        echo "<a href=\"javascript:history.go(-1)\">" . _USERGUESTBOOKDEAKT5 . "</a>\n";
        echo "</center>\n<br />\n";
        CloseTable();
        echo "<br />\n";
        include("footer.php");
        die();
    } elseif ($userdaten['nuranonymous'] == true) {
        OpenTable();
        echo "<center><b>\n" . _USERGB_THISIS . " " . $pvs['usernamen'] . "\n</b>\n";
        echo "<br />\n" . _USERGBTHISISANONYMOUS . "<br />\n";
        echo "<a href=\"javascript:history.go(-1)\">" . _USERGUESTBOOKDEAKT5 . "</a>\n";
        echo "</center>\n<br />\n";
        CloseTable();
        echo "<br />\n";
        include("footer.php");
        die();
    } else {
        $touserdata = mxGetUserDataFromUsername($pvs['usernamen']);
        if ((strlen($pvs['text']) <= 3) or (empty($pvs['text']))) {
            mxErrorScreen(_USERGB_SINNVOLL);
            exit;
        }
        if (!$allow_html) {
            $pvs['text'] = strip_tags($pvs['text'], '<b><u><i><br>');
        } else {
            $pvs['text'] = mxPrepareToHTMLDisplay($pvs['text']);
        }
        $pvs['text'] = (mxPrepareCensored($pvs['text']));
        if (!empty($touserdata['uid']) && !empty($userdaten['uid'])) {
            $qry = "insert into " . $prefix . "_userguest (touser,text,date,wer,dummy,touserid,fromuserid) VALUES ('" . $pvs['usernamen'] . "','" . $pvs['text'] . "','" . time() . "','" . mxAddSlashesForSQL($userdaten['uname']) . "',0," . intval($touserdata['uid']) . "," . $userdaten['uid'] . ")";
            if (!$result = sql_query($qry)) {
                echo _GBERROR1;
                echo _GBERRORTEXT;
                echo _GBERRORTXT1 . ' (' . mysql_errno() . ')';
                include("footer.php");
                die();
            } else {
                if ($PMbeiEintrag == true) {
                    $message = _GBNEWTXT; //hier die Message
                    $subject = _GBGNEWSUBJECT; //Hier der Subject
                    $qryxx = "INSERT INTO " . $prefix . "_priv_msgs (msg_image, subject, from_userid, to_userid, msg_time, msg_text) ";
                    $qryxx .= "VALUES ('icon1.gif', '" . $subject . "', " . intval($userdaten['uid']) . ", " . intval($touserdata['uid']) . ", now(), '" . $message . "')";
                    if (!$result = sql_query($qryxx)) {
                        echo _GBERROR2;
                        echo _GBERRORTEXT;
                        echo _GBERRORTXT1 . ' (' . mysql_errno() . ')';
                        include("footer.php");
                        die();
                    }
                }
            }
        }
    }
    header("Location: modules.php?name=UserGuest&op=view&usernamen=" . $touserdata['uname'] . "");
}

function delselected ($gid_array, $usernamen, $counter, $int_counter)
{
    global $prefix, $userdaten, $anzahl, $userdeniedpost;
    if ((($usernamen == $userdaten['uname']) || (MX_IS_ADMIN)) && (!($userdaten['nuranonymous'] == true))) {
        $counter = intval($counter);
        $int_counter = intval($int_counter);
        $internal_counter = 0;
        foreach ($gid_array as $key => $delete_gid) {
            $delete_gid = intval($delete_gid);
            $internal_counter++;
            if (!$result = sql_query("DELETE FROM " . $prefix . "_userguest WHERE gid=" . $delete_gid . "")) {
                OpenTable();
                echo "<center>" . _GBERRORTXT1 . "  delete Userguest-Row</center>";
                CloseTable();
                include("footer.php");
                die();
            }
        }
        if ($internal_counter == $int_counter) {
            $counter = ($counter - $anzahl);
        }
        if ($counter < 0) {
            $counter = 0;
        }
        Header("Location: modules.php?name=UserGuest&op=view&usernamen=" . $usernamen . "&counter=$counter");
    } else {
        Header("Location: modules.php?name=UserGuest&op=view&usernamen=" . $usernamen . "&counter=$counter");
    }
}

Function guestbookinput($usernamen)
{
    global $userdaten, $AddSmilies, $smilies, $maxchars, $umbruch, $zuvoll, $useraddsig, $module_name, $userdeniedpost, $allow_html;
    // include('header.php');
    intro($usernamen);
    if ($AddSmilies && (!($GLOBALS['wysiwyg_userguest']))) {
        echo "<script language=\"JavaScript1.2\" src=\"modules/" . $module_name . "/insert_text.js\"></script>\n";
    }
    if ((!$zuvoll) && (!($userdaten['nuranonymous'] == true)) && (!(($userdaten['uname'] == $usernamen) && ($userdeniedpost)))) {
        if ($maxchars) {
            echo "<script language=\"JavaScript\" src=\"modules/" . $module_name . "/validate.js\"></script>\n";
            if ($GLOBALS['wysiwyg'] && $GLOBALS['wysiwyg_userguest']) {
                $SPAWON = "JA";
            } else {
                $SPAWON = "NEIN";
            }
            $onsubmit = "onsubmit=\"return validate(" . $maxchars . ",'" . $SPAWON . "')\"";
        } else {
            $onsubmit = "";
        }
        if (($useraddsig) && ($userdaten['user_sig'] != "")) {
            $userssignatur = "\n\n\n\n" . $userdaten['user_sig'];
        } else {
            $userssignatur = "";
        }
        OpenTable();
        echo "<form action=\"modules.php\" method=\"post\" name=\"coolsus\" id=\"coolsus\" " . $onsubmit . ">\n";
        echo "<b>" . _USERGB_YOURNAME . "</b>: " . $userdaten['uname'] . "<br>\n";
        echo "<br /><b>" . _USERGB_YOURENTRY . "</b>:<br />\n";

        if ($GLOBALS['wysiwyg'] && $GLOBALS['wysiwyg_userguest']) {
            $toolbar = ($allow_html) ? $GLOBALS['wysiwyg_toolbar'] : 'mini';
            $sw = new SPAW_Wysiwyg('text', $userssignatur, _DOC_LANGUAGE, $toolbar, $GLOBALS['wysiwyg_btnset'], '100%', '250');
            $sw->show();
        } else {
            echo "<textarea name=\"text\" wrap=\"virtual\" cols=\"60\" rows=\"10\">" . $userssignatur . "</textarea>\n";
            echo "<br /><br />\n";
            if ($AddSmilies) {
                foreach ($smilies as $key => $value) {
                    echo "<a href=\"javascript: insert_text(' " . $key . " ');\"><img src=\"" . $value . "\" border=\"0\" alt=\"\" /></a> \n";
                }
                echo "<br /><br />\n";
            }
        }
        echo "<input type=\"hidden\" name=\"name\" value=\"UserGuest\">";
        echo "<input type=\"hidden\" name=\"op\" value=\"add\">";
        echo "<input type=\"hidden\" name=\"usernamen\" value=\"" . mxEntityQuotes($usernamen) . "\">";
        echo "<input type=\"hidden\" name=\"fromuser\" value=\"" . mxEntityQuotes($userdaten['uname']) . "\">";
        echo "<input type=\"SUBMIT\" value=\"" . _USERGB_SUBMIT . "\" />\n";
        echo "</form>\n";
        CloseTable();
        // include('footer.php');
    } else {
        include("footer.php");
        die();
    }
}

function authenticate ()
{
    if ((!MX_IS_USER) && (!MX_IS_ADMIN)) {
        $userdaten['nuranonymous'] = true;
        $userdaten['uname'] = "Anonymous";
        $nuradmin = false;
    } elseif ((!MX_IS_USER) && (MX_IS_ADMIN)) {
        $admindaten = mxGetAdminData();
        $nuradmin = true;
        if ((isset($admindaten['user_uid'])) && ($admindaten['user_uid'] != 0)) {
            $userdaten = mxGetUserDataFromUid($admindaten['user_uid']);
            $userdaten['nuranonymous'] = false;
        } else {
            OpenTable();
            echo "<center> " . _USERGBONLYADMIN . "\n";
            echo _USERGBONLYADMIN2 . "</center>\n";
            echo "<center><a href=\"javascript:history.go(-1)\">" . _USERGUESTBOOKDEAKT5 . "</a></center><br />\n";
            CloseTable();
            include ("footer.php");
            die();
        }
    } elseif (MX_IS_USER) {
        $nuradmin = false;
        $userdaten = mxGetUserData();
        $userdaten['nuranonymous'] = false;
    }
    $userdaten['nuradmin'] = $nuradmin;
    return $userdaten;
}

function get_parameter ($userdaten)
{
    if ($userdaten['nuranonymous'] == true) {
        $_REQUEST['op'] = "view";
    }
    if (empty($_REQUEST['op'])) {
        $_REQUEST['op'] = "view";
    }
    if (empty($_REQUEST['usernamen']) && ($_REQUEST['op'] == "signin" || $_REQUEST['op'] == "view" || $_REQUEST['op'] == "add")) {
        if (empty($_REQUEST['touser'])) {
            $_REQUEST['usernamen'] = $userdaten['uname'];
        } else {
            $_REQUEST['usernamen'] = $_REQUEST['touser'];
        }
    }
    $_REQUEST['usernamen'] = mxSecureValue($_REQUEST['usernamen']);
    $verif = mxGetUserDataFromUsername($_REQUEST['usernamen']);
    if (!isset($verif['uid'])) {
        Header("Location: index.php");
    }
    return $_REQUEST['usernamen'];
}

function is_guestbook_active($the_recipient)
{
    global $user_prefix;
    $active_or_not = "SELECT user_guestbook from " . $user_prefix . "_users where uname='" . mxAddSlashesForSQL($the_recipient) . "'";
    $ist_aktiv = sql_fetch_assoc(sql_query($active_or_not));
    $ist_aktiv = (empty($ist_aktiv['user_guestbook'])) ? 0: 1;
    return $ist_aktiv;
}

function is_guestbook_full ($the_recipient)
{
    global $prefix, $maxentrys;
    $GLOBALS['menge'] = sql_num_rows(sql_query("select gid from " . $prefix . "_userguest where touser='" . $the_recipient . "'"));
    if ($maxentrys) {
        if ($GLOBALS['menge'] >= $maxentrys) {
            $zuvoll = true;
        } else {
            $zuvoll = false;
        }
    } else {
        $zuvoll = false;
    }
    return $zuvoll;
}

$userdaten = authenticate();
$the_recipient = get_parameter ($userdaten);
$ist_aktiv = is_guestbook_active($the_recipient);
$zuvoll = is_guestbook_full ($the_recipient);
if (($ist_aktiv) || ($the_recipient == $userdaten['uname'])) {
    switch ($_REQUEST['op']) {
        case "signin":

            if (!$zuvoll) {
                include ("header.php");
                guestbookinput($the_recipient);
                include("footer.php");
            } else {
                include ("header.php");
                viewguestbook($the_recipient);
                include("footer.php");
            }
            break;

        case "add":
            if (!$zuvoll) {
                include ("header.php");
                guestbookdbinput($_POST);
                include("footer.php");
            } else {
                include ("header.php");
                viewguestbook($the_recipient);
                include("footer.php");
            }
            break;

        case "delete_selected":
            $gid_array = $_POST['check_delete'];
            include ("header.php");
            delselected ($gid_array, $usernamen, $counter, $internal_counter);
            include("footer.php");
            break;

        case "do_backup":
            include(dirname(__FILE__) . '/backup.php');
            uguest_backup($usernamen);
            break;

        case "view":
        default:
            if (!isset($_REQUEST['counter'])) {
                $counter = 0;
            } else {
                $counter = intval($_REQUEST['counter']);
            }
            include ("header.php");
            viewguestbook($the_recipient, $counter);
            include("footer.php");
            break;
    }
} else {
    include("header.php");
    OpenTable();
    echo "<center>" . _USERGUESTBOOKDEAKT1 . " " . $the_recipient . " " . _USERGUESTBOOKDEAKT2 . "</center><br />\n";
    echo "<center>" . _USERGUESTBOOKDEAKT3 . "</center><br />\n";
    echo "<center>" . _USERGUESTBOOKDEAKT4 . " <a href=\"modules.php?name=Private_Messages&amp;to_user=" . $the_recipient . "&amp;op=send_to\">" . _USERGUESTBOOKPMTO . " " . $the_recipient . "</a></center>\n";
    echo "<br /><br />\n";
    echo "<center><a href=\"javascript:history.go(-1)\">" . _USERGUESTBOOKDEAKT5 . "</a></center><br />\n";
    CloseTable();
    include("footer.php");
}

?>
