<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.8 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:04:59 $
 */

defined('mxMainFileLoaded') or die('access denied');
// error_reporting(E_ALL);
if (!mxGetAdminPref("radminlink")) {
    mxErrorScreen("Access Denied");
    die();
}

$module_name = basename(dirname(dirname(__FILE__)));
// mxGetLangfile($module_name);
// include('modules/' . $module_name . '/l_config.php');
// include('modules/' . $module_name . '/includes/functions.php');
if (empty($_GET['url'])) {
    $msg = '<h3>' . _WLFNOTFOUND . '</h3>';
} else {
    ob_start();
    $header = get_response_header($url, true);
    $msg = ob_get_clean();

    if (empty($header['status']) && isset($header['errstr'])) {
        $status = 'Error:&nbsp;' . $header['errstr'] . ' (' . $header['errno'] . ')';
    } else {
        $status = '<a href="http://de.selfhtml.org/servercgi/server/httpstatuscodes.htm#uebersicht" target="_blank">' . $header['status'] . '</a>';
    }

    $starturl = (empty($_GET['url'])) ? 'undefined' : '<a href="' . $_GET['url'] . '">' . $_GET['url'] . '</a>';
    $endurl = (empty($header['url'])) ? 'undefined' : '<a href="' . $header['url'] . '">' . $header['url'] . '</a>';
    $type = explode('/', $header['type']);
    $type = (empty($header['type'])) ? 'undefined' : '<a href="http://www.iana.org/assignments/media-types/' . $type[0] . '" target="_blank">' . $header['type'] . '</a>';
    $redirs = substr_count($msg, 'redirect to:');
}

?>

<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN"
	"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=<?php echo _CHARSET ?>" />
<meta http-equiv="content-language" content="<?php echo _DOC_LANGUAGE ?>" />
<title><?php echo _LINKVALIDATION;

?></title>
</head>

<body bgcolor="#F3F9E8" text="#000000" style="font-size: 0.8em; font-family: Verdana, Geneva, Arial, Helvetica, sans-serif;">
<h2><?php echo _LINKVALIDATION;

?></h2>
<hr noshade="noshade" size="1" />
<h3>summary:</h3>
<table>
<?php if ($redirs) {

    ?>
<tr><td><b>start-url:</b>&nbsp;</td><td><?php echo $starturl ?></td></tr>
<tr><td><b>redirected:</b>&nbsp;</td><td><?php echo $redirs ?> x</td></tr>
<?php }

?>
<tr valign="top"><td><b>target-url:</b>&nbsp;</td><td><?php echo $endurl ?></td></tr>
<tr valign="top"><td><b>status:</b>&nbsp;</td><td><?php echo $status ?></td></tr>
<tr valign="top"><td><b>type:</b>&nbsp;</td><td><?php echo $type ?></td></tr>
</table>
<hr noshade="noshade" size="1" />
<h3>response headers:</h3>
<?php echo $msg;

?>
</body>
</html>
