<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.14 $
 * $Author: tora60 $
 * $Date: 2008/01/29 00:26:49 $
 */

defined('mxMainFileLoaded') or die('access denied');
defined('mxYALoaded') or die('access denied');

function edituser()
{
    global $prefix, $bgcolor1, $bgcolor2, $bgcolor3;
    if (!MX_IS_USER) {
        main();
        return;
    }
    include_once("modules/Your_Account/navbar.php");
    $userinfo = mxGetUserData('fromdb');
    // Newsletter Modi by sidewind START
    $resultx = sql_query("SELECT status FROM ${prefix}_newsletter WHERE email='" . mxAddSlashesForSQL($userinfo["email"]) . "'");
    list($status) = sql_fetch_row($resultx);
    $userinfo['newsletter'] = ($status == 2) ? 1 :0;
    // Newsletter Mod by sidewind END
    if (vkpUserIsThisTheUser($userinfo["uid"])) {
        $userinfo["user_avatar"] = (empty($userinfo["user_avatar"])) ? "blank.gif" : $userinfo["user_avatar"];
        // $filelist = vkpYaGetAvatars();
        // foreach($filelist as $value) {
        // $sel = ($userinfo["user_avatar"]==$value) ? "selected" : "";
        // $xavatar[] = "<option value=\"$value\" $sel>$value\n";
        // }
        // $avOptions = implode("",$xavatar);
        // $cuser_viewemail = ($userinfo["user_viewemail"]) ? 'checked="checked"' : '';
        $userinfo["url"] = mxCutHTTP($userinfo["url"]);
        $userinfo["realname"] = $userinfo["name"];
        include("header.php");
        OpenTable();
        nav();
        CloseTable();
        echo '<br />';
        if (mxSessionGetVar("yasavedok")) {
            title(mxSessionGetVar("yasavedok"));
            mxSessionDelVar("yasavedok");
        }
        OpenTable();

        ?>
<div align="center">
	<div align="left">
		<form name="Register" action="modules.php?name=Your_Account" method="post">
			<table border="0" cellspacing="1" cellpadding="3" bgcolor="<?php echo $bgcolor1 ?>">
				<tr valign="top">
					<td colspan="4" bgcolor="<?php echo $bgcolor2 ?>">
						<font class="title"><?php echo _YA_ACCOUNTDATA ?></font>
					</td>
				</tr>
				<tr valign="top">
					<td bgcolor="<?php echo $bgcolor2 ?>" width="20%">
						<b><?php echo _NICKNAME ?>:</b>
					</td>
					<td bgcolor="<?php echo $bgcolor3 ?>">
						<b><?php echo mxPrepareToDisplay($userinfo["uname"]) ?></b>
					</td>
					<td bgcolor="<?php echo $bgcolor2 ?>" width="20%">
						<b>User-ID:</b>
					</td>
					<td bgcolor="<?php echo $bgcolor3 ?>">
						<b><?php echo $userinfo["uid"] ?></b>
					</td>
				</tr>
				<tr valign="top">
					<td bgcolor="<?php echo $bgcolor2 ?>" width="20%">
						<b><?php echo _UREALEMAIL ?> :</b>
					</td>
					<td colspan="3" bgcolor="<?php echo $bgcolor3 ?>">
						<input type="text" name="email" value="<?php echo mxEntityQuotes($userinfo["email"]) ?>" size="50" maxlength="255">&nbsp;<?php echo _REQUIRED ?>
						<br><span class="tiny"><?php echo _EMAILNOTPUBLIC ?></span>
					</td>
				</tr>
				<tr valign="top">
					<td bgcolor="<?php echo $bgcolor2 ?>">
						<b><?php echo _PASSWORD ?>:</b>
					</td>
					<td colspan="3" bgcolor="<?php echo $bgcolor3 ?>">
						<input type="password" name="pass" size="22" maxlength="20">&nbsp;&nbsp;
						<input type="password" name="vpass" size="22" maxlength="20">
						<br><span class="tiny"><?php echo _TYPENEWPASSWORD ?></span>
					</td>
				</tr>
				<?php echo vkpUserform($userinfo) ?>
				<tr>
					<td colspan="3">
						<input type="hidden" name="name" value="Your_Account">
						<input type="hidden" name="old_pass" value="<?php echo $userinfo["pass"] ?>">
						<input type="hidden" name="old_email" value="<?php echo $userinfo["email"] ?>">
						<input type="hidden" name="uname" value="<?php echo $userinfo["uname"] ?>">
						<input type="hidden" name="uid" value="<?php echo $userinfo["uid"] ?>">
						<input type="hidden" name="op" value="saveuser">
						<input type="submit" value="<?php echo _SAVECHANGES ?>">
					</td>
					<td align="right"><a href="modules.php?name=Your_Account&amp;op=delete"><?php echo _DELETEACCT ?></a>
					</td>
				</tr>
			</table>
		</form>
	</div>
</div>

<?php
        CloseTable();
        include("footer.php");
    } else {
        main();
    }
}

function saveuser($pvs)
{
    global $user_prefix, $prefix;
    mxSessionDelVar("yasavedok");
    $pvs['uid'] = (int)$pvs['uid'];
    $pvs = userCheck($pvs);
    if (!is_array($pvs)) {
        mxErrorScreen($pvs);
        return;
    }
    if (!vkpUserIsThisTheUser($pvs['uid'])) {
        mxSecureLog("SecLog", "Bad Useredit (false user)");
        mxErrorScreen(_YOUBAD);
    }
    if ((!empty($pvs['pass'])) && ($pvs['pass'] != $pvs['vpass'])) {
        mxErrorScreen(_PASSDIFFERENT);
    } elseif ((!empty($pvs['pass'])) && (strlen($pvs['pass']) < $GLOBALS['minpass'])) {
        mxErrorScreen("" . _YOUPASSMUSTBE . " <b>" . $GLOBALS['minpass'] . "</b> " . _CHARLONG . "");
    }

    // bisherige Userinfo aus Session lesen
    $old_userinfo = mxGetUserData();

    $pvs['pass'] = (md5($pvs['pass']) == $pvs['old_pass']) ? '' : $pvs['pass']; // nur wenn Passwort gendert
    $passedit = (empty($pvs['pass'])) ? '' : md5($pvs['pass']); // nur wenn neues Paswort
    $sqlvars = mxAddSlashesForSQL($pvs);
    extract($sqlvars);
    $setbday = (empty($bday)) ? "NULL" : "'$bday'";

    if ($passedit) $fields[] = "pass = '$passedit'";
    if (isset($email)) $fields[] = "email = '$email'";
    if (isset($realname)) $fields[] = "name = '$realname'";
    if (isset($femail)) $fields[] = "femail = '$femail'";
    if (isset($user_sexus)) $fields[] = "user_sexus =  $user_sexus";
    if (isset($url)) $fields[] = "url = '$url'";
    if (isset($user_avatar)) $fields[] = "user_avatar = '$user_avatar'";
    if (isset($user_occ)) $fields[] = "user_occ = '$user_occ'";
    if (isset($user_from)) $fields[] = "user_from = '$user_from'";
    if (isset($bio)) $fields[] = "bio = '$bio' ";
    if (isset($user_intrest)) $fields[] = "user_intrest = '$user_intrest'";
    if (isset($user_sig)) $fields[] = "user_sig = '$user_sig'";
    if (isset($user_icq)) $fields[] = "user_icq = '$user_icq'";
    if (isset($user_aim)) $fields[] = "user_aim = '$user_aim'";
    if (isset($user_yim)) $fields[] = "user_yim = '$user_yim'";
    if (isset($user_msnm)) $fields[] = "user_msnm = '$user_msnm'";
    if (isset($newsletter)) $fields[] = "newsletter =  $newsletter";
    if (isset($setbday)) $fields[] = "user_bday =  $setbday";
    if (function_exists("saveuser_option")) {
        // loeschen oder hinzufuegen von Insert-Elementen
        $fields = saveuser_option($pvs, $fields);
    }

    $qry = "UPDATE ${user_prefix}_users SET " . implode(', ', $fields) . " WHERE uid=" . $uid . "";
    $result = sql_query($qry);
    if (!$result) {
        mxErrorScreen(_SOMETHINGWRONG . " (1)");
    }
    // nur wenn Passwort gendert, Session neu schreiben
    if ($passedit) {
        $result = sql_query("SELECT uid, pass FROM ${user_prefix}_users WHERE uname='" . mxAddSlashesForSQL($uname) . "' AND pass='" . MD5($pass) . "'");
        list($db_uid, $db_pass) = sql_fetch_row($result);
        if (empty($db_uid) || $db_uid != $old_userinfo['uid']) {
            mxErrorScreen(_SOMETHINGWRONG . " (2)");
        }
        // Reihenfolge der Argumente:
        // uid, uname, pass, storynum, umode, uorder, thold, noscore, ublockon, theme, commentmax
        mxSetUserSession($old_userinfo['uid'], $old_userinfo['uname'], $db_pass, $old_userinfo['storynum'], $old_userinfo['umode'], $old_userinfo['uorder'], $old_userinfo['thold'], $old_userinfo['noscore'], $old_userinfo['ublockon'], $old_userinfo['theme'], $old_userinfo['commentmax']);
    }
    // # NEWSLETTER by sidewind START
    if ($newsletter) {
        $resultx = sql_query("SELECT status, email from ${prefix}_newsletter WHERE email IN('" . mxAddSlashesForSQL($old_userinfo['email']) . "', '" . mxAddSlashesForSQL($email) . "') ORDER BY regdate");
        if (!sql_num_rows($resultx)) {
            sql_query("INSERT INTO ${prefix}_newsletter SET email = '" . mxAddSlashesForSQL($email) . "', status = '2', checkkey='0', html='1', regdate='" . time() . "', regip='" . MX_REMOTE_ADDR . "', reghost='" . mxAddSlashesForSQL(gethostbyaddr(MX_REMOTE_ADDR)) . "'");
        } else {
            while ($nl_row = sql_fetch_assoc($resultx)) {
                if ($nl_row['status']) {
                    sql_query("UPDATE IGNORE ${prefix}_newsletter SET email = '" . $email . "', status = '2', checkkey='0' WHERE email='" . mxAddSlashesForSQL($nl_row['email']) . "'");
                }
            }
        }
    } else {
        $thisnluser = sql_query("SELECT id FROM ${prefix}_newsletter WHERE email IN('" . mxAddSlashesForSQL($old_userinfo['email']) . "', '" . mxAddSlashesForSQL($email) . "')");
        while (list($nlid) = sql_fetch_row($thisnluser)) {
            sql_query("DELETE FROM ${prefix}_newsletter WHERE id='" . intval($nlid) . "'");
            // sql_query("DELETE FROM ${prefix}_newsletter_sendto WHERE userid='" . intval($nlid) . "'");
        }
    }
    // ## Newsletter by sidewind END
    mxSessionSetVar("yasavedok", _YA_EDITUSEROK);
    if (function_exists("saveuser_option_2")) {
        // weitere Operationen nach dem erfolgreichen Speichern der Daten
        saveuser_option_2($pvs);
    }
    Header("Location: modules.php?name=Your_Account&op=edituser");
}

?>