<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.6.2.2 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:11:52 $
 *
 * Bariba-Newsletter Integration by sidewind, http://www.komplett-umsonst.de
 */

defined('mxMainFileLoaded') or die('access denied');
if (!defined("mxYALoaded")) define("mxYALoaded", 1);

mxGetLangfile("Your_Account");
require_once("modules/Your_Account/config.php");
require_once("includes/mx_userfunctions.php");

/**
 * Startfunktion des Moduls
 */
function main()
{
    if (MX_IS_USER) {
        $uinfo = mxGetUserData();
        include_once("modules/Userinfo/view.php");
        viewuserinfo($uinfo);
    } else {
        include_once("modules/Your_Account/loginout.php");
        loginscreen();
    }
}

/**
 * alten Nuke-Cookie in Session speichern
 */
function docookie($setuid, $setuname, $setpass, $setstorynum, $setumode, $setuorder, $setthold, $setnoscore, $setublockon, $settheme, $setcommentmax)
{
    mxSetUserSession("$setuid:$setuname:$setpass:$setstorynum:$setumode:$setuorder:$setthold:$setnoscore:$setublockon:$settheme:$setcommentmax");
}

/**
 * Liste aller Avatare anzeigen
 */
function avatarlist()
{
    $temcount = 1;
    $filelist = vkpYaGetAvatars();
    foreach($filelist as $varname => $value) {
        $nextline = "";
        if ($temcount == 10) {
            $nextline = "</tr><tr>";
            $temcount -= 10;
        }
        $size = @getimagesize("" . MX_PATH_AVATAR . "/" . $value . "");
        $alt = $value;
        $xavatar[] = "<td align=\"center\"><img src=\"" . MX_PATH_AVATAR . "/" . $value . "\" border=\"0\" $size[3] alt=\"$alt\"><br>$alt</td>$nextline";
        $temcount ++;
    }
    $avOptions = implode("", $xavatar);

    include("header.php");
    Opentable();
    echo "<center><font class=\"option\"><b>" . _AVAILABLEAVATARS . "</b></font><br><br>";
    echo "<table border=\"0\" cellspacing=\"0\" cellpadding=\"7\"><tr>$avOptions</tr></table>";
    CloseTable();
    include("footer.php");
}

/**
 * Auswahl der Funktionen
 */
switch ($op) {
    case "userinfo":
        Header("Location: modules.php?name=Userinfo&uname=" . urlencode($_REQUEST['uname']) . "");
        break;

    case "login":
        include_once("modules/Your_Account/loginout.php");
        $nextpage = (isset($_POST['redirect'])) ? $_POST['redirect'] : ((empty($yastartpage)) ? "modules.php?name=Userinfo" : $yastartpage);
        douserlogin($_POST, $nextpage);
        break;

    case "logout":
        include_once("modules/Your_Account/loginout.php");
        logout();
        break;

    case "logoutfin":
        include_once("modules/Your_Account/loginout.php");
        logoutfinisch();
        break;

    case "new_user":
        Header("Location: modules.php?name=User_Registration");
        break;

    case "confirm":
        Header("Location: modules.php?name=User_Registration");
        break;

    case "finish":
        Header("Location: modules.php?name=User_Registration");
        break;

    case "edituser":
        $pagetitle = _CHANGEYOURINFO;
        include_once("modules/Your_Account/edituser.php");
        edituser();
        break;

    case "saveuser":
        $pagetitle = _CHANGEYOURINFO;
        include_once("modules/Your_Account/edituser.php");
        saveuser($_POST);
        break;

    case "edithome":
    case "editcomm":
    case "chgtheme":
        $pagetitle = _CHANGEHOME;
        include_once("modules/Your_Account/edithome.php");
        edithome();
        break;

    case "savehome":
    case "savetheme":
    case "savecomm":
        $pagetitle = _CHANGEHOME;
        include_once("modules/Your_Account/edithome.php");
        savehome($_POST);
        break;

    case "delete":
        $pagetitle = _DELETEACCT;
        include_once("modules/Your_Account/deleteuser.php");
        deleteuser();
        break;

    case "delconfirm":
        $pagetitle = _DELETEACCT;
        include_once("modules/Your_Account/deleteuser.php");
        delconfirm($_GET);
        break;

    case "deletefinisch":
        $pagetitle = _DELETEACCT;
        include_once("modules/Your_Account/deleteuser.php");
        deletefinisch($_GET);
        break;

    case "lost_pass":
    case "pass_lost":
        $pagetitle = _PASSWORDLOST;
        include_once("modules/Your_Account/passlost.php");
        pass_lost();
        break;

    case "mailpasswd":
        $pagetitle = _PASSWORDLOST;
        include_once("modules/Your_Account/passlost.php");
        mail_password($_POST);
        break;

    case "avatarlist":
        $pagetitle = _AVAILABLEAVATARS;
        avatarlist();
        break;

    default:
        $pagetitle = _THISISYOURPAGE;
        main();
        break;
}
