<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.17.2.4 $
 * $Author: tora60 $
 * $Date: 2008/01/28 09:53:36 $
 *
 * Bariba-Newsletter Integration by sidewind, http://www.komplett-umsonst.de
 * Sie Version von: Andi, http://shiba-design.de
 * corrections by Joerg Fiedler, http://www.vatersein.de/
 */

defined('mxMainFileLoaded') or die('access denied');

define("_NOMOREINFORMATION", "Keine <b>weiteren Informationen</b> &uuml;ber diesen User verf&uuml;gbar");
define("_UPLOADETAVATAR", "Ihr pers&ouml;nlicher Avatar");
define("_DELETEAVATAR", "Avatar l&ouml;schen?");
define("_AVATARUPLOAD", "Avatar hochladen");
define("_EMAIL", "E-Mail");
define("_YES", "Ja");
define("_NO", "Nein");
define("_OPTIONAL", "(optional)");
define("_REQUIRED", "(erforderlich)");
define("_SAVECHANGES", "&Auml;nderungen speichern");
define("_THRESHOLD", "Grenze");
define("_NOCOMMENTS", "kein Kommentar");
define("_NESTED", "geschachtelt");
define("_FLAT", "flach");
define("_THREAD", "Diskussionsfaden");
define("_OLDEST", "Alte zuerst");
define("_NEWEST", "Neue zuerst");
define("_HIGHEST", "H&ouml;chste Punktzahl zuerst");
define("_ERRORINVEMAIL", "FEHLER: Ung&uuml;ltige E-Mail-Adresse");
define("_ERRORNOEMAIL", "FEHLER: keine E-Mail-Adresse angegeben");
define("_ERRORINVNICK", "FEHLER: Ung&uuml;ltiger Benutzername.");
define("_NICK2LONG", "FEHLER: der Benutzername ist zu lang. Maximal 25 Zeichen.");
define("_NICK2SHORT", "FEHLER, der Benutzername ist zu kurz.");
define("_NAMERESERVED", "FEHLER: Dieser Name existiert bereits.");
define("_NICKNOSPACES", "FEHLER: Benutzername darf keine Freizeichen enthalten.");
define("_NICKTAKEN", "FEHLER: Dieser Benutzername existiert bereits.");
define("_EMAILREGISTERED", "FEHLER: Diese E-Mail-Adresse existiert bereits.");
define("_UUSERNAME", "Benutzername");
define("_FINISH", "Fertigstellen");
define("_YOUUSEDEMAIL", "Sie, oder jemand anderes, hat Ihre email-Adresse verwendet, um bei");
define("_TOREGISTER", " einen Account anzumelden");
define("_YOUAREREGISTERED", "Sie sind jetzt angemeldet. Das Passwort wird Ihnen an die angegebene E-Mail-Adresse gesendet.");
define("_THISISYOURPAGE", "Ihr pers&ouml;nliches Kontrollzentrum");
define("_AVATAR", "Avatar");
define("_WEBSITE", "Website");
define("_ICQ", "ICQ-Nummer");
define("_AIM", "AIM-Nummer");
define("_YIM", "YIM-Nummer");
define("_MSNM", "MSNM-Nummer");
define("_LOCATION", "Ort");
define("_OCCUPATION", "T&auml;tigkeit");
define("_INTERESTS", "Interessen");
define("_SIGNATURE", "Signatur");
define("_MYHOMEPAGE", "Meine Homepage:");
define("_MYEMAIL", "Meine E-Mail:");
define("_EXTRAINFO", "Weitere Infos");
define("_NOINFOFOR", "Es gibt keine Informationen &uuml;ber");
define("_LAST10COMMENTS", "die letzten 10 Kommentare von");
define("_LAST10SUBMISSIONS", "die letzten 10 Beitr&auml;ge von");
define("_LOGININCOR", "Login fehlerhaft! Bitte versuchen Sie es noch einmal...");
define("_USERLOGIN", "Benutzer- Login");
define("_USERREGLOGIN", "Benutzer anmelden/einloggen");
define("_REGNEWUSER", "Neuen Benutzer anmelden");
define("_LIST", "Auflisten");
define("_NEWUSER", "neuer Benutzer");
define("_PASSWILLSEND", "Das Passwort wird Ihnen (zus&auml;tzlich) per eMail geschickt.");
define("_COOKIEWARNING", "Um Benutzereinstellungen nutzen zu k&ouml;nnen, m&uuml;ssen Cookies in Ihrem Browser aktiviert werden.");
define("_ASREGUSER", "Als angemeldeter Benutzer koennen Sie bspw.:");
define("_ASREG1", "Kommentare mit Ihrem Namen schreiben");
define("_ASREG2", "Nachrichten mit Ihrem Namen schreiben");
define("_ASREG3", "Die Anzeige der Startseite ver&auml;ndern");
define("_ASREG4", "Die Zahl der angezeigten Nachrichten f&uuml;r die Newsseite einstellen");
define("_ASREG5", "Kommentardarstellung anpassen");
define("_ASREG6", "Ihren pers&ouml;nlichen Avatar ausw&auml;hlen oder hochladen");
define("_ASREG7", "sowie auf weitere interessante Funktionen und Inhalte zugreifen...");
define("_REGISTERNOW", "Melden Sie sich jetzt an! Es ist kostenlos und unverbindlich.");
define("_WEDONTGIVE", "Wir versichern Ihnen, da&szlig; wir Ihre pers&ouml;nlichen Daten nicht weitergeben.");
define("_ALLOWEMAILVIEW", "Anderen Benutzern meine email-Adresse sichtbar machen ?");
define("_OPTION", "Optionen");
define("_PASSWORDLOST", "Passwort vergessen?");
define("_NOPROBLEM", "Kein Problem. Benutzername eingeben und auf \"Passwort senden\" klicken.<br>Sie werden den Best&auml;tigungs-Code per eMail erhalten.<br>Danach gehen Sie wieder auf diese Seite und geben unter dem Benutzernamen den Best&auml;tigungs-Code ein.<br>Daraufhin wird Ihnen automatisch ein neues Passwort per eMail zugeschickt.");
define("_CONFIRMATIONCODE", "Best&auml;tigungs-Code");
define("_SENDPASSWORD", "Best&auml;tigungs-Code / Passwort zusenden");
define("_YOUARELOGGEDOUT", "Sie sind jetzt abgemeldet.");
define("_SORRYNOUSERINFO", "Keine passende Benutzerinfo gefunden");
define("_CODEREQUESTED", "Sie, oder ein anderer Benutzer, haben gerade einen Best&auml;tigungscode beantragt um Ihr Passwort zu &auml;ndern. ");
define("_YOURCODEIS", "Ihr Best&auml;tigungs-Code lautet:");
define("_WITHTHISCODE", "Mit diesem Code k&ouml;nnen Sie ein neues Passwort beantragen.");
define("_HASTHISEMAIL", "Um Ihr neues Passwort zu bekommen, folgen Sie bitte diesem Link und geben dort den obenstehenden Best&auml;tigungscode ein:");
define("_IFYOUDIDNOTASK2", "Sollten Sie diese E-Mail nicht beantragt haben, so ignorieren sie diese. Sollte dies aber nocheinmal vorkommen, setzen Sie sich bitte mit einem Administrator in Verbindung und nennen diesem die oben genannte IP.");
define("_HASREQUESTED", "Sie, oder ein anderer Benutzer, haben gerade ein neues Passwort angefordert.");
define("_YOURNEWPASSWORD", "Ihr neues Passwort ist:");
define("_YOUCANCHANGE", "Sie k&ouml;nnen es &auml;ndern, nachdem Sie sich eingeloggt haben.");
define("_IFYOUDIDNOTASK", "Falls Sie nicht nach dem Passwort gefragt haben, ist dies auch kein Problem. NUR Sie k&ouml;nnen diese Nachricht sehen. Melden Sie sich einfach mit dem neuen Passwort an.");
define("_UPDATEFAILED", "Konnte Benutzereintrag nicht &auml;ndern. Bitte den Administrator kontaktieren.");
define("_PASSWORD4", "Passwort f&uuml;r");
define("_MAILED", "gesendet.");
define("_CODEFOR", "Best&auml;tigungs-Code fuer");
define("_USERPASSWORD4", "Benutzer Passwort fuer");
define("_UREALNAME", "Richtiger Name");
define("_UREALEMAIL", "E-Mail-Adresse");
define("_EMAILNOTPUBLIC", "(Diese E-Mail-Adresse wird nicht ver&ouml;ffentlicht. Sie wird gebraucht, um Ihnen z.B. ein neues Passwort zu senden.)");
define("_UFAKEMAIL", "angezeigte E-Mail-Adresse");
define("_EMAILPUBLIC", "(Diese E-Mail-Adresse wird ver&ouml;ffentlicht.)");
define("_YOURHOMEPAGE", "Ihre Homepage");
define("_YOURAVATAR", "Ihr Avatar");
define("_YICQ", "Ihr ICQ");
define("_YAIM", "Ihr AIM");
define("_YYIM", "Ihr YIM");
define("_YMSNM", "Ihr MSNM");
define("_YLOCATION", "Ihr Wohnort");
define("_YOCCUPATION", "Ihre T&auml;tigkeit");
define("_YINTERESTS", "Ihre Interessen");
define("_255CHARMAX", "(maximal 400 Zeichen. F&uuml;gen Sie hier die Signatur ein (HTML code m&ouml;glich)");
define("_CANKNOWABOUT", "(maximal 255 Zeichen. N&auml;here Angaben &uuml;ber Sie, f&uuml;r andere Benutzer)");
define("_TYPENEWPASSWORD", "(Zum &Auml;ndern bitte das neue Passwort zwei Mal eingeben)");
define("_SOMETHINGWRONG", "SQL-Fehler!<br>Die Daten konnten nicht gespeichert werden.");
define("_PASSDIFFERENT", "Die beiden Passw&ouml;rter sind unterschiedlich. Sie m&uuml;ssen identisch sein.");
define("_YOUPASSMUSTBE", "Das Passwort muss mindestens");
define("_CHARLONG", "Zeichen lang sein");
define("_AVAILABLEAVATARS", "Verf&uuml;gbare Avatare");
define("_NEWSINHOME", "Anzahl der Artikel auf der News-Seite");
define("_MAX127", "(max. 127):");
define("_ACTIVATEPERSONAL", "Pers&ouml;nliches Men&uuml; aktivieren.");
define("_CHECKTHISOPTION", "(Aktivieren sie diese Option und der folgende Text wird auf der Startseite erscheinen.)");
define("_YOUCANUSEHTML", "(Sie k&ouml;nnen auch HTML Code einf&uuml;gen, wie z.B. Weblinks.)");
define("_SELECTTHEME", "Seiten-Design w&auml;hlen");
define("_THEMETEXT1", "Diese Option stellt die Darstellung aller Seiten auf dieses Design um.");
define("_THEMETEXT2", "Die &Auml;nderungen werden nur Sie betreffen.");
define("_THEMETEXT3", "Jeder Benutzer kann sich f&uuml;r die Seiten ein eigenes Design einstellen.");
define("_DISPLAYMODE", "Darstellungsmodus");
define("_SORTORDER", "Sortieren nach");
define("_COMMENTSWILLIGNORED", "Kommentare, welche diese Einstellung unterschreiten, werden nicht angezeigt.");
define("_UNCUT", "Urspr&uuml;nglich und ungek&uuml;rzt");
define("_EVERYTHING", "Fast alles");
define("_FILTERMOSTANON", "die meisten anonymen Nutzer filtern");
define("_USCORE", "Wertung");
define("_SCORENOTE", "Anonyme Beitr&auml;ge beginnen bei 0, von Benutzern erstellte Beitr&auml;ge bei 1. Moderatoren k&ouml;nnen Punkte hinzuf&uuml;gen oder abziehen.");
define("_NOSCORES", "Wertungen nicht anzeigen");
define("_HIDDESCORES", "(Versteckte Wertung: Die Punkte sind wirksam, aber nicht sichtbar.)");
define("_MAXCOMMENT", "Maximale Kommentarl&auml;nge");
define("_TRUNCATES", "(K&uuml;rzt lange Kommentare und f&uuml;gt einen Link f&uuml;r \"weiterlesen...\" ein. Schaltet ganz gross aus)");
define("_BYTESNOTE", "bytes (1024 bytes = 1K)");
define("_USENDPRIVATEMSG", "Private Nachricht senden an");
define("_THEMESELECTION", "Seitendarstellung konfigurieren");
define("_COMMENTSCONFIG", "Kommentardesign konfigurieren");
define("_HOMECONFIG", "Startseitenkonfiguration");
define("_PERSONALINFO", "Pers&ouml;nliche Informationen");
define("_USERSTATUS", "jetzt Online");
define("_ONLINE", "Online");
define("_OFFLINE", "Offline");
define("_CHANGEYOURINFO", "Ihre Informationen");
define("_CHANGEYOURPHOTO", "Ihr Photo");
define("_CONFIGCOMMENTS", "Kommentar-Ansicht");
define("_CHANGEHOME", "Ihre Einstellungen");
define("_LOGOUTEXIT", "Abmelden");
define("_SELECTTHETHEME", "Seiten-Design");
define("_PRIVATEMESSAGES", "Ihre privaten Nachrichten");
define("_EDITUSER", "Benutzerdaten editieren");
define("_RECEIVENEWSLETTER", "Newsletter per E-Mail erhalten?");
define("_NOTSUBSCRIBED", "Sie sind nicht f&uuml;r unseren Newsletter eingetragen");
define("_SUBSCRIBED", "Sie sind f&uuml;r unseren Newsletter eingetragen");
define("_USERCHECKDATA", "bitte &uuml;berpr&uuml;fen Sie alle eingegebenen Daten. Wenn alles korrekt ist, k&ouml;nnen Sie mit dem \"Fertigstellen\" Button die Anmeldung abschliessen. Klicken sie auf \"Zur&uuml;ck\" und Sie k&ouml;nnen &auml;ndern, was n&ouml;tig ist.");
define("_USERFINALSTEP", "Neue Benutzer Anmeldung: Abschliessender Schritt");
define("_ACCOUNTCREATED", "Ein neuer UserAccount wurde erstellt!");
define("_THANKSUSER", "Vielen Dank f&uuml;r Ihre Registrierung bei");
define("_YOUCANLOGIN", "In kurzer Zeit erhalten Sie eine eMail mit dem vom System erstellten Kennwort.<br>Sie k&ouml;nnen das Kennwort &uuml;ber den Link \"Ihre Benutzerdaten\" jederzeit &auml;ndern.");
define("_BROWSEUSERS", "Benutzer auflisten");
define("_SEARCHUSERS", "Benutzer suchen");
define("_DIRECTLOGIN", "Sofort einloggen, ");
define("_2CHANGEINFO", "um \"Ihre Benutzerdaten\" zu &auml;ndern.");
define("_DESIREDPASS", "Kennwort");
define("_CONFIRMPASS", "Bitte wiederholen");
define("_OPTIONAL1", "(Optional, minimum " . $GLOBALS["minpass"] . " Zeichen.)");
define("_OPTIONAL2", "Bitte das Passwort zwei Mal eingeben.");
define("_OPTIONAL3", "(Bitte mit \" http:// \" eingeben.)");
define("_NOTCONFIRMED", "Sie haben Ihr Kennwort nicht korrekt wiederholt. Sie haben");
define("_NOTCONFIRMED2", "eingegeben und bei der Wiederholung:");
define("_NOTCONFIRMED3", "Bitte gehen Sie zur&uuml;ck und geben Ihr Wunschkennwort erneut ein.");
define("_NOTPROVIDE", "Sie haben kein Wunschkennwort eingeben, so dass vom System ein zuf&auml;lliges generiert wurde.");
define("_OR", "oder");
define("_YOUBAD", "Sie haben versucht, eine ung&uuml;ltige Operation durchzuf&uuml;hren!");
define("_SUREDELETE", "Sind Sie sicher, dass Sie Ihren Account l&ouml;schen m&ouml;chten?");
define("_ACCTDELETED", "Ihr Account wurde aus unserem System entfernt!");
define("_DELETEACCT", "Account l&ouml;schen");
define("_CHANGEACCT", "Ihre Infos ver&auml;ndern");
define("_ACCTHOME", "Hauptseite ver&auml;ndern");
define("_ACCTCOMMENTS", "Kommentareinstellungen");
define("_ACCTTHEME", "Ein anderes Design ausw&auml;hlen");
define("_ACCTEXIT", "Logout/Exit");
define("_DATABASEERROR", "Datenbankfehler: Benutzer konnte nicht zur Datenbank hinzugef&uuml;gt werden.");
define("_YA_YESPOINTS", "einen Userpunkt");
define("_YA_NOPOINTS", "keine Userpunkte");
define("_YA_HASPOINTS", " Userpunkte insgesamt");
define("_YA_BWOPMSG", "private Nachrichten");
define("_YA_BWOPMSGALL", "insgesamt");
define("_YA_BWOPMSGUNREAD", "ungelesen");
define("_GUESTBOOKPRIVMSG2", "'s G&auml;stebuch ansehen oder eintragen");
define("_ALLOWEDHTML", "erlaubter HTML Code:");
define("_YA_CLICKTOSHOW", "hier klicken");
define("_YA_PWVORSCHLAG", "Vorschlag");
define("_YA_ACCOUNTDATA", "pers&ouml;nliche Daten");
define("_YA_EDITDATAOK", "Ihre Einstellungen wurden gespeichert.");
define("_YA_EDITUSEROK", "Ihre pers&ouml;nlichen Daten wurden gespeichert.");
define("_YA_DEFAULTTHEME", " Seitenstandard");
define("_YOUAREREGISTERED_0", "Sie sind jetzt angemeldet. In kurzer Zeit erhalten Sie eine eMail mit dem vom System erstellten Kennwort. Sie k&ouml;nnen das Kennwort &uuml;ber den Link \"Ihre Benutzerdaten\" jederzeit &auml;ndern.");
define("_YOUAREREGISTERED_1", "Sie sind jetzt angemeldet. Das Passwort wird Ihnen zus&auml;tlich an die angegebene email-Adresse gesandt.");
define("_YOUAREREGISTERED_2", "Sie sind jetzt angemeldet. Nach Freischaltung Ihres Accounts, durch einen Administrator, wird Ihnen das Passwort an die angegebene email-Adresse gesandt. Damit k&ouml;nnen Sie sich im System einloggen.");
define("_YOUAREREGISTERED_3", "Sie erhalten eine eMail mit dem Aktivierungslink an die angegebene EMail-Adresse. Sie m&uuml;ssen damit Ihren Account, innerhalb der n&auml;chsten 24 Stunden, aktivieren. Ansonsten werden Ihre Daten wieder aus dem System gel&ouml;scht.");
define("_NEWSLETTERTEXT", "Ich m&ouml;chte den Newsletter abonnieren");
define("_NEWSLETTER", " Newsletter");
define("_HTMLHEADER", "<html><head><title></title></head>\n<body bgcolor=\"#FFFFFF\" text=\"#000000\">\n<H2><i>Willkommen bei " . $GLOBALS['sitename'] . "</i></H2><P>");
define("_HTMLFOOTER", "</P><br><br>\n&copy; 2001-2003, by <a href=\"" . MX_HOME_URL . "\">" . $GLOBALS['sitename'] . "</a><br>\nKontakt-E-Mail: <a href=\"mailto:" . mxPrepareToDisplay($GLOBALS['adminmail']) . "\">" . mxPrepareToDisplay($GLOBALS['adminmail']) . "</a><br>\n&quot;" . $GLOBALS["slogan"] . "&quot;\n</body></html>");
define("_YA_LOGINERR_1", "Fehler!<br>Die Sessioninitialisierung ist fehlgeschlagen.<br>Vermutlich verhindern Ihre Sicherheitseinstellungen das Setzen von Cookies. (1)");
define("_YA_LOGINERR_2", "Fehler!<br>Die Sessioninitialisierung ist fehlgeschlagen. (2)");
define("_YA_LOGINERR_3", "Fehler!<br>Der Benutzername oder das Kennwort ist ung&uuml;ltig. (3)");
define("_YA_LOGINERR_4", "Fehler!<br>Dieser Benutzeraccount existiert nicht. (4)");
define("_YA_LOGINERR_5", "Fehler!<br>Das Passwort ist falsch. (5)");
define("_YA_LOGINERR_6", "Fehler!<br>Dieser Benutzeraccount wurde noch nicht aktiviert. (6)");
define("_YA_LOGINERR_7", "Fehler!<br>Dieser Benutzeraccount wurde gel&ouml;scht. (7)");
define("_YA_LOGINERR_8", "Fehler!<br>Diese Webseite zeigt das Copyright der CMS-Entwickler nicht an. Das Einloggen ist nicht m&ouml;glich. (8).");
define("_YA_LOGINERR_9", "Fehler!<br>Dieser Benutzeraccount wurde deaktiviert. (9)");
define('_YA_LOGINERR_10', 'Die aktuelle Session ist nicht mehr g&uuml;ltig.');
define("_YA_PMPOPTIME1", "Popupfenster");
define("_YA_PMPOPTIME2", "neue private Nachrichten abfragen und diese im Popupfenster anzeigen. (Javascript muss aktiviert sein)");
define("_YA_PMPOPTIME3", "alle ");
define("_YA_PMPOPTIME4", "Sekunden");
define("_YA_PMPOPTIME5", "Minuten");
define("_YA_ONLYYOUSEE", "Diese Informationen k&ouml;nnen nur Sie sehen");
// User Registration
define("_YA_REG_MAILMSG2", "Nach Freischaltung Ihres Accounts, durch einen Administrator, wird Ihnen das Passwort an diese email-Adresse gesandt. Sollten Sie innerhalb der n&auml;chsten 3 Tage keine Nachricht von uns erhalten, fragen Sie bitte per mail bei uns nach. Oder verwenden Sie unsere Feedback-Funktion."); # unter: ".MX_HOME_URL."/modules.php?name=Feedback");
define("_YA_REG_MAILSUB2", "Anmeldebest&auml;tigung f&uuml;r");
/* START Benutzer muessen den AGB zustimmen - 2005-18-05  (RtR)*/
define("_NOTAGREE", "FEHLER: Sie m&uuml;ssen die Nutzungsbedingungen akzeptieren!");
define("_SHOWIT", "anzeigen");
define("_EULA", "AGBs / Regeln");
define("_IHAVE", "Ich habe die");
define("_READDONE", "gelesen");
/* ENDE Benutzer muessen den AGB zustimmen */
// Userfotoalbum
define("_AENDERN", "&Auml;ndern");
define("_FOTOALBUM", "`s Fotoalbum");
define("_FOTOALBUM2", "Fotoalbum");
// ab 0.1.6
define("_BLOCKEDMAIL", "FEHLER: diese Emailadresse (oder Teile davon) ist nicht zugelassen, w&auml;hlen Sie bitte eine andere.");
// Fr Avatar Uploaded:
define("_AV_USERFOTO", "Userfoto:");
define("_AV_VISIT_ALBUM", "Album besuchen");
define("_AV_NO_PICS_UPLOADED", "Leider <b>noch kein</b> Userbild hochgeladen");
// ab 0.1.7
// Activation Link Modifikation
define("_YA_REG_MAILSUB5", "Aktivierungslink f&uuml;r");
define("_YA_REG_MAILMSG5", "Bitte klicken Sie den unten stehenden Link an, um Ihren Account zu aktivieren.\nFalls Sie keinen Account bei uns registriert haben,\ndann wurde Ihre E-Mail Adresse missbraucht. In diesem Fall ignorieren Sie bitte diese Mail.\nAnsonsten haben sie 24 Stunden Zeit um ber den Aktivierungslink Ihren Account zu aktivieren.");
define("_ACTLINKSENDED", "Der Aktivierungslink wurde an die angegebene EMail Adresse gesendet!");
define("_USERREGACT", "Benutzeraccount anmelden/aktivieren");
define("_ACTSUCCESS", "Sie haben erfolgreich Ihren Account freigeschaltet.");
define("_LOGINNOW", "Wenn Sie m&ouml;chten, k&ouml;nnen Sie sich sofort einloggen");
define("_WAITFORADMINACTION", "Sobald der Administrator Ihre Daten &uuml;berpr&uuml;ft und freigeschaltet hat,\n bekommen Sie eine Best&auml;tigung-Mail. Danach k&ouml;nnen Sie sich einloggen");
define("_ALREADY_EXIST", "Sorry, aber Username oder EMail-Adresse sind bereits registriert !");
define("_ALREADYACTIVE", "Dieser Account wurde bereits aktiviert !");
define("_ACTIVEORDELETED", "Dieser Account ist entweder bereits aktiviert worden, oder die Aktivierungs-\nwartezeit (24Stunden) wurde &uuml;berschritten und der Aktivierungswunsch\nwurde wieder gelscht!");
define("_ERROREMPYBDATE", "Es wurde kein Geburtsdatum eingetragen");
define("_APPROVEDATE1", "Das Mindestalter f&uuml;r die Anmeldung betr&auml;gt");
define("_APPROVEDATE2", "Jahre.");
define("_YAUSERINFO", "Benutzerinfo");
define("_USERGUESTBOOK", "Usergstebuch");
define("_ACTIVATEUSERGUESTBOOK", "aktivieren");
// ab 0.1.9
// nderung Password-Lost Funktion
define("_NOPROBLEM_2", "Kein Problem. Benutzername eingeben und auf \"Passwort senden\" klicken.<br>Sie werden dann Ihr Passwort per Mail erhalten.<br>Danach k&ouml;nnen Sie sich wie gewohnt mit dem gesendeten Passwort einloggen.");
define("_SENDPASSWORD_2", "Passwort zusenden");
define("_ERROR_NO_USERNAME_EMAIL", "FEHLER: Bitte f&uuml;llen Sie beide Felder aus um die Password - Recover Funktion zu benutzen!");
define("_ERROR_NO_USERNAME", "FEHLER: Kein Username angegeben!");
// / Das bitte auch: (Your Account)
/*
Derzeitiges Passwort     Bitte geben Sie ihr derzeitiges Passwort an! (Passwort vergessen?)
Neue Email-Adresse     Ihre neue Email Adresse
Hinweis: Wenn Sie Ihre Email-Adresse &auml;ndern, wird ein neues Passwort generiert und an Ihre neue Adresse geschickt. Stellen Sie sicher das diese Email-Adresse einwandfrei funktioniert, sonst wird ihr Account unbrauchbar.
 */
?>