<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.12 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:04:59 $
 */

defined('mxMainFileLoaded') or die('access denied');
defined('mxYALoaded') or die('access denied');

/**
 */
function loginscreen()
{
    $oldvals = (is_array(mxSessionGetVar("formvalues"))) ? mxSessionGetVar("formvalues") : array();
    $errmsg = (empty($_GET['stop'])) ? "" : "<font class=\"title\"><b>" . constant("_YA_LOGINERR_" . $_GET['stop']) . "</b></font>\n<br /><br /><br />\n";
    mxSessionDelVar("formvalues");
    include("header.php");
    title(_USERREGLOGIN);
    userNavigation("login");
    OpenTable();
    echo "" . $errmsg . "\n<form action=\"modules.php?name=Your_Account\" method=\"post\" name=\"userlogin\">\n"
     . "<fieldset><legend>" . _USERLOGIN . "</legend><br />\n"
     . "" . _COOKIEWARNING . '<br /><br />'
     . "<table border=\"0\">\n"
     . "<tr><td>" . _NICKNAME . ":&nbsp;&nbsp;</td><td><input type=\"text\" name=\"uname\" size=\"30\" maxlength=\"25\" value=\"" . ((isset($oldvals['uname'])) ? $oldvals['uname'] : "") . "\" /></td></tr>\n"
     . "<tr><td>" . _PASSWORD . ":&nbsp;&nbsp;</td><td><input type=\"password\" name=\"pass\" size=\"30\" maxlength=\"20\" /></td></tr>\n" 
    // ."<tr><td>&nbsp;</td><td><input type=\"checkbox\" value=\"1\" name=\"rememberme\" ".((empty($oldvals['rememberme'])) ? "" : 'checked="checked"')." />&nbsp;"._REMEMBERLOGIN."</td></tr>\n"
    . "<tr><td>&nbsp;</td><td><input type=\"submit\" value=\"" . _LOGIN . "\" /></td></tr>\n"
     . "</table>\n"
     . mxGetUserLoginCheckField()
     . "</fieldset></form>\n";
    echo "<script language='JavaScript' type='text/javascript'>\n<!--\ndocument.userlogin.uname.focus();\n//-->\n</script>";
    CloseTable();
    include("footer.php");
} 

/**
 */
function douserlogin($pvs, $nexturl = "modules.php?name=Userinfo")
{
    global $user_prefix, $prefix;
    if (MX_IS_USER) {
        session_write_close();
        header("Location: modules.php?name=Your_Account");
        die();
    } 
    // mxDebugFuncvars($pvs);
    extract($pvs);
    $uname = trim(substr($uname, 0, 25));
    $uloginreqcheck = mxSessionGetVar("uloginreqcheck");
    mxSessionDelVar("uloginreqcheck");
    mxSessionSetVar("formvalues", $pvs); // Werte zwischenspeichern, falls Fehler im Login
    $stop = 0;
    $check = (empty ($check)) ? mt_rand() : $check; // sicherstellen, dass $check initialisiert ist
    $check_cookie = (empty ($check_cookie)) ? mt_rand() : $check_cookie; // sicherstellen, dass $cookie_check initialisiert ist
    if ($check_cookie != MD5(session_id())) {
        $stop = 1;
    } else if ($check != MD5($uloginreqcheck)) {
        $stop = 2;
        mxSecureLog("SecLog", "Bad Userlogin - Account: " . $uname . " (no session-check-id)");
    } else if (empty ($uname) || empty ($pass)) {
        $stop = 3;
    } else if (eregi($uname, vkpBadUserNames)) {
        $stop = 3; // 2.mal stop 3, sonst Fehlermeldung wenn $uname leer
    } 
    if (empty ($stop)) {
        $check_pass = md5($pass);
        $result = sql_query("SELECT * FROM ${user_prefix}_users WHERE uname='" . mxAddSlashesForSQL($uname) . "'");
        $dbdata = sql_fetch_array($result); ## crypt($pass,substr($pass,0,2));
        if (empty ($dbdata['uname'])) {
            $stop = 4;
        } else if (($dbdata['uname'] != $uname)) {
            if ($GLOBALS['mxLoginCaseSensiTive']) {
                $stop = 4;
            } else {
                if (strtolower($dbdata['uname']) != strtolower($uname)) {
                    $stop = 4;
                } 
            } 
        } 
        if ($dbdata['pass'] != $check_pass && empty($stop)) {
            $stop = 5;
        } else if (empty ($dbdata['user_stat']) && empty($stop)) {
            $stop = 6;
        } else if ($dbdata['user_stat'] < 0 && empty($stop)) {
            $stop = 7;
        } else if ($dbdata['user_stat'] == 2 && empty($stop)) {
            $stop = 9;
        } else if (mxSessionGetVar("user_uid") && mxSessionGetVar("user_uname") && empty($stop)) {
            // / prfen, ob die evtl. vorhandenen Sessiondaten mit den Logindaten bereinstimmen
            // / hnlich dann auch in der Funktion mxIsUser()
            if (mxSessionGetVar("user_uid") != $dbdata['uid'] || mxSessionGetVar("user_uname") != $dbdata['uname'] && empty($stop)) {
                mxSessionDestroy();
                $stop = 10;
            } 
        } 
    } 
    if (!empty ($stop)) {
        mxSessionSetVar("ucountbadlogin", (int) mxSessionGetVar("ucountbadlogin") + 1);
        if (mxSessionGetVar("ucountbadlogin") >= 5) {
            mxSecureLog("SecLog", "Bad Userlogin ($stop)- Account: " . $uname);
            mxSessionSetVar("ucountbadlogin", 3);
            $nexturl = "modules.php?name=Your_Account&op=pass_lost&lost=" . $uname;
        } else {
            $nexturl = "modules.php?name=Your_Account&stop=" . $stop . "&bad=" . mxSessionGetVar("ucountbadlogin");
        } 
    } else {
        mxSetUserSession($dbdata['uid'], $dbdata['uname'], $dbdata['pass'], $dbdata['storynum'], $dbdata['umode'], $dbdata['uorder'], $dbdata['thold'], $dbdata['noscore'], $dbdata['ublockon'], $dbdata['theme'], $dbdata['commentmax']);
        mxSessionDelVar("formvalues");
        mxSessionDelVar("ucountbadlogin");
        mxSessionDelVar("newusercheck"); // falls noch von Accounterstellung vorhanden
    } 
    session_write_close();
    header("Location: " . $nexturl);
    die();
} 

/**
 */
function logout($delete = false)
{
    global $prefix, $user_prefix;
    if (MX_IS_USER) {
        $ip = MX_REMOTE_ADDR;
        $usersession = mxGetUserSession();
        $qry = "UPDATE ${user_prefix}_users set user_lastvisit=" . time() . ", user_lastip='" . $ip . "', user_lastmod='logout' where uname='" . mxAddSlashesForSQL($usersession[1]) . "'";
        $result = sql_query($qry);
        if (MX_IS_ADMIN) {
            mxSessionSetVar("lasttime", 0); // Zurcksetzen, damit Online ausgefhrt wird
            mxSessionDelVar("user");
            mxSessionSafeCookie(MX_SAFECOOKIE_NAME_USER, 0);
            mxSetNukeCookie("user");
            session_write_close();
        } else {
            mxSessionDestroy();
        } 
    } 
    if ($delete) {
        Header("Location: modules.php?name=Your_Account&op=deletefinisch");
    } else {
        $nextpage = (isset($_REQUEST['redirect'])) ? $_REQUEST['redirect'] : "modules.php?name=Your_Account&op=logoutfin";
        Header("Location: " . $nextpage);
    } 
} 

/**
 */
function logoutfinisch()
{
    mxRedirect('index.php', _YOUARELOGGEDOUT);
} 

?>