<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.11.2.4 $
 * $Author: tora60 $
 * $Date: 2008/01/28 15:35:56 $
 */

defined('mxMainFileLoaded') or die('access denied');
if (!defined("mxYALoaded")) die ("You can't access this file directly...");

$lostoption = 0; // 0= Send password direct. 1 = Send first a confirmation - code

function pass_lost()
{
    global $lostoption;
    if (MX_IS_USER) {
        main();
        return;
    }
    if ($lostoption) {
        $lostname = (isset($_GET['lost'])) ? strip_tags(substr($_GET['lost'], 0, 25)) : "";
        $noproblem = _NOPROBLEM;
        $sendpassword = _SENDPASSWORD;
    } else {
        $noproblem = _NOPROBLEM_2;
        $sendpassword = _SENDPASSWORD_2;
    }
    include("header.php");
    title(_USERREGLOGIN);
    userNavigation('lost');

    OpenTable();
    echo "<fieldset><legend>" . _PASSWORDLOST . "</legend>\n"
     . $noproblem . "<br><br>\n"
     . "<form action=\"modules.php?name=Your_Account\" method=\"post\">\n"
     . "<table border=\"0\">\n"
     . "<tr><td>" . _NICKNAME . ":</td><td><input type=\"text\" name=\"uname\" size=\"30\" maxlength=\"25\" value=\"\"></td></tr>\n";
    if ($lostoption) {
        echo "<tr><td>" . _CONFIRMATIONCODE . ":</td><td><input type=\"text\" name=\"code\" size=\"30\" maxlength=\"10\"></td></tr></table><br>\n";
    } else {
        echo "<tr><td>" . _EMAIL . ":</td><td><input type=\"text\" name=\"email\" size=\"30\" value=\"\"></td></tr></table><br>\n";
    }
    echo "<input type=\"hidden\" name=\"name\" value=\"Your_Account\">"
     . "<input type=\"hidden\" name=\"op\" value=\"mailpasswd\">\n"
     . "<input type=\"submit\" value=\"" . $sendpassword . "\"></form></fieldset>\n";
    CloseTable();
    include("footer.php");
}

function mail_password($pvs)
{
    global $user_prefix, $lostoption;
    if ($lostoption) {
        extract($_POST);
        if (empty($uname)) {
            mxErrorScreen(_ERROR_NO_USERNAME);
            return;
        }
        $uname = strip_tags(substr($uname, 0, 25));
        $result = sql_query("select email, pass from ${user_prefix}_users where (uname='" . mxAddSlashesForSQL($uname) . "') and user_stat=1");
        list($email, $pass) = sql_fetch_row($result);
        if (empty($email) || empty($pass)) {
            mxErrorScreen(_SORRYNOUSERINFO . " (" . $uname . ")<br>");
            return;
        }
        $areyou = substr($pass, 3, 10);
        if ($areyou == $code) {
            $newpass = makepass();
            $message = mxHtmlEntityDecode(_HELLO . " '" . $uname . "'\n\n" . _HASREQUESTED . " [ip: " . MX_REMOTE_ADDR . "]\n\n" . _YOURNEWPASSWORD . " $newpass\n\n" . _YOUCANCHANGE . " \n" . MX_HOME_URL . "/modules.php?name=Your_Account\n\n" . _IFYOUDIDNOTASK);
            $subject = mxHtmlEntityDecode(_USERPASSWORD4 . " " . $uname . " (" . $GLOBALS['sitename'] . ")");
            mxMail($email, $subject, $message, $GLOBALS['adminmail'], "text");
            /**
             * Next step: add the new password to the database
             */
            $cryptpass = md5($newpass);
            $query = "update ${user_prefix}_users set pass='$cryptpass' where uname='" . mxAddSlashesForSQL($uname) . "'";
            if (!sql_query($query)) {
                $msg = _UPDATEFAILED . "<br><br>" . _GOBACK;
            } else {
                // $msg = ""._PASSWORD4." $uname ($email) "._MAILED."<br><br>"._GOBACK."";
                $msg = _PASSWORD4 . " " . mxPrepareToDisplay($uname) . " " . _MAILED . "<br><br>" . _GOBACK;
            }
            include ("header.php");
            OpenTable();
            echo "<center>" . $msg . "</center>";
            CloseTable();
            include ("footer.php");
        } else {
            /**
             * If no Code, send it
             */
            $message = mxHtmlEntityDecode(_HELLO . " '" . $uname . "'\n\n" . _CODEREQUESTED . " [ip: " . MX_REMOTE_ADDR . "]\n\n" . _YOURCODEIS . " " . $areyou . "\n\n" . _HASTHISEMAIL . " \n" . MX_HOME_URL . "/modules.php?name=Your_Account&op=pass_lost\n\n" . _IFYOUDIDNOTASK2);
            $subject = mxHtmlEntityDecode(_CODEFOR . " " . $uname . " (" . $GLOBALS['sitename'] . ")");
            mxMail($email, $subject, $message, $GLOBALS['adminmail'], "text");
            include ("header.php");
            OpenTable();
            echo "<center>" . _CODEFOR . " " . mxPrepareToDisplay($uname) . " " . _MAILED . "<br><br>" . _GOBACK . "</center>";
            CloseTable();
            include ("footer.php");
        }
    } else {
        extract($_POST);
        if ((empty($uname)) || (empty($email))) {
            mxErrorScreen(_ERROR_NO_USERNAME_EMAIL);
            return;
        }
        if (!mxCheckEmail($email)) {
            mxErrorScreen (_ERRORINVEMAIL);
            return;
        }
        $uname = strip_tags(substr($uname, 0, 25));
        $result = sql_query("select email, pass from ${user_prefix}_users where ((uname='" . mxAddSlashesForSQL($uname) . "') AND (email='" . mxAddSlashesForSQL($email) . "') AND (user_stat=1))");
        list($email, $pass) = sql_fetch_row($result);
        if (empty($email) || empty($pass)) {
            mxErrorScreen("" . _SORRYNOUSERINFO . " (" . $uname . ")<br>");
            return;
        }
        $newpass = makepass();
        $message = mxHtmlEntityDecode(_HELLO . " '" . $uname . "'\n\n" . _HASREQUESTED . " [ip: " . MX_REMOTE_ADDR . "]\n\n" . _YOURNEWPASSWORD . " $newpass\n\n" . _YOUCANCHANGE . " \n" . MX_HOME_URL . "/modules.php?name=Your_Account\n\n" . _IFYOUDIDNOTASK);
        $subject = mxHtmlEntityDecode(_USERPASSWORD4 . " " . $uname . " (" . $GLOBALS['sitename'] . ")");
        mxMail($email, $subject, $message, $GLOBALS['adminmail'], "text");
        $cryptpass = md5($newpass);
        $query = "update ${user_prefix}_users set pass='$cryptpass' where uname='" . mxAddSlashesForSQL($uname) . "'";
        if (!sql_query($query)) {
            $msg = _UPDATEFAILED . "<br><br>" . _GOBACK;
        } else {
            $msg = _PASSWORD4 . " " . mxPrepareToDisplay($uname) . " " . _MAILED . "<br><br>" . _GOBACK;
        }
        include ("header.php");
        OpenTable();
        echo "<center>" . $msg . "</center>";
        CloseTable();
        include ("footer.php");
    }
}

?>