<?php // $Id: functions.php,v 1.6.2.3 2004/10/10 13:26:44 EllselAn Exp $
/**********************************************************************/
/* vkpMx 2.1.a  Content Management System Platform                    */
/* ================================================================== */
/* Copyright (C) 2004 by the vkpMx & pragmaMx Developer Team          */
/* email:        team@pragmamx.org                                    */
/* homepage:     http://www.pragmaMx.de & http://www.pragmaMx.org     */
/* ================================================================== */
/*   The vkpMx is distributed free of charge by pragmaMx.de.          */
/*   The use of this system is allowed until copyright information    */
/*   is shown perspicuous visible and correcty on all system pages.   */
/*   Sales, rent out and the use of single code parts from this       */
/*   system must be allowed by pragmaMx.de.                           */
/**********************************************************************/
if (!defined("mxMainFileLoaded")) die ("You can't access this file directly...");

/// Dateiname des templates
define("MX_THIS_THEMEFILE","theme.html");
/// Templatefile verwendet eigene Buttons fuer die Block-Popups
define("MX_THEME_OWNBLOCKPOP",False);
/// Theme kann Bloecke minimieren
define("MX_THEME_MINIMIZEBLOCKS",False);
/// Die Bilder, welche fr die Popuplinks im Block verwendet wird
define("MX_THEME_BLOCKPOPIMAGE_0", MX_THEME_DIR.'/images/plus.gif');
define("MX_THEME_BLOCKPOPIMAGE_1", MX_THEME_DIR.'/images/minus.gif');

//// Standardfarben die im System und den Modulen verwendet werden
global $bgcolor1;   $bgcolor1   = "#ffffff";

global $bgcolor2;   $bgcolor2   = "#f2f2f2";

global $bgcolor3;   $bgcolor3   = "#F6F6F6";

global $bgcolor4;   $bgcolor4   = "#ffffff";

global $textcolor1; $textcolor1 = "#333333";

global $textcolor2; $textcolor2 = "#666666";

//// Standardfarben der PopupFenster
define("_ol_fgcolor",   $bgcolor1);   # Main background color (the large area). Usually a bright color (white, yellow etc)
define("_ol_textcolor", $textcolor1); # Text color. Usually a dark color
define("_ol_bgcolor",   $bgcolor2);   # Border color and color of caption. Usually a dark color (black, brown etc)
define("_ol_capcolor",  $textcolor2); # Color of the caption text. Usually a bright color
define("_ol_closecolor",$textcolor2); # Color of "Close" when using Sticky. Usually a semi-bright color

################################################################
function theme_define_blocks() {
	static $var;
	if (isset($var)) 	return $var;

	// linke Bloecke
	$name = 'block_left';
	$var[$name]['container'] = 'blocks_left_loop';
	$var[$name]['function'] = 'themesidebox';
	$var[$name]['position'] = 'l';
	
	// linke Bloecke minimiert
	#$name = 'block_left_minimized';
	$var[$name]['container'] = 'blocks_left_loop';
	$var[$name]['function'] = 'themesidebox';
	$var[$name]['position'] = 'l';
	
	// obere Center-Bloecke
	$name = 'block_center_top';
	$var[$name]['container'] = 'blocks_center_top_loop';
	$var[$name]['function'] = 'thememiddlebox';
	$var[$name]['position'] = 'c';
	// obere Center-Bloecke minimiert
	#$name = 'block_center_top_minimized';
	$var[$name]['container'] = 'blocks_center_top_loop';
	$var[$name]['function'] = 'thememiddlebox';
	$var[$name]['position'] = 'c';
	
	// untere Center-Bloecke
	$name = 'block_center_down';
	$var[$name]['container'] = 'blocks_center_down_loop';
	$var[$name]['function'] = 'thememiddlebox';
	$var[$name]['position'] = 'd';
	// untere Center-Bloecke minimiert
	#$name = 'block_center_down_minimized';
	$var[$name]['container'] = 'blocks_center_down_loop';
	$var[$name]['function'] = 'thememiddlebox';
	$var[$name]['position'] = 'd';
	
	// rechte Bloecke
	$name = 'block_right';
	$var[$name]['container'] = 'blocks_right_loop';
	$var[$name]['function'] = 'themesidebox';
	$var[$name]['position'] = 'r';
	// rechte Bloecke minimiert
	#$name = 'block_right_minimized';
	$var[$name]['container'] = 'blocks_right_loop';
	$var[$name]['function'] = 'themesidebox';
	$var[$name]['position'] = 'r';
	
	return $var;
	}

################################################################
function theme_define_content() {
	static $var;
	if (isset($var)) 	return $var;

	// die Funktion OpenTable()
	$var['opentabs']['OpenTable']['templatevar']    = 'opentable';
	$var['opentabs']['OpenTable']['innerreplace']   = '{OPENCLOSE_TABLE}'; // hier kann irgendwas stehen, es muss aber mit dem entsprechenden Text innerhalb der template-Datei uebereinstimmen...
	
	// die Funktion OpenTable2()
	$var['opentabs']['OpenTable2']['templatevar']   = 'opentable2';
	$var['opentabs']['OpenTable2']['innerreplace']  = '{OPENCLOSE_TABLE_2}';
	
	// die Funktion OpenTableAl()
	$var['opentabs']['OpenTableAl']['templatevar']  = 'opentableal';
	$var['opentabs']['OpenTableAl']['innerreplace'] = '{OPENCLOSE_TABLE_AL}';
	
	// die Funktion themeindex() / News Modul
	$var['themeindex'][1] = 'themeindex_1';
	$var['themeindex'][2] = 'themeindex_2'; // die Funktion themearticle() beim 2ten Aufruf / News Modul
	
	// die Funktion themearticle() / News Modul
	$var['themearticle'] = 'themearticle';

	/// der Name (output_container) darf nicht veraendert werden !!
	$var['output_container'] = 'script_output';
	
	/// der Name (index_on_container) darf nicht veraendert werden !!
	$var['index_on_container'] = 'index_on';
	$var['index_on_block_container'] = 'blocks_right_loop';
	
	/// der Name (more_header) darf nicht veraendert werden !!
	$var['add_header'] = 'more_header';
	
	return $var;
	}

################################################################
/// ersetzen von eigenen Theme-Elementen, kann veraendert und ergaenzt werden
/// diese Teile werden gleich zu Beginn des scriptes, beim einlesen des templates, ersetzt
function theme_replace_start($template) {
	// bestimmte Texte, vor allem Image-Pfade, die ersetzt werden sollen, definieren (suche/ersetze)
	$part[] = array("\"images/",   "\"".MX_BASE_URL.MX_THEME_DIR."/images/"); // normale images im theme
	$part[] = array("\"style/",    "\"".MX_BASE_URL.MX_THEME_DIR."/style/" );
	$part[] = array("\"js/",       "\"".MX_BASE_URL.MX_THEME_DIR."/js/"    );
	$part[] = array("url(images/", "url(".MX_BASE_URL.MX_THEME_DIR."/images/");
	#$part[] = array(",'images/",   ",'".MX_BASE_URL.MX_THEME_DIR."/images/"); // preload
	/// weitere Beispiele dazu
	#$part[] = array("\"http://themes.pragmamx.org/", "\"".MX_BASE_URL);
	
	return theme_replace_parts($template, $part);
	}

################################################################
/// ersetzen von eigenen Theme-Elementen, kann veraendert und ergaenzt werden
/// diese Teile werden vor der Ausgabe des headers im Headbereich ersetzt
function theme_replace_header($newheader) {

	/// bei Bedarf, spezielle CSS Datei fuer eBoard in den head-Bereich schreiben
	if (theme_is_eBoard_loaded()) {
		$part[] = array("</head>", "\n<link href=\"".MX_BASE_URL.MX_THEME_DIR."/style/eBoard.css\" rel=\"stylesheet\" type=\"text/css\">\n</head>");
		}

	// bestimmte Texte, vor allem Image-Pfade, die ersetzt werden sollen, definieren (suche/ersetze)
	$part[] = array("'images/", "'".MX_BASE_URL.MX_THEME_DIR."/images/"); // Plockpopup images (einfaches Anfuehrungszeichen ! in javascript

	// doppelte Zeilenumbrche und andere Steuerzeichen durch einfachen Zeilenumbruch ersetzen
	$part['preg'][] = array('#[[:cntrl:]]{2,}#i', "\n");

	/// alles ersetzen und Rckgabe...
	return theme_replace_parts($newheader,$part);
	}

################################################################
/// ersetzen in jedem einzelnen Block
function theme_replace_blocks($template, $block) {

	switch ($block['position']) {

		case 'l':

			$part[] = array(' bgcolor="'.$GLOBALS['bgcolor1'].'"',' bgcolor="'.$GLOBALS['bgcolor3'].'"');

			break;

		case 'c':

			// die Farben vom Tutorial Theme ersetzen

			$part[] = array(' bgcolor="#ffffff"',' bgcolor="'.$GLOBALS['bgcolor1'].'"');

			$part[] = array(' bgcolor="#ffffff"',' bgcolor="'.$GLOBALS['bgcolor2'].'"');

			$part[] = array(' bgcolor="#CADCF2"',' bgcolor="'.$GLOBALS['bgcolor3'].'"');

			$part[] = array(' bgcolor="#6A92D4"',' bgcolor="'.$GLOBALS['bgcolor4'].'"');

			break;

		case 'd':

			break;

		case 'r':

			$part[] = array(' bgcolor="'.$GLOBALS['bgcolor1'].'"',' bgcolor="'.$GLOBALS['bgcolor3'].'"');

			break;

		}

	

	// Teil fuer alle Bloecke

	$part[] = array('"{BLOCK_POPIMAGE_LINK}"', '"modules.php?name=User_Blocks" '.$block['pop_javascript']);

	$part['preg'][] = array('#<strong><big>&middot;</big></strong>#i', '<img src="'.MX_THEME_DIR.'/images/dot.gif" alt="" width="5" height="9" border="0" align="middle">');#<b class="middot">&middot;</b>

	

	// alle Bilder aus dem Onlineblock holen

	$part['preg'][] = array('#<IMG\s+([^>]+)images/maaxon/([^>]+)\.gif([^>]+)>#i', '');

	if (isset($part)) {

		return theme_replace_parts($template, $part);

		}

	else {

		return $template;

		}

	}

################################################################
/// ersetzen von eigenen Theme-Elementen, kann veraendert und ergaenzt werden
/// diese Teile werden am Ende des scriptes, in der Funktion themefooter() ersetzt
function theme_replace_end($template) {
	$part[] = array("{FOOTMESSAGE}", footmsg(1,0)            );
	$part[] = array("{VIEWBENCH}",   mxViewBench()           );
	$part[] = array("{CURRENTPATH}", mx_theme_currentpath()  );
	$part[] = array("{SEARCHFORM}",  mx_theme_searchform()   );
	$part[] = array("{LOGINFORM}",   mx_theme_loginform()    );
	$part[] = array("url(images/", "url(".MX_BASE_URL.MX_THEME_DIR."/images/");
	
	/// die haesslichen Rahmen um Checkboxen und Radio-Feldern entfernen, ber style-sheet Klasse
	$pattern = '#(<input[^>]*type\s*=\s*[\"\'](?:radio|checkbox)[\"\']*?[^>]*?)>#iU';
	preg_match_all($pattern,$template,$matches);
	#mxDebugFuncVars($matches[0]);
	if (isset($matches[1])) {
		foreach($matches[1] as $search) {
			if (!preg_match('#class\s*=\s*[\"\']\W[\"\']#i',$search)) {
				$part[] = array($search,  $search." class=\"formcheckbox\"");
				}
			}
		}
	/// die haesslichen Rahmen um Checkboxen und Radio-Feldern entfernen, ber style-sheet Klasse
	$pattern = '#(<input.*[^>]type\s*=\s*[\"\'](?:submit|button|reset)[\"\']*?[^>]*?)>#iU';
	preg_match_all($pattern,$template,$matches);
	#mxDebugFuncVars($matches);
	if (isset($matches[1])) {
		foreach($matches[1] as $search) {
			if (!preg_match('#class\s*=\s*[\"\']\W[\"\']#i',$search)) {
				$part[] = array($search,  $search." class=\"formbutton\"");
				}
			}
		}
	
	// das ist der komische rollover-effekt in den Menuebloecken:
	$part['preg'][] = array('#<tr\s*style="background:\s*.*;"\s*onMouseOver="this.style.background=.*"\s*onMouseOut="this.style.background=.*">#siU', "<tr>");

	/// leere Tabellen Tags entfernen, wenn kein Inhalt von Modul angezeigt wird (blank_home)
	$part['preg'][] = array('#<table[^>]*>\s*<tbody>\s*<tr>\s*<td>\s*</td>\s*</tr>\s*</tbody>\s*</table>\s*<br>#si', '');

	/// spezielle CSS Datei fuer eBoard laden, hier die original stylesheets entfernen
	if(theme_is_eBoard_loaded()) {
		$part['preg'][] = array("#<style[^>]*?>.*?f15pix.*?xfselect.*?</style>#si", "");
		// achtung Zeilenumbruch nicht aendern!!
		#$part[] = array('<code>', "<div class=\"code\"><code>");
		#$part[] = array('</code>', "</code></div>");
		$part[] = array('<td bgcolor="#000000">', '<td bgcolor="'.$GLOBALS['bgcolor4'].'">');
		$part[] = array("<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\" width=\"97%\" align=\"center\">", "<table cellspacing=\"0\" cellpadding=\"0\" border=\"0\" width=\"100%\" align=\"center\">");
		}
	/// weitere Beispiele dazu
	#$part[] = array("{VIEWMXCOPY}",                  mxViewCopyright());
	#$part[] = array("{VIEW_DATE}",                   mxThemeShowDate());
	#$part[] = array("{VIEW_OVERLIB}",                printOverlibDiv());
	$template = theme_replace_parts($template, $part);

	#$pattern = '#(<input.*[^>]class[[:space:]]{0,}=[[:space:]]{0,}[\"\'](formcheckbox|formbutton)[\"\']*?[^>]*?)>#iU';
	#$pattern = '#<([^\s>]*)(\s[^<]*)>#iU';
	#preg_match_all($pattern,$template,$matches);
	#mxDebugFuncVars($matches[1]);
	
	#$xmatches = preg_split( '#formbutton#i', $matches);
	#mxDebugFuncVars($xmatches);


	return $template;
	}

################################################################
function theme_html_validate($template) {
	#preg_match_all('/&(?![a-zA-Z]{2,6};|#[0-9]{3};)/',$template, $matches);
	  	
	// $s in $t durch $r ersetzen:
	#preg_replace("/((<[^>]*)|$s)/e", '"\2"=="\1"? "\1":"$r"', $t);
	
	// $s case-insensitive in $t hervorheben:
	#preg_replace("/((<[^>]*)|$s)/ie", '"\2"=="\1"? "\1":"<b>\1</b>"', $t);
	
	#preg_match_all('#href=[\"\'](http:\/\/|\.\/|\/)?\w+(\.\w+)*(\/\w+(\.\w+)?)*(\/|\?\w*=\w*(&\w*=\w*)*)?[\"\']#',$template, $matches);
	
	#preg_match_all('#<img([^\s>]*)(\s[^<]*)>#i',$template, $matches);
	#preg_match_all('#<[a-zA-Z][^>]*\son\w+=(\w+|\'[^\']*\'|"[^"]*")[^>]*>#i',$template, $matches);
	#preg_match_all('/<([^<>\s]*)(\s[^<>]*)? >/',$template, $matches);
	
	#preg_match_all('#<img(?:[^>\s]*)([^>]*)>#i',$template, $matches);#(\s[^<]*)>#(\salt=|)
	
	#mxDebugFuncVars($matches);

	#$template = preg_replace('/&(?![a-zA-Z]{2,6};|#[0-9]{3};)/','&amp;',$template);
	return $template;
	}

################################################################
function getThemeAdminname($story) {
	global $theme_template;
	if (!empty($story['url'])) {
		$story['aid'] = "<a href='".$story['url']."' target='new'>".$story['aid']."</a>";
		}
	else if (!empty($story['email'])) {
		$story['aid'] = "<a href='mailto:".mxPrepareToDisplay($story['email'])."'>".$story['aid']."</a>";
		}
	return $story['aid'];
	}


################################################################
function getThemeIndexButtons($story) {
	global $theme_template;
	#mxDebugFuncVars($GLOBALS);
	static $img, $isnewsadmin;
	if (!isset($isnewsadmin)) {
		$isnewsadmin = mxGetAdminPref('radminarticle');
		}
	if (empty($img)) {
		/// die images werden in einen statischen Variable gehalten um die Bildroessen nicht bei jedem Artikel zu ermitteln
		/// xx als alttext wird weiter unten dynamisch ersetzt
		$img[1] = mxCreateImage(MX_THEME_DIR."/images/buttons/informant.gif", "xx", 0);
		$img[2] = mxCreateImage(MX_THEME_DIR."/images/buttons/print.gif", _BMXPRINTER, 0);
		$img[3] = mxCreateImage(MX_THEME_DIR."/images/buttons/friend.gif", _BMXFRIEND, 0);
		$img[4] = mxCreateImage(MX_THEME_DIR."/images/buttons/counter.gif", "xx", 0);
		$img[6] = mxCreateImage(MX_THEME_DIR."/images/buttons/bytesmore.gif", "xx", 0);
		if ($GLOBALS['articlecomm']) $img[5] = mxCreateImage(MX_THEME_DIR."/images/buttons/comments.gif", "xx", 0);
		
		#mxdebugfuncvars($story['allmorelink']); // zum ansehen der morelink-Parameter einkommentieren
		#mxdebugfuncvars($story);                // zum ansehen der story-Parameter der ersten story einkommentieren
		}
	#mxdebugfuncvars($story);                  // zum ansehen der story-Parameter aller stories einkommentieren
	
	$bmore = ($story['allmorelink']['bodycount']) ?  _READMORE." (".$story['allmorelink']['bodycount']." "._BYTESMORE.")" : _READMORE;
	$adminlink = ($isnewsadmin) ? " href='admin.php?op=EditStory&amp;sid=".$story['sid']."' " : "";
	$link[] = "".$story['allmorelink']['storylink'].str_replace("xx",$bmore,$img[6])."</a>";
	if ($story['informant']!=$GLOBALS['anonymous'] && (mxIsUser() || mxIsAdmin())) {
		$link[] = "".$story['allmorelink']['informantlink']."".str_replace("xx",_USERINFO.": ".$story['informant'],$img[1])."</a>";
		}
	$link[] = "".$story['allmorelink']['printerlink']."".$img[2]."</a>";
	if (mxIsUser()) {
		$link[] = "".$story['allmorelink']['friendlink']."".$img[3]."</a>";
		}
	if (empty($story['acomm']) && $GLOBALS['articlecomm']) { //// Achtung!!! acomm: 0 = Ja , 1 = Nein
		$link[] = "".$story['allmorelink']['commentslink']."".str_replace("xx",_COMMENTS." (".$story['comments'].")",$img[5])."</a>";
		}
	$link[] = "<a title='".$story['allmorelink']['counter'].", ".$story['allmorelink']['score']."' ".$adminlink.">".str_replace("xx",$story['counter']." "._READS,$img[4])."</a>";
	return $link;
	}

###################################################
function theme_is_eBoard_loaded() {
	if (isset($_REQUEST['name']) && defined('mxModFileLoaded')) {
		if ($_REQUEST['name']=='eBoard') {
			return true;
			}
		}
	return true;
	}

################################################################
function mx_theme_currentpath($spacer = '&nbsp;>&nbsp;') {

	global $prefix;

	

	$maxwordlen = 18; /* max. Number of charakters in Moduleslist */

	

		/* $qry = "SELECT m.mid, m.title

             FROM ${prefix}_modules AS m LEFT JOIN ${prefix}_groups_modules AS g ON m.mid = g.module_id

						 WHERE ($queryview) 

						 ORDER BY m.title ASC"; */

	

	$link[] = '<a href="./" title="'._HOME.'">'._HOME.'</a>';

	/// Module

	if (isset($_REQUEST['name'])) {

		if (mxModuleAllowed($_REQUEST['name'])) {

			$result = sql_query("select title, custom_title from ${prefix}_modules WHERE title='".$_REQUEST['name']."'");

			list($m_title, $custom_title) = sql_fetch_row($result);

			$m_title2 = (empty($custom_title)) ? str_replace("_", " ", $m_title) : str_replace("_", " ", $custom_title);

			$m_title3 = mxCutString($m_title2, $maxwordlen, "..", "");

			$link[] = "<a href=\"modules.php?name=".$m_title."\" title=\"".$m_title3."\">".$m_title3."</a>";

			}

		}

	/// Administration

	else if (defined('mxAdminFileLoaded')) {

		$link[] = "<a href=\"admin.php\" title=\""._ADMINMENU."\">"._ADMINMENU."</a>";

		}

	#$link[] = "<a href=\"admin.php\" title=\""._ADMINMENU."\">"._ADMINMENU."</a>";

	return implode($spacer,$link);

	}





################################################################

function mx_theme_searchform() {

	$out = '';

	if (mxModuleAllowed('Search')) {

		$out = '

<form action="modules.php" method="get" title="'._SEARCH.'">

<input type="hidden" name="name" value="Search">

<input type="text" name="query" size="16" title="'._SEARCH.'">

<input type="submit" value="'._SEARCH.'" title="'._SEARCH.'" class="formbutton">

</form>

';

		}

	return $out;

	}
################################################################

function mx_theme_loginform() {

	global $prefix, $user_prefix;

	$out = "";

	if (!mxIsUser()) {

		if(!defined("mxloginblockviewed")) define("mxloginblockviewed",TRUE);

		$nickname = _NICKNAME;

		$password = _PASSWORD;

		$login = _LOGIN;

		$check = mxGetUserLoginCheckField();

$out .= 

<<<logform

<form action="modules.php?name=Your_Account" method="post">

$check

  <table align="center" border="0" cellspacing="0" cellpadding="1">
    <tbody>
      <tr> 
        <td>Nick:</td>
        <td><div align="left">
            <input type="text" name="uname" size="11" maxlength="25" title="$nickname">
          </div></td>
      </tr>
      <tr> 
        <td><div align="left">Pass:</div></td>
        <td><div align="left"> 
            <input type="password" name="pass" size="11" maxlength="20" title="$password">
          </div></td>
      </tr>
      <tr> 
        <td colspan="2" align="center"><div align="left"> 
            <input name="submit" type="submit" value="$login">
          </div></td>
      </tr>
    </tbody>
  </table>

</form>

logform;

		}

	else {

		$hallo = _HELLO;

		$logout = _AB_LOGOUT;

		$account = _YACCOUNT;

		$privatemessages = "";

		$cookie = mxgetusersession();

		$username = $cookie[1];

		if (mxModuleAllowed('Private_Messages')){	# falls pm-modul aktiv ist

			$qry="SELECT Count(msg_id) FROM ${user_prefix}_priv_msgs WHERE to_userid=".$cookie[0]." AND read_msg=0;";

			$result = sql_query($qry);

			list($countpmunread) = sql_fetch_row($result);

			if ($countpmunread) {	# wenn angemeldeter User

				$privatemessages = "<div style=\"text-align: center; font-size: 9px;\">"._YOUHAVE." <a href=\"modules.php?name=Private_Messages\" title=\""._PRIVATEMSG."\"><b style=\"color: Yellow; font-weight: bold;\">".intval($countpmunread)."</b> "._PRIVATEMSG."</a><div>";

				}

			}

		# Usergaestebuch

		$guestbook = "";

		if (mxModuleAllowed("UserGuest")){	# falls gaestebuch vorhanden

			$qry="SELECT Count(gid) FROM ${user_prefix}_userguest WHERE touserid='".$cookie[0]."' AND touser = '".$username."' AND dummy=0;";

			$result = sql_query($qry);

			list($gbnewentries) = sql_fetch_row($result);

			if($gbnewentries){

				$msg2 = ($GLOBALS['currentlang']=='english') ? 'new guestbookentries' : 'neue G&auml;stebucheintr&auml;ge';

				$guestbook = "<div style=\"text-align: center; font-size: 9px;\">"._YOUHAVE." <a href=\"modules.php?name=UserGuest\" title=\""._GUESTBOOKVIEW."\"><b style=\"color: Yellow; font-weight: bold;\">".intval($gbnewentries)."</b> ".$msg2."</a></div>";

				}

			}

		$out .= 

<<<logform

<div style="font-weight: normal; padding-bottom: 3px; font-size: 11px;">$hallo $username</div>

$privatemessages $guestbook
  <table align="center" width="100%" border="0">
    <tr>
      <td><a href="modules.php?name=Your_Account" title="$account">Ihr Account</a></td>
      <td><a href="modules.php?name=Your_Account&amp;op=logout" title="$logout">Logout</a></td>
    </tr>
  </table>



logform;

		}

		#$out .= "<input type='checkbox' value='1' name='rememberme'>&nbsp;"._REMEMBERLOGIN."<br>";

	return $out;

	}
###################################################
//// diese Funktion wird im Mx nirgends verwendet !!!
//// bleibt aber drin, falls fremd-Module das Ding benoetigen
function FormatStory($thetext, $notes, $aid, $informant) {
	global $theme_template;
	$notes = (empty($notes)) ? "" : "<br><br><b>"._NOTE."</b> <i>".$notes."</i>\n";
	if ($aid == $informant) {
		echo "<font class='content'>".$thetext." ".$notes."</font>\n";
		}
	else {
		$boxstuff = (empty($informant)) ? "" : "<i><a href='modules.php?name=Userinfo&amp;uname=".$informant."'>".$informant."</a> "._WRITES.":</i><br><br>";
		$boxstuff .= "".$thetext." ".$notes."\n";
		echo "<font class='content'>".$boxstuff."</font>\n";
		}
	}

/* CVS-Log:
	$Log: functions.php,v $
	Revision 1.6.2.3  2004/10/10 13:26:44  EllselAn
	Credits und Datei-Header angepasst
	
	Revision 1.6.2.2  2004/08/27 19:23:16  EllselAn
	header vereinheitlicht
	
	Revision 1.6.2.1  2004/08/27 19:04:22  EllselAn
	neues theme
	
	Revision 1.6  2004/06/10 00:18:20  EllselAn
	kleine Optimierungen
	
	Revision 1.5  2004/03/14 22:44:02  EllselAn
	nichts von Belang
	
	Revision 1.4  2004/03/13 18:42:10  EllselAn
	kleinere berarbeitungen
	
	Revision 1.3  2004/03/08 22:31:29  EllselAn
	kleinere Fehler bereinigt
	



 */

?>
