<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.9 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:15:57 $
 */

defined('mxMainFileLoaded') or die('access denied');
unset($sqlqry);
// --------------------------------------------------------
// Tabellenstruktur fuer Tabelle `mx_counter`
if (!isset($tables["${prefix}_counter"])) {
    $sqlqry[] = "
CREATE TABLE `${prefix}_counter` (
  `type` varchar(80) NOT NULL default '',
  `var` varchar(80) NOT NULL default '',
  `count` int(10) unsigned NOT NULL default '0',
  PRIMARY KEY  (`type`,`var`)
) TYPE=MyISAM;
";
    // Daten fuer Tabelle `mx_counter`
    $sqlqry[] = "INSERT INTO `${prefix}_counter` (`type`, `var`, `count`) VALUES ('total', 'hits', 0);";
    $sqlqry[] = "INSERT INTO `${prefix}_counter` (`type`, `var`, `count`) VALUES ('browser', 'Mozilla', 0);";
    $sqlqry[] = "INSERT INTO `${prefix}_counter` (`type`, `var`, `count`) VALUES ('browser', 'Firefox', 0);";
    $sqlqry[] = "INSERT INTO `${prefix}_counter` (`type`, `var`, `count`) VALUES ('browser', 'MSIE', 0);";
    $sqlqry[] = "INSERT INTO `${prefix}_counter` (`type`, `var`, `count`) VALUES ('browser', 'Opera', 0);";
    $sqlqry[] = "INSERT INTO `${prefix}_counter` (`type`, `var`, `count`) VALUES ('browser', 'Konqueror', 0);";
    $sqlqry[] = "INSERT INTO `${prefix}_counter` (`type`, `var`, `count`) VALUES ('browser', 'Safari', 0);";
    $sqlqry[] = "INSERT INTO `${prefix}_counter` (`type`, `var`, `count`) VALUES ('browser', 'Netscape', 0);";
    $sqlqry[] = "INSERT INTO `${prefix}_counter` (`type`, `var`, `count`) VALUES ('browser', 'WebTV', 0);";
    $sqlqry[] = "INSERT INTO `${prefix}_counter` (`type`, `var`, `count`) VALUES ('browser', 'Lynx', 0);";
    $sqlqry[] = "INSERT INTO `${prefix}_counter` (`type`, `var`, `count`) VALUES ('browser', 'Bot', 0);";
    $sqlqry[] = "INSERT INTO `${prefix}_counter` (`type`, `var`, `count`) VALUES ('browser', 'Other', 0);";
    $sqlqry[] = "INSERT INTO `${prefix}_counter` (`type`, `var`, `count`) VALUES ('os', 'Windows', 0);";
    $sqlqry[] = "INSERT INTO `${prefix}_counter` (`type`, `var`, `count`) VALUES ('os', 'Linux', 0);";
    $sqlqry[] = "INSERT INTO `${prefix}_counter` (`type`, `var`, `count`) VALUES ('os', 'Mac', 0);";
    $sqlqry[] = "INSERT INTO `${prefix}_counter` (`type`, `var`, `count`) VALUES ('os', 'FreeBSD', 0);";
    $sqlqry[] = "INSERT INTO `${prefix}_counter` (`type`, `var`, `count`) VALUES ('os', 'SunOS', 0);";
    $sqlqry[] = "INSERT INTO `${prefix}_counter` (`type`, `var`, `count`) VALUES ('os', 'IRIX', 0);";
    $sqlqry[] = "INSERT INTO `${prefix}_counter` (`type`, `var`, `count`) VALUES ('os', 'BeOS', 0);";
    $sqlqry[] = "INSERT INTO `${prefix}_counter` (`type`, `var`, `count`) VALUES ('os', 'OS/2', 0);";
    $sqlqry[] = "INSERT INTO `${prefix}_counter` (`type`, `var`, `count`) VALUES ('os', 'AIX', 0);";
    $sqlqry[] = "INSERT INTO `${prefix}_counter` (`type`, `var`, `count`) VALUES ('os', 'Other', 0);";
} else {
    // zusaetzliche Browser fuer Counter, beim Update kann es zu Problemen mit
    // der Gross-Kleinschreibung kommen, deswegen teilweise so umstaendlich...
    $browser = array();
    $result = mysql_query("SELECT var FROM `${prefix}_counter` WHERE `type`='browser' AND var IN('FireFox','Firefox','Safari','Mozilla');");
    while (list($var) = mysql_fetch_row($result)) {
        $browser[$var] = $var;
    }
    if (in_array('FireFox', $browser)) {
        // in nuke 8.x wird der Firefox in camel-case geschrieben, das aendern
        $sqlqry[] = "UPDATE `${prefix}_counter` SET  `var` = 'Firefox' WHERE `var` = 'FireFox'";
    } else if (!in_array('Firefox', $browser)) {
        $sqlqry[] = "INSERT INTO `${prefix}_counter` (type, var, count) VALUES ('browser', 'Firefox', 0);";
    }
    if (!in_array('Safari', $browser)) {
        $sqlqry[] = "INSERT INTO `${prefix}_counter` (type, var, count) VALUES ('browser', 'Safari', 0);";
    }
    if (!in_array('Mozilla', $browser)) {
        $sqlqry[] = "INSERT INTO `${prefix}_counter` (type, var, count) VALUES ('browser', 'Mozilla', 0);";
    }
}

if (isset($sqlqry)) {
    setupDoAllQueries($sqlqry);
    unset($sqlqry);
}

$indexes = setupGetTableIndexes("${prefix}_counter");
// var_dump($indexes);
if (!isset($indexes['PRIMARY']) || !isset($indexes['PRIMARY']['all_fields']['type']) || !isset($indexes['PRIMARY']['all_fields']['var'])) {
    $sqlqry[] = "DELETE FROM `${prefix}_counter`";
    if (isset($indexes['PRIMARY'])) {
        $sqlqry[] = "ALTER TABLE `${prefix}_counter` DROP PRIMARY KEY , ADD PRIMARY KEY ( `type` , `var` ) ";
    }
    $qry = "SELECT `type` , `var` , SUM(`count`) FROM `${prefix}_counter` GROUP BY `type` , `var`";
    $result = mysql_query($qry);
    print mysql_error();
    while (list($type , $var , $count) = mysql_fetch_row($result)) {
        $sqlqry[] = "REPLACE INTO `${prefix}_counter` ( `type` , `var` , `count` ) VALUES ('$type' , '$var' , '$count');";
    }
}

if (!isset($indexes['PRIMARY'])) {
    $sqlqry[] = "ALTER TABLE `${prefix}_counter` ADD PRIMARY KEY ( `type` , `var` ) ";
}

if (isset($sqlqry)) {
    setupDoAllQueries($sqlqry);
    unset($sqlqry);
}

?>