<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.1.2.7 $
 * $Author: sitki $
 * $Date: 2007/12/25 12:48:07 $
 */
// =========================================================
// SPAW PHP WYSIWYG editor control
// =========================================================
// Turkish language file
// =========================================================
// Developed: Alan Mendelevich, alan@solmetra.lt
// Turkish translation: Zeki Erkmen, zerkmen@erdoweb.com
// Copyright: Solmetra (c)2003 All rights reserved.
// ---------------------------------------------------------
//  Corrections by Stk zkurt from www.akcaabat-acisu.com
// ---------------------------------------------------------
// www.solmetra.com
// =========================================================
// 1.0.7, 2004-12-09
// =========================================================
// charset to be used in dialogs
$spaw_lang_charset = 'iso-8859-9';
// language text data array
// first dimension - block, second - exact phrase
// alternative text for toolbar buttons and title for dropdowns - 'title'
$spaw_lang_data = array('cut' => array('title' => 'Kes'
        ),
    'copy' => array('title' => 'Kopyala'
        ),
    'paste' => array('title' => 'Ekle'
        ),
    'undo' => array('title' => 'Geri al'
        ),
    'redo' => array('title' => 'Tekrarla'
        ),
    'image' => array('title' => 'Resim ekle'
        ),
    'image_prop' => array('title' => 'Resim ayarlar&#305;',
        'ok' => '   OK   ',
        'cancel' => '&#304;ptal',
        'source' => 'Kaynak',
        'alt' => 'Alternatif Metin',
        'align' => 'Konum',
        'left' => 'Sol',
        'right' => 'Sa&#287;',
        'top' => 'Yukarda',
        'middle' => 'Ortada',
        'bottom' => 'Alt k&#305;s&#305;mda',
        'absmiddle' => 'Merkezde',
        'texttop' => 'Metin &#252;st&#252;',
        'baseline' => '&#199;izgi &#252;zeri',
        'width' => 'Geni&#351;lik',
        'height' => 'Y&#252;kseklik',
        'border' => '&#199;erceve',
        'hspace' => 'Yatay bo&#351;luk',
        'vspace' => 'Dikey bo&#351;luk',
        'dimensions' => 'Boyutlar', // <= new in 2.0.1
        'reset_dimensions' => 'Boyutlar&#305; s&#305;f&#305;rla', // <= new in 2.0.1
        'title_attr' => 'Ba&#351;l&#305;k', // <= new in 2.0.1
        'constrain_proportions' => 'Oranlar&#305;n k&#305;s&#305;tlanmas&#305;', // <= new in 2.0.1
        'css_class' => 'CSS Klas&#305;', // <= new in 2.0.6
        'error' => 'Hata',
        'error_width_nan' => 'Geni&#351;lik say&#305; de&#287;il',
        'error_height_nan' => 'Y&#252;kseklik say&#305; de&#287;il',
        'error_border_nan' => '&#199;erceve say&#305; de&#287;il',
        'error_hspace_nan' => 'Yatay bo&#351;luk say&#305; de&#287;il',
        'error_vspace_nan' => 'Dikey bo&#351;luk say&#305; de&#287;il',
        ),
    'flash_prop' => array(// <= new in 2.0
        'title' => 'Flash',
        'ok' => '   OK   ',
        'cancel' => '&#304;ptal et',
        'source' => 'Kaynak',
        'width' => 'Geni&#351;lik',
        'height' => 'Y&#252;kseklik',
        'error' => 'Hata',
        'error_width_nan' => 'Geni&#351;lik rakam de&#287;il',
        'error_height_nan' => 'Y&#252;kseklik rakam de&#287;il',
        ),
    'inserthorizontalrule' => array('title' => 'Yatay &#231;izgi'
        ),
    'table_create' => array('title' => 'Tabela olu&#351;tur'
        ),
    'table_prop' => array('title' => 'Tabela &#246;zellikleri',
        'ok' => '   OK   ',
        'cancel' => '&#304;ptal et',
        'rows' => 'Sat&#305;rlar',
        'columns' => 'Haneler',
        'css_class' => 'CSS class', // <=== new 1.0.6
        'width' => 'Geni&#351;lik',
        'height' => 'Y&#252;kseklik',
        'border' => '&#199;erceve',
        'pixels' => 'Pixel',
        'cellpadding' => 'H&#252;creyi dolumu',
        'cellspacing' => 'H&#252;cre mesafesi',
        'bg_color' => 'Arka ekran rengi',
        'background' => 'Arka ekran resmi', // <=== new 1.0.6
        'error' => 'Hata',
        'error_rows_nan' => 'Sat&#305;r rakam de&#287;il',
        'error_columns_nan' => 'Hane rakam de&#287;il',
        'error_width_nan' => 'Geni&#351;lik rakam de&#287;il',
        'error_height_nan' => 'Y&#252;kseklik rakam de&#287;il',
        'error_border_nan' => '&#199;erceve rakam de&#287;il',
        'error_cellpadding_nan' => 'H&#252;cre dolumu rakam de&#287;il',
        'error_cellspacing_nan' => 'H&#252;cre mesafesi rakam de&#287;il',
        ),
    'table_cell_prop' => array('title' => 'H&#252;cre &#246;zelli&#287;i',
        'horizontal_align' => 'Yatay konumu',
        'vertical_align' => 'Dikey konumu',
        'width' => 'Geni&#351;lik',
        'height' => 'Y&#252;kseklik',
        'css_class' => 'CSS s&#305;n&#305;f&#305;',
        'no_wrap' => 'Paketsiz',
        'bg_color' => 'Arka ekran rengi',
        'background' => 'Arka ekran resmi', // <=== new 1.0.6
        'ok' => '   OK   ',
        'cancel' => '&#304;ptal et',
        'justifyleft' => 'Sol',
        'justifycenter' => 'Merkezi',
        'justifyright' => 'Sa&#287;',
        'top' => '&#220;st k&#305;s&#305;m',
        'middle' => 'Orta',
        'bottom' => 'Alt k&#305;s&#305;m',
        'baseline' => '&#199;izgi &#252;st&#252;',
        'error' => 'Hata',
        'error_width_nan' => 'Geni&#351;lik rakam de&#287;il',
        'error_height_nan' => 'Y&#252;kseklik rakam de&#287;il',
        ),
    'table_row_insert' => array('title' => 'Sat&#305;r ekle'
        ),
    'table_column_insert' => array('title' => 'Hane ekle'
        ),
    'table_row_delete' => array('title' => 'Sat&#305;r sil'
        ),
    'table_column_delete' => array('title' => 'Hane sil'
        ),
    'table_cell_merge_right' => array('title' => 'H&#252;creyi sa&#287; taraf ile birle&#351;tir'
        ),
    'table_cell_merge_down' => array('title' => 'H&#252;creyi alt taraf ile birle&#351;tir'
        ),
    'table_cell_split_horizontal' => array('title' => 'H&#252;creyi yatay olarak b&#246;l'
        ),
    'table_cell_split_vertical' => array('title' => 'H&#252;creyi dikey olarak b&#246;l'
        ),
    'style' => array('title' => 'D&#252;zenleme'
        ),
    'fontname' => array('title' => 'Yaz&#305;'
        ),
    'fontsize' => array('title' => 'B&#252;y&#252;kl&#252;&#287;&#252;'
        ),
    'formatBlock' => array('title' => 'Para&#287;raf'
        ),
    'bold' => array('title' => 'Kal&#305;n'
        ),
    'italic' => array('title' => 'Yatay ince'
        ),
    'underline' => array('title' => 'Alt &#231;izgili'
        ),
    'strikethrough' => array('title' => '&#220;st&#252; &#231;izgili'
        ),
    'insertorderedlist' => array('title' => 'Numarasal'
        ),
    'insertunorderedlist' => array('title' => 'Listesel'
        ),
    'indent' => array('title' => 'D&#305;&#351;a &#231;ek'
        ),
    'outdent' => array('title' => '&#304;&#231;e &#231;ek'
        ),
    'justifyleft' => array('title' => 'Sol'
        ),
    'justifycenter' => array('title' => 'Merkez'
        ),
    'justifyright' => array('title' => 'Sa&#287;'
        ),
    'justifyfull' => array(// <- 1.0.5
        'title' => 'Blok c&#252;mlesi'
        ),
    'fore_color' => array('title' => 'Yaz&#305; rengi'
        ),
    'bg_color' => array('title' => 'Arka ekran rengi'
        ),
    'design' => array('title' => 'Dizayn Mod&#252;s&#252;ne ge&#231;'
        ),
    'html' => array('title' => 'HTML Mod&#252;s&#252;ne ge&#231;'
        ),
    'colorpicker' => array('title' => 'Renk se&#231;imi',
        'ok' => '   OK   ',
        'cancel' => '&#304;ptal et',
        ),
    'cleanup' => array('title' => 'HTML temizleye&#231;i',
        'confirm' => 'Bu se&#199;enek HTML formatlar&#305;n&#305; (Style) &#304;&#199;eri&#287;inizden siler. Bu komutu se&#231;mekle ya t&#252;m ya da baz&#305; Style bloklar&#305; metin i&#231;erisinden silinir ',
        'ok' => '   OK   ',
        'cancel' => '&#304;ptal',
        ),
    'toggle_borders' => array('title' => '&#199;er&#231;eveleri g&#246;ster',
        ),
    'hyperlink' => array('title' => 'Link ekle',
        'url' => 'URL',
        'name' => 'Ad&#305;',
        'target' => 'Hedef',
        'title_attr' => 'Ba&#351;l&#305;k',
        'a_type' => 'Tip', // <=== new 1.0.6
        'type_link' => 'Link', // <=== new 1.0.6
        'type_anchor' => '&#199;apa', // <=== new 1.0.6
        'type_link2anchor' => '&#199;apaya link', // <=== new 1.0.6
        'anchors' => '&#199;apa', // <=== new 1.0.6
        'quick_links' => "H&#305;zl&#305; linkler", // <=== new in 2.0.6
        'ok' => '   OK   ',
        'cancel' => '&#304;ptal',
        ),
    'hyperlink_targets' => array(// <=== new 1.0.5
        '_self' => 'kendi penceresi (_self)',
        '_blank' => 'bo&#351; yeni pencerede (_blank)',
        '_top' => 'bir &#252;st pencerede (_top)',
        '_parent' => 'ayn&#305; pencerede (_parent)'
        ),
    'unlink' => array(// <=== new v.2.0
        'title' => 'Link &#231;&#305;kart'
        ),
    'table_row_prop' => array('title' => 'Sat&#305;r &#246;zellikleri',
        'horizontal_align' => 'Yatay konum',
        'vertical_align' => 'Dikey konum',
        'css_class' => 'CSS Klas&#305;',
        'no_wrap' => 'Paketsiz',
        'bg_color' => 'Arka ekran rengi',
        'ok' => '   OK   ',
        'cancel' => '&#304;ptal',
        'left' => 'Sol',
        'center' => 'Merkez',
        'right' => 'Sa&#287;',
        'top' => '&#220;st',
        'middle' => 'Orta',
        'bottom' => 'Alt',
        'baseline' => '&#199;izgi &#252;st&#252;',
        ),
    'symbols' => array('title' => '&#214;zel karekterler',
        'ok' => '   OK   ',
        'cancel' => '&#304;ptal',
        ),
    'templates' => array('title' => 'Kal&#305;plar',
        ),
    'page_prop' => array('title' => 'Sayfa &#246;zelli&#287;i',
        'title_tag' => 'Ba&#351;l&#305;k',
        'charset' => 'Metin Karekteri',
        'background' => 'Arka plan resmi',
        'bgcolor' => 'Arka plan rengi',
        'text' => 'Yaz&#305; rengi',
        'link' => 'Link rengi',
        'vlink' => 'U&#287;ran&#305;lm&#305;&#351; link rengi',
        'alink' => 'Aktif link rengi',
        'leftmargin' => 'Sol kenar',
        'topmargin' => '&#220;st kenar',
        'css_class' => 'CSS Klas&#305;',
        'ok' => '   OK   ',
        'cancel' => '&#304;ptal',
        ),
    'preview' => array('title' => '&#214;n g&#246;sterim',
        ),
    'image_popup' => array('title' => 'Resim popup',
        ),
    'zoom' => array('title' => 'B&#252;y&#252;lte&#231;',
        ),
    'subscript' => array(// <=== new 1.0.7
        'title' => 'Al&#231;akta',
        ),
    'superscript' => array(// <=== new 1.0.7
        'title' => 'Y&#252;ksekte',
        ),
    );

?>