<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * $Revision: 1.7.2.5 $
 * $Author: tora60 $
 * $Date: 2008/01/22 02:02:53 $
 * 
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 * mxBanner Modifikation 1.0,  2003 by Christian Kleinschroth, www.komplett-umsonst.de
 * small bugfix "$extrainfo" by Juliet, http://www.soldatentreff.de/
 */

if (!defined("mxAdminFileLoaded")) die("Access Denied");
if (!mxGetAdminPref('radminsuper')) {
    mxErrorScreen("Access Denied");
    die();
} 
global $ok;
// Start Banner Adminbereich
function banneradmin()
{
    global $prefix, $banners, $script, $active ,$bgcolor2, $bgcolor3;
    $img_delete = mxCreateImage("images/delete.gif", _DELETE);
    $img_edit = mxCreateImage("images/edit.gif", _EDIT);
    $out_active = "";
    $out_deact = "";
    $qry = "SELECT c.name, b.bid, b.cid, b.imptotal, b.impmade, b.clicks, b.datestart, b.typ, b.active
FROM " . $prefix . "_banner AS b LEFT JOIN " . $prefix . "_bannerclient AS c ON b.cid = c.cid
ORDER BY c.name, b.bid";
    $result = sql_query($qry);

    include ("header.php");

    $listheader = '<tr bgcolor="' . $bgcolor2 . '">
                   <th>' . _ID . '</th>
     							 <th>' . _CLIENTNAME . '</th>
     							 <th>' . _IMPRESSIONS . '</th>
     							 <th>' . _IMPLEFT . '</th>
     							 <th>' . _CLICKS . '</th>
                   <th>' . _CLICKSPERCENT . '</th>
     							 <th>' . _ACTIVE . '</th>
     							 <th>' . _DARSTELLUNG . '</th>
     							 <th>' . _FUNCTIONS . '</th>
     							 ';
     							 
    while (list($name, $bid, $cid, $imptotal, $impmade, $clicks, $date, $typ, $active) = sql_fetch_row($result)) {
        $percent = (empty($impmade)) ? 0 : substr(100 * $clicks / $impmade, 0, 5);
        $left = (empty($imptotal)) ? _UNLIMITED : $imptotal - $impmade;
        $see = ($active == 1) ? _YES : _NO; // Hauptansicht ob aktiv oder nicht         
        // Ansicht wo der Banner platziert ist
        switch ($typ) {
            case 1 :
                $typ = _HEADER;
                break;
            case 2 :
                $typ = _FOOTER;
                break;
            case 3 :
                $typ = _CENTERBLOCKUP;
                break;
            case 4 :
                $typ = _CENTERBLOCKDOWN;
                break;
            case 5 :
                $typ = _SIDEBLOCKLEFT;
                break;
            case 6 :
                $typ = _SIDEBLOCKRIGHT;
                break;
        } 
        $list = "<tr bgcolor=\"$bgcolor3\">"
         . "<td align=\"center\">$bid</td>"
         . "<td align=\"center\">$name</td>"
         . "<td align=\"center\">$impmade</td>"
         . "<td align=\"center\">$left</td>"
         . "<td align=\"center\">$clicks</td>"
         . "<td align=\"center\">$percent%</td>"
         . "<td align=\"center\">$see</td>"
         . "<td align=\"center\">$typ</td>"
         . "<td align=\"center\" nowrap=\"nowrap\"><a href=\"admin.php?op=banneredit&amp;bid=$bid\">" . $img_edit . "</a>&nbsp;<a href=\"admin.php?op=bannerdelete&amp;bid=$bid&amp;ok=0\">" . $img_delete . "</a></td>"
         . "</tr>";
        if ($active == 1) {
            $out_active .= $list;
        } else {
            $out_deact .= $list;
        } 
    } 
    GraphicAdmin();
    title(_BANNERSADMIN);
    
    // Hier wird geprft ob banner aktiviert sind, Nachricht wird ausgegeben
    if (empty($GLOBALS['banners']) && empty($GLOBALS['bannersfsz'])) {
        OpenTableAl();
        echo "<div align=\"center\"><i><b>" . _IMPORTANTNOTE . "</b></i><br>" . _BANNERSNOTACTIVE . "<br>" . _TOACTIVATE . "<br></div>";
        CloseTableAl();
        echo '<br>';
    } 
    // Adminansicht fr aktive,inaktive banner und kunden
    //echo "<a name=\"top\" >";
    OpenTable(); 
    // neue Ansicht aller Banner im berblick, mit banners
    echo "<center><a href=\"admin.php?op=showallbanners\">" . _SHOWALLBANNERS . "</a></center>";
    CloseTable();
    echo '<br>'; 
    // Adminansicht in kleiner detailierter Auflistung
    if ($out_active) {
        OpenTable();
        echo "<div align='center'><fieldset><legend>" . _ACTIVEBANNERS . "</legend>";
        echo "<table width='100%' border='0' cellspacing='1' cellpadding='1' bgcolor=\"$bgcolor2\">";
        echo $listheader . $out_active;
        echo "</table></fieldset></div>";
        CloseTable();
        echo '<br>';
    } 
    if ($out_deact) {
        OpenTable(); 
        // Abgelaufene Banner
        echo "<div align='center'><fieldset><legend>" . _FINISHEDBANNERS . "</legend>";
        echo "<table width='100%' border='0' cellspacing='1' cellpadding='1' bgcolor=\"$bgcolor2\">";
        echo $listheader . $out_deact;
        echo "</table></fieldset></div>";
        CloseTable();
        echo '<br>';
    } 
    // Liste der Kunden
    $result = sql_query("SELECT c.name, c.cid, c.contact, c.email, Count(b.bid) AS numrows
FROM " . $GLOBALS['prefix'] . "_bannerclient AS c LEFT JOIN " . $GLOBALS['prefix'] . "_banner AS b ON c.cid = b.cid
GROUP BY c.name, c.cid, c.contact, c.email
ORDER BY c.name, c.cid");
    $GLOBALS["mxSqlDebug"] = 0;
    OpenTable();
    echo "<fieldset><legend>" . _ADVERTISINGCLIENTS . "</legend>";
    echo "<table width='100%' border='0' cellspacing='1' cellpadding='1' bgcolor=\"$bgcolor2\"><tr bgcolor=\"$bgcolor2\">";
    echo "<th>" . _ID . "</th>";
    echo "<th>" . _CLIENTNAME . "</th>";
    echo "<th>" . _CONTACTNAME . "</th>";
    echo "<th>" . _CONTACTEMAIL . "</th>";
    echo "<th>" . _ACTIVEBANNERS2 . "</th>";
    echo "<th>" . _FUNCTIONS . "</th></tr>";
    while (list($name, $cid, $contact, $email, $numrows) = sql_fetch_row($result)) {
        echo "<tr bgcolor=\"$bgcolor3\">";
        echo "<td align=\"center\">$cid</td>";
        echo "<td align=\"center\">$name</td>";
        echo "<td align=\"center\">$contact</td>";
        echo "<td align=\"center\"><a href=\"mailto:$email\">$email</a></td>";
        echo "<td align=\"center\">$numrows</td>";
        echo "<td align=\"center\" nowrap=\"nowrap\"><a href=\"admin.php?op=bannerclientedit&amp;cid=$cid\">" . $img_edit . "</a>&nbsp;<a href=\"admin.php?op=bannerclientdelete&amp;cid=$cid\">" . $img_delete . "</a></td>";
        echo "</tr>";
    } 
    echo "</table></fieldset>";
    CloseTable();
    echo '<br>'; 
    // Hier  werden banner hinzugefgt
    $result = sql_query("select * from " . $prefix . "_bannerclient ORDER BY name");

    $numrows = sql_num_rows($result);
    if ($numrows > 0) {
        OpenTable();
        echo "<form action=\"admin.php\" method=\"post\">";
        echo "<div align=\"center\"><fieldset><legend>" . _ADDNEWBANNER . "</legend>";
        echo "<table border=\"0\" cellspacing=\"1\" width=\"88%\" >";
        echo "<tr><td width=\"28%\">" . _CLIENTNAME . ":</td>";
        echo "<td width=\"72%\">";
        echo "<select name=\"cid\">"; 
        // $result = sql_query("select cid, name from ".$prefix."_bannerclient");
        while (list($cid, $name) = sql_fetch_row($result)) {
            echo "<option value=\"$cid\">$name</option>";
        } 
        echo "</select><br></td></tr><tr>";
        echo "<td width=\"28%\">" . _PURCHASEDIMPRESSIONS . ":</td>";
        echo "<td width=\"72%\">";
        echo "<input type=\"text\" name=\"imptotal\" size=\"14\" maxlength=\"11\" /> 0 = " . _UNLIMITED . "<br>";
        echo "</td></tr><tr>";
        echo "<td width=\"28%\">" . _IMAGEURL . ":</td>";
        echo "<td width=\"72%\">";
        echo "<input type=\"text\" name=\"imageurl\" size=\"70\" maxlength=\"255\"><br>";
        echo "</td></tr><tr>";
        echo "<td width=\"28%\">" . _CLICKURL . ":</td>";
        echo "<td width=\"72%\">";
        echo "<input type=\"text\" name=\"clickurl\" size=\"70\" maxlength=\"255\"><br>";
        echo "</td></tr><tr>";
        echo "<td width=\"28%\">" . _ALTTEXT . ":</td>";
        echo "<td width=\"72%\">";
        echo "<input type=\"text\" name=\"alttext\" size=\"70\" maxlength=\"200\"><br>";
        echo "</td></tr><tr>"; 
        // Eingabefeld fr Flash oder Affiliatecode
        echo "<td width=\"28%\">" . _SCRIPT . ":</td>";
        echo "<td width=\"72%\">";
        echo "<textarea name=\"script\" cols=\"60\" rows=\"8\">$script</textarea><br>";
        echo "</td></tr><tr>";
        echo "<td width=\"28%\"></td>";
        echo "<td width=\"72%\"><font size=\"1\" color=\"#FF0000\">" . _SCRIPTINFO . "</font></td></tr>"; 
        // Was fr ein Banner ist es, Header,Footer,Headerblock,Footerblock
        echo "<tr><td width=\"28%\">" . _BTYPE . "</td>";
        echo "<td width=\"72%\">";
        echo "<select name=\"typ\">";
        echo "<option value=\"1\">" . _HEADER . "</option>";
        echo "<option value=\"2\">" . _FOOTER . "</option>";
        echo "<option value=\"3\">" . _CENTERBLOCKUP . "</option>";
        echo "<option value=\"4\">" . _CENTERBLOCKDOWN . "</option>";
        echo "<option value=\"5\">" . _SIDEBLOCKLEFT . "</option>";
        echo "<option value=\"6\">" . _SIDEBLOCKRIGHT . "</option>";
        echo "</select><br><br></td></tr>"; 
        // Aktiv schalten oder nicht
        echo "<tr><td width=\"28%\">" . _AACTIVE . "</td>";
        echo "<td width=\"72%\">";
        echo "<select name=\"active\">";
        echo "<option value=\"1\">" . _ACTIVE . "</option>";
        echo "<option value=\"2\">" . _NOTACTIVE . "</option>";
        echo "</select><br><br></td></tr><tr>";
        echo "<td width=\"28%\">";
        echo "<input type=\"hidden\" name=\"op\" value=\"banneradd\">";
        echo "<input type=\"submit\" value=\"" . _ADDBANNER . "\">";
        echo "</td></tr></table>
        			</fieldset></div></form>";

        CloseTable();
    } 
    // Hier wird Kunde hinzugefgt
    echo '<br>';
    OpenTable();
    echo "<form action=\"admin.php\" method=\"post\">";
    echo"<div align=\"center\"><fieldset><legend>" . _ADDCLIENT . "</legend>";
    echo "<table border=\"0\" cellspacing=\"1\" width=\"88%\" >";
    echo "<tr><td width=\"28%\">" . _CLIENTNAME . ":</td>";
    echo "<td width=\"72%\"><input type=\"text\" name=\"b_name\" size=\"30\" maxlength=\"60\"><br></td>";
    echo "</tr><tr>";
    echo "<td width=\"28%\">" . _CONTACTNAME . ":</td>";
    echo "<td width=\"72%\"><input type=\"text\" name=\"contact\" size=\"30\" maxlength=\"60\"><br></td>";
    echo " </tr><tr>";
    echo "<td width=\"28%\">" . _CONTACTEMAIL . ":</td>";
    echo "<td width=\"72%\"><input type=\"text\" name=\"email\" size=\"30\" maxlength=\"60\"><br></td>";
    echo "</tr><tr>";
    echo "<td width=\"28%\">" . _CLIENTLOGIN . ":</td>";
    echo "<td width=\"72%\"><input type=\"text\" name=\"login\" size=\"12\" maxlength=\"10\"><br></td>";
    echo "</tr><tr>";
    echo "<td width=\"28%\">" . _CLIENTPASSWD . ":</td>";
    echo "<td width=\"72%\"><input type=\"text\" name=\"passwd\" size=\"12\" maxlength=\"10\"><br></td>";
    echo "</tr><tr>";
    echo "<td width=\"28%\">" . _BANEXTRAINFO . ":</td>";
    echo "<td width=\"72%\"><br><textarea name=\"extrainfo\" cols=\"60\" rows=\"5\"></textarea><br><br></td>";
    echo "</tr></table>";
    echo "<input type=\"hidden\" name=\"op\" value=\"banneraddclient\">";
    echo "<input type=\"submit\" value=\"" . _ADDCLIENT2 . "\">";
    echo "</fieldset></div></form>";
    CloseTable();
    include ("footer.php");
} 

function banneradd($pvs)
{
    global $prefix;
    $pvs = mxAddSlashesForSQL($pvs);
    extract($pvs);
    sql_query("insert into " . $prefix . "_banner (cid,imptotal,impmade,clicks,imageurl,clickurl,alttext,datestart,script,typ,active) values ('$cid', '$imptotal', '1', '0', '$imageurl', '$clickurl', '$alttext', now(), '$script', '$typ', '$active')");
    header("Location: admin.php?op=banneradmin#top");
} 

function banneraddclient($pvs)
{
    global $prefix;
    extract($pvs);
    sql_query("insert into " . $prefix . "_bannerclient values (NULL, '" . mxAddSlashesForSQL($b_name) . "', '" . mxAddSlashesForSQL($contact) . "', '" . mxAddSlashesForSQL($email) . "', '" . mxAddSlashesForSQL($login) . "', '" . mxAddSlashesForSQL($passwd) . "', '" . mxAddSlashesForSQL($extrainfo) . "')");
    header("Location: admin.php?op=banneradmin#top");
} 

function bannerdelete($bid, $ok = 0)
{
    global $prefix, $bgcolor2, $bgcolor3, $script;
    if (!empty($ok)) {
        if ($ok == 1) {
        } 
        sql_query("delete from " . $prefix . "_banner where bid='$bid'");
        header("Location: admin.php?op=banneradmin#top");
    } else {
        include("header.php");
        GraphicAdmin();
        OpenTable();
        echo "<center><font class=\"title\"><b>" . _BANNERSADMIN . "</b></font><br><br>";
        echo "<a href=\"admin.php?op=banneradmin\">" . _BACKTO . " " . _ADMINMENU . "</a></center>";
        CloseTable();
        echo '<br>';
        $result = sql_query("select bid,imptotal,impmade,clicks,imageurl,clickurl,alttext,script,active,typ from " . $prefix . "_banner where bid=$bid");
        list($bid, $imptotal, $impmade, $clicks, $imageurl, $clickurl, $alttext, $script, $active, $typ) = sql_fetch_row($result);
        OpenTableAl();
        echo "<center><b>" . _DELETEBANNER . "</b><br><br>";
        if (empty($script)) {
            echo "<br><a href=\"$clickurl\" alt=\"$alttext\" title=\"$alttext\" target=\"_blank\"><img src=\"$imageurl\" border=\"0\" /></a><br><br><br>";
        } else {
            echo "<center>$script</center>";
        } 
        echo "<table width=\"100%\" border=\"0\" cellpadding=\"1\" cellspacing=\"1\"><tr bgcolor=\"$bgcolor2\">";
        echo "<th>" . _ID . "</th>";
        echo "<th>" . _IMPRESSIONS . "</th>";
        echo "<th>" . _IMPLEFT . "</th>";
        echo "<th>" . _CLICKS . "</th>";
        echo "<th>" . _ACTIVE . "</th>";
        echo "<th>" . _DARSTELLUNG . "</th></tr>";
        switch ($typ) {
            case 1 :
                $typ = _HEADER;
                break;
            case 2 :
                $typ = _FOOTER;
                break;
            case 3 :
                $typ = _CENTERBLOCKUP;
                break;
            case 4 :
                $typ = _CENTERBLOCKDOWN;
                break;
            case 5 :
                $typ = _SIDEBLOCKLEFT;
                break;
            case 6 :
                $typ = _SIDEBLOCKRIGHT;
                break;
        } 
        if ($active == 1) {
            $see = _YES;
        } else {
            $see = _NO;
        } 
        echo '<tr bgcolor="' .$bgcolor3. '">';
        echo "<td align=\"center\">$bid</td>";
        echo "<td align=\"center\">$impmade</td>";
        echo "<td align=\"center\">$imptotal</td>";
        echo "<td align=\"center\">$clicks</td>";
        echo "<td align=\"center\">$see</td>";
        echo "<td align=\"center\">$typ</td></tr>";
    } 
    echo "</table><br><font color=\"#FF0000\"><b>" . _SURETODELBANNER . "</b></font><br><br>";
    echo "[&nbsp;<a href=\"admin.php?op=banneradmin#top\">" . _NO . "</a> | <a href=\"admin.php?op=bannerdelete&amp;bid=$bid&amp;ok=1\">" . _YES . "</a>&nbsp;]</center><br><br>";
    CloseTableAl();
    echo "<div align=\"center\"><a href=\"admin.php?op=banneradmin\">" . _BACKTO . " " . _ADMINMENU . "</a></div>";
    include("footer.php");
} 

function banneredit($bid)
{
    global $prefix;
    include("header.php");
    GraphicAdmin();
    OpenTable();
    echo "<center><font class=\"title\"><b>" . _BANNERSADMIN . "</b></font><br><br>";
    echo "<a href=\"admin.php?op=banneradmin\">" . _BACKTO . " " . _ADMINMENU . "</a></center>";
    CloseTable();
    echo '<br>';
    $result = sql_query("select cid, imptotal, impmade, clicks, imageurl, clickurl, alttext, script, typ, active from " . $prefix . "_banner where bid=$bid");
    list($cid, $imptotal, $impmade, $clicks, $imageurl, $clickurl, $alttext, $script, $typ, $active) = sql_fetch_row($result);
    OpenTable();
    echo"<div align=\"center\"><fieldset><legend>" . _EDITBANNER . "</legend>";
    if (strlen($script) <= 1) {
        echo "<a href=\"banners.php?mxbop=click&amp;bid=$bid\" target=\"_blank\"><img src=\"$imageurl\" border=\"0\" alt=\"$alttext\" title=\"$alttext\" /></a>";
    } else {
        echo "<center> $script </center>";
    } 
    echo "<form action=\"admin.php\" method=\"post\">";
    echo "<table border=\"0\" cellspacing=\"1\" width=\"88%\" ><tr>";
    echo "<td width=\"28%\">" . _CLIENTNAME . ":</td>";
    echo "<td width=\"72%\">";
    echo "<select name=\"cid\">";
    $result = sql_query("select cid, name from " . $prefix . "_bannerclient where cid=$cid");
    list($cid, $name) = sql_fetch_row($result);
    echo "<option value=\"$cid\" selected=\"selected\">$name</option>";
    $result = sql_query("select cid, name from " . $prefix . "_bannerclient ORDER BY name");
    while (list($ccid, $name) = sql_fetch_row($result)) {
        if ($cid != $ccid) {
            echo "<option value=\"$ccid\">$name</option>";
        } 
    } 
    echo "</select><br></td></tr><tr>";
    if ($imptotal == 0) {
        $impressions = _UNLIMITED;
    } else {
        $impressions = $imptotal;
    } 
    echo "<td width=\"28%\">" . _ADDIMPRESSIONS . ":</td>";
    echo "<td width=\"72%\">";
    echo "<input type=\"text\" name=\"impadded\" size=\"12\" maxlength=\"11\" /> " . _PURCHASED . " <b> $impressions</b> " . _MADE . ": <b>$impmade</b><br>";
    echo "</td></tr><tr>";
    echo "<td width=\"28%\">" . _IMAGEURL . ":</td>";
    echo "<td width=\"72%\">";
    echo "<input type=\"text\" name=\"imageurl\" size=\"70\" maxlength=\"255\" value=\"" . mxEntityQuotes($imageurl) . "\"><br>";
    echo "</td></tr><tr>";
    echo "<td width=\"28%\">" . _CLICKURL . ":</td>";
    echo "<td width=\"72%\">";
    echo "<input type=\"text\" name=\"clickurl\" size=\"70\" maxlength=\"255\" value=\"" . mxEntityQuotes($clickurl) . "\"><br>";
    echo "</td></tr><tr>";
    echo "<td width=\"28%\">" . _ALTTEXT . ":</td>";
    echo "<td width=\"72%\">";
    echo "<input type=\"text\"  name=\"alttext\" size=\"70\" maxlength=\"200\" value=\"" . mxEntityQuotes($alttext) . "\"><br>";
    echo "</td></tr><tr>";
    echo "<td width=\"28%\">" . _SCRIPT . ":</td>";
    echo "<td width=\"72%\">";
    echo "<textarea name=\"script\" cols=\"60\" rows=\"8\">" . htmlspecialchars($script) . "</textarea><br>";
    echo "</td></tr><tr>";
    echo "<td width=\"28%\"></td>";
    echo "<td width=\"72%\"><font size=\"1\" color=\"#FF0000\">" . _SCRIPTINFO . "</font></td>";
    echo "</tr><tr>";
    echo "<td width=\"28%\">" . _BTYPE . "</td>";
    echo "<td width=\"72%\">";
    echo "<select name=\"typ\">";
    echo "<option value=\"1\" " . ((empty($typ) || $typ == 1) ? 'selected' : '') . " >" . _HEADER . "</option>";
    echo "<option value=\"2\" " . (($typ == 2) ? 'selected' : '') . " >" . _FOOTER . "</option>";
    echo "<option value=\"3\" " . (($typ == 3) ? 'selected' : '') . " >" . _CENTERBLOCKUP . "</option>";
    echo "<option value=\"4\" " . (($typ == 4) ? 'selected' : '') . " >" . _CENTERBLOCKDOWN . "</option>";
    echo "<option value=\"5\" " . (($typ == 5) ? 'selected' : '') . " >" . _SIDEBLOCKLEFT . "</option>";
    echo "<option value=\"6\" " . (($typ == 6) ? 'selected' : '') . " >" . _SIDEBLOCKRIGHT . "</option>";
    echo "</select>";
    echo "</td></tr>"; 
    // Aktiv schalten oder nicht
    echo "<tr><td width=\"28%\">" . _AACTIVE . "</td>";
    echo "<td width=\"72%\">";
    echo "<select name=\"active\">";
    echo "<option value=\"1\">" . _ACTIVE . "</option>";
    echo "<option value=\"2\">" . _NOTACTIVE . "</option>";
    echo "</select><br><br></td></tr><tr>";

    echo "<td width=\"28%\">";
    echo "<input type=\"hidden\" name=\"bid\" value=\"$bid\">";
    echo "<input type=\"hidden\" name=\"imptotal\" value=\"$imptotal\">";
    echo "<input type=\"hidden\" name=\"op\" value=\"bannerchange\">";
    echo "<input type=\"submit\" value=\"" . _SAVECHANGES . "\">";
    echo "</td>";
    echo "<td width=\"72%\"></td></tr></table>
    			</form></fieldset></div>";
    echo "<center><a href=\"admin.php?op=banneradmin\">" . _BACKTO . " " . _ADMINMENU . "</a></center>";

    CloseTable();
    include("footer.php");
} 

function bannerchange($pvs)
{
    global $prefix;
    extract($pvs);
    $imp = $imptotal + $impadded;
    sql_query("update " . $prefix . "_banner set cid='" . mxAddSlashesForSQL($cid) . "', imptotal='" . mxAddSlashesForSQL($imp) . "', imageurl='" . mxAddSlashesForSQL($imageurl) . "', clickurl='" . mxAddSlashesForSQL($clickurl) . "', alttext='" . mxAddSlashesForSQL($alttext) . "', script='" . mxAddSlashesForSQL($script) . "', typ='" . mxAddSlashesForSQL($typ) . "', active='" . mxAddSlashesForSQL($active) . "' where bid='" . mxAddSlashesForSQL($bid) . "'");
    header("Location: admin.php?op=banneradmin#top");
} 

function bannerclientdelete($cid, $ok = 0)
{
    global $prefix, $bid, $cid, $impmade, $clicks, $imageurl, $alttext, $bdate, $typ, $script;
    if (!empty($ok)) {
        if ($ok == 1) {
            sql_query("delete from " . $prefix . "_banner where cid='$cid'");
            sql_query("delete from " . $prefix . "_bannerclient where cid='$cid'");
        } 
        header("Location: admin.php?op=banneradmin#top");
    } else {
        include("header.php");
        GraphicAdmin();
        OpenTable();
        echo "<center><font class=\"title\"><b>" . _BANNERSADMIN . "</b></font><br><br>";
        echo "<a href=\"admin.php?op=banneradmin\">" . _BACKTO . " " . _ADMINMENU . "</a></center>";
        CloseTable();
        echo '<br>';
        OpenTableAl();
        $result2 = sql_query("select bid,cid,impmade,clicks,imageurl,clickurl,alttext,datestart,typ,script from " . $prefix . "_banner where cid=$cid");
        $numrows = sql_num_rows($result2);

        if ($numrows == 0) {
            echo "<center>" . _DELETECLIENT . '?<br>' . _CLIENTWITHOUTBANNERS . "<br><br></center>";
            echo "<center><br>[&nbsp;<a href=\"admin.php?op=banneradmin#top\">" . _NO . "</a> | <a href=\"admin.php?op=bannerclientdelete&amp;cid=$cid&amp;ok=1\">" . _YES . "</a>&nbsp;]</center><br><br></center>";
        } else {
            echo "<center><font color=\"#FF0000\"><b>" . _WARNING . "!!!</b></font><br>" . _DELCLIENTHASBANNERS . ":<br><br></center>";
            echo "<center><font color=\"#FF0000\"><b>" . _SURETODELCLIENT . "</b></font><br><br>[&nbsp;<a href=\"admin.php?op=banneradmin#top\">" . _NO . "</a> | <a href=\"admin.php?op=bannerclientdelete&amp;cid=$cid&amp;ok=1\">" . _YES . "</a>&nbsp;]</center><br><br>";
            CloseTableAl();
            echo '<br>';
            OpenTableAl();
            while (list($bid, $cid, $impmade, $clicks, $imageurl, $clickurl, $alttext, $bdate, $typ, $script) = sql_fetch_row($result2)) {
                if (empty($script)) {
                    echo "<center><a href=\"$clickurl\" alt=\"$alttext\" title=\"$alttext\" target=\"_blank\"><img src=\"$imageurl\" border=\"0\" /></a><br><br>";
                    echo "<table border=\"0\"  cellspacing=\"1\" width=\"100%\" ><tr>";
                    echo "<td width=\"100%\" bgcolor=\"$bgcolor2\">";
                    echo"" . _ID . ": $bid | " . _IMPRESSIONS . ": $impmade | " . _CLICKS . ": $clicks | " . _DATESTARTED . ": $bdate | " . _DARSTELLUNG . ": $typ<br>";
                    echo "</td></tr></table>";
                    echo "<br><hr>";
                } else {
                    echo "<center>$script<br><br></center>";
                    echo "<table border=\"0\"  cellspacing=\"1\" width=\"100%\" ><tr>";
                    echo "<td width=\"100%\" bgcolor=\"$bgcolor2\">";
                    echo"" . _ID . ": $bid | " . _IMPRESSIONS . ": $impmade | " . _CLICKS . ": $clicks | " . _DATESTARTED . ": $bdate | " . _DARSTELLUNG . ": $typ<br>";
                    echo "</td></tr></table><hr>";
                } 
            } 
        } 
        CloseTableAl();
        include("footer.php");
    } 
} 
function bannerclientedit($cid)
{
    global $prefix;
    include("header.php");
    GraphicAdmin();
    OpenTable();
    echo "<div align=\"center\"><font class=\"title\"><b>" . _BANNERSADMIN . "</b></font><br><br>";
    echo "<a href=\"admin.php?op=banneradmin\">" . _BACKTO . " " . _ADMINMENU . "</a></div>";
    CloseTable();
    echo '<br>';
    $result = sql_query("select name, contact, email, login, passwd, extrainfo from " . $prefix . "_bannerclient where cid=$cid");
    list($name, $contact, $email, $login, $passwd, $extrainfo) = sql_fetch_row($result);
    OpenTable();
    echo "<form action=\"admin.php\" method=\"post\">";
    echo "<div align=\"center\"><fieldset><legend>" . _EDITCLIENT . "</legend>";
    echo "<table border=\"0\" cellspacing=\"1\" width=\"88%\" >";
    echo "<tr><td width=\"28%\">" . _CLIENTNAME . ":</td>";
    echo "<td width=\"72%\"><input type=\"text\" name=\"b_name\" value=\"" . mxEntityQuotes($name) . "\" size=\"30\" maxlength=\"60\"><br></td>";
    echo "</tr><tr>";
    echo "<td width=\"28%\">" . _CONTACTNAME . ":</td>";
    echo "<td width=\"72%\"><input type=\"text\" name=\"contact\" value=\"" . mxEntityQuotes($contact) . "\" size=\"30\" maxlength=\"60\"><br></td>";
    echo "</tr><tr>";
    echo "<td width=\"28%\">" . _CONTACTEMAIL . ":</td>";
    echo "<td width=\"72%\"><input type=\"text\" name=\"email\" size=\"30\" maxlength=\"60\" value=\"" . mxEntityQuotes($email) . "\"><br></td>";
    echo "</tr><tr>";
    echo "<td width=\"28%\">" . _CLIENTLOGIN . ":</td>";
    echo "<td width=\"72%\"><input type=\"text\" name=\"login\" size=\"12\" maxlength=\"10\" value=\"" . mxEntityQuotes($login) . "\"><br></td>";
    echo "</tr><tr>";
    echo "<td width=\"28%\">" . _CLIENTPASSWD . ":</td>";
    echo "<td width=\"72%\"><input type=\"text\" name=\"passwd\" size=\"12\" maxlength=\"10\" value=\"" . mxEntityQuotes($passwd) . "\"><br><br></td>";
    echo "</tr><tr>";
    echo "<td width=\"28%\">" . _BANEXTRAINFO . ":</td>";
    echo "<td width=\"72%\"><br><textarea name=\"extrainfo\" cols=\"60\" rows=\"5\">" . htmlspecialchars($extrainfo) . "</textarea><br></td>";
    echo "</tr></table>";
    echo "<input type=\"hidden\" name=\"cid\" value=\"$cid\">";
    echo "<input type=\"hidden\" name=\"op\" value=\"bannerclientchange\">";
    echo "<input type=\"submit\" value=\"" . _SAVECHANGES . "\">";
    echo "</fieldset></div></form>";
    echo "<div align=\"center\"><a href=\"admin.php?op=banneradmin\">" . _BACKTO . " " . _ADMINMENU . "</a></div>";
    CloseTable();
    include("footer.php");
} 

function bannerclientchange($pvs)
{
    global $prefix;
    extract($pvs);
    sql_query("update " . $prefix . "_bannerclient set name='" . mxAddSlashesForSQL($b_name) . "', contact='" . mxAddSlashesForSQL($contact) . "', email='" . mxAddSlashesForSQL($email) . "', login='" . mxAddSlashesForSQL($login) . "', passwd='" . mxAddSlashesForSQL($passwd) . "', extrainfo='" . mxAddSlashesForSQL($extrainfo) . "' where cid=" . intval($cid));
    header("Location: admin.php?op=banneradmin#top");
} 

function showallbanners($pvs)
{
    global $prefix, $bgcolor2, $bgcolor3;
    $img_delete = mxCreateImage("images/delete.gif", _DELETE);
    $img_edit = mxCreateImage("images/edit.gif", _EDIT);
    extract($pvs);
    include("header.php");
    OpenTable();
    echo "<div align=\"center\">";
    echo "<a href=\"admin.php?op=banneradmin\">" . _BACKTO . " " . _ADMINMENU . "</a><br><br>";
    $result = sql_query("select bid,cid,impmade,clicks,imageurl,clickurl,alttext,datestart,typ,script, active from " . $prefix . "_banner order by bid");
    while (list($bid, $cid, $impmade, $clicks, $imageurl, $clickurl, $alttext, $bdate, $typ, $script, $active) = sql_fetch_row($result)) {
        if (empty($script)) {
            echo "<br><a href=\"$clickurl\" alt=\"$alttext\" title=\"$alttext\" target=\"_blank\"><img src=\"$imageurl\" border=\"0\" /></a><br>";
        } else {
            echo "<center>$script</center>";
        } 
        switch ($typ) {
            case 1 :
                $typ = _HEADER;
                break;
            case 2 :
                $typ = _FOOTER;
                break;
            case 3 :
                $typ = _CENTERBLOCKUP;
                break;
            case 4 :
                $typ = _CENTERBLOCKDOWN;
                break;
            case 5 :
                $typ = _SIDEBLOCKLEFT;
                break;
            case 6 :
                $typ = _SIDEBLOCKRIGHT;
                break;
        } 
        // Hauptansicht ob aktiv oder nicht
        if ($active == 1) {
            $see = _YES;
        } else {
            $see = _NO;
        } 
				
				echo '<br><br>';
        echo "<table border=\"0\"  cellpadding=\"2\" cellspacing=\"1\" width=\"80%\" bgcolor=\"$bgcolor2\"><tr>";
        echo "<td bgcolor=\"$bgcolor3\">";
        echo"<div align=\"center\">" . _ID . ": $bid | " . _IMPRESSIONS . ": $impmade | " . _CLICKS . ": $clicks | " . _DATESTARTED . ": $bdate | " . _DARSTELLUNG . ": $typ</div>";
        echo "</td></tr></table>";
        $result2 = sql_query("select cid, name from " . $prefix . "_bannerclient where cid=$cid");
        list ($cid, $name) = sql_fetch_row($result2);
        echo '<br>';
        echo _CLIENTNAME . ": <strong>$name</strong>&nbsp;|&nbsp;<a href=\"admin.php?op=banneredit&amp;bid=$bid\">" . $img_edit . "</a>&nbsp;<a href=\"admin.php?op=bannerdelete&amp;bid=$bid&amp;ok=0\">" . $img_delete . "</a><br>";
        echo "<br>" . _ACTIV1 . " $see<hr noshade=\"noshade\" size=\"1\"><br>";
    } 

    echo "<br><br><a href=\"admin.php?op=banneradmin\">" . _BACKTO . " " . _ADMINMENU . "</a></div>";
    CloseTable();
    include("footer.php");
} 

$op = (empty($op)) ? "" : $op;
$ok = (empty($ok)) ? 0 : 1;

switch ($op) {
    case "banneradmin":
        banneradmin();
        break;

    case "banneradd":
        banneradd($_POST);
        break;

    case "banneraddclient":
        banneraddclient($_POST);
        break;

    case "bannerdelete":
        bannerdelete($bid, $ok);
        break;

    case "banneredit":
        banneredit($bid);
        break;

    case "bannerchange":
        bannerchange($_POST);
        break;

    case "bannerclientdelete":
        bannerclientdelete($cid, $ok);
        break;

    case "bannerclientedit":
        bannerclientedit($cid);
        break;

    case "bannerclientchange":
        bannerclientchange($_POST);
        break;

    case "showallbanners":
        showallbanners($_POST);
        break;
} 

?>