<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.4.2.4 $
 * $Author: tora60 $
 * $Date: 2008/02/01 20:55:57 $
 *
 * this file based on:
 * My_eGallery
 * Copyright (c) 2001 by ~ MarsIsHere ~ (marsishere@yahoo.fr), http://www.marsishere.net
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

defined('mxMainFileLoaded') or die('access denied');

if (!MX_IS_ADMIN) {
    die ("Access Denied");
}
if (isset($_REQUEST['basepath']) || isset($_REQUEST['adminpath'])) {
    Header("Location: index.php");
    die();
}
$module_name = "My_eGallery";
include("modules/$module_name/include.php");
if (empty($do)) $do = '';
if (empty($category)) $category = '';
if (empty($parent)) $parent = '';
if (empty($gallid)) $gallid = '';
if (empty($recursive)) $recursive = '';
if (empty($submitter)) $submitter = '';
if (empty($desc_cat)) $desc_cat = '';
if (empty($desc_pic)) $desc_pic = '';
if (empty($pid)) $pid = '';

function galleryHeader()
{
    include('header.php');
}

function adminFooter()
{
    global $font;
    echo '<p class="tiny" align="right">My_eGallery Version - ' . _GALVERSION . '</p>';
}

function navigationAdmin($url)
{
    global $font;
    GraphicAdmin();
    OpenTable();
    echo "<center><font class=\"" . $font['title'] . "\"><b>" . _GALADMIN . "</b></font></center>";
    CloseTable();
    echo "<br>";
    OpenTable();
    echo $url;
    CloseTable();
}

function getThumbnail($img, $galloc)
{
    global $gallerypath, $imagepath, $prefix, $font;
    $ext = substr($img, (strrpos($img, '.') + 1));
    $name_gif = str_replace(".$ext", ".gif", $img);
    $name_jpg = str_replace(".$ext", ".jpg", $img);
    if (@file_exists("$gallerypath/$galloc/thumb/$name_gif")) {
        $thumb = "$gallerypath/$galloc/thumb/$name_gif";
    } elseif (@file_exists("$gallerypath/$galloc/thumb/$name_jpg")) {
        $thumb = "$gallerypath/$galloc/thumb/$name_jpg";
    } else {
        $row = sql_fetch_array(sql_query("SELECT thumbnail from " . $prefix . "_gallery_media_types where extension='$ext'"));
        $thumbnail = $row['thumbnail'];
        $thumb = "$imagepath/$thumbnail";
    }
    return $thumb;
}

function showoptions()
{
    global $prefix, $adminurl, $font;
    galleryHeader();
    GraphicAdmin();
    OpenTable();
    echo "<center><font class=\"option\"><b>" . _GALADMIN . "</b></font></center>";
    CloseTable();
    echo "<br>";
    OpenTable();
    $result = @sql_query("SELECT COUNT(pid) AS total FROM " . $prefix . "_gallery_pictures_newpicture");
    $wait = @sql_fetch_array($result);
    echo "<a class=\"" . $font['title'] . "\" href=\"" . $adminurl . "&amp;do=Configure\">" . _GALGENERALSETTINGS . "</a><font class=\"" . $font['normal'] . "\">- " . _GALGENERALSETTINGSDESC . "</font><br><br>\n"
     . "<a class=\"" . $font['title'] . "\" href=\"" . $adminurl . "&amp;do=editallcategories\">" . _GALEDITCATEGORIES . "</a> <font class=\"" . $font['normal'] . "\">- " . _GALEDITCATEGORIESDESC . "</font><br><br>\n"
     . "<a class=\"" . $font['title'] . "\" href=\"" . $adminurl . "&amp;do=editmedia\">" . _GALEDITMEDIA . "</a> <font class=\"" . $font['normal'] . "\">- " . _GALEDITMEDIADESC . "</font><br><br>\n"
     . "<a class=\"" . $font['title'] . "\" href=\"" . $adminurl . "&amp;do=editmediatypes\">" . _GALEDITMEDIATYPE . "</a> <font class=\"" . $font['normal'] . "\">- " . _GALEDITMEDIATYPEDESC . "</font><br><br>\n"
     . "<a class=\"" . $font['title'] . "\" href=\"" . $adminurl . "&amp;do=edittemplate\">" . _GALEDITTEMPLATE . "</a> <font class=\"" . $font['normal'] . "\">- " . _GALEDITTEMPLATEDESC . "</font><br><br>\n"
     . "<a class=\"" . $font['title'] . "\" href=\"" . $adminurl . "&amp;do=editmedia&amp;type=new\">" . _GALADDNEWMEDIA . "</a> <font class=\"" . $font['normal'] . "\">- " . _GALADDNEWMEDIADESC . "</font><br><br>\n"
     . "<a class=\"" . $font['title'] . "\" href=\"" . $adminurl . "&amp;do=quickaddpics\">" . _GALBATCHBUILD . "</a> <font class=\"" . $font['normal'] . "\">- " . _GALBATCHBUILDDESC . "</font><br><br>\n"
     . "<a class=\"" . $font['title'] . "\" href=\"" . $adminurl . "&amp;do=validnew&amp;type=checknew\">" . _GALPOSTEDMEDIA . " " . sprintf(_GALWAITING, $wait["total"]) . "</a> <font class=\"" . $font['normal'] . "\">- " . _GALPOSTEDMEDIADESC . "</font><br><br>\n";
     CloseTable();
    echo "<br>";
    adminFooter();
    include("footer.php");
}


function indent($gid)
{
    global $prefix;
    $tab = 0;
    list($parent) = sql_fetch_row(sql_query("SELECT parent FROM " . $prefix . "_gallery_categories WHERE gallid=$gid"));

    while ($parent != -1) {
        list($parent) = sql_fetch_row(sql_query("SELECT parent FROM " . $prefix . "_gallery_categories WHERE gallid=$parent"));
        $tab ++;
    }
    return $tab;
}

function listcategories($dir)
{
    global $prefix, $gallerypath;
    $dossier = opendir($dir);
    $category = "";
    while (false !== ($file = readdir($dossier))) {
        if ($file != "." && $file != ".." && $file != "thumb") {
            if (is_dir($dir . "/" . $file)) {
                $galloc = substr($dir . "/" . $file, strlen("$gallerypath/"));
                $result = sql_query("select gallid from " . $prefix . "_gallery_categories where galloc='$galloc'");
                if (sql_num_rows($result) > 0) {
                    list($gid) = sql_fetch_array($result);
                    $category .= "$gid ";
                }

                $category .= listcategories("$dir/$file");
            }
        }
    }
    return $category;
}

function rebuild_totals($debug = false)
{
    global $prefix;
    $result = sql_query("SELECT COUNT(pid) AS total, gallid FROM " . $prefix . "_gallery_pictures LEFT JOIN " . $prefix . "_gallery_categories ON " . $prefix . "_gallery_categories.gallid = " . $prefix . "_gallery_pictures.gid WHERE " . $prefix . "_gallery_categories.visible >0 GROUP BY gallid ORDER BY gallid");
    while ($row = sql_fetch_array ($result)) {
        $catTotal[$row['gallid']] = $row['total'];
    }
    // total for parents
    $result = sql_query("SELECT gallid, parent FROM " . $prefix . "_gallery_categories WHERE visible >0 ORDER BY parent DESC");
    while ($row = sql_fetch_array($result)) {
        if ($row['parent']) {
            @ $t[$row['parent']] = ($t[$row['parent']] + $catTotal[$row['gallid']]) + $t[$row['gallid']];
        }
    }
    // add total of current category to total of all sub-categories
    $result = sql_query("SELECT gallid, parent FROM " . $prefix . "_gallery_categories WHERE visible >0 ORDER BY parent DESC");
    while ($row = sql_fetch_array($result)) {
        @ $t[$row['gallid']] = ($t[$row['gallid']] + $catTotal[$row['gallid']]);
    }
    // do some zero filling on all categories, even non-visible
    $result = sql_query("SELECT gallid FROM " . $prefix . "_gallery_categories ORDER BY gallid");
    while ($row = sql_fetch_array($result)) {
        @ $t[$row['gallid']] = intval($t[$row['gallid']]);
    }
    // ok, update our tables here
    // foreach($t as $k => $v)
    while (list($k, $v) = @each ($t)) {
        sql_query("UPDATE " . $prefix . "_gallery_categories SET total=$v WHERE gallid=$k");
    }
    // debug
    if ($debug) {
        echo "<table><tr><th>ID</th><th>Category</th><th>Total</th></tr>";
        $result = sql_query("SELECT gallid, gallname, total FROM " . $prefix . "_gallery_categories ORDER BY parent DESC");
        while ($row = sql_fetch_array($result)) {
            echo "<tr><td>" . $row['gallid'] . "</td><td>" . $row['gallname'] . "</td><td>" . $row['total'] . "</td></tr>\n";
        }
        echo "</table>";
        exit;
    }
}

if ($do == "test_totals") {
    rebuild_totals(true);
    exit;
}

function rebuild_lastadd($debug = false)
{
    global $prefix;
    // update each category last add first
    $result = sql_query("SELECT gallid FROM " . $prefix . "_gallery_categories ORDER BY gallid");
    while ($row = sql_fetch_array($result)) {
        $high = sql_fetch_array(sql_query("SELECT COUNT(pid) AS total, TO_DAYS(date) AS days FROM " . $prefix . "_gallery_pictures WHERE gid=" . $row['gallid'] . " GROUP BY date ORDER BY date DESC"));
        if ($high['total']) {
            sql_query("UPDATE " . $prefix . "_gallery_categories SET lastadd=FROM_DAYS(" . $high['days'] . ") WHERE gallid=" . $row['gallid'] . "");
        } else {
            sql_query("UPDATE " . $prefix . "_gallery_categories SET lastadd=0 WHERE gallid=" . $row['gallid'] . "");
        }
    }
    // step backward and compare
    $result = sql_query("SELECT gallid, parent, TO_DAYS(lastadd) AS days FROM " . $prefix . "_gallery_categories WHERE visible>0 ORDER BY parent DESC");
    while ($row = sql_fetch_array($result)) {
        if ($row['parent']) {
            $prow = sql_fetch_array(sql_query("SELECT TO_DAYS(lastadd) AS days FROM " . $prefix . "_gallery_categories WHERE gallid=$row[parent]"));
            // update parent is current is greater
            if (!isset($row['days'])) {
                $row['days'] = 0;
            }
            if ($row["days"] > $prow['days']) {
                sql_query("UPDATE " . $prefix . "_gallery_categories SET lastadd=FROM_DAYS(" . $row["days"] . ") WHERE gallid=" . $row['parent'] . "");
            }
        }
    }
    if ($debug) {
        echo "<table><tr><th>ID</th><th>Category</th><th>Last Add</th></tr>";
        $result = sql_query("SELECT gallid, gallname, lastadd AS days FROM " . $prefix . "_gallery_categories ORDER BY parent DESC");
        while ($row = sql_fetch_array($result)) {
            echo "<tr><td>" . $row['gallid'] . "</td><td>" . $row['gallname'] . "</td><td>" . $row['days'] . "</td></tr>\n";
        }
        echo "</table>";
        exit;
    }
}

if ($do == 'test_add') {
    rebuild_lastadd(true);
    exit;
}

function changeStatus($gid, $visible)
{
    global $prefix;
    $sql = "UPDATE " . $prefix . "_gallery_categories SET visible=" . intval($visible) . " WHERE gallid=" . intval($gid);
    sql_query($sql);
    $sql = "SELECT gallid FROM " . $prefix . "_gallery_categories WHERE parent=" . intval($gid);
    $result = sql_query($sql);
    while ($row = sql_fetch_array($result)) {
        changeStatus($row['gallid'], $visible);
    }
}

switch ($do) {
    case "Configure": // OK!
        include("$adminpath/settings.php");
        Configure();
        break;

    case "ConfigSave": // OK!
        include("$adminpath/settings.php");
        ConfigSave($_POST);
        Header("Location: $adminurl");
        break;

    case "editallcategories": // OK!
        include ("$adminpath/editallcategories.php");
        editallcategories();
        break;

    case "editcategory": // OK!
        if (isset($type) && $type != "") {
            switch ($type) {
                case "save": // OK!
                    if (isset($category) && $category != "") {
                        $sql = "UPDATE " . $prefix . "_gallery_categories SET ";
                        $sql .= "thumbwidth='" . intval($thumbwidth) . "', ";
                        $sql .= "gallname='" . mxAddSlashesForSQL($categoryname) . "', ";
                        $sql .= "gallimg='" . mxAddSlashesForSQL($image) . "', ";
                        $sql .= "description='" . mxAddSlashesForSQL($description_cat) . "', ";
                        $sql .= "template='" . intval($xtemplate) . "', ";
                        $sql .= "visible='" . intval($visible) . "', ";
                        $sql .= "numcol='" . intval($numcol) . "' ";
                        $sql .= "WHERE gallid=" . intval($category);
                        sql_query($sql);
                    }
                    rebuild_totals();
                    rebuild_lastadd();
                    Header("Location: $adminurl&do=editallcategories");
                    break;

                case "create": // OK!
                    include ("$adminpath/fileFunctions.php");
                    $userfile = $_FILES['userfile']['tmp_name'];
                    $categoryloc = traite_nom_fichier($categoryloc);
                    if ($parent != -1) {
                        $categoryloc = $parentloc . "/" . $categoryloc;
                    }
                    $wdir = "/";
                    $makeDir_return = makeDir($gallerypath, $categoryloc);

                    if ($makeDir_return == "OK") {
                        if (!isset($userfile) || $userfile == "" || $userfile == "none") {
                            $userfile = $imagepath . "/gallery.gif";
                            $userfile_name = "gallery.gif";
                            $userfile_size = 10;
                            if (!copy($userfile, "" . $gallerypath . "/" . $categoryloc . "/" . $userfile_name . "")) {
                                $upload_return = _GALUPLOADERROR3;
                            } else {
                                $upload_return = "OK";
                            }
                        } else {
                            $userfile_name = $_FILES['userfile']['name'];
                            $userfile_size = $_FILES['userfile']['size'];
                            $userfile_name = traite_nom_fichier($userfile_name);

                            $upload_return = UploadFile($gallerypath . $wdir . $categoryloc, $userfile, $userfile_name, $userfile_size) ;
                        }
                        if ($upload_return == "OK") {
                            $sql = "INSERT INTO " . $prefix . "_gallery_categories (gallid, gallname, gallimg, galloc, description, parent, visible, template, numcol, total, lastadd) VALUES (NULL, '" . mxAddSlashesForSQL($categoryname) . "', '" . mxAddSlashesForSQL($userfile_name) . "', '" . mxAddSlashesForSQL($categoryloc) . "', '" . mxAddSlashesForSQL($description_cat) . "', '" . intval($parent) . "', '" . intval($visible) . "', '2', '" . intval($numcol) . "', '0', now())";
                            sql_query($sql);
                        } else {
                            galleryHeader();
                            GraphicAdmin();
                            OpenTable();
                            echo "<center><font class=\"option\"><b>" . _GALADMIN . "</b></font></center>";
                            CloseTable();
                            echo "<br>";
                            OpenTable();
                            echo "<br>";
                            echo "<center>" . $upload_return . "<br><br><a href=\"" . $adminurl . "&do=editallcategories\">" . _GOBACK1 . "</a></center>";
                            CloseTable();
                            adminFooter();
                        }
                        rebuild_totals();
                        rebuild_lastadd();
                    } else {
                        galleryHeader();
                        GraphicAdmin();
                        OpenTable();
                        echo "<center><font class=\"option\"><b>" . _GALADMIN . "</b></font></center>";
                        CloseTable();
                        echo "<br>";
                        OpenTable();
                        echo "<br>";
                        echo "<center>" . $makeDir_return . "<br><br><a href=\"" . $adminurl . "&do=editallcategories\">" . _GOBACK1 . "</a></center>";
                        CloseTable();
                        adminFooter();
                    }
                    header("Location: $adminurl&do=editallcategories");
                    include ("footer.php");
                    break;

                case "move": // OK!
                    include ("$adminpath/movecategory.php");
                    $basedir = "$gallerypath";
                    $wdir = "/";
                    if (!isset($confirmed) || $confirmed == "") {
                        movecategory($category);
                    } else {
                        list($oldloc) = sql_fetch_row(sql_query("SELECT galloc FROM " . $prefix . "_gallery_categories WHERE gallid='$oldlocation'"));
                        list($newloc) = sql_fetch_row(sql_query("SELECT galloc FROM " . $prefix . "_gallery_categories WHERE gallid='$newparent'"));
                        $dir = substr (strrchr ($oldloc, "/"), 1);
                        if ($dir == "") {
                            if ($newloc != "") {
                                sql_query("UPDATE " . $prefix . "_gallery_categories SET parent='$newparent', galloc='$newloc/$oldloc' WHERE gallid='$oldlocation'");
                                rmove($basedir . $wdir . $oldloc, $basedir . $wdir . $newloc . $wdir . $oldloc);
                            } else {
                                sql_query("UPDATE " . $prefix . "_gallery_categories SET parent='$newparent', galloc='$oldloc' WHERE gallid='$oldlocation'");
                                rmove($basedir . $wdir . $oldloc, $basedir . $wdir . $oldloc);
                            }
                        } else {
                            if ($newloc != "") {
                                sql_query("UPDATE " . $prefix . "_gallery_categories SET parent='$newparent', galloc='$newloc/$dir' WHERE gallid='$oldlocation'");
                                rmove($basedir . $wdir . $oldloc, $basedir . $wdir . $newloc . $wdir . $dir);
                            } else {
                                sql_query("UPDATE " . $prefix . "_gallery_categories SET parent='$newparent', galloc='$dir' WHERE gallid='$oldlocation'");
                                rmove($basedir . $wdir . $oldloc, $basedir . $wdir . $dir);
                            }
                        }
                        rebuild_totals();
                        rebuild_lastadd();

                        Header("Location: $adminurl&do=editallcategories");
                    }
                    break;

                case "delete": // OK!
                    include ("$adminpath/deletecategory.php");
                    deletecategory($category);
                    rebuild_totals();
                    rebuild_lastadd();
                    Header("Location: $adminurl&do=editallcategories");
                    break;

                case 'status':
                    changeStatus($category, $visible);
                    rebuild_totals();
                    rebuild_lastadd();
                    header("Location: $adminurl&do=editallcategories");
                    break;
            }
        } else {
            include ("$adminpath/editcategory.php");
            editcategory($category, $parent);
        }
        break;

    case "edittemplate":
        if (!isset($template)) {
            $template = '';
        }
        if (isset($delete) && $delete != "") {
            $sql = "DELETE FROM " . $prefix . "_gallery_template_types WHERE id=" . intval($template);
            sql_query($sql);
            Header("Location: $adminurl&do=edittemplate");
        } else
        if (isset($type) && $type != "") {
            switch ($type) {
                case "edit":
                    include("$adminpath/edittemplate.php");
                    edittemplate($template);
                    break;

                case "save":
                    $sql = "UPDATE " . $prefix . "_gallery_template_types SET title='" . mxAddSlashesForSQL($xtemplatename) . "', templateCategory='" . mxAddSlashesForSQL($xtemplateCat) . "', templatePictures='" . mxAddSlashesForSQL($xtemplatePic) . "', templateCSS='" . mxAddSlashesForSQL($xtemplateCSS) . "' WHERE id='" . intval($templateid) . "'";
                    sql_query($sql);
                    Header("Location: $adminurl&do=edittemplate");
                    break;

                case "create":
                    $sql = "INSERT INTO " . $prefix . "_gallery_template_types (id, title, type, templateCategory, templatePictures, templateCSS) VALUES (NULL, '" . mxAddSlashesForSQL($xtemplatename) . "', " . intval($xtype) . ", '" . mxAddSlashesForSQL($xtemplateCat) . "', '" . mxAddSlashesForSQL($xtemplatePic) . "', '" . mxAddSlashesForSQL($xtemplateCSS) . "')";
                    sql_query($sql);
                    Header("Location: $adminurl&do=edittemplate");
                    break;

                default:
                    include("$adminpath/edittemplate.php");
                    edittemplate($template);
                    break;
            }
        } else {
            include("$adminpath/editalltemplates.php");
            editalltemplates();
        }
        break;

    case "editmedia": // OK!
        $limit = 5;
        if (isset($type) && $type != "") {
            switch ($type) {
                case "edit": // OK!
                    include("$basepath/public/imageFunctions.php");
                    include ("$adminpath/fileFunctions.php");
                    include ("$adminpath/editmedia.php");
                    editmedia($category, $pid);

                    break;

                case "new": // OK!
                    include ("$adminpath/fileFunctions.php");
                    if (isset($add) && $add == "Insert") {
                        list($galloc) = sql_fetch_row(sql_query("SELECT galloc FROM " . $prefix . "_gallery_categories WHERE gallid='$Category'"));
                        $wdir = "/";
                        $todo = "0";
                        $userfile = $_FILES['userfile']['tmp_name'];
                        $userfile_name = $_FILES['userfile']['name'];
                        $userfile_size = $_FILES['userfile']['size'];
                        $userfile_name = traite_nom_fichier($userfile_name);
                        $ext = substr($userfile_name, (strrpos($userfile_name, '.') + 1));
                        $result = sql_query("select filetype from " . $prefix . "_gallery_media_types where extension='$ext'");
                        if (sql_num_rows($result) == 0) {
                            galleryHeader();
                            GraphicAdmin();
                            OpenTable();
                            echo "<center><font class=\"option\"><b>" . _GALADMIN . "</b></font></center>";
                            CloseTable();
                            echo "<br>";
                            OpenTable();
                            echo "<br>";
                            echo "<center>" . _GALTYPENOTSUPPORTED . "<br><br>" . _GOBACK7 . "</center>";
                            CloseTable();
                            adminFooter();
                            $todo = 1;
                        }
                        if (@is_file($gallerypath . $wdir . $galloc . $wdir . $userfile_name . "")) {
                            $upload_return = _GALPICALREADYEXT;
                        } else {
                            list($type) = sql_fetch_row($result);
                            $upload_return = UploadFile($gallerypath . $wdir . $galloc, $userfile, $userfile_name, $userfile_size);
                        }
                        if ($upload_return == "OK") {
                            switch ($type) {
                                case 1:
                                    if ($ext != "bmp" && $ext != "BMP") {
                                        $size = @getimagesize($gallerypath . $wdir . $galloc . $wdir . $userfile_name);
                                    }
                                    break;

                                case 3 :
                                    $size[0] = 320;
                                    $size[1] = 240;
                                    break;

                                default:
                                    $size[0] = 0;
                                    $size[1] = 0;
                                    break;
                            }
                            if ($ext != "bmp" && $ext != "BMP") {
                                $sql = "insert into " . $prefix . "_gallery_pictures (pid, gid, img, counter, submitter, date, name, description, votes, rate, extension, width, height) values(NULL, '" . intval($Category) . "', '" . mxAddSlashesForSQL($userfile_name) . "', 0, '" . mxAddSlashesForSQL($Submitter) . "', now(), '" . mxAddSlashesForSQL($MediaName) . "', '" . mxAddSlashesForSQL($Description) . "', 0, 0, '" . mxAddSlashesForSQL($ext) . "', " . $size[0] . ", " . $size[1] . ")";
                            } else {
                                $sql = "insert into " . $prefix . "_gallery_pictures (pid, gid, img, counter, submitter, date, name, description, votes, rate, extension, width, height) values(NULL, '" . intval($Category) . "', '" . mxAddSlashesForSQL($userfile_name) . "', 0, '" . mxAddSlashesForSQL($Submitter) . "', now(), '" . mxAddSlashesForSQL($MediaName) . "', '" . mxAddSlashesForSQL($Description) . "', 0, 0, '" . mxAddSlashesForSQL($ext) . "', 0, 0)";
                            }
                            sql_query($sql);
                            galleryHeader();
                            GraphicAdmin();
                            OpenTable();
                            echo "<center><font class=\"option\"><b>" . _GALADMIN . "</b></font></center>";
                            CloseTable();
                            echo "<br>";
                            OpenTable();
                            echo "<br>";
                            echo "<center>" . $upload_return . "<br><br><a href=\"admin.php?op=GallAdmin&amp;do=editmedia&amp;type=new\">" . _GOBACK1 . "</a></center>";
                            CloseTable();
                            adminFooter();
                        }
                        if (($upload_return != "OK")AND(!$todo)) {
                            galleryHeader();
                            GraphicAdmin();
                            OpenTable();
                            echo "<center><font class=\"option\"><b>" . _GALADMIN . "</b></font></center>";
                            CloseTable();
                            echo "<br>";
                            OpenTable();
                            echo "<br>";
                            echo "<center>" . $upload_return . "<br><br><a href=\"admin.php?op=GallAdmin&amp;do=editmedia&amp;type=new\">" . _GOBACK1 . "</a></center>";
                            CloseTable();
                            adminFooter();
                        }
                    } else {
                        include ("$adminpath/createmedia.php");
                        createmedia();
                    }
                    rebuild_totals();
                    rebuild_lastadd();
                    include ("footer.php");
                    break;

                case "existing": // OK!
                    for ($i = 0; $i < $limit; $i++) {
                        $task = "Task$i";
                        if (isset($$task)) {
                            switch ($$task) {
                                case "Save" : // OK!
                                    $file = "FileName$i";
                                    $fileid = "FileId$i";
                                    $desc = "Description$i";
                                    $name = "FileName$i";
                                    $mname = "MediaName$i";
                                    $date = "Date$i";
                                    $cat = "Category$i";
                                    $oldcat = "OldCategory$i";
                                    $submitter = "Submitter$i";
                                    $width = "Width$i";
                                    $height = "Height$i";
                                    $sql = "UPDATE " . $prefix . "_gallery_pictures ";
                                    $sql .= "SET gid=" . intval($$cat) . ", ";
                                    $sql .= "submitter='" . mxAddSlashesForSQL($$submitter) . "', date='" . mxAddSlashesForSQL($$date) . "', img='" . mxAddSlashesForSQL($$name) . "', ";
                                    $sql .= "name='" . mxAddSlashesForSQL($$mname) . "', description = '" . mxAddSlashesForSQL($$desc) . "', ";
                                    $sql .= "width='" . mxAddSlashesForSQL($$width) . "', height='" . mxAddSlashesForSQL($$height) . "' ";
                                    $sql .= "WHERE pid=" . intval($$fileid);
                                    $okcat = 1;
                                    $basedir = $basepath;
                                    $wdir = "/";
                                    if ($$cat != $$oldcat) {
                                        // We move the picture
                                        list($oldloc) = sql_fetch_row(sql_query("SELECT galloc from " . $prefix . "_gallery_categories WHERE gallid=" . $$oldcat . ""));
                                        list($newloc) = sql_fetch_row(sql_query("SELECT galloc from " . $prefix . "_gallery_categories WHERE gallid=" . $$cat . ""));
                                        if (rename($gallerypath . $wdir . $oldloc . $wdir . $$name, $gallerypath . $wdir . $newloc . $wdir . $$name)) {
                                            $okcat = 1;
                                            $thumb = getThumbnail($$name, $oldloc);
                                            if (!strstr($thumb, $imagepath)) {
                                                $thumb = substr (strrchr ($thumb, "/"), 1);
                                                if (!is_dir($gallerypath . $wdir . $newloc . $wdir . "thumb")) {
                                                    umask(000);
                                                    @mkdir($gallerypath . $wdir . $newloc . $wdir . "thumb", 0777);
                                                }
                                                if (rename($gallerypath . $wdir . $oldloc . $wdir . "thumb/" . $thumb, $gallerypath . $wdir . $newloc . $wdir . "thumb/" . $thumb)) {
                                                    $okcat = 1;
                                                } else {
                                                    $okcat = 0;
                                                }
                                            }
                                        } else {
                                            $okcat = 0;
                                        }
                                    }
                                    if ($okcat) {
                                        sql_query($sql);
                                    }
                                    rebuild_totals();
                                    rebuild_lastadd();
                                    break;

                                case "Delete" : // OK!
                                    $file = "FileName$i";
                                    $cat = "Category$i";
                                    $fileid = "FileId$i";
                                    list($galloc) = sql_fetch_row(sql_query("SELECT galloc FROM " . $prefix . "_gallery_categories WHERE gallid=" . $$cat . ""));
                                    $basedir = $gallerypath;
                                    $wdir = "/";
                                    if (@file_exists($basedir . $wdir . $galloc . $wdir . $$file)) {
                                        unlink($basedir . $wdir . $galloc . $wdir . $$file);
                                    }

                                    $thumb = getThumbnail($$file, $galloc);
                                    if (!strstr($thumb, $imagepath)) {
                                        if (@file_exists($thumb)) {
                                            unlink($thumb);
                                        }
                                    }
                                    $sql = "DELETE FROM " . $prefix . "_gallery_pictures WHERE pid=" . $$fileid;
                                    // echo $sql;
                                    sql_query($sql);
                                    rebuild_totals();
                                    rebuild_lastadd();
                                    break;
                            }
                        }
                    } // for
                    rebuild_totals();
                    rebuild_lastadd();
                    Header("Location: $adminurl&do=editmedia");
                    break;
            } // Switch
        } // If
        else {
            include ("$adminpath/maineditmedia.php");
            maineditmedia();
        }
        break;

    case "quickaddpics": // OK!
        include ("$adminpath/quickaddmedia.php");
        quickaddpics($gallid, $recursive, $submitter, $desc_pic, $desc_cat);
        rebuild_totals();
        rebuild_lastadd();
        include ("footer.php");
        break;

    case "validnew":
        $limit = 6;
        if (isset($type) && $type != "") {
            switch ($type) {
                case "validate":
                    for ($i = 0; $i < $limit; $i++) {
                        $task = "Task" . $i;
                        if (isset($$task)) {
                            switch ($$task) {
                                case "Validate" :
                                    $fileid = "FileId" . $i;
                                    $desc = "Description" . $i;
                                    $name = "FileName" . $i;
                                    $oldname = "OldFileName" . $i;
                                    $mname = "MediaName" . $i;
                                    $date = "Date" . $i;
                                    $cat = "Category" . $i;
                                    $submitter = "Submitter" . $i;
                                    $width = "Width" . $i;
                                    $height = "Height" . $i;
                                    // We move the picture
                                    $basedir = $basepath;
                                    $wdir = "/";
                                    list($newloc) = sql_fetch_row(sql_query("SELECT galloc from " . $prefix . "_gallery_categories WHERE gallid=" . intval($$cat) . ""));
                                    if (rename($temppath . $wdir . $$oldname, $gallerypath . $wdir . $newloc . $wdir . $$name)) {
                                        $ext = substr($$name, (strrpos($$name, '.') + 1));
                                        $sql = "INSERT INTO " . $prefix . "_gallery_pictures (pid, gid, img, counter, submitter, date, name, description, votes, rate, extension, width, height) VALUES(NULL, " . intval($$cat) . ", '" . mxAddSlashesForSQL($$name) . "', 0, '" . mxAddSlashesForSQL($$submitter) . "', '" . mxAddSlashesForSQL($$date) . "', '" . mxAddSlashesForSQL($$mname) . "', '" . mxAddSlashesForSQL($$desc) . "', 0, 0, '" . mxAddSlashesForSQL($ext) . "', " . mxAddSlashesForSQL($$width) . ", " . mxAddSlashesForSQL($$height) . ")";
                                        // echo $sql;
                                        sql_query($sql);
                                        $sql = "DELETE FROM " . $prefix . "_gallery_pictures_newpicture WHERE pid=" . intval($$fileid);
                                        sql_query($sql);
                                        rebuild_totals();
                                        rebuild_lastadd();
                                    } else {
                                        echo "Failed to move " . $$name . "...<br>\n";
                                    }
                                    break;

                                case "Delete" : // OK
                                    $file = "FileName" . $i;
                                    $fileid = "FileId" . $i;
                                    $basedir = $temppath;
                                    $wdir = "/";
                                    if (@file_exists($basedir . $wdir . $$file)) {
                                        unlink($basedir . $wdir . $$file);
                                    }
                                    $sql = "DELETE FROM " . $prefix . "_gallery_pictures_newpicture WHERE pid=" . $$fileid;

                                    sql_query($sql);
                                    rebuild_totals();
                                    rebuild_lastadd();
                                    break;
                            }
                        }
                    } // for
                    Header("Location: $adminurl");
                    // showoption();
                    break;

                case "checknew":
                    include ($adminpath . "/validnewmedia.php");
                    validnew();
                    rebuild_totals();
                    rebuild_lastadd();
                    include("footer.php");
                    break;
            }
        } else {
            Header("Location: $adminurl");
        }
        break;

    case "editmediatypes" :
        include ($adminpath . "/editmediatypes.php");
        if (isset($type) && $type != "") {
            switch ($type) {
                case "edit":
                    if (isset($save)) {
                        $sql = "UPDATE " . $prefix . "_gallery_media_types SET extension='" . mxAddSlashesForSQL($extension) . "', description='" . mxAddSlashesForSQL($description) . "', filetype=" . mxAddSlashesForSQL($class) . ", displaytag='" . mxAddSlashesForSQL($code) . "', thumbnail='" . mxAddSlashesForSQL($thumbnail) . "' WHERE extension='" . mxAddSlashesForSQL($oldext) . "'";
                    }
                    if (isset($delete)) {
                        $sql = "DELETE FROM " . $prefix . "_gallery_media_types WHERE extension='" . mxAddSlashesForSQL($oldext) . "'";
                    }
                    sql_query($sql);
                    Header("Location: $adminurl&do=editmediatypes");
                    break;

                case "new":
                    $sql = "INSERT INTO " . $prefix . "_gallery_media_types (extension, description,filetype, displaytag, thumbnail) VALUES ('" . mxAddSlashesForSQL($extension) . "','" . mxAddSlashesForSQL($description) . "', '" . mxAddSlashesForSQL($class) . "', '" . mxAddSlashesForSQL($code) . "', '" . mxAddSlashesForSQL($thumbnail) . "')";
                    sql_query($sql);
                    Header("Location: " . $adminurl . "&do=editmediatypes");
                    break;
            }
        } else {
            editmediatypes();
        }
        break;

    default:
        showoptions();
        break;
}

?>
