<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.1.2.7 $
 * $Author: dia_bolo $
 * $Date: 2008/01/21 10:11:45 $
 *
 * translated by: Diabolo from www.pragmamx.fr
 */

defined('mxMainFileLoaded') or die('access denied');

define('_MX_MENUS', "Menus");
define('_MX_MENU_ADMIN', "Administration des menus");
define('_MX_MENU_INPUTREQUIRED_NOTE', "Champs requis");
define('_MX_MENU_INPUTREQUIRED', "Le champs dans la boite de dialogue <i>%s</i> est requis");
define('_MX_MENU_PATH', "Chemin");
define('_MX_MENU_EDIT', "Modifier");
define('_MX_MENU_DELETE', "Supprimer");
define('_MX_MENU_DELETE_AREYOUSURE', "Etes vous s&ucirc;r de vouloir supprimer le menu '%s' ? [ <a href='%s'>Oui</a> | <a href='admin.php?op=menu'>Non</a> ]");
define('_MX_MENU_DELETED', "Le menu '%s' a &eacute;t&eacute; supprim&eacute;.");
define('_MX_MENU', "Menu");
define('_MX_MENU_ITEM', "Items du menu");
define('_MX_MENU_OPERATIONS', "Op&eacute;rations");

define('_MX_MENU_SHOWALL', "Tout afficher");
define('_MX_MENU_SHOWALL_INTRO', "Les menus sont une liste de liens (items) qui rendent la navigation possible. La liste suivante affiche l'ensemble des menus disponibles avec leurs items respectifs.");
define('_MX_MENU_SHOWALL_NO_MENUS', "Aucun menu d&eacute;fini");

define('_MX_MENU_ADDMENU', "Ajouter un menu");
// TODO : diabolo, please check this translation, i've deleted the url from the following string :)
define('_MX_MENU_ADDMENU_INTRO', "Nom pour le nouveau menu. Apr&egrave;s avoir cr&eacute;&eacute; le nouveau bloc, vous devez l'activer");
//
define('_MX_MENU_ADDMENU_EDIT', "Modifier le menu");
define('_MX_MENU_ADDMENU_NAME_DESCR', "Nom du menu.");
define('_MX_MENU_ADDMENU_ADDED', "Le nouveau menu a &eacute;t&eacute; cr&eacute;&eacute;.");
define('_MX_MENU_ADDMENU_UPDATED', "Le menu a &eacute;t&eacute; mis &agrave; jour.");
define('_MX_MENU_ADDMENU_EXISTEDALREADY', "Le menu &eacute;xiste d&eacute;j&agrave;.");
define('_MX_MENU_ADDMENU_BLOCKEDIT', "<a href=\"admin.php?op=BlocksEdit&amp;bid=%d\">Administration du bloc menu</a>");

define('_MX_MENU_ADDITEM', "Ajouter un item au menu");
define('_MX_MENU_ADDITEM_INTRO', "Titre, chemin, position et poids du nouvel item du menu.");
define('_MX_MENU_ADDITEM_EDIT', "Modifier l'item du menu");
define('_MX_MENU_ADDITEM_NOTDEF', "Aucun item d&eacute;fini pour ce menu.");
define('_MX_MENU_ADDITEM_NAME_DESCR', "Nom de l'item pour ce menu.");
define('_MX_MENU_ADDITEM_TITLE_DESCR', "Description de l'item du menu lors du survole dela souris.");
define('_MX_MENU_ADDITEM_PATH_DESCR', "Chemin vers lequel pointe l'item du menu. Celui-ci peut tre un chemin interne &agrave; pragmaMx ou une adresse externe comme http://www.pragmamx.org .");
define('_MX_MENU_ADDITEM_ASSOCIATEDMENU', "Menu parent");
define('_MX_MENU_ADDITEM_WEIGHT', "Poids");
define('_MX_MENU_ADDITEM_WEIGHT_DESCR', "Options. Le poids de l'item permet de classer les items selon leur ordre d'apparition dans le menu.");
define('_MX_MENU_ADDITEM_ADDED', "L'item du menu a &eacute;t&eacute; ajout&eacute;.");
define('_MX_MENU_ADDITEM_DELETE_AREYOUSURE', "Etes vous s&ucirc;r de vouloir supprimer l'item '%s' du menu ? [ <a href='%s'>Oui</a> | <a href='admin.php?op=menu'>Non</a> ]");
define('_MX_MENU_ADDITEM_DELETED', "L'item '%s' du menu a &eacute;t&eacute; supprim&eacute;.");
define('_MX_MENU_ADDITEM_UPDATED', "L'item '%s' du menu a &eacute;t&eacute; mis &agrave; jour.");
define('_MX_MENU_ITEM_ENABLED', "L'item '%s' du menu a &eacute;t&eacute; activ&eacute;.");
define('_MX_MENU_ITEM_DISABLED', "L'item '%s' du menu a &eacute;t&eacute; d&eacute;sactiv&eacute;.");
define('_MX_MENU_ITEM_EXISTEDALREADY', "L'item '%s' du menu existe d&eacute;j&agrave;.");

define('_MX_MENU_SETTINGS', "R&eacute;glages");
define('_MX_MENU_SETTINGS_INTRO', "R&eacute;glages compl&eacute;mentaires");
define('_MX_MENU_INSTALL_INFO_NO', "mxMenu n'est pas encore install&eacute;.");
define('_MX_MENU_INSTALL_INFO_YES', "mxMenu a d&eacute;j&agrave; &eacute;t&eacute; install&eacute;.");
define('_MX_MENU_INSTALL', "Installation");
define('_MX_MENU_DEINSTALL_INFO_NO', "mxMenu est install&eacute;.");
define('_MX_MENU_DEINSTALL_INFO_YES', "mxMenu a &eacute;t&eacute; d&eacute;sinstall&eacute;.");
define('_MX_MENU_DEINSTALL', "D&eacute;sinstaller");
define('_MX_MENU_DEINSTALL_AREYOUSURE', "Etes vous sur de vouloir de d&eacute;sinstaller mxMenu ? [ <a href='admin.php?op=menu/settings/deinstall/ok'>Oui</a> | <a href='admin.php?op=menu'>Non</a> ]");
define('_MX_MENU_RESET', "supprimer tout le contenu");
define('_MX_MENU_RESET_INFO_YES', "Tout le contenu a &eacute;t&eacute; supprim&eacute;.");
// -- Version 1.02 -- :
// images
// TODO : the titles from the images needs to be translated
define('_MX_MENU_IMG_EDIT', '<img src="images/edit.gif" title="Edit" alt="Edit" />');
define('_MX_MENU_IMG_DEACTIVATE', '<img src="images/deactivate.gif" title="Disable" alt="Disable" />');
define('_MX_MENU_IMG_ACTIVATE', '<img src="images/activate.gif" title="Enable" alt="Enable" />');
define('_MX_MENU_IMG_DELETE', '<img src="images/delete.gif" title="Delete" alt="Delete" />');
define('_MX_MENU_IMG_HOME', '<img src="images/inhome.gif" title="' . _HOME . '" alt="' . _HOME . '" />');
define('_MX_MENU_IMG_MODULE_IMPORT', '<img src="admin/modules/mxMenu/images/import.gif" title="Import" alt="Import" />');
define('_MX_MENU_IMG_MODULE_ADMIN', '<img src="admin/modules/mxMenu/images/admin.gif" title="Administrate" alt="Administrate" />');

define('_MX_MENU_TREE_EXP_TITLE', "ouvrir ou fermer");
define('_MX_MENU_ITEM_EXP_OPEN', "ouvrir");
define('_MX_MENU_ITEM_EXP_DESCR', "Si les items de ce menu ont des sous-items, ces derniers seront toujours ouverts.");
define('_MX_MENU_ITEM_ISDISABLED', "(D&eacute;sactiv&eacute;)");
define('_MX_MENU_ITEM_ISMODULE', "Module");
define('_MX_MENU_ACTIVATE', "Activer");
define('_MX_MENU_DEACTIVATE', "D&eacute;sactiver");
define('_MX_MENU_MODULE_ADMIN', "Administration des modules");
define('_MX_MENU_MODULE_NAME', "Nom");
define('_MX_MENU_MODULE_TITLE', "Titre");
define('_MX_MENU_MODULE_BLOCK', "Fichier bloc");
define('_MX_MENU_MODULE_OUTYET', "Liens vers les modules (pas encore int&eacute;gr&eacute; au menu)");
define('_MX_MENU_ITEM_FORBIDDEN', "%s liens cach&eacute;s du module");
define('_MX_MENU_ADDITEM_MODULEEDIT', "<a href=\"admin.php?op=module_edit&amp;mid=%d&amp;menu=1\">Gestion du module</a>");
define('_MX_MENU_MOD_ILLEGALMOVE', "Existing submenu items from the module links will be lost in moving to a module block.<br />In this case, you should select a different menu. Or edit the submenu items in the menu administration.<br /><br /><a href='admin.php?op=menu'>" . _MX_MENU_ADMIN . "</a>");
define('_MX_MENU_MENUOPTIONS', "Options du menu");
define('_MX_MENU_SETTINGS_UPDATED', "Les  r&eacute;glages de mxMenu ont &eacute;t&eacute; mis &agrave; jour.");
define('_MX_MENU_SETTINGS_DYN_EXP', "Activer la fonction d'ouverture et fermeture dynamiques pour les items du menu.");
define('_MX_MENU_SETTINGS_DYN_EXP_DESCR', "Si cette option est activ&eacute;e, les utilisateurs peuvent afficher ou cacher les sous-menus en cliquant sur le symbole ouvrir/fermer.");
define('_MX_MENU_ENABLED', "Le menu '%s' a &eacute;t&eacute; activ&eacute;.");
define('_MX_MENU_DISABLED', "Le menu '%s' a &eacute;t&eacute; d&eacute;sactiv&eacute;.");

?>
