<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.1.2.11 $
 * $Author: siggi $
 * $Date: 2008/02/03 03:24:22 $
 *
 * Menumanager for pragmaMx, written by Siggi Braunert
 * http://www.sb-websoft.com
 **/
defined('mxMainFileLoaded') or die('access denied');

if (!mxGetAdminPref('radminsuper')) {
    mxErrorScreen("Access Denied");
    die();
}

/* Initialisiert mxMenu... */
if (!class_exists('Mx_Menu')) {
    include_once('admin/modules/mxMenu/includes/mx_menu.class.php');
}

include("header.php");

if ($GLOBALS['adminpanel'] == '1') {
    GraphicAdmin();
}

if (class_exists('Mx_Menu_TP')) {
	$mx_menu = new Mx_Menu_TP();
} else {
	$mx_menu = new Mx_Menu();
}
$mx_menu->init();

$get = $mx_menu->handleEvent();
switch ($get['menu']) {
    case "add_menu": $mx_menu->add_menu();
        break;
    case "add_item": $mx_menu->add_item();
        break;
    case "settings": $mx_menu->settings();
        break;
    default : $mx_menu->show_all();
}

$selected = $mx_menu->page['selected'];
$mx_menu->nav_item[$selected]['class'] = " class= 'current'";
$items = array('nav_item' => $mx_menu->nav_item, 'page' => $mx_menu->page['content']);
$mx_menu->template->assign($items);
$mx_menu->template->assign('nomenublocks', $mx_menu->get_bids_db($table = "blocks") == array() ? true : false);
$mx_menu->template->display("navigation.html");

include("footer.php");

?>
