<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.7.2.4 $
 * $Author: dia_bolo $
 * $Date: 2008/01/11 15:49:44 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

if (!defined("mxAdminFileLoaded")) die("Access Denied");

if (!mxGetAdminPref('radminsurvey')) {
    mxErrorScreen("Access Denied");
    die();
}

function poll_puthome($ihome, $acomm)
{
    echo "<br><b>" . _PUBLISHINHOME . "</b>&nbsp;&nbsp;";
    if (($ihome == 0) OR ($ihome == "")) {
        $sel1 = "checked";
        $sel2 = "";
    }
    if ($ihome == 1) {
        $sel1 = "";
        $sel2 = "checked";
    }
    echo "<input type=\"radio\" name=\"ihome\" value=\"0\" $sel1>" . _YES . "&nbsp;"
     . "<input type=\"radio\" name=\"ihome\" value=\"1\" $sel2>" . _NO . "<br>";
    // ."&nbsp;&nbsp;<font class=\"content\">[ "._ONLYIFCATSELECTED." ]</font><br>";
    echo "<br><b>" . _ACTIVATECOMMENTS . "</b>&nbsp;&nbsp;";
    if (($acomm == 0) OR ($acomm == "")) {
        $sel1 = "checked";
        $sel2 = "";
    }
    if ($acomm == 1) {
        $sel1 = "";
        $sel2 = "checked";
    }
    echo "<input type=\"radio\" name=\"acomm\" value=\"0\" $sel1>" . _YES . "&nbsp;"
     . "<input type=\"radio\" name=\"acomm\" value=\"1\" $sel2>" . _NO . "<br><br>";
}

function SelectCategory($cat)
{
    global $prefix;
    $selcat = sql_query("select catid, title from " . $prefix . "_stories_cat order by title");
    $a = 1;
    echo "<b>" . _CATEGORY . "</b> ";
    echo "<select name=\"catid\">";
    if ($cat == 0) {
        $sel = "selected";
    } else {
        $sel = "";
    }
    // echo "<option value=\"0\" $sel>"._ARTICLES."</option>";
    while (list($catid, $title) = sql_fetch_row($selcat)) {
        if ($catid == $cat) {
            $sel = "selected";
        } else {
            $sel = "";
        }
        echo "<option value=\"$catid\" $sel>$title</option>";
        $a++;
    }
    echo "</select>";
}

function poll_createPoll()
{
    global $language, $multilingual, $prefix, $story;
    include('header.php');
    GraphicAdmin();
    title(_POLLSADMIN);
    
    OpenTable();
    echo "<p style=\"text-align:center\">[&nbsp;<a href=\"admin.php?op=removePoll\">" . _DELETEPOLLS . "</a> | <a href=\"admin.php?op=polledit_select\">" . _EDITPOLL . "</a>&nbsp;]</p>"
     . "<fieldset><legend>" . _CREATEPOLL . "</legend>"
     . "<form action=\"admin.php\" method=\"post\">"
     . _POLLTITLE . ": <input type=\"text\" name=\"pollTitle\" size=\"50\" maxlength=\"100\"><br><br>";
    if ($multilingual == 1) {
        echo "<br>" . _LANGUAGE . ": " . mxLanguageSelect('planguage', $language) . "<br><br>";
    } else {
        echo "<input type=\"hidden\" name=\"planguage\" value=\"\"><br><br>";
    }
    echo "<font class=\"content\">" . _POLLEACHFIELD . "</font><br>"
     . "<table border=\"0\">";
    for($i = 1; $i <= 12; $i++) {
        echo "<tr>"
         . "<td>" . _OPTION . " $i:</td><td><input type=\"text\" name=\"optionText[$i]\" size=\"50\" maxlength=\"50\"></td>"
         . "</tr>";
    }
    echo "</table>"
     . "<br><br>" . _ACTIVE . "&nbsp;<input type=\"radio\" name=\"pollactive\" value=\"1\" checked>" . _YES . " &nbsp;&nbsp;<input type=\"radio\" name=\"pollactive\" value=\"0\">" . _NO . "\n"
     . "<br><br>" . ((defined('_ACTHERECOMMENTS')) ? _ACTHERECOMMENTS : _ACTIVATECOMMENTS) . "&nbsp;<input type=\"radio\" name=\"pollcomments\" value=\"1\" checked>" . _YES . " &nbsp;&nbsp;<input type=\"radio\" name=\"pollcomments\" value=\"0\">" . _NO . "\n"
     . "<br><br><center><hr size=\"1\" noshade><font class=\"option\"><b>" . _ANNOUNCEPOLL . "</b></font><br>"
     . "<font class=\"tiny\">" . _LEAVEBLANK . "</font></center>"
     . "<br><br><b>" . _TITLE . ":</b><br>"
     . "<input type=\"text\" name=\"title\" size=\"40\"><br><br>";
    $cat = 0;
    $ihome = 0;
    $acomm = 0;
    SelectCategory($cat);
    echo "<br>";
    poll_puthome($ihome, $acomm);
    echo "<b>" . _TOPIC . "</b> <select name=\"topic\">";
    $toplist = sql_query("select topicid, topictext from " . $prefix . "_topics order by topictext");
    echo "<option value=\"\">" . _SELECTTOPIC . "</option>\n";
    while (list($topicid, $topics) = sql_fetch_row($toplist)) {
        echo "<option value=\"$topicid\">$topics</option>\n";
    }
    echo "</select>";
    echo "<br><br><b>" . _STORYTEXT . "</b><br>"
     . "<textarea cols=\"50\" rows=\"7\" name=\"hometext\">$story</textarea><br><br>"
     . "<b>" . _EXTENDEDTEXT . "</b><br>"
     . "<textarea cols=\"50\" rows=\"8\" name=\"bodytext\"></textarea><BR>"
     . "<br><br>"
     . "<input type=\"hidden\" name=\"op\" value=\"createPosted\">"
     . "<input type=\"submit\" value=\"" . _CREATEPOLLBUT . "\">"
     . "</form></fieldset>";
    CloseTable();
    include('footer.php');
}

function poll_createPosted()
{
    global $prefix, $aid;
    extract($_POST);
    $pollactive = (empty($pollactive)) ? 0 : 1;
    $pollcomments = (empty($pollcomments)) ? 0 : 1;
    $timeStamp = time();
    $pollTitle = mxAddSlashesForSQL($pollTitle);
    if (!sql_query("INSERT INTO ${prefix}_poll_desc SET
		pollTitle='" . mxAddSlashesForSQL($pollTitle) . "',
		timeStamp='$timeStamp',
		voters=0,
		planguage='" . mxAddSlashesForSQL($planguage) . "',
		artid=0,
		pollactive=$pollactive,
		pollcomments=$pollcomments
		")) {
        mxErrorScreen('Database Error: ' . mysql_error());
    }
    $object = sql_fetch_array(sql_query("SELECT pollID FROM ${prefix}_poll_desc WHERE pollTitle='$pollTitle' AND timeStamp='$timeStamp'"));
    $id = $object['pollID'];
    for($i = 1; $i <= sizeof($optionText); $i++) {
        if (!empty($optionText[$i])) {
            $optionText[$i] = mxAddSlashesForSQL($optionText[$i]);
        }
        if (!sql_query("INSERT INTO ${prefix}_poll_data (pollID, optionText, optionCount, voteID) VALUES ($id, '$optionText[$i]', 0, $i)")) {
            mxErrorScreen('Database Error: ' . mysql_error());
        }
    }
    if (($title != "") AND ($hometext != "")) {
        $title = mxAddSlashesForSQL(($title));
        $hometext = mxAddSlashesForSQL(($hometext));
        $bodytext = mxAddSlashesForSQL(($bodytext));
        sql_query("insert into " . $prefix . "_stories values (NULL, '$catid', '$aid', '$title', now(), '$hometext', '$bodytext', '0', '0', '$topic', '$aid', '', '$ihome', '$planguage', '$acomm', '0', '0', '0', '0')");
    }
    header("Location: admin.php?op=polledit&pollID=$id");
}

function poll_removePoll()
{
    global $prefix;
    $result = sql_query("SELECT pollID, pollTitle, timeStamp, planguage FROM ${prefix}_poll_desc ORDER BY timeStamp");

    include('header.php');
    GraphicAdmin();
    title(_POLLSADMIN);
    
    OpenTableAl();
    echo "<center><font class=\"option\"><b>" . _REMOVEEXISTING . "</b></font><br><br>"
     . _POLLDELWARNING . "</center><br><br>"
     . _CHOOSEPOLL . "<br>"
     . "<form action=\"admin.php\" method=\"post\">"
     . "<input type=\"hidden\" name=\"op\" value=\"removePosted\">"
     . "<table border=\"0\">";
    /* cycle through the descriptions until everyone has been fetched */
    while ($object = sql_fetch_array($result)) {
        $pollID = $object['pollID'];
        echo "<tr><td><input type=\"radio\" name=\"id\" value=\"" . $object['pollID'] . "\">&nbsp;" . $object['pollTitle'] . " - (" . $object['planguage'] . ")</td></tr>";
    }
    echo "</table>";
    echo "<input type=\"submit\" value=\"" . _DELETE . "\">";
    echo "</form>";
    CloseTableAl();
    include('footer.php');
}

function poll_removePosted()
{
    global $id, $prefix;
    sql_query("DELETE FROM ${prefix}_poll_desc WHERE pollID=$id");
    sql_query("DELETE FROM ${prefix}_poll_data WHERE pollID=$id");
    header("Location: admin.php?op=polledit_select");
}

function polledit_select()
{
    global $prefix;
    include('header.php');
    GraphicAdmin();
    title(_POLLSADMIN);
    
    OpenTable();
    echo "<center><font class=\"option\"><b>" . _EDITPOLL . "</b></font></center><br><br>"
     . _CHOOSEPOLLEDIT . "<br><br>"
     . "<table border=\"0\" cellspacing=\"0\" cellpadding=\"5\">";
    $result = sql_query("SELECT pollID, pollTitle, timeStamp, planguage, pollactive FROM ${prefix}_poll_desc ORDER BY timeStamp");
    /* cycle through the descriptions until everyone has been fetched */
    while ($object = sql_fetch_array($result)) {
        $pollID = $object['pollID'];
        $var = ($object['pollactive']) ? _ACTIVE : _INACTIVE;
        echo "<tr><td>&nbsp;<b>&middot;</b>&nbsp;<a href=\"admin.php?op=polledit&amp;pollID=$pollID\">" . $object['pollTitle'] . "</a></td><td>(" . $object['planguage'] . " - $var)</td></tr>";
    }
    echo "</table>";
    CloseTable();
    include('footer.php');
}

function polledit($pollID)
{
    global $prefix;
    $result = sql_query("select pollTitle, pollactive, pollcomments from ${prefix}_poll_desc where pollID=$pollID");
    list($pollTitle, $pollactive, $pollcomments) = sql_fetch_row($result);
    $result = sql_query("select optionText, optionCount, voteID from ${prefix}_poll_data where pollID=$pollID order by voteID");
    include('header.php');
    GraphicAdmin();
    title(_POLLSADMIN);
    
    OpenTable();
    echo "<fieldset><legend>" . _EDITPOLL . ": $pollTitle</legend>";
    echo "<form action=\"admin.php\" method=\"post\">";
    echo "<table border=\"0\" align=\"center\"><tr><td>";
    echo "<b>" . _TITLE . ":</b></td><td colspan=\"2\"><input type=\"text\" name=\"pollTitle\" value=\"$pollTitle\" size=\"40\" maxlength=\"100\"><br><br></td></tr>";
    while (list($optionText, $optionCount, $voteID) = sql_fetch_row($result)) {
        echo "<tr><td>" . _OPTION . "&nbsp;<b>$voteID</b></td><td><input type=\"text\" name=\"optiontext$voteID\" value=\"$optionText\" size=\"40\" maxlength=\"50\"></td><td align=\"right\">" . $optionCount . " " . _VOTES . "</td></tr>";
    }
    echo "
	<tr><td>" . _ACTIVE . "&nbsp;</td><td><input type=\"radio\" name=\"pollactive\" value=\"1\" " . (($pollactive) ? ' checked="checked"' : "") . ">" . _YES . " &nbsp;&nbsp;<input type=\"radio\" name=\"pollactive\" value=\"0\"" . ((!$pollactive) ? ' checked="checked"' : "") . ">" . _NO . "\n</td></tr>
	<tr><td>" . ((defined('_ACTHERECOMMENTS')) ? _ACTHERECOMMENTS : _ACTIVATECOMMENTS) . "&nbsp;</td><td><input type=\"radio\" name=\"pollcomments\" value=\"1\" " . (($pollcomments) ? ' checked="checked"' : "") . ">" . _YES . " &nbsp;&nbsp;<input type=\"radio\" name=\"pollcomments\" value=\"0\"" . ((!$pollcomments) ? ' checked="checked"' : "") . ">" . _NO . "\n</td></tr>
	</table>
	<input type=\"hidden\" name=\"pollID\" value=\"$pollID\">
	<input type=\"hidden\" name=\"op\" value=\"savepoll\">
	<br><br><center><input type=\"submit\" value=\"" . _SAVECHANGES . "\"><br><br>" . _GOBACK . "</center><br><br></form></fieldset>";
    CloseTable();
    include('footer.php');
}

function savepoll()
{
    global $prefix;
    $pvs = mxAddSlashesForSQL($_POST);
    extract($pvs);
    $pollactive = (empty($pollactive)) ? 0 : 1;
    $pollcomments = (empty($pollcomments)) ? 0 : 1;
    $result = sql_query("update ${prefix}_poll_desc set pollTitle='$pollTitle', pollactive=$pollactive, pollcomments=$pollcomments where pollID='$pollID'");
    $result = sql_query("update ${prefix}_poll_data set optionText='$optiontext1' where voteID=1 AND pollID='$pollID'");
    $result = sql_query("update ${prefix}_poll_data set optionText='$optiontext2' where voteID=2 AND pollID='$pollID'");
    $result = sql_query("update ${prefix}_poll_data set optionText='$optiontext3' where voteID=3 AND pollID='$pollID'");
    $result = sql_query("update ${prefix}_poll_data set optionText='$optiontext4' where voteID=4 AND pollID='$pollID'");
    $result = sql_query("update ${prefix}_poll_data set optionText='$optiontext5' where voteID=5 AND pollID='$pollID'");
    $result = sql_query("update ${prefix}_poll_data set optionText='$optiontext6' where voteID=6 AND pollID='$pollID'");
    $result = sql_query("update ${prefix}_poll_data set optionText='$optiontext7' where voteID=7 AND pollID='$pollID'");
    $result = sql_query("update ${prefix}_poll_data set optionText='$optiontext8' where voteID=8 AND pollID='$pollID'");
    $result = sql_query("update ${prefix}_poll_data set optionText='$optiontext9' where voteID=9 AND pollID='$pollID'");
    $result = sql_query("update ${prefix}_poll_data set optionText='$optiontext10' where voteID=10 AND pollID='$pollID'");
    $result = sql_query("update ${prefix}_poll_data set optionText='$optiontext11' where voteID=11 AND pollID='$pollID'");
    $result = sql_query("update ${prefix}_poll_data set optionText='$optiontext12' where voteID=12 AND pollID='$pollID'");
    header("Location: admin.php?op=polledit&pollID=$pollID");
}

switch ($op) {
    case "createPosted":
        poll_createPosted();
        break;

    case "removePoll":
        poll_removePoll();
        break;

    case "removePosted":
        poll_removePosted();
        break;

    case "polledit":
        polledit($pollID);
        break;

    case "savepoll":
        savepoll();
        break;

    case "polledit_select":
        polledit_select();
        break;

    case "update_poll_db":
        $result = sql_query("SELECT * FROM ${prefix}_poll_desc LIMIT 1");
        $check = sql_fetch_array($result);
        if (!isset($check['pollactive'])) {
            sql_query("ALTER TABLE `${prefix}_poll_desc` ADD `pollactive` TINYINT( 1 ) UNSIGNED DEFAULT '1' NOT NULL");
            sql_query("UPDATE `${prefix}_poll_desc` SET pollactive=1");
        }
        if (!isset($check['pollcomments'])) {
            sql_query("ALTER TABLE `${prefix}_poll_desc` ADD `pollcomments` TINYINT( 1 ) UNSIGNED DEFAULT '1' NOT NULL ;");
            sql_query("UPDATE `${prefix}_poll_desc` SET pollcomments=1");
        }
        mxMessageScreen('Update done!');
        break;

    case "createPoll":
    default:
        poll_createPoll();
        break;
}

?>