<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.8.2.3 $
 * $Author: dia_bolo $
 * $Date: 2008/01/10 10:51:15 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

if (!defined("mxAdminFileLoaded")) die("Access Denied");

if (!mxGetAdminPref('radminsuper')) {
    mxErrorScreen("Access Denied");
    die();
}

function hreferer()
{
    global $bgcolor1, $bgcolor2, $bgcolor3, $prefix;
    // referer die unerwnscht sind, ignorieren
    if (@file_exists('admin/.ignore_referer')) {
        $ignore = file_get_contents('admin/.ignore_referer');
        $ignore = preg_split('#\s*,\s*#m', trim($ignore));
    }

    if (isset($_GET['URL'])) {
        $sort = "UCASE(url)";
    } else {
        $sort = "cnt DESC, UCASE(url)";
    }

    $GLOBALS['mxSkipSqlDetect'] = true;
    $hresult = sql_query("select count(rid) as cnt, url from " . $prefix . "_referer group by UCASE(url) order by " . $sort . ";");
    include ("header.php");
    GraphicAdmin();
    title(_HTTPREFERERS);
    OpenTable();
    echo "<p style=\"text-align:center\"><strong>" . _WHOLINKS . "</strong></p>
    <table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"2\" bgcolor=\"$bgcolor1\">
    	<tr bgcolor=\"$bgcolor2\">
        <th><a href=\"admin.php?op=hreferer&amp;count\">#</a></th>
        <th><a href=\"admin.php?op=hreferer&amp;URL\">URL</a></th>
      </tr>";
    while (list($rid, $url) = sql_fetch_row($hresult)) {
        $ref = parse_url($url);
        if (isset($ignore) && (in_array($url, $ignore) || in_array($ref['host'], $ignore))) {
            $GLOBALS['mxSkipSqlDetect'] = true;
            sql_query("delete from " . $prefix . "_referer WHERE url='" . mxAddSlashesForSQL($url) . "'");
            continue;
        }
        $url = strip_tags($url);
        echo "<tr bgcolor=\"$bgcolor3\"><td>" . $rid . "</td>"
         . "<td><a target=\"_blank\" href=\"" . $url . "\">" . mxCutString($url, 100) . "</a></td></tr>";
    }
    echo "</table>
    <form action=\"admin.php\" method=\"post\">
      <input type=\"hidden\" name=\"op\" value=\"delreferer\">
      <center><br><br><input type=\"submit\" value=\"" . _DELETEREFERERS . "\"></center>
    </form>";
    CloseTable();
    include ("footer.php");
}

function delreferer()
{
    global $prefix;
    sql_query("delete from " . $prefix . "_referer");
    Header("Location: admin.php?op=adminMain");
}

switch ($op) {
    case "hreferer":
        hreferer();
        break;

    case "delreferer":
        delreferer();
        break;
}

?>