<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.2.2.6 $
 * $Author: tora60 $
 * $Date: 2008/02/02 10:41:47 $
 *
 * this file based on:
 * User Guestbook
 * Copyright (c)  Jens Ferner - http://www.netz-id.de
 * micro - http://guggemahier.de
 * modified by (c) 2005 by jubilee - http://www.pragmamx.org
 */

defined('mxMainFileLoaded') or die('access denied');

if (!defined('PMX_VERSION')) {
    mxErrorScreen('pragmaMx >= 0.1.10 is required');
}

$admindata = mxGetAdminData();
$module_name = "UserGuest";
mxGetLangfile($module_name);
if (($admindata['radminuser'] == 1) OR ($admindata['radminsuper'] == 1)) {
    function USERGBConfigSave($xindex, $xumbruch, $xmaxentrys, $xmaxchars, $xanzahl, $xPMbeiEintrag, $xAddSmilies, $xallow_backup, $xallow_html, $xuserdeniedpost, $xuseraddsig, $xtimeformat, $xwysiwyg_userguest)
    {
        global $module_name;
        $xumbruch = intval($xumbruch);
        $xmaxentrys = intval($xmaxentrys);
        $xmaxchars = intval($xmaxchars);
        $xanzahl = intval($xanzahl);
        $xindex = ($xindex == 1) ? $xindex : 0;
        $xPMbeiEintrag = ($xPMbeiEintrag == 1) ? $xPMbeiEintrag : 0;
        $xAddSmilies = ($xAddSmilies == 1) ? $xAddSmilies : 0;
        $xallow_backup = ($xallow_backup == 1) ? $xallow_backup : 0;
        $xallow_html = ($xallow_html == 1) ? $xallow_html : 0;
        $xuserdeniedpost = ($xuserdeniedpost == 1) ? $xuserdeniedpost : 0;
        $xuseraddsig = ($xuseraddsig == 1) ? $xuseraddsig : 0;
        $xwysiwyg_userguest = ($xwysiwyg_userguest == 1) ? $xwysiwyg_userguest : 0;
        @chmod("modules/" . $module_name . "/settings.php", 0666);
        $file = @fopen("modules/UserGuest/settings.php", "w");
        $content = "<?php\n";
        $content .= "/*\n";
        $content .= " pragmaMx - Web Content Management System\n";
        $content .= " Copyright by pragmaMx Developer Team - http://www.pragmamx.org\n";
        $content .= " */\n\n";
        $content .= "defined('mxMainFileLoaded') or die('access denied');\n\n";
        $content .= "$line";
        $content .= "\$index = $xindex;\n";
        $content .= "\$umbruch = $xumbruch;\n";
        $content .= "\$maxentrys = $xmaxentrys;\n";
        $content .= "\$maxchars = $xmaxchars;\n";
        $content .= "\$PMbeiEintrag = $xPMbeiEintrag;\n";
        $content .= "\$AddSmilies = $xAddSmilies;\n";
        $content .= "\$anzahl = $xanzahl;\n";
        $content .= "\$allow_backup = $xallow_backup;\n";
        $content .= "\$allow_html = $xallow_html;\n";
        $content .= "\$userdeniedpost = $xuserdeniedpost;\n";
        $content .= "\$useraddsig = $xuseraddsig;\n";
        $content .= "\$wysiwyg_userguest = $xwysiwyg_userguest;\n";
        $content .= "\$timeformat = \"" . $xtimeformat . "\";\n";
        $content .= "\n";
        $content .= "?>";
        fwrite($file, $content);
        fclose($file);
        @chmod("modules/" . $module_name . "/settings.php", 0644);
        Header("Location: admin.php?op=userguest");
    }

    function USERGBSettings()
    {
        global $module_name;
        require("modules/" . $module_name . "/settings.php");
        include("header.php");
        GraphicAdmin();
        title(_USERGBTITLE);
        OpenTable();
        echo "<fieldset><legend>" ._USERGBSETTINGS. "</legend>\n"
         . "<form action=\"admin.php\" method=\"post\">\n"
         . "<table border=\"0\" width=\"100%\">\n"
         . "<tr>\n"
         . "<td width=\"100%\" colspan=\"2\">\n"
         . "</tr>\n"
         . "<tr>\n"
         . "<td width=\"100%\" colspan=\"2\">&nbsp;</td>\n"
         . "</tr>\n"
         . "<tr>\n"
         . "<td width=\"41%\">" . _USERGBDISPLAYRIGHTBLOCKS . "</td>\n"
         . "<td width=\"59%\">\n";
        if ($index == 1) {
            echo "<input type=\"radio\" value=\"1\" checked name=\"xindex\">" . _USERGBYES . "\n"
             . "<input type=\"radio\" name=\"xindex\" value=\"0\">" . _USERGBNO . "</td>\n";
        } else {
            echo "<input type=\"radio\" value=\"1\" name=\"xindex\">" . _USERGBYES . "\n"
             . "<input type=\"radio\" checked name=\"xindex\" value=\"0\">" . _USERGBNO . "</td>\n";
        }

        echo"<tr>\n"
         . "<td width=\"41%\">" . _USERGBPMBEIEINTRAG . "</td>\n"
         . "<td width=\"59%\">\n";
        if ($PMbeiEintrag == true) {
            echo "<input type=\"radio\" value=\"1\" checked name=\"xPMbeiEintrag\">" . _USERGBYES . "\n"
             . "<input type=\"radio\" name=\"xPMbeiEintrag\" value=\"0\">" . _USERGBNO . "</td>\n";
        } else {
            echo "<input type=\"radio\" value=\"1\" name=\"xPMbeiEintrag\">" . _USERGBYES . "\n"
             . "<input type=\"radio\" checked name=\"xPMbeiEintrag\" value=\"0\">" . _USERGBNO . "</td>\n";
        }
        echo "<tr>\n"
         . "<td width=\"41%\">" . _USERGBADDSMILIES . "</td>\n"
         . "<td width=\"59%\">\n";
        if ($AddSmilies == true) {
            echo "<input type=\"radio\" name=\"xAddSmilies\" value=\"1\" checked>" . _USERGBYES . "\n"
             . "<input type=\"radio\" name=\"xAddSmilies\" value=\"0\">" . _USERGBNO . "</td>\n";
        } else {
            echo "<input type=\"radio\" name=\"xAddSmilies\" value=\"1\">" . _USERGBYES . "\n"
             . "<input type=\"radio\" name=\"xAddSmilies\" value=\"0\" checked>" . _USERGBNO . "</td>\n";
        }
        echo "</tr>\n"
         . "<tr>\n"
         . "<td width=\"41%\">" . _USERGBBACKUP . "</td>\n"
         . "<td width=\"59%\">\n";
        if ($allow_backup == true) {
            echo "<input type=\"radio\" name=\"xallow_backup\" value=\"1\" checked>" . _USERGBYES . "\n"
             . "<input type=\"radio\" name=\"xallow_backup\" value=\"0\">" . _USERGBNO . "</td>\n";
        } else {
            echo "<input type=\"radio\" name=\"xallow_backup\" value=\"1\">" . _USERGBYES . "\n"
             . "<input type=\"radio\" name=\"xallow_backup\" value=\"0\" checked>" . _USERGBNO . "</td>\n";
        }
        echo "</tr>\n"
         . "<tr>\n"
         . "<td width=\"41%\">" . _USERGBHTML . "</td>\n"
         . "<td width=\"59%\">\n";
        if ($allow_html == true) {
            echo "<input type=\"radio\" name=\"xallow_html\" value=\"1\" checked>" . _USERGBYES . "\n"
             . "<input type=\"radio\" name=\"xallow_html\" value=\"0\">" . _USERGBNO . "</td>\n";
        } else {
            echo "<input type=\"radio\" name=\"xallow_html\" value=\"1\">" . _USERGBYES . "\n"
             . "<input type=\"radio\" name=\"xallow_html\" value=\"0\" checked>" . _USERGBNO . "</td>\n";
        }
        echo "</tr>\n"
         . "<tr>\n"
         . "<td width=\"41%\">" . _USERGBDENIEDSELF . "</td>\n"
         . "<td width=\"59%\">\n";
        if ($userdeniedpost == true) {
            echo "<input type=\"radio\" name=\"xuserdeniedpost\" value=\"1\" checked>" . _USERGBYES . "\n"
             . "<input type=\"radio\" name=\"xuserdeniedpost\" value=\"0\">" . _USERGBNO . "</td>\n";
        } else {
            echo "<input type=\"radio\" name=\"xuserdeniedpost\" value=\"1\">" . _USERGBYES . "\n"
             . "<input type=\"radio\" name=\"xuserdeniedpost\" value=\"0\" checked>" . _USERGBNO . "</td>\n";
        }
        echo "</tr>\n"
         . "<tr>\n"
         . "<td width=\"41%\">" . _USERGBADDUSERSIG . "</td>\n"
         . "<td width=\"59%\">\n";
        if ($useraddsig == true) {
            echo "<input type=\"radio\" name=\"xuseraddsig\" value=\"1\" checked>" . _USERGBYES . "\n"
             . "<input type=\"radio\" name=\"xuseraddsig\" value=\"0\">" . _USERGBNO . "</td>\n";
        } else {
            echo "<input type=\"radio\" name=\"xuseraddsig\" value=\"1\">" . _USERGBYES . "\n"
             . "<input type=\"radio\" name=\"xuseraddsig\" value=\"0\" checked>" . _USERGBNO . "</td>\n";
        }
        echo "</tr>\n"
         . "<tr>\n"
         . "<td width=\"41%\">" . _USERGBUSEWYSIWYG . "</td>\n"
         . "<td width=\"59%\">\n";
        if ($wysiwyg_userguest == true) {
            echo "<input type=\"radio\" name=\"xwysiwyg_userguest\" value=\"1\" checked>" . _USERGBYES . "\n"
             . "<input type=\"radio\" name=\"xwysiwyg_userguest\" value=\"0\">" . _USERGBNO . "</td>\n";
        } else {
            echo "<input type=\"radio\" name=\"xwysiwyg_userguest\" value=\"1\">" . _USERGBYES . "\n"
             . "<input type=\"radio\" name=\"xwysiwyg_userguest\" value=\"0\" checked>" . _USERGBNO . "</td>\n";
        }
        echo "</tr>\n"
         . "<tr>\n"
         . "<td width=\"41%\">" . _USERGBMAXENTRYS . ":</td>\n"
         . "<td width=\"59%\">\n"
         . "<input type=\"text\" name=\"xmaxentrys\" size=\"12\" value=\"$maxentrys\"></td>\n"
         . "</tr>\n"
         . "<tr>\n"
         . "<td width=\"41%\">" . _USERGBMAXCHARS . ":</td>\n"
         . "<td width=\"59%\">\n"
         . "<input type=\"text\" name=\"xmaxchars\" size=\"12\" value=\"$maxchars\"></td>\n"
         . "</tr>\n"
         . "<tr>\n"
         . "<td width=\"41%\">" . _USERGBUBRUCH . ":</td>\n"
         . "<td width=\"59%\">\n"
         . "<input type=\"text\" name=\"xumbruch\" size=\"12\" value=\"$umbruch\">" . _USERGBZEICHEN . "</td>\n"
         . "</tr>\n"
         . "<tr>\n"
         . "<td width=\"41%\">" . _USERGBANZAHL . ":</td>\n"
         . "<td width=\"59%\">\n"
         . "<input type=\"text\" name=\"xanzahl\" size=\"12\" value=\"$anzahl\"></td>\n"
         . "</tr>\n"
         . "<tr>\n"
         . "<td width=\"41%\">" . _USERGBTIMEFORMAT . ":</td>\n"
         . "<td width=\"59%\">\n"
         . "<input type=\"text\" name=\"xtimeformat\" size=\"30\" value=\"$timeformat\"></td>\n"
         . "</tr>\n"
         . "<tr>\n"
         . "<td width=\"100%\" colspan=\"2\">&nbsp;</td>\n"
         . "</tr>\n"
         . "<tr>\n"
         . "<td width=\"100%\" colspan=\"2\">\n"
         . "<input type=\"hidden\" name=\"op\" value=\"USERGBConfigSave\">\n"
         . "<input type=\"submit\" value=\"" . _USERGBSAVESETTINGS . "\"></td>\n"
         . "</tr>\n"
         . "</table>\n"
         . "</form>\n"
         . "</fieldset>\n";
        CloseTable();
        include("footer.php");
    }
    switch ($op) {
        case "USERGBConfigSave":
            USERGBConfigSave($xindex, $xumbruch, $xmaxentrys, $xmaxchars, $xanzahl, $xPMbeiEintrag, $xAddSmilies, $xallow_backup, $xallow_html, $xuserdeniedpost, $xuseraddsig, $xtimeformat, $xwysiwyg_userguest);
            break;
        default :
            USERGBSettings();
            break;
    }
} else {
    die("Authorisation radminuser or radminsuper is required");
}

?>
