<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.5.2.4 $
 * $Author: dia_bolo $
 * $Date: 2008/01/12 13:37:26 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 * Copyright (c) 2001 by Jack Kozbial
 * (jack@internetintl.com) http://www.internetintl.com
 */

if (!defined("mxAdminFileLoaded")) die("Access Denied");

include("header.php");

$past = time() - (MX_SETINACTIVE_MINS * 2) ;

$qry1 = "SELECT user_lastvisit, user_lastip, user_lastmod, user_lasturl, uname FROM ${user_prefix}_users
WHERE (((user_lastmod)<>'logout') AND ((user_lastvisit) >= " . $past . ") AND ((user_stat)=1));";

$qry2 = "SELECT time, ip, module, url FROM ${prefix}_visitors WHERE (time >= " . $past . ") AND uid = 0;";
// $GLOBALS["mxSqlDebug"]      = 1;
$result1 = sql_query ($qry1);
$result2 = sql_query ($qry2);
// $GLOBALS["mxSqlDebug"]      = 0;
$guest_online_count = 0;
$member_online_count = 0;
$allrows = array();

while (list($time, $ip, $module, $url, $tuname) = sql_fetch_row($result1)) {
    $username = "<a href='modules.php?name=Userinfo&amp;uname=$tuname' target=\"blank\">$tuname</a>";
    $member_online_count++;
    $host = gethostbyaddr($ip);
    $country = gettopdomain($host);
    $stime = gettimeonline($time);
    $url = htmlspecialchars(str_replace('&amp;', '&', trim($url, '/. ')));
    $where = "<a href=\"" . $url . "\" title=\"" . $url . "\" target=\"blank\">" . $module . "</a>";
    $key = $time + $member_online_count;
    $allrows[$key] = "<tr bgcolor=\"$bgcolor1\"><td>" . $username . "</td><td>" . $ip . "</td><td>" . $host . "</td><td>" . $country . "</td><td nowrap=\"nowrap\">" . $stime . "</td><td>" . $where . "</td></tr>";
} // End while
while (list($time, $ip, $module, $url) = sql_fetch_row($result2)) {
    $guest_online_count++;
    $host = gethostbyaddr($ip);
    $country = gettopdomain($host);
    $stime = gettimeonline($time);
    $url = htmlspecialchars(str_replace('&amp;', '&', trim($url, '/. ')));
    $where = "<a href=\"" . $url . "\" title=\"" . $url . "\" target=\"blank\">" . $module . "</a>";
    $key = $time + $member_online_count;
    $allrows[$key] = "<tr bgcolor=\"$bgcolor1\"><td>&nbsp;</td><td>" . $ip . "</td><td>" . $host . "</td><td>" . $country . "</td><td nowrap>" . $stime . "</td><td>" . $where . "</td></tr>";
    // $allrows[$key]  = "<tr bgcolor=\"$bgcolor1\"><td><em>".$GLOBALS['anonymous']."</em></td><td>".$ip."</td><td>".$host."</td><td>".$country."</td><td nowrap>".$stime."</td><td>".$where."</td></tr>";
} // End while
GraphicAdmin();
title(_WHONCAPT);

OpenTable();
if (count($allrows)) {
    krsort($allrows);
    $allrows = implode("\n", $allrows);
    echo "<table cellpadding=\"0\" cellspacing=\"0\" bgcolor=\"$bgcolor2\" width=\"100%\" border=\"0\"><tr><td>";
    echo "<table width=\"100%\" cellspacing=\"1\" cellpadding=\"2\" border=\"0\">";
    echo "<tr><td>" . _WHONUSER . "</td><td>" . _WHONHOST1 . "</td><td>" . _WHONHOST2 . "</td><td>" . _WHONFROM . "</td><td>" . _WHONTIME . "</td><td>" . _WHONWHERE . "?</td></tr>";
    echo $allrows;
    echo "</table>";
    echo "</td></tr></table><br />";
}


echo "<div style=\"text-align:center\"><p>" . _CURRENTLY . "&nbsp;<b>" . $guest_online_count . "</b>&nbsp;" . _GUESTS . "&nbsp;<b>" . $member_online_count . "</b>&nbsp;" . _MEMBERS . "</p>\n";
echo "<p>" . _WHONSERVTIM . ": <b>" . mx_strftime(_DATESTRING . ' %H:%M:%S', time()) . "</b></p>";
echo "<p>[&nbsp;<a href=\"admin.php?op=who\">" . _WHONREFRESH . "</a>&nbsp;]</p></div>\n";
CloseTable();
echo "<div align=\"right\"><span class=\"tiny\">based on: Who is online Admin module v2.0<br />by Jack Kozbial <a href=\"http://www.internetintl.com\" class=\"tiny\" target=\"_blank\">Internet International</a></span></div>\n";
include("footer.php");

function gettimeonline($time)
{
    /**
     */
    /* Copyright (c) 2001 by Jack Kozbial                                               */
    /* Time online ( time format )                                                      */
    /* (jack@internetintl.com) http://www.internetintl.com                              */
    /*                                                                                  */
    /* This program is free software. You can redistribute it and/or modify             */
    /* it under the terms of the GNU General Public License as published by             */
    /* the Free Software Foundation; either version 2 of the License.                   */
    /*                                                                                  */
    /**
     */
    $min = 0;
    $sec = 0;
    $hour = 0;
    $unixtime = time() - $time;
    if ($unixtime < 60) {
        $sec = $unixtime;
        $min = 0;
        $hour = 0;
    } else if ($unixtime < 3600) {
        $sec = $unixtime % 60;
        $hour = 0;
        $min_t = explode('.', number_format($unixtime / 60, 2));
        $min = $min_t[0];
    } else if ($unixtime >= 216000) {
        $hour_t = explode('.', number_format($unixtime / 216000, 2));
        $hour = $hour_t[0];
        $sec = $unixtime % 60;
        $min_te = $unixtime % 216000;
        $min_t = explode('.', number_format($min_te / 60, 2));
        $min = $min_t[0];
    }
    return "$min min : $sec sec";
}

function gettopdomain($host)
{
    /**
     */
    /* Copyright (c) 2001 by Jack Kozbial                                               */
    /* Country online ( host name -> domain/country )                                   */
    /* (jack@internetintl.com) http://www.internetintl.com                              */
    /*                                                                                  */
    /* This program is free software. You can redistribute it and/or modify             */
    /* it under the terms of the GNU General Public License as published by             */
    /* the Free Software Foundation; either version 2 of the License.                   */
    /*                                                                                  */
    /**
     */
    $array = explode(".", $host);
    $top_domain = strtolower($array[sizeof($array)-1]);
    $country = "";
    switch ($top_domain) {
        case 'biz':$country = "Business";
            break;
        case 'info':$country = "Info";
            break;
        case 'com':$country = "Commercial";
            break;
        case 'name':$country = "Private Name";
            break;
        case 'arpa':$country = "ARPANet/USA";
            break;
        case 'edu':$country = "Education";
            break;
        case 'gov':$country = "Government/USA";
            break;
        case 'int':$country = "Oganization established by an Iinternational Teaty";
            break;
        case 'mil':$country = "Military/USA";
            break;
        case 'net':$country = "Network";
            break;
        case 'org':$country = "Organization/USA";
            break;
        case 'ad':$country = "Andorra";
            break;
        case 'ae':$country = "United Arab Emirates";
            break;
        case 'af':$country = "Afghanistan";
            break;
        case 'ag':$country = "Antigua &amp; Barbuda";
            break;
        case 'ai':$country = "Anguilla";
            break;
        case 'al':$country = "Albania";
            break;
        case 'am':$country = "Armenia";
            break;
        case 'an':$country = "Neterland Antilles";
            break;
        case 'ao':$country = "Angola";
            break;
        case 'aq':$country = "Antarctica";
            break;
        case 'ar':$country = "Argentina";
            break;
        case 'as':$country = "American Samoa";
            break;
        case 'at':$country = "Austria";
            break;
        case 'au':$country = "Australia";
            break;
        case 'aw':$country = "Aruba";
            break;
        case 'az':$country = "Azerbaijan";
            break;
        case 'ba':$country = "Bosnia-Herzegovina";
            break;
        case 'bb':$country = "Barbados";
            break;
        case 'bd':$country = "Bangladesh";
            break;
        case 'be':$country = "Belgium";
            break;
        case 'bf':$country = "Burkina Faso";
            break;
        case 'bg':$country = "Bulgaria";
            break;
        case 'bh':$country = "Bahrain";
            break;
        case 'bi':$country = "Burundi";
            break;
        case 'bj':$country = "Benin";
            break;
        case 'bm':$country = "Bermuda";
            break;
        case 'bn':$country = "Brunei Darussalam";
            break;
        case 'bo':$country = "Bolivia";
            break;
        case 'br':$country = "Brasil";
            break;
        case 'bs':$country = "Bahamas";
            break;
        case 'bt':$country = "Bhutan";
            break;
        case 'bv':$country = "Bouvet Island";
            break;
        case 'bw':$country = "Botswana";
            break;
        case 'by':$country = "Belarus";
            break;
        case 'bz':$country = "Belize";
            break;
        case 'ca':$country = "Canada";
            break;
        case 'cc':$country = "Cocos (Keeling) Islands";
            break;
        case 'cf':$country = "Central African Republic";
            break;
        case 'cg':$country = "Congo";
            break;
        case 'ch':$country = "Switzerland";
            break;
        case 'ci':$country = "Ivory Coast";
            break;
        case 'ck':$country = "Cook Islands";
            break;
        case 'cl':$country = "Chile";
            break;
        case 'cm':$country = "Cameroon";
            break;
        case 'cn':$country = "China";
            break;
        case 'co':$country = "Colombia";
            break;
        case 'cr':$country = "Costa Rica";
            break;
        case 'cs':$country = "Czechoslovakia";
            break;
        case 'cu':$country = "Cuba";
            break;
        case 'cv':$country = "Cape Verde";
            break;
        case 'cx':$country = "Christmas Island";
            break;
        case 'cy':$country = "Cyprus";
            break;
        case 'cz':$country = "Czech Republic";
            break;
        case 'de':$country = "Germany";
            break;
        case 'dj':$country = "Djibouti";
            break;
        case 'dk':$country = "Denmark";
            break;
        case 'dm':$country = "Dominica";
            break;
        case 'do':$country = "Dominican Republic";
            break;
        case 'dz':$country = "Algeria";
            break;
        case 'ec':$country = "Ecuador";
            break;
        case 'ee':$country = "Estonia";
            break;
        case 'eg':$country = "Egypt";
            break;
        case 'eh':$country = "Western Sahara";
            break;
        case 'er':$country = "Eritrea";
            break;
        case 'es':$country = "Spain";
            break;
        case 'et':$country = "Ethiopia";
            break;
        case 'fi':$country = "Finland";
            break;
        case 'fj':$country = "Fiji";
            break;
        case 'fk':$country = "Falkland Islands (Malvibas)";
            break;
        case 'fm':$country = "Micronesia";
            break;
        case 'fo':$country = "Faroe Islands";
            break;
        case 'fr':$country = "France";
            break;
        case 'fx':$country = "France (European Territory)";
            break;
        case 'ga':$country = "Gabon";
            break;
        case 'gb':$country = "Great Britain";
            break;
        case 'gd':$country = "Grenada";
            break;
        case 'ge':$country = "Georgia";
            break;
        case 'gf':$country = "Guyana (French)";
            break;
        case 'gh':$country = "Ghana";
            break;
        case 'gi':$country = "Gibralta";
            break;
        case 'gl':$country = "Greenland";
            break;
        case 'gm':$country = "Gambia";
            break;
        case 'gn':$country = "Guinea";
            break;
        case 'gp':$country = "Guadeloupe (French)";
            break;
        case 'gq':$country = "Equatorial Guinea";
            break;
        case 'gr':$country = "Greece";
            break;
        case 'gs':$country = "South Georgia &amp; South Sandwich Islands";
            break;
        case 'gt':$country = "Guatemala";
            break;
        case 'gu':$country = "Guam (US)";
            break;
        case 'gw':$country = "Guinea Bissau";
            break;
        case 'gy':$country = "Guyana";
            break;
        case 'hk':$country = "Hong Kong";
            break;
        case 'hm':$country = "Heard &amp; McDonald Islands";
            break;
        case 'hn':$country = "Honduras";
            break;
        case 'hr':$country = "Croatia";
            break;
        case 'ht':$country = "Haiti";
            break;
        case 'hu':$country = "Hungary";
            break;
        case 'id':$country = "Indonesia";
            break;
        case 'ie':$country = "Ireland";
            break;
        case 'il':$country = "Israel";
            break;
        case 'in':$country = "India";
            break;
        case 'io':$country = "British Indian Ocean Territories";
            break;
        case 'iq':$country = "Iraq";
            break;
        case 'ir':$country = "Iran";
            break;
        case 'is':$country = "Iceland";
            break;
        case 'it':$country = "Italy";
            break;
        case 'jm':$country = "Jamaica";
            break;
        case 'jo':$country = "Jordan";
            break;
        case 'jp':$country = "Japan";
            break;
        case 'ke':$country = "Kenya";
            break;
        case 'kg':$country = "Kyrgyz Republic";
            break;
        case 'kh':$country = "Cambodia";
            break;
        case 'ki':$country = "Kiribati";
            break;
        case 'km':$country = "Comoros";
            break;
        case 'kn':$country = "Saint Kitts Nevis Anguilla";
            break;
        case 'kp':$country = "Korea (North)";
            break;
        case 'kr':$country = "Korea (South)";
            break;
        case 'kw':$country = "Kuwait";
            break;
        case 'ky':$country = "Cayman Islands";
            break;
        case 'kz':$country = "Kazachstan";
            break;
        case 'la':$country = "Laos";
            break;
        case 'lb':$country = "Lebanon";
            break;
        case 'lc':$country = "Saint Lucia";
            break;
        case 'li':$country = "Liechtenstein";
            break;
        case 'lk':$country = "Sri Lanka";
            break;
        case 'lr':$country = "Liberia";
            break;
        case 'ls':$country = "Lesotho";
            break;
        case 'lt':$country = "Lithuania";
            break;
        case 'lu':$country = "Luxembourg";
            break;
        case 'lv':$country = "Latvia";
            break;
        case 'ly':$country = "Libya";
            break;
        case 'ma':$country = "Morocco";
            break;
        case 'mc':$country = "Monaco";
            break;
        case 'md':$country = "Moldova";
            break;
        case 'mg':$country = "Madagascar";
            break;
        case 'mh':$country = "Marshall Islands";
            break;
        case 'mk':$country = "Macedonia";
            break;
        case 'ml':$country = "Mali";
            break;
        case 'mm':$country = "Myanmar";
            break;
        case 'mn':$country = "Mongolia";
            break;
        case 'mo':$country = "Macau";
            break;
        case 'mp':$country = "Northern Mariana Islands";
            break;
        case 'mq':$country = "Martinique (French)";
            break;
        case 'mr':$country = "Mauretania";
            break;
        case 'ms':$country = "Montserrat";
            break;
        case 'mt':$country = "Malta";
            break;
        case 'mu':$country = "Mauritius";
            break;
        case 'mv':$country = "Maldives";
            break;
        case 'mw':$country = "Malawi";
            break;
        case 'mx':$country = "Mexico";
            break;
        case 'my':$country = "Malaysia";
            break;
        case 'mz':$country = "Mozambique";
            break;
        case 'na':$country = "Namibia";
            break;
        case 'nc':$country = "New Caledonia (French)";
            break;
        case 'ne':$country = "Niger";
            break;
        case 'nf':$country = "Norfolk Island";
            break;
        case 'ng':$country = "Nigeria";
            break;
        case 'ni':$country = "Nicaragua";
            break;
        case 'nl':$country = "Netherlands";
            break;
        case 'no':$country = "Norway";
            break;
        case 'np':$country = "Nepal";
            break;
        case 'nr':$country = "Nauru";
            break;
        case 'nt':$country = "Saudiarab. Irak)";
            break;
        case 'nu':$country = "Niue";
            break;
        case 'nz':$country = "New Zealand";
            break;
        case 'om':$country = "Oman";
            break;
        case 'pa':$country = "Panama";
            break;
        case 'pe':$country = "Peru";
            break;
        case 'pf':$country = "Polynesia (French)";
            break;
        case 'pg':$country = "Papua New Guinea";
            break;
        case 'ph':$country = "Philippines";
            break;
        case 'pk':$country = "Pakistan";
            break;
        case 'pl':$country = "Poland";
            break;
        case 'pm':$country = "Saint Pierre &amp; Miquelon";
            break;
        case 'pn':$country = "Pitcairn";
            break;
        case 'pr':$country = "Puerto Rico (US)";
            break;
        case 'pt':$country = "Portugal";
            break;
        case 'pw':$country = "Palau";
            break;
        case 'py':$country = "Paraguay";
            break;
        case 'qa':$country = "Qatar";
            break;
        case 're':$country = "Reunion (French)";
            break;
        case 'ro':$country = "Romania";
            break;
        case 'ru':$country = "Russian Federation";
            break;
        case 'rw':$country = "Rwanda";
            break;
        case 'sa':$country = "Saudi Arabia";
            break;
        case 'sb':$country = "Salomon Islands";
            break;
        case 'sc':$country = "Seychelles";
            break;
        case 'sd':$country = "Sudan";
            break;
        case 'se':$country = "Sweden";
            break;
        case 'sg':$country = "Singapore";
            break;
        case 'sh':$country = "Saint Helena";
            break;
        case 'si':$country = "Slovenia";
            break;
        case 'sj':$country = "Svalbard &amp; Jan Mayen";
            break;
        case 'sk':$country = "Slovakia";
            break;
        case 'sl':$country = "Sierra Leone";
            break;
        case 'sm':$country = "San Marino";
            break;
        case 'sn':$country = "Senegal";
            break;
        case 'so':$country = "Somalia";
            break;
        case 'sr':$country = "Suriname";
            break;
        case 'st':$country = "Sao Tome &amp; Principe";
            break;
        case 'su':$country = "Soviet Union";
            break;
        case 'sv':$country = "El Salvador";
            break;
        case 'sy':$country = "Syria";
            break;
        case 'sz':$country = "Swaziland";
            break;
        case 'tc':$country = "Turks &amp; Caicos Islands";
            break;
        case 'td':$country = "Chad";
            break;
        case 'tf':$country = "French Southern Territories";
            break;
        case 'tg':$country = "Togo";
            break;
        case 'th':$country = "Thailand";
            break;
        case 'tj':$country = "Tadjikistan";
            break;
        case 'tk':$country = "Tokelau";
            break;
        case 'tm':$country = "Turkmenistan";
            break;
        case 'tn':$country = "Tunisia";
            break;
        case 'to':$country = "Tonga";
            break;
        case 'tp':$country = "East Timor";
            break;
        case 'tr':$country = "Turkey";
            break;
        case 'tt':$country = "Trinidad &amp; Tobago";
            break;
        case 'tv':$country = "Tuvalu";
            break;
        case 'tw':$country = "Taiwan";
            break;
        case 'tz':$country = "Tanzania";
            break;
        case 'ua':$country = "Ukraine";
            break;
        case 'ug':$country = "Uganda";
            break;
        case 'uk':$country = "United Kingdom";
            break;
        case 'um':$country = "US Minor outlying Islands";
            break;
        case 'us':$country = "United States";
            break;
        case 'uy':$country = "Uruguay";
            break;
        case 'uz':$country = "Uzbekistan";
            break;
        case 'va':$country = "Vatican City State";
            break;
        case 'vc':$country = "St Vincent &amp; Grenadines";
            break;
        case 've':$country = "Venezuela";
            break;
        case 'vg':$country = "Virgin Islands (British)";
            break;
        case 'vi':$country = "Virgin Islands (US)";
            break;
        case 'vn':$country = "Vietnam";
            break;
        case 'vu':$country = "Vanuatu";
            break;
        case 'wf':$country = "Wallis &amp; Futuna Islands";
            break;
        case 'ws':$country = "Samoa";
            break;
        case 'ye':$country = "Yemen";
            break;
        case 'yt':$country = "Mayotte";
            break;
        case 'yu':$country = "Yugoslavia";
            break;
        case 'za':$country = "South Africa";
            break;
        case 'zm':$country = "Zambia";
            break;
        case 'zr':$country = "Zaire";
            break;
        case 'zw':$country = "Zimbabwe";
            break;
        case 'home':$country = "Home-Server";
            break;
        default:
            if (is_numeric($host)) {
                $country = "Not a domain.";
                /* host is an ip-address */
            } else {
                if (strstr($host, "aol")) {
                    $country = "America Online";
                } else {
                    $country = "Unknown domain.";
                    /* domain not listed above */
                }
            }
    }
    return $country;
}
