<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.9.2.5 $
 * $Author: joergk $
 * $Date: 2008/01/03 03:09:58 $
 */

defined('mxMainFileLoaded') or die('access denied');

if (!mxGetAdminPref('radminuser')) {
    mxErrorScreen('Access Denied');
    die();
}

/* Konfiguration: Anzahl der Eintraege pro Seite */
$entries = 40;
/* Konfiguration: Wartezeit, bis die Neueingaenge in der Liste erscheinen, in Stunden. */
$wait_time = 1;

if (!defined('mxYALoaded')) {
    define('mxYALoaded', '1');
}
include_once('includes/mx_userfunctions.php');

/* Seitennavigation */
function prevnext ($paramto, $linkto, $counter, $int_counter)
{
    global $entries;
    $GLOBALS['menge'] = intval($GLOBALS['menge']);
    echo"<table border=\"0\" width=\"100%\"><tr>\n";
    If (($counter == 0) && ($GLOBALS['menge'] > ($counter + $entries))) {
        $counter_next = ($counter + $entries);
        $parameter_nextlink = $paramto . "&amp;counter=" . $counter_next;
        echo"<td width=\"50%\">&nbsp;</td>";
        echo"<td width=\"50%\" align=\"right\"><a href=\"admin.php" . $linkto . $parameter_nextlink . "\">" . _GONEXT . " " . $entries . " &#62;&#62;&#62;</a></td>";
    } elseif (($counter >= $entries) && ($GLOBALS['menge'] > ($counter + $entries))) {
        $counter_next = ($counter + $entries);
        $counter_prev = ($counter - $entries);
        $parameter_nextlink = $paramto . "&amp;counter=" . $counter_next;
        $parameter_prevlink = $paramto . "&amp;counter=" . $counter_prev;
        echo"<td width=\"50%\" align=\"left\"><a href=\"admin.php" . $linkto . $parameter_prevlink . "\">&#60;&#60;&#60; " . _GOPREV . " " . $entries . "</a></td>";
        echo"<td width=\"50%\" align=\"right\"><a href=\"admin.php" . $linkto . $parameter_nextlink . "\">" . _GONEXT . " " . $entries . " &#62;&#62;&#62;</a></td>";
    } elseif (($counter >= $entries) && ($GLOBALS['menge'] <= ($counter + $entries))) {
        $counter_prev = ($counter - $entries);
        $parameter_prevlink = $paramto . "&amp;counter=" . $counter_prev;
        echo"<td width=\"50%\" align=\"left\"><a href=\"admin.php" . $linkto . $parameter_prevlink . "\">&#60;&#60;&#60; " . _GOPREV . " " . $entries . "</td>";
        echo"<td width=\"50%\">&nbsp;</td>";
    }
    echo"</tr></table>";
}

/* Die Liste */
function viewthelist ($counter = 0)
{
    global $user_prefix, $entries, $bgcolor2;
    $timeborder = time();
    $query_m = "SELECT * FROM ${user_prefix}_users_temptable where (check_isactive!=1)";
    $result_m = sql_query($query_m);
    $query = "SELECT * FROM ${user_prefix}_users_temptable where (check_isactive!=1) limit $counter, $entries";
    $result1 = sql_query($query);
    if (!$result1) {
        include("header.php");
        OpenTableAl();
        echo "<center>Error query 101</center>";
        CloseTableAl();
        include("footer.php");
        die();
    }
    $GLOBALS['menge'] = sql_num_rows($result_m);
    include("header.php");
    GraphicAdmin();
    title(_YADELETER_TITLE);
    $check = time() - (60 * 60 * $GLOBALS['wait_time']);
    if ($GLOBALS['menge'] > 0) {
        OpenTable();
        echo "<form name=\"delete_selected\" action=\"admin.php\" method=\"post\">\n";
        echo "<table border=\"0\" width=\"100%\" bgcolor=\"$bgcolor1\" cellspacing=\"1\" cellpadding=\"1\">\n";
        echo "<tr bgcolor=\"$bgcolor2\"><th align=\"left\">" . _MODIFY . ":</th>\n";
        echo "<th align=\"left\">" . _YADELETER_ENTRYNAME . ": </th>\n";
        echo "<th align=\"left\">" . _YADELETER_ENTRYEMAIL . ": </th>\n";
        echo "<th align=\"left\">" . _YADELETER_ENTRYTIME . ": </th></tr>\n";
        $internal_counter = 0;
        while ($eintrag = sql_fetch_assoc($result1)) {
            $zeit = mx_strftime(_SHORTDATESTRING, $eintrag['check_time']) . ' ' . date('H:i', $eintrag['check_time']);
            $internal_counter ++;
            if ($eintrag['check_time'] > $check) {
                echo "<tr><td>&nbsp;</td>\n";
            } else {
                echo "<tr><td><input type=\"checkbox\" name=\"check_delete[]\" value=\"" . $eintrag['uid'] . "\" /></td>\n";
            }
            if ($eintrag['check_ip'] == "255.255.255.255") {
                $color = '<FONT COLOR="#dc2300">';
            } else {
                $color = '<FONT COLOR="#008000">';
            }
            echo "<td>" . $color . $eintrag['uname'] . "</font></td>\n";
            echo "<td>" . $color . $eintrag['email'] . "</font></td>\n";
            echo "<td>" . $color . $zeit . "</font></td></tr>\n";
        }
        echo "<input type=\"hidden\" name=\"counter\" value=\"" . $counter . "\" />\n";
        echo "<input type=\"hidden\" name=\"internal_counter\" value=\"" . $internal_counter . "\" />\n";
        echo "<tr><td><b>" . _AACTIVE . " :</b></td><td colspan=\"3\" align =\"center\"><select name=\"op\">\n";
        echo "<option value=\"resend_selected_entrys\">" . _YADELETER_ADMINRESEND . "</option>\n";
        echo "<option value=\"activate_selected_entrys\">" . _YADELETER_ACTIVATE . "</option>\n";
        echo "<option value=\"delete_selected_entrys\">" . _YADELETER_DELDO . "</option></select></td></tr>\n";
        echo "<tr><td colspan=\"4\" align =\"center\"><input type=\"submit\" name=\"submit\" value=\"" . _SUBMIT . "\" />\n";
        echo"</table></form><br />\n";
        prevnext("?op=show_the_list", "", $counter, $internal_counter);
        CloseTable();
    } else {
        OpenTable();
        echo _YADELETER_NOENTRY . "<br />\n";
        CloseTable();
    }
    include("footer.php");
}

/* Eintraege loeschen */
function delete_the_requested ($counter, $int_counter, $uid_array)
{
    global $user_prefix, $entries;
    $internal_counter = 0;
    foreach ($uid_array as $key => $delete_uid) {
        $delete_uid = intval($delete_uid);
        $internal_counter++;
        if (!$result = sql_query("DELETE FROM " . $user_prefix . "_users_temptable WHERE uid=" . $delete_uid)) {
            include("header.php");
            OpenTableAL();
            echo "<center>Error delete Entry 202</center>";
            CloseTableAL();
            include("footer.php");
            die();
        }
    }
    if ($internal_counter == $int_counter) {
        $counter = ($counter - $entries);
    }
    if ($counter < 0) {
        $counter = 0;
    }
    Header("Location: admin.php?op=show_the_list&counter=$counter");
}

function adminsendusermail($counter, $int_counter, $uid_array)
{
    global $user_prefix, $entries;
    $internal_counter = 0;
    foreach ($uid_array as $key => $resend_uid) {
        $resend_uid = intval($resend_uid);
        $internal_counter++;
        if (!$result = sql_query("SELECT * FROM " . $user_prefix . "_users_temptable WHERE uid=" . $resend_uid)) {
            include("header.php");
            OpenTableAL();
            echo "<center>Error Admin Link resend Entry 451</center>";
            CloseTableAL();
            include("footer.php");
            die();
        } else {
            $row = sql_fetch_assoc($result);
            extract($row);
            $subject = $GLOBALS['sitename'] . " - " . _YADELETER_REG_MAILSUB5 . " " . $uname;
            $message = _YADELETER_REG_MAILMSG5;
            $buildlink = MX_HOME_URL . "/modules.php?name=User_Registration&op=activate_account&new_check=" . $check_key . "&new_time=" . $check_time;
            mxMail($email, mxHtmlEntityDecode($subject), mxHtmlEntityDecode($message) . "\n\n" . $buildlink, $GLOBALS['adminmail'], 'text', mxHtmlEntityDecode(_ACCOUNTACTIVATIONLINK). ' ' . $check_key);
            // mxDebugFuncvars($message);exit;
            sql_query("UPDATE " . $user_prefix . "_users_temptable SET check_ip = '255.255.255.255' WHERE uid=" . $resend_uid);
        }
    }
    if ($internal_counter == $int_counter) {
        $counter = ($counter - $entries);
    }
    if ($counter < 0) {
        $counter = 0;
    }
    Header("Location: admin.php?op=show_the_list&counter=$counter");
}

/* PROTOTYPE Activate Account */
function adminactivateaccount($counter, $int_counter, $uid_array)
{
    global $user_prefix, $prefix;
    mxCheckUserTempTable(); // temporre Tabelle auf kompatibilitt prfen und ggf. anpassen
    $internal_counter = 0;
    foreach ($uid_array as $key => $resend_uid) {
        $resend_uid = intval($resend_uid);
        $internal_counter++;
        if (!$result = sql_query("SELECT * FROM " . $user_prefix . "_users_temptable WHERE uid=" . $resend_uid)) {
            include("header.php");
            OpenTableAL();
            echo "<center>" . _YADDATABASEERROR . "Error Admin activate Entry 551</center>";
            CloseTableAL();
            include("footer.php");
            die();
        } else {
            $row = sql_fetch_assoc($result);
            if ($row['check_isactive']) {
                mxErrorScreen(_YADDATABASEERROR . ": " . _YADALREADYACTIVE);
                return;
            }
            extract($row);
            if ($GLOBALS['vkpUserregoption'] == 3) {
                $user_stat = 1;
            } elseif ($GLOBALS['vkpUserregoption'] == 4) {
                $user_stat = 0;
            }
            if (isset($uname)) $fields[0] = "uname = '$uname'";
            if (isset($pass)) $fields[1] = "pass = '$pass'";
            if (isset($email)) $fields[2] = "email = '$email'";
            if (isset($name)) $fields[3] = "name = '$name'";
            if (isset($femail)) $fields[4] = "femail = '$femail'";
            if (isset($url)) $fields[5] = "url = '$url'";
            if (isset($user_avatar)) $fields[6] = "user_avatar = '$user_avatar'";
            if (isset($user_regdate)) $fields[7] = "user_regdate = '$user_regdate'";
            if (isset($user_icq)) $fields[8] = "user_icq = '$user_icq'";
            if (isset($user_occ)) $fields[9] = "user_occ = '$user_occ'";
            if (isset($user_from)) $fields[10] = "user_from = '$user_from'";
            if (isset($user_intrest)) $fields[11] = "user_intrest = '$user_intrest'";
            if (isset($user_sig)) $fields[12] = "user_sig = '$user_sig'";
            if (isset($user_aim)) $fields[13] = "user_aim = '$user_aim'";
            if (isset($user_yim)) $fields[14] = "user_yim = '$user_yim'";
            if (isset($user_msnm)) $fields[15] = "user_msnm = '$user_msnm'";
            $fields[16] = "user_level = 1";
            if (isset($newsletter)) $fields[17] = "newsletter = $newsletter ";
            if (isset($user_ingroup)) $fields[18] = "user_ingroup = $user_ingroup";
            if (isset($user_regtime)) $fields[19] = "user_regtime = $user_regtime";
            if (isset($user_stat)) $fields[20] = "user_stat = $user_stat";
            if (isset($user_sexus)) $fields[21] = "user_sexus = $user_sexus";
            if (isset($user_regtime)) $fields[22] = "user_lastvisit = $user_regtime";
            if (isset($userip)) $fields[23] = "user_lastip = '$userip'";
            if (isset($user_bday)) $fields[24] = "user_bday = '$user_bday'"; // ohne anfhrz.
            if (function_exists("finishNewUser_option")) {
                // / loeschen oder hinzufuegen von Insert-Elementen
                $fields = finishNewUser_option($row, $fields);
                // mxDebugFuncVars($fields); exit;
            }
            if ($newsletter) {
                $userip = MX_REMOTE_ADDR;
                $userhost = gethostbyaddr(MX_REMOTE_ADDR);
                $result2 = sql_query("INSERT INTO ${prefix}_newsletter SET email = '$email', html='1', status = '2', checkkey='0', regdate='$check_time', regip='$userip', reghost='$userhost'");
            }

            $qry = "INSERT INTO ${user_prefix}_users SET " . implode(', ', $fields);
            $result = sql_query($qry);
            if (!$result) {
                mxErrorScreen(_YADDATABASEERROR . "Insert from temptable into usertable YA-DELETER");
                return;
            }
            $the_needed_uid = sql_insert_id();
            if (!empty($the_needed_uid)) {
                $the_needed_data = $row;
                $the_needed_data['pass'] = '';
                $the_needed_data['uid'] = $the_needed_uid;
                $the_needed_data['uname'] = $uname;
                if ((!empty($sendnewusermsg)) && (!empty($msgadminid))) {
                    YADsendnewuserpm($the_needed_data);
                }
            }
            if ($GLOBALS['vkpUserregoption'] == 3) {
                $delqry = "DELETE FROM ${user_prefix}_users_temptable WHERE uid=" . $resend_uid;
                $delresult = sql_query($delqry);
                if (!$delresult) {
                    mxErrorScreen(_YADDATABASEERROR . "Delete temptable - entry YA_DELETER");
                    return;
                }
                $the_needed_data['mailpass'] = base64_decode($check_thepss); //Changed here for Password-Mail at Reg-Option 3
                YADsendnewusermail($the_needed_data); //Changed here for Password-Mail at Reg-Option 3
            } else if ($GLOBALS['vkpUserregoption'] == 4) {
                $query2 = "UPDATE ${user_prefix}_users_temptable SET check_isactive = 1 WHERE uid=" . $resend_uid;
                $result2 = sql_query($query2);
            }
            if (!empty($sendaddmail)) {
                $optmessage = (function_exists("sendnewusermail_option")) ? sendnewusermail_option($the_needed_data) : "";
                $subject = _NEWMEMBERON . " " . $GLOBALS['sitename'] . ": " . $uname;
                $message = "\n" . _NEWMEMBERON . " '" . $GLOBALS['sitename'] . "'\n\n";
                $message .= " - " . _NICKNAME . ":\t " . $uname . "\n";
                $message .= " - " . _YADEMAIL . ":\t " . $email . "\n\n";
                $message .= " - ip:\t\t " . MX_REMOTE_ADDR . ((MX_REMOTE_HOST) ? ' (' . MX_REMOTE_HOST . ')' : '') . "\n";
                $message .= " - " . _ON . ":\t\t " . mx_strftime("%d-%m-%Y %H:%M:%S", time()) . "\n\n";
                $message .= $optmessage;
                $message .= "\n-----------------------------------------------------------\n\n";
                $message .= _NEWMEMBERINFO . ": " . MX_HOME_URL . "/modules.php?name=Userinfo&uname=" . urlencode($uname) . "\n";
                $message .= _EDIT . ": " . MX_HOME_URL . "/admin.php?op=modifyUser&chng_uid=" . $the_needed_data['uid'] . "&user_stat=" . $user_stat . "\n";
                mxMail($GLOBALS['adminmail'], mxHtmlEntityDecode($subject), mxHtmlEntityDecode($message), $GLOBALS['adminmail']);
            }
        }
    }
    if ($internal_counter == $int_counter) {
        $counter = ($counter - $entries);
    }
    if ($counter < 0) {
        $counter = 0;
    }
    Header("Location: admin.php?op=show_the_list&counter=$counter");
}

function YADsendnewusermail($userdata)
{
    // mxDebugFuncvars($userdata);
    // / zusaetzliche optionale Ausgaben
    include("modules/Your_Account/config.php");
    $optmessage = (function_exists("sendnewusermail_option")) ? sendnewusermail_option($userdata) : "";
    extract($userdata);
    $message = _WELCOMETO . " " . $GLOBALS['sitename'] . "!\n\n";
    $message .= _YADYOUUSEDEMAIL . " '" . $GLOBALS['sitename'] . "' " . _YADTOREGISTER . ".\n\n";

    if ($GLOBALS['vkpUserregoption'] == 0 || $GLOBALS['vkpUserregoption'] == 1) {
        // / generiertes Passwort zusenden oder eigenes Passwort sofort freischalten
        $user_stat = 1;
        $subject = _YA_REG_MAILMSG4 . " " . $uname;
        $message .= _YA_FOLLOWINGMEM . "\n\n";
        $message .= "  -" . _NICKNAME . ":\t " . $uname . "\n";
        $message .= "  -" . _PASSWORD . ":\t " . $mailpass . "\n";
        $message .= "  -" . _YADEMAIL . ":\t " . $email . "\n";
        $message .= $optmessage;
    } else if ($GLOBALS['vkpUserregoption'] == 2) {
        // / generiertes Passwort zusenden, Adminfreischaltung
        $user_stat = 0;
        $subject = $GLOBALS['sitename'] . " - " . _YA_REG_MAILSUB2 . " " . $uname;
        $message .= _YA_FOLLOWINGMEM . "\n\n";
        $message .= "  -" . _NICKNAME . ":\t " . $uname . "\n";
        $message .= "  -" . _YADEMAIL . ":\t " . $email . "\n";
        $message .= $optmessage . "\n\n" . _YA_REG_MAILMSG2;
    } else if ($GLOBALS['vkpUserregoption'] == 3) {
        // / eigenes Passwort, Aktivierungslink zusenden
        $user_stat = 0;
        $subject = _YA_REG_MAILMSG4 . " " . $uname; //Changed here for Password-Mail at Reg-Option 3
        $message .= _YA_FOLLOWINGMEM . "\n\n"; //Changed here for Password-Mail at Reg-Option 3
        $message .= "  -" . _NICKNAME . ":\t " . $uname . "\n"; //Changed here for Password-Mail at Reg-Option 3
        $message .= "  -" . _PASSWORD . ":\t " . $mailpass . "\n"; //Changed here for Password-Mail at Reg-Option 3
        $message .= "  -" . _YADEMAIL . ":\t " . $email . "\n"; //Changed here for Password-Mail at Reg-Option 3
        $message .= $optmessage;
    }

    $message .= "\n\n\n\n" . $GLOBALS['slogan'] . "\n-----------------------------------------------------------\n\n";
    $message .= MX_HOME_URL . "/modules.php?name=Your_Account";

    mxMail($email, mxHtmlEntityDecode($subject), mxHtmlEntityDecode($message), $GLOBALS['adminmail']);
    // mxDebugFuncvars($message);
    if ((!empty($sendaddmail)) && (!($GLOBALS['vkpUserregoption'] == 3))) {
        $subject = _NEWMEMBERON . " " . $GLOBALS['sitename'] . ": " . $uname;
        $message = "\n" . _NEWMEMBERON . " '" . $GLOBALS['sitename'] . "'\n\n";
        $message .= " - " . _NICKNAME . ":\t " . $uname . "\n";
        $message .= " - " . _YADEMAIL . ":\t " . $email . "\n\n";
        $message .= " - ip:\t\t " . MX_REMOTE_ADDR . ((MX_REMOTE_HOST) ? ' (' . MX_REMOTE_HOST . ')' : '') . "\n";
        $message .= " - " . _ON . ":\t\t " . mx_strftime("%d-%m-%Y %H:%M:%S", time()) . "\n\n";
        $message .= $optmessage;
        $message .= "\n-----------------------------------------------------------\n\n";
        $message .= _NEWMEMBERINFO . ": " . MX_HOME_URL . "/modules.php?name=Userinfo&uname=" . urlencode($uname) . "\n";
        $message .= _EDIT . ": " . MX_HOME_URL . "/admin.php?op=modifyUser&chng_uid=" . $uid . "&user_stat=" . $user_stat . "\n";
        mxMail($GLOBALS['adminmail'], mxHtmlEntityDecode($subject), mxHtmlEntityDecode($message), $GLOBALS['adminmail']);
    }
    // mxDebugFuncvars($message);exit;
}

/* private Nachricht an neuen Benutzer senden */
function YADsendnewuserpm($userdata)
{
    include("modules/Your_Account/config.php");
    // mxDebugFuncvars($userdata);
    if (@file_exists("modules/Your_Account/language/hello-" . $GLOBALS['currentlang'] . ".php")) {
        include_once("modules/Your_Account/language/hello-" . $GLOBALS['currentlang'] . ".php");
    } else {
        include_once("modules/Your_Account/language/hello-" . $msgdefaultlang . ".php");
    }
    $time = date("Y-m-d H:i");
    $subject = mxAddSlashesForSQL(mxHtmlEntityDecode(_HELLOSUBJECT1 . " " . $userdata['uname'] . ", " . _HELLOSUBJECT2 . " " . $GLOBALS['sitename']));
    $msg = mxAddSlashesForSQL(mxHtmlEntityDecode(_HELLOTEXT));
    // mxDebugFuncvars($msg);
    $qry = "INSERT INTO " . $GLOBALS['prefix'] . "_priv_msgs
            (msg_image, subject, from_userid, to_userid, msg_time, msg_text) VALUES
            ('" . $msgicon . "', '" . $subject . "', " . $msgadminid . ", " . $userdata['uid'] . ", '" . $time . "', '" . $msg . "')";
    $result = sql_query($qry);
    if (!$result) {
        mxErrorScreen(_YADDATABASEERROR . "Insert into priv.msg-table YA-DELETER");
        die();
    }
}
// // ENDPROTOTYPE

/* Was ist zu tun ? */
$op = (isset($_REQUEST['op'])) ? $_REQUEST['op'] : '';

switch ($op) {
    case "delete_selected_entrys":
        if ((isset($_POST['check_delete'])) && (!empty($_POST['check_delete']))) {
            $uid_array = $_POST['check_delete'];
            $counter = intval($_POST['counter']);
            $int_counter = intval($_POST['internal_counter']);
            delete_the_requested($counter, $int_counter, $uid_array);
        } else {
            if (!isset($_REQUEST['counter'])) {
                $counter = 0;
            } else {
                $counter = intval($_REQUEST['counter']);
            }
            viewthelist($counter);
        }
        break;

    case "resend_selected_entrys":
        if ((isset($_POST['check_delete'])) && (!empty($_POST['check_delete']))) {
            $uid_array = $_POST['check_delete'];
            $counter = intval($_POST['counter']);
            $int_counter = intval($_POST['internal_counter']);
            adminsendusermail($counter, $int_counter, $uid_array);
        } else {
            if (!isset($_REQUEST['counter'])) {
                $counter = 0;
            } else {
                $counter = intval($_REQUEST['counter']);
            }
            viewthelist($counter);
        }
        break;

    case "activate_selected_entrys":
        if ((isset($_POST['check_delete'])) && (!empty($_POST['check_delete']))) {
            $uid_array = $_POST['check_delete'];
            $counter = intval($_POST['counter']);
            $int_counter = intval($_POST['internal_counter']);
            adminactivateaccount($counter, $int_counter, $uid_array);
        } else {
            if (!isset($_REQUEST['counter'])) {
                $counter = 0;
            } else {
                $counter = intval($_REQUEST['counter']);
            }
            viewthelist($counter);
        }
        break;

    case "show_the_list":
    default :
        if (!isset($_REQUEST['counter'])) {
            $counter = 0;
        } else {
            $counter = intval($_REQUEST['counter']);
        }
        viewthelist($counter);
        break;
}

?>
