<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.14 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:04:58 $
 */

defined('mxMainFileLoaded') or die('access denied');

$mxblockcache = false;

$handle = @opendir('language');
if (!$handle) return;
while (false !== ($file = readdir($handle))) {
    if (preg_match("/^lang\-(.+)\.php/", $file, $matches)) {
        $linklist[$matches[1]] = ucwords(str_replace("_", " ", str_replace('german', 'deutsch', $matches[1])));
    }
}
closedir($handle);
ksort($linklist);

$to = basename($_SERVER['PHP_SELF']);
// / index.php ist auch php_self=modules.php, deswegen hier index.php verwenden, falls $name leer ist
if ($to == 'modules.php' && empty($_GET['name'])) {
    $to = 'index.php';
}
// sicherstellen, dass der Modulname am Anfang steht (nur Optik)
if (!empty($_GET['name'])) {
    $args[] = "name={$_GET['name']}";
}
// / die GET Parameter auslesen und (spter) zu einem String zusammensetzen
foreach($_GET as $key => $value) {
    // newlang und Modulname nicht nochmals anfgen
    if ($key != 'newlang' && $key != 'name') {
        $args[] = "{$key}={$value}";
    }
}
if (isset($args)) {
    $to .= '?' . implode('&amp;', $args) . '&amp;newlang=';
} else {
    $to .= '?newlang=';
}

$content = "" . _SELECTGUILANG . "<br /><br />";
if (empty($GLOBALS['useflags'])) {
    $content .= "<form action=\"index.php\" method=\"get\">";
    $content .= "<select name=\"newlanguage\" onChange=\"top.location.href=this.options[this.selectedIndex].value\">";
    foreach($linklist as $langu => $alt) {
        $sel = ($langu == $GLOBALS['currentlang']) ? "selected" : "";
        $content .= "<option value=\"" . $to . $langu . "\" " . $sel . ">" . $alt . "\n";
    }
    $content .= "</select></form>";
} else {
    $pre = "hspace=\"3\" vspace=\"3\"";
    foreach($linklist as $langu => $alt) {
        $content .= "<a href=\"" . $to . $langu . "\" title=\"" . $alt . "\">" . mxCreateImage("images/language/flag-" . $langu . ".png", $alt, 0, $pre) . "</a> ";
    }
}

?>