<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.10.2.2 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:11:51 $
 */

if (!defined("mxMainFileLoaded")) die ("You can't access this file directly...");

/**
 * -------------MODIFY HERE TO CUSTOMIZE THE MENU------
 */

/**
 * link to homepage (alternate: index.php )
 */
$homelink = './';
/**
 * Show link to adminmenue
 */
$showadminlink = 0;
/**
 * Sets mouseover color
 * example: $mouseOver = "#e8e8e8";
 */
$mouseOver = $GLOBALS['bgcolor1'];
/**
 * image path relative to public root
 */
$image1 = "images/menu/rarrow.gif";
/**
 * image path relative to public root
 */
$image2 = "images/menu/oarrow.gif";
/**
 * max. Number of charakters in Moduleslist
 */
$maxwordlen = 18;
/**
 * Heigth of the scrolling Layer for Moduleslist
 */
$listheigth1 = 0;
/**
 * allow to cache this Block
 */
$mxblockcache = false;
/**
 * Design im pragmaMx.org Stil anzeigen?  Wird evtl. von
 * der entsprechenden Themeeinstellung ($themePmxStyle) ueberschrieben!!
 */
$pmxStyle = false;
/**
 * Breite der Tabelle im pragmaMx.org Stil.  Wird evtl. von
 * der entsprechenden Themeeinstellung ($themePmxStyleWidth) ueberschrieben!!
 */
$pmxStyleWidth = '146px';

/**
 * ---------END-MODIFY HERE TO CUSTOMIZE THE MENU------
 */

global $prefix, $themePmxStyle, $themePmxStyleWidth;
$main_module = mxGetMainModuleName();

$thismodulblock = preg_replace('#^block-(.+)\.php$#', '\1', basename(__file__));

if (isset($themePmxStyle, $themePmxStyleWidth)) {
    $pmxStyle = $themePmxStyle;
    $pmxStyleWidth = $themePmxStyleWidth;
}

if ($pmxStyle) {
    $image1 = '';
    $image2 = '';
    $menuline = '<tr%s><td class="leftmenu">%s<a href="%s">%s</a></td></tr>';
} else {
    $image1 = mxCreateImage($image1, '~');
    $image2 = mxCreateImage($image2, '~');
    $menuline = '<tr%s><td>%s<a href="%s">%s</a></td></tr>';
}

$result = sql_query("SELECT title, custom_title FROM ${prefix}_modules WHERE active=1 AND main_id='" . $thismodulblock . "'");
while (list($mod_name, $custom_title) = sql_fetch_row($result)) {
    if ($mod_name == $main_module) {
        $sorter = '0';
        $custom_title = _HOME;
        $link = $homelink;
        $img = $image2;
    } else if (mxModuleAllowed($mod_name)) {
        $sorter = strtolower($custom_title);
        $custom_title = (empty($custom_title)) ? str_replace("_", " ", $mod_name) : $custom_title;
        $link = 'modules.php?name=' . urlencode($mod_name);
        $img = ($mod_name === MX_MODULE) ? $image2 : $image1;
    } else {
        continue;
    }
    $view_title = mxCutString($custom_title, $maxwordlen, "..", "");
    $titleattribut = ($custom_title === $view_title) ? '' : ' title="' . $custom_title . '"';
    $opti[$sorter] = sprintf($menuline, $titleattribut, $img, $link, $view_title);
}

$content = '';
if (isset($opti)) {
    ksort($opti, SORT_STRING);
    if ($pmxStyle) {
        $content .= ($listheigth1) ? '<div align="right" valign="middle" style="height: ' . $listheigth1 . 'px; overflow : auto;">' : '<div>';
        $content .= '<table align="center" cellpadding="0" cellspacing="0" style="width:' . $pmxStyleWidth . ';">';
    } else {
        $content .= ($listheigth1) ? '<div style="height: ' . $listheigth1 . 'px; overflow : auto;">' : '<div>';
        $content .= '<table border="0" cellpadding="1" cellspacing="0" width="100%">';
    }
    $content .= str_replace('alt="~" title="~"', 'alt=""', implode("\n", $opti));
    $content .= '</table></div>';
}

?>