<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.36 $
 * $Author: sitki $
 * $Date: 2008/01/12 12:31:26 $
 *
 * turkish language file, translated by:
 * Stk zkurt from www.akcaabat-acisu.com
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

defined('mxMainFileLoaded') or die('access denied');
// // Datestrings und locale Einstellungen:
define("_CHARSET", "ISO-8859-9");
if (PHP_OS == "WINNT" || PHP_OS == "WIN32") {
    define("_SETLOCALE", "tr");
} else {
    define("_SETLOCALE", "tr_TR.ISO-8859-9");
}

/*
 * Vorbehandlung der Zeitangabe fuer das Copyright in der Konstante _Z2
 *
 * Wenn das Jahr des Startdatum's identisch mit dem aktuellen Jahr ist
 * wird nur das aktuelle Jahr ausgegeben. Anderenfalls halt der
 * String "Startjahr - aktuelles Jahr"
 */
if (substr(htmlentities($startdate), -4) == date("Y")) {
    $copy_date = date('Y');
} else {
    $copy_date = substr(htmlentities($startdate), -4) . " - " . date('Y');
}

define("_DOC_LANGUAGE", "tr");
define("_DOC_DIRECTION", "ltr");
define("_DATESTRING", "%A, %d. %B %Y");
define("_DATESTRING2", "%A, %d. %B");
define("_XDATESTRING", "%A, %B %d @ %T %Z");
define("_SHORTDATESTRING", "%d.%m.%Y");
define("_XDATESTRING2", "%A, %B %d");
define("_SYS_INTERNATIONALDATES", 1); //0 = mm/dd/yyyy, 1 = dd/mm/yyyy
define("_SYS_TIME24HOUR", 1); // 1 = 24 hour time... 0 = AM/PM time
define("_SYS_WEEKBEGINN", 1); # the First Day in the Week: 0 = Sunday, 1 = Monday

/**
 * footer & disclaimer texts
 */
define("_Z1", "Bu sitedeki tm logo ve markalar sahip ve lisans i&#351;leticilerin mal&#305;d&#305;r.<br /> Ayr&#305;ca sorumluluktan ba&#287;&#305;&#351;&#305;kl&#305;k ge&#231;erlidir. Di&#287;er detaylar&#305; burada bulabilirsiniz <a href=\"modules.php?name=Impressum\">Knye</a>.");
define("_Z2", "Makaleler yazar&#305;n/yazarlar&#305;n fikri mlkiyetidir,<br />ba&#351;ka her &#351;ey &copy; " . $copy_date . " by <a href=\"" . MX_HOME_URL . "\">" . $GLOBALS['sitename'] . "</a>");
define("_Z3", "Bu web sitesi " . MX_VERSION . " e dayal&#305;.");
define("_Z4", "Bu sayfan&#305;n i&#231;erikleri <a href=\"backend.php?op=news\">RSS/RDF-Kaynakl&#305;</a> olarak mevcut.");
define("_YES", "Evet");
define("_NO", "Hay&#305;r");
define("_EMAIL", "E-Posta");
define("_SEND", "Gnder");
define("_SEARCH", "Ara");
define("_LOGIN", "Giri&#351;");
define("_WRITES", "bildirdi:");
define("_POSTEDON", "Tarih:");
define("_NICKNAME", "Kullanc Ad");
define("_PASSWORD", "&#350;ifre");
define("_WELCOMETO", "Hogeldiniz:");
define("_EDIT", "Deitir");
define("_DELETE", "Sil");
define("_POSTEDBY", "Gnderen");
define("_READS", "okunma");
define("_GOBACK", "[&nbsp;<a href=\"javascript:history.go(-1)\">Geri Dn</a>&nbsp;]");
define("_COMMENTS", "yorum");
define("_PASTARTICLES", "Ge&#231;mi&#351; Haberler");
define("_OLDERARTICLES", "Eski Haberler");
define("_BY", "Gnderen:");
define("_ON", "Tarih:");
define("_LOGOUT", "&#199;&#305;k&#305;&#351;");
define("_WAITINGCONT", "Bekleyen &#304;&#231;erik");
define("_SUBMISSIONS", "Haber");
define("_WREVIEWS", "&#304;nceleme");
// define("_WLINKS", "Ba&#287;lant&#305;");
define("_EPHEMERIDS", "Ge&#231;iciler");
define("_ONEDAY", "Tarihte Bugn...");
define("_ASREGISTERED", "Hala hesab&#305;n&#305;z yok mu? Hemen <a href=\"modules.php?name=Your_Account&op=new_user\">a&#231;abilirsiniz</a>. yemiz olarak tema se&#231;ebilme, yorum ayarlar&#305; ve isminizle yorum gnderme gibi avantajlara sahip olacaks&#305;n&#305;z.");
define("_MENUFOR", "Men:");
define("_NOBIGSTORY", "Bugn i&#231;in henz nemli bir haber yok.");
define("_BIGSTORY", "Gnn en &#231;ok okunan haberi:");
define("_SURVEY", "Anket");
define("_POLLS", "Anketler");
define("_PCOMMENTS", "Yorum:");
define("_RESULTS", "Sonu&#231;lar");
define("_HREADMORE", "devam&#305;...");
define("_CURRENTLY", "&#350;u an sitede");
define("_GUESTS", "ziyaret&#231;i ve");
define("_MEMBERS", "ye bulunuyor.");
define("_YOUARELOGGED", "Merhaba");
define("_YOUHAVE", "Sizin");
define("_PRIVATEMSG", "zel mesaj&#305;n&#305;z var.");
define("_YOUAREANON", "Kay&#305;tl&#305; de&#287;ilsiniz. <a href=\"modules.php?name=Your_Account&op=new_user\">Buraya</a> t&#305;klayarak cretsiz kay&#305;t olabilirsiniz.");
define("_NOTE", "Not:");
define("_ADMIN", "Editr:");
define("_WERECEIVED", "&#350;u ana kadar");
define("_PAGESVIEWS", "sayfa izlenimi ald&#305;k. Ba&#351;lang&#305;&#231;:");
define("_TOPIC", "Konu");
define("_TOPICS", "Konular");
define("_ALLTOPICS", "Btn Konular");
define("_ALL", "Tm");
// define("_UDOWNLOADS", "&#304;ndirme");
define("_VOTE", "Oy Ver");
define("_VOTES", "Toplam Oy");
define("_MVIEWADMIN", "&#304;zle: Sadece Editrler");
define("_MVIEWUSERS", "&#304;zle: Sadece Kay&#305;tl&#305; Kullan&#305;c&#305;lar");
define("_MVIEWANON", "&#304;zle: Sadece Anonim Kullan&#305;c&#305;lar");
define("_MVIEWALL", "&#304;zle: Tm Ziyaret&#231;iler");
define("_EXPIRELESSHOUR", "&#304;mha: 1 saat i&#231;inde");
define("_EXPIREIN", "&#304;mha:");
define("_HTTPREFERERS", "HTTP nerenler");
define("_UNLIMITED", "Limitsiz");
define("_HOURS", "Saat");
define("_RSSPROBLEM", "&#350;u an bu sitenin ba&#351;l&#305;klar&#305;nda problem var");
define("_SELECTLANGUAGE", "Dil Se&#231;in");
define("_SELECTGUILANG", "Arabirim Dilini Se&#231;in:");
define("_NONE", "Yok");
define("_BLOCKPROBLEM", "<center>&#350;u an bu blokta bir sorun var.</center>");
define("_BLOCKPROBLEM2", "<center>&#350;u an bu blo&#287;un i&#231;eri&#287;i yok.</center>");
define("_MODULENOTACTIVE", "zgnm, bu modl aktif de&#287;il!");
define("_NOACTIVEMODULES", "Pasif Modller");
define("_NOVIEWEDMODULES", "sakl&#305; Modller");
define("_FORADMINTESTS", "(Editr testleri i&#231;in)");
define("_BBFORUM", "Forumlar");
define("_ACCESSDENIED", "Eri&#351;im Engellendi");
define("_RESTRICTEDAREA", "K&#305;s&#305;tl&#305; bir alana ula&#351;maya &#231;al&#305;&#351;&#305;yorsunuz.");
define("_MODULEUSERS", "zgnz, sitemizin bu blm <i>sadece kay&#305;tl&#305; kullan&#305;c&#305;lar</i> i&#231;indir.<br /><br /><a href=\"modules.php?name=Your_Account&op=new_user\">Buraya</a> t&#305;klayarak cretsiz kay&#305;t olabilir, daha sonra<br />bu blme k&#305;s&#305;tlamalarla kar&#351;&#305;la&#351;madan eri&#351;ebilirsiniz. Te&#351;ekkrler.<br /><br />");
define("_MODULESADMINS", "zgnz, sitemizin bu blm <i>sadece editrler</i> i&#231;indir.<br /><br />");
define("_HOME", "Ana Sayfa");
define("_HOMEPROBLEM", "nemli bir sorunumuz var: Ana Sayfa yok!!!");
define("_ADDAHOME", "Ana Sayfaya bir Modl ekle");
define("_HOMEPROBLEMUSER", "&#350;u an ana sayfada bir sorun var. Ltfen daha sonra tekrar deneyin.");
define("_MORENEWS", "Devam&#305; Haberler Blmnde");
define("_ALLCATEGORIES", "Tm Kategoriler");
define("_CATEGORIES1", "Kategoriler");
define("_HELLO", "Merhaba");
define("_YACCOUNT", "Bilgilerim");
define("_SUBMITNEWS", "Haber Yolla");
define("_DATE", "Tarih");
define("_HOUR", "Saat");
define("_UMONTH", "Ay");
define("_YEAR", "Y&#305;l");
define("_YEARS", "Sene");
define("_JANUARY", "Ocak");
define("_FEBRUARY", "&#350;ubat");
define("_MARCH", "Mart");
define("_APRIL", "Nisan");
define("_MAY", "May&#305;s");
define("_JUNE", "Haziran");
define("_JULY", "Temmuz");
define("_AUGUST", "A&#287;ustos");
define("_SEPTEMBER", "Eyll");
define("_OCTOBER", "Ekim");
define("_NOVEMBER", "Kas&#305;m");
define("_DECEMBER", "Aral&#305;k");
define("_WEEKFIRSTDAY", "Pazar");
define("_WEEKSECONDDAY", "Pazartesi");
define("_WEEKTHIRDDAY", "Sal&#305;");
define("_WEEKFOURTHDAY", "&#199;ar&#351;amba");
define("_WEEKFIFTHDAY", "Per&#351;embe");
define("_WEEKSIXTHDAY", "Cuma");
define("_WEEKSEVENTHDAY", "Cumartesi");
define("_KALENDER1", "Takvim");
define("_WEBMASTERT", "Webmaster i&#231;in");
define("_TUTQUEST", "Kar&#305;&#351;&#305;k-Talimler");
define("_TUTGRAFICS", "Grafikler");
define("_GUESTBOOK", "Ziyaret&#231;i Defteri");
define("_MAIN", "Ba&#351;lang&#305;&#231;");
define("_SECTIONS", "Blmler");
define("_FAQ", "S.S.S.");
define("_SURVEYS", "Anketler");
define("_NEWSLETTER", "Blten");
define("_MEMBERSLIST", "ye Listesi");
define("_DOWNLOADS", "Dosyalar");
// define("_DOWNLOAD", "Dosyalar");
define("_WEBLINKS", "Web Ba&#287;lant&#305;lar&#305;");
define("_TERMS", "&#304;simler");
define("_TOP", "ba&#351;a dn");
define("_SITEUPDATE", "Site Yenilemesi");
define("_IMPRESSUM", "Knye");
define("_ECARDS", "e-kartlar&#305;");
define("_GALLERY", "Resim Galerisi");
define("_FORUM", "Forum");
define("_TOP10", "Top10");
define("_RECOMMEND", " Bu siteyi bir arkada&#351;&#305;na ner");
define("_WRITEREVIEW", "Test Yaz&#305;s&#305; Yaz");
define("_STATS", "Site istatistikleri");
define("_CALNOEVENTS", "Bugn i&#231;in bir etkinlik yok");
define("_HIP", "Web-Yenilikleri");
define("_WHO_IS_ONLINE", "Kim &#199;evrimi&#231;i");
define("_POINTS", "Puanlar");
define("_GRANKS", "Kullan&#305;c&#305; Puanlar&#305;");
define("_ALLMEMBERS", "Top10 Kullan&#305;c&#305;");
define("_TOPUSERPUNKTE", "En aktif kullan&#305;c&#305;lar");
define("_USERPUNKTE", " Kullan&#305;c&#305; Puanlar&#305; i&#231;in S.S.S.");
define("_USERPUNKTE1", "Kullan&#305;c&#305; Puanlar&#305;");
define("_SITECHANGE", "yukar&#305; numaraya:");
define("_DOWNS", "Dosyalar");
define("_TIMES", "* indirildi");
// define("_WEBLINKS", "Web Linkleri");
define("_TIMESL", "* ziyaret edildi");
define("_BANNED", "zgnz bir sre i&#231;in Siteden Bannland&#305;n&#305;z!<br /><br />Nedenini &#287;renmek i&#231;in Yetkili ki&#351;ilerle konta&#287;a ge&#231;in");
define("_VKPBENCH1", "Sayfa retimi ");
define("_VKPBENCH2", " Saniyede, ");
define("_VKPBENCH3", " Veritaban&#305; Sorgusuyla");
define("_ERRNOTOPIC", "Bir konu se&#231;melisiniz.");
define("_ERRNOTITLE", "Makale i&#231;in, bir ba&#351;l&#305;k belirtmeniz laz&#305;m.");
define("_ERRNOTEXT", "Bir metin yazmal&#305;s&#305;n&#305;z.");
define("_ERRNOSAVED", "zgnz, veriler kaydedilemedi.");
define("_RETURNACCOUNT", "Bilgilerim Sayfas&#305;na Geri Dn");
define("_GUESTBOOKVIEW", "Ki&#351;isel Ziyaret&#231;i Defterin");
// ...by downsize
define("_FORADMINGROUPS", "(group can not see)");
define("_GROUPRESTRICTEDAREA", "zgnz, bu web sitenin blmne eri&#351;im yetkiniz yok.");
define("_NOGROUPMODULES", "Grupsuz (Non-Group) Modlleri");
// / Adminblock
define("_AB_LOGOUT", "&#199;&#305;k&#305;&#351;");
define("_AB_SETTINGS", "Ayarlar");
define("_AB_MESSAGE", "Ynetici Mesajlar&#305;");
define("_AB_WEBRING", "Yeni Web halkalar&#305;");
define("_AB_EVENTS", "Yeni Etkinlikler");
define("_AB_PICTURES", "Yeni Resimler");
define("_AB_SUBMISSIONS", "Yeni Haberler");
define("_AB_WLINKS", "Yeni Ba&#287;lant&#305;lar");
define("_AB_UDOWNLOADS", "Yeni Dosyalar");
define("_AB_MODREQLINKS", "uyarlanm&#305;&#351; Ba&#287;lant&#305;lar");
define("_AB_BROKENLINKS", "k&#305;r&#305;k Ba&#287;lant&#305;lar");
define("_AB_MODREQDOWN", "uyarlanm&#305;&#351; Dosyalar");
define("_AB_BROKENDOWN", "k&#305;r&#305;k Dosyalar");
define("_AB_TITLEBAR", "Ynetici Mens");
define("_AB_NOWAITINGCONT", "Yeni Bir&#351;ey Yok");
define("_AB_RESETBCACHE", "Blok nbelle&#287;ini Bo&#351;alt");
define("_AB_NEWUSERS", "Yeni Kullan&#305;c&#305;");
define("_BMXPRINTER", "Yazd&#305;r&#305;labilir Sayfa");
define("_BMXFRIEND", "Bu Haberi bir ba&#351;kas&#305;na gnder");
define("_BMXBYTESMORE", "devam&#305;");
define("_ERR_YOUBAD", "Ge&#231;ersiz operasyon yapmay&#305; denediniz!");
define("_REMEMBERLOGIN", "Giri&#351;i hat&#305;rla");
define("_ADMINMENUEBL", "Ynetim");
define("_MXSITEBASEDON", "Bu web sitesi buraya dayal&#305;");
define("_NOBIRTHDAYS", "<br /><br />Bugn Hi&#231;bir<b> Kullan&#305;c&#305;m&#305;z&#305;n</b> Do&#287;umgn Yok!");
define("_USERSBIRTHDAY", "Do&#287;um Gnnz Kutlu Olsun!:");
define("_BIRTHDAYYEARS", "Ya&#351;&#305;nda");
define("_BIRTHDAYHAPPY", "&#304;yiki do&#287;dun");
// YA
define("_YA_MALE", "bay");
define("_YA_FEMALE", "bayan");
define("_YA_NOSEX", "belirtmek istemiyorum");
define("_YA_USEXUS", "Cinsiyet");
define("_YA_UBDAY", "Do&#287;umgn");
define("_YA_BYEAR", "Y&#305;l");
define("_YA_BMONTH", "Ay");
define("_YA_BDAY", "Gn");
define("_YA_BDAYERR1", "Ge&#231;ersiz Tarih");
define("_YA_BDAYERR2", "Belirtmek istemiyorum");
define("_YA_LASTONLINE", "Son ziyaret");
define("_YA_INGROUP", "Kullan&#305;c&#305; Grubu");
define("_YA_FOLLOWINGMEM", "Sonraki bilgiler sizden mevcut:");
define("_UNICKNAME", "Kullanc Ad");
define("_YA_REG_MAILMSG4", "Kullanc ifren");
define("_YA_REG_MAILMSG3", "Hesabnz onaylanmtr. Aadaki bilgilerle hemen giri yapabilirsiniz. Bilgilerinizi kullanc mennzde her zaman deitirebilirsiniz.");
define("_WEBMAIL", "E-Posta gnder");
define("_CONTRIBUTEDBY", "Haz&#305;rlayan");
define("_BBFORUMS", "Forumlar");
define("_NEWSFORMATTYPE", "Metin format&#305;");
define("_NEWSAUTOBREAK", "Metinlerde otomatik sat&#305;r bo&#351;lu&#287;u (&lt;br&gt;) ret?");
define("_BLK_MINIMIZE", "simge durumuna k&#231;lt");
define("_BLK_MAXIMIZE", "komple gster");
define("_BLK_HIDE", "gizle");
define("_BLK_BLOCK", "Blok");
define("_BLK_MESSAGE", "Mesaj");
define("_BLK_MYBLOCKS", "Bloklar&#305; konfigre et");
define("_BLK_EDITADMIN", "de&#287;i&#351;tir (Editr)");
define("_BLK_OPTIONS", "Blok Opsiyonlar&#305;");
define("_BLK_OPTIONSCLICK", "Buraya t&#305;kla, blok opsiyonlar&#305; ayarlamak i&#231;in.");
define("_ADM_MESS_DATEEXPIRE", "Tarih");
define("_ADM_MESS_TIMES", "Zaman sresi");
define("_ADM_MESS_DATESTART", "Ba&#351;lang&#305;&#231;-Tarihi");
define("_ADM_MESS_TODAY", "Bugn");
define("_DEFAULTGROUP", "Standart grup");
define('_YOURELOGGEDIN', 'Te&#351;ekkrler, kay&#305;t oldu&#287;unuz i&#231;in');
define("_YOUARELOGGEDOUT", "Sistemden &#231;&#305;kt&#305;n&#305;z.");
define('_CHANGESAREOK', 'De&#287;i&#351;iklikler kaydedildi.');
define('_CHANGESNOTOK', 'De&#287;i&#351;iklikler kaydedilemedi.');
define('_DELETEAREOK', 'Bilgiler silindi.');
define('_DELETENOTOK', 'Bilgiler silinemedi.');
define("_RETYPEPASSWD", "&#350;ifreyi tekrarla");
define("_REDIRECTMESS1", "Biraz bekleyin, hemen ynlendirileceksiniz...");
define("_REDIRECTMESS2", "Veya buraya t&#305;klay&#305;n, e&#287;er beklemek istemiyorsan&#305;z.");
define("_REDIRECTMESS3", "Ltfen bekleyin...");
// 0.15
define("_GUSERLOGIN", "Kullan&#305;c&#305;-Giri&#351;i");
define("_GREGNEWUSER", "Yeni Kullan&#305;c&#305; Kayd&#305;");
define("_GPASSWORDLOST", "&#350;ifrenizi mi kaybettiniz?");
// ab 0.1.6
define('_USERNAMENOTALLOWED', '&quot;%s&quot; kullan&#305;c&#305; ad&#305;n&#305; kullanamazs&#305;n&#305;z.'); // %s = sprintf()
define('_SYSINFOMODULES', 'Yklenmi&#351; modller ile ilgili bilgi');
define('_SYSINFOTHEMES', 'Yklenmi&#351; dizaynlar ile ilgili bilgi');
define("_ACCOUNT", "Kullan&#305;c&#305; Hesab&#305;n&#305;z");
// ab 0.1.7
define('_MAXIMALCHAR', 'maksimum');
define("_NEWSARTICLES", "Haber/Makale");
define("_SELECTPART", "Se&#231;enek");
// ab 0.1.9, Captcha System
define("_CAPTCHAWRONG", "Yanl&#305;&#351; Captcha sonucu");
define("_CAPTCHARELOAD", "Kontrol resmini gncelle&#351;tir");
define("_CAPTCHAINSERT", "Kontrol sonucu yukar&#305;daki resimden ykle:");
// ab 0.1.9
define("_ERROROCCURS", "Sonraki hatalar ortaya &#231;&#305;kt&#305;:");
define("_VISIT", "Ziyaret Et");
define("_NEWMEMBERON", "Yeni Kullanc Kayd");
define("_NEWMEMBERINFO", "Kullanc Bilgisi");
define("_STORIEARCHIVE", "Haber Ar&#351;ivi");
define("_MXFEEDBACK", "&#304;leti&#351;im");
define("_ADMINGALLERY", "Resim Galerisi");
define("_USERGUEST", "Kullan&#305;c&#305; Ziyaret&#231;i Defteri");
define("_EDITOR", "Wysiwyg-Editr");
define("_OPTIMIZE", "Veritaban&#305; Optimizasyonu");
// ab 0.1.10
define("_SUBMIT", "Gnder");
define("_GONEXT", "sonraki");
define("_GOPREV", "nceki");
define("_CONTENT", "&#304;&#231;erik");
define("_ENCYCLOPEDIA", "Ansiklopedi");
define("_USERSADMINS", "Yneticiler");
define("_USERSGROUPS", "Kullan&#305;c&#305; Gruplar&#305;");
define("_USERSMEMBERS", "kay&#305;tl&#305;&nbsp;Kullan&#305;c&#305;lar");
define("_USERSOTHERS", "Di&#287;erleri");
define("_ARTICLETOCATEGORY", "Haber bu kategoriye");
define("_ARTICLETOTOPIC", "Haber bu konuya");
define("_FILES", "Dosyalar");
define("_ACCOUNTACTIVATIONLINK", "Kullan&#305;c&#305; hesab&#305; Aktivasyon linki");
define("_YSACCOUNT", "Bilgilerim");
define("_NEWSSHORT", "Haberler");
define("_RESETPMXCACHE", "nbelle&#287;i bo&#351;alt");
define("_RESETPMXCACHEOK", "nbelle&#287;i bo&#351;alt&#305;ld&#305;.");

?>