<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.3.2.2 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:11:52 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 * Based on Journey Links Hack
 * Copyright (c) 2000 by James Knickelbein
 * Journey Milwaukee (http://www.journeymilwaukee.com)
 */

if (!defined("mxMainFileLoaded")) die ("You can't access this file directly...");

require("includes/captcha/settings.php");
$downloadson = (($downloadson) && ((!MX_IS_USER) || ((MX_IS_USER) && ($captchauseron))) && (!MX_IS_ADMIN)) ? 1 : 0;

function reportbroken($lid)
{
    global $prefix, $module_name, $pagetitle;
    if (!modCheckAndCleanSubdata($lid)) {
        mxRedirect('modules.php?name=' . $module_name);
    }

    $result = sql_query("SELECT lid, title FROM " . $prefix . "_downloads_downloads WHERE lid=" . intval($lid) . " AND cid > 0");
    list($lid, $title) = sql_fetch_row($result);
    // falls fehlerhafte lid uebergeben
    if (empty($lid)) {
        mxErrorScreen('download id ' . intval($lid) . ' not found...');
    }
    // Daten fuer header aufbereiten
    // $title = _REPORTBROKEN;
    $pagetitle = strip_tags($title . ', ' . _REPORTBROKEN);
    $pagesubmenu = modDetailsTopMenu($lid);
    // $pagesubtitle = _REPORTBROKEN;
    include('modules/' . $module_name . '/includes/header.php');
    OpenTable();
    echo '<h4 class="option">' . _REPORTBROKEN . '</h4>';
    echo '
    <form action="modules.php?name=' . $module_name . '&amp;op=view&amp;lid=' . $lid . '" method="post" name="bform" id="bform">
    <input type="hidden" name="name" value="' . $module_name . '">
    <input type="hidden" name="op" value="reportbrokensave">
    <input type="hidden" name="lid" value="' . $lid . '">
    <p>' . _THANKSBROKEN . '<br>' . _SECURITYBROKEN . '</p><br>';
    if ($GLOBALS['downloadson']) {
        include('includes/captcha/captcha_java.php');
        echo '
        <div><img id="captchaimage" src="includes/captcha/captchaimg.php?' . md5(crypt(uniqid(rand()))) . '" alt="' . _CAPTCHAINSERT . '"></div>
        ' . _CAPTCHAINSERT . ' <input type="text" name="captcha" value="" size="20" maxlength="20">
        <br><br><input type="button" value="' . _CAPTCHARELOAD . '" onClick="do_reload(); document.bform.captcha.focus(); return false;">
        &nbsp;&nbsp;
        ';
    }
    echo '<input type="submit" value="' . _REPORTBROKEN . '">
    </form>
    ';

    ?>
    <script language='JavaScript' type='text/javascript'>
        <!--
        document.bform.captcha.focus();
        //-->
    </script>
    <?php
    CloseTable();
    include('modules/' . $module_name . '/includes/footer.php');
}

function reportbrokensave()
{
    global $prefix, $module_name, $downnotify;

    $lid = (empty($_POST['lid'])) ? 0 : intval($_POST['lid']);
    $result = sql_query("select lid, url from " . $prefix . "_downloads_downloads where lid=" . intval($lid) . " AND cid > 0");
    $thisdata = sql_fetch_assoc($result);
    // falls fehlerhafte lid uebergeben
    if (empty($thisdata['lid'])) {
        mxErrorScreen('download id ' . intval($lid) . ' not found...');
        exit;
    }
    // captcha pruefen
    if (isset($GLOBALS['downloadson']) && $GLOBALS['downloadson']) {
        if (empty($_POST['captcha'])) {
            mxRedirect('modules.php?name=' . $module_name . '&amp;op=reportbroken&amp;lid=' . $lid, _CAPTCHAWRONG, 1);
        } else {
            require_once("includes/captcha/__captcha/PhraseFactory.php");
            $storedCaptcha = PhraseFactory::get('', $GLOBALS['passphraselenght'], $_POST['captcha'], $GLOBALS['storagetype']);
            if ($_POST['captcha'] !== $storedCaptcha) {
                mxRedirect('modules.php?name=' . $module_name . '&amp;op=reportbroken&amp;lid=' . $lid, _CAPTCHAWRONG, 2);
            }
        }
    }
    // falls Datei existiert, kommentarlos weitermachen...
    if (!preg_match('#://#', $url) && @is_file($thisdata['url'])) {
        mxRedirect('modules.php?name=' . $module_name . '&amp;op=view&amp;lid=' . $lid, _THANKSFORINFO, 1);
    }

    if (MX_IS_USER) {
        $cookie = mxGetUserSession();
        $modifysubmitter = $cookie[1];
    } else {
        $modifysubmitter = $GLOBALS['anonymous'];
    }
    $qry = "INSERT INTO " . $prefix . "_downloads_modrequest (lid, modifysubmitter, brokendownload)
            VALUES (
            " . intval($lid) . ",
            '" . mxAddSlashesForSQL($modifysubmitter) . "',
            1)";
    if (sql_query($qry)) {
        // mail an admin senden
        if ($downnotify) {
            $link = MX_HOME_URL . '/admin.php?op=DownloadsListBroken';
            $notify_message = mxHtmlEntityDecode("-- " . _DUSERREPBROKEN . " --\n" . $GLOBALS['notify_message'] . "\n\n========================================================\n" . $link . "\n\nat: " . strftime(_SHORTDATESTRING . ' %H:%M', time()) . "\nip/ip:" . MX_REMOTE_ADDR . "\nfrom: " . $modifysubmitter . "\n");
            mxMail($GLOBALS['notify_email'], mxHtmlEntityDecode($GLOBALS['notify_subject'] . ' (' . _MODUNAME . ')'), $notify_message, $GLOBALS['notify_from'], "text");
        }
        mxRedirect('modules.php?name=' . $module_name . '&amp;op=view&amp;lid=' . $lid, _THANKSFORINFO . '<br>' . _LOOKTOREQUEST . '<br>', 5);
    } else {
        mxErrorScreen('Database-Error');
    }
}

?>