<?php
/**
 * pragmaMx SMF Integration
 * Copyright by A.Ellsel (Andi) - http://pragmaMx.org
 * 
 * This program is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 * 
 * $Id: index.php,v 1.60 2008/06/17 17:55:00 tora60 Exp $
 */
// das globale Array fuer alle pragmaMx-spezifischen Variablen und Einstellungen initialisieren
global $mxsmf;
$mxsmf = array();

$mxsmf['forum_version'] = '1.1.5.1';
// ////////////////////////////////////////////////////////////////////////////////
// ACHTUNG!! wird automatisch aus dem CVS-Header generiert !
@ $subrelease = "\$Id: index.php,v 1.60 2008/06/17 17:55:00 tora60 Exp $";
@ preg_match('#v ([0-9\.]{2,})\s([0-9]{4})/([0-9]{1,2})/([0-9]{1,2})#', $subrelease, $regs);
@ $mxsmf['bridge_version'] = "$regs[1]/$regs[2]-$regs[3]-$regs[4]";
unset ($subrelease, $regs);
// ////////////////////////////////////////////////////////////////////////////////
// TODO: smfstylereset zum loeschen der dynamischen css Datei noch im Adminmenue unterbringen
// ////////////////////////////////////////////////////////////////////////////////////////////////////
// Achtung, standallone Login!!
// Um sich im standallone-Forum einzuloggen muss
// - in der memberstabelle das Feld 'passwordSalt' leer sein
// - in der memberstabelle das Feld 'passwrd' das md5-verschluesselte Passwort enthalten
// - in der config.php der Bridge, die Variable $mxsmf['allow_standallone_login'] auf 1 gestellt sein
// ////////////////////////////////////////////////////////////////////////////////////////////////////

// nur zur Entwicklung...
#error_reporting(E_ALL);
// die pragmaMx spezifischen Einstellungen laden
require_once(dirname(__FILE__) . '/config.php');
// Load the settings...
// bereits hier, um anschliessend die Einstellungen an das mx anzupassen
if (!@include_once($mxsmf['boarddir'] . '/Settings.php')) {
    die('Error: false path for SMF core files, or Settings.php is corrupted.');
}
// die pragmaMx spezifischen Funktionen laden
require_once(dirname(__FILE__) . '/mx_functions.php');
// In den Funktionen zum automatischen User und Gruppenabgleich darf die SMF-Berechtigung dazu,
// nicht ueberprueft werden. Mit dieser Konstante wird die Funktion isAllowedTo() uebergangen.
$mxsmf['skip_isAllowedTo'] = false;
// falls das Forum frisch installiert, aber der Port noch nicht installiert ist,
// kann/muss das Forum noch direkt aufgerufen werden
if (!defined("mxMainFileLoaded")) {
    define('PRAGMA_SMF_STARTUP', true); 
    // den eigentlichen SMF-Ordner aus Pfad entfernen
    ob_start();
    $boardurl = preg_replace('#/' . preg_quote($mxsmf['boardsubfolder'], '#') . '$#', '', $boardurl); 
    // Das Theme auf das SMF-Standardtheme einstellen
    // TODO: das muss aber noch verbessert werden, falls dies nicht erlaubt ist..
    $_GET['theme'] = 1; 
    // falls es der Loginvorgang aus dem maintenance Modus ist, das eingegebene Passwort md5 verschluesseln,
    // weil in der Forentabelle das sha1 verschluesselte md5-Passwort vom pragmaMx gespeichert ist
    if (isset($_POST['user']) && isset($_POST['cookielength']) && (!empty($_POST['passwrd'])) && $_GET['action'] === 'login2' && $mxsmf['allow_standallone_login']) {
        $_POST['passwrd'] = md5($_POST['passwrd']);
        $_REQUEST['passwrd'] = md5($_REQUEST['passwrd']);
        $_REQUEST['user'] = $_POST['user']; // zur Sicherheit, wegen dem bloeden Nuke-Cookie
        unset($_REQUEST['hash_passwrd'], $_POST['hash_passwrd']);
        $temp_xcvbn = 0; 
        // Passwort vorher bereits pruefen
        if (!preg_match('~[<>&"\'=\\\]~', $_POST['user'])) { // No funky symbols either.
            $qry = "SELECT ID_MEMBER FROM {$db_prefix}members WHERE memberName = '" . substr($_POST['user'], 0, 25) . "' AND passwd='" . $_POST['passwrd'] . "' LIMIT 1";
            $temp_db_connection = @mysql_connect($db_server, $db_user, $db_passwd);
            if ($temp_db_connection) {
                if (mysql_select_db($db_name, $temp_db_connection)) {
                    $result = mysql_query($qry);
                    list($temp_xcvbn) = mysql_fetch_row($result);
                } 
                unset($qry, $result);
            } 
        } 
        if ($temp_xcvbn) {
            // define('PRAGMA_SMF_FRESH_STANDALLONE_LOGGED_IN_ID', $temp_xcvbn);
        } else {
            // wenn das Passwort falsch, dieses einfach nochmal md5en
            $_POST['passwrd'] = md5($_POST['passwrd']);
            $_REQUEST['passwrd'] = md5($_REQUEST['passwrd']);
        } 
        unset($temp_xcvbn);
        if (isset($temp_db_connection) && is_resource($temp_db_connection)) {
            mysql_close($temp_db_connection);
            unset($temp_db_connection);
        } 
    } 
    // print '<pre>';
    // print_r($GLOBALS); exit;
    // print_r($user_settings);
    // print '</pre>';
    // die eigentliche Forumsdatei includen
    require($mxsmf['boarddir'] . '/index.php');

    $smfContent = ob_get_clean(); 
    // die Generierung des hashPasswortes per Javascript verhindern, damit das Login mit dem md5-Passwort funktioniert
    $smfContent = preg_replace('#<script[^>]*sha1.js[^>]*>[^>]*</script>#is', '', $smfContent);
    $smfContent = preg_replace('#\s*onsubmit\s*=\s*["\']hash[[:alnum:]]*Password\s*\([^)]*\)\s*;*["\']\s*#is', '', $smfContent); 
    // den generierten Quelltext ausgeben ;)
    echo $smfContent; 
    // 
    // if (defined('PRAGMA_SMF_FRESH_STANDALLONE_LOGGED_IN_ID')) {
    // $qry = "UPDATE {$db_prefix}members SET passwd='".$_POST['passwrd']."' WHERE ID_MEMBER = ".intval(PRAGMA_SMF_FRESH_STANDALLONE_LOGGED_IN_ID)."";
    // mysql_query($qry);
    // }
    // nach dem Include, das script beenden
    exit;
} 

// check ob die verwendete pragmaMx Version korrekt ist
if (!class_exists('pmxHeader')) {
    mxErrorScreen('Error: this pragmaMx SMF-bridge requires pragmaMx 0.1.10 or higher.', 'SMF-bridge ' . $mxsmf['forum_version']);
} 
// erst hier die Konstante definieren, mit der die pragmaMx-spezifischen Aenderungen in den SMF-Datein wirksam werden
if (!defined('SMF_IN_PRAGMAMX'))
    define('SMF_IN_PRAGMAMX', 1);

// die Superglobals fuer das SMF mit den unbehandelten Werten belegen.
// umgeht also die Funktion mxSecureValue()
if (isset($_MX_UNCLEAN_GET) && !isset($_REQUEST['_MX_UNCLEAN_GET'])) {
    $_GET = $_MX_UNCLEAN_GET;
    $_POST = $_MX_UNCLEAN_POST;
    $_COOKIE = $_MX_UNCLEAN_COOKIE;
    $_FILES = $_MX_UNCLEAN_FILES;
} 
// versch. Servervariablen fixen, wenn mod_rewrite aktiviert ist
if (empty($_SERVER['QUERY_STRING'])) {
    // falls QUERY_STRING leer ist, diesen neu aufbauen
    // sicherstellen, dass name im Querystring
    $newget['name'] = $mxsmf['module_name'];
    foreach($_GET as $key => $value) {
        $newget[$key] = $key . '=' . $value;
    } 
    $_SERVER['QUERY_STRING'] = implode('&', $newget);
    unset($newget, $key, $value);
} 
if (isset($_SERVER['REQUEST_URI'])) {
    // REQUEST_URI ist immer vorhanden, weil in der mx-baseconfig definiert
    $req1 = @parse_url($_SERVER['REQUEST_URI']); 
    // wenn eine mod_rewrite-URL
    if (@basename($req1['path']) != 'modules.php') {
        $_SERVER['REQUEST_URI'] = MX_BASE_URI . '/modules.php?' . $_SERVER['QUERY_STRING'];
    } 
    unset($req1);
} 
if (!isset($_SERVER['REQUEST_URL'])) {
    $_SERVER['REQUEST_URL'] = MX_HOME_URL . '/modules.php?' . $_SERVER['QUERY_STRING'];
} 
// ueberschreiben von bestimmten Grundeinstellungen aus der Settings.php
$boardurl = preg_replace('#/' . preg_quote($mxsmf['boardsubfolder'], '#') . '$#', '', $boardurl) . '/' . $mxsmf['boardsubfolder'];
$boarddir = $mxsmf['boarddir']; # The absolute path to the forum's folder. (not just '.'!)
$sourcedir = realpath($mxsmf['boarddir'] . '/Sources'); # Path to the Sources directory.
$webmaster_email = $GLOBALS['adminmail']; # Email address to send emails from. (like noreply@yourdomain.com.)
$cookiename = 'mxSMFCookie'; # Name of the cookie to set for authentication. (not used in mx)

/* verschiedene Grundeinstellungen:*/
// versch. Variablen hier global initialisieren
// die werden spaeter in mxSmf_preLoad() endgueltig belegt um Fehler zu vermeiden
if (!isset($db_connection)) $db_connection = $dbi;
// if (!isset($modSettings))   $modSettings = array();
if (!isset($db_count)) $db_count = 0;
// User-ID zur Initialisierung auf 0 setzen
// TODO: evtl wegen Konflikten zwischenspeichern?
$ID_MEMBER = 0;

mxSmf_loadConstants();
// diesen Wert beim setzen der Berechtigung verwenden, anstatt PRAGMA_SMF_GROUP_GLOBALMOD
$mxsmf['group_admin_or_moderator'] = ($mxsmf['admingoups_as_admin']) ? PRAGMA_SMF_GROUP_ADMINISTR : PRAGMA_SMF_GROUP_GLOBALMOD;
// nicht irritieren lassen, DEFAULT_NEW_MX_GROUP ist nur ein zufaelliger String, keine Konstante !!
$smfdefaultgroups['DEFAULT_NEW_MX_GROUP']['onlineColor'] = '#660099';
$smfdefaultgroups['DEFAULT_NEW_MX_GROUP']['minPosts'] = '-1';
$smfdefaultgroups['DEFAULT_NEW_MX_GROUP']['stars'] = '3#star.gif';

$smfdefaultgroups[PRAGMA_SMF_GROUP_ADMINISTR] = array('ID_GROUP' => PRAGMA_SMF_GROUP_ADMINISTR, 'groupName' => 'Administrator', 'onlineColor' => '#FF0000', 'minPosts' => -1, 'stars' => '5#staradmin.gif', 'mx_group' => 0);
$smfdefaultgroups[PRAGMA_SMF_GROUP_GLOBALMOD] = array('ID_GROUP' => PRAGMA_SMF_GROUP_GLOBALMOD, 'groupName' => 'Global Moderator', 'onlineColor' => '#0000FF', 'minPosts' => -1, 'stars' => '5#stargmod.gif', 'mx_group' => 0);
$smfdefaultgroups[PRAGMA_SMF_GROUP_MODERATOR] = array('ID_GROUP' => PRAGMA_SMF_GROUP_MODERATOR, 'groupName' => 'Moderator', 'onlineColor' => '#006600', 'minPosts' => -1, 'stars' => '5#starmod.gif', 'mx_group' => 0);

$smfoutputcleaned = false;
// die allerwichtigsten Datenbankaenderungen fuer den Betrieb als Modul checken und ggf. aendern
if (MX_IS_ADMIN) {
    // wenn das, fuer das mx zusaetzlich benoetigte Feld, mx_group nicht vorhanden ist, dieses an Tabelle anfuegen
    $GLOBALS['mxSkipSqlDetect'] = true;
    $result = sql_query("SHOW FIELDS FROM `{$db_prefix}membergroups` LIKE 'mx_group'");
    list ($mx_group_field) = mysql_fetch_row($result);
    if (empty($mx_group_field)) {
        sql_query("ALTER TABLE `{$db_prefix}membergroups` ADD `mx_group` INT( 10 ) DEFAULT '0' NOT NULL");
        sql_query("ALTER TABLE `{$db_prefix}membergroups` ADD INDEX mx_group( `mx_group` )"); 
        // GAANZ wichtig, dass die pragmaMx-Initialisierung am Anfang der Bridge ueberhaupt durchgefuehrt wird
        sql_query("REPLACE INTO `{$db_prefix}settings` ( `variable` , `value` ) VALUES ('integrate_pre_load', 'mxSmf_preLoad')");
    } 
    unset($mx_group_field, $result);
} 
// beim includen der Security.php bricht das script mit einem Fehler, weil die Funktion is_admin() bereits vorhanden ist
// dies ist aber nur der Fall, wenn der mx-Port noch nicht installiert ist und das Forum als Modul aufgerufen wird
// Ist alles ok, dann wird hier die Fehlermeldung, die in der index.php der Bridge ausgegeben wird, geloescht
// und alles geht normal weiter
ob_start();
echo '<h3>pragmaMx-SMF Integration is not installed</h3>&nbsp;&nbsp;&nbsp;[ <a href="' . MX_BASE_URL . 'modules.php?name=' . $mxsmf['module_name'] . '&amp;file=setup"><b>Install</b></a> or <a href="http://www.pragmamx.org/Forum-topic-17278.html" target="_blank">Information</a> ]<br/><br/><br/><br/><br/><br/><br/><br/><br/>';
// Hier jetzt endlich die index.php des Forums includen
require($mxsmf['boarddir'] . '/index.php');
// in manchen Situationen gibt das smf auch Meldungen vor der eigentlichen HTML-Ausgabe aus,
// diese werden dann nicht durch mxSmf_display() behandelt, z.B. bei theme_dir_wrong
// Im pragmaMx wird auf jeden Fall der output gepuffert, ist also hier immernoch verfuegbar
// wenn also die Sprachdatei fuer Fehler geladen wurde, sicherheitshalber den Output nochmal checken...
// Das Ganze wird auch bei den Hilfepopups benoetigt...
$smfContent = ob_get_contents();
if ($smfContent && (isset($txt['theme_dir_wrong']) || !$smfoutputcleaned)) {
    ob_clean();
    echo mxSmfPrepareStylesheet(mxSmfPrepareOutput($smfContent));
} 
unset($smfContent);
// Clear out the stat cache.
trackStats();
// Call obExit specially; we're coming from the main area ;).
// obExit(false, false, true);

?>