<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.5 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:15:56 $
 *
 * this file based on:
 * My_eGallery
 * Copyright (c) 2001 by ~ MarsIsHere ~ (marsishere@yahoo.fr), http://www.marsishere.net
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

defined('mxMainFileLoaded') or die('access denied');
function format_filesize($size)
{
    if ($size < 1024) {
        return number_format($size, 0) . ' bytes';
    } elseif ($size < 1024 * 1024) {
        return number_format(($size / 1024), 0) . ' KB';
    } elseif ($size < 1024 * 1024 * 1024) {
        return number_format(($size / (1024 * 1024)), 0) . ' MB';
    } elseif ($size < 1024 * 1024 * 1024 * 1024) {
        return number_format(($size / (1024 * 1024 * 1024)), 0) . ' GB';
    }
}

?>
