<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.4.2.4 $
 * $Author: tora60 $
 * $Date: 2007/12/30 02:18:21 $
 *
 * this file based on:
 * My_eGallery
 * Copyright (c) 2001 by ~ MarsIsHere ~ (marsishere@yahoo.fr), http://www.marsishere.net
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

if (!defined("mxMainFileLoaded")) die ("You can't access this file directly...");
if (isset($_REQUEST['basepath']) || isset($_REQUEST['adminpath'])) {
    Header("Location: index.php");
    die();
}

function displayIconCat($row)
{
    global $baseurl, $gallerypath, $font, $admin, $user, $galleryvar, $imagepath ;

    $imgsize = @getimagesize("$gallerypath/$row[galloc]/$row[gallimg]");
    If ($galleryvar['displayMainCatIcon']) {
        if ($row['visible'] == 1) {
            if (MX_IS_ADMIN || MX_IS_USER) {
                return "<a class=\"" . $font['normal'] . "\" href=\"" . $baseurl . "&amp;do=showgall&amp;gid=" . $row['gallid'] . "\">"

                 . "<img src=\"" . $gallerypath . "/" . $row['galloc'] . "/" . $row['gallimg'] . "\" alt=\"" . $row['gallname'] . "\" {$imgsize[3]} border=\"0\">"

                 . "</a>";
            } else {
                return "<img src=\"" . $gallerypath . "/" . $row['galloc'] . "/" . $row['gallimg'] . "\" alt=\"" . $row['gallname'] . "\" {$imgsize[3]} border=\"0\">";
            }
        } else {
            return "<a class=\"" . $font['normal'] . "\" href=\"" . $baseurl . "&amp;do=showgall&amp;gid=" . $row['gallid'] . "\">"

             . "<img src=\"" . $gallerypath . "/" . $row['galloc'] . "/" . $row['gallimg'] . "\" alt=\"" . $row['gallname'] . "\" {$imgsize[3]} border=\"0\">"

             . "</a>";
        }
    } elseif (!$galleryvar['displayMainCatIcon']) {
        if ($row['visible'] == 1) {
            if (MX_IS_ADMIN || MX_IS_USER) {
                return "<a class=\"" . $font['normal'] . "\" href=\"" . $baseurl . "&amp;do=showgall&amp;gid=" . $row['gallid'] . "\">"

                 . "<img src=\"" . $imagepath . "/folder.gif\" alt=\"" . $row['gallname'] . "\" border=\"0\">"

                 . "</a>";
            } else {
                return "<img src=\"" . $imagepath . "/folder.gif\" alt=\"" . $row['gallname'] . "\" border=\"0\">";
            }
        } else {
            return "<a class=\"" . $font['normal'] . "\" href=\"" . $baseurl . "&amp;do=showgall&amp;gid=" . $row['gallid'] . "\">"

             . "<img src=\"" . $imagepath . "/folder.gif\" alt=\"" . $row['gallname'] . "\" border=\"0\">"

             . "</a>";
        }
    }
}

function displayDescriptionCat($row)
{
    global $font;

    return "<font class=\"" . $font['normal'] . "\">" . nl2br($row['description']) . "</font>";
}

function displayCatName($row)
{
    global $imagepath, $font, $baseurl, $admin, $user, $adminurl;

    $vis = "";

    if (!isset($row['new_day'])) {
        $row['new_day'] = 0;
    }

    if ($row['visible'] == 1 && !MX_IS_USER)

        $vis = "<font class=\"" . $font['tiny'] . "\">(*)</font>";

    if (MX_IS_ADMIN) {
        switch ($row['visible']) {
            case 0:

                $vis = "&nbsp;<a class=\"" . $font['title'] . "\" href=\"" . $adminurl . "&amp;do=editcategory&amp;type=status&amp;visible=1&amp;category=" . $row['gallid'] . "\" title=\"" . _GALVISIBLEADMIN . "\"><img src=\"" . $imagepath . "/red_dot.gif\" border=\"0\" width=\"10\" height=\"10\" alt=\"" . _GALVISIBLEADMIN . "\"></a>&nbsp;";

                break;

            case 1:

                $vis = "&nbsp;<a class=\"" . $font['title'] . "\" href=\"" . $adminurl . "&amp;do=editcategory&amp;type=status&amp;visible=2&amp;category=" . $row['gallid'] . "\" title=\"" . _GALVISIBLEMEMBER . "\"><img src=\"" . $imagepath . "/yellow_dot.gif\" border=\"0\" width=\"10\" height=\"10\" alt=\"" . _GALVISIBLEMEMBER . "\"></a>&nbsp;";

                break;

            default:

                $vis = "&nbsp;<a class=\"" . $font['title'] . "\" href=\"" . $adminurl . "&amp;do=editcategory&amp;type=status&amp;visible=0&amp;category=" . $row['gallid'] . "\" title=\"" . _GALVISIBLEPUBLIC . "\"><img src=\"" . $imagepath . "/green_dot.gif\" border=\"0\" width=\"10\" height=\"10\" alt=\"" . _GALVISIBLEPUBLIC . "\"></a>&nbsp;";

                break;
        }
    }

    if ($row['visible'] == 1 && !MX_IS_USER && !MX_IS_ADMIN) // hier total angegeben =$row['total']
        $out = "<font class=\"" . $font['title'] . "\">" . underscoreTospace($row['gallname']) . "</font><font class=\"content\">(" . $row['total'] . ") " . $vis . "</font>";

    else

        $out = "<a class=\"" . $font['title'] . "\" href=\"" . $baseurl . "&amp;do=showgall&amp;gid=" . $row['gallid'] . "\">" . underscoreTospace($row['gallname']) . "</a><font class=\"content\">(" . $row['total'] . ") " . $vis . "</font>";

    if ($row['new_day'] == 0) {
        $out .= " <img src=\"" . $imagepath . "/newred.gif\" border=\"0\" width=\"34\" height=\"14\" alt=\"" . _GALNEWMEDIA1 . "\">";
    } elseif ($row['new_day'] < 3) {
        $out .= " <img src=\"" . $imagepath . "/newgreen.gif\" border=\"0\" width=\"34\" height=\"14\" alt=\"" . sprintf(_GALNEWMEDIA2, $row['new_day']) . "\">";
    } elseif ($row['new_day'] < 7) {
        $out .= " <img src=\"" . $imagepath . "/newblue.gif\" border=\"0\" width=\"34\" height=\"14\" alt=\"" . sprintf(_GALNEWMEDIA2, $row['new_day']) . "\">";
    }

    return $out;
}

function navigationSubCat($row)
{
    global $baseurl, $bgcolor1, $bgcolor2, $admin, $prefix, $dbi, $font;
    // $userRank = getUserRank();
    // $result = sql_query("SELECT gallid, gallname FROM gallery_categories WHERE parent=$row[gallid] AND visible>=$userRank");
    if (MX_IS_ADMIN)

        $result = sql_query("SELECT gallid, gallname FROM " . $prefix . "_gallery_categories WHERE parent=" . intval($row['gallid']) . " AND visible>=0 ORDER by gallname", $dbi);

    else

        $result = sql_query("SELECT gallid, gallname FROM " . $prefix . "_gallery_categories WHERE parent=" . intval($row['gallid']) . " AND visible>0 ORDER by gallname", $dbi);

    if (!sql_num_rows($result, $dbi)) {
        return;
    }

    $c = false;

    $out = "<table border=\"0\" cellpadding=\"0\" cellspacing=\"0\">"

     . "<tr><td>";

    while ($row = sql_fetch_array($result, $dbi)) {
        if ($c) {
            $out .= ", ";
        }

        $out .= "<a class=\"" . $font['title'] . "\" href=\"" . $baseurl . "&amp;do=showgall&amp;gid=" . $row['gallid'] . "\">" . $row['gallname'] . "</a>";

        $c = true;
    }

    $out .= "</td></tr></table>";

    return $out;
}

function viewcats()
{
    global $galleryvar, $basepath, $adminpath, $admin, $user, $prefix, $dbi;

    include ("$adminpath/config.php");

    $sql = sql_query("SELECT templateCategory, templateCSS FROM " . $prefix . "_gallery_template_types WHERE id=" . $galleryvar['maintemplate'] . "", $dbi);

    $trow = sql_fetch_array($sql, $dbi);

    if (MX_IS_ADMIN)

        $result = sql_query("SELECT *, (TO_DAYS(NOW()) - TO_DAYS(lastadd)) AS new_day FROM " . $prefix . "_gallery_categories WHERE parent=-1 AND visible>=0 ORDER BY gallname", $dbi);

    else

        $result = sql_query("SELECT *, (TO_DAYS(NOW()) - TO_DAYS(lastadd)) AS new_day FROM " . $prefix . "_gallery_categories WHERE parent=-1 AND visible>0 ORDER BY gallname", $dbi);

    $res = sql_fetch_array(sql_query("SELECT count(*) as total FROM " . $prefix . "_gallery_categories WHERE parent=-1 AND visible=1", $dbi), $dbi);

    $nb = sql_num_rows($result);

    if ($nb >= $galleryvar['numColMain']) {
        $pc = 100 / $galleryvar['numColMain'];
    } else {
        if ($nb > 0) {
            $pc = 100 / $nb;

            $galleryvar['numColMain'] = $nb;
        } else {
            $pc = 100;

            $galleryvar['numColMain'] = 1;
        }
    }
    // Start Of Output
    galleryHeader();

    OpenTable();

    echo "<br>" . navigationGall() . "<br><table border=\"0\" width=\"100%\" cellpadding=\"2\"><tr>";

    $c = 0;

    while ($row = sql_fetch_array($result, $dbi)) {
        if ($row['lastadd'] == "0000-00-00") {
            $row['new_day'] = '8'; #Wenn lAstadd nicht gesetzt, dann grer 7 Tage damit kein new-botton angezeigt wird
        }

        $template = $trow['templateCategory'];

        $template = str_replace("<:IMAGE:>", displayIconCat($row), $template);

        $template = str_replace("<:GALLNAME:>", displayCatName($row), $template);

        $template = str_replace("<:DESCRIPTION:>", displayDescriptionCat($row), $template);

        $template = str_replace("<:SUBCATEGORIES:>", navigationSubCat($row), $template);

        echo "<td align=\"center\" valign=\"top\" width=\"" . $pc . "%\">" . $template . "</td>";

        $c++;

        if ($c == $galleryvar['numColMain'] &$nb != $galleryvar['numColMain']) {
            echo "</tr><tr>";

            $c = 0;
        }
    }

    echo "</tr>"

     . "<tr><td colspan=\"" . $galleryvar['numColMain'] . "\" align=\"center\"><br>";

    if ($galleryvar['displaySearchForm']) {
        include("" . $basepath . "/public/search.php");

        echo search_form($_POST);
    }

    if ($res['total'] > 0 && !MX_IS_USER) {
        echo "<font class=\"" . $font['tiny'] . "\"><i>" . _GALCATMEMBERS . "</i></font>";
    }

    echo "</td></tr></table>";

    CloseTable();

    galleryFooter();
}

?>
