<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.14 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:04:58 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

defined('mxMainFileLoaded') or die('access denied');

if (!isset($_REQUEST['sid'])) {
    include(dirname(__FILE__) . '/index.php');
    exit();
}

$module_name = basename(dirname(__FILE__));
mxGetLangfile($module_name);
include_once(PMX_SYSTEM_DIR . "/mxNewsFunctions.php");

$sid = intval($_REQUEST['sid']);
$result = sql_query("select title, time, hometext, bodytext, topic, notes from ${prefix}_stories where sid=" . $sid . "");
list($title, $time, $hometext, $bodytext, $topic, $notes) = sql_fetch_row($result);
$result2 = sql_query("select topictext from " . $prefix . "_topics where topicid=" . intval($topic) . "");
list($topictext) = sql_fetch_row($result2);
$time = formatTimestamp($time);
/**
 * sicherstellen, dass der Seitentitel keine Tags enthlt und Sonderzeichen nicht zerstckelt werden
 */
$title = strip_tags(str_replace('&nbsp;', ' ', $title));

echo "
<!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\"
	\"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">
<html><head>
<meta http-equiv=\"Content-Type\" content=\"text/html; charset=" . _CHARSET . "\" />
<meta http-equiv=\"content-language\" content=\"" . _DOC_LANGUAGE . "\" />
<title>" . $title . "</title>
</head>
<body bgcolor=\"#FFFFFF\" text=\"#000000\" link=\"#000080\" vlink=\"#000080\" alink=\"#000080\">
<center>
<table border=\"0\" width=\"640\" cellpadding=\"0\" cellspacing=\"1\" bgcolor=\"#000000\"><tr><td>
<table border=\"0\" width=\"640\" cellpadding=\"20\" cellspacing=\"1\" bgcolor=\"#FFFFFF\"><tr><td>
<center>";
if (file_exists("images/" . $site_logo . ""))
    echo "<img src=\"images/" . $site_logo . "\" border=\"0\" alt=\"" . $sitename . "\" /><br /><br />";
echo "
<div class=\"content\"><b>" . $title . "</b></div><br />
<div class=tiny><b>" . _PDATE . "</b> $time<br /><b>" . _PTOPIC . "</b> $topictext</div><br />
</center>
<div class=\"content\">
$hometext<br /><br />
$bodytext<br /><br />
$notes<br /><br />
</div>
</td></tr></table></td></tr></table>
<br /><br />
<div class=\"content\">
" . _COMESFROM . " " . $sitename . "<br />
<a href=\"" . MX_BASE_URL . "\">" . MX_BASE_URL . "</a><br /><br />
" . _THEURL . "<br />
<a href=\"" . MX_BASE_URL . "modules.php?name=News&amp;file=article&amp;sid=$sid\">" . MX_BASE_URL . "modules.php?name=News&amp;file=article&amp;sid=$sid</a>
</div>
</center>
</body>
</html>
";

?>