<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.7.2.2 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:11:52 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 * Base on Reviews Addon
 * Copyright (c) 2000 by Jeff Lambert (jeffx@ican.net) http://www.qchc.com
 * More scripts on http://www.jeffx.qchc.com
 */

define("_PREVIOUS", "Vorherige Seite");
define("_NEXT", "N&auml;chste Seite");
define("_YOURNAME", "Ihr Name");
define("_SORTASC", "Aufsteigend sortieren");
define("_SORTDESC", "Absteigend sortieren");
define("_CANCEL", "Abbrechen");
define("_YES", "Ja");
define("_NO", "Nein");
define("_SCORE", "Punkte:");
define("_REPLYMAIN", "Kommentar schreiben");
define("_ALLOWEDHTML", "erlaubter HTML-Code:");
define("_POSTANON", "Anonym schreiben");
define("_WRITEREVIEWFOR", "Testbericht schreiben f&uuml;r");
define("_ENTERINFO", "Bitte Informationen zu den Spezifikationen eintragen");
define("_PRODUCTTITLE", "Produktbezeichnung");
define("_NAMEPRODUCT", "Name des getesteten Produktes.");
define("_REVIEW", "Testbericht");
define("_CHECKREVIEW", "Ihr Testbericht. Bitte auf Lesbarkeit achten.");
define("_FULLNAMEREQ", "Dein vollst&auml;ndiger Name wird ben&ouml;tigt.");
define("_REMAIL", "Ihre Email-Adresse");
define("_REMAILREQ", "Deine eMail-Adresse wird ben&ouml;tigt.");
define("_SELECTSCORE", "Wertung f&uuml;r dieses Produkt");
define("_RELATEDLINK", "zugeh&ouml;riger Link");
define("_PRODUCTSITE", "Offizielle Website des Produkts. Bitte mit \"http://\" beginnen.");
define("_LINKTITLE", "Linkbezeichnung");
define("_LINKTITLEREQ", "wird nur bei Angabe eines Links ben&ouml;tigt");
define("_RIMAGEFILE", "Bilddatei");
define("_RIMAGEFILEREQ", "Dateiname eines Titelbilds im Verzeichnis images/reviews/. Optional.");
define("_CHECKINFO", "Bitte die vollst&auml;ndige Richtigkeit und Lesbarkeit der Informationen &uuml;berpr&uuml;fen.");
define("_INVALIDTITLE", "Betreffzeile darf nicht leer sein");
define("_INVALIDSCORE", "Fehler bei Wertungsangabe... Muss zwischen 0 und 10 sein");
define("_INVALIDTEXT", "Testbericht darf nicht leer sein");
define("_INVALIDHITS", "Hits nur als positive ganze Zahl");
define("_CHECKNAME", "Bitte Namen &uuml;berpr&uuml;fen");
define("_INVALIDEMAIL", "Email-Adresse fehlerhaft");
define("_INVALIDLINK", "Entweder zugeh&ouml;rigen Link UND die entsprechende Bezeichnung ausf&uuml;llen oder beide Felder frei lassen.");
define("_ADDED", "hinzugef&uuml;gt:");
define("_REVIEWER", "Tester");
define("_REVIEWID", "Testberichts-ID");
define("_HITS", "Hits");
define("_LOOKSRIGHT", "Sieht es so korrekt aus?");
define("_RMODIFIED", "Ge&auml;ndert");
define("_RADDED", "hinzugef&uuml;gt");
define("_ADMINLOGGED", "Administrator-Login ... Bereitstellung des Testberichts erfolgt umgehend");
define("_RTHANKS", "Dankesch&ouml;n f&uuml;r die Erstellung des Testberichts");
define("_MODIFICATION", "&Auml;nderung");
define("_ISAVAILABLE", "Der Testbericht ist jetzt in der Datenbank verf&uuml;gbar.");
define("_EDITORWILLLOOK", "Ihre Einsendung wird in K&uuml;rze durch die Moderatoren freigeschaltet.");
define("_RBACK", "Zur&uuml;ck zur &Uuml;bersicht");
define("_RWELCOME", "Willkommen bei den Testberichten");
define("_10MOSTPOP", "Top 10");
define("_10MOSTREC", "Die 10 neusten Testberichte");
define("_THEREARE", "Es gibt");
define("_REVIEWSINDB", "Testberichte in der Datenbank");
define("_REVIEWS", "Testberichte");
define("_REVIEWSLETTER", "Testberichte f&uuml;r den Buchstaben");
define("_NOREVIEWS", "Es gibt keinen Testbericht f&uuml;r den Buchstaben");
define("_TOTALREVIEWS", "Testberichte insgesamt gefunden.");
define("_RETURN2MAIN", "zur&uuml;ck zum Hauptmen&uuml;");
define("_REVIEWCOMMENT", "Testbericht kommentieren:");
define("_YOURNICK", "Dein Benutzername:");
define("_RCREATEACCOUNT", "Benutzerkonto <a href=\"modules.php?name=User_Registration\">erstellen</a>");
define("_YOURCOMMENT", "Ihr Kommentar:");
define("_MYSCORE", "Meine Wertung:");
define("_REVIEWMOD", "&Auml;nderung des Testberichts");
define("_RDATE", "Datum:");
define("_RTITLE", "Titel:");
define("_RTEXT", "Text:");
define("_RLINK", "Link:");
define("_RLINKTITLE", "Link Titel:");
define("_COVERIMAGE", "Titelbild");
define("_PREMODS", "Voransicht der &Auml;nderungen");
define("_PAGE", "Seite");
define("_PAGEBREAK", "Wenn Sie mehrere Seiten m&ouml;chten, f&uuml;gen Sie bitte <b>&lt;!--pagebreak--&gt;</b> f&uuml;r einen Seitenumbruch ein.");
define("_PREVIEW", "Vorschau");
define("_LANGUAGE", "Sprache");
define("_REVIEWINTRO", "Diese Testberichte werden hier nicht in dem Sinne ver&ouml;ffentlicht,<br>da&szlig; sie als richtig einzustufen sind und/oder der Meinung des Teams entsprechen.<br>Daher bitte grunds&auml;tzlich kritisch pr&uuml;fen und ggf. selbst eine Meinung bilden.");
define("_REVIEWRE", "Antwort: ");
define("_REVIEWOF", "von");
define("_REVIEWMAIL", "Testbericht per Email verschicken");
define("_REVIEWNAME", "Sie m&ouml;chten folgenden Testbericht per Email versenden:");
define("_REVIEWYOU", "Ihre Daten");
define("_REVIEWTO", "Senden an die Email-Adresse (wird nicht gespeichert):");
define("_REVIEWSEND", "Senden");
define("_REVIEWFWD", "Weiterleiten");
define("_REVIEWFROMNEEDED", "Bitte tragen Sie Ihren Namen ein.");
define("_REVIEWERROR", "Es ist ein Fehler aufgetreten");
define("_REVIEWNOANO", "Bitte erst am System anmelden, anonyme Posts sind nicht erlaubt.");
// Mail
define("_REVIEWMAIL1", "Guten Tag,\neiner Ihrer Bekannten dachte, da&szlig; Sie dieser Testbericht\ninsteressieren k&ouml;nnte:");
define("_REVIEWMAIL2", "Thema:");
define("_REVIEWMAIL3", "Diese Nachricht wurde Ihnen geschickt von: ");
define("_REVIEWMAIL4", "Wir bedanken uns f&uuml;r Ihre Zeit und w&uuml;nschen weiterhin\neinen angenehmen Tag.");
define("_REVIEWMAILSEP", "\n\n------------------------------------------------------------\n");
define("_REVIEWMAIL5", "Dieser Testbericht stammt von: ");
define("_REVIEWMAILOK", "Email erfolgreich gesendet an: ");
define("_REVIEWNORIGHTS", "Sie haben keine Berechtigung f&uuml;r diese Aktion!");
define("_RBACK2", "Zur&uuml;ck zum Testbericht");
// neu 0.1.7
define("_REVSAVE", "Speichern");
define('_INLINEBREAK', 'Seitenumbruch');

?>