<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.19 $
 * $Author: tora60 $
 * $Date: 2008/01/28 18:35:56 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

defined('mxMainFileLoaded') or die('access denied');

$module_name = basename(dirname(__FILE__));
mxGetLangfile($module_name);

function listsections()
{
    global $sitename, $prefix, $pagetitle, $module_name;
    $pagetitle = _SECINDEX;
    $result = sql_query("select secid, secname, image from " . $prefix . "_sections order by secname");
    include ('header.php');
    OpenTable();
    echo "
	<center><span class=\"title\">" . _SECWELCOME . " $sitename.</span><br /><br />
	" . _YOUCANFIND . '</center><br /><br />
	<table width="100%" border="0" cellspacing="0" cellpadding="5" align="center">';
    $count = 0;
    while (list($secid, $secname, $image) = sql_fetch_row($result)) {
        if (is_file('images/sections/' . $image) || (MX_IS_ADMIN && $image)) {
            $image = mxCreateImage('images/sections/' . $image, $secname) . '<br />';
        } else {
            $image = '';
        }

        if ($count == 4 || $count == 0) {
            echo '<tr valign="bottom">';
            $count = 0;
        }

        $count++;
        echo '<td width="25%" align="center"><a href="modules.php?name=' . $module_name . '&amp;secid=' . $secid . '">' . $image . '' . $secname . '</a></td>';
        if ($count == 4) {
            echo "</tr>";
        }
    }
    if ($count > 1 && $count < 4) {
        echo "</tr>";
    }
    echo "</table>";
    CloseTable();
    include ('footer.php');
}

function listarticles()
{
    global $prefix, $multilingual, $currentlang, $pagetitle, $module_name;
    $secid = (empty($_REQUEST['secid'])) ? 1 : intval($_REQUEST['secid']);

    $querylang = "";
    if ($GLOBALS["multilingual"] == 1) {
        if (ereg("german", $GLOBALS["currentlang"])) $thislang = "german";
        else $thislang = $GLOBALS["currentlang"];
        $querylang = "AND (slanguage LIKE '$thislang%' OR slanguage = '')";
    }

    $result = sql_query("select secname, image from " . $prefix . "_sections where secid=" . intval($secid));
    list($secname, $image) = sql_fetch_row($result);
    if (@is_file('images/sections/' . $image) || (MX_IS_ADMIN && $image)) {
        $image = mxCreateImage('images/sections/' . $image, $secname) . '<br />';
    } else {
        $image = '';
    }
    $printimg = mxCreateImage('images/print.gif', _PRINTER);

    $pagetitle = $secname;
    include ('header.php');
    OpenTable();
    echo "<center>" . $image . "<br />
	<span class=\"title\">" . _THISISSEC . " &lsquo;" . $secname . "&rsquo;.</span><br />
	<span class=\"content\">" . _FOLLOWINGART . "</span><br />
	</center><br />
	<table border=\"0\" align=\"center\">";
    $result = sql_query("select artid, secid, title, content, counter from " . $prefix . "_seccont where secid=" . intval($secid) . " $querylang order by title");
    while (list($artid, $secid, $title, $content, $counter) = sql_fetch_row($result)) {
        echo '<tr valign="top">
		<td><strong><big>&middot;</big></strong></td>
		<td><span class="content"><a href="modules.php?name=' . $module_name . '&amp;artid=' . $artid . '">' . $title . '</a></span></td>
		<td nowrap><span class="tiny">(' . $counter . ' ' . _READS . ')</span></td>
		<td><a href="modules.php?name=' . $module_name . '&amp;op=printpage&amp;artid=' . $artid . '" rel="nofollow">' . $printimg . '</a></td>
		</tr>
		';
    }
    echo "</table>
	<br /><br /><br />
	<center>[&nbsp;<a href=\"modules.php?name=" . $module_name . "\">" . _SECRETURN . "</a>&nbsp;]</center>";
    CloseTable();
    include ('footer.php');
}

function viewarticle()
{
    global $prefix, $pagetitle, $module_name;
    $artid = (empty($_REQUEST['artid'])) ? 0 : intval($_REQUEST['artid']);
    $page = (empty($_REQUEST['page'])) ? 1 : intval($_REQUEST['page']);
    $result = sql_query("select artid, secid, title, content, counter from " . $prefix . "_seccont where artid=" . intval($artid));
    list($artid, $secid, $title, $content, $view_counter) = sql_fetch_row($result);
    $result = sql_query("select secid, secname from " . $prefix . "_sections where secid=" . intval($secid));
    list($secid, $secname) = sql_fetch_row($result);
    $words = sizeof(preg_split('#\s+#', strip_tags($content)));
    $contentpages = explode("<!--pagebreak-->", $content);
    $content_toview = '';
    $pageno = 0;
    foreach($contentpages as $i => $content) {
        $content = trim($content);
        if (empty($content)) {
            continue;
        }
        $pageno++;
        if ($page >= $pageno) {
            $content_toview = $content;
        }
    }
    if ($page > $pageno) {
        $page = $pageno;
    }
    if ($page == 1) {
        sql_query("update " . $prefix . "_seccont set counter=counter+1 where artid='" . intval($artid) . "'");
    }

    $pager = '';
    $start = '';
    $ende = '';
    $counter = 1;
    $link = 'modules.php?name=' . $module_name . '&amp;artid=' . $artid . '&amp;page=%d';
    if ($page > 3 && $pageno > 6) {
        $start = '<a href="' . sprintf($link, 1) . '" title="' . _GOTOPAGEFIRST . '">1&nbsp;<span style="font-size: 120%;">&laquo;</span></a>&nbsp;..&nbsp;';
        if ($page >= $pageno - 3) {
            $counter = $page - ($page - $pageno + 4);
        } else {
            $counter = $page - 1;
        }
    }
    // Schleife durch Seitenzahlen
    while ($counter <= $pageno) {
        if (($counter > 5) && ($counter > $page + 2) && ($counter < $pageno) && $pageno > 6) {
            $ende = '&nbsp;..&nbsp;<a href="' . sprintf($link, $pageno) . '" title="' . _GOTOPAGELAST . '"><span style="font-size: 120%;">&raquo;</span>&nbsp;' . $pageno . ' </a>';
            break;
        } else if ($counter == $page) {
            $part[] = '<a href="' . sprintf($link, $counter) . '" title="' . _PAGE . '&nbsp;' . $page . ' ' . _OF . ' ' . $pageno . '"><b>' . $counter . '</b></a>';
        } else {
            $part[] = '<a href="' . sprintf($link, $counter) . '" title="' . _GOTOPAGE . ' ' . $counter . '">' . $counter . '</a>';
        }
        $counter++;
    }
    if (isset($part)) {
        $pager = '
        <span class="tiny">' . _PAGE . '&nbsp;' . $page . '&nbsp;' . _OF . '&nbsp;' . $pageno . '&nbsp;&nbsp;&nbsp;
        ' . $start . implode(' | ', $part) . $ende . '
        </span>';
    }

    $adminlink = (MX_IS_ADMIN) ? "<p>[&nbsp;<a href=\"admin.php?op=secartedit&amp;artid=" . $artid . "\">" . _EDIT . "</a> | <a href=\"admin.php?op=secartdelete&amp;artid=" . $artid . "&amp;ok=0\">" . _DELETE . "</a>&nbsp;]</p>" : "";
    $pagetitle = $title . (($page < 2) ? '' : ', ' . _PAGE . ' ' . $page);
    include("header.php");
    OpenTable();
    echo '<h2 class="title">' . $title . '</h2>';
    if ($pageno > 1) {
        echo '<p align="right">' . $pager . "</p>";
    }
    echo '<div class="content">' . $content_toview . '</div>';
    if ($pageno > 1) {
        echo '<br /><br /><p align="right">' . $pager . "</p>";
    }
    if ($page == 1 || $page == $pageno) {
        echo '
        <div class="content">(' . $words . ' ' . _TOTALWORDS . ')<br />
        (' . $view_counter . ' ' . _READS . ') &nbsp;&nbsp;
        <a href="modules.php?name=' . $module_name . '&amp;op=printpage&amp;artid=' . $artid . '" rel="nofollow">' . mxCreateImage('images/print.gif', _PRINTER) . '</a>
        </div>
        <br /><br />
        <div align="center">
        [&nbsp;<a href="modules.php?name=' . $module_name . '&amp;secid=' . $secid . '">' . _BACKTO . ' ' . $secname . '</a>
         |
        <a href="modules.php?name=' . $module_name . '">' . _SECINDEX . '</a>&nbsp;]
        </div>
        ';
    }
    echo $adminlink;
    CloseTable();
    include ('footer.php');
}

function PrintSecPage()
{
    global $site_logo, $sitename, $datetime, $prefix, $module_name;
    $artid = (empty($_REQUEST['artid'])) ? 1 : intval($_REQUEST['artid']);
    $result = sql_query("select title, content from " . $prefix . "_seccont where artid=" . intval($artid));
    list($title, $content) = sql_fetch_row($result);
    echo "
    <!DOCTYPE html PUBLIC \"-//W3C//DTD XHTML 1.0 Transitional//EN\"
	  \"http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd\">
    <html>
    <head><title>$sitename</title></head>
    <body bgcolor=\"#FFFFFF\" text=\"#000000\">
    <table border=\"0\"><tr><td>
    <table border=\"0\" width=\"640\" cellpadding=\"0\" cellspacing=\"1\" bgcolor=\"#000000\"><tr><td>
    <table border=\"0\" width=\"640\" cellpadding=\"20\" cellspacing=\"1\" bgcolor=\"#FFFFFF\"><tr><td>
    <center>
    <img src=\"images/$site_logo\" border=\"0\" alt=\"\" /><br /><br />
    <font class=\"content\">
    <b>$title</b></font><br />
    </center><font class=\"content\">
    $content<br /></font><br />";
    echo "</td></tr></table></td></tr></table>
    <br /><br /><center>
    <font class=\"content\">
    " . _COMESFROM . " $sitename<br />
    <a href=\"" . MX_BASE_URL . "\">" . MX_BASE_URL . "</a><br /><br />
    " . _THEURL . "<br />
    <a href=\"" . MX_BASE_URL . "modules.php?name=" . $module_name . "&amp;artid=" . $artid . "\">" . MX_BASE_URL . "modules.php?name=" . $module_name . "&amp;artid=" . $artid . "</a></font></center>
    </td></tr></table>
    </body>
    </html>
    ";
}

if (isset($_REQUEST['sop']) && !isset($_REQUEST['op'])) {
    $_REQUEST['op'] = $_REQUEST['sop'];
}
if (empty($_REQUEST['op'])) {
    if (!empty($_REQUEST['artid'])) {
        $op = 'viewarticle';
    } else if (!empty($_REQUEST['secid'])) {
        $op = 'listarticles';
    } else {
        $op = '';
    }
} else {
    $op = $_REQUEST['op'];
}

switch ($op) {
    case "viewarticle":
        viewarticle();
        break;

    case "listarticles":
        listarticles();
        break;

    case "printpage":
        PrintSecPage();
        break;

    default:
        listsections();
        break;
}

?>