<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.3 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:15:56 $
 */

defined('mxMainFileLoaded') or die('access denied');
$modname = basename(dirname(dirname(__FILE__)));

unset($sqlqry);

if (!isset($tables["${prefix}_siteupdate"])) {
    $sqlqry[] = "
CREATE TABLE `${prefix}_siteupdate` (
  `id` int(11) unsigned NOT NULL auto_increment,
  `name` varchar(25) NOT NULL default '',
  `email` varchar(100) NOT NULL default '',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  `files` varchar(100) NOT NULL default '',
  `updates` text,
  `bugs` text,
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;";
} else {
    // Felder aktualisieren
    $tf = setupGetTableFields("${prefix}_siteupdate");
    // falls anderes siteupdate Modul installiert ist (cp)
    if (isset($tf['updates_E'])) $sqlqry[] = "ALTER TABLE `${prefix}_siteupdate` DROP `updates_E` ";

    if ($tf['id']['Type'] != 'int(11) unsigned' || $tf['name']['Type'] != 'varchar(25)' || $tf['name']['Default'] === null || $tf['email']['Type'] != 'varchar(100)' || $tf['email']['Default'] === null || $tf['files']['Type'] != 'varchar(100)' || $tf['files']['Default'] === null
        ) {
        $sqlqry[] = "ALTER TABLE `${prefix}_siteupdate`
                    CHANGE `id` `id` INT( 11 ) UNSIGNED NOT NULL AUTO_INCREMENT,
                    CHANGE `name` `name` VARCHAR( 25 ) NOT NULL default '',
                    CHANGE `email` `email` VARCHAR( 100 ) NOT NULL default '',
                    CHANGE `files` `files` VARCHAR( 100 ) NOT NULL default ''
                    ";
    }

    $indexes = setupGetTableIndexes("${prefix}_siteupdate");
    if (isset($indexes['id'])) $sqlqry[] = "ALTER TABLE `${prefix}_siteupdate` DROP INDEX `id` ";
    if (isset($indexes['PRIMARY']) && $indexes['PRIMARY']['Column_name'] != 'id') {
        $sqlqry[] = "ALTER TABLE `${prefix}_siteupdate` DROP PRIMARY KEY , ADD PRIMARY KEY ( `id` ) ";
    } else if (!isset($indexes['PRIMARY'])) {
        $sqlqry[] = "ALTER TABLE `${prefix}_siteupdate` ADD PRIMARY KEY ( `id` ) ";
    }
}

if (isset($sqlqry)) {
    setupDoAllQueries($sqlqry);
    unset($sqlqry);
}

?>