<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.12.2.9 $
 * $Author: tora60 $
 * $Date: 2008/01/23 12:02:07 $
 *
 * some parts of this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

defined('mxMainFileLoaded') or die('access denied');
// Betreffeld in Kommentaren verwenden?
$comments_use_subject = 0;
// Zeit, die zwischen 2 Kommentaren verstreichen muss, in Sekunden
$comments_waitseconds = 30;

if (empty($pollcomm)) return;

$module_name = basename(dirname(__FILE__));
mxGetLangfile($module_name);

$wysiwyg = 0;
$wysiwyg_comments = 0;
include_once('spaw/spaw_control.class.php');

/**
 */
function DisplayTopic()
{
    global $anonpost, $prefix, $user_prefix, $module_name, $title, $bgcolor1, $bgcolor2, $bgcolor3;
    if (empty($GLOBALS["header"])) {
        header("Location: modules.php?name=$module_name");
        exit;
    }
    $pollID = (empty($_REQUEST['pollID'])) ? 0 : intval($_REQUEST['pollID']);
    $result = sql_query("select pollTitle, pollcomments from ${prefix}_poll_desc where pollID=" . intval($pollID) . "");
    list($title, $okcomments) = sql_fetch_row($result);
    if (!$okcomments) {
        return false;
    }
    $result = sql_query("
            SELECT c.tid, c.pollID, UNIX_TIMESTAMP(c.date) as date, c.name as postername, c.host_name, c.subject, c.comment, u.uid
            FROM ${prefix}_pollcomments AS c LEFT JOIN ${user_prefix}_users AS u ON c.name = u.uname
            WHERE c.pollID=" . $pollID . "
            ORDER BY c.date DESC");
    $views = '';
    while ($data = sql_fetch_assoc($result)) {
        $data['posteruid'] = $data['uid'];
        $data['op'] = 'comments';
        $views .= commentview($data);
    }

    OpenTable();
    echo "<p align=\"center\"><font class=\"content\"><b>" . mxPrepareToDisplay(strip_tags($title)) . "</b></font><a name=\"comments\" id=\"comments\"></a></p>";
    if (!empty($anonpost) || (MX_IS_ADMIN && $GLOBALS['pollcomm'] == 2) || (MX_IS_USER && $GLOBALS['pollcomm'] == 1)) {
        echo "
        <form action=\"modules.php?name=" . $module_name . "&amp;pollID=" . $pollID . "&amp;op=results\" method=\"post\" name=\"commentform\">
        <input type=\"hidden\" name=\"name\" value=\"" . $module_name . "\">
        <input type=\"hidden\" name=\"file\" value=\"comments\">
        <input type=\"hidden\" name=\"pollID\" value=\"" . $pollID . "\">
        <input type=\"hidden\" name=\"op\" value=\"Reply\">
        <input type=\"hidden\" name=\"title\" value=\"" . base64_encode($title) . "\">
        <p align=\"center\"><input type=\"submit\" value=\"" . _REPLYMAIN . "\"></p>
        </form>";
    } elseif ((empty($anonpost) || MX_IS_USER) && $GLOBALS['pollcomm'] == 2) {
        echo '<p align="center">' . _STOPCOMMENTS . '</p>';
    } elseif (empty($anonpost) && $GLOBALS['pollcomm'] == 1) {
        echo '<p align="center">' . _NOANONCOMMENTS . '</p>';
    }
    echo "<p align=\"center\"><font class=\"tiny\">" . _COMMENTSWARNING . "</font></p>";
    echo "<br>";
    if ($views) {
        echo '
        <table width="100%" border="0" cellspacing="1" cellpadding="0" bgcolor="' . $bgcolor2 . '"><tr><td>
        <table width="100%" border="0" cellspacing="0" cellpadding="2">' . $views . '</table>
        </td></tr></table>';
    }
    CloseTable();
}

/**
 */
function reply()
{
    global $anonymous, $anonpost, $module_name, $comments_use_subject, $pagetitle;
    if (empty($anonpost) && !MX_IS_USER) {
        mxErrorScreen(_NOANONCOMMENTS, _SURVEYCOM);
    } elseif (!MX_IS_ADMIN && MX_IS_USER && $GLOBALS['pollcomm'] == 2) {
        mxErrorScreen(_STOPCOMMENTS, _COMMENTREPLY);
    }
    $data = mxStripSlashes($_POST);
    if (!isset($data['pollID'])) {
        mxErrorScreen(_NOTRIGHT);
        exit();
    }
    $data['pollID'] = intval($data['pollID']);
    if (empty($data['pollID'])) {
        mxErrorScreen(_SCOMMERR_1, _COMMENTREPLY);
    }

    $title = strip_tags(base64_decode($data['title']));

    if ($comments_use_subject) {
        $data['subject'] = $title;
        if (!eregi("Re:", $data['subject'])) {
            $data['subject'] = "Re: " . substr($data['subject'], 0, 81);
        }
    } else {
        $data['subject'] = '';
    }
    $data['comment'] = '';
    $data['posttype'] = 'plaintext';
    $pagetitle = _COMMENTREPLY . ': ' . $title;
    include('header.php');
    title(_SURVEYCOM . ': ' . $title);
    OpenTable();
    commentform($data);
    CloseTable();
    include('footer.php');
}

/**
 */
function replyPreview($errormessage = '')
{
    global $anonymous, $module_name, $bgcolor1, $bgcolor2, $bgcolor3, $pagetitle;
    $data = mxStripSlashes($_POST);
    $data['captcha'] = '';
    if (!isset($data['pollID'])) {
        mxErrorScreen(_NOTRIGHT);
    }
    $data = commentsCheckUser($data);
    $pagetitle = _COMMENTREPLY . ': ' . $data['subject'];
    include('header.php');
    title(_SURVEYCOMPRE);
    OpenTable();
    echo '
    <table width="100%" border="0" cellspacing="1" cellpadding="0" bgcolor="' . $bgcolor2 . '"><tr><td>
    <table width="100%" border="0" cellspacing="0" cellpadding="2">' . commentview($data) . '</table>
    </td></tr></table>';
    CloseTable();
    echo "<br>";
    if ($errormessage) {
        openTableAl();
        echo $errormessage;
        closeTableAl();
        echo '<br>';
    }
    title(_SURVEYCOM . ': ' . $data['subject']);
    OpenTable();
    commentform($data);
    CloseTable();
    include('footer.php');
}

/**
 */
function commentform($data)
{
    global $module_name, $anonpost, $comments_use_subject;
    require("includes/captcha/settings.php");
    $data = mxStripSlashes($data);
    $data['subject'] = strip_tags($data['subject']);
    $allowed = '&lt;' . implode('&gt; &lt;', mxGetAllowedHtml()) . '&gt;';

    $data = commentsCheckUser($data);

    echo '
    <form action="modules.php?name=' . $module_name . '&amp;pollID=' . $data['pollID'] . '&amp;op=results" method="post" name="commentform">
    ';
    if (!$comments_use_subject) {
        echo '<input type="hidden" name="subject" value="">';
    }
    if (!$anonpost) {
        echo '<input type="hidden" name="postername" value="' . htmlspecialchars($data['postername']) . '">';
    }

    echo '
    <table border="0" cellspacing="0" cellpadding="3" width="100%">
    ';
    if ($comments_use_subject) {
        echo '<tr valign="top"><td><b>' . _SUBJECT . ':</b></td><td><input type="text" name="subject" size="50" maxlength="85" value="' . mxEntityQuotes($data['subject']) . '"></td></tr>';
    }

    echo "<tr valign=\"top\">";
    if ($GLOBALS['wysiwyg'] && $GLOBALS['wysiwyg_comments']) {
        $hidemore = 1;
        echo "<td colspan=\"2\"><b>" . _UCOMMENT . ":</b><br>";
        $sw = new SPAW_Wysiwyg('comment', $data['comment'], _DOC_LANGUAGE , 'mini', $GLOBALS['wysiwyg_btnset'], '100%', '200');
        $sw->show();
        echo "</td>";
    } else {
        $hidemore = 0;
        echo "<td><b>" . _UCOMMENT . ":</b></td><td><textarea cols=\"45\" rows=\"8\" name=\"comment\" style=\"width: 99%;\">" . htmlentities($data['comment']) . "</textarea><br>
    <font class=\"tiny\">" . _ALLOWEDHTML . "<br>" . $allowed . "</font></td>";
    }
    echo "</tr>";

    if ($anonpost) {
        echo '<tr valign="top"><td><b>' . _YOURNAME . ':</b></td><td><input type="text" name="postername" value="' . mxEntityQuotes($data['postername']) . '" size="30" maxlength="25"></td></tr>';
    }
    if ((!empty($commentson)) && ((!MX_IS_USER) || ((MX_IS_USER) && ($captchauseron))) && (!MX_IS_ADMIN)) {
        require("includes/captcha/captcha_java.php");
        echo "<tr valign=\"top\"><td></td><td><img id=\"captchaimage\" src=\"includes/captcha/captchaimg.php?" . md5(crypt(uniqid(''))) . "\" alt=\"\"></td></tr>";
        echo "<tr valign=\"top\"><td>" . _CAPTCHAINSERT . " </td><td><input type=\"text\" name=\"captcha\" value=\"\" size=\"20\" maxlength=\"20\"></td></tr>";
    }
    echo '
    <tr valign="top"><td colspan="2">
    <input type="submit" name="op" value="' . _PREVIEW . '">
    <input type="submit" name="op" value="' . _OK . '">';
    if ((!empty($commentson)) && ((!MX_IS_USER) || ((MX_IS_USER) && ($captchauseron))) && (!MX_IS_ADMIN)) {
        echo "&nbsp;<input type=\"button\" value=\"" . _CAPTCHARELOAD . "\" onclick=\"do_reload(); return false;\">&nbsp;";
    }
    if ($hidemore) {
        echo '<input type="hidden" name="posttype" value="html" />';
    } else {
        echo '<select name="posttype">';
        echo '<option value="exttrans"' . (($data['posttype'] == "exttrans") ? ' selected="selected"' : '') . '>' . _EXTRANS . '';
        echo '<option value="html"' . (($data['posttype'] == "html") ? ' selected="selected"' : '') . '>' . _HTMLFORMATED . '';
        echo '<option value="plaintext"' . (($data['posttype'] == "plaintext") ? ' selected="selected"' : '') . '>' . _PLAINTEXT . '';
        echo '</select>';
    }
    echo '</td></tr>
    </table>
    <input type="hidden" name="uid" value="' . $data['uid'] . '"><br>
    <input type="hidden" name="pollID" value="' . $data['pollID'] . '"><br>
    <input type="hidden" name="name" value="' . $module_name . '"><br>
    <input type="hidden" name="file" value="comments"><br>
    </form>';
}

/**
 */
function commentview($data)
{
    global $module_name, $commentlimit, $bgcolor1, $bgcolor2, $bgcolor3, $anonymous, $comments_use_subject;
    static $uinfallowed;
    if (!isset($uinfallowed)) {
        $uinfallowed = mxModuleAllowed("Userinfo");
    }

    $data['postername'] = mxPrepareToHTMLDisplay((empty($data['postername'])) ? $anonymous : $data['postername']);
    $nameclick = ($uinfallowed && $data['posteruid']) ? '<a href="modules.php?name=Userinfo&amp;uname=' . urlencode($data['postername']) . '">' . $data['postername'] . '</a>' : $data['postername'];
    $data['subject'] = ($comments_use_subject) ? strip_tags($data['subject']) : '';
    $data['tid'] = (empty($data['tid'])) ? 0 : intval($data['tid']);
    $data['date'] = (empty($data['date'])) ? time() : $data['date'];
    $datetime = mx_strftime(_SHORTDATESTRING . ' %H:%M', $data['date']);
    $full = (empty($_REQUEST['full'])) ? 0 : intval($_REQUEST['full']);

    if (isset($data['posttype']) && $data['comment']) {
        if ($data['posttype'] == "exttrans") {
            $data['comment'] = nl2br(trim(htmlspecialchars($data['comment'])));
        } elseif ($data['posttype'] == "plaintext") {
            $data['comment'] = nl2br(trim(strip_tags($data['comment'])));
        } else {
            $data['comment'] = nl2br(trim(mxPrepareToHTMLDisplay($data['comment'])));
        }
    }
    if ((strlen($data['comment']) > $commentlimit) && ($full != $data['tid'])) {
        $data['comment'] = substr($data['comment'], 0, $commentlimit) . "<div align=\"right\">
        <a href=\"modules.php?name=" . $module_name . "&amp;op=results&amp;pollID=" . $data['pollID'] . "&amp;full=" . $data['tid'] . "#c" . $data['tid'] . "\">" . _READREST . "</a>
        </div>";
    } else {
        $data['comment'] .= '<br>';
    }
    $data['comment'] = make_clickable($data['comment']);
    if (!empty($data['subject'])) {
        $data['comment'] = '<p>' . $data['subject'] . '</p>' . $data['comment'];
    }
    // irgend eine Firefox Erweiterung macht den Scheiss da rein...
    $data['comment'] = str_replace('&lt;br type="_moz" /&gt;', '', $data['comment']);

    $pics = array();
    if ($data['op'] != _PREVIEW) {
        if (MX_IS_ADMIN && !empty($data['tid'])) {
            $pics[] = "<a href=\"admin.php?op=RemovePollComment&amp;tid=" . $data['tid'] . "&amp;pollID=" . $data['pollID'] . "&amp;ok=0\">" . mxCreateimage("modules/$module_name/images/delete.gif", _DELETE) . "</a>";
            if ($data['host_name']) $pics[] = "<a title=\"" . $data['host_name'] . "\" onClick=\"alert('ip: " . $data['host_name'] . "')\">" . mxCreateimage("modules/$module_name/images/ip.gif", $data['host_name']) . "</a>";
        }
    }
    return '
    <tr bgcolor="' . $bgcolor2 . '">
    <td><a name="c' . $data['tid'] . '"></a><span class="tiny"><b>' . $nameclick . '</b> ' . _WRITES . '&nbsp;' . _ON . ' ' . $datetime . ':</span></td>
    <td align="right">' . implode(' ', $pics) . '</td>
    </tr>
    <tr bgcolor="' . $bgcolor1 . '"><td colspan="2">' . $data['comment'] . '</td></tr>
    ';
}

/**
 */
function CreateTopic()
{
    global $prefix, $anonpost, $module_name, $comments_use_subject, $comments_waitseconds;
    $data = mxStripSlashes($_POST);
    require("includes/captcha/settings.php");
    if (!isset($data['pollID'])) {
        mxErrorScreen(_NOTRIGHT);
        exit();
    }
    $data = commentsCheckUser($data);
    if (empty($data['posteruid'])) {
        $data['postername'] = substr($data['postername'], 0, 58) . " * ";
    }
    if (isset($data['errorinname'])) {
        replyPreview($data['errorinname']);
        die();
    }
    if ((!empty($commentson)) && ((!MX_IS_USER) || ((MX_IS_USER) && ($captchauseron))) && (!MX_IS_ADMIN)) {
        require_once("includes/captcha/__captcha/PhraseFactory.php");
        if ((!isset($_POST['captcha'])) || (empty($_POST['captcha']))) {
            $_POST['captcha'] = "abc!!def";
        }
        $givenCaptcha = $_POST['captcha'];
        $storedCaptcha = PhraseFactory::get('', $passphraselenght, $givenCaptcha, $storagetype);
        if ($givenCaptcha !== $storedCaptcha) {
            replyPreview(_CAPTCHAWRONG);
            die();
        }
    }
    $data['pollID'] = intval($data['pollID']);
    $data['subject'] = ($comments_use_subject) ? mxAddSlashesForSQL(strip_tags($data['subject'])) : '';
    if ($data['posttype'] == "exttrans") {
        $data['comment'] = mxAddSlashesForSQL(nl2br(trim(htmlspecialchars($data['comment']))));
    } elseif ($data['posttype'] == "plaintext") {
        $data['comment'] = mxAddSlashesForSQL(nl2br(trim(strip_tags($data['comment']))));
    } else {
        $data['comment'] = mxAddSlashesForSQL(nl2br(trim($data['comment'])));
    }
    $data['comment'] = trim($data['comment']);
    if (empty($data['comment'])) {
        replyPreview(_ERRNOTEXT);
        die();
    }
    $result = sql_query("select pollID from ${prefix}_poll_desc where pollID='" . $data['pollID'] . "' AND pollcomments=1");
    if (!sql_num_rows($result)) {
        mxErrorScreen(_SCOMMERR_1);
        die();
    }
    $checkdate = time() - intval($comments_waitseconds);
    $result = sql_query("select tid from ${prefix}_pollcomments where UNIX_TIMESTAMP(date) >= " . $checkdate . " AND (host_name = '" . MX_REMOTE_ADDR . "' OR name = '" . mxAddSlashesForSQL($data['postername']) . "')");
    if (sql_num_rows($result)) {
        mxErrorScreen(_SCOMMERR_2);
        die();
    }
    $result = sql_query("select tid from ${prefix}_pollcomments where comment = '" . mxAddSlashesForSQL($data['comment']) . "' AND (host_name = '" . MX_REMOTE_ADDR . "' OR name = '" . mxAddSlashesForSQL($data['postername']) . "')");
    if (sql_num_rows($result)) {
        mxErrorScreen(_SCOMMERR_3);
        die();
    }
    if ((MX_IS_USER || MX_IS_ADMIN || !empty($anonpost)) && !empty($data['comment'])) {
        $qry = "INSERT INTO ${prefix}_pollcomments SET
            pid = 0,
            pollID='" . intval($data['pollID']) . "',
            date=NOW(),
            name = '" . mxAddSlashesForSQL($data['postername']) . "',
            host_name = '" . MX_REMOTE_ADDR . "',
            subject = '" . mxAddSlashesForSQL(strip_tags($data['subject'])) . "',
            comment = '" . mxAddSlashesForSQL($data['comment']) . "'
            ";
        sql_query($qry);
    }
    header("Location: modules.php?name=" . $module_name . "&op=results&pollID=" . $data['pollID'] . "");
}

/**
 */
/**
 * Rewritten by Nathan Codding - Feb 6, 2001. Taken from phpBB code
 * - Goes through the given string, and replaces xxxx://yyyy with an HTML <a> tag linking
 *               to that URL
 * - Goes through the given string, and replaces www.xxxx.yyyy[zzzz] with an HTML <a> tag linking
 *               to http://www.xxxx.yyyy[/zzzz]
 * - Goes through the given string, and replaces xxxx@yyyy with an HTML mailto: tag linking
 *                      to that email address
 * - Only matches these 2 patterns either after a space, or at the beginning of a line
 *
 * Notes: the email one might get annoying - it's easy to make it more restrictive, though.. maybe
 * have it require something like xxxx@yyyy.zzzz or such. We'll see.
 */
if (!function_exists('make_clickable')) {
    function make_clickable($text)
    {
        $ret = " " . $text;
        $ret = preg_replace("#([\n ])([a-z]+?)://([a-z0-9\-\.,\?!%\*_\#:;~\\&$@\/=\+]+)#i", "\\1<a href=\"\\2://\\3\" target=\"_blank\">\\2://\\3</a>", $ret);
        $ret = preg_replace("#([\n ])www\.([a-z0-9\-]+)\.([a-z0-9\-.\~]+)((?:/[a-z0-9\-\.,\?!%\*_\#:;~\\&$@\/=\+]*)?)#i", "\\1<a href=\"http://www.\\2.\\3\\4\" target=\"_blank\">www.\\2.\\3\\4</a>", $ret);
        $ret = preg_replace("#([\n ])([a-z0-9\-_.]+?)@([\w\-]+\.([\w\-\.]+\.)?[\w]+)#i", "\\1<a href=\"mailto:\\2@\\3\">\\2@\\3</a>", $ret);
        $ret = substr($ret, 1);
        return($ret);
    }
}

/**
 */
function commentsCheckUser($data)
{
    global $anonpost, $user_prefix;
    if (!isset($data['postername']) || !isset($data['uid'])) {
        $data['postername'] = '';
        $data['posteruid'] = 0;
        $data['uid'] = 0;
        if (MX_IS_USER) {
            $userinfo = mxGetUserData();
            $data['postername'] = $userinfo['uname'];
            $data['uid'] = $userinfo['uid'];
            $data['posteruid'] = $userinfo['uid'];
        }
    } else {
        if (MX_IS_USER) {
            $userinfo = mxGetUserData();
            $data['posteruid'] = $userinfo['uid'];
            if (!$anonpost) {
                $data['postername'] = $userinfo['uname'];
                $data['uid'] = $userinfo['uid'];
            } else if ($data['postername'] != $userinfo['uname'] && $data['uid'] > 1) {
                $data['posteruid'] = 0;
                $result = sql_query("select uid from ${user_prefix}_users where uname='" . mxAddSlashesForSQL(substr($data['postername'], 0, 25)) . "'");
                if (sql_num_rows($result)) {
                    $data['errorinname'] = sprintf(_USERNAMENOTALLOWED, $data['postername']);
                    $data['postername'] = $userinfo['uname'];
                    $data['posteruid'] = $userinfo['uid'];
                }
            }
        }
    }
    $data['postername'] = substr(strip_tags($data['postername']), 0, 25);
    return $data;
}

/**
 */
$op = (isset($_REQUEST['op'])) ? $_REQUEST['op'] : '';
switch ($op) {
    case "Reply":
        reply();
        break;

    case _PREVIEW:
        replyPreview();
        break;

    case _OK:
        CreateTopic();
        break;

    default:
        DisplayTopic();
        break;
}

?>
