<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.7 $
 * $Author: tora60 $
 * $Date: 2008/01/29 00:04:05 $
 */

defined('mxMainFileLoaded') or die('access denied');

$query = (empty($_REQUEST['query'])) ? '' : htmlentities(strip_tags(stripslashes($_REQUEST['query'])), ENT_QUOTES);
$orderby = (empty($_REQUEST['orderby'])) ? DLDEFAULTORDER : $_REQUEST['orderby'];

include('header.php');
OpenTable();

?>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr valign="top">
    <td width="50%"><h2><?php echo _MODUNAME ?></h2></td>
    <td width="50%" align="right">
        <form action="modules.php" method="get">
        <label><?php echo _SEARCH ?>:</label>&nbsp;<input type="text" size="25" name="query" maxlength="60" value="<?php echo $query ?>" />
        <input type="image" src="modules/<?php echo $module_name ?>/images/search.gif" alt="<?php echo _SEARCH ?>" title="<?php echo _SEARCH ?>" style="width: 16px; height: 16px; border: none; vertical-align: middle;" />
        <input type="hidden" name="name" value="<?php echo $module_name ?>" />
        <input type="hidden" name="op" value="search" />
        <input type="hidden" name="min" value="0" />
        <input type="hidden" name="orderby" value="<?php echo $orderby ?>" />
        </form>
      </td>
  </tr>
  <tr>
    <td colspan="2"><p align="right"><?php echo modPageTopMenu() ?></p></td>
  </tr>
</table>
<?php
CloseTable();
echo '<br />';
OpenTable();

?>
<table width="100%" border="0" cellspacing="0" cellpadding="0">
  <tr>
    <td><h3 style="margin: 0;"><?php echo $title ?></h3></td>
  </tr>

<?php if (!empty($catdescription)) {

    ?>
  <tr>
    <td align="left" style="padding-bottom: 0.3em; padding-left: 0; padding-right: 5em; padding-top: 0.3em;"><?php echo $catdescription ?></td>
  </tr>

<?php }

if (!empty($categorieslist)) {

    ?>
  <tr>
    <td align="center"><?php echo $categorieslist ?></td>
  </tr>
<?php }

if (!empty($pagesubmenu)) {

    ?>
  <tr>
    <td valign="middle" align="right"><?php echo $pagesubmenu ?></td>
  </tr>
<?php }

?>
<?php

if (!empty($pagesubtitle)) {

    ?>
  <tr>
    <td valign="middle" align="left"><h4 style="margin: 0;"><?php echo $pagesubtitle ?></h4></td>
  </tr>
<?php }

?>
</table>
<?php

CloseTable();
echo '<br />';

?>