<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.14 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:04:59 $
 */

defined('mxMainFileLoaded') or die('access denied');
// Link zur Anzeige der Info ueber die Userpoints
// Leerstring, um den Link nicht anzuzeigen
$userpointsfaq = ''; # "<a href=\"modules.php?name=FAQ&myfaq=yes&id_cat=5&categories=UserPunkte\">" . _USERPUNKTE . "</a>";

include("modules/Your_Account/config.php");
if ($useuserpoints && $uname) {
    $hasuserpoints = "";
    // uid ermitteln
    if (empty($uid)) {
        $resultx = sql_query("select uid from ${user_prefix}_users where uname='" . mxAddSlashesForSQL($uname) . "'");
        list($uid) = sql_fetch_row($resultx);
    }
    $uid = intval($uid);
    $exusers = explode (",", $excludedusers);
    $exusers[] = $GLOBALS['anonymous'];
    $exusers[] = "Anonymous";
    foreach ($exusers as $key => $val) {
        if (strtolower($uname) == strtolower(trim($val))) {
            $userishided = 1;
            sql_query("delete from ${prefix}_userpoints where uid = '$uid' ");
            break;
        }
    }

    if (empty($userishided)) {
        $result = sql_query("SHOW TABLES;");
        while (list($tablename) = sql_fetch_row($result)) {
            $tables[] = $tablename;
        }
        $userpoints = 0;
        if (!empty($points_downloads1) && in_array("${prefix}_downloads_downloads", $tables)) { // DownloadS
            $result = sql_query("select count(lid) from ${prefix}_downloads_downloads WHERE cid > 0 AND submitter='" . mxAddSlashesForSQL($uname) . "'");
            list($points) = sql_fetch_row($result);
            $userpoints = $userpoints + ($points * $points_downloads1);
        }
        if (!empty($points_downloads2) && in_array("${prefix}_downloads_votedata", $tables)) { // Download Bewertungen
            $result = sql_query("select count(ratingdbid) from ${prefix}_downloads_votedata where ratinguser='" . mxAddSlashesForSQL($uname) . "'");
            list($points) = sql_fetch_row($result);
            $userpoints = $userpoints + ($points * $points_downloads2);
        }
        if (!empty($points_links1) && in_array("${prefix}_links_links", $tables)) { // Links
            $result = sql_query("select count(lid) from ${prefix}_links_links where  submitter='" . mxAddSlashesForSQL($uname) . "'");
            list($points) = sql_fetch_row($result);
            $userpoints = $userpoints + ($points * $points_links1);
        }
        if (!empty($points_links2) && in_array("${prefix}_links_votedata", $tables)) { // Link Bewertungen
            $result = sql_query("select count(ratingdbid) from ${prefix}_links_votedata where ratinguser='" . mxAddSlashesForSQL($uname) . "'");
            list($points) = sql_fetch_row($result);
            $userpoints = $userpoints + ($points * $points_links2);
        }
        if (!empty($points_umfragen) && in_array("${prefix}_pollcomments", $tables)) { // Umfragekommentare
            $result = sql_query("select count(tid) from ${prefix}_pollcomments where name='" . mxAddSlashesForSQL($uname) . "'");
            list($points) = sql_fetch_row($result);
            $userpoints = $userpoints + ($points * $points_umfragen);
        }
        if (!empty($points_artikel) && in_array("${prefix}_stories", $tables)) { // Artikel
            $result = sql_query("select count(sid) from ${prefix}_stories where informant='" . mxAddSlashesForSQL($uname) . "' AND `time` <= now()");
            list($points) = sql_fetch_row($result);
            $userpoints = $userpoints + ($points * $points_artikel);
        }
        if (!empty($points_kommentare) && in_array("${prefix}_comments", $tables)) { // Artikel Kommentare
            $result = sql_query("select count(tid) from ${prefix}_comments where name='" . mxAddSlashesForSQL($uname) . "'");
            list($points) = sql_fetch_row($result);
            $userpoints = $userpoints + ($points * $points_kommentare);
        }
        if (!empty($points_gb1) && in_array("${user_prefix}_userguest", $tables)) { // User Gaestebuch eigene Eintraege
            $result = sql_query("select count(gid) from ${user_prefix}_userguest where touser='" . mxAddSlashesForSQL($uname) . "'");
            list($points) = sql_fetch_row($result);
            $userpoints = $userpoints + ($points * $points_gb1);
        }
        if (!empty($points_gb2) && in_array("${user_prefix}_userguest", $tables)) { // User Gaestebuch eintragen
            $result = sql_query("select count(gid) from ${user_prefix}_userguest where wer='" . mxAddSlashesForSQL($uname) . "'");
            list($points) = sql_fetch_row($result);
            $userpoints = $userpoints + ($points * $points_gb2);
        }
        if (!empty($points_bilder1) && in_array("${prefix}_gallery_pictures", $tables)) { // Bilder eintragen
            $result = sql_query("select count(pid) from ${prefix}_gallery_pictures where submitter='" . mxAddSlashesForSQL($uname) . "'");
            list($points) = sql_fetch_row($result);
            $userpoints = $userpoints + ($points * $points_bilder1);
        }
        if (!empty($points_bilder2) && in_array("${prefix}_gallery_comments", $tables)) { // Bilder Kommentar
            $result = sql_query("select count(pid) from ${prefix}_gallery_comments where name='" . mxAddSlashesForSQL($uname) . "'");
            list($points) = sql_fetch_row($result);
            $userpoints = $userpoints + ($points * $points_bilder2);
        }
        if (!empty($points_reviews1) && in_array("${prefix}_reviews", $tables)) { // Links
            $result = sql_query("select count(id) from ${prefix}_reviews where reviewer='" . mxAddSlashesForSQL($uname) . "'");
            list($points) = sql_fetch_row($result);
            $userpoints = $userpoints + ($points * $points_reviews1);
        }
        if (!empty($points_reviews2) && in_array("${prefix}_reviews_comments", $tables)) { // Links
            $result = sql_query("select count(cid) from ${prefix}_reviews_comments where username='" . mxAddSlashesForSQL($uname) . "'");
            list($points) = sql_fetch_row($result);
            $userpoints = $userpoints + ($points * $points_reviews2);
        }
        // Kalenderbeitraege, falls Installiert
        if (!empty($folder_kalender) && !empty($points_kalender) && in_array("${prefix}_events", $tables)) {
            if (@file_exists('modules/' . $folder_kalender . '/config/config.php')) {
                $result = sql_query("select count(eid) from ${prefix}_events where informant='" . mxAddSlashesForSQL($uname) . "'");
                list($points) = sql_fetch_row($result);
                $userpoints = $userpoints + ($points * $points_kalender);
            }
        }

        if (!empty($folder_mxboard) && @file_exists('modules/' . $folder_mxboard . '/settings.php')) {
            include('modules/' . $folder_mxboard . '/settings.php');
            if (!empty($points_fthreads) && in_array($table_threads, $tables)) { // Forumsbeitraege  !!!! eBoard !!!!
                $result = sql_query("select count(tid) from " . $table_threads . " where author='" . mxAddSlashesForSQL($uname) . "'");
                list($points) = sql_fetch_row($result);
                $userpoints = $userpoints + ($points * $points_fthreads);
            }
            if (!empty($points_fposts) && in_array($table_posts, $tables)) { // Forumsbeitraege  !!!! eBoard !!!!
                $result = sql_query("select count(pid) from " . $table_posts . " where author='" . mxAddSlashesForSQL($uname) . "'");
                list($points) = sql_fetch_row($result);
                $userpoints = $userpoints + ($points * $points_fposts);
            }
        }

        if (!empty($folder_cpg) && @file_exists('modules/' . $folder_cpg . '/include/config.inc.php')) {
            // das global wird benoetigt, falls gleichzeitig ein Coppermine Block
            // angezeigt wird, ab Coppermine 1.4.10.1 nicht mehr...
            global $CONFIG;
            // Coppermine configuration file
            if (!defined("IN_COPPERMINE")) define('IN_COPPERMINE', true);
            include('modules/' . $folder_cpg . '/include/config.inc.php');
            if (!empty($coppermine_bilder) && in_array($CONFIG['TABLE_PREFIX'] . "pictures", $tables)) { // Coppermine Bilder
                $result = sql_query("select count(pid) from " . $CONFIG['TABLE_PREFIX'] . "pictures where owner_id=" . $uid . "");
                list($points) = sql_fetch_row($result);
                $userpoints = $userpoints + ($points * $coppermine_bilder);
            }
            if (!empty($coppermine_comments) && in_array($CONFIG['TABLE_PREFIX'] . "comments", $tables)) { // Coppermine Kommentar
                $result = sql_query("select count(pid) from " . $CONFIG['TABLE_PREFIX'] . "comments where author_id=" . $uid . "");
                list($points) = sql_fetch_row($result);
                $userpoints = $userpoints + ($points * $coppermine_comments);
            }
            if (!empty($coppermine_votes) && in_array($CONFIG['TABLE_PREFIX'] . "votes", $tables)) { // Coppermine Bewertungen
                $md5id = md5($uid);
                $result = sql_query("select count(pic_id) from " . $CONFIG['TABLE_PREFIX'] . "votes where user_md5_id='" . $md5id . "'");
                list($points) = sql_fetch_row($result);
                $userpoints = $userpoints + ($points * $coppermine_votes);
            }
        }

        if (!empty($folder_smf) && @file_exists('modules/' . $folder_smf . '/smf/Settings.php')) {
            include("modules/" . $folder_smf . "/smf/Settings.php");
            if (!empty($points_smf_posts) && in_array("${db_prefix}messages", $tables)) {
                $request = sql_query("SELECT Count(ID_MSG) FROM " . $db_prefix . "messages WHERE ID_MEMBER = " . $uid . "");
                list($points) = sql_fetch_row($request);
                $userpoints = $userpoints + ($points * $points_smf_posts);
            }
            if (!empty($points_smf_topics) && in_array("${db_prefix}topics", $tables)) {
                $request = sql_query("SELECT Count(ID_TOPIC) FROM " . $db_prefix . "topics WHERE ID_MEMBER_STARTED = " . $uid . "");
                list($points) = sql_fetch_row($request);
                $userpoints = $userpoints + ($points * $points_smf_topics);
            }
            if (!empty($points_smf_polls) && in_array("${db_prefix}polls", $tables)) {
                $request = sql_query("SELECT Count(ID_POLL) FROM " . $db_prefix . "polls WHERE ID_MEMBER  = " . $uid . "");
                list($points) = sql_fetch_row($request);
                $userpoints = $userpoints + ($points * $points_smf_polls);
            }
        }

        if ($uid > 0) {
            $result = sql_query("select uid, punkte from ${prefix}_userpoints where uid='$uid'");
            list($checkit, $punkte) = sql_fetch_row($result);
            if (empty($checkit)) {
                sql_query("insert into ${prefix}_userpoints (uid, punkte) VALUES($uid, $userpoints) ");
            } else {
                if ($punkte != $userpoints) { // nur aendern, wenn alt und neu unterschiedlich
                    sql_query("update ${prefix}_userpoints set punkte = '$userpoints' where uid = '$uid' ");
                }
            }
            if ($userpoints == 0) $hasuserpoints = _YA_NOPOINTS;
            if ($userpoints == 1) $hasuserpoints = _YA_YESPOINTS;
            if ($userpoints > 1) $hasuserpoints = "<b>" . $userpoints . "</b> " . _YA_HASPOINTS;
        } else {
            if (date("H") == 11) { // nicht immer ausfuehren
                sql_query("DELETE FROM ${prefix}_userpoints WHERE uid <= 1");
            }
        }
    }
}

?>