<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.5.2.3 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:11:52 $
 *
 * this file based on:
 * PostNuke Content Management System
 * Copyright (C) 2001 by the PostNuke Development Team.
 * http://www.postnuke.com/
 * Original Author of file: Michael M. Wechsler, Esq. (michael@thelaw.com)
 *
 * This program is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
 * GNU General Public License for more details.
 * To read the license please visit http://www.gnu.org/copyleft/gpl.html
 */

if (!defined("mxMainFileLoaded")) {
    die ("You can't access this file directly...");
}

$ModName = basename(dirname(__FILE__));
include 'modules/' . $ModName . '/pnapi.php';
mxGetLangfile($ModName);
$pagetitle = preg_replace('#(<br ?/?>|\s){1,}#i', ' ', _TOUTOPTEXT);

include 'header.php';
OpenTable();
echo "<p><span class=\"pn-title\">" . _TOUTOPTEXT . "</span><br></p>\n"
 . "<p><span class=\"pn-title\">" . _TOUTITLE1 . "</span><br><span class=\"pn-normal\">" . _TOUTEXT1 . "</span></p>\n"
 . "<p><span class=\"pn-title\">" . _TOUTITLE2 . "</span><br><span class=\"pn-normal\">" . _TOUTEXT2 . "</span></p>\n"
 . "<p><span class=\"pn-title\">" . _TOUTITLE3 . "</span><br><span class=\"pn-normal\">" . _TOUTEXT3 . "</span></p>\n"
 . "<p><span class=\"pn-title\">" . _TOUTITLE4 . "</span><br><span class=\"pn-normal\">" . _TOUTEXT4 . "</span></p>\n"
 . "<p><span class=\"pn-title\">" . _TOUTITLE5 . "</span><br><span class=\"pn-normal\">" . _TOUTEXT5 . "</span></p>\n"
 . "<p><span class=\"pn-title\">" . _TOUTITLE6 . "</span><br><span class=\"pn-normal\">" . _TOUTEXT6 . "</span></p>\n";
if (_TOUTEXT6MORE != '') echo "<p><span class=\"pn-normal\">" . _TOUTEXT6MORE . "</span></p>\n";
echo "<p><span class=\"pn-title\">" . _TOUTITLE7 . "</span><br><span class=\"pn-normal\">" . _TOUTEXT7 . "</span></p>\n"
 . "<p><span class=\"pn-title\">" . _TOUTITLE8 . "</span><br><span class=\"pn-normal\">" . _TOUTEXT8 . "</span></p>\n"
 . "<p><span class=\"pn-title\">" . _TOUTITLE9 . "</span><br><span class=\"pn-normal\">" . _TOUTEXT9 . "</span></p>\n"
 . "<p><span class=\"pn-title\">" . _TOUTITLE10 . "</span><br><span class=\"pn-normal\">" . _TOUTEXT10 . "</span></p>\n";
if (_TOUTEXT10MORE != '') echo "<p><span class=\"pn-normal\">" . _TOUTEXT10MORE . "</span></p>\n";
if (_TOUTEXT10MORE1 != '') echo "<p><span class=\"pn-normal\">" . _TOUTEXT10MORE1 . "</span></p>\n";
if ((_TOUTITLE11 != '') && (_TOUTEXT11 != '')) echo "<p><span class=\"pn-title\">" . _TOUTITLE11 . "</span><br><span class=\"pn-normal\">" . _TOUTEXT11 . "</span></p>\n";
if (_TOUTEXT11MORE != '') echo "<p><span class=\"pn-normal\">" . _TOUTEXT11MORE . "</span></p>\n";
if ((_TOUTITLE12 != '') && (_TOUTEXT12 != '')) echo "<p><span class=\"pn-title\">" . _TOUTITLE12 . "</span><br><span class=\"pn-normal\">" . _TOUTEXT12 . "</span></p>\n";
if ((_TOUTITLE13 != '') && (_TOUTEXT13 != '')) echo "<p><span class=\"pn-title\">" . _TOUTITLE13 . "</span><br><span class=\"pn-normal\">" . _TOUTEXT13 . "</span></p>\n";
echo "<!-- **NOTE: You are supposed to provide a name and mailing address -->\n"
 . "<!-- to accept service of papers. -->\n";
if ((_TOUTITLE14 != '') && (_TOUTEXT14 != '')) echo "<p><span class=\"pn-title\">" . _TOUTITLE14 . "</span><br><span class=\"pn-normal\">" . _TOUTEXT14 . "</span></p>\n";
/*
echo "<!-- This section should properly appear in the following format: -->\n"
    ."<!--  You agree that this <a href=$nukeurl/termsofuse.php>Terms of Use</a>  -->\n"
    ."<!--  and any dispute arising out of your use of this web site or our products or  -->\n"
    ."<!--  services shall be governed by and construed in according with the laws of [<em>enter  -->\n"
    ."<!--  your country, state/province and county/city if applicable</em>] without regard  -->\n"
    ."<!--  to its conflict of law provisions. By registering or using this web site and  -->\n"
    ."<!--  service you consent and submit to the exclusive jurisdiction and venue of the  -->\n"
    ."<!--  appropriate courts located in [<em>enter county/city</em>], [<em>enter state/province</em>]  -->\n"
    ."<!--  of [<em>enter country</em>]. -->\n"
*/
if ((_TOUTITLE15 != '') && (_TOUTEXT15 != '')) echo "<p><span class=\"pn-title\">" . _TOUTITLE15 . "</span><br><span class=\"pn-normal\">" . _TOUTEXT15 . "</span></p>\n";
CloseTable();
include 'footer.php';

?>