<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.11 $
 * $Author: tora60 $
 * $Date: 2008/01/30 22:09:10 $
 */

defined('mxMainFileLoaded') or die('access denied');

switch ($_REQUEST['op']) {
    /**
     */
    case 'setup';
        $option = _STEP_UPDATE;
        @include(FILE_CONFIG_ROOT);
        // Datenbankverbindung prfen
        $dbstat = setupConnectDb();
        if (!isset($dbstat['dbi'])) {
            // uups, da ist was falsch
            $msg = (isset($dbstat['msg'])) ? $dbstat['msg'] : _NOT_CONNECT;
            $err = true;
            $output .= $msg . '
        			<p>' . _NOT_CONNECTMORE . '</p>
        			<form action="index.php" method="post" class="inline">
        				<p>' . hiddenrequest('select') . '
        					<input type="submit" value="' . _GOBACK . '" />
        				</p>
        			</form>
        			<form action="index.php" method="post" class="inline">
        				<p>' . hiddenrequest('setup') . '
        					<input type="submit" value="' . _REMAKE . '" />
        				</p>
        			</form>';
        } else {
            // backup checken
            require('includes/function_dbbackup.php');
            $backup_available = setup_dbbackup('only_check');
            $output .= '<p class="warning">' . _BACKUPPLEASEDOIT . '</p>';
            if ($backup_available) {
                $output .= '
    			<br /><p>' . _WILL_CREATE_BACKUP . '</p><br />
    			<form action="index.php" method="post" class="inline">
    				<p>' . hiddenrequest('select') . '
    					<input type="submit" value="' . _GOBACK . '" />
    				</p>
    			</form>
    			<form action="index.php" method="post" class="inline">
    				<p>' . hiddenrequest('dbup') . '
    					<input type="hidden" name="createbackup" value="0" />
    					<input type="submit" value="' . _CONTINUE_WITHOUTDBBACKUP . '" />
    				</p>
    			</form>
    			<form action="index.php" method="post" class="inline">
    				<p>' . hiddenrequest('dbup') . '
    					<input type="hidden" name="createbackup" value="1" />
    					<input type="submit" value="' . _CONTINUE_WITHDBBACKUP . '" />
    				</p>
    			</form>';
            } else {
                $output .= '
    			<br /><p>' . _BACKUPBESHURE . '</p><br />
    			<form action="index.php" method="post" class="inline">
    				<p>' . hiddenrequest('select') . '
    					<input type="submit" value="' . _GOBACK . '" />
    				</p>
    			</form>
    			<form action="index.php" method="post" class="inline">
    				<p>' . hiddenrequest('dbup') . '
    					<input type="hidden" name="cantbackup" value="0" />
    					<input type="submit" value="' . _SUBMIT . '" />&nbsp;&nbsp;&nbsp;
                        <input type="checkbox" name="beshure" value="1" title="' . _BACKUPBESHUREOK . '" />
                        &nbsp;' . _BACKUPBESHUREYES . '
    				</p>
    			</form>
    			';
            }
        }
        break;

    /**
     */
    case 'dbup';
        $createbackup = (empty($_POST['createbackup'])) ? 0 : 1;
        if ($createbackup) {
            require('includes/function_dbbackup.php');
            $backup = setup_dbbackup();
        } else {
            if (isset($_POST['cantbackup'])) {
                // nicht bestaetigt
                if (empty($_POST['beshure'])) {
                    $option = _STEP_BACKUP;
                    $output .= '<p>' . _BACKUPBESHURE . '</p>
                <br /><p class="warning">' . _BACKUPBESHUREOK . '</p><br />
    			<form action="index.php" method="post" class="inline">
    				<p>' . hiddenrequest('select') . '
    					<input type="submit" value="' . _GOBACK . '" />
    				</p>
    			</form>
    			<form action="index.php" method="post" class="inline">
    				<p>' . hiddenrequest('dbup') . '
    					<input type="hidden" name="cantbackup" value="0" />
    					<input type="submit" value="' . _SUBMIT . '" />&nbsp;&nbsp;&nbsp;
                        <input type="checkbox" name="beshure" value="1" title="' . _BACKUPBESHUREOK . '" />
                        &nbsp;' . _BACKUPBESHUREYES . '
    				</p>
    			</form>
    			';
                    break;
                } else {
                    $backup['stat'] = 3;
                }
            } else {
                $backup['stat'] = 2;
                $backup['msg'] = _NOBACKUPCREATED;
            }
        }
        // mxDebugFuncVars($backup); #exit;
        if (empty($backup['stat'])) {
            $option = _STEP_BACKUP;
            $output .= $backup['msg'] . '
            	<form action="index.php" method="post" class="inline">
            		<p>' . hiddenrequest('dbup') . '
            			<input type="hidden" name="createbackup" value="1" />
             			<input type="submit" value="' . _REMAKE . '" />
            		<p>
            	</form>
            	<form action="index.php" method="post" class="inline">
            		<p>' . hiddenrequest('dbup') . '
            			<input type="hidden" name="createbackup" value="0" />
            			<input type="submit" value="' . _SUBMIT . '" />
            		</p>
            	</form>';
        } else {
            $status = "";
            @include(FILE_CONFIG_ROOT);
            // Datenbankverbindung prfen
            $dbstat = setupConnectDb();
            if (!isset($dbstat['dbi'])) {
                // uups, da ist was falsch
                $option = _STEP_UPDATE;
                $msg = (isset($dbstat['msg'])) ? $dbstat['msg'] : _NOT_CONNECT;
                // $err = true;
                $output .= '
                	<p><strong>' . $msg . '</strong></p>
            			<p>' . _NOT_CONNECTMORE . '</p>
            			<form action="index.php" method="post" class="inline">
            				<p>' . hiddenrequest('select') . '
            					<input type="submit" value="' . _GOBACK . '" />
            				</p>
            			</form>
            			<form action="index.php" method="post" class="inline">
            				<p>' . hiddenrequest('dbup') . '
            					<input type="hidden" name="createbackup" value="0" />
            	 				<input type="submit" value="' . _REMAKE . '" />
            	 			</p>
            			</form>';
            } else {
                $option = _CURRENTSTATUS;
                require('includes/function_dbupgrade.php');
                $querystat = setup_dbupgrade($dbstat['dbi']);
                // Nachricht von Backupfunktion hinzufuegen
                if (isset($backup['msg'])) {
                    $querystat['msg'][] = $backup['msg'];
                }
                // mxDebugFuncVars($querystat);
                $output .= '
                	<div class="info">
                		<ul>
                			<li>' . (implode('</li><li>', $querystat['msg'])) . '</li>
                		</ul>
                	</div>';
                // Statusanzeige
                if ($querystat['status'] == 'critical') {
                    $output .= '<p class="warning">' . _DB_UPDATEFAIL . '</p>';
                } else {
                    $output .= '<p><strong>' . _DB_UPDATEREADY . '</strong></p>';
                }
                // wenn Fehler aufgetreten, diese Anzeigen
                if ($querystat['count_err']) {
                    $output .= '
                    	<div class="warning">
                    		<p>' . _DBFOLLOWERRORS . ':</p>
                				<textarea cols="80" rows="4" name="log_err" class="status">' . htmlentities(trim(str_replace("\n\n", "\n", $querystat['msg_err']))) . '</textarea>';
                    if (@is_file(FILE_LOG_ERR)) {
                        $output .= '<p>' . _SEEALL . ': <a href="logview.php?file=' . FILE_LOG_ERR . '" target="_blank">' . str_replace(MX_SETUP_DIR, '', FILE_LOG_ERR) . '</a></p>';
                    }
                    $output .= '
                    	</div>';
                }

                $output .= '
            			<form action="index.php" method="post" class="inline">
            				<p>' . hiddenrequest('setup') . '
            					<input type="submit" value="' . _GOBACK . '" />
            				</p>
            			</form>';
                if ($querystat['status'] != 'ok') {
                    // wenn Fehler aufgetreten oder setup gescheitert, wiederholen anbieten
                    $output .= '
                    	<form action="index.php" method="post" class="inline">
                				<p>' . hiddenrequest('dbup') . '
                					<input type="hidden" name="createbackup" value="' . $createbackup . '" />
                					<input type="submit" value="' . _REMAKE . '" />
                				</p>
                			</form>';
                }
                if ($querystat['status'] != 'critical') {
                    // wenn setup erfolgreich oder auch mit kleinen Fehlern > ignorieren/weiter
                    $capt = ($querystat['status'] == 'check') ? _IGNORE : _SUBMIT;
                    $output .= '
                    	<form action="index.php" method="post" class="inline">
                				<p>' . hiddenrequest('fileup') . '
                					<input type="submit" value="' . $capt . '" />
                				</p>
                			</form>';
                }
                if ($querystat['count_ok']) {
                    // wenn erfolgreiche Datenbanknderungen stattgefunden haben
                    $output .= '
                    	<div class="info">
                    		<p>' . _GET_SQLHINTS . ':</p>
                		<textarea cols="80" rows="4" name="log_ok" class="status">' . htmlentities(trim(str_replace("\n\n", "\n", $querystat['msg_ok']))) . '</textarea>';
                    if (@is_file(FILE_LOG_OK)) {
                        $output .= '<p>' . _SEEALL . ': <a href="logview.php?file=' . FILE_LOG_OK . '" target="_blank">' . str_replace(MX_SETUP_DIR, '', FILE_LOG_OK) . '</a></p>';
                    }
                    $output .= '
                    	</div>';
                }
            }
        }
        break;

    /**
     */
    case 'fileup';
        if (!@is_file(FILE_DELETE_FILES)) {
            $option = _ERROR;
            $output .= '
            	<p class="warning">' . _ERRMSG1A . '<strong>' . FILE_DELETE_FILES . '</strong></p>
        			<form action="index.php" method="post" class="inline">
        				<p>' . hiddenrequest('fileup') . '
        					<input type="submit" value="' . _REMAKE . '" />
        				<p>
        			</form>
        			<form action="index.php" method="post" class="inline">
        				<p>' . hiddenrequest('finish') . '
        					<input type="submit" value="' . _IGNORE . '" />
        				</p>
        			</form>';
        } else {
            include(FILE_DELETE_FILES);
            foreach($deldirs as $key => $dd) {
                $dd = PATH_MX_BASE . '/' . $dd;
                if (@file_exists($dd) && !is_file($dd) && !is_link($dd)) {
                    $ddirs[$dd] = $dd;
                }
            }
            foreach($delfiles as $key => $df) {
                $df = PATH_MX_BASE . '/' . $df;
                if (@is_file($df)) {
                    $dfiles[$df] = $df;
                }
            }
            if (isset($dfiles) || isset($ddirs)) {
                $option = _STEP_DELFILES;
                $output .= '
                	<p class="info">' . _MSG_FILEUP1 . '</p>
            			<form action="index.php" method="post" class="inline">
            				<p>' . hiddenrequest('setup') . '
            					<input type="submit" value="' . _GOBACK . '" />
            				</p>
            			</form>
            			<form action="index.php" method="post" class="inline">
            				<p>' . hiddenrequest('filedel') . '
            					<input type="hidden" name="ignore" value="ignore" />
            					<input type="submit" value="' . _DONOTHING . '" />
            				</p>
            			</form>
            			<form action="index.php" method="post" class="inline">
            				<p>' . hiddenrequest('filedel') . '
            					<input type="submit" value="' . _SUBMIT . '" />
            				</p>
            			</form>
            			<div style="border: 1px dotted #9C0; background:#F0F0F0; margin: 20px;">';
                if (isset($ddirs)) {
                    $output .= '
                    	<ul>
                    		<li>' . implode("</li><li>", $ddirs) . '</li>
                    	</ul>';
                }
                if (isset($dfiles)) {
                    $output .= '
                    	<ul>
                    		<li>' . implode("</li><li>", $dfiles) . '</li>
                    	</ul>';
                }
                $output .= '
                	</div>';
            } else {
                $option = _STEP_CONFIGURATION;
                $output .= '
                	<p class="info">' . _CONFIGSAVEMESS . '</p>
            			<form action="index.php" method="post">
            				<p>' . hiddenrequest('savesettings') . '
            					<input type="submit" value="' . _SUBMIT . '" />
            				</p>
            			</form>';
            }
        }
        break;

    /**
     */
    case 'filedel';
        $option = _STEP_FINISHEDUPDATE;
        $arrnodel = array();
        if (!isset($_REQUEST['ignore'])) {
            $arrnodel = setupDeleteFiles();
        }
        if (count($arrnodel)) {
            $output .= '
            	<p>' . _ERRMSG2 . '</p>
        			<p class="warning">' . implode("<br />\n", $arrnodel) . '</p>
        			<form action="index.php" method="post" class="inline">
        				<p>' . hiddenrequest('filedel') . '
        					<input type="submit" value="' . _REMAKE . '" />
        				</p>
        			</form>
        			<form action="index.php" method="post" class="inline">
            		<p>' . hiddenrequest('filedel') . '
            			<input type="hidden" name="ignore" value="ignore" />
            			<input type="submit" value="' . _DONOTHING . '" />
            		</p>
        			</form>
        			<p><strong>' . _YEAHREADY2 . '</strong></p>
        			<hr />';
        }
        $output .= '
        	<p class="info">' . _CONFIGSAVEMESS . '</p>
    			<form action="index.php" method="post">
    				<p>' . hiddenrequest('savesettings') . '
    					<input type="submit" value="' . _SUBMIT . '" />
    				</p>
    			</form>';
        break;

    /**
     */
    case 'savesettings';
        $oldconfig = file_get_contents(FILE_CONFIG_ROOT);
        include(FILE_CONFIG_ROOT);
        $setvalues['dbhost'] = $dbhost;
        $setvalues['dbuname'] = $dbuname;
        $setvalues['dbpass'] = $dbpass;
        $setvalues['dbname'] = $dbname;
        $setvalues['prefix'] = $prefix;
        $setvalues['user_prefix'] = $user_prefix;
        require('includes/function_saveconfigfile.php');
        $status = SetupSaveConfigFile($setvalues);
        // mxDebugFuncVars($status); exit;
        if ($status['ok']) {
            $option = _STEP_FINISHEDUPDATE;
            $newconfig = file_get_contents(FILE_CONFIG_ROOT);
            if ($newconfig != $oldconfig) {
                $output = '<ul>' . $status['msg'] . '</ul>';
            }
            $output = '
        				<h3>' . _SETUPHAPPY1 . '</h3>
        				<p>' . _SETUPHAPPY2 . '</p>
        				<p>' . _SETUPHAPPY3 . '</p>
                	<div class="warning">' . _DELETE_FILES . '
                		' . printdeleter() . '
                	</div>
        			<form action="' . PATH_MX_BASE . '/admin.php?op=Configure">
        				<p>
        					<input type="hidden" name="op" value="Configure" />
        					<input type="submit" value="' . _GOTOADMIN . '" />
        				</p>
        			</form>
        			<hr />
        			<ul>
        				<li>' . _SUPPORTINFO . '</li>
        				<li>' . _DOKUINFO . '</li>
        			</ul>';
        } else {
            $output = '
            	<p><strong>' . _THEREERROR . '</strong></p>
            	<ul>' . $status['msg'] . '</ul>
            	<form action="index.php" method="post" class="inline">
        				<p>' . hiddenrequest('showconfig') . '
        					<input type="hidden" name="configphp" value="' . $status['configphp'] . '" />
        					<input type="submit" value="' . _CONFIG_BUTTONMAN . '" />&nbsp;&nbsp;
        				</p>
        			</form>
              <form action="index.php" method="post" class="inline">
       			 		<p>' . hiddenrequest('finish') . '
        					<input type="hidden" name="configerr" value="1" />
        					<input type="submit" value="' . _IGNORE . '" />&nbsp;&nbsp;
        				</p>
        			</form>';
        }
        break;

    /**
     */
    case 'showconfig';
        // <input type="hidden" name="configphp" value="'.$_REQUEST['configphp'].'" />
        $output = '
    			<p>' . _CONFIG_CREATE . '</p>
    			<p><textarea cols="72" rows="12" name="xxconfigphp">' . $_REQUEST['configphp'] . '</textarea></p>
    			<form action="index.php" method="post" class="inline">
    				<p>' . hiddenrequest($_REQUEST['lastop']) . '
    					<input type="submit" value="' . _GOBACK . '" />
    				</p>
    			</form>
    			<form action="index.php" method="post" class="inline">
    				<p>' . hiddenrequest('savesettings') . '
    					<input type="submit" value="' . _SUBMIT . '" />
    				</p>
    			</form>';
        break;

    /**
     */
    case 'finish';
        $option = _STEP_FINISHEDUPDATE;
        $output .= '
        	<h3>' . _SETUPHAPPY1 . '</h3>
        	<p>' . _SETUPHAPPY2 . '</p>
        	<p>' . _SETUPHAPPY3 . '</p>
        	<div class="warning">' . _DELETE_FILES . '
        		' . printdeleter() . '
        	</div>';
        if (isset($_REQUEST['configerr'])) {
            $output .= '
        			<form action="index.php" method="post">
        				<p>' . hiddenrequest('savesettings') . '
        					<input type="submit" value="' . _GOBACK . '" />
        				</p>
        			</form>';
        }
        $output .= '
    			<form action="' . PATH_MX_BASE . '/admin.php?op=Configure">
    				<p>
    					<input type="hidden" name="op" value="Configure" />
    					<input type="submit" value="' . _GOTOADMIN . '" />
    				</p>
    			</form>
    			<hr />
    			<ul>
    				<li>' . _SUPPORTINFO . '</li>
    				<li>' . _DOKUINFO . '</li>
    			</ul>';
        break;
        // end case
}

?>
