<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.1.2.8 $
 * $Author: sitki $
 * $Date: 2007/12/28 17:28:38 $
 */
// ================================================
// SPAW File Manager plugin
// ================================================
// German language file
// ================================================
// Developed: Saulius Okunevicius, saulius@solmetra.com
// Translated: Alexander Schmutz, webmaster@sinsolutions.de
// Copyright: Solmetra (c)2006 All rights reserved.
// ------------------------------------------------
// www.solmetra.com
// ================================================
// v.1.0, 2006-11-20
// ================================================

// charset to be used in dialogs
$spaw_lang_charset = 'iso-8859-1';

// language text data array
// first dimension - block, second - exact phrase
// alternative text for toolbar buttons and title for dropdowns - 'title'
$spaw_lang_data = array('spawfm' => array('title' => 'SPAW Datei Manager',
        'error_reading_dir' => 'Fehler: Verzeichnis kann nicht gelesen werden.',
        'error_upload_forbidden' => 'Fehler: Das Hochladen von Dateien ist in diesem Verzeichnis nicht erlaubt.',
        'error_upload_file_too_big' => 'Das Hochladen ist fehlgeschlagen. Die Datei ist zu gro.',
        'error_upload_failed' => 'Das Hochladen ist fehlgeschlagen.',
        'error_upload_file_incomplete' => 'Die Datei zum Hochladen ist nicht komplett. Versuchen Sie es nocheinmal.',
        'error_bad_filetype' => 'Fehler: Dieser Dateityp ist nicht erlaubt.',
        'error_max_filesize' => 'Maximal erlaube Dateigre:',
        'error_delete_forbidden' => 'Fehler: In diesem Verzeichnis drfen keine Dateien gelscht werden.',
        'confirm_delete' => 'Sind sie sicher dass Sie die Datei "[*file*]" lschen wollen?',
        'error_delete_failed' => 'Fehler: Datei konnte nicht gelscht werden. Mglicherweise haben sie nicht die ntigen Rechte.',
        'error_no_directory_available' => 'Kein Verzeichnis vorhanden das durchsucht werden kann.',
        'download_file' => '[Datei herunterladen]',
        'error_chmod_uploaded_file' => 'Das Hochladen der Datei war erfolgreich, aber die Vergabe der Benutzerrechte ist fehlgeschlagen.',
        'error_img_width_max' => 'Maximal erlaubte Bildbreite: [*MAXWIDTH*]px',
        'error_img_height_max' => 'Maximal erlaubte Bildhhe: [*MAXHEIGHT*]px',
        'rename_text' => 'Geben Sie einen neuen Dateinamen fr die Datei "[*FILE*]" ein:',
        'error_rename_file_missing' => 'Umbenennen fehlgeschlagen - Datei wurde nicht gefunden.',
        'error_rename_directories_forbidden' => 'Fehler: Das Umbenennen von Verzeichnisen ist in diesem Verzeichnis nicht erlaubt.',
        'error_rename_forbidden' => 'Fehler: Das Umbenennen der Dateien ist in diesem Verzeichnis nicht erlaubt.',
        'error_rename_file_exists' => 'Fehler: Die Datei "[*FILE*]" existiert bereits.',
        'error_rename_failed' => 'Fehler: Umbenennen fehlgeschlagen. Mglicherweise haben sie nicht die ntigen Rechte.',
        'error_rename_extension_changed' => 'Fehler: Dateinamenerweiterungen drfen nicht gendert werden!',
        'newdirectory_text' => 'Geben Sie einen Namen fr das Verzeichnis ein:',
        'error_create_directories_forbidden' => 'Fehler: Verzeichnisse erstellen ist verboten',
        'error_create_directories_name_used' => 'Name ist bereits vergeben, versuchen Sie einen anderen.',
        'error_create_directories_failed' => 'Fehler: Verzeichnis konnte nicht erstellt werden. Mglicherweise haben sie nicht die ntigen Rechte.',
        'error_create_directories_name_invalid' => 'Diese Zeichen drfen in Verzeichnisnamen nicht verwendet werden: / \\ : * ? " < > |',
        'confirmdeletedir_text' => 'Sind Sie sicher, dass Sie das Verzeichnis "[*DIR*]" lschen wollen?',
        'error_delete_subdirectories_forbidden' => 'Das Lschen von Verzeichnissen ist verboten.',
        'error_delete_subdirectories_failed' => 'Verzeichnis konnte nicht gelscht werden. Mglicherweise haben sie nicht die ntigen Rechte.',
        'error_delete_subdirectories_not_empty' => 'Verzeichnis ist nicht leer.',
        ),
    'buttons' => array('ok' => '  OK  ',
        'cancel' => 'Abbrechen',
        'view_list' => 'Modus: Liste',
        'view_details' => 'Modus: Details',
        'view_thumbs' => 'Modus: Vorschau',
        'rename' => 'Umbenennen...',
        'delete' => 'Lschen',
        'go_up' => 'Ebene hher',
        'upload' => 'Hochladen',
        'create_directory' => 'Neues Verzeichnis...',
        ),
    'file_details' => array('name' => 'Name',
        'type' => 'Typ',
        'size' => 'Gre',
        'date' => 'Datum gendert',
        'filetype_suffix' => 'Datei',
        'img_dimensions' => 'Dimension',
        'file_folder' => 'Datei Ordner',
        ),
    'filetypes' => array('any' => 'Alle Dateien (*.*)',
        'images' => 'Bild Dateien',
        'flash' => 'Flash Filme',
        'documents' => 'Dokumente',
        'audio' => 'Audio Dateien',
        'video' => 'Video Dateien',
        'archives' => 'Archiv Dateien',
        '.jpg' => 'JPG Bild Datei',
        '.jpeg' => 'JPG Bild Datei',
        '.gif' => 'GIF Bild Datei',
        '.png' => 'PNG Bild Datei',
        '.swf' => 'Flash Film',
        '.doc' => 'Microsoft Word Dokument',
        '.xls' => 'Microsoft Excel Dokument',
        '.pdf' => 'PDF Dokument',
        '.rtf' => 'RTF Dokument',
        '.odt' => 'OpenDocument Text',
        '.ods' => 'OpenDocument Spreadsheet',
        '.sxw' => 'OpenOffice.org 1.0 Text Dokument',
        '.sxc' => 'OpenOffice.org 1.0 Spreadsheet',
        '.wav' => 'WAV Audio Datei',
        '.mp3' => 'MP3 Audio Datei',
        '.ogg' => 'Ogg Vorbis Audio Datei',
        '.wma' => 'Windows Audio Datei',
        '.avi' => 'AVI Video Datei',
        '.mpg' => 'MPEG Video Datei',
        '.mpeg' => 'MPEG Video Datei',
        '.mov' => 'QuickTime Video Datei',
        '.wmv' => 'Windows Video Datei',
        '.zip' => 'ZIP Archiv',
        '.rar' => 'RAR Archiv',
        '.gz' => 'gzip Archiv',
        '.txt' => 'Text Dokument',
        '' => '',
        ),
    );

?>