<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.6.2.3 $
 * $Author: dia_bolo $
 * $Date: 2008/01/16 10:41:26 $
 */

if (!defined("mxAdminFileLoaded")) die("Access Denied");
if (!mxGetAdminPref('radminsuper')) {
    mxErrorScreen("Access Denied");
    die();
}

function seclog()
{
    global $bgcolor1, $bgcolor2;
    $result = sql_query("select log_ip, log_time, log_eventid, log_event, aid, uname, request from " . $GLOBALS['prefix'] . "_securelog order by log_time DESC");
    include ("header.php");
    GraphicAdmin();
    title(_SECLOGTITLE);
    OpenTable();
    if (empty($GLOBALS['vkpsec_logging'])) {
        echo "\n<center><h3>" . _SECLOGDEACTIVATE . "</h3></center>\n";
    }
    echo "\n<table width=\"100%\" border=\"0\" cellspacing=\"0\" cellpadding=\"0\" bgcolor=\"$bgcolor2\"><tr><td>\n";
    echo "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"2\">\n"
     . "<tr valign=\"top\">"
     . "<td><b>" . _SECLOGTIME . "</b></td>\n"
     . "<td><b>" . _SECLOGIP . "</b></td>\n"
     . "<td><b>" . _SECLOGADMIN . "</b></td>\n"
     . "<td><b>" . _SECLOGUSER . "</b></td>\n"
     . "<td><b>" . _SECLOGTYPE . "</b></td>\n"
     . "<td><b>" . _SECLOGLOG . "</b></td>\n"
    // ."<td><b>"._SECLOGDATA."</b></td>\n"
    . "</tr>";
    while (list($log_ip, $log_time, $log_eventid, $log_event, $aid, $uname, $request) = sql_fetch_row($result)) {
        echo "\n<tr valign=\"top\" bgcolor=\"$bgcolor1\">\n"
         . "<td nowrap=\"nowrap\">" . date("d.m.Y H:i:s", $log_time) . "</td>\n"
         . "<td>" . $log_ip . "</td>\n"
         . "<td>" . ((empty($aid)) ? "&nbsp;" : $aid) . " </td>\n"
         . "<td>" . ((empty($uname)) ? "&nbsp;" : $uname) . " </td>\n"
         . "<td>" . $log_eventid . "</td>\n"
        // ."<td class=\"tiny\">".nl2br(mxCutString($log_event,130))."</td>\n"
        . "<td class=\"tiny\">" . $log_event . "</td>\n"
        // ."<td class=\"tiny\">".$request."</td>\n"
        . "</tr>\n";
    }
    echo "</table>\n</td></tr></table>\n"
     . "  <form action=\"admin.php\" method=\"post\">\n"
     . "  <input type=\"hidden\" name=\"op\" value=\"delseclog\">\n"
     . "  <center><input type=\"submit\" value=\"" . _SECLOGDEL . "\"></center>\n</form>\n";
    CloseTable();
    include ("footer.php");
}

function delseclog()
{
    sql_query("DELETE FROM " . $GLOBALS['prefix'] . "_securelog");
    mxSecureLog("<b>SecLog</b>", "<b>" . _SECLOGDELOK . "</b>");
    Header("Location: admin.php?op=seclog");
}

function seclogdetail($log_ip)
{
    $result = sql_query("select log_ip, log_time, log_eventid, log_event, aid, uname, request from " . $GLOBALS['prefix'] . "_securelog WHERE log_ip = " . $log_ip . "");
    list($log_ip, $log_time, $log_eventid, $log_event, $aid, $uname, $request) = sql_fetch_row($result);
}

switch ($op) {
    case "seclog":
        seclog();
        break;
    // case "seclogdetail":
    // seclogdetail();
    // break;
    case "delseclog":
        delseclog();
        break;
}

?>
