<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.13.4.6 $
 * $Author: tora60 $
 * $Date: 2008/02/02 10:40:53 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

defined('mxMainFileLoaded') or die('access denied');

if (!defined('PMX_VERSION')) {
    mxErrorScreen('pragmaMx >= 0.1.10 is required');
}

if (!mxGetAdminPref('radminency')) {
    mxErrorScreen("Access Denied");
    die();
}

$wysiwyg = 0;
$wysiwyg_enzy = 0;
include_once('spaw/spaw_control.class.php');

function alpha($eid)
{
    global $module_name, $prefix;
    // $alphabet = array ("A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M", "N", "O", "P", "Q", "R", "S", "T", "U", "V", "W", "X", "Y", "Z");
    $alphabet = array ("A", "B", "C", "D", "E", "F", "G", "H", "I", "J", "K", "L", "M",
        "N", "O", "P", "Q", "R", "S", "T", "U", "V", "W", "X", "Y", "Z", "", "", "", "1", "2", "3", "4", "5", "6", "7", "8", "9", "0");
    $num = count($alphabet) - 1;
    $half = round($num / 2);

    echo "<center>[ ";
    $result = sql_query("SELECT DISTINCT UPPER(LEFT(title, 1)) from " . $prefix . "_encyclopedia_text WHERE eid=" . intval($eid));
    while ($row = sql_fetch_row($result)) {
        $titles[$row[0]] = $row[0];
    }

    $counter = 0;
    foreach ($alphabet as $ltr) {
        if (isset($titles[$ltr])) {
            echo "<a href=\"admin.php?op=encyclopedia_terms&amp;eid=$eid&amp;ltr=$ltr\">$ltr</a>";
        } else {
            echo $ltr;
        }
        if ($counter == $half) {
            echo " ]\n<br>\n[ ";
        } elseif ($counter != $num) {
            echo "&nbsp;|&nbsp;";
        }
        $counter++;
    }
    echo " ]</center><br><br>\n\n\n";
}

function encyclopedia()
{
    global $prefix, $language, $multilingual, $bgcolor1, $bgcolor2, $bgcolor3;
    $img_activate = mxCreateImage("images/activate.gif", _ACTIVE);
    $img_deactivate = mxCreateImage("images/deactivate.gif", _DEACTIVATE);
    $img_delete = mxCreateImage("images/delete.gif", _DELETE);
    $img_edit = mxCreateImage("images/edit.gif", _EDIT);
    include("header.php");
    GraphicAdmin();
    title(_ENCYCLOPEDIAMANAGER);
    OpenTable();
    echo "<table width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"2\" bgcolor=\"$bgcolor1\"><tr bgcolor=\"$bgcolor2\">"
         . "<td bgcolor=\"$bgcolor2\"><b>" . _TITLE . "</b></td><td align=\"center\" bgcolor=\"$bgcolor2\"><b>" . _TERMS . "</b></td><td align=\"center\" bgcolor=\"$bgcolor2\"><b>" . _CURRENTSTATUS . "</b></td><td align=\"center\" bgcolor=\"$bgcolor2\"><b>" . _FUNCTIONS . "</b></td></tr>";
    $result = sql_query("select * from " . $prefix . "_encyclopedia order by eid");
    while ($ency = sql_fetch_array($result)) {
        $num = sql_num_rows(sql_query("select * from " . $prefix . "_encyclopedia_text WHERE eid='$ency[eid]'"));
        if ($ency["active"] == 1) {
            $status = $img_activate;
            $status_chng = $img_deactivate;
            $active = 1;
        } else {
            $status = $img_deactivate;
            $status_chng = $img_activate;
            $active = 0;
        }
        echo "<tr bgcolor=\"$bgcolor3\"><td><a href=\"modules.php?name=Encyclopedia&amp;op=list_content&amp;eid=$ency[eid]\">$ency[title]</a></td><td align=\"center\">$num</td><td align=\"center\">$status</td><td align=\"center\"><a href=\"admin.php?op=encyclopedia_edit&amp;eid=$ency[eid]\">" . $img_edit . "</a>&nbsp;<a href=\"admin.php?op=encyclopedia_change_status&amp;eid=$ency[eid]&amp;active=$active\">$status_chng</a>&nbsp;<a href=\"admin.php?op=encyclopedia_delete&amp;eid=$ency[eid]\">" . $img_delete . "</a></td></tr>";
    }
    echo "</table>";
    CloseTable();
    echo "<br>";
    OpenTable();
    echo "<fieldset><legend>" . _ADDNEWENCYCLOPEDIA . "</legend>"
     . "<form action=\"admin.php\" method=\"post\">"
     . "<b>" . _TITLE . ":</b>&nbsp;"
     . "<input type=\"text\" name=\"title\" size=\"50\"><br><br>"
     . "<b>" . _DESCRIPTION . ":</b><br>";

    if ($GLOBALS['wysiwyg'] && $GLOBALS['wysiwyg_enzy']) {
        $sw = new SPAW_Wysiwyg('enzydesc', '', _DOC_LANGUAGE, $GLOBALS['wysiwyg_toolbar'], $GLOBALS['wysiwyg_btnset'], '100%', '250');
        $sw->show();
    } else {
        echo "<textarea name=\"enzydesc\" cols=\"60\" rows=\"20\"></textarea>";
    }

    echo "<br><br>";

    if ($multilingual == 1) {
        echo "<br><b>" . _LANGUAGE . ": </b>" . mxLanguageSelect('elanguage', $language, 'language') . "<br><br>";
    } else {
        echo "<input type=\"hidden\" name=\"elanguage\" value=\"\">";
    }
    echo "<b>" . _ACTIVATEPAGE . "</b>&nbsp;"
     . "<input type=\"radio\" name=\"active\" value=\"1\" checked>&nbsp;" . _YES . "&nbsp;&nbsp;<input type=\"radio\" name=\"active\" value=\"0\">&nbsp;" . _NO . "<br><br>"
     . "<input type=\"hidden\" name=\"op\" value=\"encyclopedia_save\">"
     . "<input type=\"submit\" value=\"" . _ADD . "\">"
     . "</form></fieldset>";
    CloseTable();
    $result = sql_query("select eid, title from " . $prefix . "_encyclopedia");
    if (sql_num_rows($result) > 0) {
        echo "<br>";
        OpenTable();
        echo "<fieldset><legend>" . _ADDNEWENCYTERM . "</legend>"
         . "<form action=\"admin.php\" method=\"post\">"
         . "<b>" . _ENCYCLOPEDIA . ":</b>&nbsp;<select name=\"eid\">";
        while (list($eid, $title) = sql_fetch_row($result)) {
            echo "<option value=\"$eid\">$title</option>";
        }
        echo "</select><br><br>"
         . "<b>" . _TITLE . ":</b>&nbsp;<input type=\"text\" name=\"title\" size=\"50\"><br><br>"
         . "<b>" . _TERMTEXT . ":</b><br>";
        if ($GLOBALS['wysiwyg'] && $GLOBALS['wysiwyg_enzy']) {
            $GLOBALS['show_pagebreak'] = true;
            $sw = new SPAW_Wysiwyg('text', '', _DOC_LANGUAGE, $GLOBALS['wysiwyg_toolbar'], $GLOBALS['wysiwyg_btnset'], '100%', '250');
            $sw->show();
        } else {
            echo "<textarea name=\"text\" cols=\"60\" rows=\"20\"></textarea>";
        }
        echo "<br><span class=\"tiny\">" . _PAGEBREAK . "</span><br><br>"
         . "<b>" . _AUTOLINK . ":</b>&nbsp;"
         . "<input type=\"radio\" name=\"autolink\" value=\"1\" checked>&nbsp;" . _YES . "&nbsp;&nbsp;<input type=\"radio\" name=\"autolink\" value=\"0\">&nbsp;" . _NO . "<br><br>";

        if ($multilingual == 1) {
            // echo "<br><b>" . _LANGUAGE . ":</b>&nbsp;" . mxLanguageSelect('elanguage', $language, 'language') . "<br><br>";
        } else {
            // echo "<input type=\"hidden\" name=\"elanguage\" value=\"\">";
        }
        echo "<input type=\"hidden\" name=\"op\" value=\"encyclopedia_text_save\">"
         . "<input type=\"submit\" value=\"" . _ADD . "\">"
         . "</form></fieldset>";
        CloseTable();
    }

    $result = sql_query("select eid, title from " . $prefix . "_encyclopedia");
    $options = array();
    while (list($eid, $title) = sql_fetch_row($result)) {
        $options[] = "<option value=\"$eid\">$title</option>";
    }
    if (count($options) > 1) {
        echo "<br>";
        OpenTable();
        echo "<fieldset><legend>" . _MOVETERMS . "</legend>"
         . "<form action=\"admin.php\" method=\"post\">"
         . _MOVEALLTERMSFROM . ": <select name=\"eid\">" . implode("\n", $options) . "</select>&nbsp;"
         . _TO . ": <select name=\"new_eid\">" . implode("\n", $options) . "</select>"
         . "&nbsp;&nbsp;<input type=\"hidden\" name=\"op\" value=\"move_terms\">"
         . "<input type=\"submit\" value=\"" . _SAVECHANGES . "\">"
         . "</form></fieldset>";
        CloseTable();
    }
    include("footer.php");
}

function encyclopedia_edit($eid)
{
    global $prefix, $language, $multilingual, $bgcolor2;
    include("header.php");
    GraphicAdmin();
    title(_ENCYCLOPEDIAMANAGER);
    $result = sql_query("select * from " . $prefix . "_encyclopedia WHERE eid='$eid'");
    $ency = sql_fetch_array($result);
    if ($ency["active"] == 1) {
        $sel1 = "checked";
        $sel2 = "";
    } else {
        $sel1 = "";
        $sel2 = "checked";
    }
    OpenTable();
    echo "<fieldset><legend>" . _EDITENCYCLOPEDIA . "</legend>"
     . "<form action=\"admin.php\" method=\"post\">"
     . "<b>" . _TITLE . ":</b>&nbsp;"
     . "<input type=\"text\" name=\"title\" size=\"50\" value=\"" . mxEntityQuotes($ency['title']) . "\"><br><br>"
     . "<b>" . _DESCRIPTION . ":</b><br>";

    if ($GLOBALS['wysiwyg'] && $GLOBALS['wysiwyg_enzy']) {
        $sw = new SPAW_Wysiwyg('enzydesc', $ency['description'], _DOC_LANGUAGE, $GLOBALS['wysiwyg_toolbar'], $GLOBALS['wysiwyg_btnset'], '100%', '250');
        $sw->show();
    } else {
        echo "<textarea name=\"enzydesc\" cols=\"60\" rows=\"20\">" . htmlspecialchars($ency['description']) . "</textarea>";
    }

    echo "<br><br>";
    if ($multilingual == 1) {
        echo "<br><b>" . _LANGUAGE . ": </b>" . mxLanguageSelect('elanguage', $ency['elanguage'], 'language') . "<br><br>";
    } else {
        echo "<input type=\"hidden\" name=\"elanguage\" value=\"$ency[elanguage]\">";
    }
    echo "<b>" . _ACTIVATEPAGE . "</b>&nbsp;"
     . "<input type=\"radio\" name=\"active\" value=\"1\" $sel1>&nbsp;" . _YES . "&nbsp;&nbsp;<input type=\"radio\" name=\"active\" value=\"0\" $sel2>&nbsp;" . _NO . "<br><br>"
     . "<input type=\"hidden\" name=\"eid\" value=\"$ency[eid]\">"
     . "<input type=\"hidden\" name=\"op\" value=\"encyclopedia_save_edit\">"
     . "<input type=\"submit\" value=\"" . _SAVECHANGES . "\">"
     . "</form></fieldset>";
    CloseTable();
    echo "<br>";
    OpenTable();
    echo "<center><b>" . _ENCYTERMSEDIT . "</b></center><br><br>";
    alpha($eid);
    CloseTable();
    include("footer.php");
}

function encyclopedia_terms($eid, $ltr)
{
    global $prefix;
    include("header.php");
    GraphicAdmin();
    title(_ENCYCLOPEDIAMANAGER);
    $result = sql_query("select title from " . $prefix . "_encyclopedia where eid=" . intval($eid) . " AND UPPER(title) LIKE '%$ltr%'");
    list($title) = sql_fetch_row($result);
    title("$title");
    OpenTable();
    echo "<center>" . _SELECTONETERM . "</center><br><br>"
     . "<table border=\"0\" align=\"center\">";
    $result = sql_query("select tid, title from " . $prefix . "_encyclopedia_text WHERE UPPER(title) LIKE '$ltr%' AND eid=" . intval($eid) . " ORDER BY title");
    if (sql_num_rows($result) == 0) {
        echo "<center><i>" . _NOCONTENTFORLETTER . " $ltr.</i></center>";
    } while (list($tid, $title) = sql_fetch_row($result)) {
        echo "<tr><td><a href=\"admin.php?op=encyclopedia_text_edit&amp;tid=$tid\">$title</a></td></tr>";
    }
    echo "</table><br><br>";
    alpha($eid);
    echo "<center>" . _GOBACK . "</center>";
    CloseTable();
    include("footer.php");
}

function encyclopedia_text_edit($tid)
{
    global $prefix, $language, $multilingual, $bgcolor2;
    include("header.php");
    GraphicAdmin();
    title(_ENCYCLOPEDIAMANAGER);
    $result = sql_query("select * from " . $prefix . "_encyclopedia_text WHERE tid='$tid'");
    $ency = sql_fetch_array($result);
    OpenTable();
    echo "<center><b>" . _ENCYTERMSEDIT . "</b></center><br><br>"
     . "<form action=\"admin.php\" method=\"post\">"
     . "<b>" . _CHANGETOENCY . ":</b>&nbsp;"
     . "<select name=\"eid\">";
    $result = sql_query("select eid, title from " . $prefix . "_encyclopedia");
    while (list($eid, $title) = sql_fetch_row($result)) {
        if ($eid == $ency['eid']) {
            $sel = "selected";
        } else {
            $sel = "";
        }
        echo "<option value=\"$eid\" $sel>$title</option>";
    }
    echo "</select><br><br>"
     . "<b>" . _TITLE . ":</b>&nbsp;<input type=\"text\" name=\"title\" size=\"50\" value=\"$ency[title]\"><br><br>"
     . "<b>" . _TERMTEXT . ":</b><br>";

    if ($GLOBALS['wysiwyg'] && $GLOBALS['wysiwyg_enzy']) {
        $GLOBALS['show_pagebreak'] = true;
        $sw = new SPAW_Wysiwyg('text', $ency['text'], _DOC_LANGUAGE, $GLOBALS['wysiwyg_toolbar'], $GLOBALS['wysiwyg_btnset'], '100%', '250');
        $sw->show();
    } else {
        echo "<textarea name=\"text\" cols=\"60\" rows=\"20\">$ency[text]</textarea>";
    }

    switch ($ency['autolink']) {
        case 0:
            $linkon = "";
            $linkof = "checked";
            break;
        default:
            $linkon = "checked";
            $linkof = "";
    }
    echo "<br><span class=\"tiny\">" . _PAGEBREAK . "</span><br><br>"
     . "<b>" . _AUTOLINK . ":</b>&nbsp;"
     . "<input type=\"radio\" name=\"autolink\" value=\"1\" $linkon>&nbsp;" . _YES . "&nbsp;&nbsp;<input type=\"radio\" name=\"autolink\" value=\"0\" $linkof>&nbsp;" . _NO . "<br><br>"
     . "<input type=\"hidden\" name=\"op\" value=\"encyclopedia_text_save_edit\">"
     . "<input type=\"hidden\" name=\"tid\" value=\"$tid\">"
     . "<input type=\"submit\" value=\"" . _SAVECHANGES . "\"> &nbsp;&nbsp; [&nbsp;<a href=\"admin.php?op=encyclopedia_text_delete&amp;tid=$tid&ok=0\">" . _DELETE . "</a>&nbsp;]"
     . "</form>";
    CloseTable();
    include("footer.php");
}

function encyclopedia_save($title, $enzydesc, $elanguage, $active)
{
    global $prefix;
    sql_query("insert into " . $prefix . "_encyclopedia values(NULL, '" . mxAddSlashesForSQL($title) . "', '" . mxAddSlashesForSQL($enzydesc) . "', '" . mxAddSlashesForSQL($elanguage) . "', '" . mxAddSlashesForSQL($active) . "')");
    header("Location: admin.php?op=encyclopedia");
}

function encyclopedia_text_save($eid, $title, $text, $autolink)
{
    global $prefix;
    sql_query("insert into " . $prefix . "_encyclopedia_text values(NULL, " . intval($eid) . ", '" . mxAddSlashesForSQL($title) . "', '" . mxAddSlashesForSQL($text) . "', '" . intval($autolink) . "', '0')");
    header("Location: admin.php?op=encyclopedia");
}

function encyclopedia_save_edit($eid, $title, $enzydesc, $elanguage, $active)
{
    global $prefix;
    sql_query("update " . $prefix . "_encyclopedia set title='" . mxAddSlashesForSQL($title) . "', description='" . mxAddSlashesForSQL($enzydesc) . "', elanguage='" . mxAddSlashesForSQL($elanguage) . "', active='" . intval($active) . "' where eid=" . intval($eid));
    header("Location: admin.php?op=encyclopedia");
}

function encyclopedia_text_save_edit($tid, $eid, $title, $text, $autolink)
{
    global $prefix;
    sql_query("update " . $prefix . "_encyclopedia_text set eid=" . intval($eid) . ", title='" . mxAddSlashesForSQL($title) . "', text='" . mxAddSlashesForSQL($text) . "', autolink='" . intval($autolink) . "' WHERE tid='" . intval($tid) . "'");
    header("Location: admin.php?op=encyclopedia");
}

function encyclopedia_change_status($eid, $active)
{
    global $prefix;
    if ($active == 1) {
        $new_active = 0;
    } elseif ($active == 0) {
        $new_active = 1;
    }
    sql_query("update " . $prefix . "_encyclopedia set active='$new_active' WHERE eid=" . intval($eid));
    header("Location: admin.php?op=encyclopedia");
}

function encyclopedia_delete($eid, $ok = 0)
{
    global $prefix;
    if ($ok == 1) {
        sql_query("delete from " . $prefix . "_encyclopedia where eid=" . intval($eid));
        sql_query("delete from " . $prefix . "_encyclopedia_text where eid=" . intval($eid));
        header("Location: admin.php?op=encyclopedia");
    } else {
        include("header.php");
        GraphicAdmin();
        title(_ENCYCLOPEDIAMANAGER);
        $result = sql_query("select title from " . $prefix . "_encyclopedia where eid=" . intval($eid));
        list($title) = sql_fetch_row($result);
        OpenTableAl();
        echo "<center><b>" . _DELENCYCLOPEDIA . ": $title</b><br><br>"
         . _DELENCYCONTWARNING . "<br><br>"
         . "[&nbsp;<a href=\"admin.php?op=encyclopedia\">" . _NO . "</a> | <a href=\"admin.php?op=encyclopedia_delete&amp;eid=$eid&amp;ok=1\">" . _YES . "</a>&nbsp;]</center>";
        CloseTableAl();
        include("footer.php");
    }
}

function encyclopedia_text_delete($tid, $ok = 0)
{
    global $prefix;
    if ($ok == 1) {
        sql_query("delete from " . $prefix . "_encyclopedia_text where tid='" . intval($tid) . "'");
        header("Location: admin.php?op=encyclopedia");
    } else {
        include("header.php");
        GraphicAdmin();
        title(_ENCYCLOPEDIAMANAGER);
        $result = sql_query("select title from " . $prefix . "_encyclopedia_text where tid='" . intval($tid) . "'");
        list($title) = sql_fetch_row($result);
        OpenTable();
        echo "<center><b>" . _DELENCYCLOPEDIATEXT . ": $title</b><br><br>"
         . _DELENCYTEXTWARNING . "<br><br>"
         . "[&nbsp;<a href=\"admin.php?op=encyclopedia\">" . _NO . "</a> | <a href=\"admin.php?op=encyclopedia_text_delete&amp;tid=$tid&amp;ok=1\">" . _YES . "</a>&nbsp;]</center>";
        CloseTable();
        include("footer.php");
    }
}

function move_terms($eid, $new_eid)
{
    global $prefix;
    $result = sql_query("select tid from " . $prefix . "_encyclopedia_text WHERE eid=" . intval($eid));
    while (list($tid) = sql_fetch_row($result)) {
        sql_query("update " . $prefix . "_encyclopedia_text set eid='$new_eid' WHERE tid='" . intval($tid) . "'");
    }
    header("Location: admin.php?op=encyclopedia");
}

$ok = (empty($ok)) ? 0 : 1;
switch ($op) {
    case "move_terms":
        move_terms($eid, $new_eid);
        break;

    case "encyclopedia_terms":
        encyclopedia_terms($eid, $ltr);
        break;

    case "encyclopedia_edit":
        encyclopedia_edit($eid);
        break;

    case "encyclopedia_text_edit":
        encyclopedia_text_edit($tid);
        break;

    case "encyclopedia_delete":
        encyclopedia_delete($eid, $ok);
        break;

    case "encyclopedia_text_delete":
        encyclopedia_text_delete($tid, $ok);
        break;

    case "encyclopedia_save":
        encyclopedia_save($title, $enzydesc, $elanguage, $active);
        break;

    case "encyclopedia_text_save":
        encyclopedia_text_save($eid, $title, $text, $autolink);
        break;

    case "encyclopedia_save_edit":
        encyclopedia_save_edit($eid, $title, $enzydesc, $elanguage, $active);
        break;

    case "encyclopedia_text_save_edit":
        encyclopedia_text_save_edit($tid, $eid, $title, $text, $autolink);
        break;

    case "encyclopedia_change_status":
        encyclopedia_change_status($eid, $active);
        break;

    case "encyclopedia":
    default:
        encyclopedia();
        break;
}

?>