<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.1.2.7 $
 * $Author: siggi $
 * $Date: 2008/01/18 19:26:25 $
 */

defined('mxMainFileLoaded') or die('access denied');

define('_MX_MENUS', "Men&uuml;s");
define('_MX_MENU_ADMIN', "Men&uuml;s verwalten");
define('_MX_MENU_INPUTREQUIRED_NOTE', "Dieses Feld wird ben&ouml;tigt");
define('_MX_MENU_INPUTREQUIRED', "Das Feld <i>%s</i> wird ben&ouml;tigt");
define('_MX_MENU_PATH', "Pfad");
define('_MX_MENU_EDIT', "Bearbeiten");
define('_MX_MENU_DELETE', "L&ouml;schen");
define('_MX_MENU_DELETE_AREYOUSURE', "Sicher, da&szlig; Men&uuml; '%s' gel&ouml;scht werden soll ? [ <a href='%s'>Ja</a> | <a href='admin.php?op=menu'>Nein</a> ]");
define('_MX_MENU_DELETED', "Das Men&uuml; '%s' wurde gel&ouml;scht.");
define('_MX_MENU', "Men&uuml;");
define('_MX_MENU_ITEM', "Men&uuml;punkt");
define('_MX_MENU_OPERATIONS', "Operationen");

define('_MX_MENU_SHOWALL', "Alle anzeigen");
define('_MX_MENU_SHOWALL_INTRO', "Men&uuml;s sind eine Ansammlung von Links (Men&uuml;punkten) die eine Navigation erm&ouml;glichen. Die untenstehenden Listen zeigen die momentan verf&uuml;gbaren Men&uuml;s mit ihren Men&uuml;punkten an.");
define('_MX_MENU_SHOWALL_NO_MENUS', "Keine Men&uuml;s definiert");

define('_MX_MENU_ADDMENU', "Men&uuml; hinzuf&uuml;gen");
define('_MX_MENU_ADDMENU_INTRO', "Name f&uuml;r das neue Men&uuml;. Der neu erstellte Block muss anschlie&szlig;end noch aktiviert werden.");
define('_MX_MENU_ADDMENU_EDIT', "Men&uuml; bearbeiten");
define('_MX_MENU_ADDMENU_NAME_DESCR', "Der Name des Men&uuml;s.");
define('_MX_MENU_ADDMENU_ADDED', "Das Men&uuml; '%s' wurde eingerichtet.");
define('_MX_MENU_ADDMENU_UPDATED', "Das Men&uuml; '%s' wurde aktualisiert.");
define('_MX_MENU_ADDMENU_EXISTEDALREADY', "Das Men&uuml; '%s' existiert bereits.");
define('_MX_MENU_ADDMENU_BLOCKEDIT', "<a href=\"admin.php?op=BlocksEdit&amp;bid=%d\">Men&uuml;block administrieren</a>");

define('_MX_MENU_ADDITEM', "Men&uuml;punkt hinzuf&uuml;gen");
define('_MX_MENU_ADDITEM_INTRO', "Titel, Pfad, Position und Gewicht des neuen Men&uuml;punkts.");
define('_MX_MENU_ADDITEM_EDIT', "Men&uuml;punkt bearbeiten");
define('_MX_MENU_ADDITEM_NOTDEF', "Keine Men&uuml;punkte definiert.");
define('_MX_MENU_ADDITEM_NAME_DESCR', "Der Name des Men&uuml;punkts.");
define('_MX_MENU_ADDITEM_TITLE_DESCR', "Die Beschreibung, die angezeigt wird, wenn man mit der Maus &uuml;ber einen Men&uuml;punkt f&auml;hrt.");
define('_MX_MENU_ADDITEM_PATH_DESCR', "Der Pfad, auf den dieser Men&uuml;punkt zeigt. Dies kann ein pragmaMx-Pfad oder eine externe Adresse, wie http://www.pragmamx.org, sein. F&uuml;r Modullinks die <a style='font-size:90%;' href='admin.php?op=menu'>Importfunktion</a> benutzen.");
define('_MX_MENU_ADDITEM_ASSOCIATEDMENU', "&Uuml;bergeordnetes Men&uuml;");
define('_MX_MENU_ADDITEM_WEIGHT', "Reihenfolge");
define('_MX_MENU_ADDITEM_WEIGHT_DESCR', "Optional. Je gr&ouml;&szlig;er die Zahl der Reihenfolge ist, desto weiter unten steht der Men&uuml;punkt.");
define('_MX_MENU_ADDITEM_ADDED', "Der Men&uuml;punkt '%s' wurde hinzugef&uuml;gt.");
define('_MX_MENU_ADDITEM_DELETE_AREYOUSURE', "Sicher, da&szlig; Men&uuml;punkt '%s' gel&ouml;scht werden soll ? [ <a href='%s'>Ja</a> | <a href='admin.php?op=menu'>Nein</a> ]");
define('_MX_MENU_ADDITEM_DELETED', "Der Men&uuml;punkt '%s' wurde gel&ouml;scht.");
define('_MX_MENU_ADDITEM_UPDATED', "Der Men&uuml;punkt '%s' wurde aktualisiert.");
define('_MX_MENU_ITEM_ENABLED', "Der Men&uuml;punkt '%s' wurde aktiviert.");
define('_MX_MENU_ITEM_DISABLED', "Der Men&uuml;punkt '%s' wurde deaktiviert.");
define('_MX_MENU_ITEM_EXISTEDALREADY', "Der Men&uuml;punkt '%s' existiert bereits.");

define('_MX_MENU_SETTINGS', "Einstellungen");
define('_MX_MENU_SETTINGS_INTRO', "Verwaltungseinstellungen");
define('_MX_MENU_INSTALL_INFO_NO', "mxMenu ist nicht installiert.");
define('_MX_MENU_INSTALL_INFO_YES', "mxMenu wurde installiert.");
define('_MX_MENU_INSTALL', "mxMenu installieren");
define('_MX_MENU_DEINSTALL_INFO_NO', "mxMenu ist installiert.");
define('_MX_MENU_DEINSTALL_INFO_YES', "mxMenu wurde deinstalliert.");
define('_MX_MENU_DEINSTALL', "mxMenu deinstallieren");
define('_MX_MENU_DEINSTALL_AREYOUSURE', "Sicher, da&szlig; mxMenu deinstalliert werden soll ? [ <a href='admin.php?op=menu/settings/deinstall/ok'>Ja</a> | <a href='admin.php?op=menu/settings'>Nein</a> ]");
define('_MX_MENU_RESET', "alle Inhalte l&ouml;schen");
define('_MX_MENU_RESET_INFO_YES', "alle Inhalte wurden gel&ouml;scht.");
// -- Version 1.02 -- :
// images
define('_MX_MENU_IMG_EDIT', '<img src="images/edit.gif" title="Bearbeiten" alt="Bearbeiten" />');
define('_MX_MENU_IMG_DEACTIVATE', '<img src="images/deactivate.gif" title="Deaktivieren" alt="Deaktivieren" />');
define('_MX_MENU_IMG_ACTIVATE', '<img src="images/activate.gif" title="Aktivieren" alt="Aktivieren" />');
define('_MX_MENU_IMG_DELETE', '<img src="images/delete.gif" title="Entfernen" alt="Entfernen" />');
define('_MX_MENU_IMG_HOME', '<img src="images/inhome.gif" title="' . _HOME . '" alt="' . _HOME . '" />');
define('_MX_MENU_IMG_MODULE_IMPORT', '<img src="admin/modules/mxMenu/images/import.gif" title="Importieren" alt="Importieren" />');
define('_MX_MENU_IMG_MODULE_ADMIN', '<img src="admin/modules/mxMenu/images/admin.gif" title="Verwalten" alt="Verwalten" />');

define('_MX_MENU_TREE_EXP_TITLE', "Ein- oder Ausklappen");
define('_MX_MENU_ITEM_EXP_OPEN', "ge&ouml;ffnet");
define('_MX_MENU_ITEM_EXP_DESCR', "Falls dieser Men&uuml;punkt Unterpunkte hat, werden diese immer ge&ouml;ffnet dargestellt.");
define('_MX_MENU_ITEM_ISDISABLED', "(deaktiviert)");
define('_MX_MENU_ITEM_ISMODULE', "Modul");
define('_MX_MENU_ACTIVATE', "Aktivieren");
define('_MX_MENU_DEACTIVATE', "Deaktivieren");
define('_MX_MENU_MODULE_ADMIN', "Module verwalten");
define('_MX_MENU_MODULE_NAME', "Name");
define('_MX_MENU_MODULE_TITLE', "Titel");
define('_MX_MENU_MODULE_BLOCK', "Block-Datei");
define('_MX_MENU_MODULE_OUTYET', "Modullinks(noch nicht integriert)");
define('_MX_MENU_ITEM_FORBIDDEN', "%s versteckte Modullinks");
define('_MX_MENU_ADDITEM_MODULEEDIT', "<a href=\"admin.php?op=module_edit&amp;mid=%d&amp;menu=1\">Modul administrieren</a>");
define('_MX_MENU_MOD_ILLEGALMOVE', "Evtl. vorhandene Untermen&uuml;punkte eines Modullinks gehen beim Verschieben in einen Modulblock verloren.<br />In diesem Fall sollte ein anderes Men&uuml; gew&auml;hlt oder vorher die Untermen&uuml;punkte in der Men&uuml;verwaltung ge&auml;ndert werden.<br /><br /><a href='admin.php?op=menu'>" . _MX_MENU_ADMIN . "</a>");
define('_MX_MENU_MENUOPTIONS', "Men&uuml;optionen");
define('_MX_MENU_SETTINGS_UPDATED', "Men&uuml;einstellungen wurden aktualisiert.");
define('_MX_MENU_SETTINGS_DYN_EXP', "Dynamisches Auf-und Zuklappen der Men&uuml;punkte erm&ouml;glichen");
define('_MX_MENU_SETTINGS_DYN_EXP_DESCR', "Falls diese Option aktiviert ist hat der User die M&ouml;glichkeit durch Anklicken des Ein/Ausklappen-Symbols vorhandene Untermen&uuml;punkte sichtbar zu machen.");
define('_MX_MENU_ENABLED', "Das Men&uuml; '%s' wurde aktiviert.");
define('_MX_MENU_DISABLED', "Das Men&uuml; '%s' wurde deaktiviert.");

?>
