<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.4.2.7 $
 * $Author: tora60 $
 * $Date: 2008/01/25 02:53:21 $
 *
 * this file based on:
 * CZ Enhanced Feedback
 * Copyright (c) 2004 by ~ Telli ~ (telli@codezwiz.com)
 * http://www.marsishere.net
 * edited by H.Grunert, http://www.marx-city.de
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

defined('mxMainFileLoaded') or die('access denied');
if (!mxGetAdminPref('radminsuper')) {
    mxErrorScreen("Access Denied");
    die();
}

if (@file_exists("admin/language/mxfeedback/lang-" . $GLOBALS['currentlang'] . ".php")) {
    include_once("admin/language/mxfeedback/lang-" . $GLOBALS['currentlang'] . ".php");
} else {
    include_once("admin/language/mxfeedback/lang-german.php");
}

function fmenu()
{
    global $bgcolor1, $bgcolor2, $bgcolor3;
    OpenTable();
    echo "<table style=\"margin:auto\" width=\"60%\" border=\"0\" cellspacing=\"1\" cellpadding=\"2\" bgcolor=\"$bgcolor1\">\n";
    echo "<tr bgcolor=\"" . $bgcolor2 . "\"><td align=\"center\" colspan=\"2\" class=\"option\"><strong>" . _MAINMENU . "</strong></td></tr>\n";
    echo "<tr bgcolor=\"" . $bgcolor3 . "\" align=\"center\">\n";
    echo "<td width=\"50%\"><a href=\"admin.php?op=mxfeedback_depts\">" . _DEPARTMENTS . "</a></td>\n";
    echo "<td width=\"50%\"><a href=\"admin.php?op=mxfeedback_config\">" . _PREFERENCES . "</a></td>\n";
    echo "</tr>\n</table>\n";
    CloseTable();
}

function mxfeedback_depts()
{
    global $bgcolor1, $bgcolor2, $bgcolor3, $prefix, $textcolor1;
    $img_delete = mxCreateImage("images/delete.gif", _DELETE);
    $img_edit = mxCreateImage("images/edit.gif", _EDIT);
    include ("header.php");
    GraphicAdmin();
    title(_MXFEEDBACK . ', ' . _DEPARTMENTS);
    fmenu();
    OpenTable();
    $did = 0;
    $sql = "SELECT * FROM " . $prefix . "_mxfeedback_depts ORDER BY dname ASC";
    $result = sql_query($sql);
    $num = sql_num_rows($result);
    echo "<br><br>\n";
    if ($num > 0) {
        echo "<table style=\"margin:auto\" width=\"100%\" border=\"0\" cellspacing=\"1\" cellpadding=\"2\" bgcolor=\"$bgcolor1\">\n"
         . "<tr bgcolor=\"" . $bgcolor2 . "\">
         			<td width=\"18%\"><strong>" . _DEPARTMENTNAME . "</strong></td>
              <td width=\"10%\"><strong>" . _PERSONALP . "</strong></td>
              <td width=\"18%\"><strong>" . _VVNAME . "</strong></td>
              <td width=\"18%\"><strong>" . _VNAME . "</strong></td>
              <td width=\"18%\"><strong>" . _DEPARTMENTEMAIL . "</strong></td>\n"
         . "<td width=\"18%\" align=\"center\"><strong>" . _ACTION . "</strong></td></tr>";

        while ($row = (sql_fetch_assoc($result))) {
            $did = intval($row['did']);
            $demail = $row['demail'];
            $dname = $row['dname'];
            $vvname = $row['vvname'];
            $vname = $row['vname'];
            $pp = $row['pp'];
            $parameter_change = "&amp;did=" . $did ;
            $parameter_delete = "&amp;did=" . $did . "&amp;ok=0";
            echo "<tr bgcolor=\"" . $bgcolor3 . "\">\n";
            echo "<td width=\"18%\">" . $dname . "</td>\n";
            echo "<td width=\"10%\">" . $pp . "</td>\n";
            echo "<td width=\"18%\">" . $vvname . "</td>\n";
            echo "<td width=\"18%\">" . $vname . "</td>\n";
            echo "<td width=\"18%\"><a href=\"mailto:" . $demail . "\">" . $demail . "</a></td>";
            echo "<td width=\"18%\" align=\"center\"><a href=\"admin.php?op=mxfeedback_deptedit" . $parameter_change . "\">" . $img_edit . "</a>&nbsp;<a href=\"admin.php?op=mxfeedback_deptdel" . $parameter_delete . "\">" . $img_delete . "</a></td></tr>";
        }
        echo "</table><br>";
    } else {
        echo "<center><b>" . _NODEPTSYET . "</b><br></center>\n";
    }
    CloseTable();
    echo '<br />';
    Opentable();
    echo "<fieldset><legend>" . _ADDDEPT . "</legend>\n"
     . "<form action=\"admin.php\" method=\"post\">\n"
     . "<input type=\"hidden\" name=\"did\" value=\"" . $did . "\" />"
     . "<table style=\"margin:auto\" bgcolor=\"" . $bgcolor1 . "\" cellspacing=\"1\" cellpadding=\"3\">\n"
     . "<tr bgcolor=\"" . $bgcolor2 . "\"><td><strong>" . _DEPARTMENTNAME . ":</strong></td>\n"
     . "<td bgcolor=\"" . $bgcolor3 . "\"><input type=\"text\" name=\"dname\" size=\"31\" /></td></tr>\n"
     . "<tr bgcolor=\"" . $bgcolor2 . "\"><td><strong>" . _DEPARTMENTEMAIL . ":</strong></td>\n"
     . "<td bgcolor=\"" . $bgcolor3 . "\"><input type=\"text\" name=\"demail\" size=\"31\" /></td></tr>\n"
     . "<tr bgcolor=\"" . $bgcolor2 . "\"><td><strong>" . _PERSONALP . ":</strong></td>\n"
     . "<td bgcolor=\"" . $bgcolor3 . "\"><input type=\"text\" name=\"pp\" size=\"31\" /></td></tr>\n"
     . "<tr bgcolor=\"" . $bgcolor2 . "\"><td><strong>" . _VVNAME . ":</strong></td>\n"
     . "<td bgcolor=\"" . $bgcolor3 . "\"><input type=\"text\" name=\"vvname\" size=\"31\" /></td></tr>\n"
     . "<tr bgcolor=\"" . $bgcolor2 . "\"><td><strong>" . _VNAME . ":</strong></td>\n"
     . "<td bgcolor=\"" . $bgcolor3 . "\"><input type=\"text\" name=\"vname\" size=\"31\" /></td></tr>\n"
     . "</table><br />\n"
     . "<input type=\"hidden\" name=\"op\" value=\"mxfeedback_deptadd\" />\n"
     . "<input type=\"submit\" value=\"" . _SUBMIT . "\" />\n"
     . "</form></fieldset>\n";
    CloseTable();
    Showfeedbackcc();
    include("footer.php");
}

function mxfeedback_deptadd($did, $dname, $demail, $vvname, $vname, $pp)
{
    global $prefix;
    sql_query("INSERT INTO " . $prefix . "_mxfeedback_depts values (NULL, '$dname', '$demail', '$vvname','$vname','$pp')");
    header("Location: admin.php?op=mxfeedback_depts");
}

function mxfeedback_deptedit($did)
{
    global $bgcolor2, $prefix, $textcolor1;
    include ("header.php");
    GraphicAdmin();
    title(_MXFEEDBACK . ', ' . _DEPARTMENTS);
    fmenu();
    $sql = "SELECT * FROM " . $prefix . "_mxfeedback_depts where did='$did' ORDER BY dname ASC";
    $result = sql_query($sql);
    while ($row = sql_fetch_assoc($result)) {
        $did = intval($row['did']);
        $dname = $row['dname'];
        $demail = $row['demail'];
        $vvname = $row['vvname'];
        $vname = $row['vname'];
        $pp = $row['pp'];
        OpenTable();
        echo "<fieldset><legend>" . _EDITDEPT . "</legend>"
         . "<form action=\"admin.php\" method=\"post\">"
         . "<input type=\"hidden\" name=\"did\" value=\"$did\" />"
         . "<table style=\"margin:auto\" bgcolor=\"" . $bgcolor1 . "\" cellspacing=\"1\" cellpadding=\"3\">\n"
         . "<tr bgcolor=\"" . $bgcolor2 . "\"><td>" . _DEPARTMENTNAME . ":</td>\n"
         . "<td bgcolor=\"" . $bgcolor3 . "\"><input type=\"text\" name=\"dname\" size=\"31\" value=\"$dname\" /></td></tr>"
         . "<tr bgcolor=\"" . $bgcolor2 . "\"><td>" . _DEPARTMENTEMAIL . ":</td>\n"
         . "<td bgcolor=\"" . $bgcolor3 . "\"><input type=\"text\" name=\"demail\" size=\"31\" value=\"$demail\" /></td></tr>"
         . "<tr bgcolor=\"" . $bgcolor2 . "\"><td>" . _PERSONALP . ":</td>\n"
         . "<td bgcolor=\"" . $bgcolor3 . "\"><input type=\"text\" name=\"pp\" size=\"31\" value=\"$pp\" /></td></tr>\n"
         . "<tr bgcolor=\"" . $bgcolor2 . "\"><td>" . _VVNAME . ":</td>\n"
         . "<td bgcolor=\"" . $bgcolor3 . "\"><input type=\"text\" name=\"vvname\" size=\"31\" value=\"$vvname\" /></td></tr>\n"
         . "<tr bgcolor=\"" . $bgcolor2 . "\"><td>" . _VNAME . ":</td>\n"
         . "<td bgcolor=\"" . $bgcolor3 . "\"><input type=\"text\" name=\"vname\" size=\"31\"  value=\"$vname\" /></td></tr>\n"
         . "</table><br />"
         . "<input type=\"hidden\" name=\"op\" value=\"mxfeedback_deptsave\" />"
         . "<input type=\"submit\" value=\"" . _SUBMIT . "\" />"
         . "</form></fieldset>";

        CloseTable();
        Showfeedbackcc();
        include("footer.php");
    }
}

function mxfeedback_deptsave($did, $dname, $demail, $vvname, $vname, $pp)
{
    global $prefix;
    sql_query("update " . $prefix . "_mxfeedback_depts set dname='$dname', demail='$demail', vvname='$vvname', vname='$vname', pp='$pp' where did='$did'");
    header("Location: admin.php?op=mxfeedback_depts");
}

function mxfeedback_deptdel($did, $ok = 0)
{
    global $prefix;
    if ($ok == 1) {
        sql_query("delete from " . $prefix . "_mxfeedback_depts where did='$did'");
        header("Location: admin.php?op=mxfeedback_depts");
    } else {
        $parameter_delete = "&amp;did=" . $did . "&ok=1";
        include("header.php");
        title(_MXFEEDBACK . ', ' . _DEPARTMENTS);
        fmenu();
        OpenTableAl();
        echo "<br><center><b>" . _AREYOUSUREDELDEPT . "</b><br><br>";
        echo "[&nbsp;<a href=\"admin.php?op=mxfeedback_deptdel" . $parameter_delete . "\">" . _YES . "</a> | <a href=\"admin.php?op=mxfeedback_depts\">" . _NO . "</a>&nbsp;]</center><br><br>";
        CloseTableAl();
        Showfeedbackcc();
        include("footer.php");
    }
}

/**
 * Dont mess with my work please
 */
function Showfeedbackcc()
{
    echo '<br />';
    Opentable();
    echo"<p align=\"right\">MX-Feedback  jubilee <a href=\"http://www.sys3.de/\">sys3.de</a></p>";
    Closetable();
}

/**
 * Aktionen
 */

$op = (empty($_REQUEST['op'])) ? "default" : $_REQUEST['op'];
switch ($op) {
    default:
        global $bgcolor1, $bgcolor2, $bgcolor3, $prefix;
        include("header.php");
        GraphicAdmin();
        title(_MXFEEDBACK . ', ' . _PREFERENCES);
        fmenu();
        OpenTable();
        $czfconf = array();
        $sql = "SELECT * FROM " . $prefix . "_mxfeedback_config";
        $result = sql_query($sql);
        while (list($config_name, $config_value) = sql_fetch_row($result)) {
            $czfconf[$config_name] = $config_value;
        }
        echo "<fieldset><legend>" . _PREFERENCES . "</legend>\n"
         . "<form action=\"admin.php\" method=\"post\">\n"
         . "<table style=\"margin:auto\" bgcolor=\"" . $bgcolor1 . "\" cellspacing=\"1\" cellpadding=\"3\">\n"
         . "<tr bgcolor=\"" . $bgcolor2 . "\">
         			<td width=\"40%\">" . _MAINMAIL . ":</td>
         			<td bgcolor=\"" . $bgcolor3 . "\" width=\"60%\">\n"
         . "<input type=\"text\" size=\"25\" name=\"ademail\" value=\"" . $czfconf['ademail'] . "\"></td></tr>\n"
         . "<tr bgcolor=\"" . $bgcolor2 . "\">
         			<td width=\"40%\">" . _MAINPP . ":</td>
         			<td bgcolor=\"" . $bgcolor3 . "\"width=\"60%\">\n"
         . "<input type=\"text\" size=\"25\" name=\"mainpp\" value=\"" . $czfconf['mainpp'] . "\"></td></tr>\n"
         . "<tr bgcolor=\"" . $bgcolor2 . "\">
         			<td width=\"40%\">" . _MAINVVNAME . ":</td>
         			<td bgcolor=\"" . $bgcolor3 . "\" width=\"60%\">\n"
         . "<input type=\"text\" size=\"25\" name=\"mainvvname\" value=\"" . $czfconf['mainvvname'] . "\"></td></tr>\n"
         . "<tr bgcolor=\"" . $bgcolor2 . "\">
         			<td width=\"40%\">" . _MAINVNAME . ":</td>
         			<td bgcolor=\"" . $bgcolor3 . "\" width=\"60%\">\n"
         . "<input type=\"text\" size=\"25\" name=\"mainvname\" value=\"" . $czfconf['mainvname'] . "\"></td></tr>\n"
         . "<tr bgcolor=\"" . $bgcolor2 . "\">
         			<td colspan=\"2\">Platzhalter fr die E-Mail Texte: " . _TEXT1 . _TEXT2 . _TEXT3 . "</td></tr>\n"
         . "<tr bgcolor=\"" . $bgcolor2 . "\">
         			<td width=\"40%\">" . _DEPMAIL . ":</td>
         			<td bgcolor=\"" . $bgcolor3 . "\" width=\"60%\">\n"
         . "<textarea name=\"depmail\" rows=\"15\" cols=\"60\">" . $czfconf['depmail'] . "</textarea></td></tr>\n"
         . "<tr bgcolor=\"" . $bgcolor2 . "\">
         			<td width=\"40%\">" . _CUSTMAIL . ":</td>
         			<td bgcolor=\"" . $bgcolor3 . "\" width=\"60%\">\n"
         . "<textarea name=\"custmail\" rows=\"15\" cols=\"60\">" . $czfconf['custmail'] . "</textarea></td></tr>\n"
         . "<tr bgcolor=\"" . $bgcolor2 . "\">
         			<td width=\"40%\">" . _REQCOLOR . ": (<font color=\"" . $czfconf['reqcolor'] . "\"><b>*</b></font>)</td>
         			<td bgcolor=\"" . $bgcolor3 . "\" width=\"60%\">\n"
         . "<input type=\"text\" size=\"25\" name=\"reqcolor\" value=\"" . $czfconf['reqcolor'] . "\"></td></tr>\n"
         . "<tr bgcolor=\"" . $bgcolor2 . "\">
         			<td width=\"40%\">" . _SHOWRTBLKS . "</td>
         			<td bgcolor=\"" . $bgcolor3 . "\" width=\"60%\">\n"
         . "&nbsp;&nbsp;&nbsp;\n";
        if ($czfconf['showrtblks'] == "1") {
            $sm1 = "CHECKED";
            $sm2 = "";
        } else {
            $sm1 = "";
            $sm2 = "CHECKED";
        }
        echo "<input type=\"radio\" name=\"showrtblks\" value=\"1\" " . $sm1 . ">&nbsp;" . _YES . "&nbsp;&nbsp;&nbsp;\n"
         . "<input type=\"radio\" name=\"showrtblks\" value=\"0\" " . $sm2 . ">&nbsp;" . _NO . "</td></tr>\n"
         . "<tr bgcolor=\"" . $bgcolor2 . "\">
         			<td width=\"40%\">" . _SHOWDEPTS . "</td>
         			<td bgcolor=\"" . $bgcolor3 . "\" width=\"60%\">\n"
         . "&nbsp;&nbsp;&nbsp;\n";
        if ($czfconf['deptson'] == "1") {
            $sm11 = "CHECKED";
            $sm22 = "";
        } else {
            $sm11 = "";
            $sm22 = "CHECKED";
        }
        echo "<input type=\"radio\" name=\"deptson\" value=\"1\" " . $sm11 . ">&nbsp;" . _YES . "&nbsp;&nbsp;&nbsp;\n"
         . "<input type=\"radio\" name=\"deptson\" value=\"0\" " . $sm22 . ">&nbsp;" . _NO . "</td></tr>\n"
         . "<tr bgcolor=\"" . $bgcolor2 . "\">
         			<td width=\"40%\">" . _LETSENDRECEIVE . "</td>
         			<td bgcolor=\"" . $bgcolor3 . "\" width=\"60%\">\n"
         . "&nbsp;&nbsp;&nbsp;\n";
        if ($czfconf['letreceive'] == "1") {
            $sm111 = "CHECKED";
            $sm222 = "";
        } else {
            $sm111 = "";
            $sm222 = "CHECKED";
        }
        echo "<input type=\"radio\" name=\"letreceive\" value=\"1\" " . $sm111 . ">&nbsp;" . _YES . "&nbsp;&nbsp;&nbsp;\n"
         . "<input type=\"radio\" name=\"letreceive\" value=\"0\" " . $sm222 . ">&nbsp;" . _NO . "</td></tr>\n"
         . "<tr bgcolor=\"" . $bgcolor2 . "\">
         			<td width=\"40%\">" . _REQLNAME . "</td>
         			<td bgcolor=\"" . $bgcolor3 . "\" width=\"60%\">\n"
         . "&nbsp;&nbsp;&nbsp;\n";
        if ($czfconf['reqlname'] == "1") {
            $sm1111 = "CHECKED";
            $sm2222 = "";
        } else {
            $sm1111 = "";
            $sm2222 = "CHECKED";
        }
        echo "<input type=\"radio\" name=\"reqlname\" value=\"1\" " . $sm1111 . ">&nbsp;" . _YES . "&nbsp;&nbsp;&nbsp;\n"
         . "<input type=\"radio\" name=\"reqlname\" value=\"0\" " . $sm2222 . ">&nbsp;" . _NO . "</td></tr>\n"
         . "<tr bgcolor=\"" . $bgcolor2 . "\">
         			<td width=\"40%\">" . _SUBMIT . "</td><td>\n"
         . "<input type=\"hidden\" name=\"op\" value=\"mxfeedback_configsave\">\n"
         . "&nbsp;&nbsp;&nbsp;&nbsp;<input type=\"submit\" value=\"" . _SUBMIT . "\" />\n"
         . "&nbsp;&nbsp;&nbsp;<input type=\"reset\" value=\"Reset\"></td></tr>\n";
        echo "</table></form></fieldset>\n";
        CloseTable();
        Showfeedbackcc();
        include("footer.php");
        break;

    case "mxfeedback_configsave":
        global $prefix;
        $newczfconfig = array();
        $newczfconfig['ademail'] = $_POST['ademail'];
        $newczfconfig['mainpp'] = $_POST['mainpp'];
        $newczfconfig['mainvvname'] = $_POST['mainvvname'];
        $newczfconfig['mainvname'] = $_POST['mainvname'];
        $newczfconfig['reqcolor'] = $_POST['reqcolor'];
        $newczfconfig['showrtblks'] = $_POST['showrtblks'];
        $newczfconfig['deptson'] = $_POST['deptson'];
        $newczfconfig['letreceive'] = $_POST['letreceive'];
        $newczfconfig['reqlname'] = $_POST['reqlname'];
        $newczfconfig['custmail'] = $_POST['custmail'];
        $newczfconfig['depmail'] = $_POST['depmail'];
        $result = sql_query("SELECT * FROM " . $prefix . "_mxfeedback_config");
        while (list($config_name, $config_value) = sql_fetch_row($result)) {
            sql_query("UPDATE " . $prefix . "_mxfeedback_config SET config_value='" . $newczfconfig[$config_name] . "' WHERE config_name='" . $config_name . "'");
        }
        header("Location: admin.php?op=mxfeedback_config");
        break;

    case "mxfeedback_depts":
        mxfeedback_depts();
        break;

    case "mxfeedback_deptadd":
        $did = (intval($_POST['did']));
        $dname = $_POST['dname'];
        $demail = $_POST['demail'];
        $vvname = $_POST['vvname'];
        $vname = $_POST['vname'];
        $pp = $_POST['pp'];
        mxfeedback_deptadd($did, $dname, $demail, $vvname, $vname, $pp);
        break;

    case "mxfeedback_deptdel":
        $did = $_REQUEST['did'];
        $ok = $_REQUEST['ok'];
        mxfeedback_deptdel($did, $ok);
        break;

    case "mxfeedback_deptedit":
        $did = $_REQUEST['did'];
        mxfeedback_deptedit($did);
        break;

    case "mxfeedback_deptsave":
        $did = (intval($_POST['did']));
        $dname = $_POST['dname'];
        $demail = $_POST['demail'];
        $vvname = $_POST['vvname'];
        $vname = $_POST['vname'];
        $pp = $_POST['pp'];
        mxfeedback_deptsave($did, $dname, $demail, $vvname, $vname, $pp);
        break;

    case "mxfeedback_configsave":
        mxfeedback_configsave();
        break;
}

?>
