<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.11.2.6 $
 * $Author: tora60 $
 * $Date: 2008/01/22 02:02:53 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

defined('mxMainFileLoaded') or die('access denied');

if (!mxGetAdminPref('radminsection')) {
    mxErrorScreen("Access Denied");
    die();
}

$wysiwyg = 0;
$wysiwyg_sections = 0;
include_once('spaw/spaw_control.class.php');

/**
 */
/* Sections Manager Functions                            */
/**
 */

function sections()
{
    global $prefix, $language, $multilingual;
    $img_delete = mxCreateImage("images/delete.gif", _DELETE);
    $img_edit = mxCreateImage("images/edit.gif", _EDIT);
    include("header.php");
    GraphicAdmin();
    title(_SECTIONSADMIN);
    
    $result = sql_query("select secid, secname from " . $prefix . "_sections order by secid");
    if (sql_num_rows($result) > 0) {
        echo "<br>";
        OpenTable();
        echo "<center><b>" . _ACTIVESECTIONS . "</b><br><font class=\"content\">" . _CLICK2EDITSEC . "</font></center><br>"
         . "<table border=0 width=100% cellpadding=1 align=\"center\"><tr><td align=\"center\">";
        while (list($secid, $secname) = sql_fetch_row($result)) {
            echo "<strong><big>&middot;</big></strong>&nbsp;&nbsp;<a href=\"admin.php?op=sectionedit&amp;secid=$secid\">$secname</a>&nbsp; &nbsp;";
        }
        echo "</td></tr></table>";
        CloseTable();
        echo "<br>";
        OpenTable();
        echo "<fieldset><legend>" . _ADDSECARTICLE . "</legend>"
         . "<form action=\"admin.php\" method=\"post\">"
         . "<b>" . _TITLE . ":</b><br>"
         . "<input type=\"text\" name=\"title\" size=\"60\"><br><br>"
         . "<b>" . _SELSECTION . ": </b>";
        $result = sql_query("select secid, secname from " . $prefix . "_sections order by secid");
        echo "<select name=\"secid\">";
        while (list($secid, $secname) = sql_fetch_row($result)) {
            // echo "<input type=\"radio\" name=\"secid\" value=\"$secid\"> $secname<br>";
            echo "<option value=\"$secid\">$secname</option>";
        }
        echo "</select><br>";

        echo "<font class=\"content\">" . _DONTSELECT . "</font><br>";
        if ($multilingual == 1) {
            echo "<br><b>" . _LANGUAGE . ": </b>" . mxLanguageSelect('slanguage', $language, 'language', 1);
        } else {
            echo "<input type=\"hidden\" name=\"slanguage\" value=\"\">";
        }
        echo "<br><br><b>" . _CONTENT . ":</b><br>";

        if ($GLOBALS['wysiwyg'] && $GLOBALS['wysiwyg_sections']) {
            $GLOBALS['show_pagebreak'] = true;
            $sw = new SPAW_Wysiwyg('content', '', _DOC_LANGUAGE, $GLOBALS['wysiwyg_toolbar'], $GLOBALS['wysiwyg_btnset'], '100%', '400');
            $sw->show();
        } else {
            echo "<textarea name=\"content\" cols=\"60\" rows=\"20\"></textarea>";
        }

        echo "<br><span class=\"tiny\">" . _PAGEBREAK . "</span><br><br>"
         . "<input type=\"hidden\" name=\"op\" value=\"secarticleadd\">"
         . "<input type=\"submit\" value=\"" . _ADDARTICLE . "\">"
         . "</form></fieldset>";
        CloseTable();
        echo "<br>";
        OpenTable();
        echo "<fieldset><legend>" . _LAST . " 20 " . _ARTICLES . "</legend>"
         . "<ul>";
        $result = sql_query("select artid, secid, title, content, slanguage from " . $prefix . "_seccont order by artid desc limit 0,20");
        while (list($artid, $secid, $title, $content, $slanguage) = sql_fetch_row($result)) {
            $result2 = sql_query("select secid, secname from " . $prefix . "_sections where secid='$secid'");
            list($secid, $secname) = sql_fetch_row($result2);
            echo "<li>$title - ($slanguage) - ($secname) &nbsp;<a href=\"admin.php?op=secartedit&amp;artid=$artid\">" . $img_edit . "</a>&nbsp;<a href=\"admin.php?op=secartdelete&amp;artid=$artid&amp;ok=0\">" . $img_delete . "</a>";
        }
        echo "</ul>"
         . "<form action=\"admin.php\" method=\"post\">"
         . _EDITARTID . ": <input type=\"text\" name=\"artid\" size=\"10\">&nbsp;&nbsp;"
         . "<input type=\"hidden\" name=\"op\" value=\"secartedit\">"
         . "<input type=\"submit\" value=\"" . _OK . "\">"
         . "</form></fieldset>";
        CloseTable();
    }
    echo "<br>";
    OpenTable();
    echo "<fieldset><legend>" . _ADDSECTION . "</legend>"
     . "<form action=\"admin.php\" method=\"post\"><br>"
     . "<b>" . _SECTIONNAME . ":</b><br>"
     . "<input type=\"text\" name=\"secname\" size=\"40\" maxlength=\"40\"><br><br>"
     . "<b>" . _SECTIONIMG . "</b><br><font class=\"tiny\">" . _SECIMGEXAMPLE . "</font><br>"
     . "<input type=\"text\" name=\"image\" size=\"40\" maxlength=\"50\"><br><br>"
     . "<input type=\"hidden\" name=\"op\" value=\"sectionmake\">"
     . "<INPUT type=\"submit\" value=\"" . _ADDSECTIONBUT . "\">"
     . "</form></fieldset>";
    CloseTable();
    include("footer.php");
}

function secarticleadd($secid, $title, $content, $slanguage)
{
    global $prefix;
    if (preg_match('#<body[^>]*>(.+)</body>#is', $content, $matches)) {
        $content = $matches[1];
    }
    sql_query("INSERT INTO " . $prefix . "_seccont (secid, title, content, counter, slanguage) VALUES ('" . intval($secid) . "','" . mxAddSlashesForSQL($title) . "','" . mxAddSlashesForSQL($content) . "','0','" . mxAddSlashesForSQL($slanguage) . "')");
    header("Location: admin.php?op=sections");
}

function secartedit($artid)
{
    global $prefix, $multilingual;
    include("header.php");
    GraphicAdmin();
    title(_SECTIONSADMIN);
    
    $result = sql_query("select artid, secid, title, content, slanguage from " . $prefix . "_seccont where artid='$artid'");
    list($artid, $secid, $title, $content, $slanguage) = sql_fetch_row($result);
    OpenTable();
    echo "<fieldset><legend>" . _EDITARTICLE . "</legend>"
     . "<form action=\"admin.php\" method=\"post\">"
     . "<b>" . _TITLE . "</b><br>"
     . "<input type=\"text\" name=\"title\" size=\"60\" value=\"" . mxEntityQuotes($title) . "\"><br><br>"
     . "<b>" . _SELSECTION . ": </b>";
    $result2 = sql_query("select secid, secname from " . $prefix . "_sections order by secname");

    echo "<select name=\"secid\">";
    while (list($secid2, $secname) = sql_fetch_row($result2)) {
        $sel = ($secid2 == $secid) ? "selected" : "";
        echo "<option value=\"$secid2\" $sel>$secname</option>";
    }
    echo "</select><br>";

    if ($multilingual == 1) {
        echo "<br><b>" . _LANGUAGE . ": </b>" . mxLanguageSelect('slanguage', $slanguage, 'language', 1) . "<br>";
    } else {
        echo "<input type=\"hidden\" name=\"slanguage\" value=\"\">";
    }
    echo "<br><b>" . _CONTENT . "</b><br>";

    if ($GLOBALS['wysiwyg'] && $GLOBALS['wysiwyg_sections']) {
        $GLOBALS['show_pagebreak'] = true;
        $sw = new SPAW_Wysiwyg('content', $content, _DOC_LANGUAGE, $GLOBALS['wysiwyg_toolbar'], $GLOBALS['wysiwyg_btnset'], '100%', '400');
        $sw->show();
    } else {
        echo "<textarea name=\"content\" cols=\"60\" rows=\"20\">" . htmlspecialchars($content) . "</textarea>";
    }

    echo "<br><span class=\"tiny\">" . _PAGEBREAK . "</span><br><br>"
     . "<input type=\"hidden\" name=\"artid\" value=\"$artid\">"
     . "<input type=\"hidden\" name=\"op\" value=\"secartchange\">"
     . "<input type=\"submit\" value=\"" . _SAVECHANGES . "\"> [&nbsp;<a href=\"admin.php?op=secartdelete&amp;artid=$artid&amp;ok=0\">" . _DELETE . "</a>&nbsp;]"
     . "</form></fieldset>";
    CloseTable();
    include("footer.php");
}

function sectionmake($secname, $image)
{
    global $prefix;
    $secname = mxAddSlashesForSQL($secname);
    $image = mxAddSlashesForSQL($image);
    sql_query("INSERT INTO " . $prefix . "_sections (secname, image) VALUES ('$secname', '$image')");
    header("Location: admin.php?op=sections");
}

function sectionedit($secid)
{
    global $prefix;
    include("header.php");
    GraphicAdmin();
    title(_SECTIONSADMIN);
    
    $result = sql_query("select secid, secname, image from " . $prefix . "_sections where secid=$secid");
    list($secid, $secname, $image) = sql_fetch_row($result);
    $result2 = sql_query("select artid from " . $prefix . "_seccont where secid=$secid");
    $number = sql_num_rows($result2);
    OpenTable();
    echo "<fieldset><legend>" . _EDITSECTION . ": $secname</legend>"
     . "<img src=\"images/sections/$image\" border=\"0\" alt=\"\"><br><br>"
     . "<br>(" . _SECTIONHAS . " $number " . _ARTICLESATTACH . ")"
     . "<br><br>"
     . "<form action=\"admin.php\" method=\"post\">"
     . "<b>" . _SECTIONNAME . "</b><br><font class=\"tiny\">" . _40CHARSMAX . "</font><br>"
     . "<input type=\"text\" name=\"secname\" size=\"40\" maxlength=\"40\" value=\"" . mxEntityQuotes($secname) . "\"><br><br>"
     . "<b>" . _SECTIONIMG . "</b><br><font class=\"tiny\">" . _SECIMGEXAMPLE . "</font><br>"
     . "<input type=\"text\" name=\"image\" size=\"40\" maxlength=\"50\" value=\"" . mxEntityQuotes($image) . "\"><br><br>"
     . "<input type=\"hidden\" name=\"secid\" value=\"$secid\">"
     . "<input type=\"hidden\" name=\"op\" value=\"sectionchange\">"
     . "<input type=\"submit\" value=\"" . _SAVECHANGES . "\"> [&nbsp;<a href=\"admin.php?op=sectiondelete&amp;secid=$secid&amp;ok=0\">" . _DELETE . "</a>&nbsp;]"
     . "</form></fieldset>";
    CloseTable();
    include("footer.php");
}

function sectionchange($secid, $secname, $image)
{
    global $prefix;
    $secname = mxAddSlashesForSQL(($secname));
    $image = mxAddSlashesForSQL(($image));
    sql_query("update " . $prefix . "_sections set secname='$secname', image='$image' where secid=$secid");
    header("Location: admin.php?op=sections");
}

function secartchange($artid, $secid, $title, $content, $slanguage)
{
    global $prefix;
    $title = mxAddSlashesForSQL(($title));
    $content = mxAddSlashesForSQL(($content));
    sql_query("update " . $prefix . "_seccont set secid='$secid', title='$title', content='$content', slanguage='$slanguage' where artid=$artid");
    header("Location: admin.php?op=sections");
}

function sectiondelete($secid, $ok = 0)
{
    global $prefix;
    if ($ok == 1) {
        sql_query("delete from " . $prefix . "_seccont where secid='$secid'");
        sql_query("delete from " . $prefix . "_sections where secid='$secid'");
        header("Location: admin.php?op=sections");
    } else {
        include("header.php");
        GraphicAdmin();
        title(_SECTIONSADMIN);
        
        $result = sql_query("select secname from " . $prefix . "_sections where secid=$secid");
        list($secname) = sql_fetch_row($result);
        OpenTableAl();
        echo "<center><b>" . _DELSECTION . ": $secname</b><br><br>"
         . _DELSECWARNING . " $secname?<br>"
         . _DELSECWARNING1 . "<br><br>"
         . "[&nbsp;<a href=\"admin.php?op=sections\">" . _NO . "</a> | <a href=\"admin.php?op=sectiondelete&amp;secid=$secid&amp;ok=1\">" . _YES . "</a>&nbsp;]</center>";
        CloseTableAl();
        include("footer.php");
    }
}

function secartdelete($artid, $ok = 0)
{
    global $prefix;
    if ($ok == 1) {
        sql_query("delete from " . $prefix . "_seccont where artid='$artid'");
        header("Location: admin.php?op=sections");
    } else {
        include("header.php");
        GraphicAdmin();
        title(_SECTIONSADMIN);
        
        $result = sql_query("select title from " . $prefix . "_seccont where artid=$artid");
        list($title) = sql_fetch_row($result);
        OpenTableAl();
        echo "<center><b>" . _DELARTICLE . ": $title</b><br><br>"
         . _DELARTWARNING . "<br><br>"
         . "[&nbsp;<a href=\"admin.php?op=sections\">" . _NO . "</a> | <a href=\"admin.php?op=secartdelete&amp;artid=$artid&amp;ok=1\">" . _YES . "</a>&nbsp;]</center>";
        CloseTableAl();
        include("footer.php");
    }
}

$ok = (empty($ok)) ? 0 : 1;

switch ($op) {
    case "sectionedit":
        sectionedit($secid);
        break;

    case "sectionmake":
        sectionmake($secname, $image);
        break;

    case "sectiondelete":
        sectiondelete($secid, $ok);
        break;

    case "sectionchange":
        sectionchange($secid, $secname, $image);
        break;

    case "secarticleadd":
        secarticleadd($secid, $title, $content, $slanguage);
        break;

    case "secartedit":
        secartedit($artid);
        break;

    case "secartchange":
        secartchange($artid, $secid, $title, $content, $slanguage);
        break;

    case "secartdelete":
        secartdelete($artid, $ok);
        break;

    case "sections":
    default:
        sections();
        break;
}

?>
