<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.4.2.3 $
 * $Author: joergk $
 * $Date: 2008/01/29 22:13:30 $
 */

defined('mxMainFileLoaded') or die('access denied');

if (empty($GLOBALS["home"])) return;

$thisfile = basename(__file__);
$mxblockcache = false;

$rok = false;
$content = "";

if (@file_exists("setup/index.php") && isset($_GET['crtvx']) && MX_IS_ADMIN) {
    @chmod("setup/index.php", 0777);
    $rok = @rename("setup/index.php", "setup/index_" . $_GET['crtvx'] . ".php");
    if ($rok) {
        @chmod("setup/index_" . $_GET['crtvx'] . ".php", 0400);
        $content = "";
        return;
    } else {
        @chmod("setup/index.php", 0400);
    }
}

if (@file_exists("setup/index.php") && MX_IS_ADMIN && ! $rok) {
    mt_srand((double)microtime() * 1000000);
    $xcv = md5(mt_rand() . mt_rand() . mt_rand());
    $content .= "<center><br><br><div class='title' style='background-color: Red; padding: 30; color: Yellow; font-size: larger;'>";
    if ($GLOBALS['currentlang'] == "german" || $GLOBALS['currentlang'] == "german_du") {
        $blockfiletitle = "!! Achtung !!";
        $content .= "Bitte benennen Sie den Setup-Ordner um, oder l&ouml;schen Sie ihn!";
        $content .= "</div><br>Um zumindest die setup/index.php umzubenennen, bitte <a href='index.php?crtvx=" . $xcv . "'>hier klicken</a>.<br><br><br><br>";
    } else {
        $blockfiletitle = "!! Attention !!";
        $content .= "Please rename or delete your setup-folder!";
        $content .= "</div><br>To rename the file 'setup/index.php', please <a href='index.php?crtvx=" . $xcv . "'>click here</a>.<br><br><br><br>";
    }
    $content .= "</center>";
}

?>