<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.1.2.7 $
 * $Author: siggi $
 * $Date: 2008/01/26 17:21:30 $
 *
 * Menumanager for pragmaMx, written by Siggi Braunert
 * http://www.sb-websoft.com
 **/

defined('mxMainFileLoaded') or die('access denied');

/* ! Do not change anything here ! */
$mxblockcache = false;

/* Initialisiert mxMenu... */
if (!class_exists('Mx_Menu')) {
    include_once('admin/modules/mxMenu/includes/mx_menu.class.php');
}

/* Stylesheet in Headbereich integrieren */
if (@file_exists(MX_THEME_DIR . '/style/mx_menu_block.css')) {
    // falls vorhanden, user css-datei vom theme einbinden
    $theme_block_css_file = MX_THEME_DIR . '/style/mx_menu_block.css';
} else {
    $theme_block_css_file = 'admin/modules/mxMenu/style/mx_menu_block.css';
}
pmxHeader::add('<style type="text/css" media="all">@import "' . $theme_block_css_file . '";</style>');
pmxHeader::add('<script type="text/javascript" src="admin/modules/mxMenu/style/script.js"></script>');

/* falls der Block zum ersten Mal in der Blockfunktion includet wird... */
if (!isset($menu_block_object)) {
    $menu_block_object = new Mx_Menu();
}
$content = $menu_block_object->show($block['bid']);

?>