<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.11 $
 * $Author: tora60 $
 * $Date: 2008/01/28 14:08:39 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

defined('mxMainFileLoaded') or die('access denied');

$mxblockcache = true;
if (MX_MODULE != 'News' || empty($GLOBALS['story_blocks'])) {
    $mxblockcache = false;
    return;
}

if ($GLOBALS['story_blocks']["ratings"] != 0) {
    $rate = substr($GLOBALS['story_blocks']["score"] / $GLOBALS['story_blocks']["ratings"], 0, 4);
    $r_image = round($rate);
    $the_image = "<br /><br /><img src=\"images/articles/stars-" . $r_image . ".gif\" border=\"0\" alt=\"\" />";
} else {
    $rate = 0;
    $the_image = "";
}

$content = '
<div align="center">' . _AVERAGESCORE . ': <b>' . mxValueToString($rate, 0) . '</b><br />' . _VOTES . ': <b>' . mxValueToString($GLOBALS['story_blocks']['ratings'], 0) . '</b>' . $the_image . '</div>
<br />
<div>' . _RATETHISARTICLE . '</div>
<form action="modules.php?name=News" method="post">
<div align="center">
<div title="' . _EXCELLENT . '"><input type="radio" name="score" value="5" /> <img src="images/articles/stars-5.gif" border="0" alt="' . _EXCELLENT . '" /></div>
<div title="' . _VERYGOOD . '"><input type="radio" name="score" value="4" /> <img src="images/articles/stars-4.gif" border="0" alt="' . _VERYGOOD . '" /></div>
<div title="' . _GOOD . '"><input type="radio" name="score" value="3" /> <img src="images/articles/stars-3.gif" border="0" alt="' . _GOOD . '" /></div>
<div title="' . _REGULAR . '"><input type="radio" name="score" value="2" /> <img src="images/articles/stars-2.gif" border="0" alt="' . _REGULAR . '" /></div>
<div title="' . _BAD . '"><input type="radio" name="score" value="1" /> <img src="images/articles/stars-1.gif" border="0" alt="' . _BAD . '" /></div>
<br />
<div><input type="submit" value="' . _CASTMYVOTE . '" /></div>
</div>
<input type="hidden" name="sid" value="' . $GLOBALS['story_blocks']['sid'] . '" />
<input type="hidden" name="op" value="rate_article" />
<input type="hidden" name="name" value="News" />
</form>
';

$blockfiletitle = _RATEARTICLE;

?>