<?php
 /**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.1.2.3 $
 * $Author: tora60 $
 * $Date: 2008/01/21 01:22:53 $
 */ 

$fieldset_names = @array(
    'secopt' => _SECOPT, 
    'mailsettings' => _MAILSETTINGS, 
    'gensiteinfo' => _GENSITEINFO,
    'graphicopt' => _GRAPHICOPT, 
    'newsmodule' => _NEWSMODULE, 
    'multilingualopt' => _MULTILINGUALOPT, 
    'footermsg' => _FOOTERMSG,
    'backendconf' => _BACKENDCONF, 
    'miscopt' => _MISCOPT, 
    'commentsopt' => _COMMENTSOPT,
    'censoroptions' => _CENSOROPTIONS, 
    'htmlopt' => _HTMLOPT, 
    'setservice' => _SETSERVICE, 
    'dbsettings' => _DBSETTINGS,
);


if(!isset($ok)) :?>
/* jQuery events ausfuehren */
$(document).ready(function() {

    $("button.fieldset-exp_all").click(function () { 
        $("fieldset div.toggle").show();
        $("fieldset span.collapsible").addClass("expanded");
        $("fieldset").removeClass("closed"); 
    });
		
    $("button.fieldset-cls_all").click(function () { 
        $("fieldset div.toggle").hide();
        $("fieldset span.collapsible").removeClass("expanded");
        $("fieldset span.collapsible").addClass("collapsed");
        $("fieldset").addClass("closed"); 
    });
		
    <?php foreach($fieldset_names as $key=>$var) :?>
		
    $("fieldset.<?php echo $key ?> legend").click(function () {
        $("fieldset.<?php echo $key ?> div.toggle").slideToggle("medium");
        $("fieldset.<?php echo $key ?> span.collapsible").toggleClass("expanded");
        $("fieldset.<?php echo $key ?>").toggleClass("closed");
    });
     
    <?php endforeach; ?> 
});
<?php endif; ?> 