<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.15.2.3 $
 * $Author: tora60 $
 * $Date: 2008/02/03 18:36:50 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

/**
 * deprecated old phpNuke-Functions !!
 * please don't use for develloping modules/addons for pragmaMx !!!
 */

defined('mxMainFileLoaded') or die('access denied');

if (defined('mxAdminFileLoaded')) {
    define('ADMIN_FILE', true);
    define('ADMIN_PAGES', true);
}

if (defined('MX_HOME_FILE')) {
    define('INDEX_FILE', true);
}

/**
 * Syntax-Kompatibilitaet mit fehlerhaften nuke-Standard-themes herstellen:
 */
if (!defined("left")) define("left", "left");
if (!defined("right")) define("right", "right");
if (!defined("center")) define("center", "center");
if (!defined("down")) define("down", "down");

$GLOBALS['nukeurl'] = PMX_HOME_URL;

// #################################################################################
function is_admin($admin = "")
{
    return MX_IS_ADMIN;
}
// #################################################################################
function is_user($user = "")
{
    return MX_IS_USER;
}
// #################################################################################
function cookiedecode($user = "")
{
    global $cookie; // global $cookie muss drin bleiben fuer Original nuke-Module !!
    $cookie = mxGetUserSession();
    return $cookie;
}
// #################################################################################
// mit dem optionalen Parameter $forceDB kann die Datenbankabfrage erzwungen werden
function getusrinfo($user = "", $forceDB = 0)
{
    global $userinfo; /// global $userinfo muss drin bleiben fuer alte Module
    $userinfo = mxGetUserData($forceDB);
    return $userinfo;
}
// #################################################################################
function is_active($module)
{
    global $prefix;
    static $lastmodule, $lastactive;
    if (isset($lastmodule, $lastactive) && $module == $lastmodule) {
        return $lastactive;
    } 
    $result = sql_query("select active from " . $prefix . "_modules where title='" . mxAddSlashesForSQL($module) . "'");
    if (is_resource($result)) {
        list($act) = sql_fetch_row($result);
    } 
    $lastactive = (empty($act)) ? 0 : 1;
    $lastmodule = $module;
    return $lastactive;
}
// #################################################################################
// Theme-Auswahl, auch zur kompatibilitaet mit phpNuke 6.0 Modulen
function get_theme()
{
    return mxGetTheme();
}
// #################################################################################
function get_lang($module)
{
    return mxGetLangfile($module);
}
// #################################################################################
// nur zur kompatibilitaet mit phpNuke 6.0 themes
// eigentlich unnoetiger Kram ....
function public_message()
{
    return "";
}

/**
 * Function to translate Datestrings
 */
function translate($datestring)
{
    switch ($datestring) {
        case "linksdatestring": $out = _SHORTDATESTRING;
            break;
        case "xdatestring": $out = _XDATESTRING;
            break;
        case "xdatestring2": $out = _XDATESTRING2;
            break;
        default: $out = $datestring;
            break;
    }
    return $out;
}
// #################################################################################
function get_author($aid)
{
    global $prefix;
    static $out, $last_aid;
    if ($last_aid != $aid) {
        $result = sql_query("SELECT url, email FROM ${prefix}_authors where aid='" . mxAddSlashesForSQL($aid) . "'");
        $out = $aid;
        $last_aid = $aid;
        list($url, $email) = sql_fetch_row($result);
        $url = mxCutHTTP($url);
        if (!empty($url)) {
            $out = "<a href=\"" . $url . "\">" . $aid . "</a>";
        } elseif (!empty($email)) {
            $out = "<a href=\"mailto:" . mxPrepareToDisplay($email) . "\">" . $aid . "</a>";
        }
    }
    return($out);
}
// #################################################################################
/**
 * Fixes quoting on a string
 *
 * This function replaces all single single quotes with double single quotes
 * (' becomes '') and all occurrences of \' with '.
 *
 * @param  $what string The string to be fixed
 * @return string The fixed string
 * @author FB
 */
function FixQuotes($what = "")
{
    if (empty($what)) return "";
    $what = ereg_replace("'", "''", $what);
    while (eregi("\\\\'", $what)) {
        $what = ereg_replace("\\\\'", "'", $what);
    }
    return $what;
}
// #################################################################################
// # deprecated old phpNuke-Function !!
// # please use the new-function: mxPrepareCensored() !!!!
// #
function check_words($Message)
{
    global $EditedMessage, $CensorMode, $CensorList, $CensorReplace;
    $EditedMessage = mxPrepareCensored($Message);
    return $EditedMessage;
    /**
     * #include("config.php");
     * $EditedMessage = $Message;
     * if ($CensorMode != 0) {
     * if (is_array($CensorList)) {
     * $Replace = $CensorReplace;
     * if ($CensorMode == 1) {
     * for ($i = 0; $i < count($CensorList); $i++) {
     * $EditedMessage = eregi_replace("$CensorList[$i]([^a-zA-Z0-9])","$Replace\\1",$EditedMessage);
     * }
     * }
     * elseif ($CensorMode == 2) {
     * for ($i = 0; $i < count($CensorList); $i++) {
     * $EditedMessage = eregi_replace("(^|[^[:alnum:]])$CensorList[$i]","\\1$Replace",$EditedMessage);
     * }
     * }
     * elseif ($CensorMode == 3) {
     * for ($i = 0; $i < count($CensorList); $i++) {
     * $EditedMessage = eregi_replace("$CensorList[$i]","$Replace",$EditedMessage);
     * }
     * }
     * }
     * }
     * return ($EditedMessage);
     */
}
// #################################################################################
// # deprecated old phpNuke-Function !!
// # please don't use !!!!
// #
function delQuotes($string)
{
    $tmp = ""; # string buffer
    $result = ""; # result string
    $i = 0;
    $attrib = -1; # Are us in an HTML attrib ?   -1: no attrib   0: name of the attrib   1: value of the atrib
    $quote = 0; # Is a string quote delimited opened ? 0=no, 1=yes
    $len = strlen($string);
    while ($i < $len) {
        switch ($string[$i]) { // What car is it in the buffer ?
            case "\"": // "       # a quote.
                if ($quote == 0) {
                    $quote = 1;
                } else {
                    $quote = 0;
                    if (($attrib > 0) && ($tmp != "")) {
                        $result .= "=\"$tmp\"";
                    }
                    $tmp = "";
                    $attrib = -1;
                }
                break;
            case "=": // an equal - attrib delimiter
                if ($quote == 0) { // Is it found in a string ?
                    $attrib = 1;
                    if ($tmp != "") {
                        $result .= " $tmp";
                    }
                    $tmp = "";
                } else {
                    $tmp .= '=';
                }
                break;
            case " ": // a blank ?
                if ($attrib > 0) { // add it to the string, if one opened.
                    $tmp .= $string[$i];
                }
                break;
            default: // Other
                if ($attrib < 0) { // If we weren't in an attrib, set attrib to 0
                    $attrib = 0;
                }
                $tmp .= $string[$i];
                break;
        }
        $i++;
    }
    if (($quote != 0) && ($tmp != "")) {
        if ($attrib == 1) {
            $result .= "=";
        }
        $result .= "\"$tmp\"";
    }
    return $result;
}
// #################################################################################
// # deprecated old phpNuke-Function !!
// # please don't use !!!!
// #
function check_html($str, $strip = "")
{
    // print $str;
    /**
     * The core of this code has been lifted from phpslash, which is licenced under the GPL.
     */
    if ($strip == "nohtml") return strip_tags($str);

    $str = mxStripSlashes($str);
    // $str = stripslashes($str);
    $AllowableHTML = ($strip == "nohtml") ? array() : $GLOBALS["AllowableHTML"];
    // Delete all spaces from html tags .
    $str = eregi_replace("<[[:space:]]*([^>]*)[[:space:]]*>", '<\\1>', $str);
    // Delete all attribs from Anchor, except an href, double quoted.
    $str = eregi_replace("<a[^>]*href[[:space:]]*=[[:space:]]*\"?[[:space:]]*([^\" >]*)[[:space:]]*\"?[^>]*>", '<a href="\\1">', $str);
    // Delete all img tags
    $str = eregi_replace("<[[:space:]]* img[[:space:]]*([^>]*)[[:space:]]*>", '', $str);
    $tmp = "";
    while (ereg("<(/?[[:alpha:]]*)[[:space:]]*([^>]*)>", $str, $reg)) {
        $i = strpos($str, $reg[0]);
        $l = strlen($reg[0]);
        if ($reg[1][0] == "/") {
            $tag = strtolower(substr($reg[1], 1));
        } else {
            $tag = strtolower($reg[1]);
        }
        // print "$tag, ";
        if (isset($AllowableHTML[$tag])) {
            if ($a = $AllowableHTML[$tag]) {
                if ($reg[1][0] == "/") {
                    $tag = "</$tag>";
                } elseif (($a == 1) || ($reg[2] == "")) {
                    $tag = "<$tag>";
                } else {
                    // Place here the double quote fix function.
                    $attrb_list = delQuotes($reg[2]);
                    // A VER
                    $attrb_list = str_replace("&", "&amp;", $attrb_list);
                    $tag = "<$tag" . $attrb_list . ">";
                } // Attribs in tag allowed
            } else {
                $tag = "";
            }
        }
        $tmp .= substr($str, 0, $i) . $tag;
        $str = substr($str, $i + $l);
    }
    $str = $tmp . $str;
    return $str;
}
// #################################################################################
// # deprecated old phpNuke-Function !!
// # please don't use !!!!
// #
function filter_text($Message, $strip = "")
{
    global $EditedMessage;
    // $EditedMessage = check_words($Message);
    $EditedMessage = mxPrepareCensored($Message);
    $EditedMessage = check_html($EditedMessage, $strip);
    return $EditedMessage;
}
// #################################################################################
// # deprecated old phpNuke-Function !!
// # please don't use !!!!
// #
function getTopics($sid)
{
    global $topicid, $topicname, $topicimage, $topictext, $prefix;
    $result = sql_query("SELECT topic FROM " . $prefix . "_stories where sid=" . intval($sid));
    list($topic) = sql_fetch_row($result);
    $result = sql_query("SELECT topicid, topicname, topicimage, topictext FROM " . $prefix . "_topics where topicid=" . intval($topic));
    list($topicid, $topicname, $topicimage, $topictext) = sql_fetch_row($result);
}
// ###############################################################
// # deprecated old phpNuke-Function !!
// # please don't use !!!!
// #
function themepreview($title, $hometext, $bodytext = "", $notes = "")
{
    echo "<b>$title</b><br /><br />$hometext";
    if ($bodytext != "") {
        echo "<br /><br />$bodytext";
    }
    if ($notes != "") {
        echo '<br /><br /><b>' . _NOTE . "</b> <i>$notes</i>";
    }
}
// ######################################################################
// seit pragmaMx 0.1.6 nur noch Dummy
if (!function_exists('ultramode')) {
    function ultramode()
    {
        return true;
    }
}
// ######################################################################
// seit pragmaMx 0.1.7 wieder als Dummy
if (!function_exists('automated_news')) {
    function automated_news()
    {
        return true;
    }
}
// ######################################################################
// seit pragmaMx 0.1.7 als Dummy
if (!function_exists('paid')) {
    function paid()
    {
        return 1;
    }
}
// ######################################################################
// seit pragmaMx 0.1.10 als Dummy
if (!function_exists('ads')) {
    function ads()
    {
        return null;
    }
}
// ######################################################################
// seit pragmaMx 0.1.8 als Dummy, in 0.1.9 wieder auskommentiert
/*
if (!function_exists('ads')) {
    function ads()
    {
        return false;
    }
}
 */

/**
 * Funktion, die speziefische Parameter fuer die mxWebhosting-Server setzt.
 * Diese Values sollen nicht "zu public" werden, daher hier im File
 */
function mxIrcChat($chatconf, $guiconf, $chatrooms, $room)
{
    $chatconf['host'] = $_SERVER['HTTP_HOST'];
    $guiconf['showchanlist'] = 'false';
    $chatconf['command1'] = "/nickserv " . str_replace(array (".", "www"), array ("", ""), $_SERVER['HTTP_HOST']);

    $findhost = explode('.', str_replace(array ('www.', '-'), array ('', ''), $_SERVER['HTTP_HOST']));
    if (count($findhost) > 1) {
        $first = count($findhost) - 2;
        $second = count($findhost) - 1;
        $mxhost = "." . $findhost["$first"] . $findhost["$second"];
    } else {
        $mxhost = "." . $findhost['0'];
    }

    if ($_SERVER['SERVER_ADDR'] == "212.162.56.80")
        $mxhost = "";
    $chatconf['command2'] = (empty ($chatrooms[0])) ? "/join #Default" . $mxhost : '/join #' . $chatrooms[0] . $mxhost;
    $chatconf['command2'] = (!empty ($room)) ? '/join #' . $room . $mxhost : $chatconf['command2'];

    $chatconf['authorizedjoinlist'] = 'none';
    if (count($chatrooms) > 0) {
        for ($i = 0; $i < count($chatrooms); $i ++)
        $chatconf['authorizedjoinlist'] .= "+#" . $chatrooms["$i"] . $mxhost;
    } else {
        $chatconf['authorizedjoinlist'] .= '+#Default' . $mxhost;
    }

    if (MX_IS_ADMIN) {
        $chatconf['authorizedcommandlist'] = 'all-list-server-info';
        $chatconf['useinfo'] = 'false';
    } elseif (MX_IS_USER) {
        $chatconf['authorizedcommandlist'] = 'none+away+me+msg+query+ignore';
        $chatconf['useinfo'] = 'true';
    } else {
        $chatconf['authorizedcommandlist'] = 'none+me+msg+query';
        $chatconf['useinfo'] = 'true';
    }
    $chatconf['autoconnection'] = 'true';

    $result[] = $chatconf;
    $result[] = $guiconf;
    $result[] = $mxhost;

    return $result;
}
// // nicht mehr benoetigt ;)
// ////////////// alte Funktionen, evtl. fuer bestimmte Module drin lassen !!!!
// ////////////// kann man dann wieder einkommentieren !!
/**
 * ################################################################
 * function blockfileinc($title, $blockfile, $position) {
 * global $PHP_SELF, $admin;
 * $blockfiletitle = $title;
 * $content="";
 * $file = "blocks/$blockfile";
 * if (!@file_exists($file)) {
 * if(MX_IS_ADMIN)	{
 * $content = _BLOCKPROBLEM."<br />".$blockfile; # by ae
 * }
 * }
 * else {
 * include("blocks/$blockfile");
 * }
 * if (!empty($content)) {
 * if ($position == "c" || $position == "d") {
 * themecenterbox($blockfiletitle, $content, $position);
 * }
 * else {
 * themesidebox($blockfiletitle, $content, $position);
 * }
 * }
 * }
 *
 * ################################################################
 * function searchblock() {
 * OpenTable();
 * echo "<form action=\"modules.php?name=Forum&file=search\" method=\"post\">";
 * echo "<input type=\"hidden\" name=\"addterm\" value=\"any\" />";
 * echo "<input type=\"hidden\" name=\"sortby\" value=\"p.post_time\" />";
 * echo "&nbsp;&nbsp;<b>"._SEARCH."</b>&nbsp;<input type=\"text\" name=\"term\" size=\"15\" />";
 * echo "<input type=\"hidden\" name=\"submit\" value=\"submit\" /></form>";
 * echo "<div align=\"left\"><font class=\"content\">&nbsp;&nbsp;[&nbsp;<a href=\"modules.php?name=Forum&file=search&addterm=any&amp;sortby=p.post_time&amp;adv=1\">Advanced Search</a>&nbsp;]</font></div>";
 * CloseTable();
 * }
 *
 * ################################################################
 * function userblock() {
 * global $user, $cookie, $user_prefix;
 * if((MX_IS_USER) AND !empty($cookie[8])) {
 * $getblock = sql_query("select uname, ublock from ${user_prefix}_users where uid='$cookie[0]'");
 * list($uname, $ublock) = sql_fetch_row($getblock);
 * if(!empty($uname)){
 * $title = ""._MENUFOR." $uname";
 * themesidebox($title, $ublock);
 * }
 * }
 * }
 *
 * ################################################################
 * function loginbox() {
 * global $user;
 * if (!MX_IS_USER) {
 * $title = _LOGIN;
 * $boxstuff = "<form action=\"modules.php?name=Your_Account\" method=\"post\">";
 * $boxstuff .= "<center><font class=\"content\">"._NICKNAME."<br />";
 * $boxstuff .= "<input type=\"text\" name=\"uname\" size=\"15\" maxlength=\"25\" /><br />";
 * $boxstuff .= ""._PASSWORD."<br />";
 * $boxstuff .= "<input type=\"password\" name=\"pass\" size=\"15\" maxlength=\"20\" /><br />";
 * $boxstuff .= "<input type=\"hidden\" name=\"op\" value=\"login\" />";
 * $boxstuff .= "<input type=\"submit\" value=\""._LOGIN."\" /></font></center></form>";
 * $boxstuff .= "<center><font class=\"content\">"._ASREGISTERED."</font></center>";
 * themesidebox($title, $boxstuff);
 * }
 * }
 *
 * ################################################################
 * function selectlanguage() {
 * global $useflags, $currentlang;
 * if ($useflags == 1) {
 * $title = _SELECTLANGUAGE;
 * $content = "<center><font class=\"content\">"._SELECTGUILANG."<br /><br />";
 * $langdir = dir("language");
 * while($func=$langdir->read()) {
 * if(substr($func, 0, 5) == "lang-") {
 * $menulist .= "$func ";
 * }
 * }
 * closedir($langdir->handle);
 * $menulist = explode(" ", $menulist);
 * sort($menulist);
 * for ($i=0; $i < sizeof($menulist); $i++) {
 * if($menulist[$i]!="") {
 * $tl = str_replace("lang-","",$menulist[$i]);
 * $tl = str_replace(".php","",$tl);
 * $altlang = ucfirst($tl);
 * $content .= "<a href=\"index.php?newlang=$tl\"><img src=\"images/language/flag-$tl.png\" border=\"0\" alt=\"$altlang\" hspace=\"3\" vspace=\"3\" /></a> ";
 * }
 * }
 * $content .= "</font></center>";
 * themesidebox($title, $content);
 * } else {
 * $title = _SELECTLANGUAGE;
 * $content = "<center><font class=\"content\">"._SELECTGUILANG."<br /><br /></font>";
 * $content .= "<form action=\"index.php\" method=\"get\"><select name=\"newlanguage\" onChange=\"top.location.href=this.options[this.selectedIndex].value\">";
 * $handle=opendir(PMX_REAL_BASE_DIR . '/language');
 * while (false !== ($file = readdir($handle))) {
 * if (preg_match("/^lang\-(.+)\.php/", $file, $matches)) {
 * $langFound = $matches[1];
 * $languageslist .= "$langFound ";
 * }
 * }
 * closedir($handle);
 * $languageslist = explode(" ", $languageslist);
 * sort($languageslist);
 * for ($i=0; $i < sizeof($languageslist); $i++) {
 * if($languageslist[$i]!="") {
 * $content .= "<option value=\"index.php?newlang=$languageslist[$i]\" ";
 * if($languageslist[$i]==$currentlang) $content .= " selected";
 * $content .= ">".ucfirst($languageslist[$i])."</option>\n";
 * }
 * }
 * $content .= "</select></form></center>";
 * themesidebox($title, $content);
 * }
 * }
 */

?>