<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.29 $
 * $Author: tora60 $
 * $Date: 2008/01/28 15:43:52 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 * -----------------------------------------------------------
 * translated by: Diabolo from www.pragmamx.fr (20/04/2005)
 * -----------------------------------------------------------
 */

defined('mxMainFileLoaded') or die('access denied');
// // Datestrings und locale Einstellungen:
define("_CHARSET", "ISO-8859-1");
if (PHP_OS == "WINNT" || PHP_OS == "WIN32") {
    define("_SETLOCALE", "fr");
} else {
    define("_SETLOCALE", "fr_FR.ISO-8859-15");
}

/*
 * Vorbehandlung der Zeitangabe fuer das Copyright in der Konstante _Z2
 *
 * Wenn das Jahr des Startdatum's identisch mit dem aktuellen Jahr ist
 * wird nur das aktuelle Jahr ausgegeben. Anderenfalls halt der
 * String "Startjahr - aktuelles Jahr"
 */
if (substr(htmlentities($startdate), -4) == date("Y")) {
    $copy_date = date('Y');
} else {
    $copy_date = substr(htmlentities($startdate), -4) . " - " . date('Y');
}

define("_DOC_LANGUAGE", "fr");
define("_DOC_DIRECTION", "ltr");
define("_DATESTRING", "%A, %d %B %Y");
define("_DATESTRING2", "%A, %d %B");
define("_XDATESTRING", "%A, %d %B @ %T %Z");
define("_SHORTDATESTRING", "%d.%m.%Y");
define("_XDATESTRING2", "%A, %d %B");
define("_SYS_INTERNATIONALDATES", 1); //0 = mm/dd/yyyy, 1 = dd/mm/yyyy
define("_SYS_TIME24HOUR", 1); // 1 = 24 hour time... 0 = AM/PM time
define("_SYS_WEEKBEGINN", 0); # the First Day in the Week: 0 = Sunday, 1 = Monday

/**
 */

/* footer & messages de bas de pagee                                   */
/**
 */
define("_Z1", "Tous les logos et les marques pr&eacute;sentes sur ce site appartiennent &agrave; leurs propri&eacute;taires respectifs.<br />Des d&eacute;tails sur les copyrights du CMS et de ses modules peuvent &ecirc;tre trouv&eacute;s <a href=\"modules.php?name=Impressum\">Ici</a>.");
define("_Z2", "Les commentaires, les articles et le contenu sont quand &agrave; eux sous la responsabilit&eacute; de leurs r&eacute;dacteurs.<br />&copy; " . $copy_date . " by <a href=\"" . MX_HOME_URL . "\">" . $GLOBALS['sitename'] . "</a>");
define("_Z3", "Site motoris&eacute; par la version fran&ccedil;aise de " . MX_VERSION . ".");
define("_Z4", "Le contenu de ce site peut &ecirc;tre visualis&eacute; <a href=\"backend.php?op=news\">RSS/RDF-Source</a>.");
// D&eacute;finitions de language
define("_YES", "Oui");
define("_NO", "Non");
define("_EMAIL", "Courriel");
define("_SEND", "Envoyer");
define("_SEARCH", "Rechercher");
define("_LOGIN", " Connexion ");
define("_WRITES", "a &eacute;crit :");
define("_POSTEDON", "Post&eacute; le");
define("_NICKNAME", "Pseudo");
define("_PASSWORD", "Mot de passe");
define("_WELCOMETO", "Bienvenue sur");
define("_EDIT", "Editer");
define("_DELETE", "Supprimer");
define("_POSTEDBY", "Transmis par");
define("_READS", "lectures");
define("_GOBACK", "[ <a href=\"javascript:history.go(-1)\">Retour</a> ]");
define("_COMMENTS", "commentaire(s)");
define("_PASTARTICLES", "Articles pr&eacute;c&eacute;dents");
define("_OLDERARTICLES", "Archives");
define("_BY", "par");
define("_ON", "le");
define("_LOGOUT", "Sortie");
define("_WAITINGCONT", "Contenu en attente");
define("_SUBMISSIONS", "Les articles");
define("_WREVIEWS", "Comptes rendus en attente");
// define("_WLINKS","Liens en attente");
define("_EPHEMERIDS", "Eph&eacute;m&eacute;rides");
define("_ONEDAY", "Un Jour comme Aujourd'hui...");
define("_ASREGISTERED", "Vous n'avez pas encore de compte? <br /><a href=\"modules.php?name=User_Registration\">Enregistrez vous !</a><br />En tant que membre enregistr&eacute;, vous b&eacute;n&eacute;ficierez de privil&egrave;ges tels que: changer le th&egrave;me de l'interface, modifier la disposition des commentaires, signer vos interventions, ...");
define("_MENUFOR", "Menu de");
define("_NOBIGSTORY", "Il n'y a pas encore d'article-phare aujourd'hui.");
define("_BIGSTORY", "Aujourd'hui, l'article le plus lu est:");
define("_SURVEY", "Sondage");
define("_POLLS", "Sondages");
define("_PCOMMENTS", "Commentaire(s):");
define("_RESULTS", "R&eacute;sultats");
define("_HREADMORE", "suite...");
define("_CURRENTLY", "Actuellement, il y a ");
define("_GUESTS", "invit&eacute;(s) et");
define("_MEMBERS", "membre(s) en ligne.");
define("_YOUARELOGGED", "Vous &ecirc;tes connect&eacute; en tant que");
define("_YOUHAVE", "Vous avez");
define("_PRIVATEMSG", "message(s) priv&eacute;(s).");
define("_YOUAREANON", "Vous &ecirc;tes un visiteur anonyme. Vous pouvez vous enregistrer gratuitement en cliquant <a href=\"modules.php?name=Your_Account\">ici</a>.");
define("_NOTE", "Note:");
define("_ADMIN", "Admin:");
define("_WERECEIVED", "Nous avons");
define("_PAGESVIEWS", "pages vues depuis le");
define("_TOPIC", "Sujet");
define("_TOPICS", "Sujets");
define("_ALLTOPICS", "Tous les sujets");
define("_ALL", "Tous");
// define("_UDOWNLOADS","T&eacute;l&eacute;chargements");
define("_VOTE", "Vote");
define("_VOTES", "Vote(s)");
define("_MVIEWADMIN", "Visualisation: Administrateurs seulement");
define("_MVIEWUSERS", "Visualisation: Utilisateurs enregistr&eacute;s seulement");
define("_MVIEWANON", "Visualisation: Utilisateurs anonymes seulement");
define("_MVIEWALL", "Visualisation: Tous les visiteurs");
define("_EXPIRELESSHOUR", "Expiration: Moins d'une heure");
define("_EXPIREIN", "Expiration dans");
define("_HTTPREFERERS", "R&eacute;f&eacute;rants HTTP");
define("_UNLIMITED", "Illimit&eacute;es");
define("_HOURS", "heures");
define("_RSSPROBLEM", "La manchette de ce site n'est pas disponible pour le moment.");
define("_SELECTLANGUAGE", "S&eacute;lectionnez la langue");
define("_SELECTGUILANG", "S&eacute;lectionnez la langue de l'interface:");
define("_NONE", "Aucun");
define("_BLOCKPROBLEM", "<center>Il y a un probl&eagrave;me avec ce bloc.</center>");
define("_BLOCKPROBLEM2", "<center>Il n'y a rien dans ce bloc.</center>");
define("_MODULENOTACTIVE", "D&eacute;sol&eacute;, ce module n'est pas activ&eacute;");
define("_NOACTIVEMODULES", "Modules inactifs");
define("_NOVIEWEDMODULES", "Modules invisibles");
define("_FORADMINTESTS", "(Pour des tests administratifs)");
define("_BBFORUM", "Forum");
define("_ACCESSDENIED", "Acc&egrave;s refus&eacute;");
define("_RESTRICTEDAREA", "Vous essayez d'acc&eacute;der &agrave; un espace r&eacute;serv&eacute;.");
define("_MODULEUSERS", "Nous sommes d&eacute;sol&eacute; mais cette section de notre site est pour les <i>utilisateurs enregistr&eacute;s seulement</i><br /><br />Vous pouvez vous enregistrer gratuitement en cliquant <a href=\"modules.php?name=User_Registration\">ici</a>, puis vous pourrez<br />acc&eacute;der &agrave; l'ensemble de cette section. Merci.<br /><br />");
define("_MODULESADMINS", "Nous sommes d&eacute;sol&eacute; mais cette section de notre site est r&eacute;serv&eacute;e aux <i>administrateurs seulement</i><br /><br />");
define("_HOME", "Accueil");
define("_HOMEPROBLEM", "Il y a un gros probl&egrave;me : Nous n'avons pas de page d'accueil!!!");
define("_ADDAHOME", "Ajouter un module &agrave; votre accueil");
define("_HOMEPROBLEMUSER", "Il y a un probl&egrave;me avec la page de d&eacute;marrage. Veuillez v&eacute;rifier.");
define("_MORENEWS", "Plus de news");
define("_ALLCATEGORIES", "Toutes les cat&eacute;gories");
define("_CATEGORIES1", "Cat&eacute;gorie");
define("_HELLO", "Cher");
define("_YACCOUNT", "Votre compte");
define("_SUBMITNEWS", "Soumettre un article");
define("_DATE", "Date");
define("_HOUR", "Heure");
define("_UMONTH", "Mois");
define("_YEAR", "Ann&eacute;e");
define("_YEARS", "Ann&eacute;es");
define("_JANUARY", "Janvier");
define("_FEBRUARY", "F&eacute;vrier");
define("_MARCH", "Mars");
define("_APRIL", "Avril");
define("_MAY", "Mai");
define("_JUNE", "Juin");
define("_JULY", "Juillet");
define("_AUGUST", "Aot");
define("_SEPTEMBER", "Septembre");
define("_OCTOBER", "Octobre");
define("_NOVEMBER", "Novembre");
define("_DECEMBER", "D&eacute;cembre");
define("_WEEKFIRSTDAY", "Dimanche");
define("_WEEKSECONDDAY", "Lundi");
define("_WEEKTHIRDDAY", "Mardi");
define("_WEEKFOURTHDAY", "Mercredi");
define("_WEEKFIFTHDAY", "Jeudi");
define("_WEEKSIXTHDAY", "Vendredi");
define("_WEEKSEVENTHDAY", "Samedi");
define("_KALENDER1", "calendrier");
define("_WEBMASTERT", "Pour le Webmaster");
define("_TUTQUEST", "Mixed-Tutorials");
define("_TUTGRAFICS", "Graphiques");
define("_GUESTBOOK", "Livre d'or");
define("_MAIN", "Index");
define("_SECTIONS", "Sections");
define("_FAQ", "FAQ");
define("_SURVEYS", "Sondages");
define("_NEWSLETTER", "Newsletter");
define("_MEMBERSLIST", "Liste des membres");
define("_DOWNLOADS", "Fichiers");
// define("_DOWNLOAD", "T&eacute;l&eacute;chargements");
define("_WEBLINKS", "Annuaire de liens");
define("_TERMS", "Termes");
define("_TOP", "top");
define("_SITEUPDATE", "Changements sur le site");
define("_IMPRESSUM", "Copyrights");
define("_ECARDS", "eCards");
define("_GALLERY", "Galerie");
define("_FORUM", "Forum");
define("_TOP10", "Top10");
define("_RECOMMEND", "Recommander ce site &agrave; un(e) ami(e)");
define("_WRITEREVIEW", "Ecrire un compte rendu");
define("_STATS", "Statistiques du site");
define("_CALNOEVENTS", "Pas d'&eacute;v&egrave;nement pour aujourd'hui");
define("_HIP", "Manchettes");
define("_WHO_IS_ONLINE", "Qui est en ligne");
define("_POINTS", "Points");
define("_GRANKS", "Points Utilisateurs");
define("_ALLMEMBERS", "Top 10 Membres");
define("_TOPUSERPUNKTE", "Membres ayant le plus de points");
define("_USERPUNKTE", "FAQ sur les Points utilisateur");
define("_USERPUNKTE1", "Points utilisateurs");
define("_SITECHANGE", "Changer le site:");
define("_DOWNS", "Fichiers t&eacute;l&eacute;charg&eacute;s");
define("_TIMES", "Temps");
// define("_WEBLINKS","lien(s) internet");
define("_TIMESL", "x visit&eacute;");
define("_BANNED", "Vous avez &eacute;t&eacute; banni de ce site internet !<br /><br />Veuillez contacter le Webmaster pour plus d'informations.");
define("_VKPBENCH1", "Page g&eacute;n&eacute;r&eacute;e en ");
define("_VKPBENCH2", " secondes, avec ");
define("_VKPBENCH3", " requ&ecirc;tes SQL");
define("_ERRNOTOPIC", "S&eacute;lectionner un sujet.");
define("_ERRNOTITLE", "Il n'y a pas de titre pour cet article.");
define("_ERRNOTEXT", "Il n'y a pas de contenu pour cet article.");
define("_ERRNOSAVED", "D&eacute;sol&eacute;, cet article n'a pas pu &ecirc;tre stock&eacute;.");
define("_RETURNACCOUNT", "Retourner &agrave; votre compte");
define("_GUESTBOOKVIEW", "Votre livre d'or");
// ...by downsize
define("_FORADMINGROUPS", "(groupe ne peut voir)");
define("_GROUPRESTRICTEDAREA", "D&eacute;sol&eacute;, vous n'avez pas acc&egrave;s &agrave; cette partie de notre site.");
define("_NOGROUPMODULES", "Non-Groupe-Modules");
// / Adminbloc
define("_AB_LOGOUT", "D&eacute;connexion");
define("_AB_SETTINGS", "R&eacute;glages");
define("_AB_MESSAGE", "Message admin");
define("_AB_WEBRING", "nouveau Webring");
define("_AB_EVENTS", "nouvel &eacute;v&egrave;nement");
define("_AB_PICTURES", "nouvelles images");
define("_AB_SUBMISSIONS", "nouveau(x) article(s)");
define("_AB_WLINKS", "nouveau(x) lien(s)");
define("_AB_UDOWNLOADS", "nouveau(x) fichier(s)");
define("_AB_MODREQLINKS", "mod. lien(s)");
define("_AB_BROKENLINKS", "lien(s) rompu(s)");
define("_AB_MODREQDOWN", "mod. fichier(s)");
define("_AB_BROKENDOWN", "t&eacute;l&eacute;chargement(s) rompu(s)");
define("_AB_TITLEBAR", "Menu administration");
define("_AB_NOWAITINGCONT", "pas de contenu en attente");
define("_AB_RESETBCACHE", "Purge du cache");
define("_AB_NEWUSERS", "nouveau(x) compte(s) utilisateur(s)");
define("_BMXPRINTER", "Version imprimable");
define("_BMXFRIEND", "Envoyer cet article &agrave; un(e) ami(e)");
define("_BMXBYTESMORE", "plus");
// aus temp-file
define("_ERR_YOUBAD", "Vous avez essay&eacute; d'effectuer une op&eacute;ration ill&eacute;gale!");
define("_REMEMBERLOGIN", "Se souvenir du pseudo");
define("_ADMINMENUEBL", "Administration");
define("_MXSITEBASEDON", "Site bas&eacute; sur");
// Sprachkonstanten f&uuml;r den Birthday Block:
define("_NOBIRTHDAYS", "<br /><br />Aujourd'hui <b>pas</b> d'anniversaire!");
define("_USERSBIRTHDAY", "Les utilisateurs suivants ont leurs anniversaires:");
define("_BIRTHDAYYEARS", "Ann&eacute;es");
define("_BIRTHDAYHAPPY", "Joyeux anniversaire");
// YA
define("_YA_MALE", "homme");
define("_YA_FEMALE", "femme");
define("_YA_NOSEX", "sans objet");
define("_YA_USEXUS", "Sexe");
define("_YA_UBDAY", "Anniversaire");
define("_YA_BYEAR", "Ann&eacute;e");
define("_YA_BMONTH", "Mois");
define("_YA_BDAY", "Jour");
define("_YA_BDAYERR1", "Date invalide");
define("_YA_BDAYERR2", "sans objet");
define("_YA_LASTONLINE", "Derni&egrave;re visite");
define("_YA_INGROUP", "Groupe utilisateur");
define("_YA_FOLLOWINGMEM", "Ci-dessous, les informations du membre:");
define("_UNICKNAME", "Pseudo");
define("_YA_REG_MAILMSG4", "Mot de passe pour");
define("_YA_REG_MAILMSG3", "Votre compte a &eacute;t&eacute; activ&eacute;. Vous pouvez vous connecter imm&eacute;diatement en suivant ce lien. Vous pouvez changer vos donn&eacute;s &agrave; tout moment dans votre menu utilisateur.");
define("_WEBMAIL", "Envoyer courriel");
define("_CONTRIBUTEDBY", "Contribution par");
define("_BBFORUMS", "Forums");
define("_NEWSFORMATTYPE", "Format du texte");
define("_NEWSAUTOBREAK", "Passage &agrave; la ligne automatique (&lt;br&gt;)?");
define("_BLK_MINIMIZE", "r&eacute;duire");
define("_BLK_MAXIMIZE", "Agrandir");
define("_BLK_HIDE", "cacher");
define("_BLK_BLOCK", "Bloc");
define("_BLK_MESSAGE", "Message");
define("_BLK_MYBLOCKS", "Configuration des blocs");
define("_BLK_EDITADMIN", "Changer (Admin)");
define("_BLK_OPTIONS", "Options du bloc");
define("_BLK_OPTIONSCLICK", "Cliquer ici pour r&eacute;gler les options des blocs.");
define("_ADM_MESS_DATEEXPIRE", "Date");
define("_ADM_MESS_TIMES", "temps");
define("_ADM_MESS_DATESTART", "Date-D&eacute;but");
define("_ADM_MESS_TODAY", "Aujourd'hui");
define("_DEFAULTGROUP", "Groupe par d&eacute;faut");
define('_YOURELOGGEDIN', 'Merci, vous &ecirc;tes connect&eacute;');
define("_YOUARELOGGEDOUT", "Vous &ecirc;tes maintenant d&eacute;connect&eacute;.");
define('_CHANGESAREOK', 'Les changements ont &eacute;t&eacute; sauvegard&eacute;s.');
define('_CHANGESNOTOK', 'Les changements n\'ont pas &eacute;t&eacute; sauvegard&eacute;s.');
define('_DELETEAREOK', 'Les donn&eacute;es ont &eacute;t&eacute; effac&eacute;es.');
define('_DELETENOTOK', 'Les donn&eacute;es n\'ont pas &eacute;t&eacute; effac&eacute;es.');
define("_RETYPEPASSWD", "Retaper mot de passe");
define("_REDIRECTMESS1", "Patientez un moment, vos donn&eacute;es sont en cours de traitement...");
define("_REDIRECTMESS2", "Ou cliquer ici, si vous ne voulez pas attendre.");
define("_REDIRECTMESS3", "patience...");
// 0.15
define("_GUSERLOGIN", "Connexion membre");
define("_GREGNEWUSER", "Enregistrement d'un nouvel utilisateur");
define("_GPASSWORDLOST", "Mot de passe oubli&eacute;?");
// 0.16
define('_USERNAMENOTALLOWED', 'Ce nom d\'utilisateur &quot;%s&quot; est r&eacute;serv&eacute;.'); // %s = sprintf()
define('_SYSINFOMODULES', 'information sur les modules install&eacute;s');
define('_SYSINFOTHEMES', 'information sur le design install&eacute;');
define("_ACCOUNT", "Votre compte");
// ab 0.1.7
define('_MAXIMALCHAR', 'max.');
define("_NEWSARTICLES", "Articles");
define("_SELECTPART", "S&eacute;lectionner");
// ab 0.1.9, Captcha System
define("_CAPTCHAWRONG", "Le code est faux");
define("_CAPTCHARELOAD", "Recharger le code de s&eacute;curit&eacute;");
define("_CAPTCHAINSERT", "Veuillez saisir le code de s&eacute;curit&eacute;:");
// ab 0.1.9
define("_ERROROCCURS", "D&eacute;sol&eacute;, les erreurs suivantes sont apparues:");
define("_VISIT", "Visite(s)");
define("_NEWMEMBERON", "Nouvel utilisateur enregistr&eacute;");
define("_NEWMEMBERINFO", "Information utilisateur");
define("_STORIEARCHIVE", "Articles archiv&eacute;s");
define("_MXFEEDBACK", "Contactez-nous");
define("_ADMINGALLERY", "Galerie");
define("_USERGUEST", "Livre d'or des utilisateurs");
define("_EDITOR", "Editeur");
define("_OPTIMIZE", "Optimisation DB");
// ab 0.1.10
define("_SUBMIT", "Soumettre");
define("_GONEXT", "suivant");
define("_GOPREV", "pr&eacute;c&eacute;dent");
define("_CONTENT", "Contenu");
define("_ENCYCLOPEDIA", "Encyclop&eacute;die");
define("_USERSADMINS", "Administrateurs");
define("_USERSGROUPS", "Groupes utilisateurs");
define("_USERSMEMBERS", "Connexion membres"); // angemeldete Benutzer
define("_USERSOTHERS", "Tous les autres");
define("_ARTICLETOCATEGORY", "Articles sur la cat&eacute;gorie");
define("_ARTICLETOTOPIC", "Articles sur le sujet");
define("_FILES", "Fichiers");
define("_ACCOUNTACTIVATIONLINK", "Lien d'activation du compte");
define("_YSACCOUNT", "Compte");
define("_NEWSSHORT", "News");
define("_RESETPMXCACHE", "Purge du cache");
define("_RESETPMXCACHEOK", "Cache purg&eacute; avec succ&egrave;s.");

?>