<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.6 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:15:56 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 * Based on Journey Links Hack
 * Copyright (c) 2000 by James Knickelbein
 * Journey Milwaukee (http://www.journeymilwaukee.com)
 */

defined('mxMainFileLoaded') or die('access denied');

if (!$usevoting || !$usecomments) {
    mxRedirect('modules.php?name=' . $module_name, _NOCOMMENTSWARN, 5);
}

function viewcomments($lid)
{
    global $prefix, $bgcolor2, $module_name, $pagetitle, $usecomments, $usevoting;
    if (!modCheckAndCleanSubdata($lid)) {
        mxRedirect('modules.php?name=' . $module_name);
    }

    $result = sql_query("SELECT lid, title FROM " . $prefix . "_downloads_downloads WHERE lid = " . intval($lid) . " AND cid > 0");
    list($lid, $title) = sql_fetch_row($result);
    // falls fehlerhafte lid uebergeben
    if (empty($lid)) {
        mxErrorScreen('download id ' . intval($lid) . ' not found...');
    }
    $result = sql_query("SELECT ratinguser, rating, ratingcomments, ratingtimestamp FROM " . $prefix . "_downloads_votedata WHERE ratinglid = " . ($lid) . " AND ratingcomments <> '' ORDER BY ratingtimestamp DESC");
    $totalcomments = sql_num_rows($result);
    // Daten fuer header aufbereiten
    $pagetitle = strip_tags($title . ', ' . _COMMENTS);
    $pagesubmenu = modDetailsTopMenu($lid);

    include('modules/' . $module_name . '/includes/header.php');
    OpenTable();
    // / <center>" . _TOTALOF . " " . $totalcomments . " " . _COMMENTS . "</font></center>
    echo '<h4 class="option">' . _COMMENTS . '</h4>';
    echo "<table align=\"center\" border=\"0\" cellspacing=\"0\" cellpadding=\"2\" width=\"100%\">";
    $x = 0;
    while (list($ratinguser, $rating, $ratingcomments, $ratingtimestamp) = sql_fetch_row($result)) {
        $formatted_date = formattimestamp($ratingtimestamp);
        $result2 = sql_query("SELECT rating FROM " . $prefix . "_downloads_votedata WHERE ratinguser = '" . mxAddSlashesForSQL($ratinguser) . "'");
        $usertotalcomments = sql_num_rows($result2);
        $useravgrating = 0;
        while (list($rating2) = sql_fetch_row($result2)) {
            $useravgrating = $useravgrating + $rating2;
        }
        $useravgrating = $useravgrating / $usertotalcomments;
        $useravgrating = number_format($useravgrating, 1);
        echo "<tr><td style=\"background-color: $bgcolor2;\">"
         . "<font class=\"content\"><b> " . _USER . ": </b><a rel=\"nofollow\" href=\"" . MX_HOME_URL . "/modules.php?name=Userinfo&amp;uname=$ratinguser\">$ratinguser</a></font>"
         . "</td>"
         . "<td style=\"background-color: $bgcolor2;\">"
         . "<font class=\"content\"><b>" . _RATING . ": </b>$rating</font>"
         . "</td>"
         . "<td style=\"background-color: $bgcolor2;\" align=\"right\">"
         . "<font class=\"content\">$formatted_date</font>"
         . "</td>"
         . "</tr>"
         . "<tr>"
         . "<td valign=\"top\">"
         . "<font class=\"tiny\">" . _USERAVGRATING . ": $useravgrating</font>"
         . "</td>"
         . "<td valign=\"top\" colspan=\"2\">"
         . "<font class=\"tiny\">" . _NUMRATINGS . ": $usertotalcomments</font>"
         . "</td>"
         . "</tr>"
         . "<tr>"
         . "<td colspan=\"3\">"
         . "<div class=\"content\">" . $ratingcomments . "</div>"
         . "</td></tr>";
        $x++;
    }

    if (MX_IS_USER && $usecomments && $usevoting) {
        echo '<tr><td colspan="3" align="center" style="background-color: ' . $bgcolor2 . ';">'
         . '<div align="center"><a rel="nofollow" href="modules.php?name=' . $module_name . '&amp;op=rating&amp;lid=' . $lid . '" title="' . _FEELFREE2ADD . '"><b>' . _ADDACOMMENT . '</b></a></div>'
         . '</td></tr>';
    }
    echo "</table>";

    if (mxGetAdminPref("radmindownload")) {
        echo "<div align=\"right\"><a href=\"admin.php?op=DownloadsModData&amp;lid=" . $lid . "\">" . mxCreateImage('modules/' . $module_name . '/images/edit.gif', _EDITTHISDOWNLOAD, 0, 'hspace="2"') . "</a></div>";
    }
    CloseTable();
    include('modules/' . $module_name . '/includes/footer.php');
}

?>