<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.6.2.2 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:11:52 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 * Based on Journey Links Hack
 * Copyright (c) 2000 by James Knickelbein
 * Journey Milwaukee (http://www.journeymilwaukee.com)
 */

if (!defined("mxMainFileLoaded")) die ("You can't access this file directly...");

require("includes/captcha/settings.php");
$downloadson = (($downloadson) && ((!MX_IS_USER) || ((MX_IS_USER) && ($captchauseron))) && (!MX_IS_ADMIN)) ? 1 : 0;

$wysiwyg = 0;
$wysiwyg_dolo = 0;
$wysiwyg_comments = 0;
include_once('spaw/spaw_control.class.php');

function modifyrequest($lid, $pvs = array())
{
    global $prefix, $module_name, $pagetitle, $blockunregmodify;
    if (!modCheckAndCleanSubdata($lid)) {
        mxRedirect('modules.php?name=' . $module_name);
    }
    // include('modules/' . $module_name . '/d_config.php');
    $result = sql_query("select lid, cid, title, title as origtitle, url, description, name AS auth_name, email, filesize, version, homepage, date as updated from " . $prefix . "_downloads_downloads where lid=" . intval($lid) . " AND cid > 0");
    $thisdata = sql_fetch_assoc($result);
    // falls fehlerhafte lid uebergeben
    if (empty($thisdata['lid'])) {
        mxErrorScreen('download id ' . intval($lid) . ' not found...');
    }
    // Daten fuer header aufbereiten
    $title = $thisdata['origtitle'];
    $pagetitle = strip_tags($title . ', ' . _REQUESTDOWNLOADMOD);
    $pagesubmenu = modDetailsTopMenu($lid);

    include('modules/' . $module_name . '/includes/header.php');
    OpenTable();
    echo '<h4 class="option">' . _REQUESTDOWNLOADMOD . '</h4>';
    // falls Formular schon abgesendet, aber Fehler aufgetreten sind...
    if (!empty($pvs['msg'])) {
        openTableAl();
        echo '<div style="text-align: left;"><h2>' . _ERROROCCURS . '</h2><ul><li>' . implode('</li><li>', $pvs['msg']) . '</li></ul></div>';
        closeTableAl();
        echo '<br>';
    }

    if ($blockunregmodify && !MX_IS_USER) {
        openTableAl();
        echo "<br><br><center>" . _DONLYREGUSERSMODIFY . "</center><br><br>";
        closeTableAl();
        echo '<br>';
    } else {
        // falls Formular schon abgesendet, aber Fehler aufgetreten sind...
        if (isset($pvs['op'], $pvs['title'])) {
            $thisdata = array_merge($thisdata, $pvs);
        }
        echo '<center><span class="option">' . $thisdata['origtitle'] . '</span></center>
        <form action="modules.php?name=' . $module_name . '&amp;op=view&amp;lid=' . $lid . '" method="post" name="downform" id="downform">
        <input type="hidden" name="name" id="name" value="' . $module_name . '">
        <input type="hidden" name="op" id="op" value="modifyrequestsave">
        <input type="hidden" name="lid" id="lid" value="' . $lid . '">
        <table width="100%" border="0" cellspacing="0" cellpadding="3">
        <tr><td colspan="2">' . _USERANDIP . '<br><br></td></tr>
        ' . modDataForm($thisdata) . '
        <tr valign="top"><td colspan="2" align="center">
        <br><br><input type="submit" value="' . _SENDREQUEST . '"></td></tr>
        </table>
        </form>';
    }
    CloseTable();
    include('modules/' . $module_name . '/includes/footer.php');
}

function modifyrequestsave()
{
    // mxDebugFuncVars($_POST); exit;
    global $prefix, $module_name, $blockunregmodify, $downnotify;
    // include('modules/' . $module_name . '/d_config.php');
    if ($blockunregmodify && !MX_IS_USER) {
        mxErrorScreen(_DONLYREGUSERSMODIFY);
        exit;
    }
    $lid = (empty($_POST['lid'])) ? 0 : intval($_POST['lid']);
    $result = sql_query("select lid, url, date as updated from " . $prefix . "_downloads_downloads where lid=" . intval($lid) . " AND cid > 0");
    list($orglid, $orgurl, $orgdate) = sql_fetch_row($result);
    // falls fehlerhafte lid uebergeben
    if (empty($orglid)) {
        mxErrorScreen('download id ' . intval($lid) . ' not found...');
        exit;
    }

    if ($orgurl == $_POST['url'] || !trim($_POST['url'])) {
        // wenn die url, gleich der alten url ist, oder die url nicht ausgefuellt wurde, die alte verwenden
        $_POST['url'] = $orgurl;
        // ansonsten die neue
    }
    $_POST = modCheckData($_POST);

    if (count($_POST['msg'])) {
        modifyrequest($_POST['lid'], mxStripSlashes($_POST));
        exit;
    }

    if (MX_IS_USER) {
        $cookie = mxGetUserSession();
        $modifysubmitter = $cookie[1];
    } else {
        $modifysubmitter = $GLOBALS['anonymous'];
    }

    $updated = 0;

    $qry = "insert into " . $prefix . "_downloads_modrequest (lid, cid, title, url, description, modifysubmitter, name, email, filesize, version, homepage, updated )
                values (
                '" . intval($_POST['lid']) . "',
                '" . intval($_POST['cid']) . "',
                '" . mxAddSlashesForSQL($_POST['title']) . "',
                '" . mxAddSlashesForSQL($_POST['url']) . "',
                '" . mxAddSlashesForSQL($_POST['description']) . "',
                '" . mxAddSlashesForSQL($modifysubmitter) . "',
                '" . mxAddSlashesForSQL($_POST['auth_name']) . "',
                '" . mxAddSlashesForSQL($_POST['email']) . "',
                '" . intval($_POST['filesize']) . "',
                '" . mxAddSlashesForSQL($_POST['version']) . "',
                '" . mxAddSlashesForSQL($_POST['homepage']) . "',
                '" . mxAddSlashesForSQL($_POST['updated']) . "'
                )";
    if (sql_query($qry)) {
        // mail an admin senden
        if ($downnotify) {
            $link = MX_HOME_URL . '/admin.php?op=DownloadsListModRequests';
            $notify_message = mxHtmlEntityDecode("-- " . _DUSERMODREQUEST . " --\n" . $GLOBALS['notify_message'] . "\n\n========================================================\n" . $link . "\n\nat: " . strftime(_SHORTDATESTRING . ' %H:%M', time()) . "\nip/ip:" . MX_REMOTE_ADDR . "\nfrom: " . $modifysubmitter . "\n");
            mxMail($GLOBALS['notify_email'], $GLOBALS['notify_subject'] . ' (' . _MODUNAME . ')', $notify_message, $GLOBALS['notify_from'], "text");
        }
        mxRedirect('modules.php?name=' . $module_name . '&amp;op=view&amp;lid=' . intval($_POST['lid']), _THANKSFORINFO . '<br>' . _LOOKTOREQUEST . '<br>', 10);
    } else {
        mxErrorScreen('Database-Error');
    }
}

?>