<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.3 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:15:56 $
 */

defined('mxMainFileLoaded') or die('access denied');
$modname = basename(dirname(dirname(__FILE__)));

unset($sqlqry);

if (!isset($tables["${prefix}_encyclopedia"])) {
    $sqlqry[] = "
CREATE TABLE `${prefix}_encyclopedia` (
  `eid` int(10) NOT NULL auto_increment,
  `title` varchar(255) NOT NULL default '',
  `description` text NULL,
  `elanguage` varchar(30) NOT NULL default '',
  `active` tinyint(1) NOT NULL default '1',
  PRIMARY KEY  (`eid`)
) TYPE=MyISAM;";
}

if (!isset($tables["${prefix}_encyclopedia_text"])) {
    $sqlqry[] = "
CREATE TABLE `${prefix}_encyclopedia_text` (
  `tid` int(10) NOT NULL auto_increment,
  `eid` int(10) NOT NULL default '0',
  `title` varchar(255) NOT NULL default '',
  `text` text NULL,
  `autolink` tinyint(1) NOT NULL default '1',
  `counter` int(10) NOT NULL default '0',
  PRIMARY KEY  (`tid`)
) TYPE=MyISAM;";
}

if (isset($tables["${prefix}_encyclopedia"])) {
    // Felder aktualisieren
    $tf = setupGetTableFields("${prefix}_encyclopedia");
    if (isset($tf['clanguage']) && !isset($tf['elanguage'])) $sqlqry[] = "ALTER TABLE `${prefix}_encyclopedia` CHANGE clanguage `elanguage` varchar(30) NOT NULL default '';";
    if ($tf['active']['Type'] != 'tinyint(1)') $sqlqry[] = "ALTER TABLE `${prefix}_encyclopedia` CHANGE `active` `active` TINYINT( 1 ) NOT NULL DEFAULT '1' ";
}

if (isset($tables["${prefix}_encyclopedia_text"])) {
    // Felder ergaenzen
    $tf = setupGetTableFields("${prefix}_encyclopedia_text");
    if (!isset($tf['autolink'])) $sqlqry[] = "ALTER TABLE `${prefix}_encyclopedia_text` ADD `autolink` TINYINT( 1 ) NOT NULL DEFAULT '1' AFTER `text`";
}

if (isset($tables["${prefix}_encyclopedia"])) {
    $tf = setupGetTableFields("${prefix}_encyclopedia");
    if ($tf['description']['Default'] !== null) {
        $sqlqry[] = "ALTER TABLE `${prefix}_encyclopedia`
                CHANGE `description` `description` text NULL";
    }
}

if (isset($tables["${prefix}_encyclopedia_text"])) {
    $tf = setupGetTableFields("${prefix}_encyclopedia_text");
    if ($tf['text']['Default'] !== null) {
        $sqlqry[] = "ALTER TABLE `${prefix}_encyclopedia_text`
                CHANGE `text` `text` text NULL";
    }
}

if (isset($sqlqry)) {
    setupDoAllQueries($sqlqry);
    unset($sqlqry);
}

?>