<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.19.2.8 $
 * $Author: tora60 $
 * $Date: 2008/01/28 15:35:56 $
 *
 * this file based on: Nuke Guestbook v2.0.0
 * Copyright (c) 2001 by Christopher Thorjussen (joffer@online.no), http://www.nukemodules.com
 * Nuke Guestbook is based on Advanced Guestbook 1.01 (PHP/MySQL)
 * Copyright (c) 2001 Chi Kien Uong, http://www.proxy2.de
 * Modified by Francesco Bozzotta, (webmaster@nukeitalia.com), http://www.nukeitalia.com
 * Copyright (c) 2002 by Jochem Schausten (webmaster@tp-krefeld.de), http://www.tp-krefeld.de
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

defined('mxMainFileLoaded') or die('access denied');
// Konfiguration auslesen
$NB_setting = NB_GetSettings();

function NB_SubmitForm($entry, $caption, $adminmode = 0)
{
    global $bgcolor1, $bgcolor2, $bgcolor3, $bgcolor4, $textcolor1, $textcolor2;
    global $module_name, $NB_setting;

    $html_code = ($NB_setting['allow_html'] == 1) ? _NBHTMLENABLED : _NBHTMLDISABLED;
    $smile_code = ($NB_setting['smilies'] == 1) ? _NBSMILIESON : _NBSMILIESOFF;
    $nb_code = ($NB_setting['nbcode'] == 1) ? _NBNBCODEON : _NBNBCODEOFF;
    $qu = empty($_REQUEST['qu']) ? 0 : 1;
    $item = empty($_REQUEST['item']) ? 0 : intval($_REQUEST['item']);

    $smilies = "";
    if ($NB_setting['smilies'] == 1) {
        $smilies = '<div class="tiny">' . NB_ShowSmilies() . '</div>';
    }
    $allowed = "";
    if ($NB_setting['allow_html'] == 1) {
        $allowed = '&lt;' . implode('&gt; &lt;', mxGetAllowedHtml()) . '&gt;';
        $allowed = '<div class="tiny">' . _NBALLOWEDHTML . '<br />' . $allowed . '</div>';
    }

    $entry['id'] = (empty($entry['id'])) ? 0 : intval($entry['id']);
    $entry['nbname'] = (empty($entry['nbname'])) ? '' : $entry['nbname'];
    $entry['uid'] = (empty($entry['uid'])) ? 0 : intval($entry['uid']);
    $entry['nukeuser'] = (empty($entry['nukeuser'])) ? 0 : 1;
    $entry['email'] = (empty($entry['email'])) ? '' : $entry['email'];
    $entry['comment'] = (empty($entry['comment'])) ? '' : $entry['comment'];
    $entry['url'] = (empty($entry['url'])) ? 'http://' : $entry['url'];
    $entry['captcha'] = (empty($entry['captcha'])) ? "" : $entry['captcha'];

    $entry['comment'] = NB_CutEditMessage($entry['comment']);

    if (($entry['nukeuser'] && $NB_setting['regonly']) && !$adminmode) {
        $userfield = '<b>' . $entry['nbname'] . '</b><input type="hidden" name="nbname" value="' . mxEntityQuotes($entry['nbname']) . '" />';
    } else {
        $userfield = '<input type="text" name="nbname" value="' . mxEntityQuotes($entry['nbname']) . '" size="42" maxlength="50" />';
    }

    $postLink = ($adminmode) ? 'admin.php?op=GuestBookEditEntryConfirm' : 'modules.php?name=' . $module_name;

    ?>
	<script type="text/javascript">
	<!-- //
	  function openCentered(theURL,winName,winWidth,winHeight,features) {
	    var w = (screen.width - winWidth)/2;
	    var h = (screen.height - winHeight)/2 - 30;
	    features = features+',width='+winWidth+',height='+winHeight+',top='+h+',left='+w+'';
	    window.open(theURL,winName,features);
	  }
	//-->
	</script>
<?php
    // echo '<center><font class="option"><b>'.$caption.'</b></font></center><br />';
    echo '
	<form action="' . $postLink . '" method="post" name="gbForm" id="gbForm" style="margin: 0px;">
	<fieldset>
		<legend>' . $caption . '</legend>
	<table width="100%" border="0" cellspacing="1" cellpadding="4" bgcolor="' . $bgcolor1 . '">
	';
    if (!$adminmode) {
        echo '
	  <tr>
	    <td colspan="2" bgcolor="' . $bgcolor2 . '">
	      <font class="tiny" color="' . $textcolor2 . '">' . _NBFILLOUT . '</font>
	    </td>
	  </tr>
		';
    }
    echo '
	  <tr>
	    <td bgcolor="' . $bgcolor2 . '" width="25%"><font class="content">' . _NBNAME . ':&nbsp;<span style="color: Red;">*</span></font></td>
	    <td bgcolor="' . $bgcolor3 . '">' . $userfield . '</td>
	  </tr>
	  <tr>
	    <td bgcolor="' . $bgcolor2 . '" width="25%"><font class="content">' . _NBEMAIL . ':</font></td>
	    <td bgcolor="' . $bgcolor3 . '"><input type="text" name="email" value="' . mxEntityQuotes($entry['email']) . '" size="50" maxlength="60" /></td>
	  </tr>
		';
    if (!empty($NB_setting['showurl'])) {
        echo '
      <tr>
	    <td bgcolor="' . $bgcolor2 . '" width="25%"><font class="content">' . _NBHOMEPAGE . ':</font></td>
	    <td bgcolor="' . $bgcolor3 . '"><input type="text" name="url" value="' . mxEntityQuotes($entry['url']) . '" size="50" maxlength="70" /></td>
	  </tr>
		';
    }
    echo '
	  <tr>
	    <td bgcolor="' . $bgcolor2 . '" width="25%" valign="top"><font class="content">' . _NBYOURMESSAGE . ':&nbsp;<span style="color: Red;">*</span></font><br /><br />
		<div align="left" class="tiny">
        <ul class="tiny">
		<li>' . $html_code . '</li>
        <li>' . $smile_code . '</li>
        <li>' . $nb_code . '</li>
        </ul>
		<a href="javascript:openCentered(\'modules.php?name=' . $module_name . '&amp;file=bbcode\',\'codes\',\'640\',\'450\',\'scrollbars=yes\')">' . _NBSHOWLEGEND . '</a>
        </div>
	</td>
	    <td bgcolor="' . $bgcolor3 . '"><textarea cols="60" rows="12" name="comment" id="gb_comment">' . htmlentities($entry['comment']) . '</textarea>' . $smilies . ' ' . $allowed . '</td>
	  </tr>
	  <tr>
	    <td bgcolor="' . $bgcolor2 . '" colspan="2" align="center">&nbsp;
	      <input type="hidden" name="name" value="' . $module_name . '" />
				<input type="hidden" name="nukeuser" value="' . $entry['nukeuser'] . '" />
				<input type="hidden" name="uid" value="' . $entry['uid'] . '" />
				<input type="hidden" name="id" value="' . $entry['id'] . '" />
				<input type="hidden" name="item" value="' . $item . '" />
				';
    if ($adminmode) {
        echo '<input type="submit" value="' . _NBSAVECHANGES . '" />
				<input type="hidden" name="qu" value="' . $qu . '" /> ';
    } else {
        require("includes/captcha/settings.php");
        if (($guestbookon) && ((!MX_IS_USER) || ((MX_IS_USER) && ($captchauseron))) && (!MX_IS_ADMIN)) {
            require("includes/captcha/captcha_java.php");
            echo "</td></tr><tr><td colspan=\"2\" bgcolor=\"" . $bgcolor2 . "\"><center><img id=\"captchaimage\" src=\"includes/captcha/captchaimg.php?" . md5(crypt(uniqid(''))) . "\" alt=\"\"></center></td></tr>";
            echo '<tr><td bgcolor="' . $bgcolor2 . '" width="25%" valign="top">' . _CAPTCHAINSERT . '</td><td bgcolor="' . $bgcolor3 . '"><input type="text" name="captcha" value="' . mxEntityQuotes($entry['captcha']) . '" size="20" maxlength="20"></td></tr>
				<tr><td colspan="2" bgcolor="' . $bgcolor2 . '"><input type="button" value="' . _CAPTCHARELOAD . '" onclick="do_reload(); return false;">';
        }
        echo '<input type="submit" name="op" value="' . _NBSUBMIT . '" />
				<input type="submit" name="op" value="' . _NBPREVIEW . '" /> ';
    }
    echo '
	    </td>
	  </tr>
	</table>
	</fieldset>
	</form>
	';
}

function NB_ViewEntry($entry, $adminmode = 0)
{
    global $bgcolor1, $bgcolor2, $bgcolor3, $bgcolor4, $textcolor1, $textcolor2;
    global $module_name, $NB_setting, $prefix;
    static $i = 0;
    $i++;

    $item = (isset($entry['item'])) ? intval($entry['item']) : 0;
    // Adminkommentare zu den Eintrgen
    // $quote_msg = NB_GetCommentMessage($comment);
    // $comment   = NB_CutCommentMessage($comment);
    // $quote = ($quote_msg) ? 'view' : '';
    // $quote = (MX_IS_ADMIN && isset($_REQUEST['quote']) &&  isset($_REQUEST['id']) && $_REQUEST['id']==$entry['id']) ? $_REQUEST['quote'] : $quote;
    if ($NB_setting['allow_html'] == 1) {
        $comment = mxNL2BR(mxPrepareToHTMLDisplay($entry['comment']));
    } else {
        $comment = htmlspecialchars($entry['comment']);
        $comment = nl2br($comment);
    }

    $comment = NB_GetEditMessage($comment);

    if ($NB_setting['smilies'] == 1) {
        $comment = NB_Emotion($comment);
    }

    if ($NB_setting['nbcode'] == 1) {
        $comment = NB_Code($comment);
    }

    $comment = FixLongWords($comment, $NB_setting['max_wordlength']);

    $gotop = '<a href="#nb_top">' . mxCreateImage('modules/' . $module_name . '/images/up.png', _TOP, 0, 'hspace="4"') . '</a>';
    $thread = '<a name="gb-' . $entry['id'] . '" id="gb-' . $entry['id'] . '">#' . ((isset($entry['thread'])) ? intval($entry['thread']) : $entry['id']) . '</a>';
    $date = mx_strftime(_DATESTRING . ' %H:%M', $entry['date']);
    $date = '<span class="content">' . mxCreateImage('modules/' . $module_name . '/images/post.gif', $date) . '&nbsp;' . $date . '&nbsp;' . $thread . '</span>';
    $username = ($entry['uid'] && $entry['nukeuser'] && mxModuleAllowed('Userinfo')) ? '<a href="modules.php?name=Userinfo&amp;uname=' . urlencode($entry['nbname']) . '">' . $entry['nbname'] . '</a>' : $entry['nbname'];
    $username = '<span class="option"><b>' . $username . '</b></span>' . (($entry['uid'] && $entry['nukeuser']) ? '' : ' <span class="tiny">(' . _NBASGUEST . ')</span>') . '';
    $userdata = ($entry['email']) ? '<a href="mailto:' . mxPrepareToDisplay($entry['email']) . '">' . mxCreateImage('modules/' . $module_name . '/images/email.gif', _NBEMAIL) . '</a> ' : '';
    if (!empty($NB_setting['showurl'])) {
        $userdata .= ($entry['url']) ? '<a href="' . $entry['url'] . '" target="_blank">' . mxCreateImage('modules/' . $module_name . '/images/homepage.gif', _NBHOMEPAGE) . '</a> ' : '';
    }
    $admin = '';
    if (MX_IS_ADMIN) {
        if (!$adminmode) {
            // $admin .= '<a href="modules.php?name='.$module_name.'&amp;id='.$entry['id'].'&amp;item='.$item.'&amp;quote=edit#gb-'.$entry['id'].'">'.mxCreateImage('modules/'.$module_name.'/images/quote.png',_NBDOCOMMENT, 0, 'hspace="2"').'</a>';
            $admin .= '<a href="admin.php?op=GuestBookEditEntry&amp;id=' . $entry['id'] . '&amp;item=' . $item . '">' . mxCreateImage('modules/' . $module_name . '/images/edit.gif', _NBEDITENTRY, 0, 'hspace="2"') . '</a>';
            $admin .= '<a href="admin.php?op=GuestBookDeleteEntry&amp;id=' . $entry['id'] . '&amp;item=' . $item . '">' . mxCreateImage('modules/' . $module_name . '/images/delete.gif', _NBDELETEPOST, 0, 'hspace="2"') . '</a>';
        }
        $hostname = (eregi('^[-a-z_]+', $entry['host'])) ? 'Host' : 'IP';
        $admin .= mxCreateImage('modules/' . $module_name . '/images/host.gif', $hostname . ': ' . $entry['host'], 0, 'hspace="2"');
    }
    // $bgcolor = ($i % 2) ? $bgcolor3 : $bgcolor2;
    // $rowspan = ($quote && !$adminmode) ? 3 : 2;
    // $rowspan = 2;
    $out = '
	<tr>
	   <td colspan="2" style="height: 10px; background-color: ' . $bgcolor2 . '; border: 1px solid ' . $bgcolor1 . '; border-bottom: none; padding: 5px;">
			<table width="100%" border="0" cellspacing="0" cellpadding="0">
			<tr>
				<td align="left">' . $username . '</td>
				<td align="right">' . $date . '</td>
			</tr>
			</table>
		</td>
	</tr>
	<tr align="left" valign="top">
	   <td width="10%" align="left" style="background-color: ' . $bgcolor2 . '; border-left: 1px solid ' . $bgcolor1 . '; padding: 5px;"><div class="tiny" style="white-space: nowrap;">' . $userdata . '<br /></div></td>
	   <td width="90%" rowspan="2" style="height: 50px; background-color: ' . $bgcolor3 . '; border: 1px solid ' . $bgcolor1 . '; padding: 5px;"><div class="content">' . $comment . '<br /></div></td>
	</tr>
	<tr>
	   <td width="10%" align="right" valign="bottom" style="height: 10px; background-color: ' . $bgcolor2 . '; border-left: 1px solid ' . $bgcolor1 . '; border-bottom: 1px solid ' . $bgcolor1 . ';"><div class="tiny" style="white-space: nowrap;"><br />' . $admin . '</div></td>
	</tr>
	';
    if (!$adminmode) {
        $out .= '
		<tr><td colspan="2" align="right">' . $gotop . '</td></tr>
		';
    }
    echo $out;
    return;
    // Adminkommentare zu den Eintrgen
    /*
	if ($quote && !$adminmode) {
		if ($quote == 'save' && isset($_POST['quote_msg'])) {
			$quote_msg = $_POST['quote_msg'];
			$comment = NB_SetCommentMessage($entry['comment'], $quote_msg);
			$qry = "UPDATE {$prefix}_{$NB_setting['dbtable']} SET comment='".mxAddSlashesForSQL($comment)."' WHERE id=".intval($entry['id'])."";
			sql_query($qry);
			$quotes = '';
			if ($quote_msg) {
				$qry = "SELECT comment FROM {$prefix}_{$NB_setting['dbtable']} WHERE id=".intval($entry['id'])."";
				$result = sql_query($qry);
				list($comment) = sql_fetch_row($result);
				$quotes = NB_GetCommentMessage($comment);
				}
			}
		else if ($quote == 'edit') {
			$quotes = '
			<form action="modules.php?name='.$module_name.'&amp;item='.$item.'#gb-'.$entry['id'].'" method="post" name="quoting" id="quoting">
			<input type="hidden" name="name" value="'.$module_name.'" />
			<input type="hidden" name="item" value="'.$item.'" />
			<input type="hidden" name="id" value="'.$entry['id'].'" />
			<input type="hidden" name="quote" value="save" />
			<textarea cols="45" rows="2" name="quote_msg" id="quote_msg">'.mxPrepareToDisplay($quote_msg).'</textarea>
			<input type="submit" value="'._NBDOCOMMENT.'" />
			</form>
			<script language="JavaScript" type="text/javascript">
			<!--
			document.quoting.quote_msg.focus();
			//-->
			</script>
			';
			}
		else {
			$quotes = $quote_msg;
			}
		echo '
		<tr valign="top"><td width="75%" height="20" style="height: 20px;" bgcolor="'.$bgcolor.'">
			<div class="content" style="font-style: italic;">
			'.mxCreateImage('modules/'.$module_name.'/images/quote.png',_NBDOCOMMENT).'&nbsp;
			'.$quotes.'
			</div>
		</td></tr>
		';
		}
	 */
}
// ==================================================
// function NB_CheckEntry
// Internal function used to check for empty name
// or message field, which in turn call on gb_error
// if needed
// ==================================================
function NB_CheckEntry($entry)
{
    global $NB_setting;

    $entry['nbname'] = trim(strip_tags($entry['nbname']));
    $name_check = '';
    if (MX_IS_USER) {
        $userinfo = mxGetUserData();
        $name_check = $userinfo['uname'];
        if (empty($entry['nbname']) || $NB_setting['regonly']) {
            $entry['uid'] = $userinfo['uid'];
            $entry['nbname'] = $userinfo['uname'];
        }
    }

    if (empty($entry['nbname'])) {
        gb_error(_NBERRORNAME, $entry);
    } else {
        if ($name_check != $entry['nbname']) {
            $checkdata = mxGetUserDataFromUsername($entry['nbname']);
            if (!empty($checkdata['uname'])) {
                $entry['nbname'] = '';
                gb_error(sprintf(_USERNAMENOTALLOWED, $checkdata['uname']), $entry);
            }
        }
    }

    $entry['comment'] = trim($entry['comment']);
    if (empty($entry['comment'])) {
        gb_error(_NBERRORMSG, $entry);
    }
    // vermeiden, dass Systemkommentare gepostet werden knnen
    $entry['comment'] = preg_replace('#(<!-- ~)(!.*!)(~ -->)#s', '<!-- &#126;$2&#126; -->', $entry['comment']);

    $entry['email'] = trim(strip_tags($entry['email']));
    if (!mxCheckEmail($entry['email'])) {
        $entry['email'] = '';
    }
    if (empty($NB_setting['showurl']) || !eregi("^http://[_a-z0-9-]+\\.[_a-z0-9-]+", $entry['url'])) {
        $entry['url'] = '';
    }

    $entry['url'] = trim(mxCutHTTP(strip_tags($entry['url'])));
    if (htmlspecialchars($entry['url']) != $entry['url']) {
        $entry['url'] = '';
    }

    return $entry;
}
// ==================================================
// function FixLongWords
// Function to prohibit users to enter rediculous
// long words that would fuck up site layout etc...
// ==================================================
function FixLongWords($string, $wordlength)
{
    $wordlength = intval($wordlength);
    if (empty($wordlength)) {
        return $string;
    }
    $mystring = "";
    $streng = preg_split('#[[:space:]]#', $string);
    reset ($streng);
    while (list(, $temp) = each ($streng)) {
        if (strlen($temp) > $wordlength && !preg_match('#(https?|ftp)://#', $temp)) {
            $temp = chunk_split($temp, $wordlength);
            $mystring .= $temp;
        } else {
            $mystring .= $temp . " ";
        }
    }
    return $mystring;
}
// ==================================================
function NB_GetSmilies()
{
    global $module_name;
    $folder = 'modules/' . $module_name . '/images/';
    $smilies = array(':)' => $folder . 'smilie1.gif',
        ':-)' => $folder . 'smilie1.gif',
        ':(' => $folder . 'smilie2.gif',
        ':-(' => $folder . 'smilie2.gif',
        ';)' => $folder . 'smilie3.gif',
        ';-)' => $folder . 'smilie3.gif',
        ':o' => $folder . 'smilie4.gif',
        ':-o' => $folder . 'smilie4.gif',
        ':D' => $folder . 'smilie5.gif',
        ':-D' => $folder . 'smilie5.gif',
        ':p' => $folder . 'smilie6.gif',
        ':-p' => $folder . 'smilie6.gif',
        ':P' => $folder . 'smilie6.gif',
        ':-P' => $folder . 'smilie6.gif',
        ':cool:' => $folder . 'smilie7.gif',
        ':rolleyes:' => $folder . 'smilie8.gif',
        ':mad:' => $folder . 'smilie9.gif',
        ':eek:' => $folder . 'smilie10.gif',
        ':confused:' => $folder . 'smilie11.gif',
        );
    return $smilies;
}
// ==================================================
function NB_ShowSmilies()
{
    $smilies = NB_GetSmilies();
    $smilies = array_unique($smilies);
    foreach($smilies as $key => $val) {
        $code_js = str_replace('\'', '\\x27', $key);
        $img[] = '<td class="smiley_cell" title="' . $key . '" onclick="insert_text(\' ' . $code_js . ' \');">' . mxCreateImage($val, $key) . '</td>';
    }

    $smilies = '
	<script language="JavaScript1.2" type="text/javascript">
	<!--
	// Unclassified NewsBoard
	// Copyright 2003-4 by Yves Goergen
	// Homepage: http://newsboard.unclassified.de

	textbox = document.getElementById("gbForm").gb_comment;

	function insert_text(what)	{
		if (textbox.createTextRange)		{
			textbox.focus();
			document.selection.createRange().duplicate().text = what;
			textbox.focus();
		}
		else if (textbox.selectionStart >= 0)		{
			// Mozilla without selected text
			var start_selection = textbox.selectionStart;
			var scroll_top = textbox.scrollTop;
			var scroll_left = textbox.scrollLeft;

			// fetch everything from start of text area to selection start
			var start = textbox.value.substring(0, start_selection);
			// fetch everything from end of selection to end of text area
			var end = textbox.value.substring(start_selection, textbox.textLength);

			textbox.value = start + what + end;

			textbox.selectionStart = textbox.selectionEnd = start_selection + what.length;
			textbox.focus();
			textbox.scrollTop = scroll_top;
			textbox.scrollLeft = scroll_left;
		}
		else		{
			textbox.value += what;
			textbox.focus();
		}
	}
	//-->
	</script>
	<table cellspacing="0" cellpadding="3"><tr valign="middle">' . implode(' ', $img) . '</tr></table>';
    return $smilies;
}
// ==================================================
function NB_Emotion($message)
{
    $smilies = NB_GetSmilies();
    $lastval = '';
    foreach($smilies as $key => $val) {
        // / gleiche Bilder nur 1x generieren
        if ($val != $lastval) {
            $img = mxCreateImage($val, $key);
            $lastval = $val;
        }
        $message = str_replace($key, $img, $message);
    }
    return $message;
}

function NB_Code($string)
{
    global $NB_setting;
    // $string=eregi_replace("\\[img\\]([^\\[]*)\\[/img\\]","<img src=\"\\1\" border=0>",$string);
    $string = preg_replace("#\[img\](.*?\.(png|jpe?g|gif))[[:space:]]*?\[/img\]#si", "<img src=\"\\1\" border=\"0\" />", $string);
    $string = eregi_replace("\\[b\\]([^\\[]*)\\[/b\\]", "<b>\\1</b>", $string);
    $string = eregi_replace("\\[i\\]([^\\[]*)\\[/i\\]", "<i>\\1</i>", $string);
    $string = eregi_replace("\\[u\\]([^\\[]*)\\[/u\\]", "<u>\\1</u>", $string);
    $string = eregi_replace("\\[email\\]([^\\[]*)\\[/email\\]", "<a href=\"mailto:\\1\">\\1</a>", $string);
    // url's nur umwandeln, wenn Anzeige der url eingeschaltet
    if (empty($NB_setting['showurl'])) {
        $string = eregi_replace("\\[url\\]www.([^\\[]*)\\[/url\\]", "\\1", $string);
        $string = eregi_replace("\\[url\\]([^\\[]*)\\[/url\\]", "\\1", $string);
        $string = eregi_replace("\\[url=http://([^\\[]+)\\]([^\\[]*)\\[/url\\]", "\\2", $string);
    } else {
        $string = eregi_replace("\\[url\\]www.([^\\[]*)\\[/url\\]", "<a href=\"http://www.\\1\" target=\"_blank\">\\1</a>", $string);
        $string = eregi_replace("\\[url\\]([^\\[]*)\\[/url\\]", "<a href=\"\\1\" target=\"_blank\">\\1</a>", $string);
        $string = eregi_replace("\\[url=http://([^\\[]+)\\]([^\\[]*)\\[/url\\]", "<a href=\"http://\\1\" target=\"_blank\">\\2</a>", $string);
        // $string=eregi_replace("((http|mailto|ftp):\/\/[^[:space:]<>]{1,})","<a href='\\1'>\\1</a>",$string);
    }
    return $string;
}

function NB_NaviForm()
{
    global $module_name, $NB_setting, $textcolor2;
    $total = NB_GetTotalCount();
    $item = (isset($_REQUEST['item'])) ? intval($_REQUEST['item']) : 0;

    $options = array();
    $remain = 0;
    // $total % $NB_setting['entries_per_page'];
    for ($max = $total; $max > 0; $max -= $NB_setting['entries_per_page']) {
        $min = $max - $NB_setting['entries_per_page'] + 1;
        if ($min < 1) $min = 1;
        $options[] = '<option value="' . $remain . '"' . (($item === $remain) ? 'selected' : '') . '>' . _NBNAVIENTRY . ' ' . $min . '-' . $max . "</option>\n"; #
        $remain += $NB_setting['entries_per_page'];
    }

    if (count($options) > 1) {
        $options = implode('', $options);
        return '
        <form action="modules.php" name="gb_navi" id="gb_navi" style="margin: 0px; white-space: nowrap;">
        <input type="hidden" name="name" id="name" value="' . $module_name . '" />
        <select name="item" onChange="document.getElementById(\'gb_navi\').submit();">
        ' . $options . '
        </select>
        <input type="submit" id="gb_subi" value="' . _NBGO . '" style="visibility: inherit;" />
        </form>
        <script type="text/javascript">
            <!--
            document.getElementById(\'gb_subi\').style.visibility=\'hidden\';
            //-->
        </script>
		';
    }
}

function NB_GetTotalCount()
{
    global $prefix, $NB_setting;
    static $total;
    if (!isset($total)) {
        $sql_result = sql_query("select count(id) as total from {$prefix}_{$NB_setting['dbtable']}");
        list($total) = sql_fetch_row($sql_result);
    }
    return intval($total);
}

function NB_GetSettings()
{
    static $NB_setting;
    if (isset($NB_setting)) {
        return $NB_setting;
    }
    global $module_name;
    include('modules/' . $module_name . '/include/config.inc.php');
    if (!isset($NB_setting['regonly']) || !isset($NB_setting['waitseconds'])) {
        // zur Kompatibilitaet mit aelteren config-Dateien...
        @$NB_setting['regonly'] = (isset($NB_RegOnly)) ? $NB_RegOnly : 1 ;
        @$NB_setting['gbnotify'] = (isset($gbnotify)) ? $gbnotify : 1 ;
        @$NB_setting['waitseconds'] = (isset($waitseconds)) ? $waitseconds : 120 ;
        @$NB_setting['entries_per_page'] = (isset($entries_per_page)) ? $entries_per_page : 10 ;
        @$NB_setting['allow_html'] = (isset($allow_html)) ? $allow_html : 0 ;
        @$NB_setting['smilies'] = (isset($smilies)) ? $smilies : 1 ;
        @$NB_setting['nbcode'] = (isset($nbcode)) ? $nbcode : 1 ;
        @$NB_setting['max_wordlength'] = (isset($max_wordlength)) ? $max_wordlength : 80 ;
        @$NB_setting['confirmation'] = (isset($confirmation)) ? $confirmation : 1 ;
        @$NB_setting['showurl'] = (isset($showurl)) ? $showurl : 1 ;
        @$NB_setting['rightblocks'] = (isset($rightblocks)) ? $rightblocks : 0 ;
        @$NB_setting['dbtable'] = (isset($dbtable)) ? $dbtable : 'nukebook' ;
    }
    return $NB_setting;
}

function NB_isPostAllowed()
{
    global $NB_setting;
    return !($NB_setting['regonly'] && !MX_IS_USER && !MX_IS_ADMIN);
}

function NB_SetEditMessage($msg)
{
    $msg = NB_CutEditMessage($msg);
    $msg .= '<!-- ~!~' . time() . '~!~ -->';
    return $msg;
}

function NB_GetEditMessage($msg)
{
    if (preg_match('#(.*)(?:&lt;|<)!-- ~!~([0-9]+)~!~ --(?:&gt;|>)(.*)#s', $msg, $matches)) { // eimsux
        $msg = trim($matches[1] . ' ' . $matches[3]) . '<br /><div align="right" class="tiny">' . _NBEDITBYADMIN . ': ' . mx_strftime(_SHORTDATESTRING, $matches[2]) . '</div>';
    }
    return $msg;
}

function NB_CutEditMessage($msg)
{
    $msg = trim(preg_replace('#(.*)<!-- ~!~([0-9]+)~!~ -->(.*)#s', '$1 $3', $msg));
    return $msg;
}

/*
function NB_SetCommentMessage($msg, $quote) {
	$msg = NB_CutCommentMessage($msg);
	if ($quote) {
		$msg .= '<!-- ~!!~'.$quote.'~!!~ -->';
		}
	return $msg;
	}

function NB_GetCommentMessage($msg) {
	if (preg_match('#(.*)<!-- ~!!~(.+)~!!~ -->(.*)#s', $msg, $matches)) {#eimsux
		return trim($matches[2]);
		}
	return '';
	}

function NB_CutCommentMessage($msg) {
	$msg = trim(preg_replace('#(.*)<!-- ~!!~(.+)~!!~ -->(.*)#s', '$1 $3', $msg));
	return $msg;
	}
 */
?>