<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.11 $
 * $Author: joergk $
 * $Date: 2007/12/29 03:46:52 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 */

defined('mxMainFileLoaded') or die('access denied');

$index = 1;

$module_name = basename(dirname(__FILE__));
mxGetLangfile($module_name);
include_once(PMX_SYSTEM_DIR . "/mxNewsFunctions.php");

if (empty($op)) $op = "";
if (empty($mode)) $mode = "";
if (isset($sid)) $sid = intval($sid);

if (empty($sid)) { // # && !isset($tid)
    Header("Location: modules.php?name=" . $module_name . "");
}

if ($op == "Reply") {
    Header("Location: modules.php?name=" . $module_name . "&file=comments&op=Reply&pid=0&sid=$sid");
}

$qry = "SELECT s.*,
				s.sid AS s_sid,
				c.title AS cattitle,
				t.topicname,
				t.topicimage,
				t.topictext
				FROM (${prefix}_stories AS s
				LEFT JOIN ${prefix}_stories_cat AS c ON s.catid = c.catid)
				LEFT JOIN ${prefix}_topics AS t ON s.topic = t.topicid
				WHERE s.sid=" . $sid . " AND s.time <= now();";

$result = sql_query($qry);
$story = sql_fetch_assoc($result);
if (empty($story["aid"])) {
    Header("Location: modules.php?name=" . $module_name . "");
}

sql_query("UPDATE ${prefix}_stories SET counter=counter+1 where sid=" . $sid . "");

$artpage = 1;

$story["datetime"] = formatTimestamp($story["time"]);
$story["informant"] = (empty($story["informant"])) ? $GLOBALS['anonymous'] : $story["informant"];
$story["completetext"] = (empty($story["bodytext"])) ? "" . $story["hometext"] . "" . $story["notes"] . "" : "" . $story["hometext"] . '<br /><br />' . $story["bodytext"] . "" . $story["notes"] . "";
$story['allmorelink'] = vkpGetMoreLink($story);

$story["title_formated"] = $story["title"];
if (!empty($story["catid"])) {
    $story["title_formated"] = "<a href=\"modules.php?name=" . $module_name . "&amp;file=categories&amp;catid=" . $story["catid"] . "\"><span class=\"storycat\">" . $story["cattitle"] . "</span></a>: " . $story["title"] . "";
}
// // das Array, welches in den News-Bloecken abgefragt wird !!
$GLOBALS['story_blocks'] = $story;

$pagetitle = $story["title"];
include("header.php");
themearticle($story["aid"], $story["informant"], $story["datetime"], $story["title_formated"], $story["completetext"], $story["topic"], $story["topicname"], $story["topicimage"], $story["topictext"], $story);
if ((($mode != "nocomments") && ($story["acomm"] == 0)) && $GLOBALS['articlecomm']) { // // Achtung!!! acomm: 0 = Ja , 1 = Nein
    include_once("modules/" . $module_name . "/comments.php");
}
include ("footer.php");

?>
