<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.3 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:15:56 $
 */

defined('mxMainFileLoaded') or die('access denied');
$modname = basename(dirname(dirname(__FILE__)));

unset($sqlqry);
// ACHTUNG!! im Fanzynewsletter Modul ist nochmal die gleiche Definition dieser Tabelle!!
if (isset($tables["${prefix}_newsletter"])) {
    // Felder aktualisieren
    $tf = setupGetTableFields("${prefix}_newsletter");
    if (!isset($tf['regdate'])) $sqlqry[] = "ALTER TABLE `${prefix}_newsletter` ADD `regdate` int(10) NOT NULL default '0';";
    if (!isset($tf['regip'])) $sqlqry[] = "ALTER TABLE `${prefix}_newsletter` ADD `regip` varchar(15) NOT NULL default '';";
    if (!isset($tf['reghost'])) $sqlqry[] = "ALTER TABLE `${prefix}_newsletter` ADD `reghost` varchar(100) NOT NULL default '';";
    if (isset($tf['reghost'])) {
        if ($tf['reghost']['Default'] === null || $tf['reghost']['Type'] != 'varchar(100)') {
            $sqlqry[] = "ALTER TABLE `${prefix}_newsletter`
                CHANGE `reghost` `reghost` VARCHAR( 100 ) NOT NULL default ''";
        }
    }
} else {
    if (!setupTableExist("${prefix}_newsletter", true)) {
        $sqlqry[] = "
CREATE TABLE `${prefix}_newsletter` (
  `id` int(11) NOT NULL auto_increment,
  `email` varchar(100) NOT NULL default '',
  `status` int(11) NOT NULL default '0',
  `html` int(11) NOT NULL default '0',
  `checkkey` int(11) NOT NULL default '0',
  `regdate` int(10) NOT NULL default '0',
  `regip` varchar(15) NOT NULL default '',
  `reghost` varchar(100) NOT NULL default '',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;";
    }
}

if (!isset($tables["${prefix}_newsletter_send"])) {
    $sqlqry[] = "
CREATE TABLE `${prefix}_newsletter_send` (
  `id` int(11) NOT NULL auto_increment,
  `subject` varchar(255) default NULL,
  `text` text,
  `html` text,
  `send` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;";
} else {
    $indexes = setupGetTableIndexes("${prefix}_newsletter_send");
    if (isset($indexes['id'])) {
        $sqlqry[] = "ALTER TABLE `${prefix}_newsletter` DROP PRIMARY KEY , ADD PRIMARY KEY ( `id` );";
        $sqlqry[] = "ALTER TABLE `${prefix}_newsletter_send` DROP INDEX `id`;";
    }
}

if (!isset($tables["${prefix}_newsletter_sendto"])) {
    $sqlqry[] = "
CREATE TABLE `${prefix}_newsletter_sendto` (
  `id` int(11) NOT NULL auto_increment,
  `userid` int(11) NOT NULL default '0',
  `newsletterid` int(11) NOT NULL default '0',
  `date` datetime NOT NULL default '0000-00-00 00:00:00',
  PRIMARY KEY  (`id`)
) TYPE=MyISAM;";
}

if (isset($sqlqry)) {
    setupDoAllQueries($sqlqry);
    unset($sqlqry);
}
// Newsletter in User-Tabelle aktualisieren
if (isset($tables["${user_prefix}_users"])) {
    $uids = array();
    $result = mysql_query("SELECT u.uid FROM `${prefix}_newsletter` AS n LEFT JOIN `${user_prefix}_users` AS u ON n.email = u.email WHERE ((u.newsletter=0) AND (u.uid Is Not Null));");
    if ($result) {
        while (list($uid) = mysql_fetch_row($result)) {
            $uids[] = intval($uid);
        }
        if (count($uids)) {
            $sqlqry[] = "UPDATE `${user_prefix}_users` SET newsletter=1 WHERE uid IN (" . implode(',', $uids) . ")";
        }
    }

    $uids = array();
    $result = mysql_query("SELECT u.uid FROM `${user_prefix}_users` AS u LEFT JOIN `${prefix}_newsletter` AS n ON u.email = n.email WHERE (u.newsletter=1 AND n.id Is Null);");
    if ($result) {
        while (list($uid) = mysql_fetch_row($result)) {
            $uids[] = intval($uid);
        }
        if (count($uids)) {
            $sqlqry[] = "UPDATE `${user_prefix}_users` SET newsletter=0 WHERE uid IN (" . implode(',', $uids) . ")";
        }
    }
}

if (isset($sqlqry)) {
    setupDoAllQueries($sqlqry);
    unset($sqlqry);
}

?>