<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.10.2.1 $
 * $Author: tora60 $
 * $Date: 2008/02/02 10:39:17 $
 */

defined('mxMainFileLoaded') or die('access denied');


$credits = "
Modified and bugfixed Newsletter Module
by PragmaMx-developer-team,
editor: H. Grunert, http://marx-city.de
(C) 2005,2006 jubilee (pragmamx-developer Team - http://www.pragmamx.org)
-----------------------------------------------------------------------
Added captcha-support (c)2006
editor: H. Grunert, pragmaMx Developer Team (http://www.pragmaMx.org).
---------------------------------------------------------------
based on vkpMx-Newsletter Module
Copyright (C) 2003, A. Korsch - http://www.K2Tec.de
---------------------------------------------------------------
based on PHP-NUKE-Addon Newsletter 1.61,
Copyright (C) 2001, Andreas Gnther - http://www.bariba.de
";

/* anschliessendes Setup nur ausfuehren, wenn auch wirklich aufgerufen */
if (!defined('MX_MODULE_FILE') || MX_MODULE_FILE != 'setup.pmx') {
    return;
}

if (!mxGetAdminPref('radminsuper')) {
    mxErrorScreen('access denied');
}

if (!defined('PMX_VERSION')) {
    mxErrorScreen('pragmaMx >= 0.1.10 is required');
}

$module_name = basename(dirname(__FILE__));

include(PMX_SYSTEM_DIR . '/mx_install.php');
include('header.php');
echo '<h2>' . $module_name . ' installed</h2><p><b>Credits</b>:' . nl2br($credits) . '</p><hr/>';
$tables = setupGetTables();
include(dirname(__FILE__) . '/core/install.tabledef.php');
include('footer.php');


?>