<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.7.2.3 $
 * $Author: tora60 $
 * $Date: 2008/02/02 10:40:53 $
 */

defined('mxMainFileLoaded') or die('access denied');

if (!defined('PMX_VERSION')) {
    mxErrorScreen('pragmaMx >= 0.1.10 is required');
}

$thisfile = basename(__file__);
$module_name = basename(dirname(__FILE__));
global $prefix, $admin, $name, $home, $bgcolor1, $bgcolor2, $bgcolor3;

if (!empty($_GET["theme"])) {
    mxSetCookie("themetest", $_GET["theme"], 0);
} else {
    mxSetCookie("themetest", "", -1);
}

mxGetLangfile("News");
$index = 1;

$story = getTestStory();
$pagetitle = 'Theme-Test';

include("header.php");
openTable();
include("blocks/block-Themetest.php");
echo "<div align='center'><font class=\"title\"><b>verfgbare Themes:</b></font>" . $content . "</div>";
unset ($content);
closeTable();
echo "<br>";
OpenTable();
echo "<br><br>Das ist die Funktion <b>OpenTable()</b><br><br>";
CloseTable();
echo "<br>";
OpenTable2();
echo "<br><br>Das ist die Funktion <b>OpenTable2()</b><br><br>";
CloseTable2();
echo "<br>";
if (function_exists("OpenTableAl")) {
    OpenTableAl();
    echo "<br><br>Das ist die Funktion <b>OpenTableAl()</b><br><br>";
    CloseTableAl();
} else {
    OpenTable();
    echo "<br><br><h2>Die Funktionen <b>OpenTableAl()</b> und CloseTableAl()fehlen!</h2><br><br>";
    CloseTable();
}
echo "<br>";

$story['title'] = "Die Funktion themeindex()";
@themeindex($story["aid"], $story["informant"], $story["datetime"], $story["title_formated"], $story["counter"], $story["topic"], $story["hometext"], $story["notes"], $story["morelink"], $story["topicname"], $story["topicimage"], $story["topictext"], $story);
echo "<br>";

$story['title'] = "Die Funktion themearticle()";
@themearticle($story["aid"], $story["informant"], $story["datetime"], $story["title_formated"], $story["bodytext"], $story["topic"], $story["topicname"], $story["topicimage"], $story["topictext"], $story);
echo "<br>";

$block['bid'] = 1;
$block['bkey'] = "";
$block['content'] = $story['hometext'];
$block['url'] = "";
$block['position'] = "c";
$block['weight'] = "1";
$block['active'] = "1";
$block['refresh'] = "0";
$block['time'] = "0";
$block['blanguage'] = "";
$block['blockfile'] = "block-Modules.php";
$block['view'] = "0";
$block['order'] = "1";
if (function_exists("thememiddlebox")) {
    $block['title'] = "Funktion thememiddlebox()";
    $block['content'] = "Die Funktion thememiddlebox ist vorhanden.<br><br>" . $story['hometext'];
    @thememiddlebox($block['title'], $block['content'], $block);
} else {
    $block['title'] = "Funktion themecenterbox()";
    $block['content'] = "<h2>Die Funktion thememiddlebox fehlt!</h2><br><br>" . $thetext;
    @themecenterbox($block['title'], $block['content'] , $block);
}

include("footer.php");

function getTestStory()
{
    $story['col'] = 1;
    $story["notes"] = "hier stehen dann die Notizen";
    $story['hometext'] = 'Ein sinnloser Beispieltext: Iuno, Minerva, Venus deae inter se certaverunt, quae esset pulcherrima.';
    $story['col'] = '1 ';
    $story['bodytext'] = 'Weiter mit dem Moretext<br>Ein weiterer sinnloser Beispieltext: Paris Troianus arbiter nominatus iudicavit Venerem esse pulcherrimam; haec enim dea ei Helenam, pulcherrimam feminam, promiserat. Paris Spartam navigavit, ut Helenam, Menelai regis uxorem, abduceret. Helena, cum pulchro Paridi diu resistere non posset, una cum eo Troiam petivit. Quae iniuria causa fuit belli, quod Graeci cum Troianis per decem annos gesserunt. Iuno, Minerva, Venus deae inter se certaverunt, quae esset pulcherrima.';
    $story['title'] = 'Der Titel';
    $story['more'] = '<a href="#"><b>mehr...</b></a> ';
    $story['score'] = 'Punkte: 0 ';
    $story['datetime'] = '18.09.2004';
    $story['morelink'] = '(<a href="#"><b>mehr...</b></a> | 1224 mehr Zeichen |  | <a href="#" title=\'Druckbare Version\'><img src="images/print.gif" border="0" alt="Druckbare Version" title="Druckbare Version"></a>&nbsp;&nbsp;<a href="#" title=\'Diesen Artikel an einen Freund senden\'><img src="images/friend.gif" border="0" alt="Diesen Artikel an einen Freund senden" title="Diesen Artikel an einen Freund senden"></a> | Punkte: 0) ';
    $story['title_formated'] = 'Die Funktion themeindex()';
    $story['counter'] = '0';
    $story['informant'] = 'Benutzername';
    $story['aid'] = 'Adminname';
    $story['topic'] = '1';
    $story['topicname'] = 'Topicname';
    $story['topictext'] = 'Beschreibung des Topics';
    $story['topicimage'] = 'maaxdesign.gif';
    $story['ratings'] = '34';
    $story['sid'] = '0';
    $story['allmorelink'] = vkpTestGetMoreLink($story);
    return $story;
}

function vkpTestGetMoreLink($story)
{
    // print DateAndTime($story['datetime']);
    $formated['homecount'] = strlen(strip_tags($story['hometext']));
    $formated['bodycount'] = strlen(strip_tags($story['bodytext']));
    $formated['totalcount'] = $formated['homecount'] + $formated['bodycount'];
    $formated['storylink'] = "<a href=\"#" . $story['sid'] . "\">";
    $formated['printerlink'] = "<a href=\"#\" title='" . _PRINTER . "'>";
    $formated['friendlink'] = (mxModuleAllowed('Recommend_Us')) ? "<a href=\"#\" title='" . _FRIEND . "'>" : "<a>";
    $formated['datetime'] = _ON . " " . $story['datetime'];
    $formated['counter'] = $story['counter'] . " " . _READS;
    $formated['informantlink'] = (empty($story['informant'])) ? "<a title='" . _BY . ": " . $GLOBALS['anonymous'] . "'>" : "<a href='#' title='" . _BY . ": " . $story['informant'] . "'>";
    $formated['comments'] = "0 " . _COMMENTSQ;
    // $formated['bytemore'] = "".$formated['totalcount']." "._BYTESMORE."";
    if (!empty($story['url'])) {
        $formated['postedby'] = _POSTEDBY . " <a href='#' target='new'>" . $story['aid'] . "</a>";
    } else if (!empty($story['email'])) {
        $formated['postedby'] = _POSTEDBY . " <a href='#'>" . $story['aid'] . "</a>";
    } else {
        $formated['postedby'] = _POSTEDBY . " " . $story['aid'];
    }

    if (($formated['bodycount'] > 0) || ($story['comments'] > 0)) {
        $morelink['more'] = $formated['storylink'] . "<b>" . _READMORE . "</b></a>";
    }
    if ($formated['bodycount'] > 0) {
        $morelink['bytemore'] = $formated['totalcount'] . " " . _BYTESMORE;
    }
    $morelink['comments'] = "";
    // / Kommentare erlaubt?
    if ($GLOBALS['articlecomm'] == 1 && empty($story['acomm'])) { // // Achtung!!! acomm: 0 = Ja , 1 = Nein
        $story['comments'] = (empty($story['comments'])) ? 0 : (int)$story['comments'];
        if (empty($story['comments'])) $formated['comments'] = $story['comments'] . " " . _COMMENTSQ;
        else if ($story['comments'] == 1) $formated['comments'] = $story['comments'] . " " . _COMMENT;
        else $formated['comments'] = $story['comments'] . " " . _COMMENTS;
        $morelink['comments'] = $formated['storylink'] . $formated['comments'] . "</a>";
    }
    // // Achtung!!! acomm: 0 = Ja , 1 = Nein
    $formated['commentslink'] = (!empty($story['acomm']) || empty($GLOBALS['articlecomm'])) ? "<a>" : "<a href=\"#\" title=\"" . $formated['comments'] . "\">";
    if (empty($formated['bodycount']) && $story['acomm'] == 0) {
        $morelink['comments'] .= " " . $formated['storylink'] . "<b>" . _READMORE . "</b></a>";
    }

    $morelink['functions'] = $formated['printerlink'] . "<img src=\"images/print.gif\" border=\"0\" alt=\"" . _PRINTER . "\" title=\"" . _PRINTER . "\" width=\"16\" height=\"11\"></a>";
    $morelink['functions'] .= (mxModuleAllowed('Recommend_Us')) ? "&nbsp;&nbsp;" . $formated['friendlink'] . "<img src=\"images/friend.gif\" border=\"0\" alt=\"" . _FRIEND . "\" title=\"" . _FRIEND . "\" width=\"16\" height=\"11\"></a>" : "";
    if (!empty($story['catid'])) {
        $morelink['categorie'] = "<a href=\"#\" title=\"" . _NEWSCATEGORY . ": " . $story['cattitle'] . "\">" . $story['cattitle'] . "</a>";
    }
    $rated = (empty($story['score'])) ? 0 : substr($story['score'] / $story['ratings'], 0, 4);
    $morelink['score'] = _SCORE . " " . $rated;

    $morelink['formated'] = "(" . implode(" | ", $morelink) . ")";

    $morelink = array_merge($morelink, $formated);

    return $morelink;
}

?>