<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.3.2.1 $
 * $Author: tora60 $
 * $Date: 2008/02/02 10:39:17 $
 */

defined('mxMainFileLoaded') or die('access denied');


$credits = "UserGuest Module Version 1.9
(c)2005 by H. Grunert, http://www.pragmamx.org
based upon User Guestbook by Jens Ferner, http://www.netz-id.de
includes improvements and modifikations by Mirko Glotz, http://www.guggemahier.de
and Andreas Ellsel, http://www.pragmamx.org
";

/* anschliessendes Setup nur ausfuehren, wenn auch wirklich aufgerufen */
if (!defined('MX_MODULE_FILE') || MX_MODULE_FILE != 'setup.pmx') {
    return;
}

if (!mxGetAdminPref('radminsuper')) {
    mxErrorScreen('access denied');
}

if (!defined('PMX_VERSION')) {
    mxErrorScreen('pragmaMx >= 0.1.10 is required');
}

$module_name = basename(dirname(__FILE__));

include(PMX_SYSTEM_DIR . '/mx_install.php');
include('header.php');
echo '<h2>' . $module_name . ' installed</h2><p><b>Credits</b>:' . nl2br($credits) . '</p><hr/>';
$tables = setupGetTables();
include(dirname(__FILE__) . '/core/install.tabledef.php');
include('footer.php');


?>