<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.15 $
 * $Author: tora60 $
 * $Date: 2007/12/26 00:34:57 $
 *
 * this file based on:
 * php-nuke Web Portal System - http://phpnuke.org/
 * Thatware - http://thatware.org/
 * Based on Journey Links Hack
 * Copyright (c) 2000 by James Knickelbein
 * Journey Milwaukee (http://www.journeymilwaukee.com)
 */

defined('mxMainFileLoaded') or die('access denied');

define("_MODUNAME", "Web Links");
define("_MODITEMS", "Links");
define("_HITSTOITEM", "Hits");
define("_LINKNOW", "Visit this site now");
define("_LINKING", "Visit a website");
define("_ADDLINK", "Allow users to suggest new links?");
define("_LASTUPDATED", "last&nbsp;update");
define("_ADDITIONALDET", "Additional Details");
define("_ADDNEWLINK", "Add a New Link");
define("_ADDNEWS", "Should a news for the new link be published?");
define("_ALLOWTORATE", "Allow other users to rate it from your web site!");
define("_AND", "and");
define("_ANONADDLINKLOCK", "Lock unregistered users from suggesting new links?");
define("_ANONWAITDAYS", "Number of days anonymous users need to wait to vote on a link");
define("_ANONWEIGHT", "How many unregistered user votes per 1 registered user vote?");
define("_BLOCKUNREGMODIFY", " Block unregistered users from suggesting link changes?");
define("_BREAKDOWNBYVAL", "Breakdown of Ratings by Value");
define("_BROKENLINKSREP", "Broken Links Reports");
define("_BUTTONLINK", "Button Link");
// define("_CHECKALLLINKS", "Check ALL Links");
define("_CHECKFORIT", "You didn't provide an email address but we will check your link soon.");
define("_CLEANLINKSDB", "Clean Links Votes");
define("_COMPLETEVOTE1", "Your vote is appreciated.");
define("_COMPLETEVOTE2", "You have already voted for this resource.");
define("_COMPLETEVOTE3", "Vote for a resource only once.<br />All votes are logged and reviewed.");
define("_COMPLETEVOTE4", "You cannot vote on a link you submitted.<br />All votes are logged and reviewed.");
define("_COMPLETEVOTE5", "No rating selected - no vote tallied");
define("_COMPLETEVOTE6", "Only one vote per IP address is allowed.");
define("_DANNO1", "&uuml;bermittelte uns einen neuen Link, der in unsere");
define("_DANNO1E", "sent us a new web-link for our");
define("_DANNO2", "Link-Datenbank");
define("_DANNO3", "aufgenommen wurde.");
define("_DANNO4", "Eine Beschreibung von");
define("_DANNO4E", "A description for");
define("_DANNO5", "findest Du unten.");
define("_DANNO5E", "you can find below.");
define("_DANNO6", "Neuer Link verf&uuml;gbar");
define("_DANNO6E", "New Link available");
define("_DANNO7", "LinkDetails:");
define("_DBESTRATED", "Best Rated Links - Top");
define("_DCATLAST3DAYS", "New Links in this Category Added in the last 3 days");
define("_DCATNEWTODAY", "New Links in this Category Added Today");
define("_DCATTHISWEEK", "New Links in this Category Added this week");
define("_DDATE1", "Date (Old Links Listed First)");
define("_DDATE2", "Date (New Links Listed First)");
define("_DDELETEINFO", "Delete (Deletes <b><i>broken link</i></b> and <b><i>requests</i></b> for a given link)");
define("_DETAILS", "Details");
define("_DETAILVOTEDECIMAL", "Let detailed vote summary decimal out to N places. (no max)");
define("_DIGNOREINFO", "Ignore (Deletes all <b><i>requests</i></b> for a given link)");
define("_WLADDLINK", "Add Link");
define("_WLADDSTORY", "Create a automaticaly news-article?");
define("_WLADDSUBCATEGORY", "Add a Category");
define("_WLAREYOUSURE", "Are you sure you want to delete this link?");
define("_WLATTACHEDTOCAT", "under this category");
define("_WLAUTHOR", "Author");
define("_WLAUTHOREMAIL", "Author's Email");
define("_WLAUTHORNAME", "Author's Name");
define("_WLCATDELETED", "Category Deleted!");
define("_WLCATEGORIES", "Categories");
define("_WLCATEGORY", "Category");
define("_WLCATWARNING", "<b>WARNING!</b> Are you sure you want to delete this category? You will delete all sub-categories and attached links as well!");
define("_WLDAYS", "days");
define("_WLDELETECATEGORY", "Delete Category");
define("_WLDELETED", "Der Link wurde gel&ouml;scht.");
define("_WLDESCRIPTION", "Description");
define("_WLETSDECIDE", "Input from users such as yourself will help other visitors better decide which links to click on.");
define("_WLFBECAUSE", "In order to prevent direct links, these links are protected by &quot;Captcha-passwords&quot;");
define("_WLFDIRECTION1", "To visit this site ");
define("_WLFDIRECTION2", ", you need to retype the displayed &quot;Captcha-Passwort&quot;, and click &quot;<i>" . _LINKNOW . "</i>&quot;. In a few moments you will be directed to the appropriate site.");
// define("_WLFILESIZE", "Filesize");
define("_WLFILEURL", "URL");
define("_WLFNOTFOUND", "URL Not Found");
define("_WLFSORRY1", "Sorry");
define("_WLFSORRY2", "The website &quot;%s&quot; can't be found. This link has now been automatically flagged for review by the webmaster.");
define("_WLFYOUHAVE", "You have selected to visit: ");
define("_WLGROUPDOWN", "can visit");
define("_WLGROUPSEE", "can see");
define("_WLHITS", "Hits");
define("_WLHOMEPAGE", "HomePage");
define("_WLMODIFY", "Modify");
define("_WLORIGINAL", "Original");
define("_WLPOPULAR", "Popular");
define("_WLPOPULARITY", "Popularity");
define("_WLPOPULARITY1", "Popularity (Least to Most Hits)");
define("_WLPOPULARITY2", "Popularity (Most to Least Hits)");
define("_WLPROPOSED", "Proposed");
// define("_WLSHOW", "Show");
define("_WLSHOWTOP", "Show Top");
define("_WLSTAFF", "Staff");
define("_WLSUBCAT", "sub-categories");
define("_WLSUBMITTER", "Submitter");
define("_WLTHEREARE", "There are");
define("_WLTITLE", "Title");
define("_WLTITLEAZ", "Title (A to Z)");
define("_WLTITLEZA", "Title (Z to A)");
define("_WLTO", "To");
define("_WLTRANSFER", "Transfer");
define("_WLTRANSFERLINKS", "Transfer all links from category");
define("_WLUSECAPTCHA", "Use captcha system for this category?");
define("_WLVERSION", "Version");
define("_DNOREPORTEDBROKEN", "No reported broken links.");
define("_DOWNCATNOTITLE", "ERROR: You need to type a TITLE for your Category!");
define("_DONLYREGUSERSMODIFY", "Only registered users can suggest links modifications. Please <a href=\"modules.php?name=Your_Account\">register or login</a>.");
define("_LINKALREADYEXT", "This URL is already listed in the Database!");
define("_LINKCOMMENTS", "Link Comments");
define("_LINKID", "Link ID");
define("_LINKMODREQUEST", "Link Modification Requests");
define("_LINKNAME", "Program Name");
define("_LINKNODESC", "You need to type a DESCRIPTION for your URL!");
define("_LINKNOTITLE", "You need to type a TITLE for your URL!");
define("_LINKNOURL", "You need to type a URL for your URL!");
define("_LINKOWNER", "Link Owner");
define("_LINKPROFILE", "Link Profile");
define("_LINKRATING", "Links Rating");
define("_LINKRATINGDET", "Link Rating Details");
define("_LINKRECEIVED", "We received your Link submission. Thanks!");
define("_LINKRESULTS", "How many links to display on each search result page?");
define("_LINKSINDB", "Links in our Database");
define("_LINKSMAIN", "Links Main");
define("_LINKSMAINCAT", "Links Main Categories");
define("_LINKSNOTUSER1", "You are not a registered user or you have not logged in.");
define("_LINKSNOTUSER2", "If you were registered you could add links on this website.");
define("_LINKSNOTUSER3", "Becoming a registered user is a quick and easy process.");
define("_LINKSNOTUSER4", "Why do we require registration for access to certain features?");
define("_LINKSNOTUSER5", "So we can offer you only the highest quality content,");
define("_LINKSNOTUSER6", "each site is individually reviewed and approved by our staff.");
define("_LINKSNOTUSER7", "We hope to offer you only valuable information.");
define("_LINKSNOTUSER8", "Register for an Account");
define("_LINKSWAITINGVAL", "Links Waiting for Validation");
define("_LINKTITLE", "Link Title");
define("_LINKVALIDATION", "Link Validation");
define("_LINKVOTE", "Vote");
define("_LINKVOTEMIN", "Number of votes needed to make the 'top 10' list?");
define("_DPOSTPENDING", "All links are posted pending verification.");
define("_DRATENOTE4", "You can view a list of the <a href=\"modules.php?name=" . (@$GLOBALS['module_name']) . "&amp;op=TopRated\">Top Rated Resources</a>.");
define("_DSUBMITONCE", "Submit a unique link only once.");
define("_DTOTALFORLAST", "Total new links for last");
define("_DUSERMODREQUEST", "User Link Modification Requests");
define("_DUSERREPBROKEN", "User Reported Broken Links");
define("_EDITORIAL", "Editorial");
define("_EDITORIALBY", "Editorial by");
define("_EDITORREVIEW", "Editor Review");
define("_EDITTHISLINK", "Edit This Link");
define("_FEATUREBOX", "Show feature link box on link main page?");
define("_FEELFREE2ADD", "Feel free to add a comment about this site.");
define("_HIGHRATING", "High Rating");
define("_HTMLCODE1", "The HTML code you should use in this case, is the following:");
define("_HTMLCODE2", "The source code for the above button is:");
define("_HTMLCODE3", "Using this form will allow users to rate your resource directly from your site and the rating will be recorded here. The above form is disabled, but the following source code will work if you simply cut and paste it into your web page. The source code is shown below:");
define("_IDREFER", "in the HTML source references your site's ID number in database. Be sure this number is present.");
define("_IFYOUWEREREG", "If you were registered you could make comments on this website.");
define("_INBYTES", "in bytes");
define("_INDB", "in our database");
define("_INOTHERSENGINES", "in others Search Engines");
define("_INSTRUCTIONS", "Instructions");
define("_ISTHISYOURSITE", "Is this your resource?");
define("_LAST30DAYS", "Last 30 Days");
define("_LASTWEEK", "Last Week");
define("_LDESCRIPTION", "Description");
define("_LISTALL", "List All");
define("_LOOKTOREQUEST", "We'll look into your request shortly.");
define("_LOWRATING", "Low Rating");
define("_LTOTALVOTES", "total votes");
define("_LVOTES", "x voted");
define("_MAINVOTEDECIMAL", "Let main vote summary decimal show out to N places. (max 4)");
define("_MODLINK", "Modify a Link");
define("_MODEDITORIAL", "Modify Editorial");
define("_MOSTPOPLINK", "Either # of most popular links or percentage to show (percentage as whole number. #/100)");
define("_MOSTPOPLINKPERCENTTRIGGER", "Show most popular link as percentage (else # of links)");
define("_MOSTPOPULAR", "Most Popular - Top");
define("_NEW", "New");
define("_NEWLINK", "How many links to display in the New Links Page?");
define("_NEWLINKADDED", "New Link added to the Database");
define("_NEWLINKS", "New Links");
define("_NEWLAST3DAYS", "New last 3 days");
define("_NEWTHISWEEK", "New This Week");
define("_NEWTODAY", "New Today");
define("_NEXT", "Next Page");
define("_NOEDITORIAL", "No editorial is currently available for this website.");
define("_NOMATCHES", "No matches found to your query");
define("_NOOUTSIDEVOTES", "No Outside Votes");
define("_NOREGUSERSVOTES", "No Registered User Votes");
define("_NOUNREGUSERSVOTES", "No Unregistered User Votes");
define("_NUMBEROFRATINGS", "Number of Ratings");
define("_NUMOFCOMMENTS", "Number of Comments");
define("_NUMRATINGS", "# of Ratings");
define("_OF", "of");
define("_OFALL", "of all");
define("_OUTSIDEVOTERS", "Outside Voters");
define("_OUTSIDEWAITDAYS", "Number of days outside users need to wait to vote on a link (checks IP)");
define("_OUTSIDEWEIGHT", "How many outside user votes per 1 registered user vote?");
define("_OVERALLRATING", "Overall Rating");
define("_PERPAGE", "How many links to show on each page?");
define("_POPULAR", "How many hits does a link need to be listed as popular?");
define("_PREVIOUS", "Previous Page");
define("_PROMOTE01D", "Maybe you can be interested in several of the remote 'Rate a Link' options we have available. These allow you to place an image (or even a rating form) on your link in order to increase the number of votes your resource receive. Please choose from one of the options listed below:");
define("_PROMOTE02D", "One way to link to the rating form is through a simple text link:");
define("_PROMOTE03D", "If you're looking for a little more than a basic text link, you may wish to use a small button link:");
define("_PROMOTE04D", "If you cheat on this, we'll remove your link. Having said that, here is what the current remote rating form looks like.");
define("_PROMOTE05D", "Thanks! and good luck with your ratings!");
define("_PROMOTEYOURSITE", "Promote Your Link");
define("_PTITLEDLC", "Link Configuration");
define("_RATEIT", "Rate this Link!");
define("_RATENOTE1", "Please do not vote for the same resource more than once.");
define("_RATENOTE2", "The scale is 1 - 10, with 1 being poor and 10 being excellent.");
define("_RATENOTE3", "Please be objective in your vote, if everyone receives a 1 or a 10, the ratings aren't very useful.");
define("_RATENOTE5", "Do not vote for your own resource or a competitor's.");
// define("_RATERESOURCE", "Rate Resource");
define("_RATETHISSITE", "Rate this Resource");
define("_RATING", "Rating");
define("_RATING1", "Rating (Lowest Scores to Highest Scores)");
define("_RATING2", "Rating (Highest Scores to Lowest Scores)");
define("_REGISTEREDUSERS", "Registered Users");
define("_REMOTEFORM", "Remote Rating Form");
define("_REPORTBROKEN", "Report Broken Link");
define("_REQUESTLINKMOD", "Request Link Modification");
define("_RESSORTED", "Resources currently sorted by");
define("_RETURNTO", "Return to");
define("_SCOMMENTS", "Comments");
define("_SEARCHRESULTS4", "Search Results for");
define("_SECURITYBROKEN", "For security reasons your user name and IP address will also be temporarily recorded.");
define("_SELECTPAGE", "Select Page");
define("_SENDREQUEST", "Send Request");
define("_SORTLINKSBY", "Sort Links by");
define("_SWITCHIT", "Switch");
define("_TEXTLINK", "Text Link");
define("_THANKSBROKEN", "Thank you for helping to maintain this directory's integrity.");
define("_THANKSFORINFO", "Thanks for the information.");
define("_THANKSTOTAKETIME", "Thank you for taking the time to rate a site here at");
define("_THENUMBER", "The Number");
// define("_TOPLINK", "How many links to display in The Best Links Page? (most popular)");
define("_TOPRATEDCOUNT", "Either # of top-rated links or percentage to show (percentage as whole number. #/100)");
define("_TOPRATEDPERCENTTRIGGER", "Show top-rated link as a percentage (else # of links)");
define("_TOPRATED", "Top Rated");
define("_TOTALNEWLINKS", "Total New Links");
define("_TOTALOF", "Total of");
define("_TOTALVOTES", "Total Votes");
define("_TRATEDLINKS", "total rated links");
define("_TRY2SEARCH", "Try to search");
define("_TVOTESREQ", "minimum votes required");
define("_UNKNOWN", "Unknown");
define("_UNREGISTEREDUSERS", "Unregistered Users");
define("_USEOUTSIDEVOTING", "Allow webmasters to put vote links on their site?");
define("_USER", "User");
define("_USERANDIP", "Username and IP are recorded, so please don't abuse the system.");
define("_USERAVGRATING", "User's Average Rating");
define("_USUBCATEGORIES", "Sub-Categories");
define("_VALIDATELINKS", "Validate Links");
define("_VOTE4THISSITE", "Vote for this Downlaod!");
define("_WLINK_ADMIN", "Link");
define("_WLINKADMINHEAD", "Link Module Administration Site");
define("_WEBLINKSADMIN", "Web Links Administration");
define("_WEIGHNOTE", "* Note: This Resource weighs Registered vs. Unregistered users ratings");
define("_WEIGHOUTNOTE", "* Note: This Resource weighs Registered vs. Outside voters ratings");
define("_YOUARENOTREGGED", "You are not a registered user or you have not logged in.");
define("_YOUAREREGGED", "You are a registered user and are logged in.");
define("_MODCATEGORY", "Modify a Category");
define("_ADDEDITORIAL", "Add Editorial");
define("_EDITORIALTITLE", "Editorial Title");
define("_EDITORIALTEXT", "Editorial Text");
define("_DATEWRITTEN", "Date Written");
define("_IGNORE", "Ignore");
define("_NOMODREQUESTS", "There are not any modification requests right now");
define("_SUBCATEGORY", "Sub-Category");
define("_OWNER", "Owner");
define("_ACCEPT", "Accept");
define("_ERRORTHECATEGORY", "ERROR: The Category");
define("_ALREADYEXIST", "already exist!");
define("_ERRORTHESUBCATEGORY", "ERROR: The Sub-Category");
define("_EDITORIALADDED", "Editorial added to the Database");
define("_EDITORIALMODIFIED", "Editorial Modified");
define("_EDITORIALREMOVED", "Editorial removed from the Database");
define("_CHECKCATEGORIES", "Check Categories");
// define("_INCLUDESUBCATEGORIES", "(include Sub-Categories)");
// define("_CHECKSUBCATEGORIES", "Check Sub-Categories");
define("_FAILED", "Failed!");
// define("_BEPATIENT", "(please be patient)");
define("_VALIDATINGCAT", "Validating Category");
// define("_VALIDATINGSUBCAT", "Validating Sub-Category");
define("_PAGE", "Page");
define("_GOTOPAGE", "to page");
define("_GOTOPAGEFIRST", "to the first page");
define("_GOTOPAGELAST", "to the last page");
define("_CHECKTHIS", "Check");
define("_SETTINGSWARN", "Check the configuration of the link-modul first and save it again, please!");
define("_SHOWCOUNTERS", "Show the amount of existing links in the categories");
define("_SHOWDETAILS", "Show a detailed representation of the link-information in the listings");
define("_SHOWQUICKJUMPER", "Show the choice of categories at the end of every page of the modul?");
define("_SHOWEMPTYCATS", "Show empty categories (without existing links) in the listing of categories?");
define("_COUNTCATCOLS", "The number of columns in the listing of categories");
define("_SORTCATCOLS", "The sort of the listing of categories");
define("_SORTCATCOLS_1", "alphabetical");
define("_SORTCATCOLS_2", "Amount of content");
define("_USERATING", "Allow the rating of particular links");
define("_USECOMMENTS", "Allow comments for particular links");
define("_NOTVOTINGWARN", "The rating of particular links had been deactivated by the administrator.");
define("_NOCOMMENTSWARN", "The function of comments of particular links had been deactivated by the administrator.");
define("_HIDEDIRCTPATH", "Hide the direct path of links in the browser cache ? (this could cause errors in several browsers)");
define("_ERRFALSEUPDATED", "Invalid updated date");
define("_DELVOTEWARNING", "<b>WARNING!</b><br />Are you sure to delete the rating of links?<br />You will delete <b>every</b> rating of <b>every particular</b> link, as well as <b>every</b> comment of those links!");
define("_NOTHINGINCAT", "There are no links in this category.");
define("_NOTHINGINVIEW", "There are no links in this view.");
define("_RANDOM", "Random");
define("_RANDOMITEMS", "Random Links");
define("_ADDACOMMENT", "Post Comment");
define("_NOCATAVAILABLE", "No Categories available");
define("_LCOMMENT", "Comment");
define("_LNOCOMMENTS", "No Comments");
define("_UNREGUSERSVOTES", "No Unregistered User Votes");

?>
