<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.3 $
 * $Author: tora60 $
 * $Date: 2007/12/22 14:15:57 $
 */

defined('mxMainFileLoaded') or die('access denied');
$modname = basename(dirname(dirname(__FILE__)));

unset($sqlqry);
// Headlines-Tabellen
if (!isset($tables["${prefix}_hip_headlines"])) {
    $sqlqry[] = "
CREATE TABLE `${prefix}_hip_headlines` (
  `hid` int(11) NOT NULL auto_increment,
  `sitename` varchar(30) NOT NULL default '',
  `content` text NULL,
  `headlinesurl` varchar(200) NOT NULL default '',
  `count` mediumint(8) unsigned NOT NULL default '0',
  `description` text NULL,
  `catid` int(11) NOT NULL default '0',
  `active` tinyint(1) NOT NULL default '0',
  `refresh` int(10) NOT NULL default '0',
  `time` int(11) NOT NULL default '0',
  `pos` smallint(10) NOT NULL default '0',
  PRIMARY KEY  (`hid`)
) TYPE=MyISAM;";
}

if (isset($tables["${prefix}_hip_headlines"])) {
    // Felder aktualisieren
    $tf = setupGetTableFields("${prefix}_hip_headlines");
    if ($tf['count']['Type'] != 'mediumint(8) unsigned') $sqlqry[] = "ALTER TABLE `${prefix}_hip_headlines` CHANGE `count` `count` MEDIUMINT( 8 ) UNSIGNED NOT NULL DEFAULT '0' ";
    if ($tf['description']['Type'] != 'text') $sqlqry[] = "ALTER TABLE `${prefix}_hip_headlines` CHANGE `description` `description` text NULL ";
    if ($tf['catid']['Type'] != 'int(11)') $sqlqry[] = "ALTER TABLE `${prefix}_hip_headlines` CHANGE `catid` `catid` INT( 11 ) NOT NULL DEFAULT '0' ";
    if ($tf['active']['Type'] != 'tinyint(1)') $sqlqry[] = "ALTER TABLE `${prefix}_hip_headlines` CHANGE `active` `active` TINYINT( 1 ) NOT NULL DEFAULT '0' ";
    if ($tf['refresh']['Type'] != 'int(10)') $sqlqry[] = "ALTER TABLE `${prefix}_hip_headlines` CHANGE `refresh` `refresh` INT( 10 ) NOT NULL DEFAULT '0' ";
    if ($tf['time']['Type'] != 'int(11)') $sqlqry[] = "ALTER TABLE `${prefix}_hip_headlines` CHANGE `time` `time` INT( 11 ) NOT NULL DEFAULT '0' ";
    if ($tf['pos']['Type'] != 'smallint(10)') $sqlqry[] = "ALTER TABLE `${prefix}_hip_headlines` CHANGE `pos` `pos` SMALLINT( 10 ) NOT NULL DEFAULT '0' ";
    if ($tf['sitename']['Type'] != 'varchar(30)') $sqlqry[] = "ALTER TABLE `${prefix}_hip_headlines` CHANGE `sitename` `sitename` VARCHAR( 30 ) NOT NULL ";
}

if (isset($tables["${prefix}_hip_headlines"])) {
    $tf = setupGetTableFields("${prefix}_hip_headlines");
    if ($tf['content']['Default'] !== null || $tf['description']['Default'] !== null) {
        $sqlqry[] = "ALTER TABLE `${prefix}_hip_headlines`
                CHANGE `content` `content` text NULL,
                CHANGE `description` `description` text NULL";
    }
}

if (isset($sqlqry)) {
    setupDoAllQueries($sqlqry);
    unset($sqlqry);
}
// Headlines importieren?
$result = mysql_query("SELECT COUNT(hid) FROM `${prefix}_hip_headlines`");
list($counthip) = mysql_fetch_row($result);
if (empty($counthip)) {
    // Achtung, ohne Feld hid
    $sqlqry[] = "INSERT INTO `${prefix}_hip_headlines` (`sitename`, `content`, `headlinesurl`, `count`, `description`, `catid`, `active`, `refresh`, `time`, `pos`) VALUES ('pragmaMx.org', 'http://www.pragmamx.org/backend.php', 'http://www.pragmamx.org/backend.php', 2, 'Home of pragmaMx', 0, 1, 0, 0, 1);";
}

$result = mysql_query("SELECT COUNT(hid) FROM `${prefix}_headlines`");
list($counthead) = mysql_fetch_row($result);
if (empty($counthead) && !empty($counthip) && isset($tables["${prefix}_headlines"])) {
    // eindeutigen Index erstellen, dass nicht doppelt angefuegt wird
    $sqlqry[] = "ALTER TABLE `${prefix}_headlines` ADD UNIQUE xxheadlinesurl(`headlinesurl`);";
    // alle headlines aus hip-Tabelle auch an normale headlines-Tabelle anfuegen
    $sqlqry[] = "INSERT INTO ${prefix}_headlines( sitename, headlinesurl ) SELECT ${prefix}_hip_headlines.sitename, ${prefix}_hip_headlines.headlinesurl FROM ${prefix}_hip_headlines";
    // eindeutigen Index wieder entfernen
    $sqlqry[] = "ALTER TABLE `${prefix}_headlines` DROP INDEX `xxheadlinesurl`;";
}

if (isset($sqlqry)) {
    setupDoAllQueries($sqlqry);
    unset($sqlqry);
}
// aufraeumen:
unset($counthip, $counthead);

?>