<?php
/**
 * This file is part of 
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.9.2.5 $
 * $Author: tora60 $
 * $Date: 2008/01/22 02:02:53 $
 */

defined('mxMainFileLoaded') or die('access denied');
if (!defined("mxYALoaded")) die ("You can't access this file directly...");
// ################################################
function edithome()
{
    global $user, $cookie, $prefix;
    global $bgcolor2, $bgcolor3, $bgcolor3, $textcolor1, $textcolor2;
    if (!MX_IS_USER) {
        main();
        return;
    }
    include_once("modules/Your_Account/navbar.php");
    $userinfo = mxGetUserData('fromdb');
    $cuserguestbook = (empty($userinfo['user_guestbook'])) ? "" : "checked";
    if (!vkpUserIsThisTheUser($userinfo["uid"])) {
        main();
        return;
    }
    include ("header.php");
    OpenTable();
    nav();
    CloseTable();
    echo "<br>";
    OpenTable();
    echo '<form action="modules.php?name=Your_Account" method="post">
    	<fieldset>
    		<legend>' . _THEMESELECTION .' </legend>
    		<table width="100%" border="0" cellspacing="1" cellpadding="3">';
     
    if ($GLOBALS["allowchangetheme"]) {
        $cthemes = "";
        $themelist = array();
        $handle = opendir("themes");
        while ($file = readdir($handle)) {
            if (!ereg("[.]", $file)) {
                if (@file_exists("themes/" . $file . "/theme.php")) {
                    $sel = ($userinfo["theme"] == $file) ? "selected" : "";
                    $themelist[strtolower($file)] = "<option value=\"" . $file . "\" " . $sel . ">" . str_replace("_", " ", $file) . "\n";
                }
            }
        }
        closedir($handle);
        $sel = ($userinfo["theme"] == $file) ? "selected" : "";
        $themelist["#"] = "<option value=\"\" " . $sel . ">&nbsp;- " . _YA_DEFAULTTHEME . "\n";
        if (count($themelist) > 2) {
            ksort($themelist);
            $cthemes = implode("", $themelist);
            echo "<tr valign=\"top\"><td bgcolor=\"$bgcolor2\"><font class=\"content\">" . _SELECTTHEME . "</font></td>"
             . "<td bgcolor=\"$bgcolor3\" colspan=\"2\">"
             . "<select name=\"theme\">" . $cthemes . "</select>"
             . "<font class=\"tiny\"><br>"
             . "" . _THEMETEXT1 . " " . _THEMETEXT2 . " " . _THEMETEXT3 . "</font></td></tr>";
        }
    }
    if (vkpYaIsUblockActive()) {
        $ublockdisplay = mxNL2BR(mxPrepareToHTMLDisplay($userinfo["ublock"]));
        $allowed = '&lt;' . implode('&gt; &lt;', mxGetAllowedHtml()) . '&gt;';
        if (empty($userinfo["ublock"])) {
            $userinfo["ublock"] = "";
        }
        $sel = (empty($userinfo["ublockon"])) ? "" : "checked";
        echo "<tr valign=\"top\"><td bgcolor=\"$bgcolor2\" rowspan=\"2\">"
         . "<font class=\"content\">" . _ACTIVATEPERSONAL . "</font></td>"
         . "<td bgcolor=\"$bgcolor3\" colspan=\"2\"><font class=\"tiny\"><input type=\"checkbox\" name=\"ublockon\" $sel style=\"background-color: transparent;\">" . _CHECKTHISOPTION . "</font></td></tr>"
         . "<tr valign=\"top\"><td bgcolor=\"$bgcolor3\" width=\"90%\"><span class=\"tiny\"><textarea cols='45' rows='14' name='ublock'>" . htmlspecialchars($userinfo["ublock"], ENT_QUOTES) . "</textarea>"
         . "<br>" . _ALLOWEDHTML . "&nbsp;" . $allowed . "</span>"
         . "</td><td bgcolor=\"$bgcolor3\" width=\"10%\">"
         . "<table width='100%' border='1' cellspacing='0' cellpadding='2'>"
         . "<tr><th nowrap><font class=\"title\"><b>" . _MENUFOR . " " . $userinfo["uname"] . "</b></font></th></tr>"
         . "<tr><td class='boxcontent'>" . $ublockdisplay . "&nbsp;</td></tr>"
         . "</table>"
         . "</td></tr>";
    }

    $options = "";
    $storynum = (empty($userinfo["storynum"])) ? $GLOBALS['storyhome'] : (int)$userinfo["storynum"];
    for ($i = 1; $i <= 30; $i++) {
        $options .= "<option value=\"" . $i . "\"" . (($storynum == $i) ? " selected" : "") . ">" . $i . "</option>\n";
    }

    echo "<tr valign=\"top\"><td bgcolor=\"$bgcolor2\"><font class=\"content\">" . _NEWSINHOME . "</font></td>"
     . "<td bgcolor=\"$bgcolor3\" colspan=\"2\"><select name=\"storynum\">" . $options . "</select></td></tr>";
    if (mxModuleAllowed("UserGuest")) {
        echo "<tr valign=\"top\"><td bgcolor=\"$bgcolor2\"><font class=\"content\">" . _USERGUESTBOOK . "</font></td>"
         . "<td bgcolor=\"$bgcolor3\" colspan=\"2\"><input type=\"checkbox\" name=\"user_guestbook\" value=\"1\" " . $cuserguestbook . ">" . _ACTIVATEUSERGUESTBOOK . "</td></tr>\n";
    }
    if (!empty($GLOBALS['pm_poptime'])) {
        $user_pm_poptime = (empty($userinfo["user_pm_poptime"])) ? 0 : (int)$userinfo["user_pm_poptime"];
        $start = (ceil($GLOBALS['pm_poptime'] / 10)) * 10;
        $options = "<option value=\"0" . ((empty($user_pm_poptime)) ? " selected" : "") . "\">0 " . _YA_PMPOPTIME5 . "</option>\n";
        for ($i = $start; $i <= 600;) {
            $tv = ($i < 180) ? $i . " " . _YA_PMPOPTIME4 : ($i / 60) . " " . _YA_PMPOPTIME5;
            $options .= "<option value=\"" . $i . "\"" . (($user_pm_poptime == $i) ? " selected" : "") . ">" . $tv . "</option>\n";
            $i = ($i < 180) ? $i + 10 : $i + 60;
        }

        echo "<tr valign=\"top\"><td bgcolor=\"$bgcolor2\"><font class=\"content\">" . _YA_PMPOPTIME1 . "</font></td>"
         . "<td bgcolor=\"$bgcolor3\" colspan=\"2\">" . _YA_PMPOPTIME3 . " <select name=\"user_pm_poptime\">" . $options . "</select> <span class=\"tiny\">" . _YA_PMPOPTIME2 . "</span></td></tr>";
    }
    echo "</table><br>"
     . "<input type=\"hidden\" name=\"uname\" value=\"" . $userinfo["uname"] . "\">"
     . "<input type=\"hidden\" name=\"uid\" value=\"" . $userinfo["uid"] . "\">"
     . "<input type=\"hidden\" name=\"op\" value=\"savehome\">"
     . "<div align='center'><input type=\"submit\" value=\"" . _SAVECHANGES . "\"></div>\n"
     . "</fieldset>
     	</form>";
    CloseTable();
    include ("footer.php");
}
// ################################################
function savehome($userinfo)
{
    global $user, $cookie, $user_prefix;

    if (vkpUserIsThisTheUser($userinfo["uid"])) {
        // list($userinfo["storynum"],$userinfo["commentmax"],$userinfo["uid"]) = mxForceInteger($userinfo["storynum"],$userinfo["commentmax"],$userinfo["uid"]);  // by AE
        list($userinfo["storynum"], $userinfo["uid"]) = mxForceInteger($userinfo["storynum"], $userinfo["uid"]); // by AE
        $userinfo["storynum"] = (empty($userinfo["storynum"])) ? $GLOBALS["storyhome"] : $userinfo["storynum"];
        $userinfo["commentmax"] = (empty($userinfo["commentmax"])) ? $GLOBALS["commentlimit"] : $userinfo["commentmax"];
        $userinfo["theme"] = (empty($userinfo["theme"]) || !@file_exists("themes/" . $userinfo["theme"] . "/theme.php") || !$GLOBALS["allowchangetheme"]) ? "" : $userinfo["theme"];
        $userinfo["user_pm_poptime"] = (empty($userinfo["user_pm_poptime"])) ? 0 : (int)$userinfo["user_pm_poptime"];
        if (mxModuleAllowed("UserGuest")) {
            $userinfo["user_guestbook"] = (empty($userinfo["user_guestbook"])) ? 0 : 1;
        }
        if (vkpYaIsUblockActive()) {
            $userinfo["ublockon"] = (empty($userinfo["ublockon"])) ? 0 : 1;
            $userinfo["ublock"] = (empty($userinfo["ublock"])) ? "" : $userinfo["ublock"];
        } else {
            unset($userinfo["ublockon"]);
            unset($userinfo["ublock"]);
        }
        $uid = (int)$userinfo["uid"];
        unset($userinfo["uid"]);
        unset($userinfo["uname"]);
        unset($userinfo["op"]);
        $userinfo["noscore"] = (empty($userinfo["noscore"])) ? 0 : 1;

        foreach($userinfo as $key => $keyval) {
            $fieldkeys[] = "" . $key . "='" . mxAddSlashesForSQL($keyval) . "'";
        }
        $fieldkeys = implode(", ", $fieldkeys);
        $qry = "update " . $user_prefix . "_users set " . $fieldkeys . " where uid=" . $uid . "";
        // print $qry;
        $result = sql_query($qry);
        if ($result) {
            $userinfo = mxGetUserData('fromdb');
            mxSetUserSession($uid, $userinfo["uname"], $userinfo["pass"], $userinfo["storynum"], $userinfo["umode"], $userinfo["uorder"], $userinfo["thold"], $userinfo["noscore"], $userinfo["ublockon"], $userinfo["theme"], $userinfo["commentmax"]);
            mxSetCookie('themetest', '', -1);
            // mxSessionSetVar("pm_poptime",$userinfo["user_pm_poptime"]);
        } else {
            $saveerror = _SOMETHINGWRONG . " (1)";
        }
    } else {
        $saveerror = _YA_YOUBAD;
    }
    if (isset($saveerror)) {
        mxErrorScreen($saveerror);
    } else {
        header("Location: modules.php?name=Your_Account&op=edithome&theme=" . $userinfo["theme"] . "");
        exit;
    }
}

?>
