<?php
/**
 * This file is part of
 * pragmaMx - Web Content Management System.
 * Copyright by pragmaMx Developer Team - http://www.pragmamx.org
 *
 * pragmaMx is free software: you can redistribute it and/or modify
 * it under the terms of the GNU General Public License as published by
 * the Free Software Foundation, either version 3 of the License, or
 * (at your option) any later version.
 *
 * $Revision: 1.21.2.1 $
 * $Author: tora60 $
 * $Date: 2008/02/02 00:35:23 $
 */

defined('mxMainFileLoaded') or die('access denied');
// // Datestrings und locale Einstellungen:
define('_CHARSET', 'ISO-8859-1');
if (PHP_OS == 'WINNT' || PHP_OS == 'WIN32') {
    define('_SETLOCALE', 'ge');
} else {
    define('_SETLOCALE', 'de_DE.ISO-8859-15');
}
define('_DATESTRING', '%d.%m.%Y');

/**
 * Setup Optionen zur Auswahl, siehe setup-settings.php
 */
// Neuinstallation
define('_SETUPOPTION_NEW', 'Neuinstallation');
define('_SETUPOPTION_NEW_DESC', 'pragmaMx wird neu installiert. Eventuell bestehende Daten in der Datenbank bleiben unverndert erhalten.');
// Update
define('_SETUPOPTION_UPDATE', 'Update einer bestehenden Installation');
define('_SETUPOPTION_UPDATE_DESC', 'Das Setupscript versucht eine bereits bestehende Installation von pragmaMx zu aktualisieren. Es eignet sich auch zur Konvertierung von Daten aus phpNuke, vkpMx und verschiedenen anderen phpNuke-Clones. Weitere Informationen zur Konvertierung finden sich hier: &quot;<a href="' . _MXCONVERTINFOSITE . '">pragmaMx Umstieg von anderen CMS</a>&quot;');
// Setupschritte
define('_STEP_SELECT', 'Auswahl, Setup oder Update');
define('_STEP_ISINCORRECT', 'Sicherheitsabfrage');
define('_STEP_LICENSE', 'Lizenzbestimmungen');
define('_STEP_BACKUP', 'Backup der Datenbank');
define('_STEP_UPDATE', 'Update der Datenbank');
define('_STEP_DELFILES', 'unntige Dateien entfernen');
define('_STEP_FINISHEDINSTALL', 'Installation beendet');
define('_STEP_DBSETTINGS', 'Datenbankzugriff konfigurieren');
define('_STEP_DBSETTINGSCREATE', 'Datenbankzugriff konfigurieren / Datenbank erstellen');
define('_STEP_MORESETTINGS', 'Weitere Einstellungen');
define('_STEP_MORESETTINGSCHECK', 'Einstellungen berprfen');
define('_STEP_CREATEADMIN', 'Administratoraccount erstellen');
define('_STEP_FINISHEDUPDATE', 'Update beendet');
define('_STEP_CONFIGURATION', 'Konfiguration aktualisieren');
define('_HELLOINSTALL', 'Installation ' . MX_SETUP_VERSION);
define('_HELLOINSTALL2', 'Wir freuen uns, dass Sie sich fr unser ' . preg_replace('#[[:space:]]#', '&nbsp;', MX_SETUP_VERSION) . ' entschieden haben.<br /> Bevor Sie mit der Installation beginnen, sollten Sie unbedingt die <a href="' . _MXDOKUSITE . '">Online-Dokumentation</a> lesen.<br /> Sollten Sie dieses bereits getan haben, dann knnen Sie nun mit der Installation fortfahren.');
define('_WHATWILLYOUDO', 'Sie haben die Mglichkeit, zwischen verschiedenen Setup-Methoden zu whlen. Die vom Setup-Script empfohlene Methode ist bereits aktiviert. Whlen Sie bitte nur eine andere Methode, wenn Sie sich sicher sind.<br /><br />Was mchten Sie tun?');
define('_OLDVERSION_ERR1', 'Ihre gewhlte Setup-Option entspricht nicht der ermittelten Standardvorgabe,<br />dies kann zu Problemen oder sogar Datenverlust fhren.');
define('_OLDVERSION_ERR2', 'Sind Sie sicher, dass Sie die Option &quot;<em>' . @constant($GLOBALS['opt'][@$_REQUEST['setupoption']]['name']) . '</em>&quot; durchfhren wollen?');
define('_CONFIGSAVEMESS', 'Zum Abschluss wird noch die Konfigurationsdatei <em>' . FILE_CONFIG_ROOT . '</em> aktualisiert.');
define('_CONFIG_OK_NEW', 'Die Konfigurationsdatei <em>' . FILE_CONFIG_ROOT . '</em> wurde erfolgreich erstellt.');
define('_CONFIG_OK_OLD', 'Die Konfigurationsdatei <em>' . FILE_CONFIG_ROOT . '</em> war bereits auf dem aktuellen Stand und in Ordnung.');
define('_CONFIG_ERR_1', 'Die Datei <em>' . FILE_CONFIG_ROOT . '</em> konnte nicht zum beschreiben geffnet werden.');
define('_CONFIG_ERR_2', 'Das Schreiben in die Datei <em>' . FILE_CONFIG_ROOT . '</em> war nicht erfolgreich.');
define('_CONFIG_ERR_4', 'Die Datei <em>' . FILE_CONFIG_ROOT . '</em> konnte aus undefinierten Grnden nicht erstellt werden.');
define('_CONFIG_ERR_5', 'Die Datei in <em>' . FILE_CONFIG_ROOT . '</em> ist vorhanden, aber kann nicht gelesen werden.');
define('_CONFIG_ERR_6', 'Die Datei in <em>' . FILE_CONFIG_ROOT . '</em> ist vorhanden, aber die Daten wurden nicht korrekt geschrieben.');
define('_CONFIG_ERR_8', 'Die Konfigurationsdatei <em>' . FILE_CONFIG_ROOT . '</em> wurde zwar nicht korrekt erstellt, aber die Datenbankverbindung ist ok. Sie knnen mit der Installation fortfahren, sollten aber danach unbedingt die Systemeinstellungen im Administrationsmen berprfen und ggf. neu einstellen.');
define('_CONFIG_BACK', 'Eine Kopie der bestehenden Konfigurationsdatei wurde, unter folgendem Namen, erfolgreich erstellt:');
define('_CONFIG_CREATE', 'Bitte erstellen Sie anhand des angezeigten PHP-Codes eine neue script-Datei. Diese Datei nennen Sie <em>' . basename(FILE_CONFIG_ROOT) . '</em> und kopieren sie in das Hauptverzeichnis (' . dirname(FILE_CONFIG_ROOT) . ') Ihrer mx/pragmaMx Installation.<br />Bitte achten sie darauf, dass wirklich der komplette Quelltext 1:1 in dieser Datei gespeichert wird.<br /><br />Nachdem Sie dies getan haben, knnen Sie mit der Installation fortfahren.');
define('_CONFIG_BUTTONMAN', 'Konfigurationsdatei manuell erstellen');
define('_CURRENTSTATUS', 'Bisheriger Installationsstatus');
define('_THEREERROR', 'Es sind Fehler aufgetreten');
define('_WILL_CREATE_TABLES', 'Im nchsten Schritt werden die Tabellen erstellt und aktualisiert, dies kann eine ganze Weile dauern!');
define('_WILL_CREATE_BACKUP', 'Wenn Sie die Backup-Option benutzen, wird vor dem Erstellen der Tabellen versucht, ein komplettes Backup der gewhlten Datenbank anzulegen.');
define('_CONTINUE_WITHOUTDBBACKUP', 'Weiter ohne Backup');
define('_CONTINUE_WITHDBBACKUP', 'Weiter mit Backup');
define('_DBFOLLOWERRORS', 'Es sind folgende Fehler aufgetreten');
define('_NODBERRORS', 'Es sind keine Fehler aufgetreten.');
define('_DBNOTEXIST', 'Die angegebene Datenbank existiert nicht auf dem Server.');
define('_DBNOTSELECT', 'Sie haben keine Datenbank angegeben.');
define('_DBNOACCESS', 'Der Zugriff auf die Datenbank wurde verweigert.');
define('_DBOTHERERR', 'Beim Zugriff auf die Datenbank ist ein Fehler aufgetreten.');
define('_NOT_CONNECT', 'Es besteht keine Verbindung zum Datenbank-Server, oder die Zugangsdaten sind nicht korrekt.');
define('_NOT_CONNECTMORE', 'Bitte stellen sie sicher, dass die config.php Ihrer Vorversion vorhanden ist und dass die dort angegebenen Datenbankzugangsdaten korrekt sind.');
define('_DB_CONNECTSUCCESS', 'Die Verbindung zur Datenbank <em>%s</em> wurde erfolgreich hergestellt.');
define('_CORRECTION', 'Korrektur');
define('_REMAKE', 'Wiederholen');
define('_IGNORE', 'Ignorieren und Weiter');
define('_DONOTHING', 'bergehen');
define('_DBARETABLES', '<li>In der gewhlten Datenbank befinden sich bereits Tabellen.</li><li>Ein Backup der Datenbank wird empfohlen.</li>');
define('_DBARENOTABLES', '<li>Da die gewhlte Datenbank leer ist, braucht kein Backup durchgefhrt werden.</li>');
define('_SUBMIT', 'Weiter');
define('_OR', 'Oder');
define('_YES', 'Ja');
define('_NO', 'Nein');
define('_GOBACK', 'Zurck');
define('_CANCEL', 'Abbrechen');
// define('_WRITE_CHECK_OK', 'Schreibrechte OK');
// define('_SET_FILE_PERM', 'Setzen Sie Schreibrechte (CHMOD 666 oder 777) und berprfen Sie das vorhandensein der ROT angezeigten Dateien!');
// define('_CHMOD_CHECK_ERR', 'Schreibrechte nicht korrekt');
define('_FILE_NOT_FOUND', 'Datei nicht gefunden, oder nicht lesbar.');
define('_ACCEPT', 'Akzeptieren Sie die Lizenzvereinbarungen?');
define('_START', 'Startseite');
define('_INTRANETWARNING', 'Die Intranet Option sollte nur dann gewhlt werden, wenn die Website nicht durch einen vollquallifizierten Internetnamen aufgerufen werden kann. Die Option ist nur dann zu empfehlen, wenn die Website sich hinter einer Firewall befindet oder der Computer nicht mit dem Internet verbunden ist.');
define('_PRERR11', 'Die beiden Prfixe mssen mit einem Kleinbuchstaben beginnen, drfen nur Zahlen, Kleinbuchstaben und den Unterstrich (_) enthalten und sollten eine Gesamtlnge von ' . PREFIX_MAXLENGTH . ' Zeichen nicht berschreiten.');
define('_PRERR12', 'Der neue Prfix hat keinen Wert.<br />Bitte geben sie einen Prfix an.');
define('_PRERR13', 'Der neue Prfix entspricht der Standardvorgabe von pragmaMx oder von phpNuke. Bitte verwenden sie aus Sicherheitsgrnden einen anderen Prfix.');
define('_PRERR14', 'Im Prfix sind nicht erlaubte Zeichen enthalten. Erlaubt sind nur Kleinbuchstaben, Zahlen und der Unterstrich (_), wobei der Prfix nicht mit einer Zahl beginnen darf.<br />Bitte verwenden sie einen anderen Prfix.');
define('_PRERR15', 'Der Prfix darf nicht mit einer Zahl beginnen.<br />Bitte verwenden sie einen anderen Prfix.');
define('_PRERR16', 'Der neue Prfix ist zu lang, die Prfixe drfen hchstens ' . PREFIX_MAXLENGTH . ' Zeichen lang sein.<br />Bitte verwenden sie krzere Prfixe.');
define('_PRERR17', 'Es sind bereits %d Tabellen mit dem neuen Prfix vorhanden.<br />Bitte verwenden sie einen anderen Prfix.');
define('_PRERR18', 'Der neue User-Prfix hat keinen Wert.<br />Bitte geben sie einen User-Prfix an.');
define('_PRERR19', 'Im User-Prfix sind nicht erlaubte Zeichen enthalten. Erlaubt sind nur Kleinbuchstaben, Zahlen und der Unterstrich (_), wobei der User-Prfix nicht mit einer Zahl beginnen darf.<br />Bitte verwenden sie einen anderen User-Prfix.');
define('_PRERR20', 'Der User-Prfix darf nicht mit einer Zahl beginnen.<br />Bitte verwenden sie einen anderen User-Prfix.');
define('_PRERR21', 'Der neue User-Prfix ist zu lang, die Prfixe drfen hchstens ' . PREFIX_MAXLENGTH . ' Zeichen lang sein.<br />Bitte verwenden sie krzere Prfixe.');
define('_PRERR22', 'Es ist bereits eine User-Tabelle mit dem neuen User-Prfix vorhanden.<br />Bitte verwenden sie einen anderen User-Prfix');
define('_SUPPORTINFO', 'Support fr Ihr System erhalten sie hier: <a href="' . _MXSUPPORTSITE . '">' . _MXSUPPORTSITE . '</a>');
define('_DOKUINFO', 'Die Online-Dokumentation finden sie hier: <a href="' . _MXDOKUSITE . '">' . _MXDOKUSITE . '</a>');
define('_NOBACKUPCREATED', 'Ein Datenbank-Backup wurde nicht angelegt.');
define('_HAVE_CREATE_DBBACKUP', 'Die Datenbank wurde gesichert als Datei:');
define('_HAVE_CREATE_BACKUPERR_1', 'Das Backup der Datenbank ist fehlgeschlagen.');
define('_HAVE_CREATE_BACKUPERR_2', 'Falls diese Datenbank Daten enthlt stellen sie bitte sicher, dass Sie eine aktuelle Sicherung haben BEVOR Sie weiter machen!');
define('_SETUPHAPPY1', 'Herzlichen Glckwunsch');
define('_SETUPHAPPY2', 'Ihr System ist jetzt komplett installiert. Mit dem nchsten Klick kommen Sie direkt in das Administrationsmen.');
define('_SETUPHAPPY3', 'Hier sollten sie zunchst die Grundeinstellungen berprfen und neu abspeichern.');
define('_DELETE_FILES', 'Wenn Ihr System ordnungsgem luft, lschen Sie bitte das Verzeichnis &quot;<em>' . basename(dirname(dirname(__FILE__))) . '</em>&quot; in Ihrem Webroot.<br /><strong>Das verbleiben kann ein Sicherheitsrisiko darstellen!</strong>');
define('_GET_SQLHINTS', 'Hier sehen Sie die SQL-Befehle die whrend der Konvertierung/Erstellung ausgefhrt wurden');
define('_DATABASEISCURRENT', 'Die Datenbankstruktur war bereits auf dem aktuellen Stand. nderungen waren nicht ntig.');
define('_SEEALL', 'komplett ansehen');
define('_DB_UPDATEREADY', 'Die Tabellen-Konvertierung/Erstellung ist abgeschlossen.');
define('_DB_UPDATEFAIL', 'Die Tabellen-Konvertierung/Erstellung konnte nicht komplett ausgefhrt werden.');
define('_DB_UPDATEFAIL2', 'Es fehlen folgende wichtige Systemtabellen: ');
define('_BACKUPPLEASEDOIT', 'Es wird empfohlen, vor der Aktualisierung ein Komplett-Backup der Datenbank zu erstellen.');
define('_ERRMSG1A', 'Fehler: eine Update-Datei fehlt, bitte stellen sie sicher, dass die folgende Datei vorhanden ist:');
define('_ERRMSG2', 'Folgende Dateien/Verzeichnisse konnten nicht automatisch gelscht werden.<br />Es wird empfohlen, diese vor dem Beenden des Setup manuell zu lschen.');
define('_MSG_FILEUP1', 'Im nchsten Schritt werden die unten aufgelisteten Dateien und Verzeichnisse gelscht.<br />Wenn Sie eine Datei behalten wollen, sichern Sie diese bitte, <strong>bevor</strong> Sie weitermachen.');
define('_YEAHREADY2', 'Ansonsten ist Ihr pragmaMx jetzt auf dem neusten Stand.');
define('_SERVERMESSAGE', 'Servermeldung');
define('_ERRDBSYSFILENOFILES', 'Keine der Systemtabellen konnte berprft/erstellt werden, im Verzeichnis <em>' . PATH_SYSTABLES . '</em> befinden sich keine Definitionsdateien.');
define('_ERRDBSYSFILEMISSFILES_1', 'Es knnen nicht alle Systemtabellen berprft/erstellt werden.');
define('_ERRDBSYSFILEMISSFILES_2', 'Im Verzeichnis <em>' . PATH_SYSTABLES . '</em> fehlen folgende Definitionsdateien');
define('_THESYSTABLES_1', 'Die Systemtabelle(n) <strong>%s</strong> konnte nicht berprft/erstellt werden, weil die entsprechende(n) Dateien aus dem Verzeichnis ' . PATH_SYSTABLES . ' nicht geladen werden konnte.');
define('_THESYSTABLES_2', 'Die Systemtabelle(n) <strong>%s</strong> wurde(n) nicht berprft/erstellt.');
define('_SYSTABLECREATED', 'Es wurden %d Systemtabellen berprft/erstellt.');
define('_MODTABLESCREATED', 'Es wurden die Tabellen von %d Modulen berprft/erstellt.');
define('_NOMODTABLES', 'Es wurden keine Modultabellen berprft/erstellt.');
define('_STAT_THEREWAS', 'Es wurden');
define('_STAT_TABLES_CREATED', 'Tabellen erstellt.');
define('_STAT_TABLES_RENAMED', 'Tabellen umbenannt.');
define('_STAT_TABLES_CHANGED', 'Tabellen gendert.');
define('_STAT_DATAROWS_CREATED', 'Datenstze eingefgt/gendert.');
define('_STAT_DATAROWS_DELETED', 'Datenstze gelscht.');
define('_MOREDEFFILEMISSING', 'Die Datei (<em>' . @ADD_QUERIESFILE . '</em>) mit zustzlichen SQL-Befehlen fehlt!');
define('_SETUPMODNOTFOUND1', 'Das gewhlte Setup-Modul <strong>%s</strong> ist nicht verfgbar!');
define('_ERROR', 'Fehler');
define('_ERROR_FATAL', 'schwerer Fehler');
define('_SETUPCANCELED', 'Setup abgebrochen!');
define('_GOTOADMIN', 'weiter zum Administrationsmen');
define('_DBSETTINGS', 'Geben sie hier die Daten fr den Datenbankzugriff ein. Das Setup kann nur mit einer korrekt eingerichteten Datenbankverbindung fortgesetzt werden. Die Zugangsdaten erhalten Sie normalerweise von Ihrem Webspace-Provider.');
define('_DBNAME', 'Name der Datenbank');
define('_DBPASS', 'Password der Datenbank');
define('_DBSERVER', 'Datenbank Server');
define('_DBTYP', 'Datenbanktyp');
define('_DBUSERNAME', 'User der Datenbank');
define('_DBCREATEQUEST', 'Wollen Sie versuchen die Datenbank &quot;<em>' . @$_REQUEST['dbname'] . '</em>&quot; zu erstellen?');
define('_DBISCREATED', 'Die Datenbank &quot;<em>' . @$_REQUEST['dbname'] . '</em>&quot; wurde erfolgreich angelegt.');
define('_DBNOTCREATED', 'Es ist ein Fehler beim Anlegen der Datenbank &quot;<em>' . @$_REQUEST['dbname'] . '</em>&quot; aufgetreten.');
// define('_OTHERSETTINGS','Sonstige Angaben zu Ihrer Webseite.');
define('_PREFIXSETTING', 'Die Prfixe dienen zur Unterscheidung der jeweiligen Tabellen, wenn Sie mehrere pragmaMx in einer Datenbank betreiben wollen. Der User-Prfix ermglicht die gemeinsame Nutzung von Benutzerdaten innerhalb mehrerer pragmaMx. Ansonsten sollte der User-Prfix dem normalen Prfix entsprechen.');
define('_PREFIX', 'Prfix der Datenbanktabellen');
define('_USERPREFIX', 'Prfix der Usertabelle');
define('_DEFAULTLANG', 'Standardsprache');
define('_INTRANETOPT', 'Intranet Umgebung');
define('_ADMINEMAIL', 'Administrator- Email');
define('_SITENAME', 'Name der Site');
define('_STARTDATE', 'Startdatum der Seite');
define('_CHECKSETTINGS', 'berprfen Sie bitte Ihre Einstellungen!');
define('_PLEASECHECKSETTINGS', 'Bitte berprfen Sie die bisherigen Einstellungen.<br />Wenn alle Daten korrekt sind, knnen Sie die Installation fortsetzen.<br />Ansonsten haben Sie noch Gelegenheit die Angaben zu korrigieren.');
define('_HAVE_CREATE_TABLES', 'Tabellen wurden erstellt.');
define('_HAVE_CREATE_TABLES_7', 'Die Tabellen, die fr das reine System bentigt werden, wurden fehlerfrei erstellt. Das Setup kann fortgesetzt werden, aber bei verschiedenen Funktionen des Systems kann es zu Fehlern kommen.');
define('_HAVECREATE_TABLES_ERR', 'Die Datenbank konnte nicht vollstndig angelegt werden. Die Installation ist fehlgeschlagen.');
define('_CREATE_DB', 'Datenbank erstellen');
define('_NOADMINYET', 'Hier knnen Sie sich jetzt einen Administratoraccount erstellen.');
define('_CREATEUSERDATA', 'Es wird gleichzeitig ein normaler Benutzeraccount mit den gleichen Daten angelegt.');
define('_NICKNAME', 'Benutzername');
define('_PASSWORD', 'Passwort');
define('_EMAIL', 'eMail');
define('_HOMEPAGE', 'Homepage');
define('_REQUIRED', '(erforderlich)');
define('_ERRNOADMINDATA', 'Benutzername, Passwort und eMailadresse mssen zumindest angegeben werden.');
define('_ERRNOADMINCONNECT', 'Sie knnen den Administratoraccount auch spter noch ber die Systemadministration erstellen.');
define('_ADMINCREATED', 'Der Administratoraccount wurde angelegt.');
define('_ADMINCREATEDERR', 'Der Administratoraccount konnte nicht angelegt werden.');
define('_DOCREATEADMIN', 'erstellen');
define('_DELETESETUPDIR', 'Hier klicken, um diese Setuproutine unbrauchbar zu machen. Dazu wird die index.php umbenannt und der Ordnerzugriff per .htaccess Datei verhindert. <em>(funktioniert nicht auf allen Servern)</em>');
// add for fieldset //
define('_PREFIXE', 'Prfix');
define('_SITE__MORESETTINGS', 'Website Einstellungen');
define('_ADMIN_ACCOUNT', 'Administratoraccount');
define('_SERVER', 'Server Daten');
define('_BACKUPBESHURE', 'Stellen Sie vor der nun folgenden Anpassung der Datenbanktabellen bitte sicher, dass Sie eine aktuelle Sicherung der Datenbank haben.');
define('_BACKUPBESHUREYES', 'Ja, ich habe eine aktuelle Datenbanksicherung.');
define('_BACKUPBESHUREOK', 'Besttigen Sie bitte, dass Sie eine aktuelle Datenbanksicherung haben.');
// /////// Modulbezeichnungen
define('Your_Account', 'mein Account');
define('News', 'Artikel');
define('blank_Home', 'Home');
define('Content', 'Inhalte');
define('Downloads', 'Downloads');
define('eBoard', 'Forum');
define('FAQ', 'FAQ');
define('Feedback', 'Feedback');
define('Guestbook', 'Gstebuch');
define('Impressum', 'Impressum');
define('Kalender', 'Termine');
define('maaXStat2', 'Statistik');
define('Members_List', 'Benutzerliste');
define('My_eGallery', 'Mediengalerie');
define('Newsletter', 'Newsletter');
define('Private_Messages', 'meine Nachrichten');
define('Recommend_Us', 'Uns empfehlen');
define('Reviews', 'Testberichte');
define('Search', 'Suche');
define('Sections', 'Themen Bereiche');
define('Siteupdate', 'Site News');
define('Submit_News', 'Artikel schreiben');
define('Surveys', 'Umfragen');
define('Top', 'Topliste');
define('Topics', 'Themen');
define('UserGuest', 'mein Gstebuch');
define('Web_Links', 'Links');
define('Web_News', 'Internet News');
define('LinkMe', 'Link zu uns');
define('Userinfo', 'Benutzerinfo');
define('User_Registration', 'Benutzer Anmeldung');
define('Gallery', 'Bildergalerie');
define('Avatar', 'mein Avatar');
define('Banners', 'meine Banner');
define('Encyclopedia', 'Enzyklopdie');
define('IcqList', 'Icq-Liste');
define('IrcChat', 'Chat');
define('Members_Web_Mail', 'mein Web-Mail');
define('Stories_Archive', 'Artikel Archiv');
define('Themetest', 'Themes');
define('User_Blocks', 'meine Blcke');
define('User_Fotoalbum', 'mein Fotoalbum');
define('legal', 'Nutzungsbedingungen');
// / TODO: neue Spezialmodule hinzufgen !"!!
// z.B. __comments
// die Nachricht fr den Begruessungsblock
define('_NEWINSTALLMESSAGEBLOCKTITLE', 'Willkommen bei Ihrem pragmaMx ' . MX_SETUP_VERSION_NUM . '');
define('_NEWINSTALLMESSAGEBLOCK', trim(addslashes('
<p>Guten Tag,</p>
<p>wenn Sie diese Mitteilung lesen knnen, scheint Ihr pragmaMx ohne Fehler zu arbeiten. Herzlichen Glckwunsch.</p>
<p>Wir mchten uns an dieser Stelle recht herzlich dafr bedanken, dass Sie sich dazu entschieden haben unser pragmaMx etwas genauer in Augenschein zu nehmen. Wir hoffen, dass es all Ihren Erwartungen gerecht wird.</p>
<p>Zustzliche Erweiterungen fr Ihr System erhalten Sie selbstverstndlich auch auf unserer Homepage: <a href="http://www.pragmamx.org">http://pragmamx.org</a>.</p>
<p>Sollten Sie nicht direkt nach dem Setup einen Administrator-Account fr Ihr pragmaMx angelegt haben, so holen Sie dies bitte <a href="admin.php"><strong>jetzt hier nach</strong></a>.</p>
<p>Wir wnschen Ihnen viel Freude bei der Erkundung Ihres Systems. Damit Sie sich etwas leichter zurecht finden haben wir im Administrator-Bereich eine kurze Dokumentation des Systems hinterlegt, bitte schauen Sie auf jeden Fall einmal hinein.</p>
<p>Ihr pragmaMx Coding-Team</p>
')));
// Blockbeschriftungen:
define('_BLOCK_CAPTION_MAINMENU', 'Hauptmen&uuml;');
define('_BLOCK_CAPTION_INTERNAL', 'Internes');
define('_BLOCK_CAPTION_COMMUNITY', 'Community');
define('_BLOCK_CAPTION_OTHER', 'Sonstiges');
define('_BLOCK_CAPTION_1', 'Setup-Alarm');
define('_BLOCK_CAPTION_2', 'Admin Men&uuml;');
define('_BLOCK_CAPTION_3', 'Sprache');
define('_BLOCK_CAPTION_4', 'Login');
define('_BLOCK_CAPTION_5', 'Benutzer Men&uuml;');
define('_BLOCK_CAPTION_6', 'Wer ist Online');
define('_BLOCK_CAPTION_7', 'FAQs');
define('_BLOCK_CAPTION_8', 'Umfrage');
define('_BLOCK_CAPTION_9', 'pragmaMx-News');
define('_BLOCK_CAPTION_5A', 'Das ist Dein pers&ouml;nliches Men&uuml;');

?>